Summary: Determine and mark up significant differences between latex files
Name: latexdiff
Version: 1.0.2
Release: 4%{?dist}
URL: http://latexdiff.berlios.de/
Source: http://prdownload.berlios.de/latexdiff/latexdiff-%{version}.tar.gz
License: GPLv3
Group: Applications/Text
Requires: tex(latex)
Requires: diffutils
BuildArch: noarch

%description
Latexdiff is a Perl script for visual mark up and revision of significant
differences between two latex files.  Various options are available for visual
markup using standard latex packages such as color.  Changes not directly
affecting visible text, for example in formatting commands, are still marked in
the latex source.  A rudimentary revision facility is provided by another
Perl script, latexrevise, which accepts or rejects all changes.  Manual editing
of the difference file can be used to override this default behaviour and
accept or reject selected changes only.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_mandir}/man1
cp -p latexrevise latexdiff-{vc,so,fast} %{buildroot}/%{_bindir}
ln -s latexdiff-fast %{buildroot}/%{_bindir}/latexdiff
cp -p latex{diff,diff-vc,revise}.1 %{buildroot}/%{_mandir}/man1

%files
%defattr(-,root,root,-)
%doc doc/* COPYING
%{_bindir}/latexdiff
%{_bindir}/latexdiff-fast
%{_bindir}/latexdiff-so
%{_bindir}/latexdiff-vc
%{_bindir}/latexrevise
%{_mandir}/man1/latexdiff.1*
%{_mandir}/man1/latexdiff-vc.1*
%{_mandir}/man1/latexrevise.1*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.0.2-3
- Perl 5.18 rebuild

* Wed Feb 13 2013 Dan Kenigsberg <danken@cs.technion.ac.il> - 1.0.2-2
- rebase as requested in bz #909689.
- ship latexdiff-so, too.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 10 2009 Dan Kenigsberg <danken@cs.technion.ac.il> 0.5-2
- preserve file timestamps, correct defattr, drop pointless comment.
* Sun Dec 14 2008 Dan Kenigsberg <danken@cs.technion.ac.il> 0.5-1
- Initial build.
