Name:           libxlsxwriter
Version:        1.0.0
Release:        1%{?dist}
Summary:        A C library for creating Excel XLSX files
License:        MIT
URL:            https://github.com/jmcnamara/libxlsxwriter/
Source0:        https://github.com/jmcnamara/libxlsxwriter/archive/RELEASE_%{version}.tar.gz
#BuildRequires:  gnuplot

%description
Libxlsxwriter is a C library that can be used to
write text, numbers, formulas and hyperlinks to
multiple worksheets in an Excel 2007+ XLSX file.
    * 100% compatible Excel XLSX files.
    * Full Excel formatting.
    * Merged cells.
    * Defined names.
    * Autofilters.
    * Charts.
    * Data validation and drop down lists.
    * Conditional formatting.
    * Worksheet PNG/JPEG images.
    * Cell comments.
    * Support for adding Macros.
    * Memory optimization mode for writing large files.
    * Source code available on GitHub.
    * FreeBSD license.
    * ANSI C.
    * Works with GCC, Clang, Xcode, MSVC 2015, ICC, TCC, MinGW, MingGW-w64/32.
    * Works on Linux, FreeBSD, OpenBSD, OS X, iOS and Windows. Also works on MSYS/MSYS2 and Cygwin.
    * Compiles for 32 and 64 bit.
    * Compiles and works on big and little endian systems.
    * The only dependency is on zlib.

%package devel
Summary: devel
Requires: %{name}
%description devel


%prep
%setup -q -n %{name}-RELEASE_%{version}


%build
sed 's|PREFIX  ?= /usr/local|PREFIX  ?= /usr|' -i Makefile
sed 's|/lib|/lib64|' -i Makefile
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} prefix=/usr install


%files
%{_libdir}/libxlsxwriter.so


%files devel
%{_includedir}/xlsxwriter.h
%{_includedir}/xlsxwriter
%{_libdir}/libxlsxwriter.a
