%global pypi_name h2

%global common_description %{expand:
HTTP/2 Protocol Stack This repository contains a pure-Python
implementation of a HTTP/2 protocol stack. It's written from the ground up to
be embeddable in whatever program you choose to use, ensuring that you can
speak HTTP/2 regardless of your programming paradigm.}

Name:           python-%{pypi_name}
Version:        4.0.0
Release:        1%{?dist}
Summary:        HTTP/2 State-Machine based protocol implementation
License:        MIT
URL:            http://hyper.rtfd.org
Source0:        https://files.pythonhosted.org/packages/05/b8/cc1692aab910c0319b7c35e03c043bdda1cfeff67fa25b555eb2864a36e3/h2-4.0.0.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
#BuildRequires:  (python3dist(hpack) >= 4 with python3dist(hpack) < 5)
#BuildRequires:  (python3dist(hyperframe) >= 6 with python3dist(hyperframe) < 7)
BuildRequires:  python3-setuptools
#BuildRequires:  python3dist(sphinx)
#BuildRequires:  python3dist(pytest)
#BuildRequires:  python3dist(hypothesis)


%description
%{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%description -n python3-%{pypi_name}
%{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info


%changelog
