%global _description ISO 3166-1 defines two-letter, three-letter, and three-digit country\
codes. python-iso3166 is a self-contained module that converts between these\
codes and the corresponding country name.
%global srcname iso3166

Name:           python-%{srcname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Self-contained ISO 3166-1 country definitions
License:        MIT
URL:            https://github.com/deactivated/%{name}/
Source0:        %{srcname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch


%description
%{_description}


%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
%description -n python2-%{srcname}
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -n %{srcname}-%{version}


%build
%{__python} setup.py build
%{__python3} setup.py build


%install
%{__python} setup.py install --optimize 2 --root %{buildroot}
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%files -n python2-%{srcname}
%doc CHANGES README.rst
%license LICENSE.txt
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/


%files -n python3-%{srcname}
%doc CHANGES README.rst
%license LICENSE.txt
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/


%changelog
