%global srcname matrix-nio

Name:           python-%{srcname}
Version:        0.16.0
Release:        1%{?dist}
Summary:        A Matrix client library
License:        ISC and ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/e4/79/2b923e4d269eba22d5de348cdce587be5603f187d84f5076515fc0819a83/matrix-nio-0.16.0.tar.gz
BuildArch:      noarch


%global _description %{expand:
nio is a multilayered Matrix client library. The underlying base layer doesn't
do any network IO on its own, but on top of that is a full fledged
batteries-included asyncio layer using aiohttp. File IO is only done if you
enable end-to-end encryption (E2EE).}
%description %_description


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}
# Remove backup file
rm -vf nio/events/room_events.py.orig
# Update BRs
sed \
    -e 's/aiofiles.*/aiofiles = "*"/' \
    -e 's/h11.*/h11 = "*"/' \
    -e 's/h2.*/h2 = "*"/' \
    -e 's/pycryptodome.*/pycryptodomex = "*"/' \
    -i pyproject.toml


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%check


# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/matrix_nio-*.egg-info/
%{python3_sitelib}/nio/


%changelog
