%global modname multidict
Name:           python-%{modname}
Version:        5.1.0
Release:        1%{?dist}
Summary:        MultiDict implementation
License:        ASL 2.0
URL:            https://github.com/aio-libs/multidict
Source0:        %{url}/archive/v%{version}%{?rctag:%{rctag}}/%{modname}-%{version}%{?rctag:%{rctag}}.tar.gz
BuildRequires:  gcc


%global _description \
Multidicts are useful for working with HTTP headers, URL query args etc.
%description %{_description}


%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython
%{?python_provide:%python_provide python3-%{modname}}
%description -n python3-%{modname} %{_description}


%prep
%autosetup -n %{modname}-%{version}%{?rctag:%{rctag}}
sed -i -e '/addopts/d' setup.cfg


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}
rm -vf %{buildroot}%{python3_sitearch}/%{modname}/*.{c,pyx}


%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}/


%changelog
