%global srcname webcolors
%global srcdesc \
A library for working with color names and color value formats defined by the\
HTML and CSS specifications for use in documents on the Web.\
\
Support is included for the following formats (RGB colorspace only; conversion\
to/from HSL can be handled by the colorsys module in the Python standard\
library):\
* Specification-defined color names\
* Six-digit hexadecimal\
* Three-digit hexadecimal\
* Integer rgb() triplet\
* Percentage rgb() triplet

Name:           python-%{srcname}
Version:        1.11.1
Release:        1%{?dist}
Summary:        A library for working with HTML and CSS color names and value formats
License:        BSD
URL:            https://github.com/ubernostrum/webcolors
Source:         %{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description %{srcdesc}


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname} %{srcdesc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%files -n python3-%{srcname}
%license LICENSE
%doc PKG-INFO README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}*


%changelog
