%global debug_package %{nil}
%global pypi_name yarl

Name:           python-%{pypi_name}
Version:        1.6.3
Release:        1%{?dist}
Summary:        Python module to handle URLs
License:        ASL 2.0
URL:            https://yarl.readthedocs.io
Source0:        %{pypi_name}-%{version}.tar.gz
BuildRequires:  gcc


%description
The module provides handy URL class for URL parsing and changing.


%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
BuildRequires:  python3-multidict
BuildRequires:  python3-idna
%{?python_provide:%python_provide python3-%{pypi_name}}
%description -n python3-%{pypi_name}
The module provides handy URL class for URL parsing and changing.


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%{__python3} -m cython -3 -o yarl/_quoting_c.c yarl/_quoting_c.pyx -I yarl
%{__python3} setup.py build


%install
%{__python3} setup.py install --optimize 2 --root %{buildroot}


%files -n python3-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-*.egg-info/


%changelog
