Name:           sc-im
Version:        0.7.0
Release:        1%{?dist}
Summary:        An ncurses spreadsheet program for terminal
License:        MIT
URL:            https://github.com/andmarti1424/sc-im
Source0:        https://github.com/andmarti1424/sc-im/archive/v%{version}.tar.gz
#BuildRequires:  gnuplot
BuildRequires:  libxls
BuildRequires:	libxlsxwriter-devel
Requires:       libxls
Requires:	libxlsxwriter

%description
SC-IM is a spreadsheet program that is based on SC.
  * UNDO / REDO
  * 1048576 rows and 702 columns supported
  * CSV / TAB delimited / XLSX file import and export
  * Scripting support with LUA. Also with triggers and c dynamic linked modules
  * Clipboard support
  * GNUPlot interaction
  * Key-mappings
  * Sort of rows
  * Filter of rows
  * Subtotals
  * Cell shifting
  * 256 color support
  * Colorize cells or give them format such as bold or underline
  * Wide character support
  * Autobackup
  * Implement external functions in the language you prefer and use them in SC-IM
  * Use SC-IM as a non-interactive calculator, reading its input from a external script
  * More movements commands implemented
  * Input and Output was completely rewritten

%prep
%setup -q -n %{name}-%{version}


%build
sed 's|-DMAXROWS=65536|-DMAXROWS=1048576|' -i Makefile
export CFLAGS="%{optflags} -DXLSX -DXLSX_EXPORT"
export LDLIBS="-lxlsreader -lxlsxwriter"
make %{?_smp_mflags} -C src


%install
make DESTDIR=%{buildroot} prefix=/usr -C src install


%files
%{_bindir}/scim
%{_datadir}/scim/
%{_mandir}/man1/scim.1.gz
