%global tl_version 2017

%{!?_texdir: %global _texdir %{_datadir}/%{name}}
%{!?_texmf_var: %global _texmf_var %{_var}/lib/texmf}

# We do not want this.
%global __brp_mangle_shebangs /usr/bin/true

Name: texlive
Version: %{tl_version}
Release: 17%{?dist}
Epoch: 7
Summary: TeX formatting system
Group: Applications/Publishing
License: Artistic 2.0 and GPLv2 and GPLv2+ and LGPLv2+ and LPPL and MIT and Public Domain and UCD and Utopia
URL: http://tug.org/texlive/
Requires: texlive-scheme-basic
Requires: texlive-collection-latexrecommended
# Not strictly true, but helps us clean up.
Requires: texlive-obsolete
Requires: tex-kpathsea, tex-tetex
Obsoletes: texlive < %{tl_version}, texlive-texmf < %{tl_version}
Obsoletes: texlive-afm < %{tl_version}
Obsoletes: texlive-doc < %{tl_version}
Obsoletes: texlive-east-asian < %{tl_version}
Obsoletes: texlive-texmf-afm < %{tl_version}, texlive-texmf-context < %{tl_version}
Obsoletes: texlive-texmf-doc < %{tl_version}, texlive-texmf-dvips < %{tl_version}
Obsoletes: texlive-texmf-east-asian < %{tl_version}, texlive-texmf-fonts < %{tl_version}
Obsoletes: texlive-texmf-latex < %{tl_version}, texlive-texmf-xetex < %{tl_version}
Obsoletes: texlive-texmf-errata < %{tl_version}
Obsoletes: texlive-texmf-errata-afm < %{tl_version}, texlive-texmf-errata-context < %{tl_version}
Obsoletes: texlive-texmf-errata-doc < %{tl_version}, texlive-texmf-errata-dvips < %{tl_version}
Obsoletes: texlive-texmf-errata-east-asian < %{tl_version}, texlive-texmf-errata-fonts < %{tl_version}
Obsoletes: texlive-texmf-errata-latex < %{tl_version}, texlive-texmf-errata-xetex < %{tl_version}
Conflicts: texlive-dvips = 2007
# Now that the arch-dependent bits are in texlive-base... we can do this!
BuildArch: noarch
Patch1: tl-kpfix.patch
Patch2: tl-format.patch
Patch3: texlive-20160520-selinux-context.patch
Patch4: texlive-fix-system-teckit.patch
Patch5: texlive-2016-kpathsea-texlive-path.patch
# security fix for bz#979176
Patch100: texlive-bz979176.patch
Patch101: etex-addlanguage-fix-bz1215257.patch
# security fix for bz#1429452, CVE-2016-10243
Patch104: texlive-mpost-CVE-2016-10243.patch
# backport upstream  to fix upmendex segfaults on i386 arch
Patch105: texlive-2016-upmendex-crash
# fix bz#1442706, set correct python path
Patch106: texlive-bz#1442706-python-path.patch
# fix bz#1575363, update geometry to 5.7
Patch107: texlive-bz#1575363-geometry-5.7.patch
Patch108: texlive-2017-xepersian-python.patch
Source3: texlive-licenses.tar.xz
Source0100: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/12many.tar.xz
Source0101: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/12many.doc.tar.xz
Source0103: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/2up.tar.xz
Source0104: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/2up.doc.tar.xz
Source0105: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/a0poster.tar.xz
Source0106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/a0poster.doc.tar.xz
Source0109: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/a4wide.tar.xz
Source0110: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/a4wide.doc.tar.xz
Source0111: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/a5comb.tar.xz
Source0112: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/a5comb.doc.tar.xz
Source0113: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aastex.tar.xz
Source0114: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aastex.doc.tar.xz
Source0116: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abbr.tar.xz
Source0117: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abbr.doc.tar.xz
Source0118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abc.tar.xz
Source0119: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abc.doc.tar.xz
Source0121: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abntex2.tar.xz
Source0122: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abntex2.doc.tar.xz
Source0123: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abraces.tar.xz
Source0124: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abraces.doc.tar.xz
Source0125: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abstract.tar.xz
Source0126: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abstract.doc.tar.xz
Source0128: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abstyles.tar.xz
Source0129: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abstyles.doc.tar.xz
Source0130: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/academicons.tar.xz
Source0131: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/academicons.doc.tar.xz
Source0132: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/accanthis.tar.xz
Source0133: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/accanthis.doc.tar.xz
Source0136: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/achemso.tar.xz
Source0137: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/achemso.doc.tar.xz
Source0139: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acmconf.tar.xz
Source0140: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acmconf.doc.tar.xz
Source0142: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acronym.tar.xz
Source0143: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acronym.doc.tar.xz
Source0145: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acroterm.tar.xz
Source0146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acroterm.doc.tar.xz
Source0148: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acro.tar.xz
Source0149: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acro.doc.tar.xz
Source0150: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/active-conf.tar.xz
Source0151: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/active-conf.doc.tar.xz
Source0153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/actuarialangle.tar.xz
Source0154: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/actuarialangle.doc.tar.xz
Source0155: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/addlines.tar.xz
Source0156: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/addlines.doc.tar.xz
Source0158: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adfathesis.tar.xz
Source0159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adfathesis.doc.tar.xz
Source0161: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adforn.tar.xz
Source0162: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adforn.doc.tar.xz
Source0163: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adfsymbols.tar.xz
Source0164: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adfsymbols.doc.tar.xz
Source0168: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adjmulticol.tar.xz
Source0169: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adjmulticol.doc.tar.xz
Source0171: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adjustbox.tar.xz
Source0172: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adjustbox.doc.tar.xz
Source0174: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adobemapping.tar.xz
Source0175: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adrconv.tar.xz
Source0176: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adrconv.doc.tar.xz
Source0178: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/advdate.tar.xz
Source0179: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/advdate.doc.tar.xz
Source0180: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aecc.tar.xz
Source0181: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aecc.doc.tar.xz
Source0182: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aeguill.tar.xz
Source0183: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aeguill.doc.tar.xz
Source0184: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ae.tar.xz
Source0185: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ae.doc.tar.xz
Source0189: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/afparticle.tar.xz
Source0190: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/afparticle.doc.tar.xz
Source0192: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/afthesis.tar.xz
Source0193: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/afthesis.doc.tar.xz
Source0194: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aguplus.tar.xz
Source0195: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aguplus.doc.tar.xz
Source0196: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aiaa.tar.xz
Source0197: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aiaa.doc.tar.xz
Source0199: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aichej.tar.xz
Source0200: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ajl.tar.xz
Source0201: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/akktex.tar.xz
Source0202: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/akktex.doc.tar.xz
Source0203: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/akletter.tar.xz
Source0204: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/akletter.doc.tar.xz
Source0205: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alegreya.tar.xz
Source0206: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alegreya.doc.tar.xz
Source0219: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexconfig.tar.xz
Source0220: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-fonts.tar.xz
Source0221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-fonts.doc.tar.xz
Source0222: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plain.tar.xz
Source0223: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lambda.tar.xz
Source0224: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alertmessage.tar.xz
Source0225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alertmessage.doc.tar.xz
Source0227: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algorithm2e.tar.xz
Source0228: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algorithm2e.doc.tar.xz
Source0229: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algorithmicx.tar.xz
Source0230: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algorithmicx.doc.tar.xz
Source0231: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algorithms.tar.xz
Source0232: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algorithms.doc.tar.xz
Source0234: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alg.tar.xz
Source0235: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alg.doc.tar.xz
Source0237: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/allrunes.tar.xz
Source0238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/allrunes.doc.tar.xz
Source0240: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/almfixed.tar.xz
Source0241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/almfixed.doc.tar.xz
Source0242: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alnumsec.tar.xz
Source0243: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alnumsec.doc.tar.xz
Source0245: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alterqcm.tar.xz
Source0246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alterqcm.doc.tar.xz
Source0247: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/altfont.tar.xz
Source0248: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/altfont.doc.tar.xz
Source0250: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ametsoc.tar.xz
Source0251: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ametsoc.doc.tar.xz
Source0252: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amiri.tar.xz
Source0253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amiri.doc.tar.xz
Source0254: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsaddr.tar.xz
Source0255: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsaddr.doc.tar.xz
Source0257: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amscls.tar.xz
Source0258: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amscls.doc.tar.xz
Source0260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsfonts.tar.xz
Source0261: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsfonts.doc.tar.xz
Source0263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amslatex-primer.doc.tar.xz
Source0264: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsldoc-it.doc.tar.xz
Source0265: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsldoc-vn.doc.tar.xz
Source0266: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsmath-it.doc.tar.xz
Source0267: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsmath.tar.xz
Source0268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsmath.doc.tar.xz
Source0270: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsrefs.tar.xz
Source0271: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsrefs.doc.tar.xz
Source0277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/amsthdoc-it.doc.tar.xz
Source0278: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/animate.tar.xz
Source0279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/animate.doc.tar.xz
Source0281: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anonchap.tar.xz
Source0282: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anonchap.doc.tar.xz
Source0283: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anonymouspro.tar.xz
Source0284: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anonymouspro.doc.tar.xz
Source0286: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/answers.tar.xz
Source0287: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/answers.doc.tar.xz
Source0289: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/antiqua.tar.xz
Source0290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/antiqua.doc.tar.xz
Source0291: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/antomega.tar.xz
Source0292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/antomega.doc.tar.xz
Source0294: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/omega.tar.xz
Source0295: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/omega.doc.tar.xz
Source0296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/antt.tar.xz
Source0297: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/antt.doc.tar.xz
Source0298: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anufinalexam.doc.tar.xz
Source0299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anyfontsize.tar.xz
Source0300: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anyfontsize.doc.tar.xz
Source0301: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anysize.tar.xz
Source0302: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/anysize.doc.tar.xz
Source0303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aobs-tikz.tar.xz
Source0304: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aobs-tikz.doc.tar.xz
Source0306: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aomart.tar.xz
Source0307: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aomart.doc.tar.xz
Source0309: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apa6e.tar.xz
Source0310: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apa6e.doc.tar.xz
Source0312: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apa6.tar.xz
Source0313: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apa6.doc.tar.xz
Source0315: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apacite.tar.xz
Source0316: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apacite.doc.tar.xz
Source0318: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apalike2.tar.xz
Source0319: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apa.tar.xz
Source0320: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apa.doc.tar.xz
Source0321: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apnum.tar.xz
Source0322: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apnum.doc.tar.xz
Source0323: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/appendixnumberbeamer.tar.xz
Source0324: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/appendixnumberbeamer.doc.tar.xz
Source0325: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/appendix.tar.xz
Source0326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/appendix.doc.tar.xz
Source0328: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apprends-latex.doc.tar.xz
Source0329: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apptools.tar.xz
Source0330: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apptools.doc.tar.xz
Source0332: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabi.tar.xz
Source0333: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabi.doc.tar.xz
Source0334: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabtex.tar.xz
Source0335: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabtex.doc.tar.xz
Source0336: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabxetex.tar.xz
Source0337: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabxetex.doc.tar.xz
Source0339: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aramaic-serto.tar.xz
Source0340: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aramaic-serto.doc.tar.xz
Source0344: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/archaic.tar.xz
Source0345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/archaic.doc.tar.xz
Source0347: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arcs.tar.xz
Source0348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arcs.doc.tar.xz
Source0350: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arev.tar.xz
Source0351: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arev.doc.tar.xz
Source0353: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/armtex.tar.xz
Source0354: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/armtex.doc.tar.xz
Source0355: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/around-the-bend.doc.tar.xz
Source0356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arphic.tar.xz
Source0357: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arphic.doc.tar.xz
Source0358: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arrayjobx.tar.xz
Source0359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arrayjobx.doc.tar.xz
Source0360: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arraysort.tar.xz
Source0361: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arraysort.doc.tar.xz
Source0363: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arsclassica.tar.xz
Source0364: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arsclassica.doc.tar.xz
Source0365: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/articleingud.tar.xz
Source0366: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/articleingud.doc.tar.xz
Source0368: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arydshln.tar.xz
Source0369: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arydshln.doc.tar.xz
Source0371: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asaetr.tar.xz
Source0372: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asaetr.doc.tar.xz
Source0373: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/Asana-Math.tar.xz
Source0374: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/Asana-Math.doc.tar.xz
Source0375: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ascelike.tar.xz
Source0376: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ascelike.doc.tar.xz
Source0377: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ascii-chart.doc.tar.xz
Source0378: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ascii-font.tar.xz
Source0379: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ascii-font.doc.tar.xz
Source0381: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/askmaps.tar.xz
Source0382: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/askmaps.doc.tar.xz
Source0383: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aspectratio.tar.xz
Source0384: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aspectratio.doc.tar.xz
Source0385: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/assignment.tar.xz
Source0386: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/assignment.doc.tar.xz
Source0387: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/assoccnt.tar.xz
Source0388: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/assoccnt.doc.tar.xz
Source0389: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/astro.tar.xz
Source0390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/astro.doc.tar.xz
Source0391: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asyfig.tar.xz
Source0392: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asyfig.doc.tar.xz
Source0394: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asypictureb.tar.xz
Source0395: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asypictureb.doc.tar.xz
Source0397: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/attachfile.tar.xz
Source0398: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/attachfile.doc.tar.xz
Source0400: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/augie.tar.xz
Source0401: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/augie.doc.tar.xz
Source0402: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/auncial-new.tar.xz
Source0403: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/auncial-new.doc.tar.xz
Source0405: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aurical.tar.xz
Source0406: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aurical.doc.tar.xz
Source0407: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/authoraftertitle.tar.xz
Source0408: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/authoraftertitle.doc.tar.xz
Source0411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/autoarea.tar.xz
Source0412: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/autoarea.doc.tar.xz
Source0413: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/automata.tar.xz
Source0414: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/automata.doc.tar.xz
Source0415: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/autonum.tar.xz
Source0416: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/autonum.doc.tar.xz
Source0418: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/autopdf.tar.xz
Source0419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/autopdf.doc.tar.xz
Source0421: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/auto-pst-pdf.tar.xz
Source0422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/auto-pst-pdf.doc.tar.xz
Source0424: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/avantgar.tar.xz
Source0425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/avremu.tar.xz
Source0426: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/avremu.doc.tar.xz
Source0428: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/b1encoding.tar.xz
Source0429: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/b1encoding.doc.tar.xz
Source0431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-albanian.tar.xz
Source0432: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-albanian.doc.tar.xz
# Source0434: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-bahasa.tar.xz
# Source0435: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-bahasa.doc.tar.xz
Source0437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-basque.tar.xz
Source0438: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-basque.doc.tar.xz
Source0440: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babelbib.tar.xz
Source0441: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babelbib.doc.tar.xz
Source0442: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-bosnian.tar.xz
Source0443: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-bosnian.doc.tar.xz
Source0445: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-breton.tar.xz
Source0446: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-breton.doc.tar.xz
Source0448: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-bulgarian.tar.xz
Source0449: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-bulgarian.doc.tar.xz
Source0451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-catalan.tar.xz
Source0452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-catalan.doc.tar.xz
Source0454: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-croatian.tar.xz
Source0455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-croatian.doc.tar.xz
Source0457: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-czech.tar.xz
Source0458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-czech.doc.tar.xz
Source0460: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-danish.tar.xz
Source0461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-danish.doc.tar.xz
Source0463: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-dutch.tar.xz
Source0464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-dutch.doc.tar.xz
Source0466: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-english.tar.xz
Source0467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-english.doc.tar.xz
Source0469: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-esperanto.tar.xz
Source0470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-esperanto.doc.tar.xz
Source0472: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-estonian.tar.xz
Source0473: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-estonian.doc.tar.xz
Source0475: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-finnish.tar.xz
Source0476: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-finnish.doc.tar.xz
Source0478: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-french.tar.xz
Source0479: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-french.doc.tar.xz
Source0481: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-friulan.tar.xz
Source0482: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-friulan.doc.tar.xz
Source0484: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-galician.tar.xz
Source0485: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-galician.doc.tar.xz
Source0487: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-georgian.tar.xz
Source0488: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-georgian.doc.tar.xz
Source0489: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-german.tar.xz
Source0490: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-german.doc.tar.xz
Source0492: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-greek.tar.xz
Source0493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-greek.doc.tar.xz
Source0495: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-hebrew.tar.xz
Source0496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-hebrew.doc.tar.xz
Source0498: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-hungarian.tar.xz
Source0499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-hungarian.doc.tar.xz
Source0500: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-icelandic.tar.xz
Source0501: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-icelandic.doc.tar.xz
Source0503: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-interlingua.tar.xz
Source0504: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-interlingua.doc.tar.xz
Source0506: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-irish.tar.xz
Source0507: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-irish.doc.tar.xz
Source0509: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-italian.tar.xz
Source0510: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-italian.doc.tar.xz
Source0512: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-kurmanji.tar.xz
Source0513: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-kurmanji.doc.tar.xz
Source0515: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-latin.tar.xz
Source0516: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-latin.doc.tar.xz
Source0518: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-latvian.tar.xz
Source0519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-latvian.doc.tar.xz
Source0521: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-norsk.tar.xz
Source0522: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-norsk.doc.tar.xz
Source0524: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-piedmontese.tar.xz
Source0525: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-piedmontese.doc.tar.xz
Source0527: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-polish.tar.xz
Source0528: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-polish.doc.tar.xz
Source0530: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-portuges.tar.xz
Source0531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-portuges.doc.tar.xz
Source0533: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-romanian.tar.xz
Source0534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-romanian.doc.tar.xz
Source0536: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-romansh.tar.xz
Source0537: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-romansh.doc.tar.xz
Source0539: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-russian.tar.xz
Source0540: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-russian.doc.tar.xz
Source0542: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-samin.tar.xz
Source0543: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-samin.doc.tar.xz
Source0545: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-scottish.tar.xz
Source0546: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-scottish.doc.tar.xz
Source0548: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-serbianc.tar.xz
Source0549: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-serbianc.doc.tar.xz
Source0551: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-serbian.tar.xz
Source0552: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-serbian.doc.tar.xz
Source0554: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-slovak.tar.xz
Source0555: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-slovak.doc.tar.xz
Source0557: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-slovenian.tar.xz
Source0558: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-slovenian.doc.tar.xz
Source0560: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-sorbian.tar.xz
Source0561: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-sorbian.doc.tar.xz
Source0563: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-spanglish.tar.xz
Source0564: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-spanglish.doc.tar.xz
Source0565: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-spanish.tar.xz
Source0566: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-spanish.doc.tar.xz
Source0568: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-swedish.tar.xz
Source0569: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-swedish.doc.tar.xz
Source0571: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-thai.tar.xz
Source0572: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-thai.doc.tar.xz
Source0574: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel.tar.xz
Source0575: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel.doc.tar.xz
Source0577: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-turkish.tar.xz
Source0578: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-turkish.doc.tar.xz
Source0580: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-ukrainian.tar.xz
Source0581: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-ukrainian.doc.tar.xz
Source0583: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-vietnamese.tar.xz
Source0585: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-welsh.tar.xz
Source0586: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-welsh.doc.tar.xz
Source0588: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/background.tar.xz
Source0589: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/background.doc.tar.xz
Source0591: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/backnaur.tar.xz
Source0592: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/backnaur.doc.tar.xz
Source0594: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bagpipe.tar.xz
Source0595: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bagpipe.doc.tar.xz
Source0596: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bangorcsthesis.tar.xz
Source0597: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bangorcsthesis.doc.tar.xz
Source0599: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bangtex.tar.xz
Source0600: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bangtex.doc.tar.xz
Source0601: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bankstatement.tar.xz
Source0602: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bankstatement.doc.tar.xz
Source0603: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/barcodes.tar.xz
Source0604: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/barcodes.doc.tar.xz
Source0606: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bardiag.tar.xz
Source0607: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bardiag.doc.tar.xz
Source0608: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/barr.tar.xz
Source0609: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/barr.doc.tar.xz
Source0610: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bartel-chess-fonts.tar.xz
Source0611: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bartel-chess-fonts.doc.tar.xz
Source0612: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bashful.tar.xz
Source0613: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bashful.doc.tar.xz
Source0614: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/basicarith.tar.xz
Source0615: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/basicarith.doc.tar.xz
Source0617: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baskervald.tar.xz
Source0618: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baskervald.doc.tar.xz
Source0620: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baskervaldx.tar.xz
Source0621: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baskervaldx.doc.tar.xz
Source0622: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/basque-book.tar.xz
Source0623: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/basque-book.doc.tar.xz
Source0625: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/basque-date.tar.xz
Source0626: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/basque-date.doc.tar.xz
Source0628: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbcard.tar.xz
Source0629: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbcard.doc.tar.xz
Source0630: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbding.tar.xz
Source0631: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbding.doc.tar.xz
Source0633: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbm-macros.tar.xz
Source0634: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbm-macros.doc.tar.xz
Source0636: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbm.tar.xz
Source0637: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbm.doc.tar.xz
Source0638: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbold.tar.xz
Source0639: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbold.doc.tar.xz
Source0641: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbold-type1.tar.xz
Source0642: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bbold-type1.doc.tar.xz
Source0643: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bchart.tar.xz
Source0644: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bchart.doc.tar.xz
Source0645: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bclogo.tar.xz
Source0646: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bclogo.doc.tar.xz
Source0647: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer2thesis.tar.xz
Source0648: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer2thesis.doc.tar.xz
Source0649: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beameraudience.tar.xz
Source0650: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beameraudience.doc.tar.xz
Source0651: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerdarkthemes.tar.xz
Source0652: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerdarkthemes.doc.tar.xz
Source0653: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer-FUBerlin.doc.tar.xz
Source0654: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerposter.tar.xz
Source0655: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerposter.doc.tar.xz
Source0656: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamersubframe.tar.xz
Source0657: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamersubframe.doc.tar.xz
Source0659: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerthemejltree.tar.xz
Source0660: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerthemenirma.tar.xz
Source0661: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerthemenirma.doc.tar.xz
Source0662: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-phnompenh.tar.xz
Source0663: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-phnompenh.doc.tar.xz
Source0664: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-upenn-bc.tar.xz
Source0665: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-upenn-bc.doc.tar.xz
Source0666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer.tar.xz
Source0667: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer.doc.tar.xz
Source0668: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf.tar.xz
Source0669: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf.doc.tar.xz
Source0671: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xkeyval.tar.xz
Source0672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xkeyval.doc.tar.xz
Source0674: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcolor.tar.xz
Source0675: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcolor.doc.tar.xz
Source0677: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer-tut-pt.doc.tar.xz
# Source0678: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beebe.tar.xz
# Upstream beebe contains non-free files:
# bibtex/bst/beebe/astron.bst
# bibtex/bst/beebe/jtb.bst
# We remove those files from the tarball and make a "-clean" tarball.
Source0678: beebe-clean.tar.xz
Source0679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/begingreek.tar.xz
Source0680: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/begingreek.doc.tar.xz
Source0682: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/begriff.tar.xz
Source0683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/begriff.doc.tar.xz
Source0684: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/belleek.tar.xz
Source0685: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/belleek.doc.tar.xz
Source0687: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bengali.tar.xz
Source0688: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bengali.doc.tar.xz
Source0690: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bera.tar.xz
Source0691: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bera.doc.tar.xz
Source0692: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/berenisadf.tar.xz
Source0693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/berenisadf.doc.tar.xz
Source0694: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/besjournals.tar.xz
Source0695: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/besjournals.doc.tar.xz
Source0696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/betababel.tar.xz
Source0697: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/betababel.doc.tar.xz
Source0698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beton.tar.xz
Source0699: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beton.doc.tar.xz
Source0701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bewerbung.tar.xz
Source0702: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bewerbung.doc.tar.xz
Source0704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bez123.tar.xz
Source0705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bez123.doc.tar.xz
Source0707: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bezos.tar.xz
Source0708: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bezos.doc.tar.xz
Source0709: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bgreek.tar.xz
Source0710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bgreek.doc.tar.xz
Source0711: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bgteubner.tar.xz
Source0712: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bgteubner.doc.tar.xz
Source0714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bguq.tar.xz
Source0715: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bguq.doc.tar.xz
Source0717: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bhcexam.tar.xz
Source0718: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bhcexam.doc.tar.xz
Source0720: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibarts.tar.xz
Source0721: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibarts.doc.tar.xz
Source0726: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bib-fr.tar.xz
Source0727: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bib-fr.doc.tar.xz
Source0728: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibhtml.tar.xz
Source0729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibhtml.doc.tar.xz
Source0730: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-anonymous.tar.xz
Source0731: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-anonymous.doc.tar.xz
Source0732: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-apa.tar.xz
Source0733: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-apa.doc.tar.xz
Source0734: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-bookinarticle.tar.xz
Source0735: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-bookinarticle.doc.tar.xz
Source0736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-bwl.tar.xz
Source0737: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-bwl.doc.tar.xz
Source0738: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-caspervector.tar.xz
Source0739: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-caspervector.doc.tar.xz
Source0740: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-chem.tar.xz
Source0741: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-chem.doc.tar.xz
Source0742: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-chicago.tar.xz
Source0743: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-chicago.doc.tar.xz
Source0744: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-dw.tar.xz
Source0745: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-dw.doc.tar.xz
Source0746: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-fiwi.tar.xz
Source0747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-fiwi.doc.tar.xz
Source0748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-gost.tar.xz
Source0749: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-gost.doc.tar.xz
Source0750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-historian.tar.xz
Source0751: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-historian.doc.tar.xz
Source0752: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-ieee.tar.xz
Source0753: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-ieee.doc.tar.xz
Source0754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-juradiss.tar.xz
Source0755: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-juradiss.doc.tar.xz
Source0756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-luh-ipw.tar.xz
Source0757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-luh-ipw.doc.tar.xz
Source0758: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-manuscripts-philology.tar.xz
Source0759: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-manuscripts-philology.doc.tar.xz
Source0760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-mla.tar.xz
Source0761: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-mla.doc.tar.xz
Source0762: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-multiple-dm.tar.xz
Source0763: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-multiple-dm.doc.tar.xz
Source0764: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-musuos.tar.xz
Source0765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-musuos.doc.tar.xz
Source0766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-nature.tar.xz
Source0767: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-nature.doc.tar.xz
Source0768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-nejm.tar.xz
Source0769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-nejm.doc.tar.xz
Source0770: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-opcit-booktitle.tar.xz
Source0771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-opcit-booktitle.doc.tar.xz
Source0772: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-philosophy.tar.xz
Source0773: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-philosophy.doc.tar.xz
Source0775: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-phys.tar.xz
Source0776: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-phys.doc.tar.xz
Source0777: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-publist.tar.xz
Source0778: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-publist.doc.tar.xz
Source0779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-realauthor.tar.xz
Source0780: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-realauthor.doc.tar.xz
Source0781: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-science.tar.xz
Source0782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-science.doc.tar.xz
Source0783: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-source-division.tar.xz
Source0784: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-source-division.doc.tar.xz
Source0785: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-subseries.tar.xz
Source0786: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-subseries.doc.tar.xz
Source0787: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-swiss-legal.tar.xz
Source0788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-swiss-legal.doc.tar.xz
Source0789: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex.tar.xz
Source0790: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex.doc.tar.xz
Source0791: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-trad.tar.xz
Source0792: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-trad.doc.tar.xz
Source0793: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-true-citepages-omit.tar.xz
Source0794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-true-citepages-omit.doc.tar.xz
Source0795: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-french.tar.xz
Source0796: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-french.doc.tar.xz
Source0798: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-german.tar.xz
Source0799: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-german.doc.tar.xz
Source0800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-lds.tar.xz
Source0801: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-lds.doc.tar.xz
Source0803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-mouth.tar.xz
Source0804: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-mouth.doc.tar.xz
Source0806: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-parse.tar.xz
Source0807: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref-parse.doc.tar.xz
Source0808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref.tar.xz
Source0809: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibleref.doc.tar.xz
Source0811: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblist.tar.xz
Source0812: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblist.doc.tar.xz
Source0819: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibtopicprefix.tar.xz
Source0820: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibtopicprefix.doc.tar.xz
Source0822: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibtopic.tar.xz
Source0823: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibtopic.doc.tar.xz
Source0825: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibunits.tar.xz
Source0826: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibunits.doc.tar.xz
Source0828: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidi-atbegshi.tar.xz
Source0829: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidi-atbegshi.doc.tar.xz
Source0830: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidicontour.tar.xz
Source0831: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidicontour.doc.tar.xz
Source0832: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidihl.tar.xz
Source0833: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidihl.doc.tar.xz
Source0834: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidipagegrid.tar.xz
Source0835: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidipagegrid.doc.tar.xz
Source0836: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidipresentation.tar.xz
Source0837: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidipresentation.doc.tar.xz
Source0838: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidishadowtext.tar.xz
Source0839: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidishadowtext.doc.tar.xz
Source0840: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidi.tar.xz
Source0841: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bidi.doc.tar.xz
Source0843: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bigfoot.tar.xz
Source0844: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bigfoot.doc.tar.xz
Source0846: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bigints.tar.xz
Source0847: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bigints.doc.tar.xz
Source0848: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/binomexp.tar.xz
Source0849: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/binomexp.doc.tar.xz
Source0851: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biocon.tar.xz
Source0852: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biocon.doc.tar.xz
Source0853: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bitelist.tar.xz
Source0854: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bitelist.doc.tar.xz
Source0856: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bizcard.tar.xz
Source0857: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bizcard.doc.tar.xz
Source0859: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blacklettert1.tar.xz
Source0860: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blacklettert1.doc.tar.xz
Source0862: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blindtext.tar.xz
Source0863: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blindtext.doc.tar.xz
Source0865: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blkarray.tar.xz
Source0866: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blkarray.doc.tar.xz
Source0867: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blochsphere.tar.xz
Source0868: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blochsphere.doc.tar.xz
Source0870: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blockdraw_mp.tar.xz
Source0871: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blockdraw_mp.doc.tar.xz
Source0872: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/block.tar.xz
Source0873: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/block.doc.tar.xz
Source0874: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bloques.tar.xz
Source0875: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bloques.doc.tar.xz
# Source0876: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blowup.tar.xz
# Source0877: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blowup.doc.tar.xz
Source0879: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blox.tar.xz
Source0880: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/blox.doc.tar.xz
Source0882: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bnumexpr.tar.xz
Source0883: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bnumexpr.doc.tar.xz
Source0885: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bodegraph.tar.xz
Source0886: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bodegraph.doc.tar.xz
Source0887: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bohr.tar.xz
Source0888: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bohr.doc.tar.xz
Source0889: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boisik.tar.xz
Source0890: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boisik.doc.tar.xz
Source0891: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boites.tar.xz
Source0892: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boites.doc.tar.xz
Source0894: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bold-extra.tar.xz
Source0895: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bold-extra.doc.tar.xz
Source0896: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boldtensors.tar.xz
Source0897: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boldtensors.doc.tar.xz
Source0898: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bondgraphs.tar.xz
Source0899: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bondgraphs.doc.tar.xz
Source0901: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bondgraph.tar.xz
Source0902: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bondgraph.doc.tar.xz
Source0903: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookcover.tar.xz
Source0904: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookcover.doc.tar.xz
Source0906: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookdb.tar.xz
Source0907: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookdb.doc.tar.xz
Source0908: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookest.tar.xz
Source0909: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookest.doc.tar.xz
Source0910: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookhands.tar.xz
Source0911: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookhands.doc.tar.xz
Source0913: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/booklet.tar.xz
Source0914: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/booklet.doc.tar.xz
Source0916: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bookman.tar.xz
Source0917: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/booktabs-de.doc.tar.xz
Source0918: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/booktabs-fr.doc.tar.xz
Source0919: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/booktabs.tar.xz
Source0920: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/booktabs.doc.tar.xz
Source0922: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boolexpr.tar.xz
Source0923: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boolexpr.doc.tar.xz
Source0925: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boondox.tar.xz
Source0926: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boondox.doc.tar.xz
Source0927: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bophook.tar.xz
Source0928: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bophook.doc.tar.xz
Source0930: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/borceux.tar.xz
Source0931: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/borceux.doc.tar.xz
Source0932: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bosisio.tar.xz
Source0933: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bosisio.doc.tar.xz
Source0935: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boxedminipage2e.tar.xz
Source0936: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boxedminipage2e.doc.tar.xz
Source0938: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boxedminipage.tar.xz
Source0939: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boxedminipage.doc.tar.xz
Source0940: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boxhandler.tar.xz
Source0941: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/boxhandler.doc.tar.xz
Source0943: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bpchem.tar.xz
Source0944: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bpchem.doc.tar.xz
Source0946: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bpolynomial.tar.xz
Source0947: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bpolynomial.doc.tar.xz
Source0948: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bracketkey.tar.xz
Source0949: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bracketkey.doc.tar.xz
Source0950: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/braids.tar.xz
Source0951: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/braids.doc.tar.xz
Source0953: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/braille.tar.xz
Source0954: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/braille.doc.tar.xz
Source0955: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/braket.tar.xz
Source0956: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/braket.doc.tar.xz
Source0957: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/brandeis-dissertation.tar.xz
Source0958: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/brandeis-dissertation.doc.tar.xz
Source0960: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/breakurl.tar.xz
Source0961: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/breakurl.doc.tar.xz
Source0963: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/breqn.tar.xz
Source0964: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/breqn.doc.tar.xz
Source0966: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/br-lex.tar.xz
Source0967: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/br-lex.doc.tar.xz
Source0968: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bropd.tar.xz
Source0969: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bropd.doc.tar.xz
Source0971: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/brushscr.tar.xz
Source0972: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/brushscr.doc.tar.xz
Source0973: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bullcntr.tar.xz
Source0974: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bullcntr.doc.tar.xz
Source0978: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/burmese.tar.xz
Source0979: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/burmese.doc.tar.xz
Source0981: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bussproofs.tar.xz
Source0982: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bussproofs.doc.tar.xz
Source0983: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxbase.tar.xz
Source0984: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxbase.doc.tar.xz
Source0985: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxcjkjatype.tar.xz
Source0986: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxcjkjatype.doc.tar.xz
Source0987: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxdpx-beamer.tar.xz
Source0988: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxdpx-beamer.doc.tar.xz
Source0989: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxeepic.tar.xz
Source0990: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxeepic.doc.tar.xz
Source0991: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxjscls.tar.xz
Source0992: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxjscls.doc.tar.xz
Source0994: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxpdfver.tar.xz
Source0995: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxpdfver.doc.tar.xz
Source0996: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bytefield.tar.xz
Source0997: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bytefield.doc.tar.xz
Source0999: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/c90.tar.xz
Source1000: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/c90.doc.tar.xz
Source1002: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cabin.tar.xz
Source1003: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cabin.doc.tar.xz
Source1006: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/caladea.tar.xz
Source1007: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/caladea.doc.tar.xz
Source1008: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calcage.tar.xz
Source1009: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calcage.doc.tar.xz
Source1011: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calctab.tar.xz
Source1012: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calctab.doc.tar.xz
Source1013: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calculation.tar.xz
Source1014: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calculation.doc.tar.xz
Source1016: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calculator.tar.xz
Source1017: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calculator.doc.tar.xz
Source1019: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calligra.tar.xz
Source1020: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calligra.doc.tar.xz
Source1021: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calligra-type1.tar.xz
Source1022: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calligra-type1.doc.tar.xz
Source1023: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calrsfs.tar.xz
Source1024: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calrsfs.doc.tar.xz
Source1025: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cals.tar.xz
Source1026: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cals.doc.tar.xz
Source1028: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calxxxx-yyyy.tar.xz
Source1029: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/calxxxx-yyyy.doc.tar.xz
Source1030: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cancel.tar.xz
Source1031: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cancel.doc.tar.xz
Source1032: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/canoniclayout.tar.xz
Source1033: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/canoniclayout.doc.tar.xz
Source1035: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cantarell.tar.xz
Source1036: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cantarell.doc.tar.xz
Source1038: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/captcont.tar.xz
Source1039: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/captcont.doc.tar.xz
Source1041: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/captdef.tar.xz
Source1042: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/captdef.doc.tar.xz
Source1043: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/caption.tar.xz
Source1044: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/caption.doc.tar.xz
Source1046: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/capt-of.tar.xz
Source1047: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/capt-of.doc.tar.xz
Source1049: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carlisle.tar.xz
Source1050: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carlisle.doc.tar.xz
Source1052: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carlito.tar.xz
Source1053: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carlito.doc.tar.xz
Source1054: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carolmin-ps.tar.xz
Source1055: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carolmin-ps.doc.tar.xz
Source1056: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cascadilla.tar.xz
Source1057: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cascadilla.doc.tar.xz
Source1058: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cases.tar.xz
Source1059: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cases.doc.tar.xz
Source1060: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/casyl.tar.xz
Source1061: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/casyl.doc.tar.xz
Source1062: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catchfilebetweentags.tar.xz
Source1063: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catchfilebetweentags.doc.tar.xz
Source1065: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catcodes.tar.xz
Source1066: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catcodes.doc.tar.xz
Source1068: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catechis.tar.xz
Source1069: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catechis.doc.tar.xz
Source1071: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catoptions.tar.xz
Source1072: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/catoptions.doc.tar.xz
Source1073: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cbcoptic.tar.xz
Source1074: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cbcoptic.doc.tar.xz
Source1075: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cbfonts-fd.tar.xz
Source1076: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cbfonts-fd.doc.tar.xz
Source1078: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cbfonts.tar.xz
Source1079: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cbfonts.doc.tar.xz
Source1080: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ccaption.tar.xz
Source1081: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ccaption.doc.tar.xz
Source1083: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ccfonts.tar.xz
Source1084: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ccfonts.doc.tar.xz
Source1086: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ccicons.tar.xz
Source1087: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ccicons.doc.tar.xz
Source1089: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cclicenses.tar.xz
Source1090: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cclicenses.doc.tar.xz
Source1092: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cc-pl.tar.xz
Source1093: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cc-pl.doc.tar.xz
Source1094: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cd-cover.tar.xz
Source1095: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cd-cover.doc.tar.xz
Source1097: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cdpbundl.tar.xz
Source1098: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cdpbundl.doc.tar.xz
Source1100: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cd.tar.xz
Source1101: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cd.doc.tar.xz
Source1103: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cellspace.tar.xz
Source1104: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cellspace.doc.tar.xz
Source1105: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cell.tar.xz
Source1106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cell.doc.tar.xz
Source1107: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/celtic.tar.xz
Source1108: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/celtic.doc.tar.xz
Source1110: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/censor.tar.xz
Source1111: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/censor.doc.tar.xz
Source1112: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cfr-initials.tar.xz
Source1113: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cfr-initials.doc.tar.xz
Source1114: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cfr-lm.tar.xz
Source1115: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cfr-lm.doc.tar.xz
Source1117: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changebar.tar.xz
Source1118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changebar.doc.tar.xz
Source1120: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changelayout.tar.xz
Source1121: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changelayout.doc.tar.xz
Source1122: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changepage.tar.xz
Source1123: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changepage.doc.tar.xz
Source1125: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changes.tar.xz
Source1126: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/changes.doc.tar.xz
Source1128: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chappg.tar.xz
Source1129: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chappg.doc.tar.xz
Source1131: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chapterfolder.tar.xz
Source1132: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chapterfolder.doc.tar.xz
Source1134: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/charter.tar.xz
Source1135: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/charter.doc.tar.xz
Source1136: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chbibref.tar.xz
Source1137: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chbibref.doc.tar.xz
Source1143: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemarrow.tar.xz
Source1144: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemarrow.doc.tar.xz
Source1146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chembst.tar.xz
Source1147: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chembst.doc.tar.xz
Source1149: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemcompounds.tar.xz
Source1150: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemcompounds.doc.tar.xz
Source1152: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemcono.tar.xz
Source1153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemcono.doc.tar.xz
Source1154: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemexec.tar.xz
Source1155: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemexec.doc.tar.xz
Source1156: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemfig.tar.xz
Source1157: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemfig.doc.tar.xz
Source1158: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemformula.tar.xz
Source1159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemformula.doc.tar.xz
Source1160: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemgreek.tar.xz
Source1161: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemgreek.doc.tar.xz
Source1162: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chem-journal.tar.xz
Source1163: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemmacros.tar.xz
Source1164: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemmacros.doc.tar.xz
Source1165: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemnum.tar.xz
Source1166: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemnum.doc.tar.xz
Source1167: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemschemex.tar.xz
Source1168: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemschemex.doc.tar.xz
Source1170: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemstyle.tar.xz
Source1171: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chemstyle.doc.tar.xz
Source1173: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cherokee.tar.xz
Source1174: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cherokee.doc.tar.xz
Source1175: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chessboard.tar.xz
Source1176: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chessboard.doc.tar.xz
Source1178: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chessfss.tar.xz
Source1179: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chessfss.doc.tar.xz
Source1181: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chess-problem-diagrams.tar.xz
Source1182: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chess-problem-diagrams.doc.tar.xz
Source1184: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chess.tar.xz
Source1185: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chess.doc.tar.xz
Source1186: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chet.tar.xz
Source1187: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chet.doc.tar.xz
Source1188: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chextras.tar.xz
Source1189: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chextras.doc.tar.xz
Source1191: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chicago-annote.tar.xz
Source1192: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chicago-annote.doc.tar.xz
Source1193: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chicago.tar.xz
Source1194: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chickenize.tar.xz
Source1195: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chickenize.doc.tar.xz
Source1197: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chkfloat.tar.xz
Source1198: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chkfloat.doc.tar.xz
Source1201: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chletter.tar.xz
Source1202: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chletter.doc.tar.xz
Source1204: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chngcntr.tar.xz
Source1205: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chngcntr.doc.tar.xz
Source1206: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chronology.tar.xz
Source1207: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chronology.doc.tar.xz
Source1208: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chronosys.tar.xz
Source1209: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chronosys.doc.tar.xz
Source1210: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chscite.tar.xz
Source1211: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chscite.doc.tar.xz
Source1213: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cinzel.tar.xz
Source1214: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cinzel.doc.tar.xz
Source1215: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/circ.tar.xz
Source1216: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/circ.doc.tar.xz
Source1218: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/circuitikz.tar.xz
Source1219: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/circuitikz.doc.tar.xz
Source1220: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/citeall.tar.xz
Source1221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/citeall.doc.tar.xz
Source1222: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cite.tar.xz
Source1223: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cite.doc.tar.xz
Source1224: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjhebrew.tar.xz
Source1225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjhebrew.doc.tar.xz
Source1228: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjk-ko.tar.xz
Source1229: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjk-ko.doc.tar.xz
Source1230: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjkpunct.tar.xz
Source1231: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjkpunct.doc.tar.xz
Source1233: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjk.tar.xz
Source1234: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cjk.doc.tar.xz
Source1236: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cns.tar.xz
Source1237: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cns.doc.tar.xz
Source1238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/garuda-c90.tar.xz
Source1240: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonts-tlwg.tar.xz
Source1241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonts-tlwg.doc.tar.xz
Source1243: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/norasi-c90.tar.xz
Source1245: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uhc.tar.xz
Source1246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uhc.doc.tar.xz
Source1247: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wadalab.tar.xz
Source1248: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wadalab.doc.tar.xz
Source1251: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/classics.tar.xz
Source1252: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/classics.doc.tar.xz
Source1253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/classicthesis.tar.xz
Source1254: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/classicthesis.doc.tar.xz
Source1255: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/classpack.tar.xz
Source1256: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/classpack.doc.tar.xz
Source1258: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cleanthesis.tar.xz
Source1259: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cleanthesis.doc.tar.xz
Source1260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clearsans.tar.xz
Source1261: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clearsans.doc.tar.xz
Source1262: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clefval.tar.xz
Source1263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clefval.doc.tar.xz
Source1265: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cleveref.tar.xz
Source1266: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cleveref.doc.tar.xz
Source1268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clipboard.tar.xz
Source1269: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clipboard.doc.tar.xz
Source1270: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clock.tar.xz
Source1271: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clock.doc.tar.xz
Source1272: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cloze.tar.xz
Source1273: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cloze.doc.tar.xz
Source1275: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clrscode3e.tar.xz
Source1276: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clrscode3e.doc.tar.xz
Source1277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clrscode.tar.xz
Source1278: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/clrscode.doc.tar.xz
Source1279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmap.tar.xz
Source1280: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmap.doc.tar.xz
Source1281: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmarrows.tar.xz
Source1282: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmarrows.doc.tar.xz
Source1283: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmbright.tar.xz
Source1284: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmbright.doc.tar.xz
Source1286: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmcyr.tar.xz
Source1287: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmcyr.doc.tar.xz
Source1288: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmdstring.tar.xz
Source1289: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmdstring.doc.tar.xz
Source1290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmextra.tar.xz
Source1291: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm-lgc.tar.xz
Source1292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm-lgc.doc.tar.xz
Source1293: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmll.tar.xz
Source1294: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmll.doc.tar.xz
Source1296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmpica.tar.xz
Source1297: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmpica.doc.tar.xz
Source1298: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmpj.tar.xz
Source1299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmpj.doc.tar.xz
Source1300: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmsd.tar.xz
Source1301: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmsd.doc.tar.xz
Source1302: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm-super.tar.xz
Source1303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm-super.doc.tar.xz
Source1304: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmtiup.tar.xz
Source1305: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmtiup.doc.tar.xz
Source1306: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm.tar.xz
Source1307: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm.doc.tar.xz
Source1308: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm-unicode.tar.xz
Source1309: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cm-unicode.doc.tar.xz
Source1310: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cnbwp.tar.xz
Source1311: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cnbwp.doc.tar.xz
Source1312: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cnltx.tar.xz
Source1313: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cnltx.doc.tar.xz
Source1314: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cntformats.tar.xz
Source1315: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cntformats.doc.tar.xz
Source1316: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cntperchap.tar.xz
Source1317: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cntperchap.doc.tar.xz
Source1318: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codedoc.tar.xz
Source1319: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codedoc.doc.tar.xz
Source1320: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codepage.tar.xz
Source1321: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codepage.doc.tar.xz
Source1323: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codesection.tar.xz
Source1324: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codesection.doc.tar.xz
Source1326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codicefiscaleitaliano.tar.xz
Source1327: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/codicefiscaleitaliano.doc.tar.xz
Source1329: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collcell.tar.xz
Source1330: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collcell.doc.tar.xz
Source1332: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collectbox.tar.xz
Source1333: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collectbox.doc.tar.xz
Source1343: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enctex.tar.xz
Source1344: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enctex.doc.tar.xz
Source1345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etex.tar.xz
Source1346: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etex.doc.tar.xz
Source1347: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etex-pkg.tar.xz
Source1348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etex-pkg.doc.tar.xz
Source1351: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyph-utf8.tar.xz
Source1352: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyph-utf8.doc.tar.xz
Source1354: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-base.tar.xz
Source1355: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifluatex.tar.xz
Source1356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifluatex.doc.tar.xz
Source1358: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifxetex.tar.xz
Source1359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifxetex.doc.tar.xz
Source1361: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knuth-lib.tar.xz
Source1362: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knuth-local.tar.xz
Source1363: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lua-alt-getopt.tar.xz
Source1364: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lua-alt-getopt.doc.tar.xz
Source1369: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mflogo.tar.xz
Source1370: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mflogo.doc.tar.xz
Source1378: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-common.doc.tar.xz
Source1381: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-msg-translations.tar.xz
Source1386: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colortbl.tar.xz
Source1387: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colortbl.doc.tar.xz
Source1389: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyhdr.tar.xz
Source1390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyhdr.doc.tar.xz
Source1391: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fix2col.tar.xz
Source1392: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fix2col.doc.tar.xz
Source1394: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/geometry.tar.xz
Source1395: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/geometry.doc.tar.xz
Source1397: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphics.tar.xz
Source1398: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphics.doc.tar.xz
Source1400: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyperref.tar.xz
Source1401: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyperref.doc.tar.xz
Source1405: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxmisc.tar.xz
Source1406: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfnfss.tar.xz
Source1407: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfnfss.doc.tar.xz
Source1411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/natbib.tar.xz
Source1412: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/natbib.doc.tar.xz
Source1417: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pslatex.tar.xz
Source1419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psnfss.tar.xz
Source1420: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psnfss.doc.tar.xz
Source1422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pspicture.tar.xz
Source1423: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pspicture.doc.tar.xz
Source1425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tools.tar.xz
Source1426: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tools.doc.tar.xz
Source1428: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/url.tar.xz
Source1429: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/url.doc.tar.xz
Source1430: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collref.tar.xz
Source1431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collref.doc.tar.xz
Source1433: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/compactbib.tar.xz
Source1436: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/custom-bib.tar.xz
Source1437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/custom-bib.doc.tar.xz
Source1439: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/din1505.tar.xz
Source1440: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/din1505.doc.tar.xz
Source1441: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dk-bib.tar.xz
Source1442: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dk-bib.doc.tar.xz
Source1444: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doipubmed.tar.xz
Source1445: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doipubmed.doc.tar.xz
Source1447: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/economic.tar.xz
Source1448: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/economic.doc.tar.xz
Source1449: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fbs.tar.xz
Source1450: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figbib.tar.xz
Source1451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figbib.doc.tar.xz
Source1452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footbib.tar.xz
Source1453: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footbib.doc.tar.xz
Source1455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/francais-bst.tar.xz
Source1456: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/francais-bst.doc.tar.xz
Source1457: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/geschichtsfrkl.tar.xz
Source1458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/geschichtsfrkl.doc.tar.xz
Source1460: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harvard.tar.xz
Source1461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harvard.doc.tar.xz
Source1463: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harvmac.tar.xz
Source1464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harvmac.doc.tar.xz
Source1465: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/historische-zeitschrift.tar.xz
Source1466: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/historische-zeitschrift.doc.tar.xz
Source1467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ijqc.tar.xz
Source1468: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ijqc.doc.tar.xz
Source1469: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inlinebib.tar.xz
Source1470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inlinebib.doc.tar.xz
Source1471: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iopart-num.tar.xz
Source1472: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iopart-num.doc.tar.xz
Source1473: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jneurosci.tar.xz
Source1474: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jneurosci.doc.tar.xz
Source1475: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jurabib.tar.xz
Source1476: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jurabib.doc.tar.xz
Source1478: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ksfh_nat.tar.xz
Source1482: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logreq.tar.xz
Source1483: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logreq.doc.tar.xz
Source1484: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/margbib.tar.xz
Source1485: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/margbib.doc.tar.xz
Source1487: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multibib.tar.xz
Source1488: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multibib.doc.tar.xz
Source1493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/munich.tar.xz
Source1494: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/munich.doc.tar.xz
Source1495: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nar.tar.xz
Source1496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nmbib.tar.xz
Source1497: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nmbib.doc.tar.xz
Source1499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notes2bib.tar.xz
Source1500: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notes2bib.doc.tar.xz
Source1502: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oscola.tar.xz
Source1503: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oscola.doc.tar.xz
Source1504: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/perception.tar.xz
Source1505: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/perception.doc.tar.xz
Source1506: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pnas2009.tar.xz
Source1507: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rsc.tar.xz
Source1508: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rsc.doc.tar.xz
Source1510: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showtags.tar.xz
Source1511: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showtags.doc.tar.xz
Source1512: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sort-by-letters.tar.xz
Source1513: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sort-by-letters.doc.tar.xz
Source1514: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/splitbib.tar.xz
Source1515: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/splitbib.doc.tar.xz
Source1517: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turabian-formatting.tar.xz
Source1518: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turabian-formatting.doc.tar.xz
Source1519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uni-wtal-ger.tar.xz
Source1520: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uni-wtal-ger.doc.tar.xz
Source1521: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uni-wtal-lin.tar.xz
Source1522: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uni-wtal-lin.doc.tar.xz
Source1526: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/usebib.tar.xz
Source1527: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/usebib.doc.tar.xz
Source1529: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vak.tar.xz
Source1530: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vak.doc.tar.xz
Source1531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcite.tar.xz
Source1532: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcite.doc.tar.xz
Source1534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctan_chk.doc.tar.xz
Source1570: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hook-pre-commit-pkg.doc.tar.xz
Source1571: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphenex.tar.xz
Source1664: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetexconfig.tar.xz
Source1665: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lm.tar.xz
Source1666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lm.doc.tar.xz
Source1668: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lm-math.tar.xz
Source1669: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lm-math.doc.tar.xz
Source1670: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/manfnt-font.tar.xz
Source1671: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mflogo-font.tar.xz
Source1672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mflogo-font.doc.tar.xz
Source1673: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stmaryrd.tar.xz
Source1674: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stmaryrd.doc.tar.xz
Source1676: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jmn.tar.xz
Source1677: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-account.tar.xz
Source1678: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-account.doc.tar.xz
Source1679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-algorithmic.tar.xz
Source1680: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-animation.tar.xz
Source1681: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-animation.doc.tar.xz
Source1682: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-annotation.tar.xz
Source1683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-annotation.doc.tar.xz
Source1684: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-bnf.tar.xz
Source1685: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-bnf.doc.tar.xz
Source1686: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-chromato.tar.xz
Source1687: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-chromato.doc.tar.xz
Source1688: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-construction-plan.tar.xz
Source1689: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-construction-plan.doc.tar.xz
Source1690: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-cyrillicnumbers.tar.xz
Source1691: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-cyrillicnumbers.doc.tar.xz
Source1692: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-degrade.tar.xz
Source1693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-degrade.doc.tar.xz
Source1694: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-fancybreak.tar.xz
Source1695: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-fancybreak.doc.tar.xz
Source1696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-filter.tar.xz
Source1697: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-filter.doc.tar.xz
# Source1698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-fixme.tar.xz
Source1699: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-french.tar.xz
Source1700: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-french.doc.tar.xz
Source1701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-fullpage.tar.xz
Source1702: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-fullpage.doc.tar.xz
# Source1703: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-games.tar.xz
# Source1704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-games.doc.tar.xz
Source1705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skaknew.tar.xz
Source1706: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skaknew.doc.tar.xz
Source1707: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-gantt.tar.xz
Source1708: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-gantt.doc.tar.xz
Source1709: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hatching.tar.xz
Source1710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hatching.doc.tar.xz
Source1711: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-gnuplot.tar.xz
Source1712: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-gnuplot.doc.tar.xz
Source1713: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-letter.tar.xz
Source1714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-letter.doc.tar.xz
Source1715: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-lettrine.tar.xz
Source1716: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-lettrine.doc.tar.xz
# Source1717: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-lilypond.tar.xz
# Source1718: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-lilypond.doc.tar.xz
Source1719: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-mathsets.tar.xz
Source1720: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-mathsets.doc.tar.xz
Source1721: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-notes-zh-cn.tar.xz
Source1722: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-notes-zh-cn.doc.tar.xz
Source1723: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-rst.tar.xz
Source1724: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-rst.doc.tar.xz
Source1725: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-ruby.tar.xz
Source1726: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-ruby.doc.tar.xz
Source1727: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-simplefonts.tar.xz
Source1728: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-simplefonts.doc.tar.xz
Source1729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-simpleslides.tar.xz
Source1730: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-simpleslides.doc.tar.xz
Source1731: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-title.tar.xz
Source1732: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-title.doc.tar.xz
Source1733: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-transliterator.tar.xz
Source1734: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-transliterator.doc.tar.xz
Source1735: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-typearea.tar.xz
Source1736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-typearea.doc.tar.xz
Source1737: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-typescripts.tar.xz
Source1738: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-typescripts.doc.tar.xz
Source1739: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-vim.tar.xz
Source1740: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-vim.doc.tar.xz
Source1741: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-visualcounter.tar.xz
Source1742: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-visualcounter.doc.tar.xz
Source1744: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comfortaa.tar.xz
Source1745: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comfortaa.doc.tar.xz
Source1747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comicneue.tar.xz
Source1748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comicneue.doc.tar.xz
Source1749: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concmath-fonts.tar.xz
Source1750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concmath-fonts.doc.tar.xz
Source1751: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cookingsymbols.tar.xz
Source1752: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cookingsymbols.doc.tar.xz
Source1754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/countriesofeurope.tar.xz
Source1755: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/countriesofeurope.doc.tar.xz
Source1756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/courier-scaled.tar.xz
Source1757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/courier-scaled.doc.tar.xz
Source1758: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cryst.tar.xz
Source1759: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cryst.doc.tar.xz
Source1760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyklop.tar.xz
Source1761: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyklop.doc.tar.xz
Source1762: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dancers.tar.xz
Source1763: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dantelogo.tar.xz
Source1764: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dantelogo.doc.tar.xz
Source1765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dejavu.tar.xz
Source1766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dejavu.doc.tar.xz
Source1767: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dice.tar.xz
Source1768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dice.doc.tar.xz
Source1769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dictsym.tar.xz
Source1770: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dictsym.doc.tar.xz
Source1771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dingbat.tar.xz
Source1772: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dingbat.doc.tar.xz
Source1774: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doublestroke.tar.xz
Source1775: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doublestroke.doc.tar.xz
Source1776: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dozenal.tar.xz
Source1777: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dozenal.doc.tar.xz
Source1779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drm.tar.xz
Source1780: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drm.doc.tar.xz
Source1782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/droid.tar.xz
Source1783: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/droid.doc.tar.xz
Source1785: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/duerer.tar.xz
Source1786: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/duerer.doc.tar.xz
Source1787: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/duerer-latex.tar.xz
Source1788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/duerer-latex.doc.tar.xz
Source1789: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dutchcal.tar.xz
Source1790: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dutchcal.doc.tar.xz
Source1791: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ean.tar.xz
Source1792: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ean.doc.tar.xz
Source1793: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebgaramond.tar.xz
Source1794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebgaramond.doc.tar.xz
Source1795: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebgaramond-maths.tar.xz
Source1796: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebgaramond-maths.doc.tar.xz
Source1797: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecc.tar.xz
Source1798: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecc.doc.tar.xz
Source1799: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eco.tar.xz
Source1800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eco.doc.tar.xz
Source1802: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eiad.tar.xz
Source1803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eiad.doc.tar.xz
Source1804: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eiad-ltx.tar.xz
Source1805: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eiad-ltx.doc.tar.xz
Source1807: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/electrum.tar.xz
Source1808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/electrum.doc.tar.xz
Source1810: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elvish.tar.xz
Source1811: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elvish.doc.tar.xz
Source1812: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epigrafica.tar.xz
Source1813: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epigrafica.doc.tar.xz
Source1814: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsdice.tar.xz
Source1815: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsdice.doc.tar.xz
Source1817: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/erewhon.tar.xz
Source1818: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/erewhon.doc.tar.xz
Source1819: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esrelation.tar.xz
Source1820: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esrelation.doc.tar.xz
Source1822: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esstix.tar.xz
Source1823: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esstix.doc.tar.xz
Source1824: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esvect.tar.xz
Source1825: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esvect.doc.tar.xz
Source1827: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eulervm.tar.xz
Source1828: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eulervm.doc.tar.xz
Source1830: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/euxm.tar.xz
Source1831: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fbb.tar.xz
Source1832: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fbb.doc.tar.xz
Source1833: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fdsymbol.tar.xz
Source1834: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fdsymbol.doc.tar.xz
Source1836: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fetamont.tar.xz
Source1837: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fetamont.doc.tar.xz
Source1839: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feyn.tar.xz
Source1840: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feyn.doc.tar.xz
Source1842: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fge.tar.xz
Source1843: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fge.doc.tar.xz
Source1845: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fira.tar.xz
Source1846: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fira.doc.tar.xz
Source1847: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/foekfont.tar.xz
Source1848: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/foekfont.doc.tar.xz
Source1849: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonetika.tar.xz
Source1850: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonetika.doc.tar.xz
Source1851: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontawesome.tar.xz
Source1852: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontawesome.doc.tar.xz
Source1853: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontmfizz.tar.xz
Source1854: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontmfizz.doc.tar.xz
Source1855: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/old-arrows.tar.xz
Source1856: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/old-arrows.doc.tar.xz
Source1857: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fourier.tar.xz
Source1858: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fourier.doc.tar.xz
Source1860: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fouriernc.tar.xz
Source1861: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fouriernc.doc.tar.xz
Source1862: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frcursive.tar.xz
Source1863: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frcursive.doc.tar.xz
Source1864: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/genealogy.tar.xz
Source1865: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/genealogy.doc.tar.xz
Source1866: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gentium-tug.tar.xz
Source1867: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gentium-tug.doc.tar.xz
Source1869: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsartemisia.tar.xz
Source1870: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsartemisia.doc.tar.xz
Source1871: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsbodoni.tar.xz
Source1872: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsbodoni.doc.tar.xz
Source1873: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfscomplutum.tar.xz
Source1874: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfscomplutum.doc.tar.xz
Source1875: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsdidot.tar.xz
Source1876: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsdidot.doc.tar.xz
Source1877: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsneohellenic.tar.xz
Source1878: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsneohellenic.doc.tar.xz
Source1879: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfssolomos.tar.xz
Source1880: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfssolomos.doc.tar.xz
Source1881: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gillcm.tar.xz
Source1882: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gillcm.doc.tar.xz
Source1883: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gillius.tar.xz
Source1884: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gillius.doc.tar.xz
Source1885: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gnu-freefont.tar.xz
Source1886: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gnu-freefont.doc.tar.xz
Source1888: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gothic.tar.xz
Source1889: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gothic.doc.tar.xz
Source1891: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greenpoint.tar.xz
Source1892: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greenpoint.doc.tar.xz
Source1893: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grotesq.tar.xz
Source1894: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grotesq.doc.tar.xz
Source1895: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hacm.tar.xz
Source1896: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hacm.doc.tar.xz
Source1897: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hands.tar.xz
Source1898: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/heuristica.tar.xz
Source1899: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/heuristica.doc.tar.xz
Source1900: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hfbright.tar.xz
Source1901: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hfbright.doc.tar.xz
Source1902: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hfoldsty.tar.xz
Source1903: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hfoldsty.doc.tar.xz
Source1905: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifsym.tar.xz
Source1906: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifsym.doc.tar.xz
Source1907: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inconsolata.tar.xz
Source1908: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inconsolata.doc.tar.xz
Source1909: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/initials.tar.xz
Source1910: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/initials.doc.tar.xz
Source1911: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ipaex-type1.tar.xz
Source1912: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ipaex-type1.doc.tar.xz
Source1913: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iwona.tar.xz
Source1914: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iwona.doc.tar.xz
Source1915: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jablantile.tar.xz
Source1916: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jablantile.doc.tar.xz
Source1917: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jamtimes.tar.xz
Source1918: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jamtimes.doc.tar.xz
Source1919: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/junicode.tar.xz
Source1920: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/junicode.doc.tar.xz
Source1921: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kixfont.tar.xz
Source1922: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kixfont.doc.tar.xz
# Source1923: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knuthotherfonts.tar.xz
Source1924: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kpfonts.tar.xz
Source1925: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kpfonts.doc.tar.xz
Source1926: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kurier.tar.xz
Source1927: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kurier.doc.tar.xz
Source1928: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lato.tar.xz
Source1929: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lato.doc.tar.xz
Source1931: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lfb.tar.xz
Source1932: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lfb.doc.tar.xz
Source1933: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertine.tar.xz
Source1934: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertine.doc.tar.xz
Source1935: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librebaskerville.tar.xz
Source1936: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librebaskerville.doc.tar.xz
Source1937: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librecaslon.tar.xz
Source1938: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librecaslon.doc.tar.xz
Source1939: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libris.tar.xz
Source1940: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libris.doc.tar.xz
Source1942: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linearA.tar.xz
Source1943: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linearA.doc.tar.xz
Source1945: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lobster2.tar.xz
Source1946: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lobster2.doc.tar.xz
Source1947: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lxfonts.tar.xz
Source1948: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lxfonts.doc.tar.xz
Source1950: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ly1.tar.xz
Source1951: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ly1.doc.tar.xz
Source1952: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathabx.tar.xz
Source1953: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathabx.doc.tar.xz
Source1954: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathabx-type1.tar.xz
Source1955: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathabx-type1.doc.tar.xz
Source1956: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathdesign.tar.xz
Source1957: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathdesign.doc.tar.xz
Source1958: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdputu.tar.xz
Source1959: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdputu.doc.tar.xz
Source1960: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdsymbol.tar.xz
Source1961: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdsymbol.doc.tar.xz
Source1963: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/merriweather.tar.xz
Source1964: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/merriweather.doc.tar.xz
Source1965: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mintspirit.tar.xz
Source1966: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mintspirit.doc.tar.xz
Source1967: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mnsymbol.tar.xz
Source1968: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mnsymbol.doc.tar.xz
Source1970: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newpx.tar.xz
Source1971: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newpx.doc.tar.xz
Source1972: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newtx.tar.xz
Source1973: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newtx.doc.tar.xz
Source1974: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newtxsf.tar.xz
Source1975: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newtxsf.doc.tar.xz
Source1976: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newtxtt.tar.xz
Source1977: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newtxtt.doc.tar.xz
Source1978: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nkarta.tar.xz
Source1979: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nkarta.doc.tar.xz
Source1981: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/obnov.tar.xz
Source1982: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/obnov.doc.tar.xz
Source1983: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocherokee.tar.xz
Source1984: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocherokee.doc.tar.xz
Source1985: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocr-b.tar.xz
Source1986: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocr-b.doc.tar.xz
Source1987: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocr-b-outline.tar.xz
Source1988: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocr-b-outline.doc.tar.xz
Source1990: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ogham.tar.xz
Source1991: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ogham.doc.tar.xz
Source1992: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oinuit.tar.xz
Source1993: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oinuit.doc.tar.xz
Source1995: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oldlatin.tar.xz
Source1996: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oldlatin.doc.tar.xz
Source1997: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oldstandard.tar.xz
Source1998: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oldstandard.doc.tar.xz
Source2000: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/opensans.tar.xz
Source2001: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/opensans.doc.tar.xz
Source2003: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/orkhun.tar.xz
Source2004: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/orkhun.doc.tar.xz
Source2005: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/overlock.tar.xz
Source2006: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/overlock.doc.tar.xz
Source2007: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pacioli.tar.xz
Source2008: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pacioli.doc.tar.xz
Source2010: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paratype.tar.xz
Source2011: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paratype.doc.tar.xz
Source2012: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phaistos.tar.xz
Source2013: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phaistos.doc.tar.xz
Source2015: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phonetic.tar.xz
Source2016: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phonetic.doc.tar.xz
Source2017: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pigpen.tar.xz
Source2018: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pigpen.doc.tar.xz
Source2019: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/playfair.tar.xz
Source2020: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/playfair.doc.tar.xz
Source2021: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poltawski.tar.xz
Source2022: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poltawski.doc.tar.xz
Source2023: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prodint.tar.xz
Source2024: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prodint.doc.tar.xz
Source2025: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/punk.tar.xz
Source2026: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/punk.doc.tar.xz
Source2027: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/punk-latex.tar.xz
Source2028: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/punk-latex.doc.tar.xz
Source2029: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/punknova.tar.xz
Source2030: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/punknova.doc.tar.xz
Source2031: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxtxalfa.tar.xz
Source2032: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxtxalfa.doc.tar.xz
Source2033: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quattrocento.tar.xz
Source2034: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quattrocento.doc.tar.xz
Source2035: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/raleway.tar.xz
Source2036: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/raleway.doc.tar.xz
Source2037: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recycle.tar.xz
Source2038: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recycle.doc.tar.xz
Source2039: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/roboto.tar.xz
Source2040: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/roboto.doc.tar.xz
Source2041: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romande.tar.xz
Source2042: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romande.doc.tar.xz
Source2044: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rsfso.tar.xz
Source2045: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rsfso.doc.tar.xz
Source2046: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sansmathaccent.tar.xz
Source2047: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sansmathaccent.doc.tar.xz
Source2048: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sansmathfonts.tar.xz
Source2049: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sansmathfonts.doc.tar.xz
Source2050: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sauter.tar.xz
Source2051: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sauterfonts.tar.xz
Source2052: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sauterfonts.doc.tar.xz
Source2054: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schulschriften.tar.xz
Source2055: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schulschriften.doc.tar.xz
Source2056: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semaphor.tar.xz
Source2057: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semaphor.doc.tar.xz
Source2058: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skull.tar.xz
Source2060: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sourcecodepro.tar.xz
Source2061: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sourcecodepro.doc.tar.xz
Source2062: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sourcesanspro.tar.xz
Source2063: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sourcesanspro.doc.tar.xz
Source2064: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sourceserifpro.tar.xz
Source2065: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sourceserifpro.doc.tar.xz
Source2066: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/starfont.tar.xz
Source2067: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/starfont.doc.tar.xz
Source2068: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/staves.tar.xz
Source2069: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/staves.doc.tar.xz
Source2071: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stix.tar.xz
Source2072: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stix.doc.tar.xz
Source2074: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/superiors.tar.xz
Source2075: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/superiors.doc.tar.xz
Source2076: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tapir.tar.xz
Source2077: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tapir.doc.tar.xz
Source2078: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tengwarscript.tar.xz
Source2079: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tengwarscript.doc.tar.xz
Source2081: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tfrupee.tar.xz
Source2082: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tfrupee.doc.tar.xz
Source2084: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tpslifonts.tar.xz
Source2085: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tpslifonts.doc.tar.xz
Source2087: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trajan.tar.xz
Source2088: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trajan.doc.tar.xz
Source2090: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txfontsb.tar.xz
Source2091: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txfontsb.doc.tar.xz
Source2093: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typicons.tar.xz
Source2094: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typicons.doc.tar.xz
Source2095: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umtypewriter.tar.xz
Source2096: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/universa.tar.xz
Source2097: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/universa.doc.tar.xz
Source2099: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/universalis.tar.xz
Source2100: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/universalis.doc.tar.xz
Source2101: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/urwchancal.tar.xz
Source2102: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/urwchancal.doc.tar.xz
Source2103: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/venturisadf.tar.xz
Source2104: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/venturisadf.doc.tar.xz
Source2106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wsuipa.tar.xz
Source2107: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wsuipa.doc.tar.xz
Source2108: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcharter.tar.xz
Source2109: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcharter.doc.tar.xz
Source2110: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xits.tar.xz
Source2111: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xits.doc.tar.xz
Source2113: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yfonts.tar.xz
Source2114: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yfonts.doc.tar.xz
Source2118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zlmtt.tar.xz
Source2119: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zlmtt.doc.tar.xz
Source2120: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/courier.tar.xz
Source2121: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ec.tar.xz
Source2122: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ec.doc.tar.xz
Source2123: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/euro.tar.xz
Source2124: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/euro.doc.tar.xz
Source2126: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eurosym.tar.xz
Source2127: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eurosym.doc.tar.xz
Source2128: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fpl.tar.xz
Source2129: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fpl.doc.tar.xz
Source2131: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/helvetic.tar.xz
Source2132: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marvosym.tar.xz
Source2133: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marvosym.doc.tar.xz
Source2135: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathpazo.tar.xz
Source2136: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathpazo.doc.tar.xz
Source2138: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ncntrsbk.tar.xz
Source2139: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/palatino.tar.xz
Source2140: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxfonts.tar.xz
Source2141: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxfonts.doc.tar.xz
Source2142: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rsfs.tar.xz
Source2143: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rsfs.doc.tar.xz
Source2144: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/symbol.tar.xz
Source2145: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-gyre.tar.xz
Source2146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-gyre.doc.tar.xz
Source2147: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-gyre-math.tar.xz
Source2148: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-gyre-math.doc.tar.xz
Source2149: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/times.tar.xz
Source2150: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tipa.tar.xz
Source2151: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tipa.doc.tar.xz
Source2152: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txfonts.tar.xz
Source2153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txfonts.doc.tar.xz
Source2154: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/utopia.tar.xz
Source2155: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/utopia.doc.tar.xz
Source2156: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wasy.tar.xz
Source2157: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wasy.doc.tar.xz
Source2158: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wasy2-ps.tar.xz
Source2159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wasy2-ps.doc.tar.xz
Source2160: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wasysym.tar.xz
Source2161: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wasysym.doc.tar.xz
Source2163: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zapfchan.tar.xz
Source2164: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zapfding.tar.xz
Source2178: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dvipsconfig.tar.xz
Source2188: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/edmac.tar.xz
Source2189: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/edmac.doc.tar.xz
Source2198: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psizzl.tar.xz
Source2199: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psizzl.doc.tar.xz
Source2201: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/startex.tar.xz
Source2202: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/startex.doc.tar.xz
Source2206: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crossword.tar.xz
Source2207: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crossword.doc.tar.xz
Source2209: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crosswrd.tar.xz
Source2210: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crosswrd.doc.tar.xz
Source2212: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/egameps.tar.xz
Source2213: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/egameps.doc.tar.xz
Source2214: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gamebook.tar.xz
Source2215: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gamebook.doc.tar.xz
Source2217: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/go.tar.xz
Source2218: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/go.doc.tar.xz
Source2220: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hanoi.tar.xz
Source2221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/havannah.tar.xz
Source2222: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/havannah.doc.tar.xz
Source2224: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hexgame.tar.xz
Source2225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hexgame.doc.tar.xz
Source2226: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/horoscop.tar.xz
Source2227: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/horoscop.doc.tar.xz
Source2229: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/labyrinth.tar.xz
Source2230: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/labyrinth.doc.tar.xz
Source2231: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logicpuzzle.tar.xz
Source2232: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logicpuzzle.doc.tar.xz
Source2233: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/othello.tar.xz
Source2234: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/othello.doc.tar.xz
Source2235: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/othelloboard.tar.xz
Source2236: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/othelloboard.doc.tar.xz
Source2237: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-crosswords.tar.xz
Source2238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-crosswords.doc.tar.xz
Source2239: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psgo.tar.xz
Source2240: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psgo.doc.tar.xz
Source2241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/reverxii.doc.tar.xz
Source2245: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schwalbe-chess.tar.xz
Source2246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schwalbe-chess.doc.tar.xz
Source2248: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sgame.tar.xz
Source2249: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sgame.doc.tar.xz
Source2250: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skak.tar.xz
Source2251: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skak.doc.tar.xz
Source2252: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sudoku.tar.xz
Source2253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sudoku.doc.tar.xz
Source2255: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sudokubundle.tar.xz
Source2256: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sudokubundle.doc.tar.xz
Source2258: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xq.tar.xz
Source2259: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xq.doc.tar.xz
Source2260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xskak.tar.xz
Source2261: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xskak.doc.tar.xz
Source2263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/c-pascal.tar.xz
Source2264: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/c-pascal.doc.tar.xz
Source2265: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorsep.tar.xz
Source2266: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dinat.tar.xz
Source2267: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dinat.doc.tar.xz
Source2268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dirtree.tar.xz
Source2269: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dirtree.doc.tar.xz
Source2271: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/docbytex.tar.xz
Source2272: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/docbytex.doc.tar.xz
Source2273: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dowith.tar.xz
Source2274: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dowith.doc.tar.xz
Source2276: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eijkhout.tar.xz
Source2277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/encxvlna.tar.xz
Source2278: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/encxvlna.doc.tar.xz
Source2279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epigram.tar.xz
Source2280: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fenixpar.tar.xz
Source2281: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fenixpar.doc.tar.xz
Source2282: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fltpoint.tar.xz
Source2283: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fltpoint.doc.tar.xz
Source2285: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fntproof.tar.xz
Source2286: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fntproof.doc.tar.xz
Source2287: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gates.tar.xz
Source2288: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gates.doc.tar.xz
Source2289: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifetex.tar.xz
Source2290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifetex.doc.tar.xz
Source2292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iftex.tar.xz
Source2293: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iftex.doc.tar.xz
Source2294: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/insbox.tar.xz
Source2295: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/insbox.doc.tar.xz
Source2296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lambda-lists.tar.xz
Source2297: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lambda-lists.doc.tar.xz
Source2298: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/langcode.tar.xz
Source2299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/langcode.doc.tar.xz
Source2301: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lecturer.tar.xz
Source2302: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lecturer.doc.tar.xz
Source2303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librarian.tar.xz
Source2304: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librarian.doc.tar.xz
Source2305: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathdots.tar.xz
Source2306: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathdots.doc.tar.xz
Source2308: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metatex.tar.xz
Source2309: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metatex.doc.tar.xz
Source2310: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/midnight.tar.xz
Source2311: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/midnight.doc.tar.xz
Source2312: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/navigator.tar.xz
Source2313: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/navigator.doc.tar.xz
Source2314: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ofs.tar.xz
Source2315: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ofs.doc.tar.xz
Source2316: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdf-trans.tar.xz
Source2317: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdf-trans.doc.tar.xz
Source2318: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plainpkg.tar.xz
Source2319: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plainpkg.doc.tar.xz
Source2321: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schemata.tar.xz
Source2322: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schemata.doc.tar.xz
Source2324: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shade.tar.xz
Source2325: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shade.doc.tar.xz
Source2326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/systeme.tar.xz
Source2327: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/systeme.doc.tar.xz
Source2328: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabto-generic.tar.xz
Source2329: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termmenu.tar.xz
Source2330: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termmenu.doc.tar.xz
Source2332: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tracklang.tar.xz
Source2333: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tracklang.doc.tar.xz
Source2335: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texapi.tar.xz
Source2336: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texapi.doc.tar.xz
Source2337: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upca.tar.xz
Source2338: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upca.doc.tar.xz
Source2339: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xlop.tar.xz
Source2340: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xlop.doc.tar.xz
Source2342: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yax.tar.xz
Source2343: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yax.doc.tar.xz
Source2344: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsf.tar.xz
Source2345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsf.doc.tar.xz
Source2346: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontname.tar.xz
Source2347: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontname.doc.tar.xz
Source2348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/genmisc.tar.xz
Source2349: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kastrup.tar.xz
Source2350: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kastrup.doc.tar.xz
Source2352: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multido.tar.xz
Source2353: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multido.doc.tar.xz
Source2355: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/path.tar.xz
Source2356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/path.doc.tar.xz
Source2357: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-ps.tar.xz
Source2358: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-ps.doc.tar.xz
Source2359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ulem.tar.xz
Source2360: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ulem.doc.tar.xz
Source2364: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/passivetex.tar.xz
Source2369: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xmltexconfig.tar.xz
Source2370: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/covington.tar.xz
Source2371: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/covington.doc.tar.xz
Source2374: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dramatist.tar.xz
Source2375: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dramatist.doc.tar.xz
Source2377: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dvgloss.tar.xz
Source2378: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dvgloss.doc.tar.xz
Source2380: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecltree.tar.xz
Source2381: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecltree.doc.tar.xz
Source2382: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/edfnotes.tar.xz
Source2383: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/edfnotes.doc.tar.xz
Source2385: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ednotes.tar.xz
Source2386: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ednotes.doc.tar.xz
Source2387: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ncctools.tar.xz
Source2388: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ncctools.doc.tar.xz
Source2390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eledform.tar.xz
Source2391: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eledform.doc.tar.xz
Source2393: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eledmac.tar.xz
Source2394: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eledmac.doc.tar.xz
Source2396: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/expex.tar.xz
Source2397: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/expex.doc.tar.xz
Source2398: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gb4e.tar.xz
Source2399: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gb4e.doc.tar.xz
Source2400: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmverse.tar.xz
Source2401: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmverse.doc.tar.xz
Source2402: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jura.tar.xz
Source2403: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jura.doc.tar.xz
Source2405: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/juraabbrev.tar.xz
Source2406: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/juraabbrev.doc.tar.xz
Source2408: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/juramisc.tar.xz
Source2409: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/juramisc.doc.tar.xz
Source2410: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jurarsp.tar.xz
Source2411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jurarsp.doc.tar.xz
Source2413: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ledmac.tar.xz
Source2414: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ledmac.doc.tar.xz
Source2416: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leipzig.tar.xz
Source2417: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leipzig.doc.tar.xz
Source2419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lexikon.tar.xz
Source2420: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lexikon.doc.tar.xz
Source2421: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lexref.tar.xz
Source2422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lexref.doc.tar.xz
Source2423: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linguex.tar.xz
Source2424: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linguex.doc.tar.xz
Source2425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/liturg.tar.xz
Source2426: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/liturg.doc.tar.xz
Source2428: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metrix.tar.xz
Source2429: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metrix.doc.tar.xz
Source2431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parallel.tar.xz
Source2432: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parallel.doc.tar.xz
Source2434: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parrun.tar.xz
Source2435: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parrun.doc.tar.xz
Source2437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phonrule.tar.xz
Source2438: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phonrule.doc.tar.xz
Source2439: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plari.tar.xz
Source2440: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plari.doc.tar.xz
Source2442: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/play.tar.xz
Source2443: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/play.doc.tar.xz
Source2445: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poemscol.tar.xz
Source2446: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poemscol.doc.tar.xz
Source2448: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poetrytex.tar.xz
Source2449: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poetrytex.doc.tar.xz
Source2451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qobitree.tar.xz
Source2452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qobitree.doc.tar.xz
Source2453: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qtree.tar.xz
Source2454: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qtree.doc.tar.xz
Source2455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/reledmac.tar.xz
Source2456: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/reledmac.doc.tar.xz
Source2458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rrgtrees.tar.xz
Source2459: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rrgtrees.doc.tar.xz
Source2461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rtklage.tar.xz
Source2462: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rtklage.doc.tar.xz
Source2463: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/screenplay.tar.xz
Source2464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/screenplay.doc.tar.xz
Source2466: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/screenplay-pkg.tar.xz
Source2467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/screenplay-pkg.doc.tar.xz
Source2468: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sides.tar.xz
Source2469: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sides.doc.tar.xz
Source2470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stage.tar.xz
Source2471: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stage.doc.tar.xz
Source2472: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textglos.tar.xz
Source2473: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textglos.doc.tar.xz
Source2475: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thalie.tar.xz
Source2476: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thalie.doc.tar.xz
Source2478: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tree-dvips.tar.xz
Source2479: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tree-dvips.doc.tar.xz
Source2480: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verse.tar.xz
Source2481: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verse.doc.tar.xz
Source2483: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xyling.tar.xz
Source2484: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xyling.doc.tar.xz
Source2485: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ethiop.tar.xz
Source2486: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ethiop.doc.tar.xz
Source2488: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ethiop-t1.tar.xz
Source2489: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ethiop-t1.doc.tar.xz
Source2490: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fc.tar.xz
Source2491: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fc.doc.tar.xz
Source2492: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-ethiopic.tar.xz
Source2493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dad.tar.xz
Source2494: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dad.doc.tar.xz
Source2495: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ghab.tar.xz
Source2496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ghab.doc.tar.xz
Source2497: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-arabic.tar.xz
Source2498: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-farsi.tar.xz
Source2499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imsproc.tar.xz
Source2500: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imsproc.doc.tar.xz
Source2501: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-persian.doc.tar.xz
Source2502: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/persian-bib.tar.xz
Source2503: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/persian-bib.doc.tar.xz
Source2504: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simurgh.tar.xz
Source2505: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simurgh.doc.tar.xz
Source2506: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tram.tar.xz
Source2507: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tram.doc.tar.xz
Source2508: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dnp.tar.xz
Source2509: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcjk2uni.tar.xz
Source2510: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcjk2uni.doc.tar.xz
Source2512: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zxjafont.tar.xz
Source2513: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zxjafont.doc.tar.xz
Source2514: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctex.tar.xz
Source2515: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctex.doc.tar.xz
Source2517: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctex-faq.doc.tar.xz
Source2518: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fandol.tar.xz
Source2519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fandol.doc.tar.xz
Source2520: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-chinese.tar.xz
Source2521: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/impatient-cn.doc.tar.xz
Source2522: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-notes-zh-cn.doc.tar.xz
Source2523: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-chinese.doc.tar.xz
Source2524: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-zh-cn.doc.tar.xz
Source2525: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpinyin.tar.xz
Source2526: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpinyin.doc.tar.xz
Source2528: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhmetrics.tar.xz
Source2529: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhmetrics.doc.tar.xz
Source2531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhnumber.tar.xz
Source2532: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhnumber.doc.tar.xz
Source2534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhspacing.tar.xz
Source2535: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhspacing.doc.tar.xz
Source2541: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyrplain.tar.xz
Source2542: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.tar.xz
Source2543: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.doc.tar.xz
Source2545: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eskd.tar.xz
Source2546: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eskd.doc.tar.xz
Source2548: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eskdx.tar.xz
Source2549: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eskdx.doc.tar.xz
Source2550: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.tar.xz
Source2551: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.doc.tar.xz
Source2553: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-bulgarian.tar.xz
Source2554: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-mongolian.tar.xz
Source2555: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-russian.tar.xz
Source2556: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ruhyphen.tar.xz
Source2558: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-serbian.tar.xz
Source2559: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-ukrainian.tar.xz
Source2560: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ukrhyph.tar.xz
Source2561: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ukrhyph.doc.tar.xz
Source2562: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcyw.tar.xz
Source2563: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcyw.doc.tar.xz
Source2565: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.tar.xz
Source2566: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.doc.tar.xz
Source2568: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lhcyr.tar.xz
Source2570: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-bulgarian.doc.tar.xz
Source2571: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-mongol.doc.tar.xz
Source2572: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-russian.doc.tar.xz
Source2573: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-ukr.doc.tar.xz
Source2574: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mongolian-babel.tar.xz
Source2575: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mongolian-babel.doc.tar.xz
Source2577: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/montex.tar.xz
Source2578: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/montex.doc.tar.xz
Source2579: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpman-ru.doc.tar.xz
Source2580: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-eucl-translation-bg.doc.tar.xz
Source2581: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-apostrophe.tar.xz
Source2582: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-apostrophe.doc.tar.xz
Source2583: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-date-lat.tar.xz
Source2584: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-date-lat.doc.tar.xz
Source2585: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-def-cyr.tar.xz
Source2586: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-def-cyr.doc.tar.xz
Source2587: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-lig.tar.xz
Source2588: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/serbian-lig.doc.tar.xz
Source2589: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/t2.tar.xz
Source2590: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/t2.doc.tar.xz
Source2591: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-ru.doc.tar.xz
Source2592: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-sr.doc.tar.xz
Source2593: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cs.tar.xz
Source2594: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/csbulletin.tar.xz
Source2595: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/csbulletin.doc.tar.xz
Source2599: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cstex.doc.tar.xz
Source2600: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-czech.tar.xz
Source2601: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-slovak.tar.xz
Source2604: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-czech.doc.tar.xz
Source2605: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-slovak.doc.tar.xz
Source2606: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-cz.doc.tar.xz
Source2607: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-english.tar.xz
Source2608: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/FAQ-en.doc.tar.xz
Source2609: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/MemoirChapStyles.doc.tar.xz
Source2610: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/Type1fonts.doc.tar.xz
Source2611: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/components-of-TeX.doc.tar.xz
Source2612: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comprehensive.doc.tar.xz
Source2613: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dickimaw.doc.tar.xz
Source2614: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dtxtut.doc.tar.xz
Source2615: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/first-latex-doc.doc.tar.xz
Source2616: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gentle.doc.tar.xz
Source2617: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/guide-to-latex.doc.tar.xz
Source2618: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/happy4th.doc.tar.xz
Source2619: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/impatient.doc.tar.xz
Source2620: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/intro-scientific.doc.tar.xz
Source2621: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knuth.doc.tar.xz
Source2623: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l2tabu-english.doc.tar.xz
Source2624: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-brochure.doc.tar.xz
Source2625: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-course.doc.tar.xz
Source2626: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-doc-ptr.doc.tar.xz
Source2627: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-graphics-companion.doc.tar.xz
Source2628: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-veryshortguide.doc.tar.xz
Source2629: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-web-companion.doc.tar.xz
Source2630: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex2e-help-texinfo.tar.xz
Source2631: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex2e-help-texinfo.doc.tar.xz
Source2632: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex4wp.doc.tar.xz
Source2633: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexcheat.doc.tar.xz
Source2634: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexcourse-rug.doc.tar.xz
Source2635: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexfileinfo-pkgs.tar.xz
Source2636: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexfileinfo-pkgs.doc.tar.xz
Source2638: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-english.doc.tar.xz
Source2639: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/macros2e.doc.tar.xz
Source2640: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/math-e.doc.tar.xz
Source2641: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/maths-symbols.doc.tar.xz
Source2642: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/memdesign.doc.tar.xz
Source2643: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metafont-beginners.doc.tar.xz
Source2644: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metapost-examples.doc.tar.xz
Source2646: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/patgen2-tutorial.doc.tar.xz
Source2647: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pictexsum.doc.tar.xz
Source2648: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plain-doc.doc.tar.xz
Source2649: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/presentations-en.doc.tar.xz
# Source2650: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstricks-examples-en.doc.tar.xz
Source2651: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simplified-latex.doc.tar.xz
Source2652: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svg-inkscape.doc.tar.xz
Source2653: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabulars-e.doc.tar.xz
Source2654: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tamethebeast.doc.tar.xz
Source2655: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tds.doc.tar.xz
Source2656: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-font-errors-cheatsheet.doc.tar.xz
Source2657: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-overview.doc.tar.xz
Source2658: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-refs.doc.tar.xz
Source2659: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texbytopic.doc.tar.xz
Source2660: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlepages.doc.tar.xz
Source2661: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tlc2.doc.tar.xz
Source2662: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/visualfaq.doc.tar.xz
# Source2663: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/voss-mathmode.doc.tar.xz
Source2664: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/webguide.doc.tar.xz
Source2665: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetexref.doc.tar.xz
Source2666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/finbib.tar.xz
Source2667: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hrlatex.tar.xz
Source2668: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hrlatex.doc.tar.xz
Source2670: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-armenian.tar.xz
Source2671: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-croatian.tar.xz
Source2672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-danish.tar.xz
Source2673: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-dutch.tar.xz
Source2674: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-estonian.tar.xz
Source2675: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-finnish.tar.xz
Source2676: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-friulan.tar.xz
Source2677: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-hungarian.tar.xz
Source2678: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-hungarian.doc.tar.xz
Source2679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-icelandic.tar.xz
Source2680: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-irish.tar.xz
Source2681: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-kurmanji.tar.xz
Source2682: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-latin.tar.xz
Source2683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-latvian.tar.xz
Source2684: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-lithuanian.tar.xz
Source2685: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-norwegian.tar.xz
Source2686: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-piedmontese.tar.xz
Source2687: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-romanian.tar.xz
Source2688: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-romansh.tar.xz
Source2689: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-slovenian.tar.xz
Source2690: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-swedish.tar.xz
Source2691: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-turkish.tar.xz
Source2692: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-uppersorbian.tar.xz
Source2693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-welsh.tar.xz
Source2694: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lithuanian.tar.xz
Source2695: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lithuanian.doc.tar.xz
Source2696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-dutch.doc.tar.xz
Source2697: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-finnish.doc.tar.xz
Source2698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-slovenian.doc.tar.xz
Source2699: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-turkish.doc.tar.xz
Source2700: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nevelok.tar.xz
Source2701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nevelok.doc.tar.xz
Source2703: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/swebib.tar.xz
Source2704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/swebib.doc.tar.xz
Source2705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turkmen.tar.xz
Source2706: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turkmen.doc.tar.xz
Source2708: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/droit-fr.tar.xz
Source2709: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/droit-fr.doc.tar.xz
Source2710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/e-french.tar.xz
Source2711: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/e-french.doc.tar.xz
Source2712: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epslatex-fr.doc.tar.xz
Source2713: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/facture.tar.xz
Source2714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/facture.doc.tar.xz
Source2716: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frletter.tar.xz
Source2717: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frletter.doc.tar.xz
Source2718: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-basque.tar.xz
Source2719: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-french.tar.xz
Source2720: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/impatient-fr.doc.tar.xz
Source2721: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/impnattypo.tar.xz
Source2722: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/impnattypo.doc.tar.xz
Source2724: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l2tabu-french.doc.tar.xz
Source2725: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-french.doc.tar.xz
Source2726: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mafr.tar.xz
Source2727: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mafr.doc.tar.xz
Source2728: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabvar.tar.xz
Source2729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabvar.doc.tar.xz
Source2731: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tdsfrmath.tar.xz
Source2732: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tdsfrmath.doc.tar.xz
Source2734: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-fr.doc.tar.xz
Source2735: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-array-fr.doc.tar.xz
Source2736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-dcolumn-fr.doc.tar.xz
Source2737: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-natbib-fr.doc.tar.xz
Source2738: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-tabbing-fr.doc.tar.xz
Source2739: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/variations.tar.xz
Source2740: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/variations.doc.tar.xz
Source2741: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/csquotes-de.doc.tar.xz
Source2742: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dehyph-exptl.tar.xz
Source2743: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dehyph-exptl.doc.tar.xz
Source2744: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dhua.tar.xz
Source2745: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dhua.doc.tar.xz
Source2747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/einfuehrung.doc.tar.xz
Source2748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etdipa.doc.tar.xz
Source2749: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etoolbox-de.doc.tar.xz
Source2750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fifinddo-info.doc.tar.xz
Source2752: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/geometry-de.doc.tar.xz
Source2753: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/german.tar.xz
Source2754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/german.doc.tar.xz
Source2756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/germbib.tar.xz
Source2757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/germbib.doc.tar.xz
Source2758: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/germkorr.tar.xz
Source2759: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/germkorr.doc.tar.xz
Source2760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hausarbeit-jura.tar.xz
Source2761: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hausarbeit-jura.doc.tar.xz
Source2763: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-german.tar.xz
Source2764: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/koma-script-examples.doc.tar.xz
Source2765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l2picfaq.doc.tar.xz
Source2766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l2tabu.doc.tar.xz
Source2767: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-bib-ex.doc.tar.xz
Source2768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-referenz.doc.tar.xz
Source2769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-tabellen.doc.tar.xz
Source2770: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexcheat-de.doc.tar.xz
Source2771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-german.doc.tar.xz
Source2772: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lualatex-doc-de.doc.tar.xz
Source2773: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/microtype-de.doc.tar.xz
Source2774: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/presentations.doc.tar.xz
# Source2775: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstricks-examples.doc.tar.xz
Source2776: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/r_und_s.tar.xz
Source2777: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/r_und_s.doc.tar.xz
Source2778: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/templates-fenn.doc.tar.xz
Source2779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/templates-sommer.doc.tar.xz
Source2780: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-de.doc.tar.xz
Source2781: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tipa-de.doc.tar.xz
Source2782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-arsclassica-de.doc.tar.xz
Source2783: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-biblatex-de.doc.tar.xz
Source2784: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-chemsym-de.doc.tar.xz
Source2785: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-ecv-de.doc.tar.xz
Source2786: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-enumitem-de.doc.tar.xz
Source2787: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-europecv-de.doc.tar.xz
Source2788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-filecontents-de.doc.tar.xz
Source2789: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translation-moreverb-de.doc.tar.xz
Source2790: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/udesoftec.tar.xz
Source2791: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/udesoftec.doc.tar.xz
Source2793: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umlaute.tar.xz
Source2794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umlaute.doc.tar.xz
Source2796: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/voss-mathcol.doc.tar.xz
Source2797: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsbaskerville.tar.xz
Source2798: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsbaskerville.doc.tar.xz
Source2799: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsporson.tar.xz
Source2800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfsporson.doc.tar.xz
Source2801: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greek-fontenc.tar.xz
Source2802: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greek-fontenc.doc.tar.xz
Source2803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greek-inputenc.tar.xz
Source2804: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greek-inputenc.doc.tar.xz
Source2805: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greekdates.tar.xz
Source2806: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greekdates.doc.tar.xz
Source2808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greektex.tar.xz
Source2809: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greektex.doc.tar.xz
Source2810: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-greek.tar.xz
Source2811: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-greek.doc.tar.xz
Source2812: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-ancientgreek.tar.xz
Source2813: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ibycus-babel.tar.xz
Source2814: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ibycus-babel.doc.tar.xz
Source2816: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ibygrk.tar.xz
Source2817: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ibygrk.doc.tar.xz
Source2818: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kerkis.tar.xz
Source2819: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kerkis.doc.tar.xz
Source2820: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/levy.tar.xz
Source2821: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/levy.doc.tar.xz
Source2822: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lgreek.tar.xz
Source2823: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lgreek.doc.tar.xz
Source2826: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/teubner.tar.xz
Source2827: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/teubner.doc.tar.xz
Source2829: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xgreek.tar.xz
Source2830: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xgreek.doc.tar.xz
Source2832: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yannisgr.tar.xz
Source2833: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yannisgr.doc.tar.xz
Source2837: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-indic.tar.xz
Source2838: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-sanskrit.tar.xz
Source2839: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sanskrit.tar.xz
Source2840: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sanskrit.doc.tar.xz
Source2842: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sanskrit-t1.tar.xz
Source2843: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sanskrit-t1.doc.tar.xz
Source2846: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-devanagari.tar.xz
Source2847: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-devanagari.doc.tar.xz
Source2848: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wnri.tar.xz
Source2849: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wnri.doc.tar.xz
Source2850: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wnri-latex.tar.xz
Source2851: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wnri-latex.doc.tar.xz
Source2853: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyhdr-it.doc.tar.xz
Source2854: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixltxhyph.tar.xz
Source2855: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixltxhyph.doc.tar.xz
Source2857: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frontespizio.tar.xz
Source2858: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frontespizio.doc.tar.xz
Source2860: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-italian.tar.xz
Source2861: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/itnumpar.tar.xz
Source2862: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/itnumpar.doc.tar.xz
Source2864: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l2tabu-italian.doc.tar.xz
Source2865: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex4wp-it.doc.tar.xz
Source2866: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/layaureo.tar.xz
Source2867: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/layaureo.doc.tar.xz
Source2869: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-italian.doc.tar.xz
Source2870: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psfrag-italian.doc.tar.xz
Source2871: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-it.doc.tar.xz
Source2874: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ipaex.tar.xz
Source2875: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ipaex.doc.tar.xz
# Source2876: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/japanese.tar.xz
# Source2877: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/japanese.doc.tar.xz
Source2879: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/japanese-otf.tar.xz
Source2880: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/japanese-otf.doc.tar.xz
Source2882: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/japanese-otf-uptex.tar.xz
Source2883: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/japanese-otf-uptex.doc.tar.xz
Source2888: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jsclasses.tar.xz
Source2889: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jsclasses.doc.tar.xz
Source2891: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-japanese.doc.tar.xz
Source2892: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatexja.tar.xz
Source2893: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatexja.doc.tar.xz
Source2900: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxbase.tar.xz
Source2901: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxbase.doc.tar.xz
Source2902: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxchfon.tar.xz
Source2903: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxchfon.doc.tar.xz
Source2904: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxcjkcat.tar.xz
Source2905: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxcjkcat.doc.tar.xz
Source2906: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxjahyper.tar.xz
Source2907: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxjahyper.doc.tar.xz
Source2908: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxrubrica.tar.xz
Source2909: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxrubrica.doc.tar.xz
Source2914: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zxjafbfont.tar.xz
Source2915: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zxjafbfont.doc.tar.xz
Source2916: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zxjatype.tar.xz
Source2917: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zxjatype.doc.tar.xz
Source2918: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kotex-oblivoir.tar.xz
Source2919: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kotex-oblivoir.doc.tar.xz
Source2920: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/memoir.tar.xz
Source2921: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/memoir.doc.tar.xz
Source2923: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kotex-utf.tar.xz
Source2924: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kotex-utf.doc.tar.xz
Source2925: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kotex-plain.tar.xz
Source2926: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kotex-plain.doc.tar.xz
Source2929: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-korean.doc.tar.xz
Source2930: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nanumtype1.tar.xz
Source2931: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nanumtype1.doc.tar.xz
Source2932: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctib.tar.xz
Source2933: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctib.doc.tar.xz
Source2935: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-afrikaans.tar.xz
Source2936: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-coptic.tar.xz
Source2937: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-esperanto.tar.xz
Source2938: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-georgian.tar.xz
Source2939: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-indonesian.tar.xz
Source2940: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-interlingua.tar.xz
Source2941: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-thai.tar.xz
Source2942: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-turkmen.tar.xz
Source2943: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-thai.doc.tar.xz
Source2944: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-vietnamese.doc.tar.xz
Source2945: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ntheorem-vn.doc.tar.xz
Source2946: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vntex.tar.xz
Source2947: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vntex.doc.tar.xz
Source2949: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gustlib.tar.xz
Source2950: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gustlib.doc.tar.xz
Source2951: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gustprog.doc.tar.xz
Source2952: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-polish.tar.xz
Source2953: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-polish.doc.tar.xz
Source2957: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pl.tar.xz
Source2958: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pl.doc.tar.xz
Source2959: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mwcls.tar.xz
Source2960: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mwcls.doc.tar.xz
Source2962: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polski.tar.xz
Source2963: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polski.doc.tar.xz
Source2965: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/przechlewski-book.tar.xz
Source2966: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/przechlewski-book.doc.tar.xz
Source2967: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qpxqtx.tar.xz
Source2968: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qpxqtx.doc.tar.xz
Source2969: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tap.tar.xz
Source2970: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tap.doc.tar.xz
Source2971: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-virtual-academy-pl.doc.tar.xz
Source2972: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-pl.doc.tar.xz
Source2973: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/utf8mex.tar.xz
Source2974: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/utf8mex.doc.tar.xz
Source2975: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cursolatex.doc.tar.xz
Source2976: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feupphdteses.tar.xz
Source2977: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feupphdteses.doc.tar.xz
Source2978: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-portuguese.tar.xz
Source2979: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexcheat-ptbr.doc.tar.xz
Source2980: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-portuguese.doc.tar.xz
Source2981: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ordinalpt.tar.xz
Source2982: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ordinalpt.doc.tar.xz
Source2984: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xypic-tut-pt.doc.tar.xz
Source2985: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/es-tex-faq.doc.tar.xz
Source2986: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-catalan.tar.xz
Source2987: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-galician.tar.xz
Source2988: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-spanish.tar.xz
Source2989: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l2tabu-spanish.doc.tar.xz
Source2990: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex2e-help-texinfo-spanish.tar.xz
Source2991: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex2e-help-texinfo-spanish.doc.tar.xz
Source2992: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexcheat-esmx.doc.tar.xz
Source2993: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-spanish.doc.tar.xz
Source2994: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spanish-mx.tar.xz
Source2995: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spanish-mx.doc.tar.xz
Source2996: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crop.tar.xz
Source2997: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crop.doc.tar.xz
Source2999: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctable.tar.xz
Source3000: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctable.doc.tar.xz
Source3002: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eso-pic.tar.xz
Source3003: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eso-pic.doc.tar.xz
Source3005: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/euenc.tar.xz
Source3006: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/euenc.doc.tar.xz
Source3008: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/euler.tar.xz
Source3009: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/euler.doc.tar.xz
Source3011: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extsizes.tar.xz
Source3012: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extsizes.doc.tar.xz
Source3013: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancybox.tar.xz
Source3014: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancybox.doc.tar.xz
Source3015: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyref.tar.xz
Source3016: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyref.doc.tar.xz
Source3018: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyvrb.tar.xz
Source3019: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyvrb.doc.tar.xz
Source3021: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/float.tar.xz
Source3022: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/float.doc.tar.xz
Source3024: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontspec.tar.xz
Source3025: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontspec.doc.tar.xz
Source3027: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l3kernel.tar.xz
Source3028: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l3kernel.doc.tar.xz
Source3030: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l3packages.tar.xz
Source3031: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l3packages.doc.tar.xz
Source3033: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fp.tar.xz
Source3034: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fp.doc.tar.xz
Source3035: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/index.tar.xz
Source3036: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/index.doc.tar.xz
Source3038: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jknapltx.tar.xz
Source3039: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jknapltx.doc.tar.xz
Source3040: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/koma-script.tar.xz
Source3041: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l3experimental.tar.xz
Source3042: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/l3experimental.doc.tar.xz
Source3044: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lineno.tar.xz
Source3045: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lineno.doc.tar.xz
Source3047: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listings.tar.xz
Source3048: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listings.doc.tar.xz
Source3050: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathtools.tar.xz
Source3051: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathtools.doc.tar.xz
Source3053: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdwtools.tar.xz
Source3054: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdwtools.doc.tar.xz
Source3056: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metalogo.tar.xz
Source3057: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metalogo.doc.tar.xz
Source3059: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/microtype.tar.xz
Source3060: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/microtype.doc.tar.xz
Source3062: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ms.tar.xz
Source3063: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ms.doc.tar.xz
Source3065: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ntgclass.tar.xz
Source3066: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ntgclass.doc.tar.xz
Source3068: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parskip.tar.xz
Source3069: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parskip.doc.tar.xz
Source3070: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfpages.tar.xz
Source3071: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfpages.doc.tar.xz
Source3073: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/powerdot.tar.xz
Source3074: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/powerdot.doc.tar.xz
Source3076: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psfrag.tar.xz
Source3077: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psfrag.doc.tar.xz
Source3079: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rcs.tar.xz
Source3080: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rcs.doc.tar.xz
# Source3082: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rotating.tar.xz
# Source3083: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rotating.doc.tar.xz
Source3085: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sansmath.tar.xz
Source3086: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sansmath.doc.tar.xz
Source3087: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/section.tar.xz
Source3088: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/section.doc.tar.xz
Source3089: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seminar.tar.xz
Source3090: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seminar.doc.tar.xz
Source3091: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sepnum.tar.xz
Source3092: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sepnum.doc.tar.xz
Source3093: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/setspace.tar.xz
Source3094: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/setspace.doc.tar.xz
Source3095: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfig.tar.xz
Source3096: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfig.doc.tar.xz
Source3098: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textcase.tar.xz
Source3099: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textcase.doc.tar.xz
Source3103: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typehtml.tar.xz
Source3104: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typehtml.doc.tar.xz
Source3106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/underscore.tar.xz
Source3107: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/underscore.doc.tar.xz
Source3108: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combinedgraphics.tar.xz
Source3109: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combinedgraphics.doc.tar.xz
Source3111: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/curve.tar.xz
Source3112: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/curve.doc.tar.xz
Source3114: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/curve2e.tar.xz
Source3115: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/curve2e.doc.tar.xz
Source3117: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/curves.tar.xz
Source3118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/curves.doc.tar.xz
Source3120: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dcpic.tar.xz
Source3121: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dcpic.doc.tar.xz
Source3122: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/diagmac2.tar.xz
Source3123: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/diagmac2.doc.tar.xz
Source3124: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doc-pictex.doc.tar.xz
Source3125: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dottex.tar.xz
Source3126: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dottex.doc.tar.xz
Source3128: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dot2texi.tar.xz
Source3129: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dot2texi.doc.tar.xz
Source3130: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dratex.tar.xz
Source3131: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dratex.doc.tar.xz
Source3132: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drs.tar.xz
Source3133: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drs.doc.tar.xz
Source3134: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/duotenzor.tar.xz
Source3135: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/duotenzor.doc.tar.xz
Source3136: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eepic.tar.xz
Source3137: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eepic.doc.tar.xz
Source3140: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epspdfconversion.tar.xz
Source3141: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epspdfconversion.doc.tar.xz
Source3142: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esk.tar.xz
Source3143: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esk.doc.tar.xz
Source3145: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fast-diagram.tar.xz
Source3146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fast-diagram.doc.tar.xz
Source3149: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fitbox.tar.xz
Source3150: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fitbox.doc.tar.xz
Source3152: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flowchart.tar.xz
Source3153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flowchart.doc.tar.xz
Source3155: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forest.tar.xz
Source3156: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forest.doc.tar.xz
Source3158: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/genealogytree.tar.xz
Source3159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/genealogytree.doc.tar.xz
Source3162: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gincltex.tar.xz
Source3163: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gincltex.doc.tar.xz
Source3165: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gnuplottex.tar.xz
Source3166: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gnuplottex.doc.tar.xz
Source3168: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gradientframe.tar.xz
Source3169: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gradientframe.doc.tar.xz
Source3171: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grafcet.tar.xz
Source3172: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grafcet.doc.tar.xz
Source3173: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphviz.tar.xz
Source3174: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphviz.doc.tar.xz
Source3176: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harveyballs.tar.xz
Source3177: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harveyballs.doc.tar.xz
Source3178: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/here.tar.xz
Source3179: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/here.doc.tar.xz
Source3180: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hf-tikz.tar.xz
Source3181: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hf-tikz.doc.tar.xz
Source3183: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hobby.tar.xz
Source3184: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hobby.doc.tar.xz
Source3186: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hvfloat.tar.xz
Source3187: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hvfloat.doc.tar.xz
Source3188: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knitting.tar.xz
Source3189: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knitting.doc.tar.xz
Source3190: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knittingpattern.tar.xz
Source3191: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knittingpattern.doc.tar.xz
Source3192: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lapdf.tar.xz
Source3193: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lapdf.doc.tar.xz
Source3194: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-make.tar.xz
Source3195: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-make.doc.tar.xz
Source3197: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lpic.tar.xz
Source3198: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lpic.doc.tar.xz
Source3199: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makeshape.tar.xz
Source3200: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makeshape.doc.tar.xz
Source3204: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/miniplot.tar.xz
Source3205: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/miniplot.doc.tar.xz
Source3208: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modiagram.tar.xz
Source3209: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modiagram.doc.tar.xz
Source3210: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/neuralnetwork.tar.xz
Source3211: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/neuralnetwork.doc.tar.xz
Source3212: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numericplots.tar.xz
Source3213: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numericplots.doc.tar.xz
Source3214: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pb-diagram.tar.xz
Source3215: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pb-diagram.doc.tar.xz
Source3218: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-blur.tar.xz
Source3219: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-blur.doc.tar.xz
Source3221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-soroban.tar.xz
Source3222: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-soroban.doc.tar.xz
Source3223: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-umlcd.tar.xz
Source3224: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-umlcd.doc.tar.xz
Source3225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-umlsd.tar.xz
Source3226: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-umlsd.doc.tar.xz
Source3227: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfgantt.tar.xz
Source3228: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfgantt.doc.tar.xz
Source3230: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfkeyx.tar.xz
Source3231: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfkeyx.doc.tar.xz
Source3232: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfmolbio.tar.xz
Source3233: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfmolbio.doc.tar.xz
Source3235: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfopts.tar.xz
Source3236: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfopts.doc.tar.xz
Source3238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfplots.tar.xz
Source3239: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfplots.doc.tar.xz
Source3241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/picinpar.tar.xz
Source3242: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/picinpar.doc.tar.xz
Source3243: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pict2e.tar.xz
Source3244: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pict2e.doc.tar.xz
Source3246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pictex.tar.xz
Source3247: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pictex.doc.tar.xz
Source3248: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pictex2.tar.xz
Source3249: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pinlabel.tar.xz
Source3250: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pinlabel.doc.tar.xz
Source3251: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pmgraph.tar.xz
Source3252: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pmgraph.doc.tar.xz
Source3253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prerex.tar.xz
Source3254: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prerex.doc.tar.xz
Source3255: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/productbox.tar.xz
Source3256: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/productbox.doc.tar.xz
Source3258: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxpgfmark.tar.xz
Source3259: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxpgfmark.doc.tar.xz
Source3260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qcircuit.tar.xz
Source3261: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qcircuit.doc.tar.xz
Source3262: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qrcode.tar.xz
Source3263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qrcode.doc.tar.xz
Source3265: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/randbild.tar.xz
Source3266: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/randbild.doc.tar.xz
Source3268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/randomwalk.tar.xz
Source3269: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/randomwalk.doc.tar.xz
Source3271: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/reotex.tar.xz
Source3272: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/reotex.doc.tar.xz
Source3273: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rviewport.tar.xz
Source3274: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rviewport.doc.tar.xz
Source3276: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sa-tikz.tar.xz
Source3277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sa-tikz.doc.tar.xz
Source3278: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schemabloc.tar.xz
Source3279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schemabloc.doc.tar.xz
Source3280: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/setdeck.tar.xz
Source3281: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/setdeck.doc.tar.xz
Source3282: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smartdiagram.tar.xz
Source3283: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smartdiagram.doc.tar.xz
Source3285: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spath3.tar.xz
Source3286: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spath3.doc.tar.xz
Source3288: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/swimgraf.tar.xz
Source3289: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/swimgraf.doc.tar.xz
Source3290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texdraw.tar.xz
Source3291: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texdraw.doc.tar.xz
Source3292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ticollege.tar.xz
Source3293: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ticollege.doc.tar.xz
Source3294: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tipfr.doc.tar.xz
Source3295: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-3dplot.tar.xz
Source3296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-3dplot.doc.tar.xz
Source3297: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-bayesnet.tar.xz
Source3298: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-bayesnet.doc.tar.xz
Source3299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-cd.tar.xz
Source3300: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-cd.doc.tar.xz
Source3301: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-dependency.tar.xz
Source3302: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-dependency.doc.tar.xz
Source3303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-dimline.tar.xz
Source3304: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-dimline.doc.tar.xz
Source3305: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-inet.tar.xz
Source3306: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-inet.doc.tar.xz
Source3307: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-opm.tar.xz
Source3308: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-opm.doc.tar.xz
Source3309: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-palattice.tar.xz
Source3310: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-palattice.doc.tar.xz
Source3311: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-qtree.tar.xz
Source3312: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-qtree.doc.tar.xz
Source3313: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-timing.tar.xz
Source3314: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-timing.doc.tar.xz
Source3316: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svn-prov.tar.xz
Source3317: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svn-prov.doc.tar.xz
Source3319: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzinclude.tar.xz
Source3320: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzinclude.doc.tar.xz
Source3322: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzmark.tar.xz
Source3323: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzmark.doc.tar.xz
Source3325: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzorbital.tar.xz
Source3326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzorbital.doc.tar.xz
Source3327: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzpagenodes.tar.xz
Source3328: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzpagenodes.doc.tar.xz
Source3330: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzpfeile.tar.xz
Source3331: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzpfeile.doc.tar.xz
Source3333: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzposter.tar.xz
Source3334: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzposter.doc.tar.xz
Source3336: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzscale.tar.xz
Source3337: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzscale.doc.tar.xz
Source3339: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzsymbols.tar.xz
Source3340: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzsymbols.doc.tar.xz
Source3342: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/timing-diagrams.tar.xz
Source3343: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/timing-diagrams.doc.tar.xz
Source3344: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tqft.tar.xz
Source3345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tqft.doc.tar.xz
Source3347: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-base.tar.xz
Source3348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-base.doc.tar.xz
Source3349: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-berge.tar.xz
Source3350: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-berge.doc.tar.xz
Source3351: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-doc.tar.xz
Source3352: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-doc.doc.tar.xz
Source3353: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-euclide.tar.xz
Source3354: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-euclide.doc.tar.xz
Source3355: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-fct.tar.xz
Source3356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-fct.doc.tar.xz
Source3357: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-graph.tar.xz
Source3358: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-graph.doc.tar.xz
Source3359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-kiviat.tar.xz
Source3360: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-kiviat.doc.tar.xz
Source3361: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-linknodes.tar.xz
Source3362: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-linknodes.doc.tar.xz
Source3363: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-orm.tar.xz
Source3364: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-orm.doc.tar.xz
Source3365: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-tab.tar.xz
Source3366: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tkz-tab.doc.tar.xz
Source3367: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tsemlines.tar.xz
Source3368: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tufte-latex.tar.xz
Source3369: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tufte-latex.doc.tar.xz
Source3370: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xifthen.tar.xz
Source3371: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xifthen.doc.tar.xz
Source3372: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifmtarg.tar.xz
Source3373: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifmtarg.doc.tar.xz
Source3375: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paralist.tar.xz
Source3376: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paralist.doc.tar.xz
Source3378: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sauerj.tar.xz
Source3379: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sauerj.doc.tar.xz
Source3381: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/placeins.tar.xz
Source3382: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/placeins.doc.tar.xz
Source3383: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/venndiagram.tar.xz
Source3384: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/venndiagram.doc.tar.xz
Source3386: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpicture.tar.xz
Source3387: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpicture.doc.tar.xz
Source3389: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xypic.tar.xz
Source3390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xypic.doc.tar.xz
Source3391: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ESIEEcv.tar.xz
Source3392: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ESIEEcv.doc.tar.xz
Source3394: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/GS1.tar.xz
Source3395: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/GS1.doc.tar.xz
Source3397: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/HA-prosper.tar.xz
Source3398: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/HA-prosper.doc.tar.xz
Source3400: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/Tabbing.tar.xz
Source3401: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/Tabbing.doc.tar.xz
Source3403: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colordoc.tar.xz
Source3404: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colordoc.doc.tar.xz
Source3406: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorinfo.tar.xz
Source3407: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorinfo.doc.tar.xz
Source3408: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorspace.tar.xz
Source3409: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorspace.doc.tar.xz
Source3410: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colortab.tar.xz
Source3411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colortab.doc.tar.xz
Source3412: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorwav.tar.xz
Source3413: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorwav.doc.tar.xz
Source3415: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorweb.tar.xz
Source3416: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colorweb.doc.tar.xz
Source3418: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colourchange.tar.xz
Source3419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/colourchange.doc.tar.xz
Source3420: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combelow.tar.xz
Source3421: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combelow.doc.tar.xz
Source3422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combine.tar.xz
Source3423: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combine.doc.tar.xz
Source3425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comma.tar.xz
Source3426: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comma.doc.tar.xz
Source3427: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/commado.tar.xz
Source3428: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/commado.doc.tar.xz
Source3430: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comment.tar.xz
Source3431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/comment.doc.tar.xz
Source3432: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concepts.tar.xz
Source3433: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concepts.doc.tar.xz
Source3434: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concprog.tar.xz
Source3435: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concprog.doc.tar.xz
Source3436: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/constants.tar.xz
Source3437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/constants.doc.tar.xz
Source3439: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/contour.tar.xz
Source3440: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/contour.doc.tar.xz
Source3442: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/contracard.tar.xz
Source3443: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/contracard.doc.tar.xz
Source3445: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cooking.tar.xz
Source3446: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cooking.doc.tar.xz
Source3448: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cool.tar.xz
Source3449: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cool.doc.tar.xz
Source3451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coollist.tar.xz
Source3452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coollist.doc.tar.xz
Source3454: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coolstr.tar.xz
Source3455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coolstr.doc.tar.xz
Source3457: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coolthms.tar.xz
Source3458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coolthms.doc.tar.xz
Source3460: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cooltooltips.tar.xz
Source3461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cooltooltips.doc.tar.xz
Source3463: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coordsys.tar.xz
Source3464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coordsys.doc.tar.xz
Source3466: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/copyedit.tar.xz
Source3467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/copyedit.doc.tar.xz
Source3469: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/copyrightbox.tar.xz
Source3470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/copyrightbox.doc.tar.xz
Source3471: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coseoul.tar.xz
Source3472: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coseoul.doc.tar.xz
Source3473: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/counttexruns.tar.xz
Source3474: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/counttexruns.doc.tar.xz
Source3476: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/courseoutline.tar.xz
Source3477: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/courseoutline.doc.tar.xz
Source3478: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coursepaper.tar.xz
Source3479: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coursepaper.doc.tar.xz
Source3480: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coverpage.tar.xz
Source3481: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coverpage.doc.tar.xz
Source3483: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cprotect.tar.xz
Source3484: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cprotect.doc.tar.xz
Source3486: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crbox.tar.xz
Source3487: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crbox.doc.tar.xz
Source3488: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crossreference.tar.xz
Source3489: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crossreference.doc.tar.xz
Source3491: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/csquotes.tar.xz
Source3492: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/csquotes.doc.tar.xz
Source3493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/csvsimple.tar.xz
Source3494: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/csvsimple.doc.tar.xz
Source3495: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cuisine.tar.xz
Source3496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cuisine.doc.tar.xz
Source3498: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/currfile.tar.xz
Source3499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/currfile.doc.tar.xz
Source3501: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/currvita.tar.xz
Source3502: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/currvita.doc.tar.xz
Source3504: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cutwin.tar.xz
Source3505: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cutwin.doc.tar.xz
Source3507: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cv.tar.xz
Source3508: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cv.doc.tar.xz
Source3509: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cv4tw.tar.xz
Source3510: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cv4tw.doc.tar.xz
Source3511: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cweb-latex.tar.xz
Source3512: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cweb-latex.doc.tar.xz
Source3513: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyber.tar.xz
Source3514: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyber.doc.tar.xz
Source3516: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cybercic.tar.xz
Source3517: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cybercic.doc.tar.xz
Source3519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dashbox.tar.xz
Source3520: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dashbox.doc.tar.xz
Source3522: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dashrule.tar.xz
Source3523: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dashrule.doc.tar.xz
Source3525: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dashundergaps.tar.xz
Source3526: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dashundergaps.doc.tar.xz
Source3527: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dataref.tar.xz
Source3528: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dataref.doc.tar.xz
Source3530: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datatool.tar.xz
Source3531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datatool.doc.tar.xz
Source3533: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dateiliste.tar.xz
Source3534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dateiliste.doc.tar.xz
Source3536: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datenumber.tar.xz
Source3537: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datenumber.doc.tar.xz
Source3539: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime.tar.xz
Source3540: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime.doc.tar.xz
Source3542: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2.tar.xz
Source3543: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2.doc.tar.xz
Source3545: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-bahasai.tar.xz
Source3546: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-bahasai.doc.tar.xz
Source3548: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-basque.tar.xz
Source3549: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-basque.doc.tar.xz
Source3551: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-breton.tar.xz
Source3552: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-breton.doc.tar.xz
Source3554: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-bulgarian.tar.xz
Source3555: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-bulgarian.doc.tar.xz
Source3557: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-catalan.tar.xz
Source3558: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-catalan.doc.tar.xz
Source3560: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-croatian.tar.xz
Source3561: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-croatian.doc.tar.xz
Source3563: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-czech.tar.xz
Source3564: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-czech.doc.tar.xz
Source3566: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-danish.tar.xz
Source3567: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-danish.doc.tar.xz
Source3569: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-dutch.tar.xz
Source3570: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-dutch.doc.tar.xz
Source3572: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-en-fulltext.tar.xz
Source3573: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-en-fulltext.doc.tar.xz
Source3575: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-english.tar.xz
Source3576: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-english.doc.tar.xz
Source3578: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-esperanto.tar.xz
Source3579: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-esperanto.doc.tar.xz
Source3581: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-estonian.tar.xz
Source3582: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-estonian.doc.tar.xz
Source3584: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-finnish.tar.xz
Source3585: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-finnish.doc.tar.xz
Source3587: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-french.tar.xz
Source3588: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-french.doc.tar.xz
Source3590: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-galician.tar.xz
Source3591: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-galician.doc.tar.xz
Source3593: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-german.tar.xz
Source3594: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-german.doc.tar.xz
Source3596: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-greek.tar.xz
Source3597: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-greek.doc.tar.xz
Source3599: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-hebrew.tar.xz
Source3600: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-hebrew.doc.tar.xz
Source3602: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-icelandic.tar.xz
Source3603: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-icelandic.doc.tar.xz
Source3605: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-irish.tar.xz
Source3606: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-irish.doc.tar.xz
Source3608: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-italian.tar.xz
Source3609: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-italian.doc.tar.xz
Source3611: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-it-fulltext.tar.xz
Source3612: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-it-fulltext.doc.tar.xz
Source3614: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-latin.tar.xz
Source3615: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-latin.doc.tar.xz
Source3617: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-lsorbian.tar.xz
Source3618: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-lsorbian.doc.tar.xz
Source3620: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-magyar.tar.xz
Source3621: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-magyar.doc.tar.xz
Source3623: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-norsk.tar.xz
Source3624: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-norsk.doc.tar.xz
Source3626: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-polish.tar.xz
Source3627: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-polish.doc.tar.xz
Source3629: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-portuges.tar.xz
Source3630: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-portuges.doc.tar.xz
Source3632: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-romanian.tar.xz
Source3633: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-romanian.doc.tar.xz
Source3635: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-russian.tar.xz
Source3636: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-russian.doc.tar.xz
Source3638: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-samin.tar.xz
Source3639: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-samin.doc.tar.xz
Source3641: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-scottish.tar.xz
Source3642: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-scottish.doc.tar.xz
Source3644: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-serbian.tar.xz
Source3645: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-serbian.doc.tar.xz
Source3647: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-slovak.tar.xz
Source3648: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-slovak.doc.tar.xz
Source3650: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-slovene.tar.xz
Source3651: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-slovene.doc.tar.xz
Source3653: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-spanish.tar.xz
Source3654: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-spanish.doc.tar.xz
Source3656: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-swedish.tar.xz
Source3657: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-swedish.doc.tar.xz
Source3659: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-turkish.tar.xz
Source3660: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-turkish.doc.tar.xz
Source3662: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-ukrainian.tar.xz
Source3663: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-ukrainian.doc.tar.xz
Source3665: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-usorbian.tar.xz
Source3666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-usorbian.doc.tar.xz
Source3668: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-welsh.tar.xz
Source3669: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/datetime2-welsh.doc.tar.xz
Source3671: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dblfloatfix.tar.xz
Source3672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dblfloatfix.doc.tar.xz
Source3673: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/decimal.tar.xz
Source3674: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/decimal.doc.tar.xz
Source3676: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/decorule.tar.xz
Source3677: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/decorule.doc.tar.xz
Source3679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/delim.tar.xz
Source3680: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/delim.doc.tar.xz
Source3682: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/delimtxt.tar.xz
Source3683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/delimtxt.doc.tar.xz
Source3685: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/denisbdoc.tar.xz
Source3686: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/denisbdoc.doc.tar.xz
Source3690: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/diagbox.tar.xz
Source3691: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/diagbox.doc.tar.xz
Source3693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/diagnose.tar.xz
Source3694: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/diagnose.doc.tar.xz
Source3695: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dialogl.tar.xz
Source3696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dialogl.doc.tar.xz
Source3698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dichokey.tar.xz
Source3699: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dichokey.doc.tar.xz
Source3700: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dinbrief.tar.xz
Source3701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dinbrief.doc.tar.xz
Source3703: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/directory.tar.xz
Source3704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/directory.doc.tar.xz
Source3705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dirtytalk.tar.xz
Source3706: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dirtytalk.doc.tar.xz
Source3708: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dlfltxb.tar.xz
Source3709: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dlfltxb.doc.tar.xz
Source3710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dnaseq.tar.xz
Source3711: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dnaseq.doc.tar.xz
Source3713: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doclicense.tar.xz
Source3714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doclicense.doc.tar.xz
Source3716: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/docmfp.tar.xz
Source3717: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/docmfp.doc.tar.xz
Source3719: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/docmute.tar.xz
Source3720: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/docmute.doc.tar.xz
Source3722: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doctools.tar.xz
Source3723: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doctools.doc.tar.xz
Source3725: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/documentation.tar.xz
Source3726: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/documentation.doc.tar.xz
Source3728: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doi.tar.xz
Source3729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/doi.doc.tar.xz
Source3730: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dotarrow.tar.xz
Source3731: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dotarrow.doc.tar.xz
Source3733: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dotseqn.tar.xz
Source3734: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dotseqn.doc.tar.xz
Source3736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/download.tar.xz
Source3737: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/download.doc.tar.xz
Source3739: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dox.tar.xz
Source3740: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dox.doc.tar.xz
Source3742: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dpfloat.tar.xz
Source3743: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dpfloat.doc.tar.xz
Source3744: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dprogress.tar.xz
Source3745: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dprogress.doc.tar.xz
Source3747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drac.tar.xz
Source3748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drac.doc.tar.xz
Source3750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/draftcopy.tar.xz
Source3751: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/draftcopy.doc.tar.xz
Source3753: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/draftwatermark.tar.xz
Source3754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/draftwatermark.doc.tar.xz
Source3756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dtk.tar.xz
Source3757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dtk.doc.tar.xz
Source3758: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dtxgallery.doc.tar.xz
Source3760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dvdcoll.tar.xz
Source3761: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dvdcoll.doc.tar.xz
Source3762: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dynblocks.tar.xz
Source3763: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dynblocks.doc.tar.xz
Source3764: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ean13isbn.tar.xz
Source3765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ean13isbn.doc.tar.xz
Source3766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easy.tar.xz
Source3767: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easy.doc.tar.xz
Source3768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easy-todo.tar.xz
Source3769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easy-todo.doc.tar.xz
Source3770: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easyfig.tar.xz
Source3771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easyfig.doc.tar.xz
Source3773: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easylist.tar.xz
Source3774: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easylist.doc.tar.xz
Source3775: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easyreview.tar.xz
Source3776: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easyreview.doc.tar.xz
Source3778: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebezier.tar.xz
Source3779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebezier.doc.tar.xz
Source3781: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecclesiastic.tar.xz
Source3782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecclesiastic.doc.tar.xz
Source3784: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecv.tar.xz
Source3785: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecv.doc.tar.xz
Source3787: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ed.tar.xz
Source3788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ed.doc.tar.xz
Source3790: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/edmargin.tar.xz
Source3791: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/edmargin.doc.tar.xz
Source3793: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eemeir.tar.xz
Source3794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eemeir.doc.tar.xz
Source3796: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/efbox.tar.xz
Source3797: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/efbox.doc.tar.xz
Source3799: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/egplot.tar.xz
Source3800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/egplot.doc.tar.xz
Source3802: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elements.tar.xz
Source3803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elements.doc.tar.xz
Source3804: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ellipsis.tar.xz
Source3805: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ellipsis.doc.tar.xz
Source3807: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elmath.tar.xz
Source3808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elmath.doc.tar.xz
Source3810: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elocalloc.tar.xz
Source3811: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elocalloc.doc.tar.xz
Source3813: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elpres.tar.xz
Source3814: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elpres.doc.tar.xz
Source3815: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elzcards.tar.xz
Source3816: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elzcards.doc.tar.xz
Source3818: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emarks.tar.xz
Source3819: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emarks.doc.tar.xz
Source3821: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/embedall.tar.xz
Source3822: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/embedall.doc.tar.xz
Source3824: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/embrac.tar.xz
Source3825: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/embrac.doc.tar.xz
Source3826: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emptypage.tar.xz
Source3827: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emptypage.doc.tar.xz
Source3829: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emulateapj.tar.xz
Source3830: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emulateapj.doc.tar.xz
Source3831: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endfloat.tar.xz
Source3832: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endfloat.doc.tar.xz
Source3834: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endheads.tar.xz
Source3835: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endheads.doc.tar.xz
Source3837: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endnotes.tar.xz
Source3838: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endnotes.doc.tar.xz
Source3839: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/engpron.tar.xz
Source3840: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/engpron.doc.tar.xz
Source3842: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/engrec.tar.xz
Source3843: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/engrec.doc.tar.xz
Source3845: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enotez.tar.xz
Source3846: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enotez.doc.tar.xz
Source3847: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enumitem.tar.xz
Source3848: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enumitem.doc.tar.xz
Source3849: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enumitem-zref.tar.xz
Source3850: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enumitem-zref.doc.tar.xz
Source3852: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/envbig.tar.xz
Source3853: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/envbig.doc.tar.xz
Source3854: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/environ.tar.xz
Source3855: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/environ.doc.tar.xz
Source3857: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/envlab.tar.xz
Source3858: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/envlab.doc.tar.xz
Source3860: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epigraph.tar.xz
Source3861: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epigraph.doc.tar.xz
Source3863: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epiolmec.tar.xz
Source3864: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epiolmec.doc.tar.xz
Source3868: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqell.tar.xz
Source3869: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqell.doc.tar.xz
Source3870: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqlist.tar.xz
Source3871: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqlist.doc.tar.xz
Source3873: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqname.tar.xz
Source3874: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqparbox.tar.xz
Source3875: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqparbox.doc.tar.xz
Source3877: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/errata.tar.xz
Source3878: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/errata.doc.tar.xz
Source3880: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esami.tar.xz
Source3881: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esami.doc.tar.xz
Source3882: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esdiff.tar.xz
Source3883: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esdiff.doc.tar.xz
Source3885: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esint.tar.xz
Source3886: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esint.doc.tar.xz
Source3888: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esint-type1.tar.xz
Source3889: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/esint-type1.doc.tar.xz
Source3890: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etaremune.tar.xz
Source3891: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etaremune.doc.tar.xz
Source3893: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etextools.tar.xz
Source3894: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etextools.doc.tar.xz
Source3896: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etoc.tar.xz
Source3897: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etoc.doc.tar.xz
Source3899: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etoolbox.tar.xz
Source3900: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/etoolbox.doc.tar.xz
Source3901: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eukdate.tar.xz
Source3902: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eukdate.doc.tar.xz
Source3904: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/europasscv.tar.xz
Source3905: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/europasscv.doc.tar.xz
Source3906: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/europecv.tar.xz
Source3907: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/europecv.doc.tar.xz
Source3908: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/everyhook.tar.xz
Source3909: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/everyhook.doc.tar.xz
Source3911: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/everypage.tar.xz
Source3912: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/everypage.doc.tar.xz
Source3914: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exam.tar.xz
Source3915: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exam.doc.tar.xz
Source3916: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exam-n.tar.xz
Source3917: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exam-n.doc.tar.xz
Source3919: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/examdesign.tar.xz
Source3920: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/examdesign.doc.tar.xz
Source3922: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/example.tar.xz
Source3923: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/examplep.tar.xz
Source3924: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/examplep.doc.tar.xz
Source3927: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/excludeonly.tar.xz
Source3928: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/excludeonly.doc.tar.xz
Source3929: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exercise.tar.xz
Source3930: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exercise.doc.tar.xz
Source3932: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exp-testopt.tar.xz
Source3933: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exp-testopt.doc.tar.xz
Source3935: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/expdlist.tar.xz
Source3936: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/expdlist.doc.tar.xz
Source3938: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/export.tar.xz
Source3939: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/export.doc.tar.xz
Source3941: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exsheets.tar.xz
Source3942: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exsheets.doc.tar.xz
Source3943: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exsol.tar.xz
Source3944: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exsol.doc.tar.xz
Source3946: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extract.tar.xz
Source3947: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extract.doc.tar.xz
Source3949: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/facsimile.tar.xz
Source3950: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/facsimile.doc.tar.xz
Source3952: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/factura.tar.xz
Source3953: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/factura.doc.tar.xz
Source3955: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancylabel.tar.xz
Source3956: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancylabel.doc.tar.xz
Source3958: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancynum.tar.xz
Source3959: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancynum.doc.tar.xz
Source3961: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancypar.tar.xz
Source3962: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancypar.doc.tar.xz
Source3964: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyslides.tar.xz
Source3965: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancyslides.doc.tar.xz
Source3966: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancytabs.tar.xz
Source3967: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancytabs.doc.tar.xz
Source3969: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancytooltips.tar.xz
Source3970: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fancytooltips.doc.tar.xz
Source3972: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fcolumn.tar.xz
Source3973: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fcolumn.doc.tar.xz
Source3975: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fifo-stack.tar.xz
Source3976: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fifo-stack.doc.tar.xz
Source3978: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figsize.tar.xz
Source3979: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figsize.doc.tar.xz
Source3980: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filecontents.tar.xz
Source3981: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filecontents.doc.tar.xz
Source3983: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filedate.tar.xz
Source3984: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filedate.doc.tar.xz
Source3986: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filehook.tar.xz
Source3987: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filehook.doc.tar.xz
Source3989: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fileinfo.tar.xz
Source3990: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fileinfo.doc.tar.xz
Source3992: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filemod.tar.xz
Source3993: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filemod.doc.tar.xz
Source3994: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fink.tar.xz
Source3995: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fink.doc.tar.xz
Source3997: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/finstrut.tar.xz
Source3998: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/finstrut.doc.tar.xz
Source4000: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fithesis.tar.xz
Source4001: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fithesis.doc.tar.xz
Source4003: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixfoot.tar.xz
Source4004: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixfoot.doc.tar.xz
Source4005: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixme.tar.xz
Source4006: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixme.doc.tar.xz
Source4008: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixmetodonotes.tar.xz
Source4009: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixmetodonotes.doc.tar.xz
Source4011: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fjodor.tar.xz
Source4012: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fjodor.doc.tar.xz
Source4013: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flabels.tar.xz
Source4014: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flabels.doc.tar.xz
Source4016: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flacards.tar.xz
Source4017: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flacards.doc.tar.xz
Source4018: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flagderiv.tar.xz
Source4019: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flagderiv.doc.tar.xz
Source4021: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flashcards.tar.xz
Source4022: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flashcards.doc.tar.xz
Source4024: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flashmovie.tar.xz
Source4025: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flashmovie.doc.tar.xz
Source4026: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flipbook.tar.xz
Source4027: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flipbook.doc.tar.xz
Source4028: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flippdf.tar.xz
Source4029: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flippdf.doc.tar.xz
Source4031: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/floatflt.tar.xz
Source4032: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/floatflt.doc.tar.xz
Source4034: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/floatrow.tar.xz
Source4035: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/floatrow.doc.tar.xz
Source4037: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flowfram.tar.xz
Source4038: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/flowfram.doc.tar.xz
Source4040: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fmp.tar.xz
Source4041: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fmp.doc.tar.xz
Source4043: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fmtcount.tar.xz
Source4044: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fmtcount.doc.tar.xz
Source4046: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fn2end.tar.xz
Source4047: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fn2end.doc.tar.xz
Source4048: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnbreak.tar.xz
Source4049: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnbreak.doc.tar.xz
Source4051: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fncychap.tar.xz
Source4052: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fncychap.doc.tar.xz
Source4053: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fncylab.tar.xz
Source4054: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fncylab.doc.tar.xz
Source4055: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnpara.tar.xz
Source4056: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnpara.doc.tar.xz
Source4057: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnpct.tar.xz
Source4058: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnpct.doc.tar.xz
Source4059: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnumprint.tar.xz
Source4060: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fnumprint.doc.tar.xz
Source4062: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/foilhtml.tar.xz
Source4063: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/foilhtml.doc.tar.xz
Source4065: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontaxes.tar.xz
Source4066: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontaxes.doc.tar.xz
Source4068: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonttable.tar.xz
Source4069: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonttable.doc.tar.xz
Source4071: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footmisc.tar.xz
Source4072: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footmisc.doc.tar.xz
Source4074: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnotebackref.tar.xz
Source4075: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnotebackref.doc.tar.xz
Source4076: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnoterange.tar.xz
Source4077: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnoterange.doc.tar.xz
Source4079: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnpag.tar.xz
Source4080: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnpag.doc.tar.xz
Source4082: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forarray.tar.xz
Source4083: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forarray.doc.tar.xz
Source4085: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/foreign.tar.xz
Source4086: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/foreign.doc.tar.xz
Source4088: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forloop.tar.xz
Source4089: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forloop.doc.tar.xz
Source4091: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/formlett.tar.xz
Source4092: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/formlett.doc.tar.xz
Source4093: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/formular.tar.xz
Source4094: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/formular.doc.tar.xz
Source4096: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fragments.tar.xz
Source4097: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fragments.doc.tar.xz
Source4098: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frame.tar.xz
Source4099: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frame.doc.tar.xz
Source4100: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/framed.tar.xz
Source4101: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/framed.doc.tar.xz
Source4102: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frankenstein.tar.xz
Source4103: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frankenstein.doc.tar.xz
Source4105: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frege.tar.xz
Source4106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frege.doc.tar.xz
Source4107: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ftcap.tar.xz
Source4108: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ftcap.doc.tar.xz
Source4109: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ftnxtra.tar.xz
Source4110: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ftnxtra.doc.tar.xz
Source4112: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fullblck.tar.xz
Source4113: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fullblck.doc.tar.xz
Source4115: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fullminipage.tar.xz
Source4116: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fullminipage.doc.tar.xz
Source4118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fullwidth.tar.xz
Source4119: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fullwidth.doc.tar.xz
Source4120: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fundus-calligra.tar.xz
Source4121: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fundus-calligra.doc.tar.xz
Source4123: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fundus-cyr.tar.xz
Source4124: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fundus-sueterlin.tar.xz
Source4125: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fundus-sueterlin.doc.tar.xz
Source4127: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fwlw.tar.xz
Source4128: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fwlw.doc.tar.xz
Source4129: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/g-brief.tar.xz
Source4130: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/g-brief.doc.tar.xz
Source4132: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gauss.tar.xz
Source4133: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gauss.doc.tar.xz
Source4134: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gcard.tar.xz
Source4135: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gcard.doc.tar.xz
Source4136: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gcite.tar.xz
Source4137: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gcite.doc.tar.xz
Source4139: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gender.tar.xz
Source4140: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gender.doc.tar.xz
Source4142: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/genmpage.tar.xz
Source4143: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/genmpage.doc.tar.xz
Source4145: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/getfiledate.tar.xz
Source4146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/getfiledate.doc.tar.xz
Source4147: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ginpenc.tar.xz
Source4148: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ginpenc.doc.tar.xz
Source4150: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitinfo.tar.xz
Source4151: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitinfo.doc.tar.xz
Source4152: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitinfo2.tar.xz
Source4153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitinfo2.doc.tar.xz
Source4154: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gloss.tar.xz
Source4155: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gloss.doc.tar.xz
Source4159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-danish.tar.xz
Source4160: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-danish.doc.tar.xz
Source4162: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-dutch.tar.xz
Source4163: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-dutch.doc.tar.xz
Source4165: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-english.tar.xz
Source4166: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-english.doc.tar.xz
Source4168: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-french.tar.xz
Source4169: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-french.doc.tar.xz
Source4171: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-german.tar.xz
Source4172: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-german.doc.tar.xz
Source4174: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-irish.tar.xz
Source4175: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-irish.doc.tar.xz
Source4177: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-italian.tar.xz
Source4178: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-italian.doc.tar.xz
Source4180: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-magyar.tar.xz
Source4181: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-magyar.doc.tar.xz
Source4183: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-polish.tar.xz
Source4184: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-polish.doc.tar.xz
Source4186: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-portuges.tar.xz
Source4187: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-portuges.doc.tar.xz
Source4189: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-serbian.tar.xz
Source4190: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-serbian.doc.tar.xz
Source4192: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-spanish.tar.xz
Source4193: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-spanish.doc.tar.xz
Source4195: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmdoc.tar.xz
Source4196: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmdoc.doc.tar.xz
Source4197: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmdoc-enhance.tar.xz
Source4198: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmdoc-enhance.doc.tar.xz
Source4200: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmiflink.tar.xz
Source4201: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmiflink.doc.tar.xz
Source4202: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmutils.tar.xz
Source4203: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmutils.doc.tar.xz
Source4204: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmverb.tar.xz
Source4205: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmverb.doc.tar.xz
Source4206: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphbox.tar.xz
Source4207: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphbox.doc.tar.xz
Source4209: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphicx-psmin.tar.xz
Source4210: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphicx-psmin.doc.tar.xz
Source4212: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphicxbox.tar.xz
Source4213: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphicxbox.doc.tar.xz
Source4215: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grfpaste.tar.xz
Source4216: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grfpaste.doc.tar.xz
Source4217: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grid.tar.xz
Source4218: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grid.doc.tar.xz
Source4220: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grid-system.tar.xz
Source4221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grid-system.doc.tar.xz
Source4222: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gridset.tar.xz
Source4223: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gridset.doc.tar.xz
Source4225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gtl.tar.xz
Source4226: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gtl.doc.tar.xz
Source4228: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/guitlogo.tar.xz
Source4229: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/guitlogo.doc.tar.xz
Source4231: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/handout.tar.xz
Source4232: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/handout.doc.tar.xz
Source4233: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hang.tar.xz
Source4234: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hang.doc.tar.xz
Source4235: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hanging.tar.xz
Source4236: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hanging.doc.tar.xz
Source4238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hardwrap.tar.xz
Source4239: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hardwrap.doc.tar.xz
Source4241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harnon-cv.tar.xz
Source4242: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harnon-cv.doc.tar.xz
Source4243: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harpoon.tar.xz
Source4244: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harpoon.doc.tar.xz
Source4245: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hc.tar.xz
Source4246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hc.doc.tar.xz
Source4248: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/he-she.tar.xz
Source4249: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/he-she.doc.tar.xz
Source4250: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hhtensor.tar.xz
Source4251: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hhtensor.doc.tar.xz
Source4253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/histogr.tar.xz
Source4254: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/histogr.doc.tar.xz
Source4256: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hitec.tar.xz
Source4257: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hitec.doc.tar.xz
Source4258: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hletter.tar.xz
Source4259: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hletter.doc.tar.xz
Source4260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hpsdiss.tar.xz
Source4261: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hpsdiss.doc.tar.xz
Source4263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hrefhide.tar.xz
Source4264: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hrefhide.doc.tar.xz
Source4266: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hvindex.tar.xz
Source4267: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hvindex.doc.tar.xz
Source4268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hypdvips.tar.xz
Source4269: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hypdvips.doc.tar.xz
Source4270: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyper.tar.xz
Source4271: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyper.doc.tar.xz
Source4273: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hypernat.tar.xz
Source4274: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hypernat.doc.tar.xz
Source4275: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyperref-docsrc.doc.tar.xz
Source4276: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyperxmp.tar.xz
Source4277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyperxmp.doc.tar.xz
Source4279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphenat.tar.xz
Source4280: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphenat.doc.tar.xz
Source4282: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/idxcmds.tar.xz
Source4283: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/idxcmds.doc.tar.xz
Source4284: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/idxlayout.tar.xz
Source4285: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/idxlayout.doc.tar.xz
Source4287: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifmslide.tar.xz
Source4288: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifmslide.doc.tar.xz
Source4289: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifnextok.tar.xz
Source4290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifnextok.doc.tar.xz
Source4292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifoddpage.tar.xz
Source4293: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifoddpage.doc.tar.xz
Source4295: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifplatform.tar.xz
Source4296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifplatform.doc.tar.xz
Source4298: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifthenx.tar.xz
Source4299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifthenx.doc.tar.xz
Source4300: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iitem.tar.xz
Source4301: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iitem.doc.tar.xz
Source4303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/image-gallery.tar.xz
Source4304: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/image-gallery.doc.tar.xz
Source4305: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imakeidx.tar.xz
Source4306: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imakeidx.doc.tar.xz
Source4308: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/import.tar.xz
Source4309: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/import.doc.tar.xz
Source4310: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/incgraph.tar.xz
Source4311: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/incgraph.doc.tar.xz
Source4312: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/indextools.tar.xz
Source4313: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/indextools.doc.tar.xz
Source4315: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inlinedef.tar.xz
Source4316: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inlinedef.doc.tar.xz
Source4318: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inputtrc.tar.xz
Source4319: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inputtrc.doc.tar.xz
Source4321: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interactiveworkbook.tar.xz
Source4322: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interactiveworkbook.doc.tar.xz
Source4323: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interfaces.tar.xz
Source4324: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interfaces.doc.tar.xz
Source4326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inversepath.tar.xz
Source4327: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/inversepath.doc.tar.xz
Source4329: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/invoice.tar.xz
Source4330: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/invoice.doc.tar.xz
Source4331: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iso.tar.xz
Source4332: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iso.doc.tar.xz
Source4334: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iso10303.tar.xz
Source4335: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iso10303.doc.tar.xz
Source4337: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isodate.tar.xz
Source4338: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isodate.doc.tar.xz
Source4340: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isodoc.tar.xz
Source4341: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isodoc.doc.tar.xz
Source4343: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isonums.tar.xz
Source4344: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isonums.doc.tar.xz
Source4345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isorot.tar.xz
Source4346: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isorot.doc.tar.xz
Source4348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isotope.tar.xz
Source4349: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isotope.doc.tar.xz
Source4351: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/issuulinks.tar.xz
Source4352: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/issuulinks.doc.tar.xz
Source4354: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iwhdp.tar.xz
Source4355: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iwhdp.doc.tar.xz
Source4356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jlabels.tar.xz
Source4357: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jlabels.doc.tar.xz
Source4358: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jslectureplanner.tar.xz
Source4359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jslectureplanner.doc.tar.xz
Source4360: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jumplines.tar.xz
Source4361: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jumplines.doc.tar.xz
Source4362: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jvlisting.tar.xz
Source4363: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jvlisting.doc.tar.xz
Source4365: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kantlipsum.tar.xz
Source4366: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kantlipsum.doc.tar.xz
Source4368: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kerntest.tar.xz
Source4369: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kerntest.doc.tar.xz
Source4371: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keycommand.tar.xz
Source4372: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keycommand.doc.tar.xz
Source4374: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyreader.tar.xz
Source4375: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyreader.doc.tar.xz
Source4376: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keystroke.tar.xz
Source4377: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keystroke.doc.tar.xz
Source4378: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyval2e.tar.xz
Source4379: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyval2e.doc.tar.xz
Source4380: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kix.tar.xz
Source4381: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kix.doc.tar.xz
Source4382: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/koma-moderncvclassic.tar.xz
Source4383: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/koma-moderncvclassic.doc.tar.xz
Source4384: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/koma-script-sfs.tar.xz
Source4385: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/koma-script-sfs.doc.tar.xz
Source4386: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/komacv.tar.xz
Source4387: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/komacv.doc.tar.xz
Source4389: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ktv-texdata.tar.xz
Source4390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ktv-texdata.doc.tar.xz
Source4395: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/labbook.tar.xz
Source4396: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/labbook.doc.tar.xz
Source4401: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/labels.tar.xz
Source4402: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/labels.doc.tar.xz
Source4404: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lastpackage.tar.xz
Source4405: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lastpackage.doc.tar.xz
Source4407: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lastpage.tar.xz
Source4408: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lastpage.doc.tar.xz
Source4410: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexdemo.tar.xz
Source4411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexdemo.doc.tar.xz
Source4413: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/layouts.tar.xz
Source4414: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/layouts.doc.tar.xz
Source4416: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lazylist.tar.xz
Source4417: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lazylist.doc.tar.xz
Source4418: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcd.tar.xz
Source4419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcd.doc.tar.xz
Source4421: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcg.tar.xz
Source4422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcg.doc.tar.xz
Source4424: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leading.tar.xz
Source4425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leading.doc.tar.xz
Source4427: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leaflet.tar.xz
Source4428: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leaflet.doc.tar.xz
Source4430: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leftidx.tar.xz
Source4431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leftidx.doc.tar.xz
Source4433: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lengthconvert.tar.xz
Source4434: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lengthconvert.doc.tar.xz
Source4436: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lettre.tar.xz
Source4437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lettre.doc.tar.xz
Source4438: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lettrine.tar.xz
Source4439: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lettrine.doc.tar.xz
Source4441: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lewis.tar.xz
Source4442: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lewis.doc.tar.xz
Source4443: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lhelp.tar.xz
Source4444: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lhelp.doc.tar.xz
Source4446: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libgreek.tar.xz
Source4447: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libgreek.doc.tar.xz
Source4449: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/limap.tar.xz
Source4451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linegoal.tar.xz
Source4452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linegoal.doc.tar.xz
Source4454: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lipsum.tar.xz
Source4455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lipsum.doc.tar.xz
Source4457: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lisp-on-tex.tar.xz
Source4458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lisp-on-tex.doc.tar.xz
Source4459: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listing.tar.xz
Source4460: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listing.doc.tar.xz
Source4461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listlbls.tar.xz
Source4462: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listlbls.doc.tar.xz
Source4464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listliketab.tar.xz
Source4465: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listliketab.doc.tar.xz
Source4467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listofsymbols.tar.xz
Source4468: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listofsymbols.doc.tar.xz
Source4470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lkproof.tar.xz
Source4471: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lkproof.doc.tar.xz
Source4472: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lmake.tar.xz
Source4473: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lmake.doc.tar.xz
Source4475: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/locality.tar.xz
Source4476: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/locality.doc.tar.xz
Source4478: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/localloc.tar.xz
Source4479: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/localloc.doc.tar.xz
Source4481: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logbox.tar.xz
Source4482: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logbox.doc.tar.xz
Source4484: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logical-markup-utils.tar.xz
Source4485: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logical-markup-utils.doc.tar.xz
Source4486: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logpap.tar.xz
Source4487: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logpap.doc.tar.xz
Source4489: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/longfigure.tar.xz
Source4490: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/longfigure.doc.tar.xz
Source4492: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/longnamefilelist.tar.xz
Source4493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/longnamefilelist.doc.tar.xz
Source4495: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/loops.tar.xz
Source4496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/loops.doc.tar.xz
Source4497: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lsc.tar.xz
Source4498: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lsc.doc.tar.xz
Source4499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lstaddons.tar.xz
Source4500: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lstaddons.doc.tar.xz
Source4502: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lt3graph.tar.xz
Source4503: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lt3graph.doc.tar.xz
Source4504: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltablex.tar.xz
Source4505: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltablex.doc.tar.xz
Source4506: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltabptch.tar.xz
Source4507: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltabptch.doc.tar.xz
Source4508: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxdockit.tar.xz
Source4509: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxdockit.doc.tar.xz
Source4510: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxindex.tar.xz
Source4511: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxindex.doc.tar.xz
Source4513: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxkeys.tar.xz
Source4514: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxkeys.doc.tar.xz
Source4515: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxnew.tar.xz
Source4516: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxnew.doc.tar.xz
Source4518: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxtools.tar.xz
Source4519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltxtools.doc.tar.xz
Source4520: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/macroswap.tar.xz
Source4521: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/macroswap.doc.tar.xz
Source4523: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/magaz.tar.xz
Source4524: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/magaz.doc.tar.xz
Source4525: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mailing.tar.xz
Source4526: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mailing.doc.tar.xz
Source4528: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mailmerge.tar.xz
Source4529: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mailmerge.doc.tar.xz
Source4531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makebarcode.tar.xz
Source4532: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makebarcode.doc.tar.xz
Source4533: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makebox.tar.xz
Source4534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makebox.doc.tar.xz
Source4536: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makecell.tar.xz
Source4537: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makecell.doc.tar.xz
Source4539: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makecirc.tar.xz
Source4540: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makecirc.doc.tar.xz
Source4541: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makecmds.tar.xz
Source4542: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makecmds.doc.tar.xz
Source4547: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makeglos.tar.xz
Source4548: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makeglos.doc.tar.xz
Source4549: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mandi.tar.xz
Source4550: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mandi.doc.tar.xz
Source4552: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/manfnt.tar.xz
Source4554: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/manuscript.tar.xz
Source4555: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/manuscript.doc.tar.xz
Source4557: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marginfix.tar.xz
Source4558: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marginfix.doc.tar.xz
Source4560: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marginnote.tar.xz
Source4561: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marginnote.doc.tar.xz
Source4563: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathalfa.tar.xz
Source4564: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathalfa.doc.tar.xz
Source4565: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathastext.tar.xz
Source4566: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathastext.doc.tar.xz
Source4568: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathexam.tar.xz
Source4569: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathexam.doc.tar.xz
Source4571: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/maybemath.tar.xz
Source4572: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/maybemath.doc.tar.xz
Source4573: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mbenotes.tar.xz
Source4574: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mbenotes.doc.tar.xz
Source4575: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcaption.tar.xz
Source4576: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcaption.doc.tar.xz
Source4578: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mceinleger.tar.xz
Source4579: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mceinleger.doc.tar.xz
Source4580: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcite.tar.xz
Source4581: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcite.doc.tar.xz
Source4583: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mciteplus.tar.xz
Source4584: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mciteplus.doc.tar.xz
Source4585: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdframed.tar.xz
Source4586: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mdframed.doc.tar.xz
Source4588: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/media9.tar.xz
Source4589: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/media9.doc.tar.xz
Source4591: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/medstarbeamer.tar.xz
Source4592: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/medstarbeamer.doc.tar.xz
Source4593: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/meetingmins.tar.xz
Source4594: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/meetingmins.doc.tar.xz
Source4596: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/memexsupp.tar.xz
Source4597: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/memexsupp.doc.tar.xz
Source4598: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/memory.tar.xz
Source4599: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/memory.doc.tar.xz
Source4601: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/menu.tar.xz
Source4602: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/menu.doc.tar.xz
Source4604: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/menukeys.tar.xz
Source4605: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/menukeys.doc.tar.xz
Source4607: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/method.tar.xz
Source4608: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/method.doc.tar.xz
Source4610: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metre.tar.xz
Source4611: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metre.doc.tar.xz
Source4613: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfirstuc.tar.xz
Source4614: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfirstuc.doc.tar.xz
Source4616: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mftinc.tar.xz
Source4617: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mftinc.doc.tar.xz
Source4619: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/midpage.tar.xz
Source4620: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/midpage.doc.tar.xz
Source4621: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minibox.tar.xz
Source4622: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minibox.doc.tar.xz
Source4624: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minifp.tar.xz
Source4625: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minifp.doc.tar.xz
Source4627: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minipage-marginpar.tar.xz
Source4628: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minipage-marginpar.doc.tar.xz
Source4630: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minitoc.tar.xz
Source4631: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minitoc.doc.tar.xz
Source4632: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minorrevision.tar.xz
Source4633: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minorrevision.doc.tar.xz
Source4634: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minted.tar.xz
Source4635: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minted.doc.tar.xz
Source4637: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minutes.tar.xz
Source4638: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/minutes.doc.tar.xz
Source4640: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mla-paper.tar.xz
Source4641: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mla-paper.doc.tar.xz
Source4642: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mlist.tar.xz
Source4643: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mlist.doc.tar.xz
Source4645: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mmap.tar.xz
Source4646: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mmap.doc.tar.xz
Source4647: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mnotes.tar.xz
Source4648: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mnotes.doc.tar.xz
Source4650: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moderncv.tar.xz
Source4651: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moderncv.doc.tar.xz
Source4652: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moderntimeline.tar.xz
Source4653: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moderntimeline.doc.tar.xz
Source4655: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modref.tar.xz
Source4656: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modref.doc.tar.xz
Source4658: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modroman.tar.xz
Source4659: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modroman.doc.tar.xz
Source4661: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/monofill.tar.xz
Source4662: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/monofill.doc.tar.xz
Source4664: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moreenum.tar.xz
Source4665: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moreenum.doc.tar.xz
Source4666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/morefloats.tar.xz
Source4667: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/morefloats.doc.tar.xz
Source4669: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/morehype.tar.xz
Source4670: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/morehype.doc.tar.xz
Source4672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moresize.tar.xz
Source4673: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moresize.doc.tar.xz
Source4675: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moreverb.tar.xz
Source4676: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moreverb.doc.tar.xz
Source4678: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/morewrites.tar.xz
Source4679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/morewrites.doc.tar.xz
Source4683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mparhack.tar.xz
Source4684: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mparhack.doc.tar.xz
Source4686: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/msc.tar.xz
Source4687: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/msc.doc.tar.xz
Source4688: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/msg.tar.xz
Source4689: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/msg.doc.tar.xz
Source4691: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mslapa.tar.xz
Source4692: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mslapa.doc.tar.xz
Source4693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mtgreek.tar.xz
Source4694: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mtgreek.doc.tar.xz
Source4696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multenum.tar.xz
Source4697: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multenum.doc.tar.xz
Source4698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multiaudience.tar.xz
Source4699: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multiaudience.doc.tar.xz
Source4701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multibbl.tar.xz
Source4702: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multibbl.doc.tar.xz
Source4704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multicap.tar.xz
Source4705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multicap.doc.tar.xz
Source4707: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multienv.tar.xz
Source4708: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multienv.doc.tar.xz
Source4710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multiexpand.tar.xz
Source4711: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multiexpand.doc.tar.xz
Source4713: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multirow.tar.xz
Source4714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multirow.doc.tar.xz
Source4715: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mversion.tar.xz
Source4716: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mversion.doc.tar.xz
Source4718: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mwe.tar.xz
Source4719: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mwe.doc.tar.xz
Source4721: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mweights.tar.xz
Source4722: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mweights.doc.tar.xz
Source4723: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mycv.tar.xz
Source4724: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mycv.doc.tar.xz
Source4726: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mylatexformat.tar.xz
Source4727: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mylatexformat.doc.tar.xz
Source4729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nag.tar.xz
Source4730: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nag.doc.tar.xz
Source4732: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nameauth.tar.xz
Source4733: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nameauth.doc.tar.xz
Source4735: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/namespc.tar.xz
Source4736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/namespc.doc.tar.xz
Source4738: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ncclatex.tar.xz
Source4739: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ncclatex.doc.tar.xz
Source4740: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/needspace.tar.xz
Source4741: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/needspace.doc.tar.xz
Source4743: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nestquot.tar.xz
Source4744: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newcommand.doc.tar.xz
Source4745: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newenviron.tar.xz
Source4746: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newenviron.doc.tar.xz
Source4747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newfile.tar.xz
Source4748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newfile.doc.tar.xz
Source4750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newlfm.tar.xz
Source4751: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newlfm.doc.tar.xz
Source4753: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newspaper.tar.xz
Source4754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newspaper.doc.tar.xz
Source4756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newunicodechar.tar.xz
Source4757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newunicodechar.doc.tar.xz
Source4759: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newvbtm.tar.xz
Source4760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newvbtm.doc.tar.xz
Source4762: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newverbs.tar.xz
Source4763: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newverbs.doc.tar.xz
Source4765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nextpage.tar.xz
Source4766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nfssext-cfr.tar.xz
Source4767: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nfssext-cfr.doc.tar.xz
Source4768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nicefilelist.tar.xz
Source4769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nicefilelist.doc.tar.xz
Source4771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/niceframe.tar.xz
Source4772: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/niceframe.doc.tar.xz
Source4774: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nicetext.tar.xz
Source4775: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nicetext.doc.tar.xz
Source4777: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nlctdoc.tar.xz
Source4778: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nlctdoc.doc.tar.xz
Source4779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noconflict.tar.xz
Source4780: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noconflict.doc.tar.xz
Source4781: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noindentafter.tar.xz
Source4782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noindentafter.doc.tar.xz
Source4783: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noitcrul.tar.xz
Source4784: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noitcrul.doc.tar.xz
Source4786: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nolbreaks.tar.xz
Source4787: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nolbreaks.doc.tar.xz
Source4788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nomencl.tar.xz
Source4789: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nomencl.doc.tar.xz
Source4791: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nomentbl.tar.xz
Source4792: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nomentbl.doc.tar.xz
Source4794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nonfloat.tar.xz
Source4795: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nonfloat.doc.tar.xz
Source4797: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nonumonpart.tar.xz
Source4798: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nonumonpart.doc.tar.xz
Source4800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nopageno.tar.xz
Source4801: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nopageno.doc.tar.xz
Source4802: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notes.tar.xz
Source4803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notes.doc.tar.xz
Source4805: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notoccite.tar.xz
Source4806: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notoccite.doc.tar.xz
Source4807: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nowidow.tar.xz
Source4808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nowidow.doc.tar.xz
Source4810: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nox.tar.xz
Source4811: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nox.doc.tar.xz
Source4812: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ntheorem.tar.xz
Source4813: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ntheorem.doc.tar.xz
Source4815: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numberedblock.tar.xz
Source4816: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numberedblock.doc.tar.xz
Source4817: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numname.tar.xz
Source4818: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numname.doc.tar.xz
Source4819: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numprint.tar.xz
Source4820: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numprint.doc.tar.xz
Source4822: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocg-p.tar.xz
Source4823: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocg-p.doc.tar.xz
Source4824: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocgx.tar.xz
Source4825: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocgx.doc.tar.xz
Source4827: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocgx2.tar.xz
Source4828: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocgx2.doc.tar.xz
Source4829: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocr-latex.tar.xz
Source4830: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ocr-latex.doc.tar.xz
Source4831: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/octavo.tar.xz
Source4832: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/octavo.doc.tar.xz
Source4834: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oldstyle.tar.xz
Source4835: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oldstyle.doc.tar.xz
Source4837: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/onlyamsmath.tar.xz
Source4838: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/onlyamsmath.doc.tar.xz
Source4840: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/opcit.tar.xz
Source4841: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/opcit.doc.tar.xz
Source4843: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/optional.tar.xz
Source4844: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/optional.doc.tar.xz
Source4845: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/outline.tar.xz
Source4846: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/outline.doc.tar.xz
Source4847: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/outliner.tar.xz
Source4848: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/outliner.doc.tar.xz
Source4849: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/outlines.tar.xz
Source4850: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/outlines.doc.tar.xz
Source4851: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/overpic.tar.xz
Source4852: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/overpic.doc.tar.xz
Source4853: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagecolor.tar.xz
Source4854: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagecolor.doc.tar.xz
Source4856: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagecont.tar.xz
Source4857: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagecont.doc.tar.xz
Source4859: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagenote.tar.xz
Source4860: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagenote.doc.tar.xz
Source4862: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagerange.tar.xz
Source4863: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pagerange.doc.tar.xz
Source4864: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pageslts.tar.xz
Source4865: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pageslts.doc.tar.xz
Source4867: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paper.tar.xz
Source4868: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paper.doc.tar.xz
Source4870: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/papercdcase.tar.xz
Source4871: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/papercdcase.doc.tar.xz
Source4873: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/papermas.tar.xz
Source4874: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/papermas.doc.tar.xz
Source4876: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/papertex.tar.xz
Source4877: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/papertex.doc.tar.xz
Source4879: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paracol.tar.xz
Source4880: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paracol.doc.tar.xz
Source4882: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paresse.tar.xz
Source4883: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/paresse.doc.tar.xz
Source4885: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parnotes.tar.xz
Source4886: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parnotes.doc.tar.xz
Source4887: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parselines.tar.xz
Source4888: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parselines.doc.tar.xz
Source4890: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-cours.tar.xz
Source4891: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-cours.doc.tar.xz
Source4892: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-cv.tar.xz
Source4893: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-cv.doc.tar.xz
Source4894: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-tableur.tar.xz
Source4895: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pas-tableur.doc.tar.xz
Source4896: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/patchcmd.tar.xz
Source4897: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/patchcmd.doc.tar.xz
Source4899: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pauldoc.tar.xz
Source4900: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pauldoc.doc.tar.xz
Source4902: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pawpict.tar.xz
Source4903: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pawpict.doc.tar.xz
Source4908: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pbox.tar.xz
Source4909: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pbox.doc.tar.xz
Source4911: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pbsheet.tar.xz
Source4912: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pbsheet.doc.tar.xz
Source4914: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdf14.tar.xz
Source4915: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdf14.doc.tar.xz
Source4917: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfcomment.tar.xz
Source4918: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfcomment.doc.tar.xz
Source4919: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfcprot.tar.xz
Source4920: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfcprot.doc.tar.xz
Source4922: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfmarginpar.tar.xz
Source4923: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfmarginpar.doc.tar.xz
Source4924: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfpagediff.tar.xz
Source4925: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfpagediff.doc.tar.xz
Source4926: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfscreen.tar.xz
Source4927: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfscreen.doc.tar.xz
Source4928: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfslide.tar.xz
Source4929: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfslide.doc.tar.xz
Source4930: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfsync.tar.xz
Source4931: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfsync.doc.tar.xz
Source4932: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfwin.tar.xz
Source4933: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfwin.doc.tar.xz
Source4934: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfx.tar.xz
Source4935: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfx.doc.tar.xz
Source4937: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pecha.tar.xz
Source4938: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pecha.doc.tar.xz
Source4942: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/permute.tar.xz
Source4943: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/permute.doc.tar.xz
Source4945: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/petiteannonce.tar.xz
Source4946: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/petiteannonce.doc.tar.xz
Source4947: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/philex.tar.xz
Source4948: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/philex.doc.tar.xz
Source4949: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/photo.tar.xz
Source4950: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/photo.doc.tar.xz
Source4952: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/piff.tar.xz
Source4953: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/piff.doc.tar.xz
Source4954: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pkgloader.tar.xz
Source4955: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pkgloader.doc.tar.xz
Source4956: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plantslabels.tar.xz
Source4957: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plantslabels.doc.tar.xz
Source4958: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plates.tar.xz
Source4959: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plates.doc.tar.xz
Source4960: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plweb.tar.xz
Source4961: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plweb.doc.tar.xz
Source4963: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polynom.tar.xz
Source4964: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polynom.doc.tar.xz
Source4966: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polynomial.tar.xz
Source4967: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polynomial.doc.tar.xz
Source4969: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polytable.tar.xz
Source4970: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polytable.doc.tar.xz
Source4972: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/postcards.tar.xz
Source4973: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/postcards.doc.tar.xz
Source4974: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poster-mac.tar.xz
Source4975: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poster-mac.doc.tar.xz
Source4976: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ppr-prv.tar.xz
Source4977: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ppr-prv.doc.tar.xz
Source4979: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/preprint.tar.xz
Source4980: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/preprint.doc.tar.xz
Source4982: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pressrelease.tar.xz
Source4983: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pressrelease.doc.tar.xz
Source4985: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prettyref.tar.xz
Source4986: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prettyref.doc.tar.xz
Source4988: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/printlen.tar.xz
Source4989: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/printlen.doc.tar.xz
Source4990: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/probsoln.tar.xz
Source4991: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/probsoln.doc.tar.xz
Source4993: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/program.tar.xz
Source4994: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/program.doc.tar.xz
Source4995: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/progress.tar.xz
Source4996: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/progress.doc.tar.xz
Source4997: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/progressbar.tar.xz
Source4998: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/progressbar.doc.tar.xz
Source4999: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/proofread.tar.xz
Source5000: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/proofread.doc.tar.xz
Source5002: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/properties.tar.xz
Source5003: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/properties.doc.tar.xz
Source5004: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prosper.tar.xz
Source5005: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prosper.doc.tar.xz
Source5006: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/protex.tar.xz
Source5007: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/protex.doc.tar.xz
Source5008: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/protocol.tar.xz
Source5009: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/protocol.doc.tar.xz
Source5011: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psfragx.tar.xz
Source5012: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psfragx.doc.tar.xz
Source5017: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstool.tar.xz
Source5018: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstool.doc.tar.xz
Source5020: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxgreeks.tar.xz
Source5021: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxgreeks.doc.tar.xz
Source5023: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/python.tar.xz
Source5024: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/python.doc.tar.xz
Source5025: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qcm.tar.xz
Source5026: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qcm.doc.tar.xz
Source5028: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qstest.tar.xz
Source5029: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qstest.doc.tar.xz
Source5031: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qsymbols.tar.xz
Source5032: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/qsymbols.doc.tar.xz
Source5034: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quotchap.tar.xz
Source5035: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quotchap.doc.tar.xz
Source5037: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quoting.tar.xz
Source5038: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quoting.doc.tar.xz
Source5040: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quotmark.tar.xz
Source5041: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quotmark.doc.tar.xz
Source5043: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ran_toks.tar.xz
Source5044: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ran_toks.doc.tar.xz
Source5046: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/randtext.tar.xz
Source5047: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/randtext.doc.tar.xz
Source5048: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rccol.tar.xz
Source5049: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rccol.doc.tar.xz
Source5051: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rcs-multi.tar.xz
Source5052: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rcs-multi.doc.tar.xz
Source5054: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rcsinfo.tar.xz
Source5055: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rcsinfo.doc.tar.xz
Source5057: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/readarray.tar.xz
Source5058: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/readarray.doc.tar.xz
Source5059: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/realboxes.tar.xz
Source5060: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/realboxes.doc.tar.xz
Source5062: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recipe.tar.xz
Source5063: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recipe.doc.tar.xz
Source5064: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recipebook.tar.xz
Source5065: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recipebook.doc.tar.xz
Source5066: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recipecard.tar.xz
Source5067: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/recipecard.doc.tar.xz
Source5069: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rectopma.tar.xz
Source5070: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rectopma.doc.tar.xz
Source5071: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refcheck.tar.xz
Source5072: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refcheck.doc.tar.xz
Source5073: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refenums.tar.xz
Source5074: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refenums.doc.tar.xz
Source5075: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/reflectgraphics.tar.xz
Source5076: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/reflectgraphics.doc.tar.xz
Source5078: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refman.tar.xz
Source5079: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refman.doc.tar.xz
Source5081: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refstyle.tar.xz
Source5082: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/refstyle.doc.tar.xz
Source5084: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/regcount.tar.xz
Source5085: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/regcount.doc.tar.xz
Source5087: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/regexpatch.tar.xz
Source5088: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/regexpatch.doc.tar.xz
Source5090: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/register.tar.xz
Source5091: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/register.doc.tar.xz
Source5093: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/regstats.tar.xz
Source5094: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/regstats.doc.tar.xz
Source5096: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/relenc.tar.xz
Source5097: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/relenc.doc.tar.xz
Source5099: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/relsize.tar.xz
Source5100: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/relsize.doc.tar.xz
Source5101: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/repeatindex.tar.xz
Source5102: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/repeatindex.doc.tar.xz
Source5103: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/repltext.tar.xz
Source5104: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/repltext.doc.tar.xz
Source5106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rjlparshap.tar.xz
Source5107: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rjlparshap.doc.tar.xz
Source5109: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rlepsf.tar.xz
Source5110: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rlepsf.doc.tar.xz
Source5111: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rmpage.tar.xz
Source5112: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rmpage.doc.tar.xz
Source5113: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/robustcommand.tar.xz
Source5114: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/robustcommand.doc.tar.xz
Source5116: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/robustindex.tar.xz
Source5117: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/robustindex.doc.tar.xz
Source5118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romanbar.tar.xz
Source5119: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romanbar.doc.tar.xz
Source5121: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romanbarpagenumber.tar.xz
Source5122: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romanbarpagenumber.doc.tar.xz
Source5124: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romanneg.tar.xz
Source5125: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romanneg.doc.tar.xz
Source5126: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romannum.tar.xz
Source5127: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/romannum.doc.tar.xz
Source5129: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rotfloat.tar.xz
Source5130: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rotfloat.doc.tar.xz
Source5132: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rotpages.tar.xz
Source5133: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rotpages.doc.tar.xz
Source5134: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/roundbox.tar.xz
Source5135: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/roundbox.doc.tar.xz
Source5136: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rterface.tar.xz
Source5137: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rterface.doc.tar.xz
Source5138: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rtkinenc.tar.xz
Source5139: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rtkinenc.doc.tar.xz
Source5141: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rulercompass.tar.xz
Source5142: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rulercompass.doc.tar.xz
Source5144: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rvwrite.tar.xz
Source5145: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rvwrite.doc.tar.xz
Source5146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/savefnmark.tar.xz
Source5147: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/savefnmark.doc.tar.xz
Source5149: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/savesym.tar.xz
Source5150: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/savetrees.tar.xz
Source5151: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/savetrees.doc.tar.xz
Source5153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scale.tar.xz
Source5154: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scale.doc.tar.xz
Source5156: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scalebar.tar.xz
Source5157: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scalebar.doc.tar.xz
Source5159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scalerel.tar.xz
Source5160: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scalerel.doc.tar.xz
Source5161: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scanpages.tar.xz
Source5162: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scanpages.doc.tar.xz
Source5163: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sdrt.tar.xz
Source5164: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sdrt.doc.tar.xz
Source5165: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/secdot.tar.xz
Source5166: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/secdot.doc.tar.xz
Source5167: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sectionbox.tar.xz
Source5168: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sectionbox.doc.tar.xz
Source5169: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sectsty.tar.xz
Source5170: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sectsty.doc.tar.xz
Source5172: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seealso.tar.xz
Source5173: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seealso.doc.tar.xz
Source5175: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/selectp.tar.xz
Source5176: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/selectp.doc.tar.xz
Source5177: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semantic.tar.xz
Source5178: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semantic.doc.tar.xz
Source5180: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semioneside.tar.xz
Source5181: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semioneside.doc.tar.xz
Source5183: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semproc.tar.xz
Source5184: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/semproc.doc.tar.xz
Source5186: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sepfootnotes.tar.xz
Source5187: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sepfootnotes.doc.tar.xz
Source5188: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seqsplit.tar.xz
Source5189: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seqsplit.doc.tar.xz
Source5191: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sf298.tar.xz
Source5192: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sf298.doc.tar.xz
Source5194: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sffms.tar.xz
Source5195: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sffms.doc.tar.xz
Source5197: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sfmath.tar.xz
Source5198: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shadethm.tar.xz
Source5199: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shadethm.doc.tar.xz
Source5200: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shadow.tar.xz
Source5201: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shadow.doc.tar.xz
Source5202: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shadowtext.tar.xz
Source5203: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shadowtext.doc.tar.xz
Source5204: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shapepar.tar.xz
Source5205: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shapepar.doc.tar.xz
Source5206: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shdoc.tar.xz
Source5207: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shdoc.doc.tar.xz
Source5209: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shipunov.tar.xz
Source5210: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shipunov.doc.tar.xz
Source5211: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shorttoc.tar.xz
Source5212: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shorttoc.doc.tar.xz
Source5214: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/show2e.tar.xz
Source5215: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/show2e.doc.tar.xz
Source5217: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showcharinbox.tar.xz
Source5218: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showcharinbox.doc.tar.xz
Source5220: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showdim.tar.xz
Source5221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showdim.doc.tar.xz
Source5222: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showexpl.tar.xz
Source5223: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showexpl.doc.tar.xz
Source5225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showlabels.tar.xz
Source5226: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showlabels.doc.tar.xz
Source5228: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sidecap.tar.xz
Source5229: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sidecap.doc.tar.xz
Source5231: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sidenotes.tar.xz
Source5232: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sidenotes.doc.tar.xz
Source5234: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/silence.tar.xz
Source5235: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/silence.doc.tar.xz
Source5237: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simplecd.tar.xz
Source5238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simplecd.doc.tar.xz
Source5240: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simplecv.tar.xz
Source5241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simplecv.doc.tar.xz
Source5243: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simplewick.tar.xz
Source5244: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simplewick.doc.tar.xz
Source5246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sitem.tar.xz
Source5247: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sitem.doc.tar.xz
Source5249: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skb.tar.xz
Source5250: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skb.doc.tar.xz
Source5252: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skdoc.tar.xz
Source5253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skdoc.doc.tar.xz
Source5255: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skeycommand.tar.xz
Source5256: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skeycommand.doc.tar.xz
Source5257: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skeyval.tar.xz
Source5258: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skeyval.doc.tar.xz
Source5259: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skrapport.tar.xz
Source5260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skrapport.doc.tar.xz
Source5262: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/slantsc.tar.xz
Source5263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/slantsc.doc.tar.xz
Source5265: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smalltableof.tar.xz
Source5266: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smalltableof.doc.tar.xz
Source5267: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smartref.tar.xz
Source5268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smartref.doc.tar.xz
Source5269: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/snapshot.tar.xz
Source5270: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/snapshot.doc.tar.xz
Source5272: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/snotez.tar.xz
Source5273: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/snotez.doc.tar.xz
Source5274: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/soul.tar.xz
Source5275: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/soul.doc.tar.xz
Source5277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sparklines.tar.xz
Source5278: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sparklines.doc.tar.xz
Source5279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sphack.tar.xz
Source5280: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sphack.doc.tar.xz
Source5284: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spot.tar.xz
Source5285: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spot.doc.tar.xz
Source5287: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spotcolor.tar.xz
Source5288: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spotcolor.doc.tar.xz
Source5289: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spreadtab.tar.xz
Source5290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spreadtab.doc.tar.xz
Source5291: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spverbatim.tar.xz
Source5292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spverbatim.doc.tar.xz
Source5294: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/srbook-mem.tar.xz
Source5295: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/srbook-mem.doc.tar.xz
Source5296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/srcltx.tar.xz
Source5297: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/srcltx.doc.tar.xz
Source5299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sseq.tar.xz
Source5300: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sseq.doc.tar.xz
Source5302: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sslides.tar.xz
Source5303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sslides.doc.tar.xz
Source5304: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stack.tar.xz
Source5306: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stackengine.tar.xz
Source5307: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stackengine.doc.tar.xz
Source5308: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/standalone.tar.xz
Source5309: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/standalone.doc.tar.xz
Source5311: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/statistik.tar.xz
Source5312: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/statistik.doc.tar.xz
Source5314: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stdclsdv.tar.xz
Source5315: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stdclsdv.doc.tar.xz
Source5317: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stdpage.tar.xz
Source5318: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stdpage.doc.tar.xz
Source5320: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stex.tar.xz
Source5321: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stex.doc.tar.xz
Source5323: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/storebox.tar.xz
Source5324: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/storebox.doc.tar.xz
Source5326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/storecmd.tar.xz
Source5327: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/storecmd.doc.tar.xz
Source5328: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stringstrings.tar.xz
Source5329: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stringstrings.doc.tar.xz
Source5331: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sttools.tar.xz
Source5332: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sttools.doc.tar.xz
Source5334: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stubs.tar.xz
Source5335: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stubs.doc.tar.xz
Source5336: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subdepth.tar.xz
Source5337: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subdepth.doc.tar.xz
Source5339: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subeqn.tar.xz
Source5340: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subeqn.doc.tar.xz
Source5342: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subeqnarray.tar.xz
Source5343: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subeqnarray.doc.tar.xz
Source5345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfigmat.tar.xz
Source5346: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfigmat.doc.tar.xz
Source5347: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfigure.tar.xz
Source5348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfigure.doc.tar.xz
Source5350: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfiles.tar.xz
Source5351: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfiles.doc.tar.xz
Source5353: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfloat.tar.xz
Source5354: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subfloat.doc.tar.xz
Source5356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/substitutefont.tar.xz
Source5357: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/substitutefont.doc.tar.xz
Source5358: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/substr.tar.xz
Source5359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/substr.doc.tar.xz
Source5360: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/supertabular.tar.xz
Source5361: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/supertabular.doc.tar.xz
Source5363: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svg.tar.xz
Source5364: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svg.doc.tar.xz
Source5366: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svgcolor.tar.xz
Source5367: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svgcolor.doc.tar.xz
Source5368: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svn.tar.xz
Source5369: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svn.doc.tar.xz
Source5374: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svninfo.tar.xz
Source5375: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svninfo.doc.tar.xz
Source5377: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/syntax.tar.xz
Source5378: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/syntax.doc.tar.xz
Source5379: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/syntrace.tar.xz
Source5380: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/syntrace.doc.tar.xz
Source5382: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/synttree.tar.xz
Source5383: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/synttree.doc.tar.xz
Source5385: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabfigures.tar.xz
Source5386: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabfigures.doc.tar.xz
Source5388: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tableaux.tar.xz
Source5389: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tableaux.doc.tar.xz
Source5390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablefootnote.tar.xz
Source5391: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablefootnote.doc.tar.xz
Source5393: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tableof.tar.xz
Source5394: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tableof.doc.tar.xz
Source5396: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablestyles.tar.xz
Source5397: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablestyles.doc.tar.xz
Source5399: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablists.tar.xz
Source5400: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablists.doc.tar.xz
Source5402: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabls.tar.xz
Source5403: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabls.doc.tar.xz
Source5404: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabstackengine.tar.xz
Source5405: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabstackengine.doc.tar.xz
Source5406: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabto-ltx.tar.xz
Source5407: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabto-ltx.doc.tar.xz
Source5408: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabu.tar.xz
Source5409: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabu.doc.tar.xz
Source5411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabularborder.tar.xz
Source5412: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabularborder.doc.tar.xz
Source5414: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabularcalc.tar.xz
Source5415: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabularcalc.doc.tar.xz
Source5416: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabularew.tar.xz
Source5417: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabularew.doc.tar.xz
Source5419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabulary.tar.xz
Source5420: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabulary.doc.tar.xz
Source5422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tagging.tar.xz
Source5423: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tagging.doc.tar.xz
Source5424: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tagpair.tar.xz
Source5425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tagpair.doc.tar.xz
Source5426: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/talk.tar.xz
Source5427: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/talk.doc.tar.xz
Source5429: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tamefloats.tar.xz
Source5430: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tamefloats.doc.tar.xz
Source5431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tasks.tar.xz
Source5432: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tasks.doc.tar.xz
Source5433: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tcldoc.tar.xz
Source5434: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tcldoc.doc.tar.xz
Source5436: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tcolorbox.tar.xz
Source5437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tcolorbox.doc.tar.xz
Source5438: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tdclock.tar.xz
Source5439: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tdclock.doc.tar.xz
Source5440: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/technics.tar.xz
Source5441: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/technics.doc.tar.xz
Source5442: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ted.tar.xz
Source5443: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ted.doc.tar.xz
Source5445: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/templatetools.tar.xz
Source5446: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/templatetools.doc.tar.xz
Source5448: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termcal.tar.xz
Source5449: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termcal.doc.tar.xz
Source5451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termlist.tar.xz
Source5452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termlist.doc.tar.xz
Source5454: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/testhyphens.tar.xz
Source5455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/testhyphens.doc.tar.xz
Source5457: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-label.tar.xz
Source5458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-label.doc.tar.xz
Source5460: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlogos.tar.xz
Source5461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texmate.tar.xz
Source5462: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texmate.doc.tar.xz
Source5464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texments.tar.xz
Source5465: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texments.doc.tar.xz
Source5467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texpower.tar.xz
Source5468: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texpower.doc.tar.xz
Source5470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texshade.tar.xz
Source5471: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texshade.doc.tar.xz
Source5473: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textfit.tar.xz
Source5474: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textfit.doc.tar.xz
Source5476: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textgreek.tar.xz
Source5477: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textgreek.doc.tar.xz
Source5479: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textmerg.tar.xz
Source5480: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textmerg.doc.tar.xz
Source5482: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textpos.tar.xz
Source5483: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textpos.doc.tar.xz
Source5485: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/theoremref.tar.xz
Source5486: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/theoremref.doc.tar.xz
Source5487: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thinsp.tar.xz
Source5488: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thinsp.doc.tar.xz
Source5489: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thmtools.tar.xz
Source5490: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thmtools.doc.tar.xz
Source5492: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threadcol.tar.xz
Source5493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threadcol.doc.tar.xz
Source5495: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threeparttable.tar.xz
Source5496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threeparttable.doc.tar.xz
Source5497: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threeparttablex.tar.xz
Source5498: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threeparttablex.doc.tar.xz
Source5499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thumb.tar.xz
Source5500: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thumb.doc.tar.xz
Source5502: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thumbs.tar.xz
Source5503: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thumbs.doc.tar.xz
Source5505: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thumby.tar.xz
Source5506: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thumby.doc.tar.xz
Source5507: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ticket.tar.xz
Source5508: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ticket.doc.tar.xz
Source5509: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlecaps.tar.xz
Source5510: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlecaps.doc.tar.xz
Source5511: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlefoot.tar.xz
Source5512: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlepic.tar.xz
Source5513: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlepic.doc.tar.xz
Source5514: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titleref.tar.xz
Source5515: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titleref.doc.tar.xz
Source5516: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlesec.tar.xz
Source5517: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titlesec.doc.tar.xz
Source5518: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titling.tar.xz
Source5519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/titling.doc.tar.xz
Source5521: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocbibind.tar.xz
Source5522: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocbibind.doc.tar.xz
Source5524: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocloft.tar.xz
Source5525: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocloft.doc.tar.xz
Source5527: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocvsec2.tar.xz
Source5528: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocvsec2.doc.tar.xz
Source5530: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/todo.tar.xz
Source5531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/todo.doc.tar.xz
Source5533: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/todonotes.tar.xz
Source5534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/todonotes.doc.tar.xz
Source5536: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tokenizer.tar.xz
Source5537: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tokenizer.doc.tar.xz
Source5538: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/toolbox.tar.xz
Source5539: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/toolbox.doc.tar.xz
Source5541: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/topfloat.tar.xz
Source5542: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/topfloat.doc.tar.xz
Source5543: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/totcount.tar.xz
Source5544: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/totcount.doc.tar.xz
Source5546: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/totpages.tar.xz
Source5547: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/totpages.doc.tar.xz
Source5549: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translations.tar.xz
Source5550: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translations.doc.tar.xz
Source5551: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trfsigns.tar.xz
Source5552: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trfsigns.doc.tar.xz
Source5554: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trimspaces.tar.xz
Source5555: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trimspaces.doc.tar.xz
Source5557: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trivfloat.tar.xz
Source5558: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trivfloat.doc.tar.xz
Source5560: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trsym.tar.xz
Source5561: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/trsym.doc.tar.xz
Source5563: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/truncate.tar.xz
Source5564: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/truncate.doc.tar.xz
Source5565: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tucv.tar.xz
Source5566: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tucv.doc.tar.xz
Source5568: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turnthepage.tar.xz
Source5569: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turnthepage.doc.tar.xz
Source5570: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/twoinone.tar.xz
Source5571: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/twoinone.doc.tar.xz
Source5572: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/twoup.tar.xz
Source5573: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/twoup.doc.tar.xz
Source5575: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txgreeks.tar.xz
Source5576: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txgreeks.doc.tar.xz
Source5578: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/type1cm.tar.xz
Source5579: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/type1cm.doc.tar.xz
Source5581: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typeface.tar.xz
Source5582: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typeface.doc.tar.xz
Source5584: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typogrid.tar.xz
Source5585: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typogrid.doc.tar.xz
Source5587: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uassign.tar.xz
Source5588: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uassign.doc.tar.xz
Source5589: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucs.tar.xz
Source5590: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucs.doc.tar.xz
Source5591: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uebungsblatt.tar.xz
Source5592: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uebungsblatt.doc.tar.xz
Source5593: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umoline.tar.xz
Source5594: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umoline.doc.tar.xz
Source5596: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/underlin.tar.xz
Source5597: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/underlin.doc.tar.xz
Source5599: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/underoverlap.tar.xz
Source5600: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/underoverlap.doc.tar.xz
Source5601: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/undolabl.tar.xz
Source5602: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/undolabl.doc.tar.xz
Source5604: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/units.tar.xz
Source5605: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/units.doc.tar.xz
Source5607: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unravel.tar.xz
Source5608: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unravel.doc.tar.xz
Source5610: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upmethodology.tar.xz
Source5611: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upmethodology.doc.tar.xz
Source5612: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upquote.tar.xz
Source5613: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upquote.doc.tar.xz
Source5615: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uri.tar.xz
Source5616: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uri.doc.tar.xz
Source5618: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ushort.tar.xz
Source5619: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ushort.doc.tar.xz
Source5621: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varindex.tar.xz
Source5622: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varindex.doc.tar.xz
Source5624: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varsfromjobname.tar.xz
Source5625: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varsfromjobname.doc.tar.xz
Source5626: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varwidth.tar.xz
Source5627: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varwidth.doc.tar.xz
Source5628: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vdmlisting.tar.xz
Source5629: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vdmlisting.doc.tar.xz
Source5630: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbasef.tar.xz
Source5631: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbasef.doc.tar.xz
Source5632: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbatimbox.tar.xz
Source5633: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbatimbox.doc.tar.xz
Source5634: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbatimcopy.tar.xz
Source5635: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbatimcopy.doc.tar.xz
Source5636: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbdef.tar.xz
Source5637: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbdef.doc.tar.xz
Source5638: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbments.tar.xz
Source5639: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/verbments.doc.tar.xz
Source5640: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/version.tar.xz
Source5641: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/version.doc.tar.xz
Source5642: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/versions.tar.xz
Source5643: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/versions.doc.tar.xz
Source5644: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/versonotes.tar.xz
Source5645: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/versonotes.doc.tar.xz
Source5647: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vertbars.tar.xz
Source5648: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vertbars.doc.tar.xz
Source5650: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vgrid.tar.xz
Source5651: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vgrid.doc.tar.xz
Source5653: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vhistory.tar.xz
Source5654: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vhistory.doc.tar.xz
Source5655: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vmargin.tar.xz
Source5656: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vmargin.doc.tar.xz
Source5658: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/volumes.tar.xz
Source5659: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/volumes.doc.tar.xz
Source5663: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vruler.tar.xz
Source5664: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vruler.doc.tar.xz
Source5665: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vwcol.tar.xz
Source5666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vwcol.doc.tar.xz
Source5668: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wallpaper.tar.xz
Source5669: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wallpaper.doc.tar.xz
Source5670: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/warning.tar.xz
Source5671: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/warning.doc.tar.xz
Source5672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/warpcol.tar.xz
Source5673: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/warpcol.doc.tar.xz
Source5675: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/was.tar.xz
Source5676: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/was.doc.tar.xz
Source5678: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/widetable.tar.xz
Source5679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/widetable.doc.tar.xz
Source5681: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/williams.tar.xz
Source5682: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/williams.doc.tar.xz
Source5683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/withargs.tar.xz
Source5684: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/withargs.doc.tar.xz
Source5685: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wordlike.tar.xz
Source5686: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wordlike.doc.tar.xz
Source5688: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wrapfig.tar.xz
Source5689: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wrapfig.doc.tar.xz
Source5690: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xargs.tar.xz
Source5691: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xargs.doc.tar.xz
Source5693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcolor-solarized.tar.xz
Source5694: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcolor-solarized.doc.tar.xz
Source5696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcomment.tar.xz
Source5697: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcomment.doc.tar.xz
Source5698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xdoc.tar.xz
Source5699: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xdoc.doc.tar.xz
Source5701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xfor.tar.xz
Source5702: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xfor.doc.tar.xz
Source5704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xhfill.tar.xz
Source5705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xhfill.doc.tar.xz
Source5706: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xint.tar.xz
Source5707: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xint.doc.tar.xz
Source5709: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xmpincl.tar.xz
Source5710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xmpincl.doc.tar.xz
Source5712: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xnewcommand.tar.xz
Source5713: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xnewcommand.doc.tar.xz
Source5714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xoptarg.tar.xz
Source5715: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xoptarg.doc.tar.xz
Source5716: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpatch.tar.xz
Source5717: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpatch.doc.tar.xz
Source5719: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpeek.tar.xz
Source5720: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpeek.doc.tar.xz
Source5722: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xprintlen.tar.xz
Source5723: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xprintlen.doc.tar.xz
Source5724: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpunctuate.tar.xz
Source5725: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpunctuate.doc.tar.xz
Source5727: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xstring.tar.xz
Source5728: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xstring.doc.tar.xz
Source5729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xtab.tar.xz
Source5730: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xtab.doc.tar.xz
Source5732: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xwatermark.tar.xz
Source5733: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xwatermark.doc.tar.xz
Source5734: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xytree.tar.xz
Source5735: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xytree.doc.tar.xz
Source5736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yafoot.tar.xz
Source5737: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yafoot.doc.tar.xz
Source5739: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yagusylo.tar.xz
Source5740: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yagusylo.doc.tar.xz
Source5742: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ydoc.tar.xz
Source5743: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ydoc.doc.tar.xz
Source5747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zed-csp.tar.xz
Source5748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zed-csp.doc.tar.xz
Source5749: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ziffer.tar.xz
Source5750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ziffer.doc.tar.xz
Source5751: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zwgetfdate.tar.xz
Source5752: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zwgetfdate.doc.tar.xz
Source5753: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zwpagelayout.tar.xz
Source5754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zwpagelayout.doc.tar.xz
Source5755: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enigma.tar.xz
Source5756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/enigma.doc.tar.xz
Source5757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interpreter.tar.xz
Source5758: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interpreter.doc.tar.xz
Source5759: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lua-check-hyphen.tar.xz
Source5760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lua-check-hyphen.doc.tar.xz
Source5761: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lua-visual-debug.tar.xz
Source5762: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lua-visual-debug.doc.tar.xz
Source5765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luabibentry.tar.xz
Source5766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luabibentry.doc.tar.xz
Source5768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luabidi.tar.xz
Source5769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luabidi.doc.tar.xz
Source5770: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luacode.tar.xz
Source5771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luacode.doc.tar.xz
Source5773: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luaindex.tar.xz
Source5774: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luaindex.doc.tar.xz
Source5776: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luainputenc.tar.xz
Source5777: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luainputenc.doc.tar.xz
Source5779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luaintro.doc.tar.xz
Source5780: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lualatex-doc.doc.tar.xz
Source5782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lualatex-math.tar.xz
Source5783: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lualatex-math.doc.tar.xz
Source5785: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lualibs.tar.xz
Source5786: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lualibs.doc.tar.xz
Source5788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luamplib.tar.xz
Source5789: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luamplib.doc.tar.xz
Source5794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luasseq.tar.xz
Source5795: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luasseq.doc.tar.xz
Source5797: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatexbase.tar.xz
Source5798: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatexbase.doc.tar.xz
Source5800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatexko.tar.xz
Source5801: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatexko.doc.tar.xz
Source5802: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatextra.tar.xz
Source5803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatextra.doc.tar.xz
Source5805: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatodonotes.tar.xz
Source5806: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatodonotes.doc.tar.xz
Source5808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luaxml.tar.xz
Source5809: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luaxml.doc.tar.xz
Source5810: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/odsfile.tar.xz
Source5811: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/odsfile.doc.tar.xz
Source5812: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/placeat.tar.xz
Source5813: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/placeat.doc.tar.xz
Source5815: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/selnolig.tar.xz
Source5816: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/selnolig.doc.tar.xz
Source5817: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showhyphens.tar.xz
Source5818: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/showhyphens.doc.tar.xz
Source5819: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spelling.tar.xz
Source5820: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spelling.doc.tar.xz
Source5821: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucharcat.tar.xz
Source5822: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucharcat.doc.tar.xz
Source5824: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/commath.tar.xz
Source5825: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/commath.doc.tar.xz
Source5826: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concmath.tar.xz
Source5827: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concmath.doc.tar.xz
Source5829: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concrete.tar.xz
Source5830: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/concrete.doc.tar.xz
Source5831: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/conteq.tar.xz
Source5832: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/conteq.doc.tar.xz
Source5834: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebproof.tar.xz
Source5835: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebproof.doc.tar.xz
Source5836: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqnarray.tar.xz
Source5837: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqnarray.doc.tar.xz
Source5839: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extarrows.tar.xz
Source5840: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extarrows.doc.tar.xz
Source5841: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extpfeil.tar.xz
Source5842: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/extpfeil.doc.tar.xz
Source5844: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/faktor.tar.xz
Source5845: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/faktor.doc.tar.xz
Source5847: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grundgesetze.tar.xz
Source5848: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grundgesetze.doc.tar.xz
Source5850: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interval.tar.xz
Source5851: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interval.doc.tar.xz
Source5852: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ionumbers.tar.xz
Source5853: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ionumbers.doc.tar.xz
Source5855: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isomath.tar.xz
Source5856: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isomath.doc.tar.xz
Source5857: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logicproof.tar.xz
Source5858: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/logicproof.doc.tar.xz
Source5860: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lpform.tar.xz
Source5861: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lpform.doc.tar.xz
Source5862: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lplfitch.tar.xz
Source5863: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lplfitch.doc.tar.xz
Source5865: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathcomp.tar.xz
Source5866: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathcomp.doc.tar.xz
Source5868: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mattens.tar.xz
Source5869: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mattens.doc.tar.xz
Source5871: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mhequ.tar.xz
Source5872: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mhequ.doc.tar.xz
Source5873: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multiobjective.tar.xz
Source5874: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multiobjective.doc.tar.xz
Source5876: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/natded.tar.xz
Source5877: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/natded.doc.tar.xz
Source5878: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nath.tar.xz
Source5879: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nath.doc.tar.xz
Source5880: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ot-tableau.tar.xz
Source5881: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ot-tableau.doc.tar.xz
Source5882: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oubraces.tar.xz
Source5883: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/oubraces.doc.tar.xz
Source5884: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/perfectcut.tar.xz
Source5885: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/perfectcut.doc.tar.xz
Source5886: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prftree.tar.xz
Source5887: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prftree.doc.tar.xz
Source5888: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/proba.tar.xz
Source5889: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/proba.doc.tar.xz
Source5891: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rec-thy.tar.xz
Source5892: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rec-thy.doc.tar.xz
Source5893: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ribbonproofs.tar.xz
Source5894: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ribbonproofs.doc.tar.xz
Source5895: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rmathbr.tar.xz
Source5896: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rmathbr.doc.tar.xz
Source5898: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sesamanuel.tar.xz
Source5899: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sesamanuel.doc.tar.xz
Source5901: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shuffle.tar.xz
Source5902: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shuffle.doc.tar.xz
Source5904: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skmath.tar.xz
Source5905: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/skmath.doc.tar.xz
Source5907: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/statex.tar.xz
Source5908: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/statex.doc.tar.xz
Source5909: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/statex2.tar.xz
Source5910: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/statex2.doc.tar.xz
Source5911: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subsupscripts.tar.xz
Source5912: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/subsupscripts.doc.tar.xz
Source5913: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/susy.tar.xz
Source5914: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/susy.doc.tar.xz
Source5915: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/syllogism.tar.xz
Source5916: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/syllogism.doc.tar.xz
Source5917: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sympytexpackage.tar.xz
Source5918: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sympytexpackage.doc.tar.xz
Source5920: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/synproof.tar.xz
Source5921: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/synproof.doc.tar.xz
Source5922: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablor.tar.xz
Source5923: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tablor.doc.tar.xz
Source5924: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tensor.tar.xz
Source5925: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tensor.doc.tar.xz
Source5927: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-ewd.tar.xz
Source5928: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-ewd.doc.tar.xz
Source5929: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thmbox.tar.xz
Source5930: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thmbox.doc.tar.xz
Source5932: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turnstile.tar.xz
Source5933: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turnstile.doc.tar.xz
Source5935: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unicode-math.tar.xz
Source5936: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unicode-math.doc.tar.xz
Source5938: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/venn.tar.xz
Source5939: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/venn.doc.tar.xz
Source5940: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yhmath.tar.xz
Source5941: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yhmath.doc.tar.xz
Source5943: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ytableau.tar.xz
Source5944: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ytableau.doc.tar.xz
Source5946: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drv.tar.xz
Source5947: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drv.doc.tar.xz
Source5948: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dviincl.tar.xz
Source5949: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dviincl.doc.tar.xz
Source5950: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emp.tar.xz
Source5951: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emp.doc.tar.xz
Source5953: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsincl.tar.xz
Source5954: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsincl.doc.tar.xz
Source5955: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/expressg.tar.xz
Source5956: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/expressg.doc.tar.xz
Source5958: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exteps.tar.xz
Source5959: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exteps.doc.tar.xz
Source5960: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/featpost.tar.xz
Source5961: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/featpost.doc.tar.xz
Source5962: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feynmf.tar.xz
Source5963: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feynmf.doc.tar.xz
Source5965: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feynmp-auto.tar.xz
Source5966: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/feynmp-auto.doc.tar.xz
Source5968: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/garrigues.tar.xz
Source5969: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/garrigues.doc.tar.xz
Source5970: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmp.tar.xz
Source5971: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gmp.doc.tar.xz
Source5973: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexmp.tar.xz
Source5974: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexmp.doc.tar.xz
Source5975: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcf2graph.tar.xz
Source5976: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcf2graph.doc.tar.xz
Source5977: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metago.tar.xz
Source5978: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metago.doc.tar.xz
Source5979: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metaobj.tar.xz
Source5980: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metaobj.doc.tar.xz
Source5981: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metaplot.tar.xz
Source5982: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metaplot.doc.tar.xz
Source5983: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metauml.tar.xz
Source5984: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/metauml.doc.tar.xz
Source5985: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfpic.tar.xz
Source5986: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfpic.doc.tar.xz
Source5988: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfpic4ode.tar.xz
Source5989: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mfpic4ode.doc.tar.xz
Source5991: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mp3d.tar.xz
Source5992: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mp3d.doc.tar.xz
Source5993: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpcolornames.tar.xz
Source5994: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpcolornames.doc.tar.xz
Source5996: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpattern.tar.xz
Source5997: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpattern.doc.tar.xz
Source5998: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpgraphics.tar.xz
Source5999: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpgraphics.doc.tar.xz
Source6001: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/piechartmp.tar.xz
Source6002: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/piechartmp.doc.tar.xz
Source6003: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/repere.tar.xz
Source6004: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/repere.doc.tar.xz
Source6005: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/roex.tar.xz
Source6007: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/roundrect.tar.xz
Source6008: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/roundrect.doc.tar.xz
Source6010: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shapes.tar.xz
Source6011: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shapes.doc.tar.xz
Source6013: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/slideshow.tar.xz
Source6014: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/slideshow.doc.tar.xz
Source6015: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/splines.tar.xz
Source6016: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/splines.doc.tar.xz
Source6018: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/suanpan.tar.xz
Source6019: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/suanpan.doc.tar.xz
Source6020: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textpath.tar.xz
Source6021: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textpath.doc.tar.xz
Source6022: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threeddice.tar.xz
Source6023: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/threeddice.doc.tar.xz
Source6024: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figbas.tar.xz
Source6025: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figbas.doc.tar.xz
Source6026: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gchords.tar.xz
Source6027: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gchords.doc.tar.xz
Source6028: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gtrcrd.tar.xz
Source6029: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gtrcrd.doc.tar.xz
Source6030: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/guitar.tar.xz
Source6031: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/guitar.doc.tar.xz
Source6033: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/guitarchordschemes.tar.xz
Source6034: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/guitarchordschemes.doc.tar.xz
Source6035: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harmony.tar.xz
Source6036: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/harmony.doc.tar.xz
Source6037: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leadsheets.tar.xz
Source6038: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/leadsheets.doc.tar.xz
Source6044: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musixguit.tar.xz
Source6045: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musixguit.doc.tar.xz
Source6049: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musixtex-fonts.tar.xz
Source6050: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musixtex-fonts.doc.tar.xz
Source6053: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/piano.tar.xz
Source6054: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/piano.doc.tar.xz
Source6059: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/songbook.tar.xz
Source6060: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/songbook.doc.tar.xz
Source6062: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/songs.tar.xz
Source6063: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/songs.doc.tar.xz
Source6065: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpiano.tar.xz
Source6066: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xpiano.doc.tar.xz
Source6068: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mxedruli.tar.xz
Source6069: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mxedruli.doc.tar.xz
Source6072: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/otibet.tar.xz
Source6073: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/otibet.doc.tar.xz
Source6075: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsf-dvipdfmx.tar.xz
Source6076: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/epsf-dvipdfmx.doc.tar.xz
Source6077: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figflow.tar.xz
Source6078: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/figflow.doc.tar.xz
Source6079: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixpdfmag.tar.xz
Source6080: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/font-change.tar.xz
Source6081: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/font-change.doc.tar.xz
Source6082: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontch.tar.xz
Source6083: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontch.doc.tar.xz
Source6084: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/getoptk.tar.xz
Source6085: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/getoptk.doc.tar.xz
Source6086: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfnotation.tar.xz
Source6087: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gfnotation.doc.tar.xz
Source6088: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphics-pln.tar.xz
Source6089: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphics-pln.doc.tar.xz
Source6091: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyplain.tar.xz
Source6092: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyplain.doc.tar.xz
Source6093: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/js-misc.tar.xz
Source6094: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/js-misc.doc.tar.xz
Source6095: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mkpattern.tar.xz
Source6096: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mkpattern.doc.tar.xz
Source6097: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newsletr.tar.xz
Source6098: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/newsletr.doc.tar.xz
Source6099: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pitex.tar.xz
Source6100: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pitex.doc.tar.xz
Source6101: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/placeins-plain.tar.xz
Source6102: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plipsum.tar.xz
Source6103: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plipsum.doc.tar.xz
Source6104: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plnfss.tar.xz
Source6105: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plnfss.doc.tar.xz
Source6106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plstmary.tar.xz
Source6107: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/plstmary.doc.tar.xz
Source6108: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/present.tar.xz
Source6109: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/present.doc.tar.xz
Source6110: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/resumemac.tar.xz
Source6111: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/resumemac.doc.tar.xz
Source6112: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texinfo.tar.xz
Source6113: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/timetable.tar.xz
Source6114: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/treetex.tar.xz
Source6115: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/treetex.doc.tar.xz
Source6116: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varisize.tar.xz
Source6117: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/varisize.doc.tar.xz
Source6118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xii.doc.tar.xz
Source6119: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dsptricks.tar.xz
Source6120: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dsptricks.doc.tar.xz
Source6121: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makeplot.tar.xz
Source6122: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makeplot.doc.tar.xz
Source6124: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdftricks.tar.xz
Source6125: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdftricks.doc.tar.xz
Source6126: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdftricks2.tar.xz
Source6127: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdftricks2.doc.tar.xz
Source6130: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psbao.tar.xz
Source6131: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psbao.doc.tar.xz
Source6132: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-2dplot.tar.xz
Source6133: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-2dplot.doc.tar.xz
Source6134: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-3d.tar.xz
Source6135: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-3d.doc.tar.xz
Source6137: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-3dplot.tar.xz
Source6138: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-3dplot.doc.tar.xz
Source6139: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-abspos.tar.xz
Source6140: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-abspos.doc.tar.xz
Source6142: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-am.tar.xz
Source6143: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-am.doc.tar.xz
Source6145: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-asr.tar.xz
Source6146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-asr.doc.tar.xz
Source6147: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-bar.tar.xz
Source6148: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-bar.doc.tar.xz
Source6150: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-barcode.tar.xz
Source6151: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-barcode.doc.tar.xz
Source6152: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-bezier.tar.xz
Source6153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-bezier.doc.tar.xz
Source6155: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-blur.tar.xz
Source6156: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-blur.doc.tar.xz
Source6158: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-bspline.tar.xz
Source6159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-bspline.doc.tar.xz
Source6160: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-calendar.tar.xz
Source6161: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-calendar.doc.tar.xz
Source6162: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-circ.tar.xz
Source6163: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-circ.doc.tar.xz
Source6164: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-coil.tar.xz
Source6165: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-coil.doc.tar.xz
Source6166: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-cox.tar.xz
Source6167: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-cox.doc.tar.xz
Source6168: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-dbicons.tar.xz
Source6169: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-dbicons.doc.tar.xz
Source6171: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-diffraction.tar.xz
Source6172: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-diffraction.doc.tar.xz
Source6174: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-electricfield.tar.xz
Source6175: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-electricfield.doc.tar.xz
Source6177: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-eps.tar.xz
Source6178: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-eps.doc.tar.xz
Source6180: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-eucl.tar.xz
Source6181: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-eucl.doc.tar.xz
Source6182: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-exa.tar.xz
Source6183: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-exa.doc.tar.xz
Source6184: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fill.tar.xz
Source6185: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fill.doc.tar.xz
Source6187: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fit.tar.xz
Source6188: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fit.doc.tar.xz
Source6190: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fr3d.tar.xz
Source6191: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fr3d.doc.tar.xz
Source6193: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fractal.tar.xz
Source6194: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fractal.doc.tar.xz
Source6195: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fun.tar.xz
Source6196: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-fun.doc.tar.xz
Source6198: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-func.tar.xz
Source6199: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-func.doc.tar.xz
Source6200: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-gantt.tar.xz
Source6201: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-gantt.doc.tar.xz
Source6202: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-geo.tar.xz
Source6203: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-geo.doc.tar.xz
Source6204: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ghsb.tar.xz
Source6205: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ghsb.doc.tar.xz
Source6206: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-gr3d.tar.xz
Source6207: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-gr3d.doc.tar.xz
Source6209: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-grad.tar.xz
Source6210: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-grad.doc.tar.xz
Source6211: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-graphicx.tar.xz
Source6212: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-graphicx.doc.tar.xz
Source6213: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-infixplot.tar.xz
Source6214: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-infixplot.doc.tar.xz
Source6215: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-intersect.tar.xz
Source6216: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-intersect.doc.tar.xz
Source6218: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-jtree.tar.xz
Source6219: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-jtree.doc.tar.xz
Source6220: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-knot.tar.xz
Source6221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-knot.doc.tar.xz
Source6222: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-labo.tar.xz
Source6223: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-labo.doc.tar.xz
Source6224: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-layout.tar.xz
Source6225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-layout.doc.tar.xz
Source6226: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-lens.tar.xz
Source6227: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-lens.doc.tar.xz
Source6229: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-light3d.tar.xz
Source6230: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-light3d.doc.tar.xz
Source6232: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-magneticfield.tar.xz
Source6233: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-magneticfield.doc.tar.xz
Source6235: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-math.tar.xz
Source6236: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-math.doc.tar.xz
Source6237: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-mirror.tar.xz
Source6238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-mirror.doc.tar.xz
Source6239: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-node.tar.xz
Source6240: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-node.doc.tar.xz
Source6241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ob3d.tar.xz
Source6242: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ob3d.doc.tar.xz
Source6244: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ode.tar.xz
Source6245: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ode.doc.tar.xz
Source6246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-optexp.tar.xz
Source6247: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-optexp.doc.tar.xz
Source6249: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-optic.tar.xz
Source6250: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-optic.doc.tar.xz
Source6252: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-osci.tar.xz
Source6253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-osci.doc.tar.xz
Source6254: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ovl.tar.xz
Source6255: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-ovl.doc.tar.xz
Source6256: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-pad.tar.xz
Source6257: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-pad.doc.tar.xz
Source6259: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-pdgr.tar.xz
Source6260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-pdgr.doc.tar.xz
Source6262: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-perspective.tar.xz
Source6263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-perspective.doc.tar.xz
Source6264: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-platon.tar.xz
Source6265: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-platon.doc.tar.xz
Source6267: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-plot.tar.xz
Source6268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-plot.doc.tar.xz
Source6269: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-poly.tar.xz
Source6270: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-poly.doc.tar.xz
Source6271: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-pulley.tar.xz
Source6272: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-pulley.doc.tar.xz
Source6274: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-qtree.tar.xz
Source6275: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-qtree.doc.tar.xz
Source6276: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-rubans.tar.xz
Source6277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-rubans.doc.tar.xz
Source6279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-sigsys.tar.xz
Source6280: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-sigsys.doc.tar.xz
Source6281: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-slpe.tar.xz
Source6282: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-slpe.doc.tar.xz
Source6284: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-solarsystem.tar.xz
Source6285: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-solarsystem.doc.tar.xz
Source6287: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-solides3d.tar.xz
Source6288: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-solides3d.doc.tar.xz
Source6289: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-soroban.tar.xz
Source6290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-soroban.doc.tar.xz
Source6292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-spectra.tar.xz
Source6293: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-spectra.doc.tar.xz
Source6294: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-spirograph.tar.xz
Source6295: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-spirograph.doc.tar.xz
Source6296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-stru.tar.xz
Source6297: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-stru.doc.tar.xz
Source6298: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-support.doc.tar.xz
Source6299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-text.tar.xz
Source6300: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-text.doc.tar.xz
Source6302: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-thick.tar.xz
Source6303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-thick.doc.tar.xz
Source6305: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-tools.tar.xz
Source6306: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-tools.doc.tar.xz
Source6307: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-tree.tar.xz
Source6308: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-tree.doc.tar.xz
Source6310: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-tvz.tar.xz
Source6311: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-tvz.doc.tar.xz
Source6313: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-uml.tar.xz
Source6314: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-uml.doc.tar.xz
Source6316: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vectorian.tar.xz
Source6317: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vectorian.doc.tar.xz
Source6318: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vowel.tar.xz
Source6319: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vowel.doc.tar.xz
Source6320: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vue3d.tar.xz
Source6321: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vue3d.doc.tar.xz
Source6325: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstricks.tar.xz
Source6326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstricks.doc.tar.xz
Source6327: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstricks-add.tar.xz
Source6328: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstricks-add.doc.tar.xz
Source6329: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstricks_calcnotes.doc.tar.xz
Source6330: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uml.tar.xz
Source6331: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uml.doc.tar.xz
Source6333: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vaucanson-g.tar.xz
Source6334: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vaucanson-g.doc.tar.xz
Source6335: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vocaltract.tar.xz
Source6336: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vocaltract.doc.tar.xz
Source6337: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/IEEEconf.tar.xz
Source6338: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/IEEEconf.doc.tar.xz
Source6340: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/IEEEtran.tar.xz
Source6341: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/IEEEtran.doc.tar.xz
Source6342: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/confproc.tar.xz
Source6343: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/confproc.doc.tar.xz
Source6345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dccpaper.tar.xz
Source6346: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dccpaper.doc.tar.xz
Source6348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dithesis.tar.xz
Source6349: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dithesis.doc.tar.xz
Source6350: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebook.tar.xz
Source6351: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebook.doc.tar.xz
Source6352: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebsthesis.tar.xz
Source6353: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ebsthesis.doc.tar.xz
Source6355: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ejpecp.tar.xz
Source6356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ejpecp.doc.tar.xz
Source6358: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ekaia.tar.xz
Source6359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ekaia.doc.tar.xz
Source6361: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elbioimp.tar.xz
Source6362: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elbioimp.doc.tar.xz
Source6364: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elsarticle.tar.xz
Source6365: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elsarticle.doc.tar.xz
Source6367: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elteikthesis.tar.xz
Source6368: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/elteikthesis.doc.tar.xz
Source6370: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/erdc.tar.xz
Source6371: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/erdc.doc.tar.xz
Source6373: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/estcpmm.tar.xz
Source6374: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/estcpmm.doc.tar.xz
Source6376: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fbithesis.tar.xz
Source6377: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fbithesis.doc.tar.xz
Source6379: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fcavtex.tar.xz
Source6380: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fcavtex.doc.tar.xz
Source6381: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fcltxdoc.tar.xz
Source6382: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fcltxdoc.doc.tar.xz
Source6384: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fei.tar.xz
Source6385: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fei.doc.tar.xz
Source6387: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gaceta.tar.xz
Source6388: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gaceta.doc.tar.xz
Source6389: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gatech-thesis.tar.xz
Source6390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gatech-thesis.doc.tar.xz
Source6391: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gsemthesis.tar.xz
Source6392: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gsemthesis.doc.tar.xz
Source6394: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gzt.tar.xz
Source6395: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gzt.doc.tar.xz
Source6397: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/har2nat.tar.xz
Source6398: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/har2nat.doc.tar.xz
Source6399: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hobete.tar.xz
Source6400: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hobete.doc.tar.xz
Source6401: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/icsv.tar.xz
Source6402: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/icsv.doc.tar.xz
Source6404: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ieeepes.tar.xz
Source6405: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ieeepes.doc.tar.xz
Source6406: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ijmart.tar.xz
Source6407: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ijmart.doc.tar.xz
Source6409: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imac.tar.xz
Source6410: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imac.doc.tar.xz
Source6411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imtekda.tar.xz
Source6412: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imtekda.doc.tar.xz
Source6414: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jmlr.tar.xz
Source6415: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jmlr.doc.tar.xz
Source6417: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jpsj.tar.xz
Source6418: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jpsj.doc.tar.xz
Source6419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kdgdocs.tar.xz
Source6420: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kdgdocs.doc.tar.xz
Source6422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kluwer.tar.xz
Source6423: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/kluwer.doc.tar.xz
Source6425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lps.tar.xz
Source6426: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lps.doc.tar.xz
Source6428: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/matc3.tar.xz
Source6429: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/matc3.doc.tar.xz
Source6431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/matc3mem.tar.xz
Source6432: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/matc3mem.doc.tar.xz
Source6434: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcmthesis.tar.xz
Source6435: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcmthesis.doc.tar.xz
Source6437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mentis.tar.xz
Source6438: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mentis.doc.tar.xz
Source6440: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mnras.tar.xz
Source6441: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mnras.doc.tar.xz
Source6442: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/msu-thesis.tar.xz
Source6443: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/msu-thesis.doc.tar.xz
Source6444: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mugsthesis.tar.xz
Source6445: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mugsthesis.doc.tar.xz
Source6447: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musuos.tar.xz
Source6448: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musuos.doc.tar.xz
Source6450: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/muthesis.tar.xz
Source6451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/muthesis.doc.tar.xz
Source6452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nature.tar.xz
Source6453: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nature.doc.tar.xz
Source6454: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nddiss.tar.xz
Source6455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nddiss.doc.tar.xz
Source6457: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ndsu-thesis.tar.xz
Source6458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ndsu-thesis.doc.tar.xz
Source6459: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nih.tar.xz
Source6460: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nih.doc.tar.xz
Source6461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nostarch.tar.xz
Source6462: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nostarch.doc.tar.xz
Source6464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nrc.tar.xz
Source6465: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nrc.doc.tar.xz
Source6467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/onrannual.tar.xz
Source6468: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/onrannual.doc.tar.xz
Source6469: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/opteng.tar.xz
Source6470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/opteng.doc.tar.xz
Source6471: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/philosophersimprint.tar.xz
Source6472: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/philosophersimprint.doc.tar.xz
Source6474: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pittetd.tar.xz
Source6475: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pittetd.doc.tar.xz
Source6477: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pkuthss.tar.xz
Source6478: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pkuthss.doc.tar.xz
Source6479: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/powerdot-FUBerlin.tar.xz
Source6480: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/powerdot-FUBerlin.doc.tar.xz
Source6481: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pracjourn.tar.xz
Source6482: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pracjourn.doc.tar.xz
Source6484: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/procIAGssymp.tar.xz
Source6485: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/procIAGssymp.doc.tar.xz
Source6486: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/proposal.tar.xz
Source6487: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/proposal.doc.tar.xz
Source6489: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptptex.tar.xz
Source6490: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptptex.doc.tar.xz
Source6491: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psu-thesis.tar.xz
Source6492: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/psu-thesis.doc.tar.xz
Source6493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/resphilosophica.tar.xz
Source6494: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/resphilosophica.doc.tar.xz
Source6496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/resumecls.tar.xz
Source6497: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/resumecls.doc.tar.xz
Source6499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/revtex.tar.xz
Source6500: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/revtex.doc.tar.xz
Source6502: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/revtex4.tar.xz
Source6503: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/revtex4.doc.tar.xz
Source6505: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ryethesis.tar.xz
Source6506: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ryethesis.doc.tar.xz
Source6508: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sageep.tar.xz
Source6509: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sageep.doc.tar.xz
Source6511: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sapthesis.tar.xz
Source6512: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sapthesis.doc.tar.xz
Source6513: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scrjrnl.tar.xz
Source6514: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scrjrnl.doc.tar.xz
Source6516: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schule.tar.xz
Source6517: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/schule.doc.tar.xz
Source6519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sduthesis.tar.xz
Source6520: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sduthesis.doc.tar.xz
Source6522: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seuthesis.tar.xz
Source6523: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seuthesis.doc.tar.xz
Source6525: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/soton.tar.xz
Source6526: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/soton.doc.tar.xz
Source6527: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sphdthesis.tar.xz
Source6528: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sphdthesis.doc.tar.xz
Source6529: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spie.tar.xz
Source6530: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spie.doc.tar.xz
Source6531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sr-vorl.tar.xz
Source6532: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sr-vorl.doc.tar.xz
Source6534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stellenbosch.tar.xz
Source6535: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/stellenbosch.doc.tar.xz
Source6537: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/suftesi.tar.xz
Source6538: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/suftesi.doc.tar.xz
Source6540: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sugconf.tar.xz
Source6541: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sugconf.doc.tar.xz
Source6542: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabriz-thesis.tar.xz
Source6543: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tabriz-thesis.doc.tar.xz
Source6544: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texilikechaps.tar.xz
Source6545: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texilikecover.tar.xz
Source6546: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thesis-ekf.tar.xz
Source6547: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thesis-ekf.doc.tar.xz
Source6549: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thesis-titlepage-fhac.tar.xz
Source6550: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thesis-titlepage-fhac.doc.tar.xz
Source6552: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thuthesis.tar.xz
Source6553: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thuthesis.doc.tar.xz
Source6555: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/toptesi.tar.xz
Source6556: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/toptesi.doc.tar.xz
Source6558: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tudscr.tar.xz
Source6559: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tudscr.doc.tar.xz
Source6561: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tugboat.tar.xz
Source6562: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tugboat.doc.tar.xz
Source6564: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tugboat-plain.tar.xz
Source6565: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tugboat-plain.doc.tar.xz
Source6566: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turabian.tar.xz
Source6567: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/turabian.doc.tar.xz
Source6568: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tui.tar.xz
Source6569: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tui.doc.tar.xz
Source6570: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uaclasses.tar.xz
Source6571: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uaclasses.doc.tar.xz
Source6576: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uafthesis.tar.xz
Source6577: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uafthesis.doc.tar.xz
Source6578: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucbthesis.tar.xz
Source6579: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucbthesis.doc.tar.xz
Source6580: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucdavisthesis.tar.xz
Source6581: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucdavisthesis.doc.tar.xz
Source6583: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucthesis.tar.xz
Source6584: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucthesis.doc.tar.xz
Source6585: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uestcthesis.tar.xz
Source6586: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uestcthesis.doc.tar.xz
Source6587: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uiucredborder.tar.xz
Source6588: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uiucredborder.doc.tar.xz
Source6590: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uiucthesis.tar.xz
Source6591: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uiucthesis.doc.tar.xz
Source6593: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ulthese.tar.xz
Source6594: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ulthese.doc.tar.xz
Source6596: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umthesis.tar.xz
Source6597: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umthesis.doc.tar.xz
Source6598: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umich-thesis.tar.xz
Source6599: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umich-thesis.doc.tar.xz
Source6600: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unamth-template.doc.tar.xz
Source6601: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unamthesis.tar.xz
Source6602: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unamthesis.doc.tar.xz
Source6603: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unswcover.tar.xz
Source6604: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unswcover.doc.tar.xz
Source6605: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uothesis.tar.xz
Source6606: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uothesis.doc.tar.xz
Source6608: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/urcls.tar.xz
Source6609: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/urcls.doc.tar.xz
Source6610: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uowthesis.tar.xz
Source6611: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uowthesis.doc.tar.xz
Source6612: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uowthesistitlepage.tar.xz
Source6613: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uowthesistitlepage.doc.tar.xz
Source6614: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uspatent.tar.xz
Source6615: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uspatent.doc.tar.xz
Source6616: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ut-thesis.tar.xz
Source6617: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ut-thesis.doc.tar.xz
Source6618: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uwthesis.tar.xz
Source6619: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uwthesis.doc.tar.xz
Source6620: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vancouver.tar.xz
Source6621: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/vancouver.doc.tar.xz
Source6622: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wsemclassic.tar.xz
Source6623: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wsemclassic.doc.tar.xz
Source6625: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcookybooky.tar.xz
Source6626: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcookybooky.doc.tar.xz
Source6628: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yathesis.tar.xz
Source6629: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yathesis.doc.tar.xz
Source6631: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/york-thesis.tar.xz
Source6632: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/york-thesis.doc.tar.xz
Source6634: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/SIstyle.tar.xz
Source6635: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/SIstyle.doc.tar.xz
Source6637: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/SIunits.tar.xz
Source6638: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/SIunits.doc.tar.xz
Source6640: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/complexity.tar.xz
Source6641: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/complexity.doc.tar.xz
Source6642: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/computational-complexity.tar.xz
Source6643: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/computational-complexity.doc.tar.xz
Source6645: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cryptocode.tar.xz
Source6646: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cryptocode.doc.tar.xz
Source6647: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/digiconfigs.tar.xz
Source6648: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/digiconfigs.doc.tar.xz
Source6649: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drawstack.tar.xz
Source6650: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drawstack.doc.tar.xz
Source6651: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dyntree.tar.xz
Source6652: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dyntree.doc.tar.xz
Source6654: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eltex.tar.xz
Source6655: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eltex.doc.tar.xz
Source6656: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endiagram.tar.xz
Source6657: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endiagram.doc.tar.xz
Source6658: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/engtlc.tar.xz
Source6659: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/engtlc.doc.tar.xz
Source6660: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fouridx.tar.xz
Source6661: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fouridx.doc.tar.xz
Source6663: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/functan.tar.xz
Source6664: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/functan.doc.tar.xz
Source6666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/galois.tar.xz
Source6667: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/galois.doc.tar.xz
Source6669: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gastex.tar.xz
Source6670: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gastex.doc.tar.xz
Source6671: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gene-logic.tar.xz
Source6672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gene-logic.doc.tar.xz
Source6673: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ghsystem.tar.xz
Source6674: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ghsystem.doc.tar.xz
Source6675: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gu.tar.xz
Source6676: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gu.doc.tar.xz
Source6677: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hep.tar.xz
Source6678: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hep.doc.tar.xz
Source6679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepnames.tar.xz
Source6680: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepnames.doc.tar.xz
Source6681: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepparticles.tar.xz
Source6682: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepparticles.doc.tar.xz
Source6683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepthesis.tar.xz
Source6684: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepthesis.doc.tar.xz
Source6685: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepunits.tar.xz
Source6686: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hepunits.doc.tar.xz
Source6687: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/karnaugh.tar.xz
Source6688: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/karnaugh.doc.tar.xz
Source6689: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/karnaughmap.tar.xz
Source6690: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/karnaughmap.doc.tar.xz
Source6692: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/matlab-prettifier.tar.xz
Source6693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/matlab-prettifier.doc.tar.xz
Source6695: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mhchem.tar.xz
Source6696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mhchem.doc.tar.xz
Source6697: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/miller.tar.xz
Source6698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/miller.doc.tar.xz
Source6700: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mychemistry.tar.xz
Source6701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mychemistry.doc.tar.xz
Source6702: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nuc.tar.xz
Source6703: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nuc.doc.tar.xz
Source6704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/objectz.tar.xz
Source6705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/objectz.doc.tar.xz
Source6707: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/physics.tar.xz
Source6708: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/physics.doc.tar.xz
Source6709: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pseudocode.tar.xz
Source6710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pseudocode.doc.tar.xz
Source6713: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sasnrdisplay.tar.xz
Source6714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sasnrdisplay.doc.tar.xz
Source6715: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sciposter.tar.xz
Source6716: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sciposter.doc.tar.xz
Source6717: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sclang-prettifier.tar.xz
Source6718: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sclang-prettifier.doc.tar.xz
Source6720: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sfg.tar.xz
Source6721: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sfg.doc.tar.xz
Source6722: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/siunitx.tar.xz
Source6723: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/siunitx.doc.tar.xz
Source6725: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/steinmetz.tar.xz
Source6726: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/steinmetz.doc.tar.xz
Source6728: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/struktex.tar.xz
Source6729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/struktex.doc.tar.xz
Source6731: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/substances.tar.xz
Source6732: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/substances.doc.tar.xz
Source6733: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/t-angles.tar.xz
Source6734: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/t-angles.doc.tar.xz
Source6735: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textopo.tar.xz
Source6736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/textopo.doc.tar.xz
Source6741: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unitsdef.tar.xz
Source6742: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unitsdef.doc.tar.xz
Source6744: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xymtex.tar.xz
Source6745: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xymtex.doc.tar.xz
Source6747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/youngtab.tar.xz
Source6748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/youngtab.doc.tar.xz
Source6750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixlatvian.tar.xz
Source6751: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixlatvian.doc.tar.xz
Source6753: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontbook.tar.xz
Source6754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontbook.doc.tar.xz
Source6756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontwrap.tar.xz
Source6757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontwrap.doc.tar.xz
Source6758: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interchar.tar.xz
Source6759: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/interchar.doc.tar.xz
Source6760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathspec.tar.xz
Source6761: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathspec.doc.tar.xz
Source6762: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/philokalia.tar.xz
Source6763: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/philokalia.doc.tar.xz
Source6765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polyglossia.tar.xz
Source6766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/polyglossia.doc.tar.xz
Source6768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptext.tar.xz
Source6769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptext.doc.tar.xz
Source6770: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quran.tar.xz
Source6771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quran.doc.tar.xz
Source6772: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/realscripts.tar.xz
Source6773: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/realscripts.doc.tar.xz
Source6775: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucharclasses.tar.xz
Source6776: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ucharclasses.doc.tar.xz
Source6777: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unisugar.tar.xz
Source6778: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unisugar.doc.tar.xz
Source6779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xebaposter.tar.xz
Source6780: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xebaposter.doc.tar.xz
Source6781: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xecjk.tar.xz
Source6782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xecjk.doc.tar.xz
Source6784: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xecolor.tar.xz
Source6785: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xecolor.doc.tar.xz
Source6786: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xecyr.tar.xz
Source6787: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xecyr.doc.tar.xz
Source6788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xeindex.tar.xz
Source6789: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xeindex.doc.tar.xz
Source6790: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xepersian.tar.xz
Source6791: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xepersian.doc.tar.xz
Source6793: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xesearch.tar.xz
Source6794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xesearch.doc.tar.xz
Source6795: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xespotcolor.tar.xz
Source6796: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xespotcolor.doc.tar.xz
Source6799: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-itrans.tar.xz
Source6800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-itrans.doc.tar.xz
Source6801: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-pstricks.tar.xz
Source6802: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-pstricks.doc.tar.xz
Source6803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-tibetan.tar.xz
Source6804: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetex-tibetan.doc.tar.xz
Source6805: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetexfontinfo.tar.xz
Source6806: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetexfontinfo.doc.tar.xz
Source6807: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetexko.tar.xz
Source6808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xetexko.doc.tar.xz
Source6809: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xevlna.tar.xz
Source6810: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xevlna.doc.tar.xz
Source6811: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xltxtra.tar.xz
Source6812: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xltxtra.doc.tar.xz
Source6814: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xunicode.tar.xz
Source6815: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xunicode.doc.tar.xz
Source6816: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-docindex.tar.xz
Source6817: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-docindex.doc.tar.xz
Source7023: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-basic.tar.xz
Source7035: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-bibtexextra.tar.xz
Source7036: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-latex.tar.xz
Source7043: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-binextra.tar.xz
Source7101: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-context.tar.xz
Source7105: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-fontsextra.tar.xz
Source7106: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-fontsrecommended.tar.xz
Source7107: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-fontutils.tar.xz
Source7118: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-formatsextra.tar.xz
Source7123: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-games.tar.xz
# Source7125: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-genericextra.tar.xz
# Source7126: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-genericrecommended.tar.xz
# Source7127: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-htmlxml.tar.xz
Source7131: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-humanities.tar.xz
# Source7133: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langafrican.tar.xz
Source7134: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langarabic.tar.xz
Source7135: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langchinese.tar.xz
Source7136: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langcjk.tar.xz
Source7137: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langcyrillic.tar.xz
Source7139: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langczechslovak.tar.xz
Source7143: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langenglish.tar.xz
Source7144: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langeuropean.tar.xz
Source7145: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langfrench.tar.xz
Source7146: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langgerman.tar.xz
Source7147: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langgreek.tar.xz
# Source7149: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langindic.tar.xz
Source7152: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langitalian.tar.xz
Source7153: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langjapanese.tar.xz
Source7159: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langkorean.tar.xz
Source7161: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langother.tar.xz
Source7162: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langpolish.tar.xz
Source7164: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langportuguese.tar.xz
Source7165: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langspanish.tar.xz
Source7166: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-latexextra.tar.xz
Source7167: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-latexrecommended.tar.xz
Source7169: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-pictures.tar.xz
Source7184: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-luatex.tar.xz
# Source7187: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-mathextra.tar.xz
Source7188: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-metapost.tar.xz
Source7189: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-music.tar.xz
# Source7196: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-omega.tar.xz
# Source7198: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-plainextra.tar.xz
Source7199: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-pstricks.tar.xz
Source7202: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-publishers.tar.xz
# Source7203: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-science.tar.xz
Source7206: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-xetex.tar.xz
Source7207: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-basic.tar.xz
Source7208: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-context.tar.xz
Source7209: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-full.tar.xz
Source7210: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-gust.tar.xz
Source7211: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-medium.tar.xz
Source7212: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-minimal.tar.xz
Source7213: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-small.tar.xz
Source7214: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-tetex.tar.xz
# Source7215: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scheme-xml.tar.xz
# New in 2016
Source7216: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acmart.tar.xz
Source7217: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/acmart.doc.tar.xz
Source7219: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabi-add.tar.xz
Source7220: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabi-add.doc.tar.xz
Source7221: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabluatex.tar.xz
Source7223: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arabluatex.doc.tar.xz
Source7224: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/archaeologie.tar.xz
Source7225: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/archaeologie.doc.tar.xz
Source7226: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asapsym.tar.xz
Source7227: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asapsym.doc.tar.xz
Source7229: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asciilist.tar.xz
Source7230: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asciilist.doc.tar.xz
Source7232: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-belarusian.tar.xz
Source7233: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-belarusian.doc.tar.xz
Source7235: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-macedonian.tar.xz
Source7236: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-macedonian.doc.tar.xz
Source7238: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-occitan.tar.xz
Source7239: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-occitan.doc.tar.xz
Source7241: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-vietnamese.doc.tar.xz
Source7242: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamercolorthemeowl.tar.xz
Source7243: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamercolorthemeowl.doc.tar.xz
Source7245: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-detlevcm.tar.xz
Source7246: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-detlevcm.doc.tar.xz
Source7247: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-epyt.tar.xz
Source7248: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-epyt.doc.tar.xz
Source7249: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-metropolis.tar.xz
Source7250: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamertheme-metropolis.doc.tar.xz
Source7252: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer-verona.tar.xz
Source7253: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamer-verona.doc.tar.xz
Source7254: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-abnt.tar.xz
Source7255: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-abnt.doc.tar.xz
Source7256: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-bookinother.tar.xz
Source7257: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-bookinother.doc.tar.xz
Source7258: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-iso690.tar.xz
Source7259: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-iso690.doc.tar.xz
Source7260: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-morenames.tar.xz
Source7261: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-morenames.doc.tar.xz
Source7262: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibletext.tar.xz
Source7263: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibletext.doc.tar.xz
Source7264: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibtexperllibs.tar.xz
Source7265: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bibtexperllibs.doc.tar.xz
Source7267: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bitpattern.tar.xz
Source7268: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bitpattern.doc.tar.xz
Source7270: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/breakcites.tar.xz
Source7271: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/breakcites.doc.tar.xz
Source7272: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxdvidriver.tar.xz
Source7273: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxdvidriver.doc.tar.xz
Source7274: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxenclose.tar.xz
Source7275: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxenclose.doc.tar.xz
Source7276: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxnewfont.tar.xz
Source7277: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxnewfont.doc.tar.xz
Source7278: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxpapersize.tar.xz
Source7279: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxpapersize.doc.tar.xz
Source7280: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carbohydrates.tar.xz
Source7281: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/carbohydrates.doc.tar.xz
Source7282: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chivo.tar.xz
Source7283: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/chivo.doc.tar.xz
Source7285: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/churchslavonic.tar.xz
Source7286: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/churchslavonic.doc.tar.xz
Source7287: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmdtrack.tar.xz
Source7288: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmdtrack.doc.tar.xz
Source7290: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmexb.tar.xz
Source7291: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmexb.doc.tar.xz
Source7292: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cochineal.tar.xz
Source7293: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cochineal.doc.tar.xz
Source7294: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coloring.tar.xz
Source7295: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/coloring.doc.tar.xz
Source7296: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/continue.tar.xz
Source7297: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/continue.doc.tar.xz
Source7299: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cquthesis.tar.xz
Source7300: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cquthesis.doc.tar.xz
Source7302: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crimson.tar.xz
Source7303: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crimson.doc.tar.xz
Source7304: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctablestack.tar.xz
Source7305: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ctablestack.doc.tar.xz
Source7307: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/delimseasy.tar.xz
Source7308: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/delimseasy.doc.tar.xz
Source7309: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drawmatrix.tar.xz
Source7310: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/drawmatrix.doc.tar.xz
Source7315: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dynamicnumber.tar.xz
Source7316: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dynamicnumber.doc.tar.xz
Source7318: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecobiblatex.tar.xz
Source7319: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecobiblatex.doc.tar.xz
Source7320: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/econometrics.tar.xz
Source7321: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/econometrics.doc.tar.xz
Source7322: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/einfuehrung2.doc.tar.xz
Source7323: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ellipse.tar.xz
Source7324: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ellipse.doc.tar.xz
Source7326: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emisa.tar.xz
Source7327: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/emisa.doc.tar.xz
Source7329: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exercises.tar.xz
Source7330: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/exercises.doc.tar.xz
Source7332: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ffslides.tar.xz
Source7333: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ffslides.doc.tar.xz
Source7334: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fibeamer.tar.xz
Source7335: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fibeamer.doc.tar.xz
Source7337: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixcmex.tar.xz
Source7338: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixcmex.doc.tar.xz
Source7340: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/font-change-xetex.tar.xz
Source7341: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/font-change-xetex.doc.tar.xz
Source7342: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnotehyper.tar.xz
Source7343: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footnotehyper.doc.tar.xz
Source7345: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/formation-latex-ul.doc.tar.xz
Source7348: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/getitems.tar.xz
Source7349: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/getitems.doc.tar.xz
Source7351: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitlog.tar.xz
Source7352: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitlog.doc.tar.xz
Source7353: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-extra.tar.xz
Source7354: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/glossaries-extra.doc.tar.xz
Source7356: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gloss-occitan.tar.xz
Source7357: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gloss-occitan.doc.tar.xz
Source7359: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gobble.tar.xz
Source7360: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gobble.doc.tar.xz
Source7362: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gradstudentresume.tar.xz
Source7363: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gradstudentresume.doc.tar.xz
Source7364: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphics-cfg.tar.xz
Source7365: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphics-cfg.doc.tar.xz
Source7366: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greektonoi.tar.xz
Source7367: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/greektonoi.doc.tar.xz
Source7371: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/h2020proposal.tar.xz
Source7372: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/h2020proposal.doc.tar.xz
Source7375: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-bulgarian.doc.tar.xz
Source7376: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-churchslavonic.tar.xz
Source7379: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-occitan.tar.xz
Source7380: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-sanskrit.doc.tar.xz
Source7381: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-spanish.doc.tar.xz
Source7385: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ietfbibs.doc.tar.xz
Source7386: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iffont.tar.xz
Source7387: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iffont.doc.tar.xz
Source7389: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imfellenglish.tar.xz
Source7390: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/imfellenglish.doc.tar.xz
Source7391: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jacow.tar.xz
Source7392: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jacow.doc.tar.xz
Source7393: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyvaltable.tar.xz
Source7394: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyvaltable.doc.tar.xz
Source7396: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ksp-thesis.tar.xz
Source7397: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ksp-thesis.doc.tar.xz
Source7398: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/langsci.tar.xz
Source7399: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/langsci.doc.tar.xz
Source7400: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex2e-help-texinfo-fr.doc.tar.xz
Source7401: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-bib2-ex.doc.tar.xz
Source7402: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-tds.doc.tar.xz
Source7404: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertinegc.tar.xz
Source7405: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertinegc.doc.tar.xz
Source7406: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertinus.tar.xz
Source7407: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertinus.doc.tar.xz
Source7408: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertinust1math.tar.xz
Source7409: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/libertinust1math.doc.tar.xz
Source7410: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librebodoni.tar.xz
Source7411: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/librebodoni.doc.tar.xz
Source7412: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linop.tar.xz
Source7413: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/linop.doc.tar.xz
Source7414: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/longfbox.tar.xz
Source7415: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/longfbox.doc.tar.xz
Source7416: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lroundrect.tar.xz
Source7417: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lroundrect.doc.tar.xz
Source7419: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lstbayes.tar.xz
Source7420: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lstbayes.doc.tar.xz
Source7422: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatex85.tar.xz
Source7423: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatex85.doc.tar.xz
Source7425: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makebase.tar.xz
Source7426: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/makebase.doc.tar.xz
Source7428: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/markdown.tar.xz
Source7429: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/markdown.doc.tar.xz
Source7431: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathpartir.tar.xz
Source7432: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mathpartir.doc.tar.xz
Source7437: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/miama.tar.xz
Source7438: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/miama.doc.tar.xz
Source7440: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moodle.tar.xz
Source7441: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/moodle.doc.tar.xz
Source7443: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mparrows.tar.xz
Source7444: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mparrows.doc.tar.xz
Source7445: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multidef.tar.xz
Source7446: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multidef.doc.tar.xz
Source7448: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mynsfc.tar.xz
Source7449: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mynsfc.doc.tar.xz
Source7451: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nihbiosketch.tar.xz
Source7452: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nihbiosketch.doc.tar.xz
Source7453: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nimbus15.tar.xz
Source7454: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nimbus15.doc.tar.xz
Source7455: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/normalcolor.tar.xz
Source7456: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/normalcolor.doc.tar.xz
Source7458: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noto.tar.xz
Source7459: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/noto.doc.tar.xz
Source7460: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nucleardata.tar.xz
Source7461: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nucleardata.doc.tar.xz
Source7463: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nwejm.tar.xz
Source7464: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nwejm.doc.tar.xz
Source7466: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/optidef.tar.xz
Source7467: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/optidef.doc.tar.xz
Source7468: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/options.tar.xz
Source7469: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/options.doc.tar.xz
Source7470: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parades.tar.xz
Source7471: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/parades.doc.tar.xz
Source7473: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pbibtex-base.tar.xz
Source7474: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pbibtex-base.doc.tar.xz
Source7478: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfornament.tar.xz
Source7479: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgfornament.doc.tar.xz
Source7480: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-spectra.tar.xz
Source7481: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pgf-spectra.doc.tar.xz
Source7482: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/platex.tar.xz
Source7483: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/platex.doc.tar.xz
# preview is generated from emacs-auctex
# Source7486: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/preview.tar.xz
# Source7487: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/preview.doc.tar.xz
Source7489: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prooftrees.tar.xz
Source7490: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/prooftrees.doc.tar.xz
Source7491: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-cie.tar.xz
Source7492: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-cie.doc.tar.xz
Source7493: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rosario.tar.xz
Source7494: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rosario.doc.tar.xz
Source7496: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/russ.tar.xz
Source7497: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/russ.doc.tar.xz
Source7498: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sanitize-umlaut.tar.xz
Source7499: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sanitize-umlaut.doc.tar.xz
Source7500: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scrlttr2copy.tar.xz
Source7501: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scrlttr2copy.doc.tar.xz
Source7502: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seuthesix.tar.xz
Source7503: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/seuthesix.doc.tar.xz
Source7505: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/signchart.tar.xz
Source7506: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/signchart.doc.tar.xz
Source7508: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simpler-wick.tar.xz
Source7509: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simpler-wick.doc.tar.xz
Source7510: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smartunits.tar.xz
Source7511: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/smartunits.doc.tar.xz
Source7515: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svrsymbols.tar.xz
Source7516: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/svrsymbols.doc.tar.xz
Source7518: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tempora.tar.xz
Source7519: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tempora.doc.tar.xz
Source7521: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-ini-files.tar.xz
Source7522: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tex-ini-files.doc.tar.xz
Source7523: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texlive-es.doc.tar.xz
Source7524: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texvc.tar.xz
Source7525: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texvc.doc.tar.xz
# windows only?
Source7527: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texworks.doc.tar.xz
Source7528: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-feynman.tar.xz
Source7529: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-feynman.doc.tar.xz
Source7530: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tipfr.tar.xz
Source7531: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typed-checklist.tar.xz
Source7532: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typed-checklist.doc.tar.xz
Source7534: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uantwerpendocs.tar.xz
Source7535: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uantwerpendocs.doc.tar.xz
Source7537: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uhrzeit.tar.xz
Source7538: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uhrzeit.doc.tar.xz
Source7539: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umbclegislation.tar.xz
Source7540: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/umbclegislation.doc.tar.xz
Source7541: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unicode-data.tar.xz
Source7542: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unicode-data.doc.tar.xz
Source7543: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/updmap-map.tar.xz
Source7544: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uplatex.tar.xz
# Non-free.
# Source7548: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uwmslide.tar.xz
# Source7549: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uwmslide.doc.tar.xz
Source7550: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/visualpstricks.doc.tar.xz
Source7551: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/visualtikz.doc.tar.xz
Source7554: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xassoccnt.tar.xz
Source7555: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xassoccnt.doc.tar.xz
Source7556: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcntperchap.tar.xz
Source7557: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcntperchap.doc.tar.xz
Source7558: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xduthesis.tar.xz
Source7559: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xduthesis.doc.tar.xz
Source7561: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xellipsis.tar.xz
Source7562: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xellipsis.doc.tar.xz
Source7567: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xsavebox.tar.xz
Source7568: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xsavebox.doc.tar.xz
Source7570: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ycbook.tar.xz
Source7571: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ycbook.doc.tar.xz
Source7572: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yfonts-t1.tar.xz
Source7573: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yfonts-t1.doc.tar.xz
Source7574: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yinit-otf.tar.xz
Source7575: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yinit-otf.doc.tar.xz
Source7576: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhmetrics-uptex.tar.xz
Source7577: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhmetrics-uptex.doc.tar.xz
Source7578: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonts-churchslavonic.tar.xz
Source7579: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fonts-churchslavonic.doc.tar.xz
Source7580: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adtrees.tar.xz
Source7581: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/adtrees.doc.tar.xz
Source7582: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptex-base.tar.xz
Source7583: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptex-base.doc.tar.xz
Source7584: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptex-fonts.tar.xz
Source7585: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ptex-fonts.doc.tar.xz
Source7586: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uptex-base.tar.xz
Source7587: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uptex-base.doc.tar.xz
Source7588: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uptex-fonts.tar.xz
Source7589: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uptex-fonts.doc.tar.xz
# Source7591: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatex-def.tar.xz
# Source7592: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luatex-def.doc.tar.xz
Source7596: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lshort-estonian.doc.tar.xz
# License clarification proof for yfonts-t1
Source7597: yfonts-t1-license-email.pdf
Source7598: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bestpapers.tar.xz
Source7599: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bestpapers.doc.tar.xz
Source7600: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-claves.tar.xz
Source7601: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-claves.doc.tar.xz
Source7602: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-ijsra.tar.xz
Source7603: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-ijsra.doc.tar.xz
Source7604: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-lni.tar.xz
Source7605: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-lni.doc.tar.xz
Source7606: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-nottsclassic.tar.xz
Source7607: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-nottsclassic.doc.tar.xz
Source7608: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/graphics-def.tar.xz
# 2017
Source7609: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-indonesian.tar.xz
Source7610: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-indonesian.doc.tar.xz
Source7611: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-malay.tar.xz
Source7612: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-malay.doc.tar.xz
Source7613: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-plaingeneric.tar.xz
Source7614: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-mathscience.tar.xz
Source7615: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listofitems.tar.xz
Source7616: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/listofitems.doc.tar.xz
Source7617: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abnt.tar.xz
Source7618: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/abnt.doc.tar.xz
Source7619: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/actuarialsymbol.tar.xz
Source7620: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/actuarialsymbol.doc.tar.xz
Source7621: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/addfont.tar.xz
Source7622: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/addfont.doc.tar.xz
Source7623: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algolrevived.tar.xz
Source7624: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/algolrevived.doc.tar.xz
Source7625: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alkalami.tar.xz
Source7626: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/alkalami.doc.tar.xz
Source7627: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apalike-german.tar.xz
Source7628: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/apalike-german.doc.tar.xz
Source7629: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arimo.tar.xz
Source7630: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arimo.doc.tar.xz
Source7631: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arphic-ttf.tar.xz
Source7632: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/arphic-ttf.doc.tar.xz
Source7633: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asymptote-by-example-zh-cn.doc.tar.xz
Source7634: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asymptote-faq-zh-cn.doc.tar.xz
Source7635: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/asymptote-manual-zh-cn.doc.tar.xz
Source7636: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aucklandthesis.tar.xz
Source7637: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aucklandthesis.doc.tar.xz
Source7638: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aurl.tar.xz
Source7639: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/aurl.doc.tar.xz
Source7640: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/awesomebox.tar.xz
Source7641: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/awesomebox.doc.tar.xz
Source7642: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-azerbaijani.tar.xz
Source7643: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/babel-azerbaijani.doc.tar.xz
Source7644: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baekmuk.tar.xz
Source7645: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baekmuk.doc.tar.xz
Source7646: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bangorexam.tar.xz
Source7647: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bangorexam.doc.tar.xz
Source7648: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baskervillef.tar.xz
Source7649: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/baskervillef.doc.tar.xz
Source7650: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerswitch.tar.xz
Source7651: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beamerswitch.doc.tar.xz
Source7652: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beilstein.tar.xz
Source7653: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beilstein.doc.tar.xz
Source7654: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beuron.tar.xz
Source7655: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/beuron.doc.tar.xz
Source7658: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-cheatsheet.doc.tar.xz
Source7659: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-enc.tar.xz
Source7660: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-enc.doc.tar.xz
Source7661: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-gb7714-2015.tar.xz
Source7662: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-gb7714-2015.doc.tar.xz
Source7663: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-oxref.tar.xz
Source7664: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-oxref.doc.tar.xz
Source7665: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-sbl.tar.xz
Source7666: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-sbl.doc.tar.xz
Source7667: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-shortfields.tar.xz
Source7668: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biblatex-shortfields.doc.tar.xz
Source7669: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/binarytree.tar.xz
Source7670: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/binarytree.doc.tar.xz
Source7671: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biochemistry-colors.tar.xz
Source7672: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biochemistry-colors.doc.tar.xz
Source7673: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biolett-bst.tar.xz
Source7674: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/biolett-bst.doc.tar.xz
Source7675: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bredzenie.tar.xz
Source7676: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bredzenie.doc.tar.xz
Source7677: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxcalc.tar.xz
Source7678: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxcalc.doc.tar.xz
Source7679: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxjalipsum.tar.xz
Source7680: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxjalipsum.doc.tar.xz
Source7681: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxjaprnind.tar.xz
Source7682: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxjaprnind.doc.tar.xz
Source7683: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxorigcapt.tar.xz
Source7684: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/bxorigcapt.doc.tar.xz
Source7685: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/callouts.tar.xz
Source7686: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/callouts.doc.tar.xz
Source7687: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cesenaexam.tar.xz
Source7688: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cesenaexam.doc.tar.xz
Source7689: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cheatsheet.tar.xz
Source7690: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cheatsheet.doc.tar.xz
Source7691: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/childdoc.tar.xz
Source7692: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/childdoc.doc.tar.xz
Source7693: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cje.tar.xz
Source7694: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cje.doc.tar.xz
Source7695: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-texworks.tar.xz
Source7696: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combofont.tar.xz
Source7697: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/combofont.doc.tar.xz
Source7698: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-cmscbf.tar.xz
Source7699: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-cmscbf.doc.tar.xz
Source7700: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-cmttbf.tar.xz
Source7701: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-cmttbf.doc.tar.xz
Source7702: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-inifile.tar.xz
Source7703: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-inifile.doc.tar.xz
Source7704: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-layout.tar.xz
Source7705: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/context-layout.doc.tar.xz
Source7706: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/conv-xkv.tar.xz
Source7707: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/conv-xkv.doc.tar.xz
Source7708: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cooking-units.tar.xz
Source7709: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cooking-units.doc.tar.xz
Source7710: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cormorantgaramond.tar.xz
Source7711: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cormorantgaramond.doc.tar.xz
Source7712: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crossreftools.tar.xz
Source7713: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/crossreftools.doc.tar.xz
Source7714: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/css-colors.tar.xz
Source7715: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/css-colors.doc.tar.xz
Source7716: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cstypo.tar.xz
Source7717: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cstypo.doc.tar.xz
Source7718: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/currency.tar.xz
Source7719: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/currency.doc.tar.xz
Source7720: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/docsurvey.doc.tar.xz
Source7721: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/draftfigure.tar.xz
Source7722: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/draftfigure.doc.tar.xz
Source7723: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dtxdescribe.tar.xz
Source7724: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dtxdescribe.doc.tar.xz
Source7725: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ducksay.tar.xz
Source7726: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ducksay.doc.tar.xz
Source7729: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dynkin-diagrams.tar.xz
Source7730: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/dynkin-diagrams.doc.tar.xz
Source7731: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easyformat.tar.xz
Source7732: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/easyformat.doc.tar.xz
Source7735: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecgdraw.tar.xz
Source7736: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ecgdraw.doc.tar.xz
Source7737: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endofproofwd.tar.xz
Source7738: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/endofproofwd.doc.tar.xz
Source7739: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqnalign.tar.xz
Source7740: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eqnalign.doc.tar.xz
Source7741: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eulerpx.tar.xz
Source7742: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eulerpx.doc.tar.xz
Source7743: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fetchcls.tar.xz
Source7744: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fetchcls.doc.tar.xz
Source7745: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fgruler.tar.xz
Source7746: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fgruler.doc.tar.xz
Source7747: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filecontentsdef.tar.xz
Source7748: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/filecontentsdef.doc.tar.xz
Source7749: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixjfm.tar.xz
Source7750: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fixjfm.doc.tar.xz
Source7751: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontloader-luaotfload.tar.xz
Source7752: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fontloader-luaotfload.doc.tar.xz
Source7753: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footmisx.tar.xz
Source7754: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/footmisx.doc.tar.xz
Source7756: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forest-quickstart.doc.tar.xz
Source7757: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forms16be.tar.xz
Source7758: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/forms16be.doc.tar.xz
Source7759: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frederika2016.tar.xz
Source7760: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/frederika2016.doc.tar.xz
Source7761: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitfile-info.tar.xz
Source7762: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gitfile-info.doc.tar.xz
Source7763: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gofonts.tar.xz
Source7764: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gofonts.doc.tar.xz
Source7765: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grant.tar.xz
Source7766: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grant.doc.tar.xz
Source7767: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grayhints.tar.xz
Source7768: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/grayhints.doc.tar.xz
Source7769: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gtrlib-largetrees.tar.xz
Source7770: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gtrlib-largetrees.doc.tar.xz
Source7771: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/halloweenmath.tar.xz
Source7772: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/halloweenmath.doc.tar.xz
Source7773: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hackthefootline.tar.xz
Source7774: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hackthefootline.doc.tar.xz
Source7775: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hecthese.tar.xz
Source7776: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hecthese.doc.tar.xz
Source7777: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hithesis.tar.xz
Source7778: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hithesis.doc.tar.xz
Source7779: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hustthesis.tar.xz
Source7780: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hustthesis.doc.tar.xz
Source7781: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/hyphen-belarusian.tar.xz
Source7782: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifptex.tar.xz
Source7783: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifptex.doc.tar.xz
Source7784: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifxptex.tar.xz
Source7785: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ifxptex.doc.tar.xz
Source7786: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ijsra.tar.xz
Source7787: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ijsra.doc.tar.xz
Source7788: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/invoice2.tar.xz
Source7789: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/invoice2.doc.tar.xz
Source7790: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iscram.tar.xz
Source7791: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/iscram.doc.tar.xz
Source7792: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isopt.tar.xz
Source7793: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/isopt.doc.tar.xz
Source7794: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/istgame.tar.xz
Source7795: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/istgame.doc.tar.xz
Source7798: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jlreq.tar.xz
Source7799: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/jlreq.doc.tar.xz
Source7800: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyfloat.tar.xz
Source7801: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/keyfloat.doc.tar.xz
Source7802: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knowledge.tar.xz
Source7803: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/knowledge.doc.tar.xz
Source7804: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/komacv-rg.tar.xz
Source7805: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/komacv-rg.doc.tar.xz
Source7806: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ku-template.tar.xz
Source7807: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ku-template.doc.tar.xz
Source7808: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ladder.tar.xz
Source7809: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ladder.doc.tar.xz
Source7810: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-mr.doc.tar.xz
Source7813: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latex-refsheet.doc.tar.xz
Source7816: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexbangla.tar.xz
Source7817: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexbangla.doc.tar.xz
Source7818: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexbug.tar.xz
Source7819: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexbug.doc.tar.xz
Source7820: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexgit.tar.xz
Source7821: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexgit.doc.tar.xz
# Provided by latexmk package
# Source7822: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexmk.tar.xz
# Source7823: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/latexmk.doc.tar.xz
Source7824: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/limecv.tar.xz
Source7825: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/limecv.doc.tar.xz
Source7826: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ling-macros.tar.xz
Source7827: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ling-macros.doc.tar.xz
Source7828: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lion-msc.tar.xz
Source7829: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lion-msc.doc.tar.xz
Source7830: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lni.tar.xz
Source7831: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lni.doc.tar.xz
Source7832: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltb2bib.tar.xz
Source7833: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ltb2bib.doc.tar.xz
Source7834: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luahyphenrules.tar.xz
Source7835: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luahyphenrules.doc.tar.xz
Source7836: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luamesh.tar.xz
Source7837: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luamesh.doc.tar.xz
Source7838: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luapackageloader.tar.xz
Source7839: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/luapackageloader.doc.tar.xz
Source7842: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/maker.tar.xz
Source7843: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/maker.doc.tar.xz
Source7844: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marginfit.tar.xz
Source7845: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/marginfit.doc.tar.xz
Source7846: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/math-into-latex-4.doc.tar.xz
Source7847: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcexam.tar.xz
Source7848: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mcexam.doc.tar.xz
Source7849: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mendex-doc.doc.tar.xz
Source7850: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/milog.tar.xz
Source7851: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/milog.doc.tar.xz
Source7852: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/missaali.tar.xz
Source7853: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/missaali.doc.tar.xz
Source7854: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modular.tar.xz
Source7855: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/modular.doc.tar.xz
Source7856: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/montserrat.tar.xz
Source7857: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/montserrat.doc.tar.xz
Source7858: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpostinl.tar.xz
Source7859: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mpostinl.doc.tar.xz
Source7860: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mucproc.tar.xz
Source7861: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/mucproc.doc.tar.xz
Source7862: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multilang.tar.xz
Source7863: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/multilang.doc.tar.xz
Source7864: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musicography.tar.xz
Source7865: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/musicography.doc.tar.xz
Source7866: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/na-box.tar.xz
Source7867: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/na-box.doc.tar.xz
Source7868: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/na-position.tar.xz
Source7869: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/na-position.doc.tar.xz
Source7870: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/navydocs.tar.xz
Source7871: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/navydocs.doc.tar.xz
Source7872: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/niceframe-type1.tar.xz
Source7873: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/niceframe-type1.doc.tar.xz
Source7874: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nodetree.tar.xz
Source7875: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/nodetree.doc.tar.xz
Source7876: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notespages.tar.xz
Source7877: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notespages.doc.tar.xz
Source7878: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notestex.tar.xz
Source7879: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/notestex.doc.tar.xz
Source7880: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/novel.tar.xz
Source7881: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/novel.doc.tar.xz
Source7882: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numnameru.tar.xz
Source7883: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numnameru.doc.tar.xz
Source7884: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numspell.tar.xz
Source7885: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/numspell.doc.tar.xz
Source7886: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/octave.tar.xz
Source7887: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/octave.doc.tar.xz
Source7888: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/padauk.tar.xz
Source7889: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/padauk.doc.tar.xz
Source7892: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfreview.tar.xz
Source7893: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pdfreview.doc.tar.xz
Source7894: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phffullpagefigure.tar.xz
Source7895: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phffullpagefigure.doc.tar.xz
Source7896: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfnote.tar.xz
Source7897: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfnote.doc.tar.xz
Source7898: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfparen.tar.xz
Source7899: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfparen.doc.tar.xz
Source7900: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfqit.tar.xz
Source7901: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfqit.doc.tar.xz
Source7902: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfquotetext.tar.xz
Source7903: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfquotetext.doc.tar.xz
Source7904: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfsvnwatermark.tar.xz
Source7905: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfsvnwatermark.doc.tar.xz
Source7906: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfthm.tar.xz
Source7907: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phfthm.doc.tar.xz
Source7908: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phonenumbers.tar.xz
Source7909: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/phonenumbers.doc.tar.xz
Source7910: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/platex-tools.tar.xz
Source7911: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/platex-tools.doc.tar.xz
Source7912: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/platexcheat.doc.tar.xz
Source7913: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poetry.tar.xz
Source7914: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/poetry.doc.tar.xz
Source7915: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-arrow.tar.xz
Source7916: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-arrow.doc.tar.xz
Source7917: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-geometrictools.tar.xz
Source7918: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-geometrictools.doc.tar.xz
Source7919: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-poker.tar.xz
Source7920: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-poker.doc.tar.xz
Source7921: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-rputover.tar.xz
Source7922: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-rputover.doc.tar.xz
Source7923: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-shell.tar.xz
Source7924: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-shell.doc.tar.xz
Source7925: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vehicle.tar.xz
Source7926: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pst-vehicle.doc.tar.xz
Source7927: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstring.tar.xz
Source7928: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pstring.doc.tar.xz
Source7931: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxtatescale.tar.xz
Source7932: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxtatescale.doc.tar.xz
Source7933: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxufont.tar.xz
Source7934: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/pxufont.doc.tar.xz
Source7935: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quicktype.tar.xz
Source7936: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/quicktype.doc.tar.xz
Source7937: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rutitlepage.tar.xz
Source7938: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/rutitlepage.doc.tar.xz
Source7939: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scsnowman.tar.xz
Source7940: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scsnowman.doc.tar.xz
Source7941: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scratch.tar.xz
Source7942: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/scratch.doc.tar.xz
Source7943: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sesstime.tar.xz
Source7944: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/sesstime.doc.tar.xz
Source7945: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shobhika.tar.xz
Source7946: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/shobhika.doc.tar.xz
Source7947: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simple-resume-cv.tar.xz
Source7948: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simple-resume-cv.doc.tar.xz
Source7949: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simple-thesis-dissertation.tar.xz
Source7950: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/simple-thesis-dissertation.doc.tar.xz
Source7951: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/soup.tar.xz
Source7952: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/soup.doc.tar.xz
Source7953: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spark-otf.tar.xz
Source7954: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spark-otf.doc.tar.xz
Source7955: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spectralsequences.tar.xz
Source7956: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/spectralsequences.doc.tar.xz
Source7957: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/studenthandouts.tar.xz
Source7958: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/studenthandouts.doc.tar.xz
Source7959: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/table-fct.tar.xz
Source7960: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/table-fct.doc.tar.xz
Source7961: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termcal-de.tar.xz
Source7962: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/termcal-de.doc.tar.xz
Source7963: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/testidx.tar.xz
Source7964: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/testidx.doc.tar.xz
Source7967: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/texproposal.doc.tar.xz
Source7968: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thaienum.tar.xz
Source7969: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/thaienum.doc.tar.xz
Source7970: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-kalender.tar.xz
Source7971: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-kalender.doc.tar.xz
Source7972: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-optics.tar.xz
Source7973: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikz-optics.doc.tar.xz
Source7974: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzcodeblocks.tar.xz
Source7975: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzcodeblocks.doc.tar.xz
Source7976: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzducks.tar.xz
Source7977: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzducks.doc.tar.xz
Source7978: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzpeople.tar.xz
Source7979: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tikzpeople.doc.tar.xz
# Need TL2018? They will go in texlive-base then.
# Source7980: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tlcockpit.tar.xz
# Source7981: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tlcockpit.doc.tar.xz
# Source7982: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tlshell.tar.xz
# Source7983: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tlshell.doc.tar.xz
Source7984: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocdata.tar.xz
Source7985: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/tocdata.doc.tar.xz
Source7986: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txuprcal.tar.xz
Source7987: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/txuprcal.doc.tar.xz
Source7988: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typoaid.tar.xz
Source7989: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/typoaid.doc.tar.xz
Source7990: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uhhassignment.tar.xz
Source7991: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uhhassignment.doc.tar.xz
# Source7992: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/undergradmath.tar.xz
Source7993: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/undergradmath.doc.tar.xz
Source7994: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unfonts-core.tar.xz
Source7995: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unfonts-core.doc.tar.xz
Source7996: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unfonts-extra.tar.xz
Source7997: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unfonts-extra.doc.tar.xz
Source7998: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unicode-bidi.tar.xz
Source7999: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unicode-bidi.doc.tar.xz
Source8000: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unitn-bimrep.tar.xz
Source8001: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/unitn-bimrep.doc.tar.xz
Source8002: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upzhkinsoku.tar.xz
Source8003: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/upzhkinsoku.doc.tar.xz
Source8004: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uspace.tar.xz
Source8005: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/uspace.doc.tar.xz
Source8008: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/variablelm.tar.xz
Source8009: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/variablelm.doc.tar.xz
Source8012: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wallcalendar.tar.xz
Source8013: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wallcalendar.doc.tar.xz
Source8014: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wtref.tar.xz
Source8015: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/wtref.doc.tar.xz
Source8016: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcolor-material.tar.xz
Source8017: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xcolor-material.doc.tar.xz
Source8018: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xechangebar.tar.xz
Source8019: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xechangebar.doc.tar.xz
Source8020: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xltabular.tar.xz
Source8021: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xltabular.doc.tar.xz
Source8022: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xsim.tar.xz
Source8023: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/xsim.doc.tar.xz
Source8024: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yaletter.tar.xz
Source8025: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/yaletter.doc.tar.xz
Source8026: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zebra-goodies.tar.xz
Source8027: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zebra-goodies.doc.tar.xz
Source8028: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhlipsum.tar.xz
Source8029: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/zhlipsum.doc.tar.xz
Source8030: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fvextra.tar.xz
Source8031: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/fvextra.doc.tar.xz
Source8032: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translator.tar.xz
Source8033: http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/translator.doc.tar.xz
Source8034: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/tikz-page.tar.xz
Source8035: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/tikz-page.doc.tar.xz
Source8036: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/autoaligne.doc.tar.xz
Source8037: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/autoaligne.tar.xz
Source8038: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/hlist.doc.tar.xz 
Source8039: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/hlist.tar.xz
Source8040: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/modulus.doc.tar.xz
Source8041: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/modulus.tar.xz
Source8042: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/olsak-misc.doc.tar.xz
Source8043: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/olsak-misc.tar.xz
Source8044: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/randomlist.doc.tar.xz
Source8045: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/randomlist.tar.xz
Source8046: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/simplekv.doc.tar.xz
Source8047: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/simplekv.tar.xz
Source8048: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/trigonometry.doc.tar.xz
Source8049: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/trigonometry.tar.xz
Source8050: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/xii-lat.doc.tar.xz
Source8051: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/xii-lat.tar.xz
Source8052: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/mensa-tex.tar.xz
Source8053: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/mensa-tex.doc.tar.xz
Source8054: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/algobox.tar.xz
Source8055: http://ctan.math.illinois.edu/systems/texlive/tlnet/archive/algobox.doc.tar.xz

%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

%package 12many
Provides: tex-12many = %{tl_version}
License: LPPL
Summary: Generalising mathematical index sets
Version: svn15878.0.3
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Provides: tex(12many.sty) = %{tl_version}

%description 12many
In the discrete branches of mathematics and the computer
sciences, it will only take some seconds before you're faced
with a set like {1,...,m}. Some people write $1\ldotp\ldotp m$,
others $\{j:1\leq j\leq m\}$, and the journal you're submitting
to might want something else entirely. The 12many package
provides an interface that makes changing from one to another a
one-line change.

%package 12many-doc
Summary: Documentation for 12many
Version: svn15878.0.3
Provides: tex-12many-doc
AutoReqProv: No

%description 12many-doc
Documentation for 12many

%package 2up
Provides: tex-2up = %{tl_version}
License: LPPL
Summary: 2up package
Version: svn41578
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(2up.sty) = %{tl_version}
Provides: tex(2up.tex) = %{tl_version}

%description 2up
2up package

%package 2up-doc
Summary: Documentation for 2up
Version: svn41578
Provides: tex-2up-doc
AutoReqProv: No

%description 2up-doc
Documentation for 2up

%package a0poster
Provides: tex-a0poster = %{tl_version}
License: LPPL
Summary: Support for designing posters on large paper
Version: svn15878.1.22b
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(a0poster.cls) = %{tl_version}
Provides: tex(a0size.sty) = %{tl_version}

%description a0poster
Provides fonts in sizes of 12pt up to 107pt and also makes sure
that in math formulas the symbols appear in the right size. Can
also create a PostScript header file for dvips which ensures
that the poster will be printed in the right size. Supported
sizes are DIN A0, DIN A1, DIN A2 and DIN A3.

%package a0poster-doc
Summary: Documentation for a0poster
Version: svn15878.1.22b
Provides: tex-a0poster-doc
AutoReqProv: No

%description a0poster-doc
Documentation for a0poster

%package a4wide
Provides: tex-a4wide = %{tl_version}
License: LPPL
Summary: "Wide" a4 layout
Version: svn20943.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(a4.sty)
Provides: tex(a4wide.sty) = %{tl_version}

%description a4wide
This package increases the width of the typeset area of an a4
page. This sort of operation is capable of producing
typographically poor results; the operation itself is better
provided by the geometry package. The package uses the a4
package.

%package a4wide-doc
Summary: Documentation for a4wide
Version: svn20943.0
Provides: tex-a4wide-doc
AutoReqProv: No

%description a4wide-doc
Documentation for a4wide

%package a5comb
Provides: tex-a5comb = %{tl_version}
License: Public Domain
Summary: Support for a5 paper sizes
Version: svn17020.4
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(a5comb.sty) = %{tl_version}

%description a5comb
Superceded by geometry.

%package a5comb-doc
Summary: Documentation for a5comb
Version: svn17020.4
Provides: tex-a5comb-doc
AutoReqProv: No

%description a5comb-doc
Documentation for a5comb

%package aastex
Provides: tex-aastex = %{tl_version}
License: LPPL
Summary: Macros for Manuscript Preparation for AAS Journals
Version: svn39929
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(latexsym.sty)
Requires: tex(graphicx.sty)
Requires: tex(amssymb.sty)
Requires: tex(natbib.sty)
Requires: tex(verbatim.sty)
Provides: tex(aastex6.cls) = %{tl_version}

%description aastex
The bundle provides a document class for preparing papers for
American Astronomical Society publications. Authors who wish to
submit papers to AAS journals are strongly urged to use this
class in preference to any of the alternatives available.

%package aastex-doc
Summary: Documentation for aastex
Version: svn39929
Provides: tex-aastex-doc
AutoReqProv: No

%description aastex-doc
Documentation for aastex

%package abbr
Provides: tex-abbr = %{tl_version}
License: Public Domain
Summary: Simple macros supporting abreviations for Plain and LaTeX
Version: svn15878.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(abbr.tex) = %{tl_version}

%description abbr
The package provides some simple macros to support
abbreviations in Plain TeX or LaTeX. It allows writing (e.g.)
\<TEX> instead of \TeX, hence frees users from having to escape
space after parameterless macros.

%package abbr-doc
Summary: Documentation for abbr
Version: svn15878.0
Provides: tex-abbr-doc
AutoReqProv: No

%description abbr-doc
Documentation for abbr

%package abc
Provides: tex-abc = %{tl_version}
License: LPPL 1.2
Summary: Support ABC music notation in LaTeX
Version: svn41157
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(verbatim.sty)
Requires: tex(keyval.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifpdf.sty)
Provides: tex(abc.sty) = %{tl_version}
Provides: tex(mup.sty) = %{tl_version}

%description abc
The abc package lets you include lines of music written in the
ABC Plus language. The package will then employ the \write18
facility to convert your notation to PostScript (using the
established utility abcm2ps) and hence to the format needed for
inclusion in your document.

%package abc-doc
Summary: Documentation for abc
Version: svn41157
Provides: tex-abc-doc
AutoReqProv: No

%description abc-doc
Documentation for abc

%package abntex2
Provides: tex-abntex2 = %{tl_version}
License: LPPL 1.3
Summary: Typeset technical and scientific Brazilian documents based on ABNT rules
Version: svn39913
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(textcase.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(babel.sty)
Requires: tex(enumitem.sty)
Requires: tex(calc.sty)
Requires: tex(setspace.sty)
Requires: tex(url.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(breakurl.sty)
Requires: tex(relsize.sty)
Provides: tex(abntex2.cls) = %{tl_version}
Provides: tex(abntex2abrev.sty) = %{tl_version}
Provides: tex(abntex2cite.sty) = %{tl_version}

%description abntex2
The bundle provides support for typesetting technical and
scientific Brazilian documents (like academic thesis, articles,
reports, research project and others) based on the ABNT rules
(Associacao Brasileira de Normas Tecnicas). It replaces the old
abntex.

%package abntex2-doc
Summary: Documentation for abntex2
Version: svn39913
Provides: tex-abntex2-doc
AutoReqProv: No

%description abntex2-doc
Documentation for abntex2

%package abraces
Provides: tex-abraces = %{tl_version}
License: LPPL
Summary: Asymmetric over-/underbraces in maths
Version: svn27880.2
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(abraces.sty) = %{tl_version}

%description abraces
The package provides a character key-driven interface to
supplement new constructions of the traditional \overbrace and
\underbrace pairs in an asymmetric or arbitrary way.

%package abraces-doc
Summary: Documentation for abraces
Version: svn27880.2
Provides: tex-abraces-doc
AutoReqProv: No

%description abraces-doc
Documentation for abraces

%package abstract
Provides: tex-abstract = %{tl_version}
License: LPPL
Summary: Control the typesetting of the abstract environment
Version: svn15878.1.2a
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(abstract.sty) = %{tl_version}

%description abstract
The abstract package gives you control over the typesetting of
the abstract environment, and in particular provides for a one
column abstract in a two column paper.

%package abstract-doc
Summary: Documentation for abstract
Version: svn15878.1.2a
Provides: tex-abstract-doc
AutoReqProv: No

%description abstract-doc
Documentation for abstract

%package abstyles
Provides: tex-abstyles = %{tl_version}
License: Abstyles
Summary: Adaptable BibTeX styles
Version: svn15878.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(apreambl.tex) = %{tl_version}

%description abstyles
A family of modifications of the standard BibTeX styles whose
behaviour may be changed by changing the user document, without
change to the styles themselves. The package is largely used
nowadays in its adaptation for working with Babel.

%package abstyles-doc
Summary: Documentation for abstyles
Version: svn15878.0
Provides: tex-abstyles-doc
AutoReqProv: No

%description abstyles-doc
Documentation for abstyles

%package academicons
Provides: tex-academicons = %{tl_version}
License: LPPL 1.3
Summary: Font containing icons of online academic profiles
Version: svn44380
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(academicons.ttf) = %{tl_version}
Provides: tex(academicons.sty) = %{tl_version}

%description academicons
This package provides access in (La)TeX to 20 high quality
icons of online academic profiles included in the free
"Academicons" font. It requires the fontspec package and either
the Xe(La)TeX or the Lua(La)TeX engine to load the included
academicons.ttf font. The "Academicons" font was designed by
James Walsh and released (see
http://jpswalsh.github.io/academicons/) under the SIL Open Font
License. This package is inspired by and based on the
fontawesome package. academicons.sty provides the generic
\aiicon command to access icons, which takes as a mandatory
argument the name of the desired icon. It also provides
individual direct commands for each specific icon. The full
list of icons and their respective names and direct commands
can be found in the manual.

%package academicons-doc
Summary: Documentation for academicons
Version: svn44380
Provides: tex-academicons-doc
AutoReqProv: No

%description academicons-doc
Documentation for academicons

%package accanthis
Provides: tex-accanthis = %{tl_version}
License: GPLv2+
Summary: Accanthis fonts, with LaTeX support
Version: svn32089.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(acnt_m4gnvn.enc) = %{tl_version}
Provides: tex(acnt_qu6a6x.enc) = %{tl_version}
Provides: tex(acnt_sjpjw4.enc) = %{tl_version}
Provides: tex(acnt_z4e4wk.enc) = %{tl_version}
Provides: tex(accanthis.map) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold.otf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic.otf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic.otf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular.otf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(AccanthisADFStdNo3-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(LY1AccanthisADFStdNoThree-LF.fd) = %{tl_version}
Provides: tex(OT1AccanthisADFStdNoThree-LF.fd) = %{tl_version}
Provides: tex(T1AccanthisADFStdNoThree-LF.fd) = %{tl_version}
Provides: tex(TS1AccanthisADFStdNoThree-LF.fd) = %{tl_version}
Provides: tex(accanthis.sty) = %{tl_version}

%description accanthis
Accanthis No. 3 is designed by Hirwin Harendal and is suitable
as an alternative to fonts such as Garamond, Galliard, Horley
old style, Sabon, and Bembo. The support files are suitable for
use with all LaTeX engines.

%package accanthis-doc
Summary: Documentation for accanthis
Version: svn32089.0
Provides: tex-accanthis-doc
AutoReqProv: No

%description accanthis-doc
Documentation for accanthis

%package achemso
Provides: tex-achemso = %{tl_version}
License: LPPL 1.3
Summary: Support for American Chemical Society journal submissions
Version: svn46282
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(geometry.sty)
Requires: tex(caption.sty)
Requires: tex(float.sty)
Requires: tex(graphicx.sty)
Requires: tex(setspace.sty)
Requires: tex(url.sty)
Requires: tex(natbib.sty)
Requires: tex(mciteplus.sty)
Provides: tex(achemso.cls) = %{tl_version}
Provides: tex(achemso.sty) = %{tl_version}
Provides: tex(achemso-aamick.cfg) = %{tl_version}
Provides: tex(achemso-acbcct.cfg) = %{tl_version}
Provides: tex(achemso-accacs.cfg) = %{tl_version}
Provides: tex(achemso-achre4.cfg) = %{tl_version}
Provides: tex(achemso-acncdm.cfg) = %{tl_version}
Provides: tex(achemso-acsccc.cfg) = %{tl_version}
Provides: tex(achemso-acsodf.cfg) = %{tl_version}
Provides: tex(achemso-aelccp.cfg) = %{tl_version}
Provides: tex(achemso-amclct.cfg) = %{tl_version}
Provides: tex(achemso-amlccd.cfg) = %{tl_version}
Provides: tex(achemso-ancac3.cfg) = %{tl_version}
Provides: tex(achemso-ancham.cfg) = %{tl_version}
Provides: tex(achemso-apchd5.cfg) = %{tl_version}
Provides: tex(achemso-asbcd6.cfg) = %{tl_version}
Provides: tex(achemso-asccii.cfg) = %{tl_version}
Provides: tex(achemso-ascecg.cfg) = %{tl_version}
Provides: tex(achemso-bcches.cfg) = %{tl_version}
Provides: tex(achemso-bichaw.cfg) = %{tl_version}
Provides: tex(achemso-bomaf6.cfg) = %{tl_version}
Provides: tex(achemso-cgdefu.cfg) = %{tl_version}
Provides: tex(achemso-chreay.cfg) = %{tl_version}
Provides: tex(achemso-cmatex.cfg) = %{tl_version}
Provides: tex(achemso-crtoec.cfg) = %{tl_version}
Provides: tex(achemso-enfuem.cfg) = %{tl_version}
Provides: tex(achemso-esthag.cfg) = %{tl_version}
Provides: tex(achemso-estlcu.cfg) = %{tl_version}
Provides: tex(achemso-iecred.cfg) = %{tl_version}
Provides: tex(achemso-inoraj.cfg) = %{tl_version}
Provides: tex(achemso-jacsat.cfg) = %{tl_version}
Provides: tex(achemso-jafcau.cfg) = %{tl_version}
Provides: tex(achemso-jceaax.cfg) = %{tl_version}
Provides: tex(achemso-jceda8.cfg) = %{tl_version}
Provides: tex(achemso-jcisd8.cfg) = %{tl_version}
Provides: tex(achemso-jctcce.cfg) = %{tl_version}
Provides: tex(achemso-jmcmar.cfg) = %{tl_version}
Provides: tex(achemso-jnprdf.cfg) = %{tl_version}
Provides: tex(achemso-joceah.cfg) = %{tl_version}
Provides: tex(achemso-jpcafh.cfg) = %{tl_version}
Provides: tex(achemso-jpcbfk.cfg) = %{tl_version}
Provides: tex(achemso-jpccck.cfg) = %{tl_version}
Provides: tex(achemso-jpclcd.cfg) = %{tl_version}
Provides: tex(achemso-jprobs.cfg) = %{tl_version}
Provides: tex(achemso-langd5.cfg) = %{tl_version}
Provides: tex(achemso-mamobx.cfg) = %{tl_version}
Provides: tex(achemso-mpohbp.cfg) = %{tl_version}
Provides: tex(achemso-nalefd.cfg) = %{tl_version}
Provides: tex(achemso-oprdfk.cfg) = %{tl_version}
Provides: tex(achemso-orgnd7.cfg) = %{tl_version}
Provides: tex(achemso-orlef7.cfg) = %{tl_version}
Provides: tex(natmove.sty) = %{tl_version}

%description achemso
The bundle provides the official macros (achemso.cls) and
BibTeX styles (achemso.bst and biochem.bst) for submission to
the journals of the American Chemical Society. The natmove
package, which moves citations relative to punctuation, is
distributed as part of the bundle.

%package achemso-doc
Summary: Documentation for achemso
Version: svn46282
Provides: tex-achemso-doc
AutoReqProv: No

%description achemso-doc
Documentation for achemso

%package acmconf
Provides: tex-acmconf = %{tl_version}
License: LPPL
Summary: Class for ACM conference proceedings
Version: svn15878.1.3
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(flushend.sty)
Provides: tex(acmconf.cls) = %{tl_version}

%description acmconf
This class may be used to typeset articles to be published in
the proceedings of ACM (Association for Computing Machinery)
conferences and workshops. The layout produced by the acmconf
class is based on the ACM's own specification.

%package acmconf-doc
Summary: Documentation for acmconf
Version: svn15878.1.3
Provides: tex-acmconf-doc
AutoReqProv: No

%description acmconf-doc
Documentation for acmconf

%package acronym
Provides: tex-acronym = %{tl_version}
License: LPPL 1.3
Summary: Expand acronyms at least once
Version: svn36582.1.41
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(suffix.sty)
Requires: tex(xstring.sty)
Requires: tex(relsize.sty)
Provides: tex(acronym.sty) = %{tl_version}

%description acronym
This package ensures that all acronyms used in the text are
spelled out in full at least once. It also provides an
environment to build a list of acronyms used. The package is
compatible with pdf bookmarks. The package requires the suffix
package, which in turn requires that it runs under e-TeX.

%package acronym-doc
Summary: Documentation for acronym
Version: svn36582.1.41
Provides: tex-acronym-doc
AutoReqProv: No

%description acronym-doc
Documentation for acronym

%package acroterm
Provides: tex-acroterm = %{tl_version}
License: LPPL 1.3
Summary: Manage and index acronyms and terms
Version: svn20498.0.1
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(splitidx.sty)
Requires: tex(xifthen.sty)
Provides: tex(acroterm.sty) = %{tl_version}

%description acroterm
Yet another package for acronyms: the package offers simple
markup of acronyms and technical terms in the text, giving an
index each of terms and acronyms with their expanded form.

%package acroterm-doc
Summary: Documentation for acroterm
Version: svn20498.0.1
Provides: tex-acroterm-doc
AutoReqProv: No

%description acroterm-doc
Documentation for acroterm

%package acro
Provides: tex-acro = %{tl_version}
License: LPPL 1.3
Summary: Typeset acronyms
Version: svn46492
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(l3sort.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xtemplate.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xspace.sty)
Requires: tex(zref-abspage.sty)
Requires: tex(accsupp.sty)
Requires: tex(pdfcomment.sty)
Requires: tex(translations.sty)
Provides: tex(acro.sty) = %{tl_version}

%description acro
The package enables the author to create acronyms in a simple
way, and provides means to add them to different 'classes' of
acronyms. Lists can be created of separate acronym classes. The
package option 'single' instructs the package to ignore
acronyms that are used only once in the whole document. As an
experimental feature the package also offers the option 'sort'
which automatically sorts the list created by \printacronyms.

%package acro-doc
Summary: Documentation for acro
Version: svn46492
Provides: tex-acro-doc
AutoReqProv: No

%description acro-doc
Documentation for acro

%package active-conf
Provides: tex-active-conf = %{tl_version}
License: LPPL
Summary: Class for typesetting ACTIVE conference papers
Version: svn15878.0.3a
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(helvet.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(url.sty)
Requires: tex(geometry.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(array.sty)
Requires: tex(bm.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Provides: tex(active-conf.cls) = %{tl_version}

%description active-conf
Active-conf is a class for typesetting papers for the Active
conference on noise and vibration control. It is initially
intended for the 2006 conference in Adelaide, Australia. The
class is based on article with more flexible front-matter, and
can be customised for conferences in future years with a header
file.

%package active-conf-doc
Summary: Documentation for active-conf
Version: svn15878.0.3a
Provides: tex-active-conf-doc
AutoReqProv: No

%description active-conf-doc
Documentation for active-conf

%package actuarialangle
Provides: tex-actuarialangle = %{tl_version}
License: Public Domain
Summary: Symbol for use in "present value" statements of an annuity
Version: svn43751
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(actuarialangle.sty) = %{tl_version}

%description actuarialangle
The package defines a single command \actuarialangle to typeset
"angles" in the 'present value of an annuity' symbols common in
actuarial and financial notation.

%package actuarialangle-doc
Summary: Documentation for actuarialangle
Version: svn43751
Provides: tex-actuarialangle-doc
AutoReqProv: No

%description actuarialangle-doc
Documentation for actuarialangle

%package addlines
Provides: tex-addlines = %{tl_version}
License: LPPL
Summary: A user-friendly wrapper around \enlargethispage
Version: svn37805.0.2a
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(afterpage.sty)
Requires: tex(changepage.sty)
Provides: tex(addlines.sty) = %{tl_version}

%description addlines
This small package provides the command \addlines for adding or
removing space in the textblock of the page it's used on. E.g.,
adding an extra line of text to the page so that a section fits
better on the next page. It will also add space to the facing
page in a two-sided document.

%package addlines-doc
Summary: Documentation for addlines
Version: svn37805.0.2a
Provides: tex-addlines-doc
AutoReqProv: No

%description addlines-doc
Documentation for addlines

%package adfathesis
Provides: tex-adfathesis = %{tl_version}
License: Public Domain
Summary: Australian Defence Force Academy thesis format
Version: svn26048.2.42
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(harvard.sty)
Provides: tex(adfathesis.cls) = %{tl_version}

%description adfathesis
The bundle includes a BibTeX style file.

%package adfathesis-doc
Summary: Documentation for adfathesis
Version: svn26048.2.42
Provides: tex-adfathesis-doc
AutoReqProv: No

%description adfathesis-doc
Documentation for adfathesis

%package adforn
Provides: tex-adforn = %{tl_version}
License: LPPL
Summary: OrnementsADF font with TeX/LaTeX support
Version: svn20019.1.001_b_2
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(pifont.sty)
Provides: tex(OrnementsADF.enc) = %{tl_version}
Provides: tex(OrnementsADF.map) = %{tl_version}
Provides: tex(OrnementsADF.tfm) = %{tl_version}
Provides: tex(OrnementsADF.pfb) = %{tl_version}
Provides: tex(adforn.sty) = %{tl_version}
Provides: tex(uornementsadf.fd) = %{tl_version}

%description adforn
The bundle provides the Ornements ADF font in PostScript type 1
format with TeX/LaTeX support files. The font is licensed under
GPL v2 or later with font exception. (See NOTICE, COPYING,
README.) The TeX/LaTeX support is licensed under LPPL. (See
README, manifest.txt.)

%package adforn-doc
Summary: Documentation for adforn
Version: svn20019.1.001_b_2
Provides: tex-adforn-doc
AutoReqProv: No

%description adforn-doc
Documentation for adforn

%package adfsymbols
Provides: tex-adfsymbols = %{tl_version}
License: LPPL
Summary: SymbolsADF with TeX/LaTeX support
Version: svn19766.1.001
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(pifont.sty)
Requires: tex(fp.sty)
Provides: tex(SymbolsADF.enc) = %{tl_version}
Provides: tex(ArrowsADF.map) = %{tl_version}
Provides: tex(BulletsADF.map) = %{tl_version}
Provides: tex(ArrowsADF.tfm) = %{tl_version}
Provides: tex(BulletsADF.tfm) = %{tl_version}
Provides: tex(ArrowsADF.pfb) = %{tl_version}
Provides: tex(BulletsADF.pfb) = %{tl_version}
Provides: tex(adfarrows.sty) = %{tl_version}
Provides: tex(adfbullets.sty) = %{tl_version}
Provides: tex(uarrowsadf.fd) = %{tl_version}
Provides: tex(ubulletsadf.fd) = %{tl_version}

%description adfsymbols
The package provides Arkandis foundry's ArrowsADF and
BulletsADF fonts in Adobe Type 1 format, together with
TeX/LaTeX support files. The fonts are licensed under GPL v2 or
later with font exception. (See NOTICE, COPYING, README.) The
TeX/LaTeX support is licensed under LPPL. (See README,
manifest.txt.)

%package adfsymbols-doc
Summary: Documentation for adfsymbols
Version: svn19766.1.001
Provides: tex-adfsymbols-doc
AutoReqProv: No

%description adfsymbols-doc
Documentation for adfsymbols

%package adjmulticol
Provides: tex-adjmulticol = %{tl_version}
License: LPPL 1.3
Summary: Adjusting margins for multicolumn and single column output
Version: svn28936.1.1
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(multicol.sty)
Provides: tex(adjmulticol.sty) = %{tl_version}

%description adjmulticol
The package adds, to the multicol package, the option to change
the margins for multicolumn and unicolumn layout. The package
understands the difference between the even and odd margins for
two side printing.

%package adjmulticol-doc
Summary: Documentation for adjmulticol
Version: svn28936.1.1
Provides: tex-adjmulticol-doc
AutoReqProv: No

%description adjmulticol-doc
Documentation for adjmulticol

%package adjustbox
Provides: tex-adjustbox = %{tl_version}
License: LPPL 1.3
Summary: Graphics package-alike macros for "general" boxes
Version: svn26555.1.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(calc.sty)
Requires: tex(pgf.sty)
Requires: tex(graphicx.sty)
Requires: tex(collectbox.sty)
Requires: tex(ifoddpage.sty)
Requires: tex(varwidth.sty)
Provides: tex(adjcalc.sty) = %{tl_version}
Provides: tex(adjustbox.sty) = %{tl_version}
Provides: tex(tc-dvips.def) = %{tl_version}
Provides: tex(tc-pdftex.def) = %{tl_version}
Provides: tex(tc-pgf.def) = %{tl_version}
Provides: tex(tc-xetex.def) = %{tl_version}
Provides: tex(trimclip.sty) = %{tl_version}

%description adjustbox
The package provides several macros to adjust boxed content.
One purpose is to supplement the standard graphics package,
which defines the macros \resizebox, \scalebox and \rotatebox ,
with the macros\trimbox and \clipbox. The main feature is the
general \adjustbox macro which extends the "key=value"
interface of \includegraphics from the graphics package and
applies it to general text content. Additional provided box
macros are \lapbox, \marginbox, \minsizebox, \maxsizebox and
\phantombox. All macros use the collectbox package to read the
content as a box and not as a macro argument. This allows for
all forms of content including special material like verbatim
content. A special feature of collectbox is used to provide
matching environments with the identical names as the macros.

%package adjustbox-doc
Summary: Documentation for adjustbox
Version: svn26555.1.0
Provides: tex-adjustbox-doc
AutoReqProv: No

%description adjustbox-doc
Documentation for adjustbox

%package adobemapping
Provides: tex-adobemapping = %{tl_version}
License: BSD
Summary: Adobe cmap and pdfmapping files
Version: svn45645
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description adobemapping
The package comprises the collection of CMap and PDF mapping
files now made available for distribution by Adobe systems
incorporated.

%package adrconv
Provides: tex-adrconv = %{tl_version}
License: LPPL
Summary: BibTeX styles to implement an address database
Version: svn17683.1.3
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(adrdir.cfg) = %{tl_version}
Provides: tex(adrplaner.cfg) = %{tl_version}
Provides: tex(adrsmall.cfg) = %{tl_version}

%description adrconv
The bundle provides a collection of BibTeX style files to turn
an address database stored in the .bib format into files
suitable for printing as address books or included into letter
classes like akletter or scrletter2. The data may be sorted
either by name or birthday and output provides files in various
formats for address books or time planners.

%package adrconv-doc
Summary: Documentation for adrconv
Version: svn17683.1.3
Provides: tex-adrconv-doc
AutoReqProv: No

%description adrconv-doc
Documentation for adrconv

%package advdate
Provides: tex-advdate = %{tl_version}
License: LPPL 1.3
Summary: Print a date relative to "today"
Version: svn20538.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(advdate.sty) = %{tl_version}

%description advdate
Provides macros which can add a specified number of days to the
current date (as specified in \today), to save, set and restore
the 'current date' and to print it. Intended use is, for
example, in invoices "payable within 14 days from today", etc.
The package has only been tested with Czech dates.

%package advdate-doc
Summary: Documentation for advdate
Version: svn20538.0
Provides: tex-advdate-doc
AutoReqProv: No

%description advdate-doc
Documentation for advdate

%package aecc
Provides: tex-aecc = %{tl_version}
License: LPPL
Summary: Almost European Concrete Roman virtual fonts
Version: svn28574.1.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontenc.sty)
Provides: tex(aeccr10.tfm) = %{tl_version}
Provides: tex(aeccr5.tfm) = %{tl_version}
Provides: tex(aeccr6.tfm) = %{tl_version}
Provides: tex(aeccr7.tfm) = %{tl_version}
Provides: tex(aeccr8.tfm) = %{tl_version}
Provides: tex(aeccr9.tfm) = %{tl_version}
Provides: tex(aeccsc10.tfm) = %{tl_version}
Provides: tex(aeccsl10.tfm) = %{tl_version}
Provides: tex(aeccsl9.tfm) = %{tl_version}
Provides: tex(aeccti10.tfm) = %{tl_version}
Provides: tex(aeccr10.vf) = %{tl_version}
Provides: tex(aeccr5.vf) = %{tl_version}
Provides: tex(aeccr6.vf) = %{tl_version}
Provides: tex(aeccr7.vf) = %{tl_version}
Provides: tex(aeccr8.vf) = %{tl_version}
Provides: tex(aeccr9.vf) = %{tl_version}
Provides: tex(aeccsc10.vf) = %{tl_version}
Provides: tex(aeccsl10.vf) = %{tl_version}
Provides: tex(aeccsl9.vf) = %{tl_version}
Provides: tex(aeccti10.vf) = %{tl_version}
Provides: tex(aecc.sty) = %{tl_version}
Provides: tex(t1aeccr.fd) = %{tl_version}

%description aecc
The package provides a set of virtual fonts (built from the
standard Concrete fonts) providing a set of fonts that almost
cover the T1 encoding. The main characters missing, of those
specified in the T1 specification are eth, thorn, and the Sami
letter eng. Sometimes the PS (pound sterling) character is also
missing. For the typewriter fonts, the situation is worse.

%package aecc-doc
Summary: Documentation for aecc
Version: svn28574.1.0
Provides: tex-aecc-doc
AutoReqProv: No

%description aecc-doc
Documentation for aecc

%package aeguill
Provides: tex-aeguill = %{tl_version}
License: LPPL
Summary: Add several kinds of guillemets to the ae fonts
Version: svn15878.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ae.sty)
Requires: tex(latexsym.sty)
Requires: tex(fontenc.sty)
Provides: tex(aeguill.sty) = %{tl_version}

%description aeguill
The package enables the user to add guillemets from several
source (Polish cmr, Cyrillic cmr, lasy and ec) to the ae fonts.
This was useful when the ae fonts were used to produce PDF
files, since the additional guillemets exist in fonts available
in Adobe Type 1 format.

%package aeguill-doc
Summary: Documentation for aeguill
Version: svn15878.0
Provides: tex-aeguill-doc
AutoReqProv: No

%description aeguill-doc
Documentation for aeguill

%package ae
Provides: tex-ae = %{tl_version}
License: LPPL
Summary: Virtual fonts for T1 encoded CMR-fonts
Version: svn15878.1.4
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontenc.sty)
Provides: tex(aeb10.tfm) = %{tl_version}
Provides: tex(aebx10.tfm) = %{tl_version}
Provides: tex(aebx12.tfm) = %{tl_version}
Provides: tex(aebx5.tfm) = %{tl_version}
Provides: tex(aebx6.tfm) = %{tl_version}
Provides: tex(aebx7.tfm) = %{tl_version}
Provides: tex(aebx8.tfm) = %{tl_version}
Provides: tex(aebx9.tfm) = %{tl_version}
Provides: tex(aebxsl10.tfm) = %{tl_version}
Provides: tex(aebxti10.tfm) = %{tl_version}
Provides: tex(aecsc10.tfm) = %{tl_version}
Provides: tex(aeitt10.tfm) = %{tl_version}
Provides: tex(aer10.tfm) = %{tl_version}
Provides: tex(aer12.tfm) = %{tl_version}
Provides: tex(aer17.tfm) = %{tl_version}
Provides: tex(aer5.tfm) = %{tl_version}
Provides: tex(aer6.tfm) = %{tl_version}
Provides: tex(aer7.tfm) = %{tl_version}
Provides: tex(aer8.tfm) = %{tl_version}
Provides: tex(aer9.tfm) = %{tl_version}
Provides: tex(aesl10.tfm) = %{tl_version}
Provides: tex(aesl12.tfm) = %{tl_version}
Provides: tex(aesl8.tfm) = %{tl_version}
Provides: tex(aesl9.tfm) = %{tl_version}
Provides: tex(aesltt10.tfm) = %{tl_version}
Provides: tex(aess10.tfm) = %{tl_version}
Provides: tex(aess12.tfm) = %{tl_version}
Provides: tex(aess17.tfm) = %{tl_version}
Provides: tex(aess8.tfm) = %{tl_version}
Provides: tex(aess9.tfm) = %{tl_version}
Provides: tex(aessbx10.tfm) = %{tl_version}
Provides: tex(aessdc10.tfm) = %{tl_version}
Provides: tex(aessi10.tfm) = %{tl_version}
Provides: tex(aessi12.tfm) = %{tl_version}
Provides: tex(aessi17.tfm) = %{tl_version}
Provides: tex(aessi8.tfm) = %{tl_version}
Provides: tex(aessi9.tfm) = %{tl_version}
Provides: tex(aetcsc10.tfm) = %{tl_version}
Provides: tex(aeti10.tfm) = %{tl_version}
Provides: tex(aeti12.tfm) = %{tl_version}
Provides: tex(aeti7.tfm) = %{tl_version}
Provides: tex(aeti8.tfm) = %{tl_version}
Provides: tex(aeti9.tfm) = %{tl_version}
Provides: tex(aett10.tfm) = %{tl_version}
Provides: tex(aett12.tfm) = %{tl_version}
Provides: tex(aett8.tfm) = %{tl_version}
Provides: tex(aett9.tfm) = %{tl_version}
Provides: tex(laess8.tfm) = %{tl_version}
Provides: tex(laessb8.tfm) = %{tl_version}
Provides: tex(laessi8.tfm) = %{tl_version}
Provides: tex(aeb10.vf) = %{tl_version}
Provides: tex(aebx10.vf) = %{tl_version}
Provides: tex(aebx12.vf) = %{tl_version}
Provides: tex(aebx5.vf) = %{tl_version}
Provides: tex(aebx6.vf) = %{tl_version}
Provides: tex(aebx7.vf) = %{tl_version}
Provides: tex(aebx8.vf) = %{tl_version}
Provides: tex(aebx9.vf) = %{tl_version}
Provides: tex(aebxsl10.vf) = %{tl_version}
Provides: tex(aebxti10.vf) = %{tl_version}
Provides: tex(aecsc10.vf) = %{tl_version}
Provides: tex(aeitt10.vf) = %{tl_version}
Provides: tex(aer10.vf) = %{tl_version}
Provides: tex(aer12.vf) = %{tl_version}
Provides: tex(aer17.vf) = %{tl_version}
Provides: tex(aer5.vf) = %{tl_version}
Provides: tex(aer6.vf) = %{tl_version}
Provides: tex(aer7.vf) = %{tl_version}
Provides: tex(aer8.vf) = %{tl_version}
Provides: tex(aer9.vf) = %{tl_version}
Provides: tex(aesl10.vf) = %{tl_version}
Provides: tex(aesl12.vf) = %{tl_version}
Provides: tex(aesl8.vf) = %{tl_version}
Provides: tex(aesl9.vf) = %{tl_version}
Provides: tex(aesltt10.vf) = %{tl_version}
Provides: tex(aess10.vf) = %{tl_version}
Provides: tex(aess12.vf) = %{tl_version}
Provides: tex(aess17.vf) = %{tl_version}
Provides: tex(aess8.vf) = %{tl_version}
Provides: tex(aess9.vf) = %{tl_version}
Provides: tex(aessbx10.vf) = %{tl_version}
Provides: tex(aessdc10.vf) = %{tl_version}
Provides: tex(aessi10.vf) = %{tl_version}
Provides: tex(aessi12.vf) = %{tl_version}
Provides: tex(aessi17.vf) = %{tl_version}
Provides: tex(aessi8.vf) = %{tl_version}
Provides: tex(aessi9.vf) = %{tl_version}
Provides: tex(aetcsc10.vf) = %{tl_version}
Provides: tex(aeti10.vf) = %{tl_version}
Provides: tex(aeti12.vf) = %{tl_version}
Provides: tex(aeti7.vf) = %{tl_version}
Provides: tex(aeti8.vf) = %{tl_version}
Provides: tex(aeti9.vf) = %{tl_version}
Provides: tex(aett10.vf) = %{tl_version}
Provides: tex(aett12.vf) = %{tl_version}
Provides: tex(aett8.vf) = %{tl_version}
Provides: tex(aett9.vf) = %{tl_version}
Provides: tex(laess8.vf) = %{tl_version}
Provides: tex(laessb8.vf) = %{tl_version}
Provides: tex(laessi8.vf) = %{tl_version}
Provides: tex(ae.sty) = %{tl_version}
Provides: tex(aecompl.sty) = %{tl_version}
Provides: tex(omlaer.fd) = %{tl_version}
Provides: tex(omsaer.fd) = %{tl_version}
Provides: tex(ot1aer.fd) = %{tl_version}
Provides: tex(ot1aess.fd) = %{tl_version}
Provides: tex(ot1aett.fd) = %{tl_version}
Provides: tex(ot1laess.fd) = %{tl_version}
Provides: tex(ot1laett.fd) = %{tl_version}
Provides: tex(t1aer.fd) = %{tl_version}
Provides: tex(t1aess.fd) = %{tl_version}
Provides: tex(t1aett.fd) = %{tl_version}
Provides: tex(t1laess.fd) = %{tl_version}
Provides: tex(t1laett.fd) = %{tl_version}

%description ae
A set of virtual fonts which emulates T1 coded fonts using the
standard CM fonts. The package name, AE fonts, supposedly
stands for "Almost European". The main use of the package was
to produce PDF files using Adobe Type 1 versions of the CM
fonts instead of bitmapped EC fonts. Note that direct
substitutes for the bitmapped EC fonts are now available, via
the CM-super, Latin Modern and (in a restricted way) CM-LGC
font sets.

%package ae-doc
Summary: Documentation for ae
Version: svn15878.1.4
Provides: tex-ae-doc
AutoReqProv: No

%description ae-doc
Documentation for ae

%package afparticle
Provides: tex-afparticle = %{tl_version}
License: LPPL 1.3
Summary: Typesetting articles for Archives of Forensic Psychology
Version: svn35900.1.3
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(lastpage.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(caption.sty)
Requires: tex(booktabs.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Requires: tex(apacite.sty)
Provides: tex(afparticle.cls) = %{tl_version}

%description afparticle
This package provides a class for typesetting articles for the
open access journal Archives of Forensic Psychology.

%package afparticle-doc
Summary: Documentation for afparticle
Version: svn35900.1.3
Provides: tex-afparticle-doc
AutoReqProv: No

%description afparticle-doc
Documentation for afparticle

%package afthesis
Provides: tex-afthesis = %{tl_version}
License: Public Domain
Summary: Air Force Institute of Technology thesis class
Version: svn15878.2.7
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(caption2.sty)
Requires: tex(ulem.sty)
Provides: tex(afthes10.sty) = %{tl_version}
Provides: tex(afthes11.sty) = %{tl_version}
Provides: tex(afthes12.sty) = %{tl_version}
Provides: tex(afthesis.cls) = %{tl_version}
Provides: tex(afthesis.sty) = %{tl_version}

%description afthesis
LaTeX thesis/dissertation class for US Air Force Institute Of
Technology.

%package afthesis-doc
Summary: Documentation for afthesis
Version: svn15878.2.7
Provides: tex-afthesis-doc
AutoReqProv: No

%description afthesis-doc
Documentation for afthesis

%package aguplus
Provides: tex-aguplus = %{tl_version}
License: LPPL
Summary: Styles for American Geophysical Union
Version: svn17156.1.6b
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(aguplus.cls) = %{tl_version}
Provides: tex(aguplus.sty) = %{tl_version}
Provides: tex(agupp.sty) = %{tl_version}

%description aguplus
This bundle started as an extension to the AGU's own published
styles, providing extra facilities and improved usability. The
AGU now publishes satisfactory LaTeX materials of its own; the
author of aguplus recommends that users switch to using the
official distribution.

%package aguplus-doc
Summary: Documentation for aguplus
Version: svn17156.1.6b
Provides: tex-aguplus-doc
AutoReqProv: No

%description aguplus-doc
Documentation for aguplus

%package aiaa
Provides: tex-aiaa = %{tl_version}
License: LPPL
Summary: Typeset AIAA conference papers
Version: svn15878.3.6
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(array.sty)
Requires: tex(overcite.sty)
Requires: tex(lastpage.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(setspace.sty)
Requires: tex(ifthen.sty)
Provides: tex(aiaa-tc.cls) = %{tl_version}

%description aiaa
A bundle of LaTeX/BibTeX files and sample documents to aid
those producing papers and journal articles according to the
guidelines of the American Institute of Aeronautics and
Astronautics (AIAA).

%package aiaa-doc
Summary: Documentation for aiaa
Version: svn15878.3.6
Provides: tex-aiaa-doc
AutoReqProv: No

%description aiaa-doc
Documentation for aiaa

%package aichej
Provides: tex-aichej = %{tl_version}
License: LPPL
Summary: Bibliography style file for the AIChE Journal
Version: svn15878.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description aichej
The style was generated using custom-bib, and implements the
style of the American Institute of Chemical Engineers Journal
(or AIChE Journal or AIChE J or AIChEJ).

%package ajl
Provides: tex-ajl = %{tl_version}
License: LPPL
Summary: BibTeX style for AJL
Version: svn34016.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description ajl
Bibliographic style references in style of Australian Journal
of Linguistics.

%package akktex
Provides: tex-akktex = %{tl_version}
License: LPPL
Summary: A collection of packages and classes
Version: svn26055.0.3.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(latexsym.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(xspace.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(amstext.sty)
Requires: tex(akkmathset.sty)
Requires: tex(akkmathrel.sty)
Requires: tex(akkmathfun.sty)
Requires: tex(akkmathdisc.sty)
Requires: tex(array.sty)
Requires: tex(theorem.sty)
Requires: tex(lscape.sty)
Requires: tex(longtable.sty)
Requires: tex(float.sty)
Requires: tex(enumerate.sty)
Requires: tex(verbatim.sty)
Requires: tex(calc.sty)
Provides: tex(akkconditional.sty) = %{tl_version}
Provides: tex(akkcounterlabelpattern.sty) = %{tl_version}
Provides: tex(akkcs.sty) = %{tl_version}
Provides: tex(akkdoc.sty) = %{tl_version}
Provides: tex(akkgerman.sty) = %{tl_version}
Provides: tex(akkgermanabbreviations.sty) = %{tl_version}
Provides: tex(akklecture.cls) = %{tl_version}
Provides: tex(akklongpage.sty) = %{tl_version}
Provides: tex(akkmath.sty) = %{tl_version}
Provides: tex(akkmathbasic.sty) = %{tl_version}
Provides: tex(akkmathdisc.sty) = %{tl_version}
Provides: tex(akkmathfun.sty) = %{tl_version}
Provides: tex(akkmathnum.sty) = %{tl_version}
Provides: tex(akkmathpaper.sty) = %{tl_version}
Provides: tex(akkmathproof.sty) = %{tl_version}
Provides: tex(akkmathrel.sty) = %{tl_version}
Provides: tex(akkmathset.sty) = %{tl_version}
Provides: tex(akkmathtext.sty) = %{tl_version}
Provides: tex(akknum.sty) = %{tl_version}
Provides: tex(akkparskip.sty) = %{tl_version}
Provides: tex(akkscript.cls) = %{tl_version}
Provides: tex(akksection.sty) = %{tl_version}
Provides: tex(akkstring.sty) = %{tl_version}
Provides: tex(akktecdoc.cls) = %{tl_version}
Provides: tex(akktex.sty) = %{tl_version}
Provides: tex(akkwidepage.sty) = %{tl_version}

%description akktex
The bundle provides: new document classes for technical
documents, thesis works, manuscripts and lecture notes; many
mathematical packages providing a large number of macros for
mathematical texts; layout providing a non-empty parskip with
extended length corrections and new section definition
commands; easy label creation for counters; and german language
tools and predefined abbreviations.

%package akktex-doc
Summary: Documentation for akktex
Version: svn26055.0.3.2

Provides: tex-akktex-doc
AutoReqProv: No

%description akktex-doc
Documentation for akktex

%package akletter
Provides: tex-akletter = %{tl_version}
License: LPPL
Summary: Comprehensive letter support
Version: svn15878.1.5i

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(akfax.cfg) = %{tl_version}
Provides: tex(akletter.cfg) = %{tl_version}
Provides: tex(akletter.cls) = %{tl_version}
Provides: tex(myletter.cls) = %{tl_version}

%description akletter
An advanced letter document class which extends LaTeX's usual
letter class, providing support for building your own
letterhead and marking fold points for window envelopes.
Options supported by the package include: letterpaper for US
letter; a4offset for a modified A4 layout suitable for platic
binders that cover a part of the left margin. The class's
handling of dates has inspired an extended version of date-
handling in the isodate package. The class supersedes an
earlier class called myletter.

%package akletter-doc
Summary: Documentation for akletter
Version: svn15878.1.5i

Provides: tex-akletter-doc
AutoReqProv: No

%description akletter-doc
Documentation for akletter

%package alegreya
Provides: tex-alegreya = %{tl_version}
License: OFL
Summary: Alegreya fonts with LaTeX support
Version: svn42077
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(algr_2thg7t.enc) = %{tl_version}
Provides: tex(algr_6gze5d.enc) = %{tl_version}
Provides: tex(algr_72lo2s.enc) = %{tl_version}
Provides: tex(algr_74q4jo.enc) = %{tl_version}
Provides: tex(algr_7levdp.enc) = %{tl_version}
Provides: tex(algr_7nunim.enc) = %{tl_version}
Provides: tex(algr_7p2ivs.enc) = %{tl_version}
Provides: tex(algr_atppps.enc) = %{tl_version}
Provides: tex(algr_b55zld.enc) = %{tl_version}
Provides: tex(algr_bft2rj.enc) = %{tl_version}
Provides: tex(algr_hghq3b.enc) = %{tl_version}
Provides: tex(algr_k3afeh.enc) = %{tl_version}
Provides: tex(algr_kf7dx2.enc) = %{tl_version}
Provides: tex(algr_lm7t5h.enc) = %{tl_version}
Provides: tex(algr_mcmfge.enc) = %{tl_version}
Provides: tex(algr_n534zq.enc) = %{tl_version}
Provides: tex(algr_nlrspr.enc) = %{tl_version}
Provides: tex(algr_prieif.enc) = %{tl_version}
Provides: tex(algr_qj6qbd.enc) = %{tl_version}
Provides: tex(algr_ry4sz3.enc) = %{tl_version}
Provides: tex(algr_sd6sdy.enc) = %{tl_version}
Provides: tex(algr_sutw7e.enc) = %{tl_version}
Provides: tex(algr_tlfd2e.enc) = %{tl_version}
Provides: tex(algr_u55vgl.enc) = %{tl_version}
Provides: tex(algr_w6adhq.enc) = %{tl_version}
Provides: tex(algr_w7rh4a.enc) = %{tl_version}
Provides: tex(algr_wtbjoa.enc) = %{tl_version}
Provides: tex(algr_x6hfhz.enc) = %{tl_version}
Provides: tex(algr_y5vbsk.enc) = %{tl_version}
Provides: tex(algrs_23dk3b.enc) = %{tl_version}
Provides: tex(algrs_2f3oru.enc) = %{tl_version}
Provides: tex(algrs_4zyalv.enc) = %{tl_version}
Provides: tex(algrs_6tng7i.enc) = %{tl_version}
Provides: tex(algrs_777naj.enc) = %{tl_version}
Provides: tex(algrs_df6qxs.enc) = %{tl_version}
Provides: tex(algrs_eeys5m.enc) = %{tl_version}
Provides: tex(algrs_eoa4mh.enc) = %{tl_version}
Provides: tex(algrs_fakese.enc) = %{tl_version}
Provides: tex(algrs_ffgp2h.enc) = %{tl_version}
Provides: tex(algrs_g333yf.enc) = %{tl_version}
Provides: tex(algrs_i3slmw.enc) = %{tl_version}
Provides: tex(algrs_jcxsi2.enc) = %{tl_version}
Provides: tex(algrs_lfuhub.enc) = %{tl_version}
Provides: tex(algrs_lwpqvr.enc) = %{tl_version}
Provides: tex(algrs_mcmfge.enc) = %{tl_version}
Provides: tex(algrs_n6pera.enc) = %{tl_version}
Provides: tex(algrs_rus6f4.enc) = %{tl_version}
Provides: tex(algrs_tcirz5.enc) = %{tl_version}
Provides: tex(algrs_tlfd2e.enc) = %{tl_version}
Provides: tex(algrs_ucdyzh.enc) = %{tl_version}
Provides: tex(algrs_upluqc.enc) = %{tl_version}
Provides: tex(algrs_xdzbhe.enc) = %{tl_version}
Provides: tex(algrs_xiqcjc.enc) = %{tl_version}
Provides: tex(Alegreya.map) = %{tl_version}
Provides: tex(Alegreya-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Alegreya-Black.ttf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic.ttf) = %{tl_version}
Provides: tex(Alegreya-Bold.ttf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic.ttf) = %{tl_version}
Provides: tex(Alegreya-Italic.ttf) = %{tl_version}
Provides: tex(Alegreya-Regular.ttf) = %{tl_version}
Provides: tex(AlegreyaSC-Black.ttf) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSC-Bold.ttf) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSC-Italic.ttf) = %{tl_version}
Provides: tex(AlegreyaSC-Regular.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-Black.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-Light.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-RegularItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin.ttf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-RegularItalic.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin.ttf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic.ttf) = %{tl_version}
Provides: tex(Alegreya-Black.pfb) = %{tl_version}
Provides: tex(Alegreya-BlackItalic.pfb) = %{tl_version}
Provides: tex(Alegreya-Bold.pfb) = %{tl_version}
Provides: tex(Alegreya-BoldItalic.pfb) = %{tl_version}
Provides: tex(Alegreya-Italic.pfb) = %{tl_version}
Provides: tex(Alegreya-Regular.pfb) = %{tl_version}
Provides: tex(AlegreyaSC-Black.pfb) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSC-Bold.pfb) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSC-Italic.pfb) = %{tl_version}
Provides: tex(AlegreyaSC-Regular.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-Black.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-Bold.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-Italic.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-Light.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-Medium.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-Regular.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-Thin.pfb) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin.pfb) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic.pfb) = %{tl_version}
Provides: tex(Alegreya-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-inf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-lf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-osf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-sup-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BlackItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(Alegreya-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSC-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BlackItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ExtraBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-Thin-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSans-ThinItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BlackItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ExtraBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-Thin-tosf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-inf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-sup-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(AlegreyaSansSC-ThinItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Alegreya.sty) = %{tl_version}
Provides: tex(AlegreyaSans.sty) = %{tl_version}
Provides: tex(LY1Alegreya-Inf.fd) = %{tl_version}
Provides: tex(LY1Alegreya-LF.fd) = %{tl_version}
Provides: tex(LY1Alegreya-OsF.fd) = %{tl_version}
Provides: tex(LY1Alegreya-Sup.fd) = %{tl_version}
Provides: tex(LY1Alegreya-TLF.fd) = %{tl_version}
Provides: tex(LY1Alegreya-TOsF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSC-TLF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSans-Inf.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSans-LF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSans-OsF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSans-Sup.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSans-TLF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSans-TOsF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSansSC-Inf.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSansSC-LF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSansSC-OsF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSansSC-Sup.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSansSC-TLF.fd) = %{tl_version}
Provides: tex(LY1AlegreyaSansSC-TOsF.fd) = %{tl_version}
Provides: tex(OT1Alegreya-Inf.fd) = %{tl_version}
Provides: tex(OT1Alegreya-LF.fd) = %{tl_version}
Provides: tex(OT1Alegreya-OsF.fd) = %{tl_version}
Provides: tex(OT1Alegreya-Sup.fd) = %{tl_version}
Provides: tex(OT1Alegreya-TLF.fd) = %{tl_version}
Provides: tex(OT1Alegreya-TOsF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSC-TLF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSans-Inf.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSans-LF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSans-OsF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSans-Sup.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSans-TLF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSans-TOsF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSansSC-Inf.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSansSC-LF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSansSC-OsF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSansSC-Sup.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSansSC-TLF.fd) = %{tl_version}
Provides: tex(OT1AlegreyaSansSC-TOsF.fd) = %{tl_version}
Provides: tex(T1Alegreya-Inf.fd) = %{tl_version}
Provides: tex(T1Alegreya-LF.fd) = %{tl_version}
Provides: tex(T1Alegreya-OsF.fd) = %{tl_version}
Provides: tex(T1Alegreya-Sup.fd) = %{tl_version}
Provides: tex(T1Alegreya-TLF.fd) = %{tl_version}
Provides: tex(T1Alegreya-TOsF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSC-TLF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSans-Inf.fd) = %{tl_version}
Provides: tex(T1AlegreyaSans-LF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSans-OsF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSans-Sup.fd) = %{tl_version}
Provides: tex(T1AlegreyaSans-TLF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSans-TOsF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSansSC-Inf.fd) = %{tl_version}
Provides: tex(T1AlegreyaSansSC-LF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSansSC-OsF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSansSC-Sup.fd) = %{tl_version}
Provides: tex(T1AlegreyaSansSC-TLF.fd) = %{tl_version}
Provides: tex(T1AlegreyaSansSC-TOsF.fd) = %{tl_version}
Provides: tex(TS1Alegreya-LF.fd) = %{tl_version}
Provides: tex(TS1Alegreya-OsF.fd) = %{tl_version}
Provides: tex(TS1Alegreya-TLF.fd) = %{tl_version}
Provides: tex(TS1Alegreya-TOsF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSC-TLF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSans-LF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSans-OsF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSans-TLF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSans-TOsF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSansSC-LF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSansSC-OsF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSansSC-TLF.fd) = %{tl_version}
Provides: tex(TS1AlegreyaSansSC-TOsF.fd) = %{tl_version}

%description alegreya
The Alegreya fonts are designed by Juan Pablo del Peral for
Huerta Tipografica. Alegreya is a typeface originally intended
for literature. It conveys a dynamic and varied rhythm which
facilitates the reading of long texts. The italic has just as
much care and attention to detail in the design as the roman.
Bold, black, small caps and five number styles are available.

%package alegreya-doc
Summary: Documentation for alegreya
Version: svn38689

Provides: tex-alegreya-doc
AutoReqProv: No

%description alegreya-doc
Documentation for alegreya

%package latexconfig
Provides: tex-latexconfig = %{tl_version}
License: LPPL
Summary: latexconfig package
Version: svn40274

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(epstopdf-sys.cfg) = %{tl_version}
Provides: tex(graphics.cfg) = %{tl_version}
Provides: tex(hyperref.cfg) = %{tl_version}
Provides: tex(lualatex-patch-kernel.tex) = %{tl_version}
Provides: tex(lualatex-reset-codes.tex) = %{tl_version}
Provides: tex(lualatexiniconfig.tex) = %{tl_version}
Provides: tex(lualatexquotejobname.tex) = %{tl_version}

%description latexconfig
latexconfig package

%package latex-fonts
Provides: tex-latex-fonts = %{tl_version}
License: LPPL
Summary: A collection of fonts used in LaTeX distributions
Version: svn28888.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(icmcsc10.tfm) = %{tl_version}
Provides: tex(icmex10.tfm) = %{tl_version}
Provides: tex(icmmi8.tfm) = %{tl_version}
Provides: tex(icmsy8.tfm) = %{tl_version}
Provides: tex(icmtt8.tfm) = %{tl_version}
Provides: tex(ilasy8.tfm) = %{tl_version}
Provides: tex(ilcmss8.tfm) = %{tl_version}
Provides: tex(ilcmssb8.tfm) = %{tl_version}
Provides: tex(ilcmssi8.tfm) = %{tl_version}
Provides: tex(lasy10.tfm) = %{tl_version}
Provides: tex(lasy5.tfm) = %{tl_version}
Provides: tex(lasy6.tfm) = %{tl_version}
Provides: tex(lasy7.tfm) = %{tl_version}
Provides: tex(lasy8.tfm) = %{tl_version}
Provides: tex(lasy9.tfm) = %{tl_version}
Provides: tex(lasyb10.tfm) = %{tl_version}
Provides: tex(lcircle10.tfm) = %{tl_version}
Provides: tex(lcirclew10.tfm) = %{tl_version}
Provides: tex(lcmss8.tfm) = %{tl_version}
Provides: tex(lcmssb8.tfm) = %{tl_version}
Provides: tex(lcmssi8.tfm) = %{tl_version}
Provides: tex(line10.tfm) = %{tl_version}
Provides: tex(linew10.tfm) = %{tl_version}

%description latex-fonts
This is a collection of fonts for use with standard LaTeX
packages and classes. It includes 'invisible' fonts (for use
with the slides class), line and circle fonts (for use in the
picture environment) and 'LaTeX symbol' fonts. For full support
of a LaTeX installation, some Computer Modern font variants
cmbsy(6-9), cmcsc(8,9), cmex(7-9) and cmmib(5-9) from the
amsfonts distribution, are also necessary. The fonts are
available as Metafont source, and metric (tfm) files are also
provided. Most of the fonts are also available in Adobe Type 1
format, in the amsfonts distribution.

%package latex-fonts-doc
Summary: Documentation for latex-fonts
Version: svn28888.0

Provides: tex-latex-fonts-doc
AutoReqProv: No

%description latex-fonts-doc
Documentation for latex-fonts

%package plain
Provides: tex-plain = %{tl_version}
License: Knuth
Summary: The Plain TeX format
Version: svn43076
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(fontchart.tex) = %{tl_version}
Provides: tex(gkpmac.tex) = %{tl_version}
Provides: tex(letter.tex) = %{tl_version}
Provides: tex(list.tex) = %{tl_version}
Provides: tex(llist.tex) = %{tl_version}
Provides: tex(mptmac.tex) = %{tl_version}
Provides: tex(picmac.tex) = %{tl_version}
Provides: tex(plain.tex) = %{tl_version}
Provides: tex(wlist.tex) = %{tl_version}
Provides: tex(pdftexmagfix.tex) = %{tl_version}
Provides: tex(unicode-letters.def) = %{tl_version}

%description plain
Contains files used to build the Plain TeX format, as described
in the TeXbook, together with various supporting files (some
also discussed in the book).

%package lambda
Provides: tex-lambda = %{tl_version}
License: LPPL
Summary: lambda package
Version: svn28669.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(grlccode.tex)
Provides: tex(UT1cmr.fd) = %{tl_version}
Provides: tex(UT1omlgc.fd) = %{tl_version}
Provides: tex(elhyph16.tex) = %{tl_version}
Provides: tex(grcodes.tex) = %{tl_version}
Provides: tex(grmhyph.tex) = %{tl_version}
Provides: tex(lambda.tex) = %{tl_version}
Provides: tex(lchcmr.fd) = %{tl_version}
Provides: tex(lchenc.def) = %{tl_version}
Provides: tex(ocherokee.sty) = %{tl_version}
Provides: tex(odev.sty) = %{tl_version}
Provides: tex(ojapan.sty) = %{tl_version}
Provides: tex(omarab.cfg) = %{tl_version}
Provides: tex(omega.sty) = %{tl_version}
Provides: tex(omlgc.cfg) = %{tl_version}
Provides: tex(ot1omarb.fd) = %{tl_version}
Provides: tex(ot1omlgc.fd) = %{tl_version}
Provides: tex(ot1uctt.fd) = %{tl_version}
Provides: tex(ut1enc.def) = %{tl_version}
Provides: tex(language.dat) = %{tl_version}

%description lambda
lambda package

%package alertmessage
Provides: tex-alertmessage = %{tl_version}
License: LPPL 1.3
Summary: Alert messages for LaTeX
Version: svn38055.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(picture.sty)
Requires: tex(xcolor.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(graphicx.sty)
Requires: tex(tikz.sty)
Provides: tex(alertmessage.sty) = %{tl_version}

%description alertmessage
Some macros to display alert messages (informations, errors,
warnings and success messages).

%package alertmessage-doc
Summary: Documentation for alertmessage
Version: svn38055.1.1

Provides: tex-alertmessage-doc
AutoReqProv: No

%description alertmessage-doc
Documentation for alertmessage

%package algorithm2e
Provides: tex-algorithm2e = %{tl_version}
License: LPPL
Summary: Floating algorithm environment with algorithmic keywords
Version: svn44846
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(xspace.sty)
Requires: tex(endfloat.sty)
Requires: tex(relsize.sty)
Requires: tex(color.sty)
Requires: tex(tocbibind.sty)
Provides: tex(algorithm2e.sty) = %{tl_version}

%description algorithm2e
Algorithm2e is an environment for writing algorithms. An
algorithm becomes a floating object (like figure, table, etc.).
The package provides macros that allow you to create different
keywords, and a set of predefined key words is provided; you
can change the typography of the keywords. The package allows
vertical lines delimiting a block of instructions in an
algorithm, and defines different sorts of algorithms such as
Procedure or Function; the name of these functions may be
reused in the text or in other algorithms.

%package algorithm2e-doc
Summary: Documentation for algorithm2e
Version: svn44846
Provides: tex-algorithm2e-doc
AutoReqProv: No

%description algorithm2e-doc
Documentation for algorithm2e

%package algorithmicx
Provides: tex-algorithmicx = %{tl_version}
License: LPPL
Summary: The algorithmic style you always wanted
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(algc.sty) = %{tl_version}
Provides: tex(algcompatible.sty) = %{tl_version}
Provides: tex(algmatlab.sty) = %{tl_version}
Provides: tex(algorithmicx.sty) = %{tl_version}
Provides: tex(algpascal.sty) = %{tl_version}
Provides: tex(algpseudocode.sty) = %{tl_version}

%description algorithmicx
Algorithmicx provides a flexible, yet easy to use, way for
inserting good looking pseudocode or source code in your
papers. It has built in support for Pseudocode, Pascal and C,
and offers powerful means to create definitions for any
programming language. The user can adapt a Pseudocode style to
his native language.

%package algorithmicx-doc
Summary: Documentation for algorithmicx
Version: svn15878.0

Provides: tex-algorithmicx-doc
AutoReqProv: No

%description algorithmicx-doc
Documentation for algorithmicx

%package algorithms
Provides: tex-algorithms = %{tl_version}
License: LGPLv2+
Summary: A suite of tools for typesetting algorithms in pseudo-code
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(float.sty)
Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Provides: tex(algorithm.sty) = %{tl_version}
Provides: tex(algorithmic.sty) = %{tl_version}

%description algorithms
Consists of two environments: algorithm and algorithmic. The
algorithm package defines a floating algorithm environment
designed to work with the algorithmic style. Within an
algorithmic environment a number of commands for typesetting
popular algorithmic constructs are available.

%package algorithms-doc
Summary: Documentation for algorithms
Version: svn38085.0.1
Provides: tex-algorithms-doc
AutoReqProv: No

%description algorithms-doc
Documentation for algorithms

%package alg
Provides: tex-alg = %{tl_version}
License: LPPL
Summary: LaTeX environments for typesetting algorithms
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(float.sty)
Requires: tex(ifthen.sty)
Provides: tex(alg.sty) = %{tl_version}

%description alg
Defines two environments for typesetting algorithms in LaTeX2e.
The algtab environment is used to typeset an algorithm with
automatically numbered lines. The algorithm environment can be
used to encapsulate the algtab environment algorithm in a
floating body together with a header, a caption, etc.
\listofalgorithms is defined.

%package alg-doc
Summary: Documentation for alg
Version: svn15878.0

Provides: tex-alg-doc
AutoReqProv: No

%description alg-doc
Documentation for alg

%package allrunes
Provides: tex-allrunes = %{tl_version}
License: LPPL
Summary: Fonts and LaTeX package for almost all runes
Version: svn42221
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(ifthen.sty)
Provides: tex(allrunes.map) = %{tl_version}
Provides: tex(fruabm.pfb) = %{tl_version}
Provides: tex(fruabn.pfb) = %{tl_version}
Provides: tex(fruabq.pfb) = %{tl_version}
Provides: tex(fruabr.pfb) = %{tl_version}
Provides: tex(fruabs.pfb) = %{tl_version}
Provides: tex(fruabt.pfb) = %{tl_version}
Provides: tex(fruacm.pfb) = %{tl_version}
Provides: tex(fruacn.pfb) = %{tl_version}
Provides: tex(fruacq.pfb) = %{tl_version}
Provides: tex(fruacr.pfb) = %{tl_version}
Provides: tex(fruacs.pfb) = %{tl_version}
Provides: tex(fruact.pfb) = %{tl_version}
Provides: tex(fruakm.pfb) = %{tl_version}
Provides: tex(fruakn.pfb) = %{tl_version}
Provides: tex(fruakq.pfb) = %{tl_version}
Provides: tex(fruakr.pfb) = %{tl_version}
Provides: tex(fruaks.pfb) = %{tl_version}
Provides: tex(fruakt.pfb) = %{tl_version}
Provides: tex(frualm.pfb) = %{tl_version}
Provides: tex(frualn.pfb) = %{tl_version}
Provides: tex(frualq.pfb) = %{tl_version}
Provides: tex(frualr.pfb) = %{tl_version}
Provides: tex(fruals.pfb) = %{tl_version}
Provides: tex(frualt.pfb) = %{tl_version}
Provides: tex(fruamm.pfb) = %{tl_version}
Provides: tex(fruamn.pfb) = %{tl_version}
Provides: tex(fruamq.pfb) = %{tl_version}
Provides: tex(fruamr.pfb) = %{tl_version}
Provides: tex(fruams.pfb) = %{tl_version}
Provides: tex(fruamt.pfb) = %{tl_version}
Provides: tex(fruanm.pfb) = %{tl_version}
Provides: tex(fruann.pfb) = %{tl_version}
Provides: tex(fruanq.pfb) = %{tl_version}
Provides: tex(fruanr.pfb) = %{tl_version}
Provides: tex(fruans.pfb) = %{tl_version}
Provides: tex(fruant.pfb) = %{tl_version}
Provides: tex(frucbm.pfb) = %{tl_version}
Provides: tex(frucbn.pfb) = %{tl_version}
Provides: tex(frucbq.pfb) = %{tl_version}
Provides: tex(frucbr.pfb) = %{tl_version}
Provides: tex(frucbs.pfb) = %{tl_version}
Provides: tex(frucbt.pfb) = %{tl_version}
Provides: tex(fruccm.pfb) = %{tl_version}
Provides: tex(fruccn.pfb) = %{tl_version}
Provides: tex(fruccq.pfb) = %{tl_version}
Provides: tex(fruccr.pfb) = %{tl_version}
Provides: tex(fruccs.pfb) = %{tl_version}
Provides: tex(frucct.pfb) = %{tl_version}
Provides: tex(fruckm.pfb) = %{tl_version}
Provides: tex(fruckn.pfb) = %{tl_version}
Provides: tex(fruckq.pfb) = %{tl_version}
Provides: tex(fruckr.pfb) = %{tl_version}
Provides: tex(frucks.pfb) = %{tl_version}
Provides: tex(fruckt.pfb) = %{tl_version}
Provides: tex(fruclm.pfb) = %{tl_version}
Provides: tex(frucln.pfb) = %{tl_version}
Provides: tex(fruclq.pfb) = %{tl_version}
Provides: tex(fruclr.pfb) = %{tl_version}
Provides: tex(frucls.pfb) = %{tl_version}
Provides: tex(fruclt.pfb) = %{tl_version}
Provides: tex(frucmm.pfb) = %{tl_version}
Provides: tex(frucmn.pfb) = %{tl_version}
Provides: tex(frucmq.pfb) = %{tl_version}
Provides: tex(frucmr.pfb) = %{tl_version}
Provides: tex(frucms.pfb) = %{tl_version}
Provides: tex(frucmt.pfb) = %{tl_version}
Provides: tex(frucnm.pfb) = %{tl_version}
Provides: tex(frucnn.pfb) = %{tl_version}
Provides: tex(frucnq.pfb) = %{tl_version}
Provides: tex(frucnr.pfb) = %{tl_version}
Provides: tex(frucns.pfb) = %{tl_version}
Provides: tex(frucnt.pfb) = %{tl_version}
Provides: tex(frulbm.pfb) = %{tl_version}
Provides: tex(frulbn.pfb) = %{tl_version}
Provides: tex(frulbq.pfb) = %{tl_version}
Provides: tex(frulbr.pfb) = %{tl_version}
Provides: tex(frulbs.pfb) = %{tl_version}
Provides: tex(frulbt.pfb) = %{tl_version}
Provides: tex(frulcm.pfb) = %{tl_version}
Provides: tex(frulcn.pfb) = %{tl_version}
Provides: tex(frulcq.pfb) = %{tl_version}
Provides: tex(frulcr.pfb) = %{tl_version}
Provides: tex(frulcs.pfb) = %{tl_version}
Provides: tex(frulct.pfb) = %{tl_version}
Provides: tex(frulkm.pfb) = %{tl_version}
Provides: tex(frulkn.pfb) = %{tl_version}
Provides: tex(frulkq.pfb) = %{tl_version}
Provides: tex(frulkr.pfb) = %{tl_version}
Provides: tex(frulks.pfb) = %{tl_version}
Provides: tex(frulkt.pfb) = %{tl_version}
Provides: tex(frullm.pfb) = %{tl_version}
Provides: tex(frulln.pfb) = %{tl_version}
Provides: tex(frullq.pfb) = %{tl_version}
Provides: tex(frullr.pfb) = %{tl_version}
Provides: tex(frulls.pfb) = %{tl_version}
Provides: tex(frullt.pfb) = %{tl_version}
Provides: tex(frulmm.pfb) = %{tl_version}
Provides: tex(frulmn.pfb) = %{tl_version}
Provides: tex(frulmq.pfb) = %{tl_version}
Provides: tex(frulmr.pfb) = %{tl_version}
Provides: tex(frulms.pfb) = %{tl_version}
Provides: tex(frulmt.pfb) = %{tl_version}
Provides: tex(frulnm.pfb) = %{tl_version}
Provides: tex(frulnn.pfb) = %{tl_version}
Provides: tex(frulnq.pfb) = %{tl_version}
Provides: tex(frulnr.pfb) = %{tl_version}
Provides: tex(frulns.pfb) = %{tl_version}
Provides: tex(frulnt.pfb) = %{tl_version}
Provides: tex(frumbm.pfb) = %{tl_version}
Provides: tex(frumbn.pfb) = %{tl_version}
Provides: tex(frumbq.pfb) = %{tl_version}
Provides: tex(frumbr.pfb) = %{tl_version}
Provides: tex(frumbs.pfb) = %{tl_version}
Provides: tex(frumbt.pfb) = %{tl_version}
Provides: tex(frumcm.pfb) = %{tl_version}
Provides: tex(frumcn.pfb) = %{tl_version}
Provides: tex(frumcq.pfb) = %{tl_version}
Provides: tex(frumcr.pfb) = %{tl_version}
Provides: tex(frumcs.pfb) = %{tl_version}
Provides: tex(frumct.pfb) = %{tl_version}
Provides: tex(frumkm.pfb) = %{tl_version}
Provides: tex(frumkn.pfb) = %{tl_version}
Provides: tex(frumkq.pfb) = %{tl_version}
Provides: tex(frumkr.pfb) = %{tl_version}
Provides: tex(frumks.pfb) = %{tl_version}
Provides: tex(frumkt.pfb) = %{tl_version}
Provides: tex(frumlm.pfb) = %{tl_version}
Provides: tex(frumln.pfb) = %{tl_version}
Provides: tex(frumlq.pfb) = %{tl_version}
Provides: tex(frumlr.pfb) = %{tl_version}
Provides: tex(frumls.pfb) = %{tl_version}
Provides: tex(frumlt.pfb) = %{tl_version}
Provides: tex(frummm.pfb) = %{tl_version}
Provides: tex(frummn.pfb) = %{tl_version}
Provides: tex(frummq.pfb) = %{tl_version}
Provides: tex(frummr.pfb) = %{tl_version}
Provides: tex(frumms.pfb) = %{tl_version}
Provides: tex(frummt.pfb) = %{tl_version}
Provides: tex(frumnm.pfb) = %{tl_version}
Provides: tex(frumnn.pfb) = %{tl_version}
Provides: tex(frumnq.pfb) = %{tl_version}
Provides: tex(frumnr.pfb) = %{tl_version}
Provides: tex(frumns.pfb) = %{tl_version}
Provides: tex(frumnt.pfb) = %{tl_version}
Provides: tex(frunbm.pfb) = %{tl_version}
Provides: tex(frunbn.pfb) = %{tl_version}
Provides: tex(frunbq.pfb) = %{tl_version}
Provides: tex(frunbr.pfb) = %{tl_version}
Provides: tex(frunbs.pfb) = %{tl_version}
Provides: tex(frunbt.pfb) = %{tl_version}
Provides: tex(fruncm.pfb) = %{tl_version}
Provides: tex(fruncn.pfb) = %{tl_version}
Provides: tex(fruncq.pfb) = %{tl_version}
Provides: tex(fruncr.pfb) = %{tl_version}
Provides: tex(fruncs.pfb) = %{tl_version}
Provides: tex(frunct.pfb) = %{tl_version}
Provides: tex(frunkm.pfb) = %{tl_version}
Provides: tex(frunkn.pfb) = %{tl_version}
Provides: tex(frunkq.pfb) = %{tl_version}
Provides: tex(frunkr.pfb) = %{tl_version}
Provides: tex(frunks.pfb) = %{tl_version}
Provides: tex(frunkt.pfb) = %{tl_version}
Provides: tex(frunlm.pfb) = %{tl_version}
Provides: tex(frunln.pfb) = %{tl_version}
Provides: tex(frunlq.pfb) = %{tl_version}
Provides: tex(frunlr.pfb) = %{tl_version}
Provides: tex(frunls.pfb) = %{tl_version}
Provides: tex(frunlt.pfb) = %{tl_version}
Provides: tex(frunmm.pfb) = %{tl_version}
Provides: tex(frunmn.pfb) = %{tl_version}
Provides: tex(frunmq.pfb) = %{tl_version}
Provides: tex(frunmr.pfb) = %{tl_version}
Provides: tex(frunms.pfb) = %{tl_version}
Provides: tex(frunmt.pfb) = %{tl_version}
Provides: tex(frunnm.pfb) = %{tl_version}
Provides: tex(frunnn.pfb) = %{tl_version}
Provides: tex(frunnq.pfb) = %{tl_version}
Provides: tex(frunnr.pfb) = %{tl_version}
Provides: tex(frunns.pfb) = %{tl_version}
Provides: tex(frunnt.pfb) = %{tl_version}
Provides: tex(frutbm.pfb) = %{tl_version}
Provides: tex(frutbn.pfb) = %{tl_version}
Provides: tex(frutbq.pfb) = %{tl_version}
Provides: tex(frutbr.pfb) = %{tl_version}
Provides: tex(frutbs.pfb) = %{tl_version}
Provides: tex(frutbt.pfb) = %{tl_version}
Provides: tex(frutcm.pfb) = %{tl_version}
Provides: tex(frutcn.pfb) = %{tl_version}
Provides: tex(frutcq.pfb) = %{tl_version}
Provides: tex(frutcr.pfb) = %{tl_version}
Provides: tex(frutcs.pfb) = %{tl_version}
Provides: tex(frutct.pfb) = %{tl_version}
Provides: tex(frutkm.pfb) = %{tl_version}
Provides: tex(frutkn.pfb) = %{tl_version}
Provides: tex(frutkq.pfb) = %{tl_version}
Provides: tex(frutkr.pfb) = %{tl_version}
Provides: tex(frutks.pfb) = %{tl_version}
Provides: tex(frutkt.pfb) = %{tl_version}
Provides: tex(frutlm.pfb) = %{tl_version}
Provides: tex(frutln.pfb) = %{tl_version}
Provides: tex(frutlq.pfb) = %{tl_version}
Provides: tex(frutlr.pfb) = %{tl_version}
Provides: tex(frutls.pfb) = %{tl_version}
Provides: tex(frutlt.pfb) = %{tl_version}
Provides: tex(frutmm.pfb) = %{tl_version}
Provides: tex(frutmn.pfb) = %{tl_version}
Provides: tex(frutmq.pfb) = %{tl_version}
Provides: tex(frutmr.pfb) = %{tl_version}
Provides: tex(frutms.pfb) = %{tl_version}
Provides: tex(frutmt.pfb) = %{tl_version}
Provides: tex(frutnm.pfb) = %{tl_version}
Provides: tex(frutnn.pfb) = %{tl_version}
Provides: tex(frutnq.pfb) = %{tl_version}
Provides: tex(frutnr.pfb) = %{tl_version}
Provides: tex(frutns.pfb) = %{tl_version}
Provides: tex(frutnt.pfb) = %{tl_version}
Provides: tex(allrunes.sty) = %{tl_version}
Provides: tex(ara.fd) = %{tl_version}
Provides: tex(arc.fd) = %{tl_version}
Provides: tex(arl.fd) = %{tl_version}
Provides: tex(arm.fd) = %{tl_version}
Provides: tex(arn.fd) = %{tl_version}
Provides: tex(art.fd) = %{tl_version}

%description allrunes
This large collection of fonts (in Adobe Type 1 format), with
the LaTeX package gives access to almost all runes ever used in
Europe. The bundle covers not only the main forms but also a
lot of varieties.

%package allrunes-doc
Summary: Documentation for allrunes
Version: svn42221
Provides: tex-allrunes-doc
AutoReqProv: No

%description allrunes-doc
Documentation for allrunes

%package almfixed
Provides: tex-almfixed = %{tl_version}
License: LPPL
Summary: Arabic-Latin Modern Fixed extends TeX-Gyre Latin Modern Mono 10 Regular to full Arabic Unicode support
Version: svn35065.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(almfixed.otf) = %{tl_version}
Provides: tex(almfixed.ttf) = %{tl_version}

%description almfixed
Arabic-Latin Modern Fixed is an extension of TeX-Gyre Latin
Modern Mono 10 Regular. Every glyph and opentype feature of the
Latin Modern Mono has been retained, with minor improvements.
On the other hand, we have changed the vertical metrics of the
font. Although the Arabic script is designed to use the same x-
size as Latin Modern Mono, the former script needs greater
ascender and descender space. Every Arabic glyph in each
Unicode-code block is supported (up to Unicode 7.0): Arabic,
Arabic Supplement, Arabic Extended, Arabic Presentation-Forms
A, and Arabic Presentation-Forms B. There are two versions of
the font: otf and ttf. The opentype version is for print
applications (and usually the default for TeX). The TrueType
version is for on-screen applications such as text editors.
Hinting in the ttf version is much better for on-screen, at
least on Microsoft Windows. The unique feature of Arabic-Latin
Modern is its treatment of vowels and diacritics. Each vowel
and diacritic (ALM Fixed contains a total of 68 such glyphs)
may now be edited horizontally within any text editor or
processor. The author believes this is the very first opentype
Arabic font ever to have this capability. Editing complex
Arabic texts will now be much easier to input and to proofread.

%package almfixed-doc
Summary: Documentation for almfixed
Version: svn35065.0.92

Provides: tex-almfixed-doc
AutoReqProv: No

%description almfixed-doc
Documentation for almfixed

%package alnumsec
Provides: tex-alnumsec = %{tl_version}
License: LPPL
Summary: Alphanumeric section numbering
Version: svn15878.v0.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(alnumsec.sty) = %{tl_version}

%description alnumsec
This package allows you to use alphanumeric section numbering,
for instance "A. Introduction ... III. International Law". Its
output is similar to alphanum, but you can use the standard
LaTeX sectioning commands, so that it is possible to switch
numbering schemes easily. Greek letters, double letters (bb)
and different delimiters around them are supported.

%package alnumsec-doc
Summary: Documentation for alnumsec
Version: svn15878.v0.03

Provides: tex-alnumsec-doc
AutoReqProv: No

%description alnumsec-doc
Documentation for alnumsec

%package alterqcm
Provides: tex-alterqcm = %{tl_version}
License: LPPL
Summary: Multiple choice questionnaires in two column tables
Version: svn23385.3.7c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(array.sty)
Requires: tex(multirow.sty)
Requires: tex(pifont.sty)
Provides: tex(alterqcm.sty) = %{tl_version}

%description alterqcm
Macros to support the creation of multiple-choice
questionnaires in two-column tables.

%package alterqcm-doc
Summary: Documentation for alterqcm
Version: svn23385.3.7c

Provides: tex-alterqcm-doc
AutoReqProv: No

%description alterqcm-doc
Documentation for alterqcm

%package altfont
Provides: tex-altfont = %{tl_version}
License: GPL+
Summary: Alternative font handling in LaTeX
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Provides: tex(altfont.cfg) = %{tl_version}
Provides: tex(altfont.sty) = %{tl_version}
Provides: tex(psfont.cfg) = %{tl_version}
Provides: tex(psfont.sty) = %{tl_version}

%description altfont
The package provides a replacement for that part of psnfss and
mfnfss that changes the default font. The package is
distributed together with the psfont package, by the same
author.

%package altfont-doc
Summary: Documentation for altfont
Version: svn15878.1.1

Provides: tex-altfont-doc
AutoReqProv: No

%description altfont-doc
Documentation for altfont

%package ametsoc
Provides: tex-ametsoc = %{tl_version}
License: LPPL
Summary: Official American Meteorological Society LaTeX Template
Version: svn36030.4.3.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ametsoc.cls) = %{tl_version}

%description ametsoc
This bundle contains all the files necessary to write an
article using LaTeX for the American Meteorological Society
journals. The article and bibliography style files are provided
(with documentation) and a blank template for authors to use
when writing their article. Also available is a separate style
package used to format a two-column, journal page layout draft
for the author's personal use.

%package ametsoc-doc
Summary: Documentation for ametsoc
Version: svn36030.4.3.2

Provides: tex-ametsoc-doc
AutoReqProv: No

%description ametsoc-doc
Documentation for ametsoc

%package amiri
Provides: tex-amiri = %{tl_version}
License: OFL
Summary: A classical Arabic typeface, Naskh style
Version: svn46104
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(amiri-bold.ttf) = %{tl_version}
Provides: tex(amiri-boldslanted.ttf) = %{tl_version}
Provides: tex(amiri-quran.ttf) = %{tl_version}
Provides: tex(amiri-quran-colored.ttf) = %{tl_version}
Provides: tex(amiri-regular.ttf) = %{tl_version}
Provides: tex(amiri-slanted.ttf) = %{tl_version}

%description amiri
Amiri is a classical Arabic typeface in Naskh style for
typesetting books and other running text. It is a revival of
the beautiful typeface pioneered in the early 20th century by
Bulaq Press in Cairo, also known as Amiria Press, after which
the font is named. The project aims at the revival of the
aesthetics and traditions of Arabic typesetting, and adapting
it to the era of digital typesetting, in a publicly available
form.

%package amiri-doc
Summary: Documentation for amiri
Version: svn46104
Provides: tex-amiri-doc
AutoReqProv: No

%description amiri-doc
Documentation for amiri

%package amsaddr
Provides: tex-amsaddr = %{tl_version}
License: LPPL
Summary: Alter the position of affiliations in amsart
Version: svn29630.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(amsaddr.sty) = %{tl_version}

%description amsaddr
The package is to be used with the amsart documentclass. It
lets you move the authors' affiliations either just below the
authors' names on the front page or as footnotes on the first
page. The email addresses are always listed as a footnote on
the front page.

%package amsaddr-doc
Summary: Documentation for amsaddr
Version: svn29630.1.1

Provides: tex-amsaddr-doc
AutoReqProv: No

%description amsaddr-doc
Documentation for amsaddr

%package amscls
Provides: tex-amscls = %{tl_version}
License: LPPL 1.3
Summary: AMS document classes for LaTeX
Version: svn46099
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(amstex.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(url.sty)
Requires: tex(doc.sty)
Provides: tex(amsart.cls) = %{tl_version}
Provides: tex(amsbook.cls) = %{tl_version}
Provides: tex(amsbooka.sty) = %{tl_version}
Provides: tex(amsdtx.cls) = %{tl_version}
Provides: tex(amsldoc.cls) = %{tl_version}
Provides: tex(amsmidx.sty) = %{tl_version}
Provides: tex(amsproc.cls) = %{tl_version}
Provides: tex(amsthm.sty) = %{tl_version}
Provides: tex(upref.sty) = %{tl_version}

%description amscls
This bundle contains three AMS classes, amsart (for writing
articles for the AMS), amsbook (for books) and amsproc (for
proceedings), together with some supporting material. The
material is made available as part of the AMS-LaTeX
distribution.

%package amscls-doc
Summary: Documentation for amscls
Version: svn46099
Provides: tex-amscls-doc
AutoReqProv: No

%description amscls-doc
Documentation for amscls

%package amsfonts
Provides: tex-amsfonts = %{tl_version}
License: OFL
Summary: TeX fonts from the American Mathematical Society
Version: svn29208.3.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(cm.map) = %{tl_version}
Provides: tex(cmextra.map) = %{tl_version}
Provides: tex(cyrillic.map) = %{tl_version}
Provides: tex(euler.map) = %{tl_version}
Provides: tex(latxfont.map) = %{tl_version}
Provides: tex(symbols.map) = %{tl_version}
Provides: tex(cmbsy5.tfm) = %{tl_version}
Provides: tex(cmbsy6.tfm) = %{tl_version}
Provides: tex(cmbsy7.tfm) = %{tl_version}
Provides: tex(cmbsy8.tfm) = %{tl_version}
Provides: tex(cmbsy9.tfm) = %{tl_version}
Provides: tex(cmcsc8.tfm) = %{tl_version}
Provides: tex(cmcsc9.tfm) = %{tl_version}
Provides: tex(cmex7.tfm) = %{tl_version}
Provides: tex(cmex8.tfm) = %{tl_version}
Provides: tex(cmex9.tfm) = %{tl_version}
Provides: tex(cmmib5.tfm) = %{tl_version}
Provides: tex(cmmib6.tfm) = %{tl_version}
Provides: tex(cmmib7.tfm) = %{tl_version}
Provides: tex(cmmib8.tfm) = %{tl_version}
Provides: tex(cmmib9.tfm) = %{tl_version}
Provides: tex(wncyb10.tfm) = %{tl_version}
Provides: tex(wncyb5.tfm) = %{tl_version}
Provides: tex(wncyb6.tfm) = %{tl_version}
Provides: tex(wncyb7.tfm) = %{tl_version}
Provides: tex(wncyb8.tfm) = %{tl_version}
Provides: tex(wncyb9.tfm) = %{tl_version}
Provides: tex(wncyi10.tfm) = %{tl_version}
Provides: tex(wncyi5.tfm) = %{tl_version}
Provides: tex(wncyi6.tfm) = %{tl_version}
Provides: tex(wncyi7.tfm) = %{tl_version}
Provides: tex(wncyi8.tfm) = %{tl_version}
Provides: tex(wncyi9.tfm) = %{tl_version}
Provides: tex(wncyr10.tfm) = %{tl_version}
Provides: tex(wncyr5.tfm) = %{tl_version}
Provides: tex(wncyr6.tfm) = %{tl_version}
Provides: tex(wncyr7.tfm) = %{tl_version}
Provides: tex(wncyr8.tfm) = %{tl_version}
Provides: tex(wncyr9.tfm) = %{tl_version}
Provides: tex(wncysc10.tfm) = %{tl_version}
Provides: tex(wncyss10.tfm) = %{tl_version}
Provides: tex(wncyss8.tfm) = %{tl_version}
Provides: tex(wncyss9.tfm) = %{tl_version}
Provides: tex(dummy.tfm) = %{tl_version}
Provides: tex(euex10.tfm) = %{tl_version}
Provides: tex(euex7.tfm) = %{tl_version}
Provides: tex(euex8.tfm) = %{tl_version}
Provides: tex(euex9.tfm) = %{tl_version}
Provides: tex(eufb10.tfm) = %{tl_version}
Provides: tex(eufb5.tfm) = %{tl_version}
Provides: tex(eufb6.tfm) = %{tl_version}
Provides: tex(eufb7.tfm) = %{tl_version}
Provides: tex(eufb8.tfm) = %{tl_version}
Provides: tex(eufb9.tfm) = %{tl_version}
Provides: tex(eufm10.tfm) = %{tl_version}
Provides: tex(eufm5.tfm) = %{tl_version}
Provides: tex(eufm6.tfm) = %{tl_version}
Provides: tex(eufm7.tfm) = %{tl_version}
Provides: tex(eufm8.tfm) = %{tl_version}
Provides: tex(eufm9.tfm) = %{tl_version}
Provides: tex(eurb10.tfm) = %{tl_version}
Provides: tex(eurb5.tfm) = %{tl_version}
Provides: tex(eurb6.tfm) = %{tl_version}
Provides: tex(eurb7.tfm) = %{tl_version}
Provides: tex(eurb8.tfm) = %{tl_version}
Provides: tex(eurb9.tfm) = %{tl_version}
Provides: tex(eurm10.tfm) = %{tl_version}
Provides: tex(eurm5.tfm) = %{tl_version}
Provides: tex(eurm6.tfm) = %{tl_version}
Provides: tex(eurm7.tfm) = %{tl_version}
Provides: tex(eurm8.tfm) = %{tl_version}
Provides: tex(eurm9.tfm) = %{tl_version}
Provides: tex(eusb10.tfm) = %{tl_version}
Provides: tex(eusb5.tfm) = %{tl_version}
Provides: tex(eusb6.tfm) = %{tl_version}
Provides: tex(eusb7.tfm) = %{tl_version}
Provides: tex(eusb8.tfm) = %{tl_version}
Provides: tex(eusb9.tfm) = %{tl_version}
Provides: tex(eusm10.tfm) = %{tl_version}
Provides: tex(eusm5.tfm) = %{tl_version}
Provides: tex(eusm6.tfm) = %{tl_version}
Provides: tex(eusm7.tfm) = %{tl_version}
Provides: tex(eusm8.tfm) = %{tl_version}
Provides: tex(eusm9.tfm) = %{tl_version}
Provides: tex(msam10.tfm) = %{tl_version}
Provides: tex(msam5.tfm) = %{tl_version}
Provides: tex(msam6.tfm) = %{tl_version}
Provides: tex(msam7.tfm) = %{tl_version}
Provides: tex(msam8.tfm) = %{tl_version}
Provides: tex(msam9.tfm) = %{tl_version}
Provides: tex(msbm10.tfm) = %{tl_version}
Provides: tex(msbm5.tfm) = %{tl_version}
Provides: tex(msbm6.tfm) = %{tl_version}
Provides: tex(msbm7.tfm) = %{tl_version}
Provides: tex(msbm8.tfm) = %{tl_version}
Provides: tex(msbm9.tfm) = %{tl_version}
Provides: tex(cmb10.pfb) = %{tl_version}
Provides: tex(cmbsy10.pfb) = %{tl_version}
Provides: tex(cmbx10.pfb) = %{tl_version}
Provides: tex(cmbx12.pfb) = %{tl_version}
Provides: tex(cmbx5.pfb) = %{tl_version}
Provides: tex(cmbx6.pfb) = %{tl_version}
Provides: tex(cmbx7.pfb) = %{tl_version}
Provides: tex(cmbx8.pfb) = %{tl_version}
Provides: tex(cmbx9.pfb) = %{tl_version}
Provides: tex(cmbxsl10.pfb) = %{tl_version}
Provides: tex(cmbxti10.pfb) = %{tl_version}
Provides: tex(cmcsc10.pfb) = %{tl_version}
Provides: tex(cmdunh10.pfb) = %{tl_version}
Provides: tex(cmex10.pfb) = %{tl_version}
Provides: tex(cmff10.pfb) = %{tl_version}
Provides: tex(cmfi10.pfb) = %{tl_version}
Provides: tex(cmfib8.pfb) = %{tl_version}
Provides: tex(cminch.pfb) = %{tl_version}
Provides: tex(cmitt10.pfb) = %{tl_version}
Provides: tex(cmmi10.pfb) = %{tl_version}
Provides: tex(cmmi12.pfb) = %{tl_version}
Provides: tex(cmmi5.pfb) = %{tl_version}
Provides: tex(cmmi6.pfb) = %{tl_version}
Provides: tex(cmmi7.pfb) = %{tl_version}
Provides: tex(cmmi8.pfb) = %{tl_version}
Provides: tex(cmmi9.pfb) = %{tl_version}
Provides: tex(cmmib10.pfb) = %{tl_version}
Provides: tex(cmr10.pfb) = %{tl_version}
Provides: tex(cmr12.pfb) = %{tl_version}
Provides: tex(cmr17.pfb) = %{tl_version}
Provides: tex(cmr5.pfb) = %{tl_version}
Provides: tex(cmr6.pfb) = %{tl_version}
Provides: tex(cmr7.pfb) = %{tl_version}
Provides: tex(cmr8.pfb) = %{tl_version}
Provides: tex(cmr9.pfb) = %{tl_version}
Provides: tex(cmsl10.pfb) = %{tl_version}
Provides: tex(cmsl12.pfb) = %{tl_version}
Provides: tex(cmsl8.pfb) = %{tl_version}
Provides: tex(cmsl9.pfb) = %{tl_version}
Provides: tex(cmsltt10.pfb) = %{tl_version}
Provides: tex(cmss10.pfb) = %{tl_version}
Provides: tex(cmss12.pfb) = %{tl_version}
Provides: tex(cmss17.pfb) = %{tl_version}
Provides: tex(cmss8.pfb) = %{tl_version}
Provides: tex(cmss9.pfb) = %{tl_version}
Provides: tex(cmssbx10.pfb) = %{tl_version}
Provides: tex(cmssdc10.pfb) = %{tl_version}
Provides: tex(cmssi10.pfb) = %{tl_version}
Provides: tex(cmssi12.pfb) = %{tl_version}
Provides: tex(cmssi17.pfb) = %{tl_version}
Provides: tex(cmssi8.pfb) = %{tl_version}
Provides: tex(cmssi9.pfb) = %{tl_version}
Provides: tex(cmssq8.pfb) = %{tl_version}
Provides: tex(cmssqi8.pfb) = %{tl_version}
Provides: tex(cmsy10.pfb) = %{tl_version}
Provides: tex(cmsy5.pfb) = %{tl_version}
Provides: tex(cmsy6.pfb) = %{tl_version}
Provides: tex(cmsy7.pfb) = %{tl_version}
Provides: tex(cmsy8.pfb) = %{tl_version}
Provides: tex(cmsy9.pfb) = %{tl_version}
Provides: tex(cmtcsc10.pfb) = %{tl_version}
Provides: tex(cmtex10.pfb) = %{tl_version}
Provides: tex(cmtex8.pfb) = %{tl_version}
Provides: tex(cmtex9.pfb) = %{tl_version}
Provides: tex(cmti10.pfb) = %{tl_version}
Provides: tex(cmti12.pfb) = %{tl_version}
Provides: tex(cmti7.pfb) = %{tl_version}
Provides: tex(cmti8.pfb) = %{tl_version}
Provides: tex(cmti9.pfb) = %{tl_version}
Provides: tex(cmtt10.pfb) = %{tl_version}
Provides: tex(cmtt12.pfb) = %{tl_version}
Provides: tex(cmtt8.pfb) = %{tl_version}
Provides: tex(cmtt9.pfb) = %{tl_version}
Provides: tex(cmu10.pfb) = %{tl_version}
Provides: tex(cmvtt10.pfb) = %{tl_version}
Provides: tex(cmbsy5.pfb) = %{tl_version}
Provides: tex(cmbsy6.pfb) = %{tl_version}
Provides: tex(cmbsy7.pfb) = %{tl_version}
Provides: tex(cmbsy8.pfb) = %{tl_version}
Provides: tex(cmbsy9.pfb) = %{tl_version}
Provides: tex(cmcsc8.pfb) = %{tl_version}
Provides: tex(cmcsc9.pfb) = %{tl_version}
Provides: tex(cmex7.pfb) = %{tl_version}
Provides: tex(cmex8.pfb) = %{tl_version}
Provides: tex(cmex9.pfb) = %{tl_version}
Provides: tex(cmmib5.pfb) = %{tl_version}
Provides: tex(cmmib6.pfb) = %{tl_version}
Provides: tex(cmmib7.pfb) = %{tl_version}
Provides: tex(cmmib8.pfb) = %{tl_version}
Provides: tex(cmmib9.pfb) = %{tl_version}
Provides: tex(wncyb10.pfb) = %{tl_version}
Provides: tex(wncyi10.pfb) = %{tl_version}
Provides: tex(wncyr10.pfb) = %{tl_version}
Provides: tex(wncysc10.pfb) = %{tl_version}
Provides: tex(wncyss10.pfb) = %{tl_version}
Provides: tex(euex10.pfb) = %{tl_version}
Provides: tex(euex7.pfb) = %{tl_version}
Provides: tex(euex8.pfb) = %{tl_version}
Provides: tex(euex9.pfb) = %{tl_version}
Provides: tex(eufb10.pfb) = %{tl_version}
Provides: tex(eufb5.pfb) = %{tl_version}
Provides: tex(eufb7.pfb) = %{tl_version}
Provides: tex(eufm10.pfb) = %{tl_version}
Provides: tex(eufm5.pfb) = %{tl_version}
Provides: tex(eufm7.pfb) = %{tl_version}
Provides: tex(eurb10.pfb) = %{tl_version}
Provides: tex(eurb5.pfb) = %{tl_version}
Provides: tex(eurb7.pfb) = %{tl_version}
Provides: tex(eurm10.pfb) = %{tl_version}
Provides: tex(eurm5.pfb) = %{tl_version}
Provides: tex(eurm7.pfb) = %{tl_version}
Provides: tex(eusb10.pfb) = %{tl_version}
Provides: tex(eusb5.pfb) = %{tl_version}
Provides: tex(eusb7.pfb) = %{tl_version}
Provides: tex(eusm10.pfb) = %{tl_version}
Provides: tex(eusm5.pfb) = %{tl_version}
Provides: tex(eusm7.pfb) = %{tl_version}
Provides: tex(lasy10.pfb) = %{tl_version}
Provides: tex(lasy5.pfb) = %{tl_version}
Provides: tex(lasy6.pfb) = %{tl_version}
Provides: tex(lasy7.pfb) = %{tl_version}
Provides: tex(lasy8.pfb) = %{tl_version}
Provides: tex(lasy9.pfb) = %{tl_version}
Provides: tex(lasyb10.pfb) = %{tl_version}
Provides: tex(lcircle1.pfb) = %{tl_version}
Provides: tex(lcirclew.pfb) = %{tl_version}
Provides: tex(lcmss8.pfb) = %{tl_version}
Provides: tex(lcmssb8.pfb) = %{tl_version}
Provides: tex(lcmssi8.pfb) = %{tl_version}
Provides: tex(line10.pfb) = %{tl_version}
Provides: tex(linew10.pfb) = %{tl_version}
Provides: tex(msam10.pfb) = %{tl_version}
Provides: tex(msam5.pfb) = %{tl_version}
Provides: tex(msam6.pfb) = %{tl_version}
Provides: tex(msam7.pfb) = %{tl_version}
Provides: tex(msam8.pfb) = %{tl_version}
Provides: tex(msam9.pfb) = %{tl_version}
Provides: tex(msbm10.pfb) = %{tl_version}
Provides: tex(msbm5.pfb) = %{tl_version}
Provides: tex(msbm6.pfb) = %{tl_version}
Provides: tex(msbm7.pfb) = %{tl_version}
Provides: tex(msbm8.pfb) = %{tl_version}
Provides: tex(msbm9.pfb) = %{tl_version}
Provides: tex(amsfonts.sty) = %{tl_version}
Provides: tex(amssymb.sty) = %{tl_version}
Provides: tex(cmmib57.sty) = %{tl_version}
Provides: tex(eucal.sty) = %{tl_version}
Provides: tex(eufrak.sty) = %{tl_version}
Provides: tex(euscript.sty) = %{tl_version}
Provides: tex(ueuex.fd) = %{tl_version}
Provides: tex(ueuf.fd) = %{tl_version}
Provides: tex(ueur.fd) = %{tl_version}
Provides: tex(ueus.fd) = %{tl_version}
Provides: tex(umsa.fd) = %{tl_version}
Provides: tex(umsb.fd) = %{tl_version}
Provides: tex(amssym.def) = %{tl_version}
Provides: tex(amssym.tex) = %{tl_version}
Provides: tex(cyracc.def) = %{tl_version}

%description amsfonts
An extended set of fonts for use in mathematics, including:
extra mathematical symbols; blackboard bold letters (uppercase
only); fraktur letters; subscript sizes of bold math italic and
bold Greek letters; subscript sizes of large symbols such as
sum and product; added sizes of the Computer Modern small caps
font; cyrillic fonts (from the University of Washington); Euler
mathematical fonts. All fonts are provided as Adobe Type 1
files, and all except the Euler fonts are provided as Metafont
source. The distribution also includes the canonical Type 1
versions of the Computer Modern family of fonts. Plain TeX and
LaTeX macros for using the fonts are provided.

%package amsfonts-doc
Summary: Documentation for amsfonts
Version: svn29208.3.04

Provides: tex-amsfonts-doc
AutoReqProv: No

%description amsfonts-doc
Documentation for amsfonts

%package amslatex-primer-doc
Summary: Documentation for amslatex-primer
Version: svn28980.2.3

Provides: tex-amslatex-primer-doc
AutoReqProv: No

%description amslatex-primer-doc
Documentation for amslatex-primer

%package amsldoc-it-doc
Summary: Documentation for amsldoc-it
Version: svn15878.0

Provides: tex-amsldoc-it-doc
AutoReqProv: No

%description amsldoc-it-doc
Documentation for amsldoc-it

%package amsldoc-vn-doc
Summary: Documentation for amsldoc-vn
Version: svn21855.2.0

Provides: tex-amsldoc-vn-doc
AutoReqProv: No

%description amsldoc-vn-doc
Documentation for amsldoc-vn

%package amsmath-it-doc
Summary: Documentation for amsmath-it
Version: svn22930.0

Provides: tex-amsmath-it-doc
AutoReqProv: No

%description amsmath-it-doc
Documentation for amsmath-it

%package amsmath
Provides: tex-amsmath = %{tl_version}
License: LPPL
Summary: AMS mathematical facilities for LaTeX
Version: svn45246
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(amstext.sty)
Provides: tex(amsbsy.sty) = %{tl_version}
Provides: tex(amscd.sty) = %{tl_version}
Provides: tex(amsgen.sty) = %{tl_version}
Provides: tex(amsmath.sty) = %{tl_version}
Provides: tex(amsopn.sty) = %{tl_version}
Provides: tex(amstex.sty) = %{tl_version}
Provides: tex(amstext.sty) = %{tl_version}
Provides: tex(amsxtra.sty) = %{tl_version}

%description amsmath
The package provides the principal packages in the AMS-LaTeX
distribution. It adapts for use in LaTeX most of the
mathematical features found in AMS-TeX; it is highly
recommendsd as an adjunct to serious mathematical typesetting
in LaTeX. When amsmath is loaded, AMS-LaTeX packages amsbsy
(for bold symbols), amsopn (for operator names) and amstext
(for text embdedded in mathematics) are also loaded. Amsmath is
part of the LaTeX required distribution; however, several
contributed packages add still further to its appeal; examples
are empheq, which provides functions for decorating and
highlighting mathematics, and ntheorem, for specifying theorem
(and similar) definitions.

%package amsmath-doc
Summary: Documentation for amsmath
Version: svn45246
Provides: tex-amsmath-doc
AutoReqProv: No

%description amsmath-doc
Documentation for amsmath

%package amsrefs
Provides: tex-amsrefs = %{tl_version}
License: LPPL 1.3
Summary: A LaTeX-based replacement for BibTeX
Version: svn30646.2.14

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(url.sty)
Requires: tex(ifoption.sty)
Requires: tex(backref.sty)
Requires: tex(hyperref.sty)
Requires: tex(textcmds.sty)
Provides: tex(amsbst.sty) = %{tl_version}
Provides: tex(amsrefs.sty) = %{tl_version}
Provides: tex(ifoption.sty) = %{tl_version}
Provides: tex(mathscinet.sty) = %{tl_version}
Provides: tex(pcatcode.sty) = %{tl_version}
Provides: tex(rkeyval.sty) = %{tl_version}
Provides: tex(textcmds.sty) = %{tl_version}

%description amsrefs
Amsrefs is a LaTeX package for bibliographies that provides an
archival data format similar to the format of BibTeX database
files, but adapted to make direct processing by LaTeX easier.
The package can be used either in conjunction with BibTeX or as
a replacement for BibTeX.

%package amsrefs-doc
Summary: Documentation for amsrefs
Version: svn30646.2.14

Provides: tex-amsrefs-doc
AutoReqProv: No

%description amsrefs-doc
Documentation for amsrefs

%package amsthdoc-it-doc
Summary: Documentation for amsthdoc-it
Version: svn45662
Provides: tex-amsthdoc-it-doc
AutoReqProv: No

%description amsthdoc-it-doc
Documentation for amsthdoc-it

%package animate
Provides: tex-animate = %{tl_version}
License: LPPL
Summary: Create PDF animations from graphics files and inline graphics
Version: svn46266
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifpdf.sty)
Requires: tex(atbegshi.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifdraft.sty)
Requires: tex(calc.sty)
Requires: tex(atenddvi.sty)
Requires: tex(graphics.sty)
Requires: tex(pdftexcmds.sty)
Provides: tex(animate.sty) = %{tl_version}
Provides: tex(animfp.sty) = %{tl_version}

%description animate
The package provides an interface to create portable,
JavaScript driven PDF animations from sets of graphics files or
from inline graphics, such as LaTeX picture environment,
PSTricks or pgf/TikZ generated pictures, or just from typeset
text.

%package animate-doc
Summary: Documentation for animate
Version: svn46266
Provides: tex-animate-doc
AutoReqProv: No

%description animate-doc
Documentation for animate

%package anonchap
Provides: tex-anonchap = %{tl_version}
License: LPPL
Summary: Make chapters be typeset like sections
Version: svn17049.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(anonchap.sty) = %{tl_version}

%description anonchap
The command \simplechapter sets up the \chapter command not to
number chapters, though they may possibly have a prefix, and a
suffix (the \simplechapterdelim command, which the user may
alter). The \restorechapter command restores the status quo
ante.

%package anonchap-doc
Summary: Documentation for anonchap
Version: svn17049.1.1a

Provides: tex-anonchap-doc
AutoReqProv: No

%description anonchap-doc
Documentation for anonchap

%package anonymouspro
Provides: tex-anonymouspro = %{tl_version}
License: LPPL 1.3
Summary: Use AnonymousPro fonts with LaTeX
Version: svn33441.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(kvoptions.sty)
Provides: tex(AnonymousPro-01.enc) = %{tl_version}
Provides: tex(AnonymousPro-02.enc) = %{tl_version}
Provides: tex(AnonymousPro-03.enc) = %{tl_version}
Provides: tex(AnonymousPro-symbols.enc) = %{tl_version}
Provides: tex(AnonymousPro.map) = %{tl_version}
Provides: tex(AnonymousPro-Bold-01.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold-02.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold-03.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold-Symbols-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold-Symbols-u.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold-t1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold-ts1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-01.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-02.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-03.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-Symbols-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-Symbols-u.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-t1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-ts1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic.tfm) = %{tl_version}
Provides: tex(AnonymousPro-BoldSC-t1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-01.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-02.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-03.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-Symbols-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-Symbols-u.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-t1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic-ts1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Italic.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-01.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-02.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-03.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-Symbols-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-Symbols-u.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-base.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-t1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular-ts1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Regular.tfm) = %{tl_version}
Provides: tex(AnonymousPro-RegularSC-t1.tfm) = %{tl_version}
Provides: tex(AnonymousPro-Bold.ttf) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic.ttf) = %{tl_version}
Provides: tex(AnonymousPro-Italic.ttf) = %{tl_version}
Provides: tex(AnonymousPro-Regular.ttf) = %{tl_version}
Provides: tex(AnonymousPro-Bold.pfb) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic.pfb) = %{tl_version}
Provides: tex(AnonymousPro-Italic.pfb) = %{tl_version}
Provides: tex(AnonymousPro-Regular.pfb) = %{tl_version}
Provides: tex(AnonymousPro-Bold-Symbols-u.vf) = %{tl_version}
Provides: tex(AnonymousPro-Bold-t1.vf) = %{tl_version}
Provides: tex(AnonymousPro-Bold-ts1.vf) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-Symbols-u.vf) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-t1.vf) = %{tl_version}
Provides: tex(AnonymousPro-BoldItalic-ts1.vf) = %{tl_version}
Provides: tex(AnonymousPro-BoldSC-t1.vf) = %{tl_version}
Provides: tex(AnonymousPro-Italic-Symbols-u.vf) = %{tl_version}
Provides: tex(AnonymousPro-Italic-t1.vf) = %{tl_version}
Provides: tex(AnonymousPro-Italic-ts1.vf) = %{tl_version}
Provides: tex(AnonymousPro-Regular-Symbols-u.vf) = %{tl_version}
Provides: tex(AnonymousPro-Regular-t1.vf) = %{tl_version}
Provides: tex(AnonymousPro-Regular-ts1.vf) = %{tl_version}
Provides: tex(AnonymousPro-RegularSC-t1.vf) = %{tl_version}
Provides: tex(AnonymousPro.sty) = %{tl_version}
Provides: tex(t1anonymouspro.fd) = %{tl_version}
Provides: tex(ts1anonymouspro.fd) = %{tl_version}
Provides: tex(uanonymouspro.fd) = %{tl_version}

%description anonymouspro
The fonts are a monowidth set, designed for use by coders. They
appear as a set of four TrueType, or Adobe Type 1 font files,
and LaTeX support is also provided.

%package anonymouspro-doc
Summary: Documentation for anonymouspro
Version: svn33441.2.1

Provides: tex-anonymouspro-doc
AutoReqProv: No

%description anonymouspro-doc
Documentation for anonymouspro

%package answers
Provides: tex-answers = %{tl_version}
License: LPPL
Summary: Setting questions (or exercises) and answers
Version: svn35032.2.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(answers.sty) = %{tl_version}

%description answers
The package allows a lot of flexibility in constructing
question and answer sheets.

%package answers-doc
Summary: Documentation for answers
Version: svn35032.2.16

Provides: tex-answers-doc
AutoReqProv: No

%description answers-doc
Documentation for answers

%package antiqua
Provides: tex-antiqua = %{tl_version}
License: GPL+
Summary: URW Antiqua condensed font, for use with TeX
Version: svn24266.001.003

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(uaq.map) = %{tl_version}
Provides: tex(uaqr7tc.tfm) = %{tl_version}
Provides: tex(uaqr8ac.tfm) = %{tl_version}
Provides: tex(uaqr8cc.tfm) = %{tl_version}
Provides: tex(uaqr8rc.tfm) = %{tl_version}
Provides: tex(uaqr8tc.tfm) = %{tl_version}
Provides: tex(uaqrc7tc.tfm) = %{tl_version}
Provides: tex(uaqrc8tc.tfm) = %{tl_version}
Provides: tex(uaqro7tc.tfm) = %{tl_version}
Provides: tex(uaqro8cc.tfm) = %{tl_version}
Provides: tex(uaqro8rc.tfm) = %{tl_version}
Provides: tex(uaqro8tc.tfm) = %{tl_version}
Provides: tex(uaqr8ac.pfb) = %{tl_version}
Provides: tex(uaqr7tc.vf) = %{tl_version}
Provides: tex(uaqr8cc.vf) = %{tl_version}
Provides: tex(uaqr8tc.vf) = %{tl_version}
Provides: tex(uaqrc7tc.vf) = %{tl_version}
Provides: tex(uaqrc8tc.vf) = %{tl_version}
Provides: tex(uaqro7tc.vf) = %{tl_version}
Provides: tex(uaqro8cc.vf) = %{tl_version}
Provides: tex(uaqro8tc.vf) = %{tl_version}
Provides: tex(ot1uaq.fd) = %{tl_version}
Provides: tex(t1uaq.fd) = %{tl_version}
Provides: tex(ts1uaq.fd) = %{tl_version}

%description antiqua
The package contains a copy of the Type 1 font "URW Antiqua
2051 Regular Condensed" released under the GPL by URW, with
supporting files for use with (La)TeX.

%package antiqua-doc
Summary: Documentation for antiqua
Version: svn24266.001.003

Provides: tex-antiqua-doc
AutoReqProv: No

%description antiqua-doc
Documentation for antiqua

%package antomega
Provides: tex-antomega = %{tl_version}
License: LPPL
Summary: Alternative language support for Omega/Lambda
Version: svn21933.0.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-omega
Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Provides: tex(antomega.cfg) = %{tl_version}
Provides: tex(antomega.sty) = %{tl_version}
Provides: tex(grhyph16.tex) = %{tl_version}
Provides: tex(hyphen.cfg) = %{tl_version}
Provides: tex(lgc0700.def) = %{tl_version}
Provides: tex(lgrenc-antomega.def) = %{tl_version}
Provides: tex(ograhyph4.tex) = %{tl_version}
Provides: tex(ogrmhyph4.tex) = %{tl_version}
Provides: tex(ogrphyph4.tex) = %{tl_version}
Provides: tex(omega-english.ldf) = %{tl_version}
Provides: tex(omega-french.ldf) = %{tl_version}
Provides: tex(omega-german.ldf) = %{tl_version}
Provides: tex(omega-greek.ldf) = %{tl_version}
Provides: tex(omega-latin.ldf) = %{tl_version}
Provides: tex(omega-latvian.ldf) = %{tl_version}
Provides: tex(omega-polish.ldf) = %{tl_version}
Provides: tex(omega-russian.ldf) = %{tl_version}
Provides: tex(omega-spanish.ldf) = %{tl_version}
Provides: tex(ruhyph16.tex) = %{tl_version}
Provides: tex(t1enc-antomega.def) = %{tl_version}
Provides: tex(t2aenc-antomega.def) = %{tl_version}
Provides: tex(uni0100.def) = %{tl_version}
Provides: tex(uni0370.def) = %{tl_version}
Provides: tex(uni0400.def) = %{tl_version}
Provides: tex(uni1f00.def) = %{tl_version}
Provides: tex(ut1enc-antomega.def) = %{tl_version}

%description antomega
A language support package for Omega/Lambda. This replaces the
original omega package for use with Lambda, and provides extra
facilities (including Babel-like language switching, which
eases porting of LaTeX documents to Lambda).

%package antomega-doc
Summary: Documentation for antomega
Version: svn21933.0.8

Provides: tex-antomega-doc
AutoReqProv: No
Requires: tex-omega-doc

%description antomega-doc
Documentation for antomega

%package omega
Provides: tex-omega = %{tl_version}
License: GPL+
Summary: A wide-character-set extension of TeX
Version: svn33046.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(omega.cfg) = %{tl_version}
Provides: tex(omega.map) = %{tl_version}
Provides: tex(omding.tfm) = %{tl_version}
Provides: tex(omsea1.tfm) = %{tl_version}
Provides: tex(omsea1b.tfm) = %{tl_version}
Provides: tex(omsea2.tfm) = %{tl_version}
Provides: tex(omsea2b.tfm) = %{tl_version}
Provides: tex(omsea3.tfm) = %{tl_version}
Provides: tex(omsea3b.tfm) = %{tl_version}
Provides: tex(omseco.tfm) = %{tl_version}
Provides: tex(omsecob.tfm) = %{tl_version}
Provides: tex(omsecobi.tfm) = %{tl_version}
Provides: tex(omsecoi.tfm) = %{tl_version}
Provides: tex(omsecx.tfm) = %{tl_version}
Provides: tex(omsecy.tfm) = %{tl_version}
Provides: tex(omsegr.tfm) = %{tl_version}
Provides: tex(omsegrb.tfm) = %{tl_version}
Provides: tex(omsegrbi.tfm) = %{tl_version}
Provides: tex(omsegri.tfm) = %{tl_version}
Provides: tex(omseha.tfm) = %{tl_version}
Provides: tex(omseip.tfm) = %{tl_version}
Provides: tex(omsela.tfm) = %{tl_version}
Provides: tex(omselab.tfm) = %{tl_version}
Provides: tex(omselabi.tfm) = %{tl_version}
Provides: tex(omselai.tfm) = %{tl_version}
Provides: tex(omseti.tfm) = %{tl_version}
Provides: tex(omssti.tfm) = %{tl_version}
Provides: tex(omding.pfb) = %{tl_version}
Provides: tex(omsea1.pfb) = %{tl_version}
Provides: tex(omsea1b.pfb) = %{tl_version}
Provides: tex(omsea2.pfb) = %{tl_version}
Provides: tex(omsea2b.pfb) = %{tl_version}
Provides: tex(omsea3.pfb) = %{tl_version}
Provides: tex(omsea3b.pfb) = %{tl_version}
Provides: tex(omseco.pfb) = %{tl_version}
Provides: tex(omsecob.pfb) = %{tl_version}
Provides: tex(omsecobi.pfb) = %{tl_version}
Provides: tex(omsecoi.pfb) = %{tl_version}
Provides: tex(omsecx.pfb) = %{tl_version}
Provides: tex(omsecy.pfb) = %{tl_version}
Provides: tex(omsecyb.pfb) = %{tl_version}
Provides: tex(omsecyi.pfb) = %{tl_version}
Provides: tex(omsegr.pfb) = %{tl_version}
Provides: tex(omsegrb.pfb) = %{tl_version}
Provides: tex(omsegrbi.pfb) = %{tl_version}
Provides: tex(omsegri.pfb) = %{tl_version}
Provides: tex(omseha.pfb) = %{tl_version}
Provides: tex(omsehe.pfb) = %{tl_version}
Provides: tex(omseip.pfb) = %{tl_version}
Provides: tex(omsela.pfb) = %{tl_version}
Provides: tex(omselab.pfb) = %{tl_version}
Provides: tex(omselabi.pfb) = %{tl_version}
Provides: tex(omselai.pfb) = %{tl_version}
Provides: tex(omseti.pfb) = %{tl_version}
Provides: tex(omssti.pfb) = %{tl_version}
Provides: tex(bghyph.tex) = %{tl_version}
Provides: tex(lthyph.tex) = %{tl_version}
Provides: tex(srhyph.tex) = %{tl_version}
Provides: tex(grlccode.tex) = %{tl_version}
Provides: tex(omega.tex) = %{tl_version}

%description omega
A development of TeX, which deals in multi-octet Unicode
characters, to enable native treatment of a wide range of
languages without changing character-set. Work on Omega seems
to have ceased: its immediate successor was to be the aleph
project (though that too has stalled). Projects developing
Omega (and Aleph) ideas include Omega-2 and LuaTeX.

%package omega-doc
Summary: Documentation for omega
Version: svn33046.0

Provides: tex-omega-doc
AutoReqProv: No

%description omega-doc
Documentation for omega

%package antt
Provides: tex-antt = %{tl_version}
License: GFSL
Summary: Antykwa Torunska: a Type 1 family of a Polish traditional type
Version: svn18651.2.08

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(antt-cs.enc) = %{tl_version}
Provides: tex(antt-ec.enc) = %{tl_version}
Provides: tex(antt-el.enc) = %{tl_version}
Provides: tex(antt-ex.enc) = %{tl_version}
Provides: tex(antt-exp.enc) = %{tl_version}
Provides: tex(antt-greek.enc) = %{tl_version}
Provides: tex(antt-mi.enc) = %{tl_version}
Provides: tex(antt-qx.enc) = %{tl_version}
Provides: tex(antt-rm.enc) = %{tl_version}
Provides: tex(antt-sy.enc) = %{tl_version}
Provides: tex(antt-t2a.enc) = %{tl_version}
Provides: tex(antt-t2b.enc) = %{tl_version}
Provides: tex(antt-t2c.enc) = %{tl_version}
Provides: tex(antt-t5.enc) = %{tl_version}
Provides: tex(antt-texnansi.enc) = %{tl_version}
Provides: tex(antt-ts1.enc) = %{tl_version}
Provides: tex(antt-wncy.enc) = %{tl_version}
Provides: tex(anttcap-cs.enc) = %{tl_version}
Provides: tex(anttcap-ec.enc) = %{tl_version}
Provides: tex(anttcap-qx.enc) = %{tl_version}
Provides: tex(anttcap-t5.enc) = %{tl_version}
Provides: tex(anttcap-texnansi.enc) = %{tl_version}
Provides: tex(antt-cs.map) = %{tl_version}
Provides: tex(antt-ec.map) = %{tl_version}
Provides: tex(antt-el.map) = %{tl_version}
Provides: tex(antt-ex.map) = %{tl_version}
Provides: tex(antt-exp.map) = %{tl_version}
Provides: tex(antt-greek.map) = %{tl_version}
Provides: tex(antt-mi.map) = %{tl_version}
Provides: tex(antt-qx.map) = %{tl_version}
Provides: tex(antt-rm.map) = %{tl_version}
Provides: tex(antt-sy.map) = %{tl_version}
Provides: tex(antt-t2a.map) = %{tl_version}
Provides: tex(antt-t2b.map) = %{tl_version}
Provides: tex(antt-t2c.map) = %{tl_version}
Provides: tex(antt-t5.map) = %{tl_version}
Provides: tex(antt-texnansi.map) = %{tl_version}
Provides: tex(antt-ts1.map) = %{tl_version}
Provides: tex(antt-wncy.map) = %{tl_version}
Provides: tex(antt.map) = %{tl_version}
Provides: tex(AntykwaTorunska-Bold.otf) = %{tl_version}
Provides: tex(AntykwaTorunska-BoldItalic.otf) = %{tl_version}
Provides: tex(AntykwaTorunska-Italic.otf) = %{tl_version}
Provides: tex(AntykwaTorunska-Regular.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCond-Bold.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCond-BoldItalic.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCond-Italic.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCond-Regular.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCondLight-Italic.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCondLight-Regular.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCondMed-Italic.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaCondMed-Regular.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaLight-Italic.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaLight-Regular.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaMed-Italic.otf) = %{tl_version}
Provides: tex(AntykwaTorunskaMed-Regular.otf) = %{tl_version}
Provides: tex(cs-anttb.tfm) = %{tl_version}
Provides: tex(cs-anttbcap.tfm) = %{tl_version}
Provides: tex(cs-anttbi.tfm) = %{tl_version}
Provides: tex(cs-anttbicap.tfm) = %{tl_version}
Provides: tex(cs-anttcb.tfm) = %{tl_version}
Provides: tex(cs-anttcbcap.tfm) = %{tl_version}
Provides: tex(cs-anttcbi.tfm) = %{tl_version}
Provides: tex(cs-anttcbicap.tfm) = %{tl_version}
Provides: tex(cs-anttcl.tfm) = %{tl_version}
Provides: tex(cs-anttclcap.tfm) = %{tl_version}
Provides: tex(cs-anttcli.tfm) = %{tl_version}
Provides: tex(cs-anttclicap.tfm) = %{tl_version}
Provides: tex(cs-anttcm.tfm) = %{tl_version}
Provides: tex(cs-anttcmcap.tfm) = %{tl_version}
Provides: tex(cs-anttcmi.tfm) = %{tl_version}
Provides: tex(cs-anttcmicap.tfm) = %{tl_version}
Provides: tex(cs-anttcr.tfm) = %{tl_version}
Provides: tex(cs-anttcrcap.tfm) = %{tl_version}
Provides: tex(cs-anttcri.tfm) = %{tl_version}
Provides: tex(cs-anttcricap.tfm) = %{tl_version}
Provides: tex(cs-anttl.tfm) = %{tl_version}
Provides: tex(cs-anttlcap.tfm) = %{tl_version}
Provides: tex(cs-anttli.tfm) = %{tl_version}
Provides: tex(cs-anttlicap.tfm) = %{tl_version}
Provides: tex(cs-anttm.tfm) = %{tl_version}
Provides: tex(cs-anttmcap.tfm) = %{tl_version}
Provides: tex(cs-anttmi.tfm) = %{tl_version}
Provides: tex(cs-anttmicap.tfm) = %{tl_version}
Provides: tex(cs-anttr.tfm) = %{tl_version}
Provides: tex(cs-anttrcap.tfm) = %{tl_version}
Provides: tex(cs-anttri.tfm) = %{tl_version}
Provides: tex(cs-anttricap.tfm) = %{tl_version}
Provides: tex(ec-anttb.tfm) = %{tl_version}
Provides: tex(ec-anttbcap.tfm) = %{tl_version}
Provides: tex(ec-anttbi.tfm) = %{tl_version}
Provides: tex(ec-anttbicap.tfm) = %{tl_version}
Provides: tex(ec-anttcb.tfm) = %{tl_version}
Provides: tex(ec-anttcbcap.tfm) = %{tl_version}
Provides: tex(ec-anttcbi.tfm) = %{tl_version}
Provides: tex(ec-anttcbicap.tfm) = %{tl_version}
Provides: tex(ec-anttcl.tfm) = %{tl_version}
Provides: tex(ec-anttclcap.tfm) = %{tl_version}
Provides: tex(ec-anttcli.tfm) = %{tl_version}
Provides: tex(ec-anttclicap.tfm) = %{tl_version}
Provides: tex(ec-anttcm.tfm) = %{tl_version}
Provides: tex(ec-anttcmcap.tfm) = %{tl_version}
Provides: tex(ec-anttcmi.tfm) = %{tl_version}
Provides: tex(ec-anttcmicap.tfm) = %{tl_version}
Provides: tex(ec-anttcr.tfm) = %{tl_version}
Provides: tex(ec-anttcrcap.tfm) = %{tl_version}
Provides: tex(ec-anttcri.tfm) = %{tl_version}
Provides: tex(ec-anttcricap.tfm) = %{tl_version}
Provides: tex(ec-anttl.tfm) = %{tl_version}
Provides: tex(ec-anttlcap.tfm) = %{tl_version}
Provides: tex(ec-anttli.tfm) = %{tl_version}
Provides: tex(ec-anttlicap.tfm) = %{tl_version}
Provides: tex(ec-anttm.tfm) = %{tl_version}
Provides: tex(ec-anttmcap.tfm) = %{tl_version}
Provides: tex(ec-anttmi.tfm) = %{tl_version}
Provides: tex(ec-anttmicap.tfm) = %{tl_version}
Provides: tex(ec-anttr.tfm) = %{tl_version}
Provides: tex(ec-anttrcap.tfm) = %{tl_version}
Provides: tex(ec-anttri.tfm) = %{tl_version}
Provides: tex(ec-anttricap.tfm) = %{tl_version}
Provides: tex(el-anttb.tfm) = %{tl_version}
Provides: tex(el-anttbi.tfm) = %{tl_version}
Provides: tex(el-anttcb.tfm) = %{tl_version}
Provides: tex(el-anttcbi.tfm) = %{tl_version}
Provides: tex(el-anttcl.tfm) = %{tl_version}
Provides: tex(el-anttcli.tfm) = %{tl_version}
Provides: tex(el-anttcm.tfm) = %{tl_version}
Provides: tex(el-anttcmi.tfm) = %{tl_version}
Provides: tex(el-anttcr.tfm) = %{tl_version}
Provides: tex(el-anttcri.tfm) = %{tl_version}
Provides: tex(el-anttl.tfm) = %{tl_version}
Provides: tex(el-anttli.tfm) = %{tl_version}
Provides: tex(el-anttm.tfm) = %{tl_version}
Provides: tex(el-anttmi.tfm) = %{tl_version}
Provides: tex(el-anttr.tfm) = %{tl_version}
Provides: tex(el-anttri.tfm) = %{tl_version}
Provides: tex(ex-anttb.tfm) = %{tl_version}
Provides: tex(ex-anttcb.tfm) = %{tl_version}
Provides: tex(ex-anttcl.tfm) = %{tl_version}
Provides: tex(ex-anttcm.tfm) = %{tl_version}
Provides: tex(ex-anttcr.tfm) = %{tl_version}
Provides: tex(ex-anttl.tfm) = %{tl_version}
Provides: tex(ex-anttm.tfm) = %{tl_version}
Provides: tex(ex-anttr.tfm) = %{tl_version}
Provides: tex(exp-anttb.tfm) = %{tl_version}
Provides: tex(exp-anttbi.tfm) = %{tl_version}
Provides: tex(exp-anttcb.tfm) = %{tl_version}
Provides: tex(exp-anttcbi.tfm) = %{tl_version}
Provides: tex(exp-anttcl.tfm) = %{tl_version}
Provides: tex(exp-anttcli.tfm) = %{tl_version}
Provides: tex(exp-anttcm.tfm) = %{tl_version}
Provides: tex(exp-anttcmi.tfm) = %{tl_version}
Provides: tex(exp-anttcr.tfm) = %{tl_version}
Provides: tex(exp-anttcri.tfm) = %{tl_version}
Provides: tex(exp-anttl.tfm) = %{tl_version}
Provides: tex(exp-anttli.tfm) = %{tl_version}
Provides: tex(exp-anttm.tfm) = %{tl_version}
Provides: tex(exp-anttmi.tfm) = %{tl_version}
Provides: tex(exp-anttr.tfm) = %{tl_version}
Provides: tex(exp-anttri.tfm) = %{tl_version}
Provides: tex(greek-anttb.tfm) = %{tl_version}
Provides: tex(greek-anttbi.tfm) = %{tl_version}
Provides: tex(greek-anttcb.tfm) = %{tl_version}
Provides: tex(greek-anttcbi.tfm) = %{tl_version}
Provides: tex(greek-anttcl.tfm) = %{tl_version}
Provides: tex(greek-anttcli.tfm) = %{tl_version}
Provides: tex(greek-anttcm.tfm) = %{tl_version}
Provides: tex(greek-anttcmi.tfm) = %{tl_version}
Provides: tex(greek-anttcr.tfm) = %{tl_version}
Provides: tex(greek-anttcri.tfm) = %{tl_version}
Provides: tex(greek-anttl.tfm) = %{tl_version}
Provides: tex(greek-anttli.tfm) = %{tl_version}
Provides: tex(greek-anttm.tfm) = %{tl_version}
Provides: tex(greek-anttmi.tfm) = %{tl_version}
Provides: tex(greek-anttr.tfm) = %{tl_version}
Provides: tex(greek-anttri.tfm) = %{tl_version}
Provides: tex(mi-anttbi.tfm) = %{tl_version}
Provides: tex(mi-anttcbi.tfm) = %{tl_version}
Provides: tex(mi-anttcli.tfm) = %{tl_version}
Provides: tex(mi-anttcmi.tfm) = %{tl_version}
Provides: tex(mi-anttcri.tfm) = %{tl_version}
Provides: tex(mi-anttli.tfm) = %{tl_version}
Provides: tex(mi-anttmi.tfm) = %{tl_version}
Provides: tex(mi-anttri.tfm) = %{tl_version}
Provides: tex(qx-anttb.tfm) = %{tl_version}
Provides: tex(qx-anttbcap.tfm) = %{tl_version}
Provides: tex(qx-anttbi.tfm) = %{tl_version}
Provides: tex(qx-anttbicap.tfm) = %{tl_version}
Provides: tex(qx-anttcb.tfm) = %{tl_version}
Provides: tex(qx-anttcbcap.tfm) = %{tl_version}
Provides: tex(qx-anttcbi.tfm) = %{tl_version}
Provides: tex(qx-anttcbicap.tfm) = %{tl_version}
Provides: tex(qx-anttcl.tfm) = %{tl_version}
Provides: tex(qx-anttclcap.tfm) = %{tl_version}
Provides: tex(qx-anttcli.tfm) = %{tl_version}
Provides: tex(qx-anttclicap.tfm) = %{tl_version}
Provides: tex(qx-anttcm.tfm) = %{tl_version}
Provides: tex(qx-anttcmcap.tfm) = %{tl_version}
Provides: tex(qx-anttcmi.tfm) = %{tl_version}
Provides: tex(qx-anttcmicap.tfm) = %{tl_version}
Provides: tex(qx-anttcr.tfm) = %{tl_version}
Provides: tex(qx-anttcrcap.tfm) = %{tl_version}
Provides: tex(qx-anttcri.tfm) = %{tl_version}
Provides: tex(qx-anttcricap.tfm) = %{tl_version}
Provides: tex(qx-anttl.tfm) = %{tl_version}
Provides: tex(qx-anttlcap.tfm) = %{tl_version}
Provides: tex(qx-anttli.tfm) = %{tl_version}
Provides: tex(qx-anttlicap.tfm) = %{tl_version}
Provides: tex(qx-anttm.tfm) = %{tl_version}
Provides: tex(qx-anttmcap.tfm) = %{tl_version}
Provides: tex(qx-anttmi.tfm) = %{tl_version}
Provides: tex(qx-anttmicap.tfm) = %{tl_version}
Provides: tex(qx-anttr.tfm) = %{tl_version}
Provides: tex(qx-anttrcap.tfm) = %{tl_version}
Provides: tex(qx-anttri.tfm) = %{tl_version}
Provides: tex(qx-anttricap.tfm) = %{tl_version}
Provides: tex(rm-anttb.tfm) = %{tl_version}
Provides: tex(rm-anttbi.tfm) = %{tl_version}
Provides: tex(rm-anttcb.tfm) = %{tl_version}
Provides: tex(rm-anttcbi.tfm) = %{tl_version}
Provides: tex(rm-anttcl.tfm) = %{tl_version}
Provides: tex(rm-anttcli.tfm) = %{tl_version}
Provides: tex(rm-anttcm.tfm) = %{tl_version}
Provides: tex(rm-anttcmi.tfm) = %{tl_version}
Provides: tex(rm-anttcr.tfm) = %{tl_version}
Provides: tex(rm-anttcri.tfm) = %{tl_version}
Provides: tex(rm-anttl.tfm) = %{tl_version}
Provides: tex(rm-anttli.tfm) = %{tl_version}
Provides: tex(rm-anttm.tfm) = %{tl_version}
Provides: tex(rm-anttmi.tfm) = %{tl_version}
Provides: tex(rm-anttr.tfm) = %{tl_version}
Provides: tex(rm-anttri.tfm) = %{tl_version}
Provides: tex(sy-anttbz.tfm) = %{tl_version}
Provides: tex(sy-anttcbz.tfm) = %{tl_version}
Provides: tex(sy-anttclz.tfm) = %{tl_version}
Provides: tex(sy-anttcmz.tfm) = %{tl_version}
Provides: tex(sy-anttcrz.tfm) = %{tl_version}
Provides: tex(sy-anttlz.tfm) = %{tl_version}
Provides: tex(sy-anttmz.tfm) = %{tl_version}
Provides: tex(sy-anttrz.tfm) = %{tl_version}
Provides: tex(t2a-anttb.tfm) = %{tl_version}
Provides: tex(t2a-anttbi.tfm) = %{tl_version}
Provides: tex(t2a-anttcb.tfm) = %{tl_version}
Provides: tex(t2a-anttcbi.tfm) = %{tl_version}
Provides: tex(t2a-anttcl.tfm) = %{tl_version}
Provides: tex(t2a-anttcli.tfm) = %{tl_version}
Provides: tex(t2a-anttcm.tfm) = %{tl_version}
Provides: tex(t2a-anttcmi.tfm) = %{tl_version}
Provides: tex(t2a-anttcr.tfm) = %{tl_version}
Provides: tex(t2a-anttcri.tfm) = %{tl_version}
Provides: tex(t2a-anttl.tfm) = %{tl_version}
Provides: tex(t2a-anttli.tfm) = %{tl_version}
Provides: tex(t2a-anttm.tfm) = %{tl_version}
Provides: tex(t2a-anttmi.tfm) = %{tl_version}
Provides: tex(t2a-anttr.tfm) = %{tl_version}
Provides: tex(t2a-anttri.tfm) = %{tl_version}
Provides: tex(t2b-anttb.tfm) = %{tl_version}
Provides: tex(t2b-anttbi.tfm) = %{tl_version}
Provides: tex(t2b-anttcb.tfm) = %{tl_version}
Provides: tex(t2b-anttcbi.tfm) = %{tl_version}
Provides: tex(t2b-anttcl.tfm) = %{tl_version}
Provides: tex(t2b-anttcli.tfm) = %{tl_version}
Provides: tex(t2b-anttcm.tfm) = %{tl_version}
Provides: tex(t2b-anttcmi.tfm) = %{tl_version}
Provides: tex(t2b-anttcr.tfm) = %{tl_version}
Provides: tex(t2b-anttcri.tfm) = %{tl_version}
Provides: tex(t2b-anttl.tfm) = %{tl_version}
Provides: tex(t2b-anttli.tfm) = %{tl_version}
Provides: tex(t2b-anttm.tfm) = %{tl_version}
Provides: tex(t2b-anttmi.tfm) = %{tl_version}
Provides: tex(t2b-anttr.tfm) = %{tl_version}
Provides: tex(t2b-anttri.tfm) = %{tl_version}
Provides: tex(t2c-anttb.tfm) = %{tl_version}
Provides: tex(t2c-anttbi.tfm) = %{tl_version}
Provides: tex(t2c-anttcb.tfm) = %{tl_version}
Provides: tex(t2c-anttcbi.tfm) = %{tl_version}
Provides: tex(t2c-anttcl.tfm) = %{tl_version}
Provides: tex(t2c-anttcli.tfm) = %{tl_version}
Provides: tex(t2c-anttcm.tfm) = %{tl_version}
Provides: tex(t2c-anttcmi.tfm) = %{tl_version}
Provides: tex(t2c-anttcr.tfm) = %{tl_version}
Provides: tex(t2c-anttcri.tfm) = %{tl_version}
Provides: tex(t2c-anttl.tfm) = %{tl_version}
Provides: tex(t2c-anttli.tfm) = %{tl_version}
Provides: tex(t2c-anttm.tfm) = %{tl_version}
Provides: tex(t2c-anttmi.tfm) = %{tl_version}
Provides: tex(t2c-anttr.tfm) = %{tl_version}
Provides: tex(t2c-anttri.tfm) = %{tl_version}
Provides: tex(t5-anttb.tfm) = %{tl_version}
Provides: tex(t5-anttbcap.tfm) = %{tl_version}
Provides: tex(t5-anttbi.tfm) = %{tl_version}
Provides: tex(t5-anttbicap.tfm) = %{tl_version}
Provides: tex(t5-anttcb.tfm) = %{tl_version}
Provides: tex(t5-anttcbcap.tfm) = %{tl_version}
Provides: tex(t5-anttcbi.tfm) = %{tl_version}
Provides: tex(t5-anttcbicap.tfm) = %{tl_version}
Provides: tex(t5-anttcl.tfm) = %{tl_version}
Provides: tex(t5-anttclcap.tfm) = %{tl_version}
Provides: tex(t5-anttcli.tfm) = %{tl_version}
Provides: tex(t5-anttclicap.tfm) = %{tl_version}
Provides: tex(t5-anttcm.tfm) = %{tl_version}
Provides: tex(t5-anttcmcap.tfm) = %{tl_version}
Provides: tex(t5-anttcmi.tfm) = %{tl_version}
Provides: tex(t5-anttcmicap.tfm) = %{tl_version}
Provides: tex(t5-anttcr.tfm) = %{tl_version}
Provides: tex(t5-anttcrcap.tfm) = %{tl_version}
Provides: tex(t5-anttcri.tfm) = %{tl_version}
Provides: tex(t5-anttcricap.tfm) = %{tl_version}
Provides: tex(t5-anttl.tfm) = %{tl_version}
Provides: tex(t5-anttlcap.tfm) = %{tl_version}
Provides: tex(t5-anttli.tfm) = %{tl_version}
Provides: tex(t5-anttlicap.tfm) = %{tl_version}
Provides: tex(t5-anttm.tfm) = %{tl_version}
Provides: tex(t5-anttmcap.tfm) = %{tl_version}
Provides: tex(t5-anttmi.tfm) = %{tl_version}
Provides: tex(t5-anttmicap.tfm) = %{tl_version}
Provides: tex(t5-anttr.tfm) = %{tl_version}
Provides: tex(t5-anttrcap.tfm) = %{tl_version}
Provides: tex(t5-anttri.tfm) = %{tl_version}
Provides: tex(t5-anttricap.tfm) = %{tl_version}
Provides: tex(texnansi-anttb.tfm) = %{tl_version}
Provides: tex(texnansi-anttbcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttbi.tfm) = %{tl_version}
Provides: tex(texnansi-anttbicap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcb.tfm) = %{tl_version}
Provides: tex(texnansi-anttcbcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcbi.tfm) = %{tl_version}
Provides: tex(texnansi-anttcbicap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcl.tfm) = %{tl_version}
Provides: tex(texnansi-anttclcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcli.tfm) = %{tl_version}
Provides: tex(texnansi-anttclicap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcm.tfm) = %{tl_version}
Provides: tex(texnansi-anttcmcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcmi.tfm) = %{tl_version}
Provides: tex(texnansi-anttcmicap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcr.tfm) = %{tl_version}
Provides: tex(texnansi-anttcrcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttcri.tfm) = %{tl_version}
Provides: tex(texnansi-anttcricap.tfm) = %{tl_version}
Provides: tex(texnansi-anttl.tfm) = %{tl_version}
Provides: tex(texnansi-anttlcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttli.tfm) = %{tl_version}
Provides: tex(texnansi-anttlicap.tfm) = %{tl_version}
Provides: tex(texnansi-anttm.tfm) = %{tl_version}
Provides: tex(texnansi-anttmcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttmi.tfm) = %{tl_version}
Provides: tex(texnansi-anttmicap.tfm) = %{tl_version}
Provides: tex(texnansi-anttr.tfm) = %{tl_version}
Provides: tex(texnansi-anttrcap.tfm) = %{tl_version}
Provides: tex(texnansi-anttri.tfm) = %{tl_version}
Provides: tex(texnansi-anttricap.tfm) = %{tl_version}
Provides: tex(ts1-anttb.tfm) = %{tl_version}
Provides: tex(ts1-anttbi.tfm) = %{tl_version}
Provides: tex(ts1-anttcb.tfm) = %{tl_version}
Provides: tex(ts1-anttcbi.tfm) = %{tl_version}
Provides: tex(ts1-anttcl.tfm) = %{tl_version}
Provides: tex(ts1-anttcli.tfm) = %{tl_version}
Provides: tex(ts1-anttcm.tfm) = %{tl_version}
Provides: tex(ts1-anttcmi.tfm) = %{tl_version}
Provides: tex(ts1-anttcr.tfm) = %{tl_version}
Provides: tex(ts1-anttcri.tfm) = %{tl_version}
Provides: tex(ts1-anttl.tfm) = %{tl_version}
Provides: tex(ts1-anttli.tfm) = %{tl_version}
Provides: tex(ts1-anttm.tfm) = %{tl_version}
Provides: tex(ts1-anttmi.tfm) = %{tl_version}
Provides: tex(ts1-anttr.tfm) = %{tl_version}
Provides: tex(ts1-anttri.tfm) = %{tl_version}
Provides: tex(wncy-anttb.tfm) = %{tl_version}
Provides: tex(wncy-anttbi.tfm) = %{tl_version}
Provides: tex(wncy-anttcb.tfm) = %{tl_version}
Provides: tex(wncy-anttcbi.tfm) = %{tl_version}
Provides: tex(wncy-anttcl.tfm) = %{tl_version}
Provides: tex(wncy-anttcli.tfm) = %{tl_version}
Provides: tex(wncy-anttcm.tfm) = %{tl_version}
Provides: tex(wncy-anttcmi.tfm) = %{tl_version}
Provides: tex(wncy-anttcr.tfm) = %{tl_version}
Provides: tex(wncy-anttcri.tfm) = %{tl_version}
Provides: tex(wncy-anttl.tfm) = %{tl_version}
Provides: tex(wncy-anttli.tfm) = %{tl_version}
Provides: tex(wncy-anttm.tfm) = %{tl_version}
Provides: tex(wncy-anttmi.tfm) = %{tl_version}
Provides: tex(wncy-anttr.tfm) = %{tl_version}
Provides: tex(wncy-anttri.tfm) = %{tl_version}
Provides: tex(anttb.pfb) = %{tl_version}
Provides: tex(anttbi.pfb) = %{tl_version}
Provides: tex(anttcb.pfb) = %{tl_version}
Provides: tex(anttcbi.pfb) = %{tl_version}
Provides: tex(anttcl.pfb) = %{tl_version}
Provides: tex(anttcli.pfb) = %{tl_version}
Provides: tex(anttcm.pfb) = %{tl_version}
Provides: tex(anttcmi.pfb) = %{tl_version}
Provides: tex(anttcr.pfb) = %{tl_version}
Provides: tex(anttcri.pfb) = %{tl_version}
Provides: tex(anttl.pfb) = %{tl_version}
Provides: tex(anttli.pfb) = %{tl_version}
Provides: tex(anttm.pfb) = %{tl_version}
Provides: tex(anttmi.pfb) = %{tl_version}
Provides: tex(anttr.pfb) = %{tl_version}
Provides: tex(anttri.pfb) = %{tl_version}
Provides: tex(anttor.sty) = %{tl_version}
Provides: tex(antyktor.sty) = %{tl_version}
Provides: tex(il2antt.fd) = %{tl_version}
Provides: tex(il2anttc.fd) = %{tl_version}
Provides: tex(il2anttl.fd) = %{tl_version}
Provides: tex(il2anttlc.fd) = %{tl_version}
Provides: tex(ly1antt.fd) = %{tl_version}
Provides: tex(ly1anttc.fd) = %{tl_version}
Provides: tex(ly1anttl.fd) = %{tl_version}
Provides: tex(ly1anttlc.fd) = %{tl_version}
Provides: tex(omlantt.fd) = %{tl_version}
Provides: tex(omlanttc.fd) = %{tl_version}
Provides: tex(omlanttl.fd) = %{tl_version}
Provides: tex(omlanttlc.fd) = %{tl_version}
Provides: tex(omsantt.fd) = %{tl_version}
Provides: tex(omsanttc.fd) = %{tl_version}
Provides: tex(omsanttl.fd) = %{tl_version}
Provides: tex(omsanttlc.fd) = %{tl_version}
Provides: tex(omxantt.fd) = %{tl_version}
Provides: tex(omxanttc.fd) = %{tl_version}
Provides: tex(omxanttl.fd) = %{tl_version}
Provides: tex(omxanttlc.fd) = %{tl_version}
Provides: tex(ot1antt.fd) = %{tl_version}
Provides: tex(ot1anttc.fd) = %{tl_version}
Provides: tex(ot1anttcm.fd) = %{tl_version}
Provides: tex(ot1anttl.fd) = %{tl_version}
Provides: tex(ot1anttlc.fd) = %{tl_version}
Provides: tex(ot1anttlcm.fd) = %{tl_version}
Provides: tex(ot1anttlm.fd) = %{tl_version}
Provides: tex(ot1anttm.fd) = %{tl_version}
Provides: tex(ot2antt.fd) = %{tl_version}
Provides: tex(ot2anttc.fd) = %{tl_version}
Provides: tex(ot2anttl.fd) = %{tl_version}
Provides: tex(ot2anttlc.fd) = %{tl_version}
Provides: tex(ot4antt.fd) = %{tl_version}
Provides: tex(ot4anttc.fd) = %{tl_version}
Provides: tex(ot4anttl.fd) = %{tl_version}
Provides: tex(ot4anttlc.fd) = %{tl_version}
Provides: tex(qxantt.fd) = %{tl_version}
Provides: tex(qxanttc.fd) = %{tl_version}
Provides: tex(qxanttl.fd) = %{tl_version}
Provides: tex(qxanttlc.fd) = %{tl_version}
Provides: tex(t1antt.fd) = %{tl_version}
Provides: tex(t1anttc.fd) = %{tl_version}
Provides: tex(t1anttl.fd) = %{tl_version}
Provides: tex(t1anttlc.fd) = %{tl_version}
Provides: tex(t2aantt.fd) = %{tl_version}
Provides: tex(t2aanttc.fd) = %{tl_version}
Provides: tex(t2aanttl.fd) = %{tl_version}
Provides: tex(t2aanttlc.fd) = %{tl_version}
Provides: tex(t2bantt.fd) = %{tl_version}
Provides: tex(t2banttc.fd) = %{tl_version}
Provides: tex(t2banttl.fd) = %{tl_version}
Provides: tex(t2banttlc.fd) = %{tl_version}
Provides: tex(t2cantt.fd) = %{tl_version}
Provides: tex(t2canttc.fd) = %{tl_version}
Provides: tex(t2canttl.fd) = %{tl_version}
Provides: tex(t2canttlc.fd) = %{tl_version}
Provides: tex(t5antt.fd) = %{tl_version}
Provides: tex(t5anttc.fd) = %{tl_version}
Provides: tex(t5anttl.fd) = %{tl_version}
Provides: tex(t5anttlc.fd) = %{tl_version}
Provides: tex(ts1antt.fd) = %{tl_version}
Provides: tex(ts1anttc.fd) = %{tl_version}
Provides: tex(ts1anttl.fd) = %{tl_version}
Provides: tex(ts1anttlc.fd) = %{tl_version}
Provides: tex(antt-math.tex) = %{tl_version}

%description antt
Antykwa Torunska is a serif font designed by the late Polish
typographer Zygfryd Gardzielewski, reconstructed and digitized
as Type 1.

%package antt-doc
Summary: Documentation for antt
Version: svn18651.2.08

Provides: tex-antt-doc
AutoReqProv: No

%description antt-doc
Documentation for antt

%package anufinalexam-doc
Summary: Documentation for anufinalexam
Version: svn26053.0

Provides: tex-anufinalexam-doc
AutoReqProv: No

%description anufinalexam-doc
Documentation for anufinalexam

%package anyfontsize
Provides: tex-anyfontsize = %{tl_version}
License: LPPL
Summary: Select any font size in LaTeX
Version: svn17050.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(anyfontsize.sty) = %{tl_version}

%description anyfontsize
The package allows the to user select any font size (via e.g.
\fontsize{...}{...}\selectfont), even those sizes that are not
listed in the .fd file. If such a size is requested, LaTeX will
search for and select the nearest listed size; anyfontsize will
then scale the font to the size actually requested. Similar
functionality is available for the CM family, for the EC
family, or for either computer modern encoding; the present
package generalises the facility.

%package anyfontsize-doc
Summary: Documentation for anyfontsize
Version: svn17050.0

Provides: tex-anyfontsize-doc
AutoReqProv: No

%description anyfontsize-doc
Documentation for anyfontsize

%package anysize
Provides: tex-anysize = %{tl_version}
License: Public Domain
Summary: A simple package to set up document margins
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(anysize.sty) = %{tl_version}

%description anysize
This package is considered obsolete; alternatives are the
typearea package from the koma-script bundle, or the geometry
package.

%package anysize-doc
Summary: Documentation for anysize
Version: svn15878.0

Provides: tex-anysize-doc
AutoReqProv: No

%description anysize-doc
Documentation for anysize

%package aobs-tikz
Provides: tex-aobs-tikz = %{tl_version}
License: LPPL 1.3
Summary: TikZ styles for creating overlaid pictures in beamer
Version: svn32662.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tikzlibraryoverlay-beamer-styles.code.tex) = %{tl_version}

%description aobs-tikz
The package defines auxiliary TikZ styles useful for overlaying
pictures' elements in Beamer. The TikZ styles are grouped in a
library, overlay-beamer-styles which is automatically called by
the package itself. Users may either load just aobs-tikz or the
library; the latter method necessitates TikZ manual load.

%package aobs-tikz-doc
Summary: Documentation for aobs-tikz
Version: svn32662.1.0

Provides: tex-aobs-tikz-doc
AutoReqProv: No

%description aobs-tikz-doc
Documentation for aobs-tikz

%package aomart
Provides: tex-aomart = %{tl_version}
License: LPPL 1.3
Summary: Typeset articles for the Annals of Mathematics
Version: svn46091
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fancyhdr.sty)
Requires: tex(lastpage.sty)
Requires: tex(ifpdf.sty)
Requires: tex(hyperref.sty)
Requires: tex(yhmath.sty)
Requires: tex(cmtiup.sty)
Provides: tex(aomart.cls) = %{tl_version}

%description aomart
The package provides a class for typesetting articles for The
Annals of Mathematics.

%package aomart-doc
Summary: Documentation for aomart
Version: svn46091
Provides: tex-aomart-doc
AutoReqProv: No

%description aomart-doc
Documentation for aomart

%package apa6e
Provides: tex-apa6e = %{tl_version}
License: BSD
Summary: Format manuscripts to APA 6th edition guidelines
Version: svn23350.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(times.sty)
Requires: tex(mathptmx.sty)
Requires: tex(geometry.sty)
Requires: tex(ragged2e.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(float.sty)
Requires: tex(caption.sty)
Requires: tex(ifthen.sty)
Requires: tex(endnotes.sty)
Requires: tex(endfloat.sty)
Provides: tex(apa6e.cls) = %{tl_version}

%description apa6e
This is a minimalist class file for formatting manuscripts in
the style described in the American Psychological Association
(APA) 6th edition guidelines. The apa6 class provides better
coverage of the requirements.

%package apa6e-doc
Summary: Documentation for apa6e
Version: svn23350.0.3

Provides: tex-apa6e-doc
AutoReqProv: No

%description apa6e-doc
Documentation for apa6e

%package apa6
Provides: tex-apa6 = %{tl_version}
License: LPPL 1.3
Summary: Format documents in APA style (6th edition)
Version: svn44652
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(biblatex.sty)
Requires: tex(apacite.sty)
Requires: tex(lmodern.sty)
Requires: tex(fontenc.sty)
Requires: tex(draftwatermark.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(txfonts.sty)
Requires: tex(pslatex.sty)
Requires: tex(times.sty)
Requires: tex(mathptm.sty)
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(booktabs.sty)
Requires: tex(threeparttable.sty)
Requires: tex(babel.sty)
Requires: tex(substr.sty)
Requires: tex(caption.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(bm.sty)
Requires: tex(endfloat.sty)
Requires: tex(float.sty)
Requires: tex(flushend.sty)
Requires: tex(ftnright.sty)
Provides: tex(apa6.cls) = %{tl_version}
Provides: tex(APAendfloat.cfg) = %{tl_version}

%description apa6
The class formats documents in APA style (6th Edition). It
provides a full set of facilities in three different output
modes (journal-like appearance, double-spaced manuscript, LaTeX-
like document), in contrast to the earlier apa6e, which only
formats double-spaced manuscripts in APA style. The class can
mask author identity for copies for use in masked peer review.
Citations are provided using the apacite bundle; the class
requires that package if citations are to be typeset. The class
is a development of the apa class (which is no longer
maintained).

%package apa6-doc
Summary: Documentation for apa6
Version: svn44652
Provides: tex-apa6-doc
AutoReqProv: No

%description apa6-doc
Documentation for apa6

%package apacite
Provides: tex-apacite = %{tl_version}
License: LPPL
Summary: Citation style following the rules of the APA
Version: svn31264.6.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(natbib.sty)
Requires: tex(index.sty)
Requires: tex(multicol.sty)
Provides: tex(apacdoc.sty) = %{tl_version}
Provides: tex(apacite.sty) = %{tl_version}

%description apacite
Apacite provides a BibTeX style and a LaTeX package which are
designed to match the requirements of the American
Psychological Association's style for citations. The package
follows the 6th edition of the APA manual, and is designed to
work with the apa6 class. A test document is provided. The
package is compatible with chapterbib and (to some extent) with
hyperref (for limits of compatibility, see the documentation).
The package also includes a means of generating an author index
for a document.

%package apacite-doc
Summary: Documentation for apacite
Version: svn31264.6.03

Provides: tex-apacite-doc
AutoReqProv: No

%description apacite-doc
Documentation for apacite

%package apalike2
Provides: tex-apalike2 = %{tl_version}
License: Knuth
Summary: Bibliography style that approaches APA requirements
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description apalike2
Described as a "local adaptation" of apalike (which is part of
the base bibtex distribution).

%package apa
Provides: tex-apa = %{tl_version}
License: LPPL
Summary: American Psychological Association format
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(longtable.sty)
Requires: tex(txfonts.sty)
Requires: tex(pslatex.sty)
Requires: tex(times.sty)
Requires: tex(mathptm.sty)
Requires: tex(babel.sty)
Requires: tex(apacite.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(bm.sty)
Requires: tex(endnotes.sty)
Requires: tex(endfloat.sty)
Requires: tex(flushend.sty)
Requires: tex(ftnright.sty)
Provides: tex(apa.cls) = %{tl_version}

%description apa
A LaTeX class to format text according to the American
Psychological Association Publication Manual (5th ed.)
specifications for manuscripts or to the APA journal look found
in journals like the Journal of Experimental Psychology etc. In
addition, it provides regular LaTeX-like output with a few
enhancements and APA-motivated changes. Note that the apa6
(covering the 6th edition of the manual) is now commonly in
use. Apacite, which used to work with this class, has now been
updated for use with apa6.

%package apa-doc
Summary: Documentation for apa
Version: svn42428
Provides: tex-apa-doc
AutoReqProv: No

%description apa-doc
Documentation for apa

%package apnum
Provides: tex-apnum = %{tl_version}
License: Public Domain
Summary: Arbitrary precision numbers implemented by TeX macros
Version: svn39710

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(apnum.tex) = %{tl_version}

%description apnum
The basic operations (addition, subtraction, multiplication,
division, power to an integer) are implemented by TeX macros in
this package. Operands may be numbers with arbitrary numbers of
digits; scientific notation is allowed. The expression scanner
is also provided. Exhaustive documentation (including detailed
TeXnical documentation) is included. The macro includes many
optimizations and uses only TeX primitives (from classic TeX)
and \newcount macro.

%package apnum-doc
Summary: Documentation for apnum
Version: svn39710

Provides: tex-apnum-doc
AutoReqProv: No

%description apnum-doc
Documentation for apnum

%package appendixnumberbeamer
Provides: tex-appendixnumberbeamer = %{tl_version}
License: GPLv3+
Summary: Manage frame numbering in appendixes in beamer
Version: svn46317
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(appendixnumberbeamer.sty) = %{tl_version}

%description appendixnumberbeamer
The package arranges that an appendix in a beamer presentation
is not counted in the frame count of the presentation;
appendixes are numbered starting from one.

%package appendixnumberbeamer-doc
Summary: Documentation for appendixnumberbeamer
Version: svn46317
Provides: tex-appendixnumberbeamer-doc
AutoReqProv: No

%description appendixnumberbeamer-doc
Documentation for appendixnumberbeamer

%package appendix
Provides: tex-appendix = %{tl_version}
License: LPPL
Summary: Extra control of appendices
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(appendix.sty) = %{tl_version}

%description appendix
The appendix package provides various ways of formatting the
titles of appendices. Also (sub)appendices environments are
provided that can be used, for example, for per chapter/section
appendices. The word 'Appendix' or similar can be prepended to
the appendix number for article class documents. The word
'Appendices' or similar can be added to the table of contents
before the appendices are listed. The word 'Appendices' or
similar can be typeset as a \part-like heading (page) in the
body. An appendices environment is provided which can be used
instead of the \appendix command.

%package appendix-doc
Summary: Documentation for appendix
Version: svn42428
Provides: tex-appendix-doc
AutoReqProv: No

%description appendix-doc
Documentation for appendix

%package apprends-latex-doc
Summary: Documentation for apprends-latex
Version: svn19306.4.02

Provides: tex-apprends-latex-doc
AutoReqProv: No

%description apprends-latex-doc
Documentation for apprends-latex

%package apptools
Provides: tex-apptools = %{tl_version}
License: LPPL 1.3
Summary: Tools for customising appendices
Version: svn28400.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(apptools.sty) = %{tl_version}

%description apptools
The package provides an \AtAppendix command to add code to a
hook that is executed when \appendix is called by the user.
Additionally, a TeX conditional \ifappendix and a LaTeX-style
conditional \IfAppendix are provided to check if \appendix has
already been called.

%package apptools-doc
Summary: Documentation for apptools
Version: svn28400.1.0

Provides: tex-apptools-doc
AutoReqProv: No

%description apptools-doc
Documentation for apptools

%package arabi
Provides: tex-arabi = %{tl_version}
License: LPPL
Summary: (La)TeX support for Arabic and Farsi, compliant with Babel
Version: svn44662
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(amssymb.sty)
Requires: tex(inputenc.sty)
Requires: tex(ifthen.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-3d.sty)
Requires: tex(multido.sty)
Requires: tex(fp.sty)
Requires: tex(pst-key.sty)
Requires: tex(babel.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pifont.sty)
Provides: tex(ararabeyes.enc) = %{tl_version}
Provides: tex(ardtpnaskh.enc) = %{tl_version}
Provides: tex(ardtpthuluth.enc) = %{tl_version}
Provides: tex(armonotype.enc) = %{tl_version}
Provides: tex(aromega.enc) = %{tl_version}
Provides: tex(arsimplified.enc) = %{tl_version}
Provides: tex(arunicode.enc) = %{tl_version}
Provides: tex(farsitex.enc) = %{tl_version}
Provides: tex(farsiwebencoding.enc) = %{tl_version}
Provides: tex(frmonotype.enc) = %{tl_version}
Provides: tex(frsimple.enc) = %{tl_version}
Provides: tex(frsimplified.enc) = %{tl_version}
Provides: tex(frunicode.enc) = %{tl_version}
Provides: tex(arabi.map) = %{tl_version}
Provides: tex(ae_almohanad_xxbold.tfm) = %{tl_version}
Provides: tex(ae_alyermook.tfm) = %{tl_version}
Provides: tex(ae_arab.tfm) = %{tl_version}
Provides: tex(ae_tholoth.tfm) = %{tl_version}
Provides: tex(aealbattar.tfm) = %{tl_version}
Provides: tex(aealmateen.tfm) = %{tl_version}
Provides: tex(aealmohanadb.tfm) = %{tl_version}
Provides: tex(aealmohanadbolditalic.tfm) = %{tl_version}
Provides: tex(aealmothnna.tfm) = %{tl_version}
Provides: tex(aealyermook.tfm) = %{tl_version}
Provides: tex(aearab.tfm) = %{tl_version}
Provides: tex(aecortoba.tfm) = %{tl_version}
Provides: tex(aedimnah.tfm) = %{tl_version}
Provides: tex(aefurat.tfm) = %{tl_version}
Provides: tex(aegranada.tfm) = %{tl_version}
Provides: tex(aegraph.tfm) = %{tl_version}
Provides: tex(aehani.tfm) = %{tl_version}
Provides: tex(aehor.tfm) = %{tl_version}
Provides: tex(aekayrawan.tfm) = %{tl_version}
Provides: tex(aekhalid.tfm) = %{tl_version}
Provides: tex(aemashq.tfm) = %{tl_version}
Provides: tex(aemetal.tfm) = %{tl_version}
Provides: tex(aenada.tfm) = %{tl_version}
Provides: tex(aenagham.tfm) = %{tl_version}
Provides: tex(aenice.tfm) = %{tl_version}
Provides: tex(aeostorah.tfm) = %{tl_version}
Provides: tex(aeouhod.tfm) = %{tl_version}
Provides: tex(aepetra.tfm) = %{tl_version}
Provides: tex(aerehan.tfm) = %{tl_version}
Provides: tex(aesalem.tfm) = %{tl_version}
Provides: tex(aeshado.tfm) = %{tl_version}
Provides: tex(aesharjah.tfm) = %{tl_version}
Provides: tex(aesindibad.tfm) = %{tl_version}
Provides: tex(aetarablus.tfm) = %{tl_version}
Provides: tex(aetholoth.tfm) = %{tl_version}
Provides: tex(homa.tfm) = %{tl_version}
Provides: tex(nazli.tfm) = %{tl_version}
Provides: tex(nazlib.tfm) = %{tl_version}
Provides: tex(nazlibout.tfm) = %{tl_version}
Provides: tex(nazliout.tfm) = %{tl_version}
Provides: tex(titr.tfm) = %{tl_version}
Provides: tex(titrout.tfm) = %{tl_version}
Provides: tex(ae_albattar.pfb) = %{tl_version}
Provides: tex(ae_almateen.pfb) = %{tl_version}
Provides: tex(ae_almohanad_bold.pfb) = %{tl_version}
Provides: tex(ae_almohanad_boldItalitalic.pfb) = %{tl_version}
Provides: tex(ae_almohanad_thin.pfb) = %{tl_version}
Provides: tex(ae_almohanad_xxbold.pfb) = %{tl_version}
Provides: tex(ae_almothnna.pfb) = %{tl_version}
Provides: tex(ae_alyermook.pfb) = %{tl_version}
Provides: tex(ae_arab.pfb) = %{tl_version}
Provides: tex(ae_cortoba.pfb) = %{tl_version}
Provides: tex(ae_dimnah.pfb) = %{tl_version}
Provides: tex(ae_furat.pfb) = %{tl_version}
Provides: tex(ae_granada.pfb) = %{tl_version}
Provides: tex(ae_graph.pfb) = %{tl_version}
Provides: tex(ae_hani.pfb) = %{tl_version}
Provides: tex(ae_hor.pfb) = %{tl_version}
Provides: tex(ae_kayrawan.pfb) = %{tl_version}
Provides: tex(ae_khalid.pfb) = %{tl_version}
Provides: tex(ae_mashq.pfb) = %{tl_version}
Provides: tex(ae_metal.pfb) = %{tl_version}
Provides: tex(ae_nada.pfb) = %{tl_version}
Provides: tex(ae_nagham.pfb) = %{tl_version}
Provides: tex(ae_nice.pfb) = %{tl_version}
Provides: tex(ae_ostorah.pfb) = %{tl_version}
Provides: tex(ae_ouhod.pfb) = %{tl_version}
Provides: tex(ae_petra.pfb) = %{tl_version}
Provides: tex(ae_rehan.pfb) = %{tl_version}
Provides: tex(ae_salem.pfb) = %{tl_version}
Provides: tex(ae_shado.pfb) = %{tl_version}
Provides: tex(ae_sharjah.pfb) = %{tl_version}
Provides: tex(ae_sindibad.pfb) = %{tl_version}
Provides: tex(ae_tarablus.pfb) = %{tl_version}
Provides: tex(ae_tholoth.pfb) = %{tl_version}
Provides: tex(homa.pfb) = %{tl_version}
Provides: tex(nazli.pfb) = %{tl_version}
Provides: tex(nazlib.pfb) = %{tl_version}
Provides: tex(titr.pfb) = %{tl_version}
Provides: tex(8859-6.def) = %{tl_version}
Provides: tex(PPRarabic.sty) = %{tl_version}
Provides: tex(arabi4ht.cfg) = %{tl_version}
Provides: tex(arabic.cfg) = %{tl_version}
Provides: tex(arabic.ldf) = %{tl_version}
Provides: tex(arabicfnt.sty) = %{tl_version}
Provides: tex(arabicore.sty) = %{tl_version}
Provides: tex(arabiftoday.sty) = %{tl_version}
Provides: tex(arabnovowel.sty) = %{tl_version}
Provides: tex(arfonts.sty) = %{tl_version}
Provides: tex(ARfonts.sty) = %{tl_version}
Provides: tex(calendrierfpar.sty) = %{tl_version}
Provides: tex(calendrierfpmodified.sty) = %{tl_version}
Provides: tex(cp1256.def) = %{tl_version}
Provides: tex(farsi.ldf) = %{tl_version}
Provides: tex(farsifnt.sty) = %{tl_version}
Provides: tex(fmultico.sty) = %{tl_version}
Provides: tex(fnum.sty) = %{tl_version}
Provides: tex(frfonts.sty) = %{tl_version}
Provides: tex(FRfonts.sty) = %{tl_version}
Provides: tex(haparabica.sty) = %{tl_version}
Provides: tex(HAPArabica.sty) = %{tl_version}
Provides: tex(laeaealbattar.fd) = %{tl_version}
Provides: tex(laeaealmateen.fd) = %{tl_version}
Provides: tex(laeaealmohanadb.fd) = %{tl_version}
Provides: tex(laeaealmothnna.fd) = %{tl_version}
Provides: tex(laeaealyermook.fd) = %{tl_version}
Provides: tex(laeaearab.fd) = %{tl_version}
Provides: tex(laeaecortoba.fd) = %{tl_version}
Provides: tex(laeaedimnah.fd) = %{tl_version}
Provides: tex(laeaefurat.fd) = %{tl_version}
Provides: tex(laeaegranada.fd) = %{tl_version}
Provides: tex(laeaegraph.fd) = %{tl_version}
Provides: tex(laeaehani.fd) = %{tl_version}
Provides: tex(laeaehor.fd) = %{tl_version}
Provides: tex(laeaekayrawan.fd) = %{tl_version}
Provides: tex(laeaekhalid.fd) = %{tl_version}
Provides: tex(laeaemashq.fd) = %{tl_version}
Provides: tex(laeaemetal.fd) = %{tl_version}
Provides: tex(laeaenada.fd) = %{tl_version}
Provides: tex(laeaenagham.fd) = %{tl_version}
Provides: tex(laeaenice.fd) = %{tl_version}
Provides: tex(laeaeostorah.fd) = %{tl_version}
Provides: tex(laeaeouhod.fd) = %{tl_version}
Provides: tex(laeaepetra.fd) = %{tl_version}
Provides: tex(laeaerehan.fd) = %{tl_version}
Provides: tex(laeaesalem.fd) = %{tl_version}
Provides: tex(laeaeshado.fd) = %{tl_version}
Provides: tex(laeaesharjah.fd) = %{tl_version}
Provides: tex(laeaesindibad.fd) = %{tl_version}
Provides: tex(laeaetarablus.fd) = %{tl_version}
Provides: tex(laeaetholoth.fd) = %{tl_version}
Provides: tex(laeandlso.fd) = %{tl_version}
Provides: tex(laeararial.fd) = %{tl_version}
Provides: tex(laearcour.fd) = %{tl_version}
Provides: tex(laearomega.fd) = %{tl_version}
Provides: tex(laearsimpo.fd) = %{tl_version}
Provides: tex(laeartimes.fd) = %{tl_version}
Provides: tex(laeasv.fd) = %{tl_version}
Provides: tex(laecmr.fd) = %{tl_version}
Provides: tex(laecmss.fd) = %{tl_version}
Provides: tex(laecmtt.fd) = %{tl_version}
Provides: tex(laedthuluth.fd) = %{tl_version}
Provides: tex(laedtpn.fd) = %{tl_version}
Provides: tex(laedtpnsp.fd) = %{tl_version}
Provides: tex(laeenc.def) = %{tl_version}
Provides: tex(laekacstbook.fd) = %{tl_version}
Provides: tex(laemaghribi.fd) = %{tl_version}
Provides: tex(laenaskhi.fd) = %{tl_version}
Provides: tex(laereqaa.fd) = %{tl_version}
Provides: tex(laetraditionalarabic.fd) = %{tl_version}
Provides: tex(lagally.sty) = %{tl_version}
Provides: tex(lfecmr.fd) = %{tl_version}
Provides: tex(lfecmss.fd) = %{tl_version}
Provides: tex(lfecmtt.fd) = %{tl_version}
Provides: tex(lfeelham.fd) = %{tl_version}
Provides: tex(lfeenc.def) = %{tl_version}
Provides: tex(lfefandlso.fd) = %{tl_version}
Provides: tex(lfefarsismpl.fd) = %{tl_version}
Provides: tex(lfefrarial.fd) = %{tl_version}
Provides: tex(lfefrtimes.fd) = %{tl_version}
Provides: tex(lfeftraditionalarabic.fd) = %{tl_version}
Provides: tex(lfehoma.fd) = %{tl_version}
Provides: tex(lfekoodak.fd) = %{tl_version}
Provides: tex(lfenazli.fd) = %{tl_version}
Provides: tex(lfenazliout.fd) = %{tl_version}
Provides: tex(lferoya.fd) = %{tl_version}
Provides: tex(lfesmplarabic.fd) = %{tl_version}
Provides: tex(lfeterafik.fd) = %{tl_version}
Provides: tex(lfetitr.fd) = %{tl_version}
Provides: tex(lfetitrout.fd) = %{tl_version}
Provides: tex(mosq.def) = %{tl_version}
Provides: tex(poetry.sty) = %{tl_version}
Provides: tex(puenc-ar.def) = %{tl_version}
Provides: tex(transcmr.fd) = %{tl_version}
Provides: tex(translit.sty) = %{tl_version}

%description arabi
The package provides an Arabic and Farsi script support for TeX
without the need of any external pre-processor, and in a way
that is compatible with babel. The bi-directional capability
supposes that the user has a TeX engine that knows the four
primitives \beginR, \endR, \beginL and \endL. That is the case
in both the TeX--XeT and e-TeX engines. Arabi will accept input
in several 8-bit encodings, including UTF-8. Arabi can make use
of a wide variety of Arabic and Farsi fonts, and provides one
of its own. PDF files generated using Arabi may be searched,
and text may be copied from them and pasted elsewhere.

%package arabi-doc
Summary: Documentation for arabi
Version: svn44662
Provides: tex-arabi-doc
AutoReqProv: No

%description arabi-doc
Documentation for arabi

%package arabtex
Provides: tex-arabtex = %{tl_version}
License: LPPL
Summary: Macros and fonts for typesetting Arabic
Version: svn25711.3.17

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(arabtex.map) = %{tl_version}
Provides: tex(hcaption.tfm) = %{tl_version}
Provides: tex(hclassic.tfm) = %{tl_version}
Provides: tex(nash14.tfm) = %{tl_version}
Provides: tex(nash14bf.tfm) = %{tl_version}
Provides: tex(xnsh14.tfm) = %{tl_version}
Provides: tex(xnsh14bf.tfm) = %{tl_version}
Provides: tex(yarborn.tfm) = %{tl_version}
Provides: tex(hcaption-4.pfb) = %{tl_version}
Provides: tex(hclassic-4.pfb) = %{tl_version}
Provides: tex(xnsh14.pfb) = %{tl_version}
Provides: tex(xnsh14bf.pfb) = %{tl_version}
Provides: tex(Uxnsh.fd) = %{tl_version}
Provides: tex(abidir.sty) = %{tl_version}
Provides: tex(abjad.sty) = %{tl_version}
Provides: tex(aboxes.sty) = %{tl_version}
Provides: tex(acjk.sty) = %{tl_version}
Provides: tex(acmd.sty) = %{tl_version}
Provides: tex(aconfig.sty) = %{tl_version}
Provides: tex(aedpatch.sty) = %{tl_version}
Provides: tex(afonts.sty) = %{tl_version}
Provides: tex(afonts0.sty) = %{tl_version}
Provides: tex(afonts1.sty) = %{tl_version}
Provides: tex(afonts2.sty) = %{tl_version}
Provides: tex(afoot.sty) = %{tl_version}
Provides: tex(alatex.sty) = %{tl_version}
Provides: tex(aligs.sty) = %{tl_version}
Provides: tex(alists.sty) = %{tl_version}
Provides: tex(alocal.sty) = %{tl_version}
Provides: tex(altxext.sty) = %{tl_version}
Provides: tex(amac.sty) = %{tl_version}
Provides: tex(aoutput.sty) = %{tl_version}
Provides: tex(aparse.sty) = %{tl_version}
Provides: tex(apatch.sty) = %{tl_version}
Provides: tex(arababel.sty) = %{tl_version}
Provides: tex(arabart.cls) = %{tl_version}
Provides: tex(arabaux.sty) = %{tl_version}
Provides: tex(arabbook.cls) = %{tl_version}
Provides: tex(arabchrs.sty) = %{tl_version}
Provides: tex(arabext.sty) = %{tl_version}
Provides: tex(arabrep.cls) = %{tl_version}
Provides: tex(arabrep1.cls) = %{tl_version}
Provides: tex(arabskel.sty) = %{tl_version}
Provides: tex(arabsymb.sty) = %{tl_version}
Provides: tex(arabtex-doc.tex) = %{tl_version}
Provides: tex(arabtex.sty) = %{tl_version}
Provides: tex(arabtex.tex) = %{tl_version}
Provides: tex(arabtoks.sty) = %{tl_version}
Provides: tex(arwindoc.tex) = %{tl_version}
Provides: tex(ascan.sty) = %{tl_version}
Provides: tex(asect.sty) = %{tl_version}
Provides: tex(asize10.clo) = %{tl_version}
Provides: tex(asize11.clo) = %{tl_version}
Provides: tex(asize12.clo) = %{tl_version}
Provides: tex(asmo449.sty) = %{tl_version}
Provides: tex(asmo449a.sty) = %{tl_version}
Provides: tex(atabg.sty) = %{tl_version}
Provides: tex(atrans.sty) = %{tl_version}
Provides: tex(awrite.sty) = %{tl_version}
Provides: tex(bhs.sty) = %{tl_version}
Provides: tex(bhslabel.sty) = %{tl_version}
Provides: tex(buck.sty) = %{tl_version}
Provides: tex(captions.def) = %{tl_version}
Provides: tex(cp1256.sty) = %{tl_version}
Provides: tex(etrans.sty) = %{tl_version}
Provides: tex(gedalin.sty) = %{tl_version}
Provides: tex(guha.tex) = %{tl_version}
Provides: tex(hebchrs.sty) = %{tl_version}
Provides: tex(hebsymb.sty) = %{tl_version}
Provides: tex(hebtex.sty) = %{tl_version}
Provides: tex(hebtex.tex) = %{tl_version}
Provides: tex(hecmd.sty) = %{tl_version}
Provides: tex(hefonts.sty) = %{tl_version}
Provides: tex(hefonts0.sty) = %{tl_version}
Provides: tex(hefonts1.sty) = %{tl_version}
Provides: tex(hefonts2.sty) = %{tl_version}
Provides: tex(heparse.sty) = %{tl_version}
Provides: tex(hepatch.sty) = %{tl_version}
Provides: tex(hescan.sty) = %{tl_version}
Provides: tex(hetrans.sty) = %{tl_version}
Provides: tex(hewrite.sty) = %{tl_version}
Provides: tex(hmac.sty) = %{tl_version}
Provides: tex(isiri.sty) = %{tl_version}
Provides: tex(iso88596.sty) = %{tl_version}
Provides: tex(kashmiri.tex) = %{tl_version}
Provides: tex(ligtable.tex) = %{tl_version}
Provides: tex(malay.tex) = %{tl_version}
Provides: tex(nashbf.sty) = %{tl_version}
Provides: tex(omar.tex) = %{tl_version}
Provides: tex(raw.sty) = %{tl_version}
Provides: tex(saw.sty) = %{tl_version}
Provides: tex(sindhi.tex) = %{tl_version}
Provides: tex(sotoku.sty) = %{tl_version}
Provides: tex(twoblks.sty) = %{tl_version}
Provides: tex(uheb.fd) = %{tl_version}
Provides: tex(uighur.tex) = %{tl_version}
Provides: tex(unash.fd) = %{tl_version}
Provides: tex(utf8.sty) = %{tl_version}
Provides: tex(utfcode.sty) = %{tl_version}
Provides: tex(verses.sty) = %{tl_version}
Provides: tex(witbhs.sty) = %{tl_version}
Provides: tex(xarbskel.sty) = %{tl_version}
Provides: tex(xarbsymb.sty) = %{tl_version}
Provides: tex(yiddish.sty) = %{tl_version}

%description arabtex
ArabTeX is a package extending the capabilities of TeX/LaTeX to
generate Arabic and Hebrew text. Input may be in ASCII
transliteration or other encodings (including UTF-8); output
may be Arabic, Hebrew, or any of several languages that use the
Arabic script. ArabTeX consists of a TeX macro package and
Arabic and Hebrew fonts (provided both in Metafont format and
Adobe Type 1). The Arabic font is presently only available in
the Naskhi style. ArabTeX will run with Plain TeX and also with
LaTeX.

%package arabtex-doc
Summary: Documentation for arabtex
Version: svn25711.3.17

Provides: tex-arabtex-doc
AutoReqProv: No

%description arabtex-doc
Documentation for arabtex

%package arabxetex
Provides: tex-arabxetex = %{tl_version}
License: LPPL
Summary: An ArabTeX-like interface for XeLaTeX
Version: svn38299.1.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(fontspec.sty)
Requires: tex(bidi.sty)
Provides: tex(arabicdigits.map) = %{tl_version}
Provides: tex(arabtex-farsi-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-farsi-novoc.map) = %{tl_version}
Provides: tex(arabtex-farsi-trans-loc.map) = %{tl_version}
Provides: tex(arabtex-farsi-voc.map) = %{tl_version}
Provides: tex(arabtex-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-kashmiri-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-kashmiri-novoc.map) = %{tl_version}
Provides: tex(arabtex-kashmiri-voc.map) = %{tl_version}
Provides: tex(arabtex-kurdish.map) = %{tl_version}
Provides: tex(arabtex-maghribi-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-maghribi-novoc.map) = %{tl_version}
Provides: tex(arabtex-maghribi-voc.map) = %{tl_version}
Provides: tex(arabtex-malay-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-malay-novoc.map) = %{tl_version}
Provides: tex(arabtex-malay-voc.map) = %{tl_version}
Provides: tex(arabtex-novoc.map) = %{tl_version}
Provides: tex(arabtex-pashto-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-pashto-novoc.map) = %{tl_version}
Provides: tex(arabtex-pashto-trans-loc.map) = %{tl_version}
Provides: tex(arabtex-pashto-voc.map) = %{tl_version}
Provides: tex(arabtex-sindhi-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-sindhi-novoc.map) = %{tl_version}
Provides: tex(arabtex-sindhi-trans-loc.map) = %{tl_version}
Provides: tex(arabtex-sindhi-voc.map) = %{tl_version}
Provides: tex(arabtex-trans-dmg.map) = %{tl_version}
Provides: tex(arabtex-trans-loc.map) = %{tl_version}
Provides: tex(arabtex-turk-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-turk-novoc.map) = %{tl_version}
Provides: tex(arabtex-turk-voc.map) = %{tl_version}
Provides: tex(arabtex-uighur.map) = %{tl_version}
Provides: tex(arabtex-urdu-fullvoc.map) = %{tl_version}
Provides: tex(arabtex-urdu-novoc.map) = %{tl_version}
Provides: tex(arabtex-urdu-trans-loc.map) = %{tl_version}
Provides: tex(arabtex-urdu-voc.map) = %{tl_version}
Provides: tex(arabtex-voc.map) = %{tl_version}
Provides: tex(farsidigits.map) = %{tl_version}
Provides: tex(fixlamalif.map) = %{tl_version}
Provides: tex(mirrorpunct.map) = %{tl_version}
Provides: tex(arabxetex.sty) = %{tl_version}

%description arabxetex
ArabXeTeX provides a convenient ArabTeX-like user-interface for
typesetting languages using the Arabic script in XeLaTeX, with
flexible access to font features. Input in ArabTeX notation can
be set in three different vocalization modes or in roman
transliteration. Direct UTF-8 input is also supported. The
parsing and converting of ArabTeX input to Unicode is done by
means of TECkit mappings. Version 1.0 provides support for
Arabic, Maghribi Arabic, Farsi (Persian), Urdu, Sindhi,
Kashmiri, Ottoman Turkish, Kurdish, Jawi (Malay) and Uighur.
The documentation covers topics such as typesetting the Holy
Quran and typesetting bidirectional critical editions with the
package ednotes.

%package arabxetex-doc
Summary: Documentation for arabxetex
Version: svn38299.1.2.1

Provides: tex-arabxetex-doc
AutoReqProv: No

%description arabxetex-doc
Documentation for arabxetex

%package aramaic-serto
Provides: tex-aramaic-serto = %{tl_version}
License: LPPL 1.3
Summary: Fonts and LaTeX for Syriac written in Serto
Version: svn30042.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(syriac.map) = %{tl_version}
Provides: tex(assy.tfm) = %{tl_version}
Provides: tex(assyrb10.tfm) = %{tl_version}
Provides: tex(serto10.tfm) = %{tl_version}
Provides: tex(sertob10.tfm) = %{tl_version}
Provides: tex(assy.pfb) = %{tl_version}
Provides: tex(assyrb10.pfb) = %{tl_version}
Provides: tex(serto10.pfb) = %{tl_version}
Provides: tex(sertob10.pfb) = %{tl_version}
Provides: tex(assyr.sty) = %{tl_version}
Provides: tex(serto.sty) = %{tl_version}
Provides: tex(syriac.sty) = %{tl_version}
Provides: tex(uassyr.fd) = %{tl_version}
Provides: tex(userto.fd) = %{tl_version}

%description aramaic-serto
This package enables (La)TeX users to typeset words or phrases
(e-TeX extensions are needed) in Syriac (Aramaic) using the
Serto-alphabet. The package includes a preprocessor written in
Python (>= 1.5.2) in order to deal with right-to-left
typesetting for those who do not want to use elatex and to
choose the correct letter depending on word context
(initial/medial/final form). Detailed documentation and
examples are included.

%package aramaic-serto-doc
Summary: Documentation for aramaic-serto
Version: svn30042.1.0

Provides: tex-aramaic-serto-doc
AutoReqProv: No

%description aramaic-serto-doc
Documentation for aramaic-serto

%package archaic
Provides: tex-archaic = %{tl_version}
License: LPPL
Summary: A collection of archaic fonts
Version: svn38005.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(aramaic.map) = %{tl_version}
Provides: tex(archaicprw.map) = %{tl_version}
Provides: tex(cypriot.map) = %{tl_version}
Provides: tex(etruscan.map) = %{tl_version}
Provides: tex(fut10.map) = %{tl_version}
Provides: tex(greek4cbc.map) = %{tl_version}
Provides: tex(greek6cbc.map) = %{tl_version}
Provides: tex(hieroglf.map) = %{tl_version}
Provides: tex(linearb.map) = %{tl_version}
Provides: tex(nabatean.map) = %{tl_version}
Provides: tex(oands.map) = %{tl_version}
Provides: tex(oldprsn.map) = %{tl_version}
Provides: tex(phoenician.map) = %{tl_version}
Provides: tex(protosem.map) = %{tl_version}
Provides: tex(sarabian.map) = %{tl_version}
Provides: tex(ugarite.map) = %{tl_version}
Provides: tex(aram10.tfm) = %{tl_version}
Provides: tex(copsn10.tfm) = %{tl_version}
Provides: tex(cugar10.tfm) = %{tl_version}
Provides: tex(cypr10.tfm) = %{tl_version}
Provides: tex(etr10.tfm) = %{tl_version}
Provides: tex(fut10.tfm) = %{tl_version}
Provides: tex(givbc10.tfm) = %{tl_version}
Provides: tex(gvibc10.tfm) = %{tl_version}
Provides: tex(linb10.tfm) = %{tl_version}
Provides: tex(nab10.tfm) = %{tl_version}
Provides: tex(oandsi10.tfm) = %{tl_version}
Provides: tex(oandsu10.tfm) = %{tl_version}
Provides: tex(phnc10.tfm) = %{tl_version}
Provides: tex(pmhg.tfm) = %{tl_version}
Provides: tex(proto10.tfm) = %{tl_version}
Provides: tex(sarab10.tfm) = %{tl_version}
Provides: tex(vik10.tfm) = %{tl_version}
Provides: tex(aram10.pfb) = %{tl_version}
Provides: tex(copsn10.pfb) = %{tl_version}
Provides: tex(cugar10.pfb) = %{tl_version}
Provides: tex(cypr10.pfb) = %{tl_version}
Provides: tex(etr10.pfb) = %{tl_version}
Provides: tex(fut10.pfb) = %{tl_version}
Provides: tex(givbc10.pfb) = %{tl_version}
Provides: tex(gvibc10.pfb) = %{tl_version}
Provides: tex(linb10.pfb) = %{tl_version}
Provides: tex(nab10.pfb) = %{tl_version}
Provides: tex(oandsi10.pfb) = %{tl_version}
Provides: tex(oandsu10.pfb) = %{tl_version}
Provides: tex(phnc10.pfb) = %{tl_version}
Provides: tex(pmhg.pfb) = %{tl_version}
Provides: tex(proto10.pfb) = %{tl_version}
Provides: tex(sarab10.pfb) = %{tl_version}
Provides: tex(aramaic.sty) = %{tl_version}
Provides: tex(cypriot.sty) = %{tl_version}
Provides: tex(etruscan.sty) = %{tl_version}
Provides: tex(greek4cbc.sty) = %{tl_version}
Provides: tex(greek6cbc.sty) = %{tl_version}
Provides: tex(hieroglf.sty) = %{tl_version}
Provides: tex(linearb.sty) = %{tl_version}
Provides: tex(nabatean.sty) = %{tl_version}
Provides: tex(oands.sty) = %{tl_version}
Provides: tex(oldprsn.sty) = %{tl_version}
Provides: tex(ot1aram.fd) = %{tl_version}
Provides: tex(ot1copsn.fd) = %{tl_version}
Provides: tex(ot1cugar.fd) = %{tl_version}
Provides: tex(ot1cypr.fd) = %{tl_version}
Provides: tex(ot1etr.fd) = %{tl_version}
Provides: tex(ot1fut.fd) = %{tl_version}
Provides: tex(ot1givbc.fd) = %{tl_version}
Provides: tex(ot1gvibc.fd) = %{tl_version}
Provides: tex(ot1nab.fd) = %{tl_version}
Provides: tex(ot1oands.fd) = %{tl_version}
Provides: tex(ot1phnc.fd) = %{tl_version}
Provides: tex(ot1pmhg.fd) = %{tl_version}
Provides: tex(ot1proto.fd) = %{tl_version}
Provides: tex(ot1sarab.fd) = %{tl_version}
Provides: tex(ot1vik.fd) = %{tl_version}
Provides: tex(phoenician.sty) = %{tl_version}
Provides: tex(protosem.sty) = %{tl_version}
Provides: tex(runic.sty) = %{tl_version}
Provides: tex(sarabian.sty) = %{tl_version}
Provides: tex(t1aram.fd) = %{tl_version}
Provides: tex(t1copsn.fd) = %{tl_version}
Provides: tex(t1cugar.fd) = %{tl_version}
Provides: tex(t1cypr.fd) = %{tl_version}
Provides: tex(t1etr.fd) = %{tl_version}
Provides: tex(t1fut.fd) = %{tl_version}
Provides: tex(t1givbc.fd) = %{tl_version}
Provides: tex(t1gvibc.fd) = %{tl_version}
Provides: tex(t1linb.fd) = %{tl_version}
Provides: tex(t1nab.fd) = %{tl_version}
Provides: tex(t1oands.fd) = %{tl_version}
Provides: tex(t1phnc.fd) = %{tl_version}
Provides: tex(t1pmhg.fd) = %{tl_version}
Provides: tex(t1proto.fd) = %{tl_version}
Provides: tex(t1sarab.fd) = %{tl_version}
Provides: tex(t1vik.fd) = %{tl_version}
Provides: tex(ugarite.sty) = %{tl_version}
Provides: tex(viking.sty) = %{tl_version}

%description archaic
The collection contains fonts to represent Aramaic, Cypriot,
Etruscan, Greek of the 6th and 4th centuries BCE, Egyptian
hieroglyphics, Linear A, Linear B, Nabatean old Persian, the
Phaistos disc, Phoenician, proto-Semitic, runic, South Arabian
Ugaritic and Viking scripts. The bundle also includes a small
font for use in phonetic transcription of the archaic writings.
The bundle's own directory includes a font installation map
file for the whole collection.

%package archaic-doc
Summary: Documentation for archaic
Version: svn38005.0

Provides: tex-archaic-doc
AutoReqProv: No

%description archaic-doc
Documentation for archaic

%package arcs
Provides: tex-arcs = %{tl_version}
License: LPPL
Summary: Draw arcs over and under text
Version: svn15878.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(relsize.sty)
Provides: tex(arcs.sty) = %{tl_version}

%description arcs
The package provides two commands for placing an arc over
(\overarc) or under (\underarc) a piece of text. (The text may
be up to three letters long.) The commands generate an \hbox,
and may be used both in text and in maths formulae.

%package arcs-doc
Summary: Documentation for arcs
Version: svn15878.1

Provides: tex-arcs-doc
AutoReqProv: No

%description arcs-doc
Documentation for arcs

%package arev
Provides: tex-arev = %{tl_version}
License: LPPL
Summary: Fonts and LaTeX support files for Arev Sans
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(amssymb.sty)
Requires: tex(amsfonts.sty)
Requires: tex(arevmath.sty)
Requires: tex(beramono.sty)
Requires: tex(ifthen.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Provides: tex(arevoml.enc) = %{tl_version}
Provides: tex(arevoms.enc) = %{tl_version}
Provides: tex(arevot1.enc) = %{tl_version}
Provides: tex(arev.map) = %{tl_version}
Provides: tex(ArevSans-Bold.tfm) = %{tl_version}
Provides: tex(ArevSans-BoldOblique.tfm) = %{tl_version}
Provides: tex(ArevSans-Oblique.tfm) = %{tl_version}
Provides: tex(ArevSans-Roman.tfm) = %{tl_version}
Provides: tex(favb8r.tfm) = %{tl_version}
Provides: tex(favb8t.tfm) = %{tl_version}
Provides: tex(favbi8r.tfm) = %{tl_version}
Provides: tex(favbi8t.tfm) = %{tl_version}
Provides: tex(favmb7t.tfm) = %{tl_version}
Provides: tex(favmbi7m.tfm) = %{tl_version}
Provides: tex(favmr7t.tfm) = %{tl_version}
Provides: tex(favmr7y.tfm) = %{tl_version}
Provides: tex(favmri7m.tfm) = %{tl_version}
Provides: tex(favr8r.tfm) = %{tl_version}
Provides: tex(favr8t.tfm) = %{tl_version}
Provides: tex(favri8r.tfm) = %{tl_version}
Provides: tex(favri8t.tfm) = %{tl_version}
Provides: tex(zavmb7t.tfm) = %{tl_version}
Provides: tex(zavmbi7m.tfm) = %{tl_version}
Provides: tex(zavmr7t.tfm) = %{tl_version}
Provides: tex(zavmr7y.tfm) = %{tl_version}
Provides: tex(zavmri7m.tfm) = %{tl_version}
Provides: tex(ArevSans-Bold.pfb) = %{tl_version}
Provides: tex(ArevSans-BoldOblique.pfb) = %{tl_version}
Provides: tex(ArevSans-Oblique.pfb) = %{tl_version}
Provides: tex(ArevSans-Roman.pfb) = %{tl_version}
Provides: tex(favb8t.vf) = %{tl_version}
Provides: tex(favbi8t.vf) = %{tl_version}
Provides: tex(favr8t.vf) = %{tl_version}
Provides: tex(favri8t.vf) = %{tl_version}
Provides: tex(zavmb7t.vf) = %{tl_version}
Provides: tex(zavmbi7m.vf) = %{tl_version}
Provides: tex(zavmr7t.vf) = %{tl_version}
Provides: tex(zavmr7y.vf) = %{tl_version}
Provides: tex(zavmri7m.vf) = %{tl_version}
Provides: tex(ams-mdbch.sty) = %{tl_version}
Provides: tex(arev.sty) = %{tl_version}
Provides: tex(arevmath.sty) = %{tl_version}
Provides: tex(arevsymbols.tex) = %{tl_version}
Provides: tex(arevtext.sty) = %{tl_version}
Provides: tex(omlzavm.fd) = %{tl_version}
Provides: tex(omszavm.fd) = %{tl_version}
Provides: tex(ot1zavm.fd) = %{tl_version}
Provides: tex(t1fav.fd) = %{tl_version}
Provides: tex(uzavm.fd) = %{tl_version}

%description arev
The package arev provides type 1 and virtual fonts, together
with LaTeX packages for using Arev Sans in both text and
mathematics. Arev Sans is a derivative of Bitstream Vera Sans
created by Tavmjong Bah, adding support for Greek and Cyrillic
characters. Bah also added a few variant letters that are more
appropriate for mathematics. The primary purpose for using Arev
Sans in LaTeX is presentations, particularly when using a
computer projector. In such a context, Arev Sans is quite
readable, with large x-height, "open letters", wide spacing,
and thick stems. The style is very similar to the SliTeX font
lcmss, but heavier. Arev is one of a very small number of sans-
font mathematics support packages. Others are cmbright, hvmath
and kerkis.

%package arev-doc
Summary: Documentation for arev
Version: svn15878.0

Provides: tex-arev-doc
AutoReqProv: No

%description arev-doc
Documentation for arev

%package armtex
Provides: tex-armtex = %{tl_version}
License: LPPL
Summary: A sytem for writing Armenian with TeX and LaTeX
Version: svn33894.3.0_beta3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(kvoptions.sty)
Provides: tex(arss.map) = %{tl_version}
Provides: tex(artm.map) = %{tl_version}
Provides: tex(arssb10.tfm) = %{tl_version}
Provides: tex(arssbs10.tfm) = %{tl_version}
Provides: tex(arssr10.tfm) = %{tl_version}
Provides: tex(arsssl10.tfm) = %{tl_version}
Provides: tex(artmb10.tfm) = %{tl_version}
Provides: tex(artmbi10.tfm) = %{tl_version}
Provides: tex(artmbs10.tfm) = %{tl_version}
Provides: tex(artmi10.tfm) = %{tl_version}
Provides: tex(artmr10.tfm) = %{tl_version}
Provides: tex(artmsl10.tfm) = %{tl_version}
Provides: tex(arssb10.pfb) = %{tl_version}
Provides: tex(arssbs10.pfb) = %{tl_version}
Provides: tex(arssr10.pfb) = %{tl_version}
Provides: tex(arsssl10.pfb) = %{tl_version}
Provides: tex(artmb10.pfb) = %{tl_version}
Provides: tex(artmbi10.pfb) = %{tl_version}
Provides: tex(artmbs10.pfb) = %{tl_version}
Provides: tex(artmi10.pfb) = %{tl_version}
Provides: tex(artmr10.pfb) = %{tl_version}
Provides: tex(artmsl10.pfb) = %{tl_version}
Provides: tex(armscii8.def) = %{tl_version}
Provides: tex(armtex.sty) = %{tl_version}
Provides: tex(ot6cmr.fd) = %{tl_version}
Provides: tex(ot6cmss.fd) = %{tl_version}
Provides: tex(ot6enc.def) = %{tl_version}
Provides: tex(arm.tex) = %{tl_version}
Provides: tex(armkb-a8.tex) = %{tl_version}
Provides: tex(armkb-u8.tex) = %{tl_version}

%description armtex
ArmTeX is a system for typesetting Armenian text with Plain TeX
or LaTeX(2e). It may be used with input: from a standard Latin
keyboard without any special encoding and/or support for
Armenian letters, any keyboard which uses an encoding that has
Armenian letters in the second half (characters 128-255) of the
extended ASCII table (for example ArmSCII8 Armenian standard),
or encoded in UTF-8. Users should note that the manuals (below)
mostly describe the previous (version 2.0) of the package.
Updating work is still under way.

%package armtex-doc
Summary: Documentation for armtex
Version: svn33894.3.0_beta3

Provides: tex-armtex-doc
AutoReqProv: No

%description armtex-doc
Documentation for armtex

%package around-the-bend-doc
Summary: Documentation for around-the-bend
Version: svn15878.0

Provides: tex-around-the-bend-doc
AutoReqProv: No

%description around-the-bend-doc
Documentation for around-the-bend

%package arphic
Provides: tex-arphic = %{tl_version}
License: Arphic
Summary: Arphic (Chinese) font packages
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(bkaiu.map) = %{tl_version}
Provides: tex(bsmiu.map) = %{tl_version}
Provides: tex(gbsnu.map) = %{tl_version}
Provides: tex(gkaiu.map) = %{tl_version}
Provides: tex(bkaimp00.tfm) = %{tl_version}
Provides: tex(bkaimp01.tfm) = %{tl_version}
Provides: tex(bkaimp02.tfm) = %{tl_version}
Provides: tex(bkaimp03.tfm) = %{tl_version}
Provides: tex(bkaimp04.tfm) = %{tl_version}
Provides: tex(bkaimp05.tfm) = %{tl_version}
Provides: tex(bkaimp06.tfm) = %{tl_version}
Provides: tex(bkaimp07.tfm) = %{tl_version}
Provides: tex(bkaimp08.tfm) = %{tl_version}
Provides: tex(bkaimp09.tfm) = %{tl_version}
Provides: tex(bkaimp10.tfm) = %{tl_version}
Provides: tex(bkaimp11.tfm) = %{tl_version}
Provides: tex(bkaimp12.tfm) = %{tl_version}
Provides: tex(bkaimp13.tfm) = %{tl_version}
Provides: tex(bkaimp14.tfm) = %{tl_version}
Provides: tex(bkaimp15.tfm) = %{tl_version}
Provides: tex(bkaimp16.tfm) = %{tl_version}
Provides: tex(bkaimp17.tfm) = %{tl_version}
Provides: tex(bkaimp18.tfm) = %{tl_version}
Provides: tex(bkaimp19.tfm) = %{tl_version}
Provides: tex(bkaimp20.tfm) = %{tl_version}
Provides: tex(bkaimp21.tfm) = %{tl_version}
Provides: tex(bkaimp22.tfm) = %{tl_version}
Provides: tex(bkaimp23.tfm) = %{tl_version}
Provides: tex(bkaimp25.tfm) = %{tl_version}
Provides: tex(bkaimp26.tfm) = %{tl_version}
Provides: tex(bkaimp27.tfm) = %{tl_version}
Provides: tex(bkaimp28.tfm) = %{tl_version}
Provides: tex(bkaimp29.tfm) = %{tl_version}
Provides: tex(bkaimp30.tfm) = %{tl_version}
Provides: tex(bkaimp31.tfm) = %{tl_version}
Provides: tex(bkaimp32.tfm) = %{tl_version}
Provides: tex(bkaimp33.tfm) = %{tl_version}
Provides: tex(bkaimp34.tfm) = %{tl_version}
Provides: tex(bkaimp35.tfm) = %{tl_version}
Provides: tex(bkaimp36.tfm) = %{tl_version}
Provides: tex(bkaimp37.tfm) = %{tl_version}
Provides: tex(bkaimp38.tfm) = %{tl_version}
Provides: tex(bkaimp39.tfm) = %{tl_version}
Provides: tex(bkaimp40.tfm) = %{tl_version}
Provides: tex(bkaimp41.tfm) = %{tl_version}
Provides: tex(bkaimp42.tfm) = %{tl_version}
Provides: tex(bkaimp43.tfm) = %{tl_version}
Provides: tex(bkaimp44.tfm) = %{tl_version}
Provides: tex(bkaimp45.tfm) = %{tl_version}
Provides: tex(bkaimp46.tfm) = %{tl_version}
Provides: tex(bkaimp47.tfm) = %{tl_version}
Provides: tex(bkaimp48.tfm) = %{tl_version}
Provides: tex(bkaimp49.tfm) = %{tl_version}
Provides: tex(bkaimp50.tfm) = %{tl_version}
Provides: tex(bkaimp51.tfm) = %{tl_version}
Provides: tex(bkaimp52.tfm) = %{tl_version}
Provides: tex(bkaimp53.tfm) = %{tl_version}
Provides: tex(bkaimp54.tfm) = %{tl_version}
Provides: tex(bkaimp55.tfm) = %{tl_version}
Provides: tex(bkaimpv.tfm) = %{tl_version}
Provides: tex(bkaiu00.tfm) = %{tl_version}
Provides: tex(bkaiu02.tfm) = %{tl_version}
Provides: tex(bkaiu03.tfm) = %{tl_version}
Provides: tex(bkaiu20.tfm) = %{tl_version}
Provides: tex(bkaiu21.tfm) = %{tl_version}
Provides: tex(bkaiu22.tfm) = %{tl_version}
Provides: tex(bkaiu25.tfm) = %{tl_version}
Provides: tex(bkaiu26.tfm) = %{tl_version}
Provides: tex(bkaiu30.tfm) = %{tl_version}
Provides: tex(bkaiu31.tfm) = %{tl_version}
Provides: tex(bkaiu32.tfm) = %{tl_version}
Provides: tex(bkaiu33.tfm) = %{tl_version}
Provides: tex(bkaiu4e.tfm) = %{tl_version}
Provides: tex(bkaiu4f.tfm) = %{tl_version}
Provides: tex(bkaiu50.tfm) = %{tl_version}
Provides: tex(bkaiu51.tfm) = %{tl_version}
Provides: tex(bkaiu52.tfm) = %{tl_version}
Provides: tex(bkaiu53.tfm) = %{tl_version}
Provides: tex(bkaiu54.tfm) = %{tl_version}
Provides: tex(bkaiu55.tfm) = %{tl_version}
Provides: tex(bkaiu56.tfm) = %{tl_version}
Provides: tex(bkaiu57.tfm) = %{tl_version}
Provides: tex(bkaiu58.tfm) = %{tl_version}
Provides: tex(bkaiu59.tfm) = %{tl_version}
Provides: tex(bkaiu5a.tfm) = %{tl_version}
Provides: tex(bkaiu5b.tfm) = %{tl_version}
Provides: tex(bkaiu5c.tfm) = %{tl_version}
Provides: tex(bkaiu5d.tfm) = %{tl_version}
Provides: tex(bkaiu5e.tfm) = %{tl_version}
Provides: tex(bkaiu5f.tfm) = %{tl_version}
Provides: tex(bkaiu60.tfm) = %{tl_version}
Provides: tex(bkaiu61.tfm) = %{tl_version}
Provides: tex(bkaiu62.tfm) = %{tl_version}
Provides: tex(bkaiu63.tfm) = %{tl_version}
Provides: tex(bkaiu64.tfm) = %{tl_version}
Provides: tex(bkaiu65.tfm) = %{tl_version}
Provides: tex(bkaiu66.tfm) = %{tl_version}
Provides: tex(bkaiu67.tfm) = %{tl_version}
Provides: tex(bkaiu68.tfm) = %{tl_version}
Provides: tex(bkaiu69.tfm) = %{tl_version}
Provides: tex(bkaiu6a.tfm) = %{tl_version}
Provides: tex(bkaiu6b.tfm) = %{tl_version}
Provides: tex(bkaiu6c.tfm) = %{tl_version}
Provides: tex(bkaiu6d.tfm) = %{tl_version}
Provides: tex(bkaiu6e.tfm) = %{tl_version}
Provides: tex(bkaiu6f.tfm) = %{tl_version}
Provides: tex(bkaiu70.tfm) = %{tl_version}
Provides: tex(bkaiu71.tfm) = %{tl_version}
Provides: tex(bkaiu72.tfm) = %{tl_version}
Provides: tex(bkaiu73.tfm) = %{tl_version}
Provides: tex(bkaiu74.tfm) = %{tl_version}
Provides: tex(bkaiu75.tfm) = %{tl_version}
Provides: tex(bkaiu76.tfm) = %{tl_version}
Provides: tex(bkaiu77.tfm) = %{tl_version}
Provides: tex(bkaiu78.tfm) = %{tl_version}
Provides: tex(bkaiu79.tfm) = %{tl_version}
Provides: tex(bkaiu7a.tfm) = %{tl_version}
Provides: tex(bkaiu7b.tfm) = %{tl_version}
Provides: tex(bkaiu7c.tfm) = %{tl_version}
Provides: tex(bkaiu7d.tfm) = %{tl_version}
Provides: tex(bkaiu7e.tfm) = %{tl_version}
Provides: tex(bkaiu7f.tfm) = %{tl_version}
Provides: tex(bkaiu80.tfm) = %{tl_version}
Provides: tex(bkaiu81.tfm) = %{tl_version}
Provides: tex(bkaiu82.tfm) = %{tl_version}
Provides: tex(bkaiu83.tfm) = %{tl_version}
Provides: tex(bkaiu84.tfm) = %{tl_version}
Provides: tex(bkaiu85.tfm) = %{tl_version}
Provides: tex(bkaiu86.tfm) = %{tl_version}
Provides: tex(bkaiu87.tfm) = %{tl_version}
Provides: tex(bkaiu88.tfm) = %{tl_version}
Provides: tex(bkaiu89.tfm) = %{tl_version}
Provides: tex(bkaiu8a.tfm) = %{tl_version}
Provides: tex(bkaiu8b.tfm) = %{tl_version}
Provides: tex(bkaiu8c.tfm) = %{tl_version}
Provides: tex(bkaiu8d.tfm) = %{tl_version}
Provides: tex(bkaiu8e.tfm) = %{tl_version}
Provides: tex(bkaiu8f.tfm) = %{tl_version}
Provides: tex(bkaiu90.tfm) = %{tl_version}
Provides: tex(bkaiu91.tfm) = %{tl_version}
Provides: tex(bkaiu92.tfm) = %{tl_version}
Provides: tex(bkaiu93.tfm) = %{tl_version}
Provides: tex(bkaiu94.tfm) = %{tl_version}
Provides: tex(bkaiu95.tfm) = %{tl_version}
Provides: tex(bkaiu96.tfm) = %{tl_version}
Provides: tex(bkaiu97.tfm) = %{tl_version}
Provides: tex(bkaiu98.tfm) = %{tl_version}
Provides: tex(bkaiu99.tfm) = %{tl_version}
Provides: tex(bkaiu9a.tfm) = %{tl_version}
Provides: tex(bkaiu9b.tfm) = %{tl_version}
Provides: tex(bkaiu9c.tfm) = %{tl_version}
Provides: tex(bkaiu9d.tfm) = %{tl_version}
Provides: tex(bkaiu9e.tfm) = %{tl_version}
Provides: tex(bkaiu9f.tfm) = %{tl_version}
Provides: tex(bkaiuee.tfm) = %{tl_version}
Provides: tex(bkaiuf6.tfm) = %{tl_version}
Provides: tex(bkaiuf7.tfm) = %{tl_version}
Provides: tex(bkaiuf8.tfm) = %{tl_version}
Provides: tex(bkaiufa.tfm) = %{tl_version}
Provides: tex(bkaiufe.tfm) = %{tl_version}
Provides: tex(bkaiuff.tfm) = %{tl_version}
Provides: tex(bkaiuv.tfm) = %{tl_version}
Provides: tex(bsmilp00.tfm) = %{tl_version}
Provides: tex(bsmilp01.tfm) = %{tl_version}
Provides: tex(bsmilp02.tfm) = %{tl_version}
Provides: tex(bsmilp03.tfm) = %{tl_version}
Provides: tex(bsmilp04.tfm) = %{tl_version}
Provides: tex(bsmilp05.tfm) = %{tl_version}
Provides: tex(bsmilp06.tfm) = %{tl_version}
Provides: tex(bsmilp07.tfm) = %{tl_version}
Provides: tex(bsmilp08.tfm) = %{tl_version}
Provides: tex(bsmilp09.tfm) = %{tl_version}
Provides: tex(bsmilp10.tfm) = %{tl_version}
Provides: tex(bsmilp11.tfm) = %{tl_version}
Provides: tex(bsmilp12.tfm) = %{tl_version}
Provides: tex(bsmilp13.tfm) = %{tl_version}
Provides: tex(bsmilp14.tfm) = %{tl_version}
Provides: tex(bsmilp15.tfm) = %{tl_version}
Provides: tex(bsmilp16.tfm) = %{tl_version}
Provides: tex(bsmilp17.tfm) = %{tl_version}
Provides: tex(bsmilp18.tfm) = %{tl_version}
Provides: tex(bsmilp19.tfm) = %{tl_version}
Provides: tex(bsmilp20.tfm) = %{tl_version}
Provides: tex(bsmilp21.tfm) = %{tl_version}
Provides: tex(bsmilp22.tfm) = %{tl_version}
Provides: tex(bsmilp23.tfm) = %{tl_version}
Provides: tex(bsmilp25.tfm) = %{tl_version}
Provides: tex(bsmilp26.tfm) = %{tl_version}
Provides: tex(bsmilp27.tfm) = %{tl_version}
Provides: tex(bsmilp28.tfm) = %{tl_version}
Provides: tex(bsmilp29.tfm) = %{tl_version}
Provides: tex(bsmilp30.tfm) = %{tl_version}
Provides: tex(bsmilp31.tfm) = %{tl_version}
Provides: tex(bsmilp32.tfm) = %{tl_version}
Provides: tex(bsmilp33.tfm) = %{tl_version}
Provides: tex(bsmilp34.tfm) = %{tl_version}
Provides: tex(bsmilp35.tfm) = %{tl_version}
Provides: tex(bsmilp36.tfm) = %{tl_version}
Provides: tex(bsmilp37.tfm) = %{tl_version}
Provides: tex(bsmilp38.tfm) = %{tl_version}
Provides: tex(bsmilp39.tfm) = %{tl_version}
Provides: tex(bsmilp40.tfm) = %{tl_version}
Provides: tex(bsmilp41.tfm) = %{tl_version}
Provides: tex(bsmilp42.tfm) = %{tl_version}
Provides: tex(bsmilp43.tfm) = %{tl_version}
Provides: tex(bsmilp44.tfm) = %{tl_version}
Provides: tex(bsmilp45.tfm) = %{tl_version}
Provides: tex(bsmilp46.tfm) = %{tl_version}
Provides: tex(bsmilp47.tfm) = %{tl_version}
Provides: tex(bsmilp48.tfm) = %{tl_version}
Provides: tex(bsmilp49.tfm) = %{tl_version}
Provides: tex(bsmilp50.tfm) = %{tl_version}
Provides: tex(bsmilp51.tfm) = %{tl_version}
Provides: tex(bsmilp52.tfm) = %{tl_version}
Provides: tex(bsmilp53.tfm) = %{tl_version}
Provides: tex(bsmilp54.tfm) = %{tl_version}
Provides: tex(bsmilp55.tfm) = %{tl_version}
Provides: tex(bsmilpv.tfm) = %{tl_version}
Provides: tex(bsmiu00.tfm) = %{tl_version}
Provides: tex(bsmiu02.tfm) = %{tl_version}
Provides: tex(bsmiu03.tfm) = %{tl_version}
Provides: tex(bsmiu20.tfm) = %{tl_version}
Provides: tex(bsmiu21.tfm) = %{tl_version}
Provides: tex(bsmiu22.tfm) = %{tl_version}
Provides: tex(bsmiu25.tfm) = %{tl_version}
Provides: tex(bsmiu26.tfm) = %{tl_version}
Provides: tex(bsmiu30.tfm) = %{tl_version}
Provides: tex(bsmiu31.tfm) = %{tl_version}
Provides: tex(bsmiu32.tfm) = %{tl_version}
Provides: tex(bsmiu33.tfm) = %{tl_version}
Provides: tex(bsmiu4e.tfm) = %{tl_version}
Provides: tex(bsmiu4f.tfm) = %{tl_version}
Provides: tex(bsmiu50.tfm) = %{tl_version}
Provides: tex(bsmiu51.tfm) = %{tl_version}
Provides: tex(bsmiu52.tfm) = %{tl_version}
Provides: tex(bsmiu53.tfm) = %{tl_version}
Provides: tex(bsmiu54.tfm) = %{tl_version}
Provides: tex(bsmiu55.tfm) = %{tl_version}
Provides: tex(bsmiu56.tfm) = %{tl_version}
Provides: tex(bsmiu57.tfm) = %{tl_version}
Provides: tex(bsmiu58.tfm) = %{tl_version}
Provides: tex(bsmiu59.tfm) = %{tl_version}
Provides: tex(bsmiu5a.tfm) = %{tl_version}
Provides: tex(bsmiu5b.tfm) = %{tl_version}
Provides: tex(bsmiu5c.tfm) = %{tl_version}
Provides: tex(bsmiu5d.tfm) = %{tl_version}
Provides: tex(bsmiu5e.tfm) = %{tl_version}
Provides: tex(bsmiu5f.tfm) = %{tl_version}
Provides: tex(bsmiu60.tfm) = %{tl_version}
Provides: tex(bsmiu61.tfm) = %{tl_version}
Provides: tex(bsmiu62.tfm) = %{tl_version}
Provides: tex(bsmiu63.tfm) = %{tl_version}
Provides: tex(bsmiu64.tfm) = %{tl_version}
Provides: tex(bsmiu65.tfm) = %{tl_version}
Provides: tex(bsmiu66.tfm) = %{tl_version}
Provides: tex(bsmiu67.tfm) = %{tl_version}
Provides: tex(bsmiu68.tfm) = %{tl_version}
Provides: tex(bsmiu69.tfm) = %{tl_version}
Provides: tex(bsmiu6a.tfm) = %{tl_version}
Provides: tex(bsmiu6b.tfm) = %{tl_version}
Provides: tex(bsmiu6c.tfm) = %{tl_version}
Provides: tex(bsmiu6d.tfm) = %{tl_version}
Provides: tex(bsmiu6e.tfm) = %{tl_version}
Provides: tex(bsmiu6f.tfm) = %{tl_version}
Provides: tex(bsmiu70.tfm) = %{tl_version}
Provides: tex(bsmiu71.tfm) = %{tl_version}
Provides: tex(bsmiu72.tfm) = %{tl_version}
Provides: tex(bsmiu73.tfm) = %{tl_version}
Provides: tex(bsmiu74.tfm) = %{tl_version}
Provides: tex(bsmiu75.tfm) = %{tl_version}
Provides: tex(bsmiu76.tfm) = %{tl_version}
Provides: tex(bsmiu77.tfm) = %{tl_version}
Provides: tex(bsmiu78.tfm) = %{tl_version}
Provides: tex(bsmiu79.tfm) = %{tl_version}
Provides: tex(bsmiu7a.tfm) = %{tl_version}
Provides: tex(bsmiu7b.tfm) = %{tl_version}
Provides: tex(bsmiu7c.tfm) = %{tl_version}
Provides: tex(bsmiu7d.tfm) = %{tl_version}
Provides: tex(bsmiu7e.tfm) = %{tl_version}
Provides: tex(bsmiu7f.tfm) = %{tl_version}
Provides: tex(bsmiu80.tfm) = %{tl_version}
Provides: tex(bsmiu81.tfm) = %{tl_version}
Provides: tex(bsmiu82.tfm) = %{tl_version}
Provides: tex(bsmiu83.tfm) = %{tl_version}
Provides: tex(bsmiu84.tfm) = %{tl_version}
Provides: tex(bsmiu85.tfm) = %{tl_version}
Provides: tex(bsmiu86.tfm) = %{tl_version}
Provides: tex(bsmiu87.tfm) = %{tl_version}
Provides: tex(bsmiu88.tfm) = %{tl_version}
Provides: tex(bsmiu89.tfm) = %{tl_version}
Provides: tex(bsmiu8a.tfm) = %{tl_version}
Provides: tex(bsmiu8b.tfm) = %{tl_version}
Provides: tex(bsmiu8c.tfm) = %{tl_version}
Provides: tex(bsmiu8d.tfm) = %{tl_version}
Provides: tex(bsmiu8e.tfm) = %{tl_version}
Provides: tex(bsmiu8f.tfm) = %{tl_version}
Provides: tex(bsmiu90.tfm) = %{tl_version}
Provides: tex(bsmiu91.tfm) = %{tl_version}
Provides: tex(bsmiu92.tfm) = %{tl_version}
Provides: tex(bsmiu93.tfm) = %{tl_version}
Provides: tex(bsmiu94.tfm) = %{tl_version}
Provides: tex(bsmiu95.tfm) = %{tl_version}
Provides: tex(bsmiu96.tfm) = %{tl_version}
Provides: tex(bsmiu97.tfm) = %{tl_version}
Provides: tex(bsmiu98.tfm) = %{tl_version}
Provides: tex(bsmiu99.tfm) = %{tl_version}
Provides: tex(bsmiu9a.tfm) = %{tl_version}
Provides: tex(bsmiu9b.tfm) = %{tl_version}
Provides: tex(bsmiu9c.tfm) = %{tl_version}
Provides: tex(bsmiu9d.tfm) = %{tl_version}
Provides: tex(bsmiu9e.tfm) = %{tl_version}
Provides: tex(bsmiu9f.tfm) = %{tl_version}
Provides: tex(bsmiuee.tfm) = %{tl_version}
Provides: tex(bsmiuf6.tfm) = %{tl_version}
Provides: tex(bsmiuf7.tfm) = %{tl_version}
Provides: tex(bsmiuf8.tfm) = %{tl_version}
Provides: tex(bsmiufa.tfm) = %{tl_version}
Provides: tex(bsmiufe.tfm) = %{tl_version}
Provides: tex(bsmiuff.tfm) = %{tl_version}
Provides: tex(bsmiuv.tfm) = %{tl_version}
Provides: tex(gbsnlp00.tfm) = %{tl_version}
Provides: tex(gbsnlp01.tfm) = %{tl_version}
Provides: tex(gbsnlp02.tfm) = %{tl_version}
Provides: tex(gbsnlp03.tfm) = %{tl_version}
Provides: tex(gbsnlp04.tfm) = %{tl_version}
Provides: tex(gbsnlp06.tfm) = %{tl_version}
Provides: tex(gbsnlp07.tfm) = %{tl_version}
Provides: tex(gbsnlp08.tfm) = %{tl_version}
Provides: tex(gbsnlp09.tfm) = %{tl_version}
Provides: tex(gbsnlp10.tfm) = %{tl_version}
Provides: tex(gbsnlp11.tfm) = %{tl_version}
Provides: tex(gbsnlp12.tfm) = %{tl_version}
Provides: tex(gbsnlp13.tfm) = %{tl_version}
Provides: tex(gbsnlp14.tfm) = %{tl_version}
Provides: tex(gbsnlp15.tfm) = %{tl_version}
Provides: tex(gbsnlp16.tfm) = %{tl_version}
Provides: tex(gbsnlp17.tfm) = %{tl_version}
Provides: tex(gbsnlp18.tfm) = %{tl_version}
Provides: tex(gbsnlp19.tfm) = %{tl_version}
Provides: tex(gbsnlp20.tfm) = %{tl_version}
Provides: tex(gbsnlp21.tfm) = %{tl_version}
Provides: tex(gbsnlp22.tfm) = %{tl_version}
Provides: tex(gbsnlp23.tfm) = %{tl_version}
Provides: tex(gbsnlp24.tfm) = %{tl_version}
Provides: tex(gbsnlp25.tfm) = %{tl_version}
Provides: tex(gbsnlp26.tfm) = %{tl_version}
Provides: tex(gbsnlp27.tfm) = %{tl_version}
Provides: tex(gbsnlp28.tfm) = %{tl_version}
Provides: tex(gbsnlp29.tfm) = %{tl_version}
Provides: tex(gbsnlp30.tfm) = %{tl_version}
Provides: tex(gbsnlp31.tfm) = %{tl_version}
Provides: tex(gbsnlp32.tfm) = %{tl_version}
Provides: tex(gbsnu00.tfm) = %{tl_version}
Provides: tex(gbsnu01.tfm) = %{tl_version}
Provides: tex(gbsnu02.tfm) = %{tl_version}
Provides: tex(gbsnu03.tfm) = %{tl_version}
Provides: tex(gbsnu04.tfm) = %{tl_version}
Provides: tex(gbsnu20.tfm) = %{tl_version}
Provides: tex(gbsnu21.tfm) = %{tl_version}
Provides: tex(gbsnu22.tfm) = %{tl_version}
Provides: tex(gbsnu23.tfm) = %{tl_version}
Provides: tex(gbsnu24.tfm) = %{tl_version}
Provides: tex(gbsnu25.tfm) = %{tl_version}
Provides: tex(gbsnu26.tfm) = %{tl_version}
Provides: tex(gbsnu30.tfm) = %{tl_version}
Provides: tex(gbsnu31.tfm) = %{tl_version}
Provides: tex(gbsnu32.tfm) = %{tl_version}
Provides: tex(gbsnu4e.tfm) = %{tl_version}
Provides: tex(gbsnu4f.tfm) = %{tl_version}
Provides: tex(gbsnu50.tfm) = %{tl_version}
Provides: tex(gbsnu51.tfm) = %{tl_version}
Provides: tex(gbsnu52.tfm) = %{tl_version}
Provides: tex(gbsnu53.tfm) = %{tl_version}
Provides: tex(gbsnu54.tfm) = %{tl_version}
Provides: tex(gbsnu55.tfm) = %{tl_version}
Provides: tex(gbsnu56.tfm) = %{tl_version}
Provides: tex(gbsnu57.tfm) = %{tl_version}
Provides: tex(gbsnu58.tfm) = %{tl_version}
Provides: tex(gbsnu59.tfm) = %{tl_version}
Provides: tex(gbsnu5a.tfm) = %{tl_version}
Provides: tex(gbsnu5b.tfm) = %{tl_version}
Provides: tex(gbsnu5c.tfm) = %{tl_version}
Provides: tex(gbsnu5d.tfm) = %{tl_version}
Provides: tex(gbsnu5e.tfm) = %{tl_version}
Provides: tex(gbsnu5f.tfm) = %{tl_version}
Provides: tex(gbsnu60.tfm) = %{tl_version}
Provides: tex(gbsnu61.tfm) = %{tl_version}
Provides: tex(gbsnu62.tfm) = %{tl_version}
Provides: tex(gbsnu63.tfm) = %{tl_version}
Provides: tex(gbsnu64.tfm) = %{tl_version}
Provides: tex(gbsnu65.tfm) = %{tl_version}
Provides: tex(gbsnu66.tfm) = %{tl_version}
Provides: tex(gbsnu67.tfm) = %{tl_version}
Provides: tex(gbsnu68.tfm) = %{tl_version}
Provides: tex(gbsnu69.tfm) = %{tl_version}
Provides: tex(gbsnu6a.tfm) = %{tl_version}
Provides: tex(gbsnu6b.tfm) = %{tl_version}
Provides: tex(gbsnu6c.tfm) = %{tl_version}
Provides: tex(gbsnu6d.tfm) = %{tl_version}
Provides: tex(gbsnu6e.tfm) = %{tl_version}
Provides: tex(gbsnu6f.tfm) = %{tl_version}
Provides: tex(gbsnu70.tfm) = %{tl_version}
Provides: tex(gbsnu71.tfm) = %{tl_version}
Provides: tex(gbsnu72.tfm) = %{tl_version}
Provides: tex(gbsnu73.tfm) = %{tl_version}
Provides: tex(gbsnu74.tfm) = %{tl_version}
Provides: tex(gbsnu75.tfm) = %{tl_version}
Provides: tex(gbsnu76.tfm) = %{tl_version}
Provides: tex(gbsnu77.tfm) = %{tl_version}
Provides: tex(gbsnu78.tfm) = %{tl_version}
Provides: tex(gbsnu79.tfm) = %{tl_version}
Provides: tex(gbsnu7a.tfm) = %{tl_version}
Provides: tex(gbsnu7b.tfm) = %{tl_version}
Provides: tex(gbsnu7c.tfm) = %{tl_version}
Provides: tex(gbsnu7d.tfm) = %{tl_version}
Provides: tex(gbsnu7e.tfm) = %{tl_version}
Provides: tex(gbsnu7f.tfm) = %{tl_version}
Provides: tex(gbsnu80.tfm) = %{tl_version}
Provides: tex(gbsnu81.tfm) = %{tl_version}
Provides: tex(gbsnu82.tfm) = %{tl_version}
Provides: tex(gbsnu83.tfm) = %{tl_version}
Provides: tex(gbsnu84.tfm) = %{tl_version}
Provides: tex(gbsnu85.tfm) = %{tl_version}
Provides: tex(gbsnu86.tfm) = %{tl_version}
Provides: tex(gbsnu87.tfm) = %{tl_version}
Provides: tex(gbsnu88.tfm) = %{tl_version}
Provides: tex(gbsnu89.tfm) = %{tl_version}
Provides: tex(gbsnu8a.tfm) = %{tl_version}
Provides: tex(gbsnu8b.tfm) = %{tl_version}
Provides: tex(gbsnu8c.tfm) = %{tl_version}
Provides: tex(gbsnu8d.tfm) = %{tl_version}
Provides: tex(gbsnu8e.tfm) = %{tl_version}
Provides: tex(gbsnu8f.tfm) = %{tl_version}
Provides: tex(gbsnu90.tfm) = %{tl_version}
Provides: tex(gbsnu91.tfm) = %{tl_version}
Provides: tex(gbsnu92.tfm) = %{tl_version}
Provides: tex(gbsnu93.tfm) = %{tl_version}
Provides: tex(gbsnu94.tfm) = %{tl_version}
Provides: tex(gbsnu95.tfm) = %{tl_version}
Provides: tex(gbsnu96.tfm) = %{tl_version}
Provides: tex(gbsnu97.tfm) = %{tl_version}
Provides: tex(gbsnu98.tfm) = %{tl_version}
Provides: tex(gbsnu99.tfm) = %{tl_version}
Provides: tex(gbsnu9a.tfm) = %{tl_version}
Provides: tex(gbsnu9b.tfm) = %{tl_version}
Provides: tex(gbsnu9c.tfm) = %{tl_version}
Provides: tex(gbsnu9e.tfm) = %{tl_version}
Provides: tex(gbsnu9f.tfm) = %{tl_version}
Provides: tex(gbsnufe.tfm) = %{tl_version}
Provides: tex(gbsnuff.tfm) = %{tl_version}
Provides: tex(gkaimp00.tfm) = %{tl_version}
Provides: tex(gkaimp01.tfm) = %{tl_version}
Provides: tex(gkaimp02.tfm) = %{tl_version}
Provides: tex(gkaimp03.tfm) = %{tl_version}
Provides: tex(gkaimp04.tfm) = %{tl_version}
Provides: tex(gkaimp06.tfm) = %{tl_version}
Provides: tex(gkaimp07.tfm) = %{tl_version}
Provides: tex(gkaimp08.tfm) = %{tl_version}
Provides: tex(gkaimp09.tfm) = %{tl_version}
Provides: tex(gkaimp10.tfm) = %{tl_version}
Provides: tex(gkaimp11.tfm) = %{tl_version}
Provides: tex(gkaimp12.tfm) = %{tl_version}
Provides: tex(gkaimp13.tfm) = %{tl_version}
Provides: tex(gkaimp14.tfm) = %{tl_version}
Provides: tex(gkaimp15.tfm) = %{tl_version}
Provides: tex(gkaimp16.tfm) = %{tl_version}
Provides: tex(gkaimp17.tfm) = %{tl_version}
Provides: tex(gkaimp18.tfm) = %{tl_version}
Provides: tex(gkaimp19.tfm) = %{tl_version}
Provides: tex(gkaimp20.tfm) = %{tl_version}
Provides: tex(gkaimp21.tfm) = %{tl_version}
Provides: tex(gkaimp22.tfm) = %{tl_version}
Provides: tex(gkaimp23.tfm) = %{tl_version}
Provides: tex(gkaimp24.tfm) = %{tl_version}
Provides: tex(gkaimp25.tfm) = %{tl_version}
Provides: tex(gkaimp26.tfm) = %{tl_version}
Provides: tex(gkaimp27.tfm) = %{tl_version}
Provides: tex(gkaimp28.tfm) = %{tl_version}
Provides: tex(gkaimp29.tfm) = %{tl_version}
Provides: tex(gkaimp30.tfm) = %{tl_version}
Provides: tex(gkaimp31.tfm) = %{tl_version}
Provides: tex(gkaimp32.tfm) = %{tl_version}
Provides: tex(gkaiu00.tfm) = %{tl_version}
Provides: tex(gkaiu01.tfm) = %{tl_version}
Provides: tex(gkaiu02.tfm) = %{tl_version}
Provides: tex(gkaiu03.tfm) = %{tl_version}
Provides: tex(gkaiu04.tfm) = %{tl_version}
Provides: tex(gkaiu20.tfm) = %{tl_version}
Provides: tex(gkaiu21.tfm) = %{tl_version}
Provides: tex(gkaiu22.tfm) = %{tl_version}
Provides: tex(gkaiu23.tfm) = %{tl_version}
Provides: tex(gkaiu24.tfm) = %{tl_version}
Provides: tex(gkaiu25.tfm) = %{tl_version}
Provides: tex(gkaiu26.tfm) = %{tl_version}
Provides: tex(gkaiu30.tfm) = %{tl_version}
Provides: tex(gkaiu31.tfm) = %{tl_version}
Provides: tex(gkaiu32.tfm) = %{tl_version}
Provides: tex(gkaiu4e.tfm) = %{tl_version}
Provides: tex(gkaiu4f.tfm) = %{tl_version}
Provides: tex(gkaiu50.tfm) = %{tl_version}
Provides: tex(gkaiu51.tfm) = %{tl_version}
Provides: tex(gkaiu52.tfm) = %{tl_version}
Provides: tex(gkaiu53.tfm) = %{tl_version}
Provides: tex(gkaiu54.tfm) = %{tl_version}
Provides: tex(gkaiu55.tfm) = %{tl_version}
Provides: tex(gkaiu56.tfm) = %{tl_version}
Provides: tex(gkaiu57.tfm) = %{tl_version}
Provides: tex(gkaiu58.tfm) = %{tl_version}
Provides: tex(gkaiu59.tfm) = %{tl_version}
Provides: tex(gkaiu5a.tfm) = %{tl_version}
Provides: tex(gkaiu5b.tfm) = %{tl_version}
Provides: tex(gkaiu5c.tfm) = %{tl_version}
Provides: tex(gkaiu5d.tfm) = %{tl_version}
Provides: tex(gkaiu5e.tfm) = %{tl_version}
Provides: tex(gkaiu5f.tfm) = %{tl_version}
Provides: tex(gkaiu60.tfm) = %{tl_version}
Provides: tex(gkaiu61.tfm) = %{tl_version}
Provides: tex(gkaiu62.tfm) = %{tl_version}
Provides: tex(gkaiu63.tfm) = %{tl_version}
Provides: tex(gkaiu64.tfm) = %{tl_version}
Provides: tex(gkaiu65.tfm) = %{tl_version}
Provides: tex(gkaiu66.tfm) = %{tl_version}
Provides: tex(gkaiu67.tfm) = %{tl_version}
Provides: tex(gkaiu68.tfm) = %{tl_version}
Provides: tex(gkaiu69.tfm) = %{tl_version}
Provides: tex(gkaiu6a.tfm) = %{tl_version}
Provides: tex(gkaiu6b.tfm) = %{tl_version}
Provides: tex(gkaiu6c.tfm) = %{tl_version}
Provides: tex(gkaiu6d.tfm) = %{tl_version}
Provides: tex(gkaiu6e.tfm) = %{tl_version}
Provides: tex(gkaiu6f.tfm) = %{tl_version}
Provides: tex(gkaiu70.tfm) = %{tl_version}
Provides: tex(gkaiu71.tfm) = %{tl_version}
Provides: tex(gkaiu72.tfm) = %{tl_version}
Provides: tex(gkaiu73.tfm) = %{tl_version}
Provides: tex(gkaiu74.tfm) = %{tl_version}
Provides: tex(gkaiu75.tfm) = %{tl_version}
Provides: tex(gkaiu76.tfm) = %{tl_version}
Provides: tex(gkaiu77.tfm) = %{tl_version}
Provides: tex(gkaiu78.tfm) = %{tl_version}
Provides: tex(gkaiu79.tfm) = %{tl_version}
Provides: tex(gkaiu7a.tfm) = %{tl_version}
Provides: tex(gkaiu7b.tfm) = %{tl_version}
Provides: tex(gkaiu7c.tfm) = %{tl_version}
Provides: tex(gkaiu7d.tfm) = %{tl_version}
Provides: tex(gkaiu7e.tfm) = %{tl_version}
Provides: tex(gkaiu7f.tfm) = %{tl_version}
Provides: tex(gkaiu80.tfm) = %{tl_version}
Provides: tex(gkaiu81.tfm) = %{tl_version}
Provides: tex(gkaiu82.tfm) = %{tl_version}
Provides: tex(gkaiu83.tfm) = %{tl_version}
Provides: tex(gkaiu84.tfm) = %{tl_version}
Provides: tex(gkaiu85.tfm) = %{tl_version}
Provides: tex(gkaiu86.tfm) = %{tl_version}
Provides: tex(gkaiu87.tfm) = %{tl_version}
Provides: tex(gkaiu88.tfm) = %{tl_version}
Provides: tex(gkaiu89.tfm) = %{tl_version}
Provides: tex(gkaiu8a.tfm) = %{tl_version}
Provides: tex(gkaiu8b.tfm) = %{tl_version}
Provides: tex(gkaiu8c.tfm) = %{tl_version}
Provides: tex(gkaiu8d.tfm) = %{tl_version}
Provides: tex(gkaiu8e.tfm) = %{tl_version}
Provides: tex(gkaiu8f.tfm) = %{tl_version}
Provides: tex(gkaiu90.tfm) = %{tl_version}
Provides: tex(gkaiu91.tfm) = %{tl_version}
Provides: tex(gkaiu92.tfm) = %{tl_version}
Provides: tex(gkaiu93.tfm) = %{tl_version}
Provides: tex(gkaiu94.tfm) = %{tl_version}
Provides: tex(gkaiu95.tfm) = %{tl_version}
Provides: tex(gkaiu96.tfm) = %{tl_version}
Provides: tex(gkaiu97.tfm) = %{tl_version}
Provides: tex(gkaiu98.tfm) = %{tl_version}
Provides: tex(gkaiu99.tfm) = %{tl_version}
Provides: tex(gkaiu9a.tfm) = %{tl_version}
Provides: tex(gkaiu9b.tfm) = %{tl_version}
Provides: tex(gkaiu9c.tfm) = %{tl_version}
Provides: tex(gkaiu9e.tfm) = %{tl_version}
Provides: tex(gkaiu9f.tfm) = %{tl_version}
Provides: tex(gkaiufe.tfm) = %{tl_version}
Provides: tex(gkaiuff.tfm) = %{tl_version}
Provides: tex(bkaiu00.pfb) = %{tl_version}
Provides: tex(bkaiu02.pfb) = %{tl_version}
Provides: tex(bkaiu03.pfb) = %{tl_version}
Provides: tex(bkaiu20.pfb) = %{tl_version}
Provides: tex(bkaiu21.pfb) = %{tl_version}
Provides: tex(bkaiu22.pfb) = %{tl_version}
Provides: tex(bkaiu25.pfb) = %{tl_version}
Provides: tex(bkaiu26.pfb) = %{tl_version}
Provides: tex(bkaiu30.pfb) = %{tl_version}
Provides: tex(bkaiu31.pfb) = %{tl_version}
Provides: tex(bkaiu32.pfb) = %{tl_version}
Provides: tex(bkaiu33.pfb) = %{tl_version}
Provides: tex(bkaiu4e.pfb) = %{tl_version}
Provides: tex(bkaiu4f.pfb) = %{tl_version}
Provides: tex(bkaiu50.pfb) = %{tl_version}
Provides: tex(bkaiu51.pfb) = %{tl_version}
Provides: tex(bkaiu52.pfb) = %{tl_version}
Provides: tex(bkaiu53.pfb) = %{tl_version}
Provides: tex(bkaiu54.pfb) = %{tl_version}
Provides: tex(bkaiu55.pfb) = %{tl_version}
Provides: tex(bkaiu56.pfb) = %{tl_version}
Provides: tex(bkaiu57.pfb) = %{tl_version}
Provides: tex(bkaiu58.pfb) = %{tl_version}
Provides: tex(bkaiu59.pfb) = %{tl_version}
Provides: tex(bkaiu5a.pfb) = %{tl_version}
Provides: tex(bkaiu5b.pfb) = %{tl_version}
Provides: tex(bkaiu5c.pfb) = %{tl_version}
Provides: tex(bkaiu5d.pfb) = %{tl_version}
Provides: tex(bkaiu5e.pfb) = %{tl_version}
Provides: tex(bkaiu5f.pfb) = %{tl_version}
Provides: tex(bkaiu60.pfb) = %{tl_version}
Provides: tex(bkaiu61.pfb) = %{tl_version}
Provides: tex(bkaiu62.pfb) = %{tl_version}
Provides: tex(bkaiu63.pfb) = %{tl_version}
Provides: tex(bkaiu64.pfb) = %{tl_version}
Provides: tex(bkaiu65.pfb) = %{tl_version}
Provides: tex(bkaiu66.pfb) = %{tl_version}
Provides: tex(bkaiu67.pfb) = %{tl_version}
Provides: tex(bkaiu68.pfb) = %{tl_version}
Provides: tex(bkaiu69.pfb) = %{tl_version}
Provides: tex(bkaiu6a.pfb) = %{tl_version}
Provides: tex(bkaiu6b.pfb) = %{tl_version}
Provides: tex(bkaiu6c.pfb) = %{tl_version}
Provides: tex(bkaiu6d.pfb) = %{tl_version}
Provides: tex(bkaiu6e.pfb) = %{tl_version}
Provides: tex(bkaiu6f.pfb) = %{tl_version}
Provides: tex(bkaiu70.pfb) = %{tl_version}
Provides: tex(bkaiu71.pfb) = %{tl_version}
Provides: tex(bkaiu72.pfb) = %{tl_version}
Provides: tex(bkaiu73.pfb) = %{tl_version}
Provides: tex(bkaiu74.pfb) = %{tl_version}
Provides: tex(bkaiu75.pfb) = %{tl_version}
Provides: tex(bkaiu76.pfb) = %{tl_version}
Provides: tex(bkaiu77.pfb) = %{tl_version}
Provides: tex(bkaiu78.pfb) = %{tl_version}
Provides: tex(bkaiu79.pfb) = %{tl_version}
Provides: tex(bkaiu7a.pfb) = %{tl_version}
Provides: tex(bkaiu7b.pfb) = %{tl_version}
Provides: tex(bkaiu7c.pfb) = %{tl_version}
Provides: tex(bkaiu7d.pfb) = %{tl_version}
Provides: tex(bkaiu7e.pfb) = %{tl_version}
Provides: tex(bkaiu7f.pfb) = %{tl_version}
Provides: tex(bkaiu80.pfb) = %{tl_version}
Provides: tex(bkaiu81.pfb) = %{tl_version}
Provides: tex(bkaiu82.pfb) = %{tl_version}
Provides: tex(bkaiu83.pfb) = %{tl_version}
Provides: tex(bkaiu84.pfb) = %{tl_version}
Provides: tex(bkaiu85.pfb) = %{tl_version}
Provides: tex(bkaiu86.pfb) = %{tl_version}
Provides: tex(bkaiu87.pfb) = %{tl_version}
Provides: tex(bkaiu88.pfb) = %{tl_version}
Provides: tex(bkaiu89.pfb) = %{tl_version}
Provides: tex(bkaiu8a.pfb) = %{tl_version}
Provides: tex(bkaiu8b.pfb) = %{tl_version}
Provides: tex(bkaiu8c.pfb) = %{tl_version}
Provides: tex(bkaiu8d.pfb) = %{tl_version}
Provides: tex(bkaiu8e.pfb) = %{tl_version}
Provides: tex(bkaiu8f.pfb) = %{tl_version}
Provides: tex(bkaiu90.pfb) = %{tl_version}
Provides: tex(bkaiu91.pfb) = %{tl_version}
Provides: tex(bkaiu92.pfb) = %{tl_version}
Provides: tex(bkaiu93.pfb) = %{tl_version}
Provides: tex(bkaiu94.pfb) = %{tl_version}
Provides: tex(bkaiu95.pfb) = %{tl_version}
Provides: tex(bkaiu96.pfb) = %{tl_version}
Provides: tex(bkaiu97.pfb) = %{tl_version}
Provides: tex(bkaiu98.pfb) = %{tl_version}
Provides: tex(bkaiu99.pfb) = %{tl_version}
Provides: tex(bkaiu9a.pfb) = %{tl_version}
Provides: tex(bkaiu9b.pfb) = %{tl_version}
Provides: tex(bkaiu9c.pfb) = %{tl_version}
Provides: tex(bkaiu9d.pfb) = %{tl_version}
Provides: tex(bkaiu9e.pfb) = %{tl_version}
Provides: tex(bkaiu9f.pfb) = %{tl_version}
Provides: tex(bkaiuee.pfb) = %{tl_version}
Provides: tex(bkaiuf6.pfb) = %{tl_version}
Provides: tex(bkaiuf7.pfb) = %{tl_version}
Provides: tex(bkaiuf8.pfb) = %{tl_version}
Provides: tex(bkaiufa.pfb) = %{tl_version}
Provides: tex(bkaiufe.pfb) = %{tl_version}
Provides: tex(bkaiuff.pfb) = %{tl_version}
Provides: tex(bkaiuv.pfb) = %{tl_version}
Provides: tex(bsmiu00.pfb) = %{tl_version}
Provides: tex(bsmiu02.pfb) = %{tl_version}
Provides: tex(bsmiu03.pfb) = %{tl_version}
Provides: tex(bsmiu20.pfb) = %{tl_version}
Provides: tex(bsmiu21.pfb) = %{tl_version}
Provides: tex(bsmiu22.pfb) = %{tl_version}
Provides: tex(bsmiu25.pfb) = %{tl_version}
Provides: tex(bsmiu26.pfb) = %{tl_version}
Provides: tex(bsmiu30.pfb) = %{tl_version}
Provides: tex(bsmiu31.pfb) = %{tl_version}
Provides: tex(bsmiu32.pfb) = %{tl_version}
Provides: tex(bsmiu33.pfb) = %{tl_version}
Provides: tex(bsmiu4e.pfb) = %{tl_version}
Provides: tex(bsmiu4f.pfb) = %{tl_version}
Provides: tex(bsmiu50.pfb) = %{tl_version}
Provides: tex(bsmiu51.pfb) = %{tl_version}
Provides: tex(bsmiu52.pfb) = %{tl_version}
Provides: tex(bsmiu53.pfb) = %{tl_version}
Provides: tex(bsmiu54.pfb) = %{tl_version}
Provides: tex(bsmiu55.pfb) = %{tl_version}
Provides: tex(bsmiu56.pfb) = %{tl_version}
Provides: tex(bsmiu57.pfb) = %{tl_version}
Provides: tex(bsmiu58.pfb) = %{tl_version}
Provides: tex(bsmiu59.pfb) = %{tl_version}
Provides: tex(bsmiu5a.pfb) = %{tl_version}
Provides: tex(bsmiu5b.pfb) = %{tl_version}
Provides: tex(bsmiu5c.pfb) = %{tl_version}
Provides: tex(bsmiu5d.pfb) = %{tl_version}
Provides: tex(bsmiu5e.pfb) = %{tl_version}
Provides: tex(bsmiu5f.pfb) = %{tl_version}
Provides: tex(bsmiu60.pfb) = %{tl_version}
Provides: tex(bsmiu61.pfb) = %{tl_version}
Provides: tex(bsmiu62.pfb) = %{tl_version}
Provides: tex(bsmiu63.pfb) = %{tl_version}
Provides: tex(bsmiu64.pfb) = %{tl_version}
Provides: tex(bsmiu65.pfb) = %{tl_version}
Provides: tex(bsmiu66.pfb) = %{tl_version}
Provides: tex(bsmiu67.pfb) = %{tl_version}
Provides: tex(bsmiu68.pfb) = %{tl_version}
Provides: tex(bsmiu69.pfb) = %{tl_version}
Provides: tex(bsmiu6a.pfb) = %{tl_version}
Provides: tex(bsmiu6b.pfb) = %{tl_version}
Provides: tex(bsmiu6c.pfb) = %{tl_version}
Provides: tex(bsmiu6d.pfb) = %{tl_version}
Provides: tex(bsmiu6e.pfb) = %{tl_version}
Provides: tex(bsmiu6f.pfb) = %{tl_version}
Provides: tex(bsmiu70.pfb) = %{tl_version}
Provides: tex(bsmiu71.pfb) = %{tl_version}
Provides: tex(bsmiu72.pfb) = %{tl_version}
Provides: tex(bsmiu73.pfb) = %{tl_version}
Provides: tex(bsmiu74.pfb) = %{tl_version}
Provides: tex(bsmiu75.pfb) = %{tl_version}
Provides: tex(bsmiu76.pfb) = %{tl_version}
Provides: tex(bsmiu77.pfb) = %{tl_version}
Provides: tex(bsmiu78.pfb) = %{tl_version}
Provides: tex(bsmiu79.pfb) = %{tl_version}
Provides: tex(bsmiu7a.pfb) = %{tl_version}
Provides: tex(bsmiu7b.pfb) = %{tl_version}
Provides: tex(bsmiu7c.pfb) = %{tl_version}
Provides: tex(bsmiu7d.pfb) = %{tl_version}
Provides: tex(bsmiu7e.pfb) = %{tl_version}
Provides: tex(bsmiu7f.pfb) = %{tl_version}
Provides: tex(bsmiu80.pfb) = %{tl_version}
Provides: tex(bsmiu81.pfb) = %{tl_version}
Provides: tex(bsmiu82.pfb) = %{tl_version}
Provides: tex(bsmiu83.pfb) = %{tl_version}
Provides: tex(bsmiu84.pfb) = %{tl_version}
Provides: tex(bsmiu85.pfb) = %{tl_version}
Provides: tex(bsmiu86.pfb) = %{tl_version}
Provides: tex(bsmiu87.pfb) = %{tl_version}
Provides: tex(bsmiu88.pfb) = %{tl_version}
Provides: tex(bsmiu89.pfb) = %{tl_version}
Provides: tex(bsmiu8a.pfb) = %{tl_version}
Provides: tex(bsmiu8b.pfb) = %{tl_version}
Provides: tex(bsmiu8c.pfb) = %{tl_version}
Provides: tex(bsmiu8d.pfb) = %{tl_version}
Provides: tex(bsmiu8e.pfb) = %{tl_version}
Provides: tex(bsmiu8f.pfb) = %{tl_version}
Provides: tex(bsmiu90.pfb) = %{tl_version}
Provides: tex(bsmiu91.pfb) = %{tl_version}
Provides: tex(bsmiu92.pfb) = %{tl_version}
Provides: tex(bsmiu93.pfb) = %{tl_version}
Provides: tex(bsmiu94.pfb) = %{tl_version}
Provides: tex(bsmiu95.pfb) = %{tl_version}
Provides: tex(bsmiu96.pfb) = %{tl_version}
Provides: tex(bsmiu97.pfb) = %{tl_version}
Provides: tex(bsmiu98.pfb) = %{tl_version}
Provides: tex(bsmiu99.pfb) = %{tl_version}
Provides: tex(bsmiu9a.pfb) = %{tl_version}
Provides: tex(bsmiu9b.pfb) = %{tl_version}
Provides: tex(bsmiu9c.pfb) = %{tl_version}
Provides: tex(bsmiu9d.pfb) = %{tl_version}
Provides: tex(bsmiu9e.pfb) = %{tl_version}
Provides: tex(bsmiu9f.pfb) = %{tl_version}
Provides: tex(bsmiuee.pfb) = %{tl_version}
Provides: tex(bsmiuf6.pfb) = %{tl_version}
Provides: tex(bsmiuf7.pfb) = %{tl_version}
Provides: tex(bsmiuf8.pfb) = %{tl_version}
Provides: tex(bsmiufa.pfb) = %{tl_version}
Provides: tex(bsmiufe.pfb) = %{tl_version}
Provides: tex(bsmiuff.pfb) = %{tl_version}
Provides: tex(bsmiuv.pfb) = %{tl_version}
Provides: tex(gbsnu00.pfb) = %{tl_version}
Provides: tex(gbsnu01.pfb) = %{tl_version}
Provides: tex(gbsnu02.pfb) = %{tl_version}
Provides: tex(gbsnu03.pfb) = %{tl_version}
Provides: tex(gbsnu04.pfb) = %{tl_version}
Provides: tex(gbsnu20.pfb) = %{tl_version}
Provides: tex(gbsnu21.pfb) = %{tl_version}
Provides: tex(gbsnu22.pfb) = %{tl_version}
Provides: tex(gbsnu23.pfb) = %{tl_version}
Provides: tex(gbsnu24.pfb) = %{tl_version}
Provides: tex(gbsnu25.pfb) = %{tl_version}
Provides: tex(gbsnu26.pfb) = %{tl_version}
Provides: tex(gbsnu30.pfb) = %{tl_version}
Provides: tex(gbsnu31.pfb) = %{tl_version}
Provides: tex(gbsnu32.pfb) = %{tl_version}
Provides: tex(gbsnu4e.pfb) = %{tl_version}
Provides: tex(gbsnu4f.pfb) = %{tl_version}
Provides: tex(gbsnu50.pfb) = %{tl_version}
Provides: tex(gbsnu51.pfb) = %{tl_version}
Provides: tex(gbsnu52.pfb) = %{tl_version}
Provides: tex(gbsnu53.pfb) = %{tl_version}
Provides: tex(gbsnu54.pfb) = %{tl_version}
Provides: tex(gbsnu55.pfb) = %{tl_version}
Provides: tex(gbsnu56.pfb) = %{tl_version}
Provides: tex(gbsnu57.pfb) = %{tl_version}
Provides: tex(gbsnu58.pfb) = %{tl_version}
Provides: tex(gbsnu59.pfb) = %{tl_version}
Provides: tex(gbsnu5a.pfb) = %{tl_version}
Provides: tex(gbsnu5b.pfb) = %{tl_version}
Provides: tex(gbsnu5c.pfb) = %{tl_version}
Provides: tex(gbsnu5d.pfb) = %{tl_version}
Provides: tex(gbsnu5e.pfb) = %{tl_version}
Provides: tex(gbsnu5f.pfb) = %{tl_version}
Provides: tex(gbsnu60.pfb) = %{tl_version}
Provides: tex(gbsnu61.pfb) = %{tl_version}
Provides: tex(gbsnu62.pfb) = %{tl_version}
Provides: tex(gbsnu63.pfb) = %{tl_version}
Provides: tex(gbsnu64.pfb) = %{tl_version}
Provides: tex(gbsnu65.pfb) = %{tl_version}
Provides: tex(gbsnu66.pfb) = %{tl_version}
Provides: tex(gbsnu67.pfb) = %{tl_version}
Provides: tex(gbsnu68.pfb) = %{tl_version}
Provides: tex(gbsnu69.pfb) = %{tl_version}
Provides: tex(gbsnu6a.pfb) = %{tl_version}
Provides: tex(gbsnu6b.pfb) = %{tl_version}
Provides: tex(gbsnu6c.pfb) = %{tl_version}
Provides: tex(gbsnu6d.pfb) = %{tl_version}
Provides: tex(gbsnu6e.pfb) = %{tl_version}
Provides: tex(gbsnu6f.pfb) = %{tl_version}
Provides: tex(gbsnu70.pfb) = %{tl_version}
Provides: tex(gbsnu71.pfb) = %{tl_version}
Provides: tex(gbsnu72.pfb) = %{tl_version}
Provides: tex(gbsnu73.pfb) = %{tl_version}
Provides: tex(gbsnu74.pfb) = %{tl_version}
Provides: tex(gbsnu75.pfb) = %{tl_version}
Provides: tex(gbsnu76.pfb) = %{tl_version}
Provides: tex(gbsnu77.pfb) = %{tl_version}
Provides: tex(gbsnu78.pfb) = %{tl_version}
Provides: tex(gbsnu79.pfb) = %{tl_version}
Provides: tex(gbsnu7a.pfb) = %{tl_version}
Provides: tex(gbsnu7b.pfb) = %{tl_version}
Provides: tex(gbsnu7c.pfb) = %{tl_version}
Provides: tex(gbsnu7d.pfb) = %{tl_version}
Provides: tex(gbsnu7e.pfb) = %{tl_version}
Provides: tex(gbsnu7f.pfb) = %{tl_version}
Provides: tex(gbsnu80.pfb) = %{tl_version}
Provides: tex(gbsnu81.pfb) = %{tl_version}
Provides: tex(gbsnu82.pfb) = %{tl_version}
Provides: tex(gbsnu83.pfb) = %{tl_version}
Provides: tex(gbsnu84.pfb) = %{tl_version}
Provides: tex(gbsnu85.pfb) = %{tl_version}
Provides: tex(gbsnu86.pfb) = %{tl_version}
Provides: tex(gbsnu87.pfb) = %{tl_version}
Provides: tex(gbsnu88.pfb) = %{tl_version}
Provides: tex(gbsnu89.pfb) = %{tl_version}
Provides: tex(gbsnu8a.pfb) = %{tl_version}
Provides: tex(gbsnu8b.pfb) = %{tl_version}
Provides: tex(gbsnu8c.pfb) = %{tl_version}
Provides: tex(gbsnu8d.pfb) = %{tl_version}
Provides: tex(gbsnu8e.pfb) = %{tl_version}
Provides: tex(gbsnu8f.pfb) = %{tl_version}
Provides: tex(gbsnu90.pfb) = %{tl_version}
Provides: tex(gbsnu91.pfb) = %{tl_version}
Provides: tex(gbsnu92.pfb) = %{tl_version}
Provides: tex(gbsnu93.pfb) = %{tl_version}
Provides: tex(gbsnu94.pfb) = %{tl_version}
Provides: tex(gbsnu95.pfb) = %{tl_version}
Provides: tex(gbsnu96.pfb) = %{tl_version}
Provides: tex(gbsnu97.pfb) = %{tl_version}
Provides: tex(gbsnu98.pfb) = %{tl_version}
Provides: tex(gbsnu99.pfb) = %{tl_version}
Provides: tex(gbsnu9a.pfb) = %{tl_version}
Provides: tex(gbsnu9b.pfb) = %{tl_version}
Provides: tex(gbsnu9c.pfb) = %{tl_version}
Provides: tex(gbsnu9e.pfb) = %{tl_version}
Provides: tex(gbsnu9f.pfb) = %{tl_version}
Provides: tex(gbsnufe.pfb) = %{tl_version}
Provides: tex(gbsnuff.pfb) = %{tl_version}
Provides: tex(gkaiu00.pfb) = %{tl_version}
Provides: tex(gkaiu01.pfb) = %{tl_version}
Provides: tex(gkaiu02.pfb) = %{tl_version}
Provides: tex(gkaiu03.pfb) = %{tl_version}
Provides: tex(gkaiu04.pfb) = %{tl_version}
Provides: tex(gkaiu20.pfb) = %{tl_version}
Provides: tex(gkaiu21.pfb) = %{tl_version}
Provides: tex(gkaiu22.pfb) = %{tl_version}
Provides: tex(gkaiu23.pfb) = %{tl_version}
Provides: tex(gkaiu24.pfb) = %{tl_version}
Provides: tex(gkaiu25.pfb) = %{tl_version}
Provides: tex(gkaiu26.pfb) = %{tl_version}
Provides: tex(gkaiu30.pfb) = %{tl_version}
Provides: tex(gkaiu31.pfb) = %{tl_version}
Provides: tex(gkaiu32.pfb) = %{tl_version}
Provides: tex(gkaiu4e.pfb) = %{tl_version}
Provides: tex(gkaiu4f.pfb) = %{tl_version}
Provides: tex(gkaiu50.pfb) = %{tl_version}
Provides: tex(gkaiu51.pfb) = %{tl_version}
Provides: tex(gkaiu52.pfb) = %{tl_version}
Provides: tex(gkaiu53.pfb) = %{tl_version}
Provides: tex(gkaiu54.pfb) = %{tl_version}
Provides: tex(gkaiu55.pfb) = %{tl_version}
Provides: tex(gkaiu56.pfb) = %{tl_version}
Provides: tex(gkaiu57.pfb) = %{tl_version}
Provides: tex(gkaiu58.pfb) = %{tl_version}
Provides: tex(gkaiu59.pfb) = %{tl_version}
Provides: tex(gkaiu5a.pfb) = %{tl_version}
Provides: tex(gkaiu5b.pfb) = %{tl_version}
Provides: tex(gkaiu5c.pfb) = %{tl_version}
Provides: tex(gkaiu5d.pfb) = %{tl_version}
Provides: tex(gkaiu5e.pfb) = %{tl_version}
Provides: tex(gkaiu5f.pfb) = %{tl_version}
Provides: tex(gkaiu60.pfb) = %{tl_version}
Provides: tex(gkaiu61.pfb) = %{tl_version}
Provides: tex(gkaiu62.pfb) = %{tl_version}
Provides: tex(gkaiu63.pfb) = %{tl_version}
Provides: tex(gkaiu64.pfb) = %{tl_version}
Provides: tex(gkaiu65.pfb) = %{tl_version}
Provides: tex(gkaiu66.pfb) = %{tl_version}
Provides: tex(gkaiu67.pfb) = %{tl_version}
Provides: tex(gkaiu68.pfb) = %{tl_version}
Provides: tex(gkaiu69.pfb) = %{tl_version}
Provides: tex(gkaiu6a.pfb) = %{tl_version}
Provides: tex(gkaiu6b.pfb) = %{tl_version}
Provides: tex(gkaiu6c.pfb) = %{tl_version}
Provides: tex(gkaiu6d.pfb) = %{tl_version}
Provides: tex(gkaiu6e.pfb) = %{tl_version}
Provides: tex(gkaiu6f.pfb) = %{tl_version}
Provides: tex(gkaiu70.pfb) = %{tl_version}
Provides: tex(gkaiu71.pfb) = %{tl_version}
Provides: tex(gkaiu72.pfb) = %{tl_version}
Provides: tex(gkaiu73.pfb) = %{tl_version}
Provides: tex(gkaiu74.pfb) = %{tl_version}
Provides: tex(gkaiu75.pfb) = %{tl_version}
Provides: tex(gkaiu76.pfb) = %{tl_version}
Provides: tex(gkaiu77.pfb) = %{tl_version}
Provides: tex(gkaiu78.pfb) = %{tl_version}
Provides: tex(gkaiu79.pfb) = %{tl_version}
Provides: tex(gkaiu7a.pfb) = %{tl_version}
Provides: tex(gkaiu7b.pfb) = %{tl_version}
Provides: tex(gkaiu7c.pfb) = %{tl_version}
Provides: tex(gkaiu7d.pfb) = %{tl_version}
Provides: tex(gkaiu7e.pfb) = %{tl_version}
Provides: tex(gkaiu7f.pfb) = %{tl_version}
Provides: tex(gkaiu80.pfb) = %{tl_version}
Provides: tex(gkaiu81.pfb) = %{tl_version}
Provides: tex(gkaiu82.pfb) = %{tl_version}
Provides: tex(gkaiu83.pfb) = %{tl_version}
Provides: tex(gkaiu84.pfb) = %{tl_version}
Provides: tex(gkaiu85.pfb) = %{tl_version}
Provides: tex(gkaiu86.pfb) = %{tl_version}
Provides: tex(gkaiu87.pfb) = %{tl_version}
Provides: tex(gkaiu88.pfb) = %{tl_version}
Provides: tex(gkaiu89.pfb) = %{tl_version}
Provides: tex(gkaiu8a.pfb) = %{tl_version}
Provides: tex(gkaiu8b.pfb) = %{tl_version}
Provides: tex(gkaiu8c.pfb) = %{tl_version}
Provides: tex(gkaiu8d.pfb) = %{tl_version}
Provides: tex(gkaiu8e.pfb) = %{tl_version}
Provides: tex(gkaiu8f.pfb) = %{tl_version}
Provides: tex(gkaiu90.pfb) = %{tl_version}
Provides: tex(gkaiu91.pfb) = %{tl_version}
Provides: tex(gkaiu92.pfb) = %{tl_version}
Provides: tex(gkaiu93.pfb) = %{tl_version}
Provides: tex(gkaiu94.pfb) = %{tl_version}
Provides: tex(gkaiu95.pfb) = %{tl_version}
Provides: tex(gkaiu96.pfb) = %{tl_version}
Provides: tex(gkaiu97.pfb) = %{tl_version}
Provides: tex(gkaiu98.pfb) = %{tl_version}
Provides: tex(gkaiu99.pfb) = %{tl_version}
Provides: tex(gkaiu9a.pfb) = %{tl_version}
Provides: tex(gkaiu9b.pfb) = %{tl_version}
Provides: tex(gkaiu9c.pfb) = %{tl_version}
Provides: tex(gkaiu9e.pfb) = %{tl_version}
Provides: tex(gkaiu9f.pfb) = %{tl_version}
Provides: tex(gkaiufe.pfb) = %{tl_version}
Provides: tex(gkaiuff.pfb) = %{tl_version}
Provides: tex(bkaimp00.vf) = %{tl_version}
Provides: tex(bkaimp01.vf) = %{tl_version}
Provides: tex(bkaimp02.vf) = %{tl_version}
Provides: tex(bkaimp03.vf) = %{tl_version}
Provides: tex(bkaimp04.vf) = %{tl_version}
Provides: tex(bkaimp05.vf) = %{tl_version}
Provides: tex(bkaimp06.vf) = %{tl_version}
Provides: tex(bkaimp07.vf) = %{tl_version}
Provides: tex(bkaimp08.vf) = %{tl_version}
Provides: tex(bkaimp09.vf) = %{tl_version}
Provides: tex(bkaimp10.vf) = %{tl_version}
Provides: tex(bkaimp11.vf) = %{tl_version}
Provides: tex(bkaimp12.vf) = %{tl_version}
Provides: tex(bkaimp13.vf) = %{tl_version}
Provides: tex(bkaimp14.vf) = %{tl_version}
Provides: tex(bkaimp15.vf) = %{tl_version}
Provides: tex(bkaimp16.vf) = %{tl_version}
Provides: tex(bkaimp17.vf) = %{tl_version}
Provides: tex(bkaimp18.vf) = %{tl_version}
Provides: tex(bkaimp19.vf) = %{tl_version}
Provides: tex(bkaimp20.vf) = %{tl_version}
Provides: tex(bkaimp21.vf) = %{tl_version}
Provides: tex(bkaimp22.vf) = %{tl_version}
Provides: tex(bkaimp23.vf) = %{tl_version}
Provides: tex(bkaimp25.vf) = %{tl_version}
Provides: tex(bkaimp26.vf) = %{tl_version}
Provides: tex(bkaimp27.vf) = %{tl_version}
Provides: tex(bkaimp28.vf) = %{tl_version}
Provides: tex(bkaimp29.vf) = %{tl_version}
Provides: tex(bkaimp30.vf) = %{tl_version}
Provides: tex(bkaimp31.vf) = %{tl_version}
Provides: tex(bkaimp32.vf) = %{tl_version}
Provides: tex(bkaimp33.vf) = %{tl_version}
Provides: tex(bkaimp34.vf) = %{tl_version}
Provides: tex(bkaimp35.vf) = %{tl_version}
Provides: tex(bkaimp36.vf) = %{tl_version}
Provides: tex(bkaimp37.vf) = %{tl_version}
Provides: tex(bkaimp38.vf) = %{tl_version}
Provides: tex(bkaimp39.vf) = %{tl_version}
Provides: tex(bkaimp40.vf) = %{tl_version}
Provides: tex(bkaimp41.vf) = %{tl_version}
Provides: tex(bkaimp42.vf) = %{tl_version}
Provides: tex(bkaimp43.vf) = %{tl_version}
Provides: tex(bkaimp44.vf) = %{tl_version}
Provides: tex(bkaimp45.vf) = %{tl_version}
Provides: tex(bkaimp46.vf) = %{tl_version}
Provides: tex(bkaimp47.vf) = %{tl_version}
Provides: tex(bkaimp48.vf) = %{tl_version}
Provides: tex(bkaimp49.vf) = %{tl_version}
Provides: tex(bkaimp50.vf) = %{tl_version}
Provides: tex(bkaimp51.vf) = %{tl_version}
Provides: tex(bkaimp52.vf) = %{tl_version}
Provides: tex(bkaimp53.vf) = %{tl_version}
Provides: tex(bkaimp54.vf) = %{tl_version}
Provides: tex(bkaimp55.vf) = %{tl_version}
Provides: tex(bkaimpv.vf) = %{tl_version}
Provides: tex(bsmilp00.vf) = %{tl_version}
Provides: tex(bsmilp01.vf) = %{tl_version}
Provides: tex(bsmilp02.vf) = %{tl_version}
Provides: tex(bsmilp03.vf) = %{tl_version}
Provides: tex(bsmilp04.vf) = %{tl_version}
Provides: tex(bsmilp05.vf) = %{tl_version}
Provides: tex(bsmilp06.vf) = %{tl_version}
Provides: tex(bsmilp07.vf) = %{tl_version}
Provides: tex(bsmilp08.vf) = %{tl_version}
Provides: tex(bsmilp09.vf) = %{tl_version}
Provides: tex(bsmilp10.vf) = %{tl_version}
Provides: tex(bsmilp11.vf) = %{tl_version}
Provides: tex(bsmilp12.vf) = %{tl_version}
Provides: tex(bsmilp13.vf) = %{tl_version}
Provides: tex(bsmilp14.vf) = %{tl_version}
Provides: tex(bsmilp15.vf) = %{tl_version}
Provides: tex(bsmilp16.vf) = %{tl_version}
Provides: tex(bsmilp17.vf) = %{tl_version}
Provides: tex(bsmilp18.vf) = %{tl_version}
Provides: tex(bsmilp19.vf) = %{tl_version}
Provides: tex(bsmilp20.vf) = %{tl_version}
Provides: tex(bsmilp21.vf) = %{tl_version}
Provides: tex(bsmilp22.vf) = %{tl_version}
Provides: tex(bsmilp23.vf) = %{tl_version}
Provides: tex(bsmilp25.vf) = %{tl_version}
Provides: tex(bsmilp26.vf) = %{tl_version}
Provides: tex(bsmilp27.vf) = %{tl_version}
Provides: tex(bsmilp28.vf) = %{tl_version}
Provides: tex(bsmilp29.vf) = %{tl_version}
Provides: tex(bsmilp30.vf) = %{tl_version}
Provides: tex(bsmilp31.vf) = %{tl_version}
Provides: tex(bsmilp32.vf) = %{tl_version}
Provides: tex(bsmilp33.vf) = %{tl_version}
Provides: tex(bsmilp34.vf) = %{tl_version}
Provides: tex(bsmilp35.vf) = %{tl_version}
Provides: tex(bsmilp36.vf) = %{tl_version}
Provides: tex(bsmilp37.vf) = %{tl_version}
Provides: tex(bsmilp38.vf) = %{tl_version}
Provides: tex(bsmilp39.vf) = %{tl_version}
Provides: tex(bsmilp40.vf) = %{tl_version}
Provides: tex(bsmilp41.vf) = %{tl_version}
Provides: tex(bsmilp42.vf) = %{tl_version}
Provides: tex(bsmilp43.vf) = %{tl_version}
Provides: tex(bsmilp44.vf) = %{tl_version}
Provides: tex(bsmilp45.vf) = %{tl_version}
Provides: tex(bsmilp46.vf) = %{tl_version}
Provides: tex(bsmilp47.vf) = %{tl_version}
Provides: tex(bsmilp48.vf) = %{tl_version}
Provides: tex(bsmilp49.vf) = %{tl_version}
Provides: tex(bsmilp50.vf) = %{tl_version}
Provides: tex(bsmilp51.vf) = %{tl_version}
Provides: tex(bsmilp52.vf) = %{tl_version}
Provides: tex(bsmilp53.vf) = %{tl_version}
Provides: tex(bsmilp54.vf) = %{tl_version}
Provides: tex(bsmilp55.vf) = %{tl_version}
Provides: tex(bsmilpv.vf) = %{tl_version}
Provides: tex(gbsnlp00.vf) = %{tl_version}
Provides: tex(gbsnlp01.vf) = %{tl_version}
Provides: tex(gbsnlp02.vf) = %{tl_version}
Provides: tex(gbsnlp03.vf) = %{tl_version}
Provides: tex(gbsnlp04.vf) = %{tl_version}
Provides: tex(gbsnlp06.vf) = %{tl_version}
Provides: tex(gbsnlp07.vf) = %{tl_version}
Provides: tex(gbsnlp08.vf) = %{tl_version}
Provides: tex(gbsnlp09.vf) = %{tl_version}
Provides: tex(gbsnlp10.vf) = %{tl_version}
Provides: tex(gbsnlp11.vf) = %{tl_version}
Provides: tex(gbsnlp12.vf) = %{tl_version}
Provides: tex(gbsnlp13.vf) = %{tl_version}
Provides: tex(gbsnlp14.vf) = %{tl_version}
Provides: tex(gbsnlp15.vf) = %{tl_version}
Provides: tex(gbsnlp16.vf) = %{tl_version}
Provides: tex(gbsnlp17.vf) = %{tl_version}
Provides: tex(gbsnlp18.vf) = %{tl_version}
Provides: tex(gbsnlp19.vf) = %{tl_version}
Provides: tex(gbsnlp20.vf) = %{tl_version}
Provides: tex(gbsnlp21.vf) = %{tl_version}
Provides: tex(gbsnlp22.vf) = %{tl_version}
Provides: tex(gbsnlp23.vf) = %{tl_version}
Provides: tex(gbsnlp24.vf) = %{tl_version}
Provides: tex(gbsnlp25.vf) = %{tl_version}
Provides: tex(gbsnlp26.vf) = %{tl_version}
Provides: tex(gbsnlp27.vf) = %{tl_version}
Provides: tex(gbsnlp28.vf) = %{tl_version}
Provides: tex(gbsnlp29.vf) = %{tl_version}
Provides: tex(gbsnlp30.vf) = %{tl_version}
Provides: tex(gbsnlp31.vf) = %{tl_version}
Provides: tex(gbsnlp32.vf) = %{tl_version}
Provides: tex(gkaimp00.vf) = %{tl_version}
Provides: tex(gkaimp01.vf) = %{tl_version}
Provides: tex(gkaimp02.vf) = %{tl_version}
Provides: tex(gkaimp03.vf) = %{tl_version}
Provides: tex(gkaimp04.vf) = %{tl_version}
Provides: tex(gkaimp06.vf) = %{tl_version}
Provides: tex(gkaimp07.vf) = %{tl_version}
Provides: tex(gkaimp08.vf) = %{tl_version}
Provides: tex(gkaimp09.vf) = %{tl_version}
Provides: tex(gkaimp10.vf) = %{tl_version}
Provides: tex(gkaimp11.vf) = %{tl_version}
Provides: tex(gkaimp12.vf) = %{tl_version}
Provides: tex(gkaimp13.vf) = %{tl_version}
Provides: tex(gkaimp14.vf) = %{tl_version}
Provides: tex(gkaimp15.vf) = %{tl_version}
Provides: tex(gkaimp16.vf) = %{tl_version}
Provides: tex(gkaimp17.vf) = %{tl_version}
Provides: tex(gkaimp18.vf) = %{tl_version}
Provides: tex(gkaimp19.vf) = %{tl_version}
Provides: tex(gkaimp20.vf) = %{tl_version}
Provides: tex(gkaimp21.vf) = %{tl_version}
Provides: tex(gkaimp22.vf) = %{tl_version}
Provides: tex(gkaimp23.vf) = %{tl_version}
Provides: tex(gkaimp24.vf) = %{tl_version}
Provides: tex(gkaimp25.vf) = %{tl_version}
Provides: tex(gkaimp26.vf) = %{tl_version}
Provides: tex(gkaimp27.vf) = %{tl_version}
Provides: tex(gkaimp28.vf) = %{tl_version}
Provides: tex(gkaimp29.vf) = %{tl_version}
Provides: tex(gkaimp30.vf) = %{tl_version}
Provides: tex(gkaimp31.vf) = %{tl_version}
Provides: tex(gkaimp32.vf) = %{tl_version}

%description arphic
These are font bundles for the Chinese Arphic fonts which work
with the CJK package. Arphic is actually the name of the
company that which created the fonts (and put them under a GPL-
like licence).

%package arphic-doc
Summary: Documentation for arphic
Version: svn15878.0

Provides: tex-arphic-doc
AutoReqProv: No

%description arphic-doc
Documentation for arphic

%package arrayjobx
Provides: tex-arrayjobx = %{tl_version}
License: LPPL
Summary: Array data structures for (La)TeX
Version: svn18125.1.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(arrayjob.sty) = %{tl_version}
Provides: tex(arrayjobx.sty) = %{tl_version}

%description arrayjobx
This package provides array data structures in (La)TeX, in the
meaning of the classical procedural programming languages like
Fortran, Ada or C, and macros to manipulate them. Arrays can be
mono or bi-dimensional. This is useful for applications which
require high level programming techniques, like algorithmic
graphics programmed in the TeX language. The package supersedes
the arrayjob package.

%package arrayjobx-doc
Summary: Documentation for arrayjobx
Version: svn18125.1.04

Provides: tex-arrayjobx-doc
AutoReqProv: No

%description arrayjobx-doc
Documentation for arrayjobx

%package arraysort
Provides: tex-arraysort = %{tl_version}
License: LPPL 1.2
Summary: Sort arrays (or portions of them)
Version: svn31576.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pdftexcmds.sty)
Requires: tex(lcg.sty)
Requires: tex(arrayjobx.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xargs.sty)
Requires: tex(macroswap.sty)
Provides: tex(arraysort.sty) = %{tl_version}

%description arraysort
The package provides a mechanism for sorting arrays (or
portions of them); the arrays should have been created using
the arrayjobx package.

%package arraysort-doc
Summary: Documentation for arraysort
Version: svn31576.1.0

Provides: tex-arraysort-doc
AutoReqProv: No

%description arraysort-doc
Documentation for arraysort

%package arsclassica
Provides: tex-arsclassica = %{tl_version}
License: LPPL
Summary: A different view of the ClassicThesis package
Version: svn45656
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(classicthesis.sty)
Requires: tex(caption.sty)
Requires: tex(soul.sty)
Requires: tex(titlesec.sty)
Provides: tex(arsclassica.sty) = %{tl_version}

%description arsclassica
The package changes some typographical points of the
ClassicThesis style, by Andre Miede. It enables the user to
reproduce the look of the guide The art of writing with LaTeX
(the web page is in Italian).

%package arsclassica-doc
Summary: Documentation for arsclassica
Version: svn45656
Provides: tex-arsclassica-doc
AutoReqProv: No

%description arsclassica-doc
Documentation for arsclassica

%package articleingud
Provides: tex-articleingud = %{tl_version}
License: LPPL 1.2
Summary: LaTeX class for articles published in INGENIERIA review
Version: svn38741

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(articleingud.cls) = %{tl_version}

%description articleingud
The class is for articles published in INGENIERIA review. It is
derived from the standard LaTeX class article.

%package articleingud-doc
Summary: Documentation for articleingud
Version: svn38741

Provides: tex-articleingud-doc
AutoReqProv: No

%description articleingud-doc
Documentation for articleingud

%package arydshln
Provides: tex-arydshln = %{tl_version}
License: LPPL
Summary: Horizontal and vertical dashed lines in arrays and tabulars
Version: svn40847
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(arydshln.sty) = %{tl_version}

%description arydshln
Definitions of horizontal and vertical dashed lines for the
array and tabular environment. Horizontal lines are drawn by
\hdashline and \cdashline while vertical ones can be specified
as a part of preamble using ':'. The shape of dashed lines may
be controlled through style parameters or optional arguments.
The package is compatible with array and colortab.

%package arydshln-doc
Summary: Documentation for arydshln
Version: svn40847
Provides: tex-arydshln-doc
AutoReqProv: No

%description arydshln-doc
Documentation for arydshln

%package asaetr
Provides: tex-asaetr = %{tl_version}
License: Public Domain
Summary: Transactions of the ASAE
Version: svn15878.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(asaesub.sty) = %{tl_version}
Provides: tex(asaetr.cls) = %{tl_version}
Provides: tex(asaetr.sty) = %{tl_version}

%description asaetr
A class and BibTeX style for submissions to the Transactions of
the American Society of Agricultural Engineers. Also included
is the Metafont source of a slanted Computer Modern Caps and
Small Caps font.

%package asaetr-doc
Summary: Documentation for asaetr
Version: svn15878.1.0a

Provides: tex-asaetr-doc
AutoReqProv: No

%description asaetr-doc
Documentation for asaetr

%package asana-math
Provides: tex-asana-math = %{tl_version}
License: OFL
Summary: A font to typeset maths in Xe(La)TeX and Lua(La)TeX
Version: svn37556.000.955

Requires: texlive-base
Provides: texlive-Asana-Math = %{tl_version}
Obsoletes: texlive-Asana-Math < %{tl_version}
Obsoletes: texlive-Asana-Math-fedora-fonts < %{tl_version}
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Asana-Math.otf) = %{tl_version}

%description asana-math
The Asana-Math font is an OpenType font that includes almost
all mathematical Unicode symbols and it can be used to typeset
mathematical text with any software that can understand the
MATH OpenType table (e.g., XeTeX 0.997 and Microsoft Word
2007). The font is beta software. Typesetting support for use
with LaTeX is provided by the fontspec and unicode-math
packages.

%package asana-math-doc
Summary: Documentation for asana-math
Version: svn37556.000.955

Provides: tex-asana-math-doc
AutoReqProv: No

%description asana-math-doc
Documentation for asana-math

%package ascelike
Provides: tex-ascelike = %{tl_version}
License: LPPL
Summary: Bibliography style for the ASCE
Version: svn29129.2.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(endfloat.sty)
Requires: tex(setspace.sty)
Requires: tex(lineno.sty)
Provides: tex(ascelike.cls) = %{tl_version}

%description ascelike
A document class and bibliographic style that prepares
documents in the style required by the American Society of
Civil Engineers (ASCE). These are unofficial files, not
sanctioned by that organization, and the files specifically
give this caveat. Also included is a short
documentation/example of how to use the class.

%package ascelike-doc
Summary: Documentation for ascelike
Version: svn29129.2.3

Provides: tex-ascelike-doc
AutoReqProv: No

%description ascelike-doc
Documentation for ascelike

%package ascii-chart-doc
Summary: Documentation for ascii-chart
Version: svn20536.0

Provides: tex-ascii-chart-doc
AutoReqProv: No

%description ascii-chart-doc
Documentation for ascii-chart

%package ascii-font
Provides: tex-ascii-font = %{tl_version}
License: LPPL
Summary: Use the ASCII "font" in LaTeX
Version: svn29989.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xspace.sty)
Provides: tex(ascii.map) = %{tl_version}
Provides: tex(ASCII.tfm) = %{tl_version}
Provides: tex(ASCII.pfb) = %{tl_version}
Provides: tex(ascii.sty) = %{tl_version}

%description ascii-font
The package provides glyph and font access commands so that
LaTeX users can use the ASCII glyphs in their documents. The
ASCII font is encoded according to the IBM PC Code Page 437 C0
Graphics. This package replaces any early LaTeX 2.09 package
and "font" by R. Ramasubramanian and R.W.D. Nickalls.

%package ascii-font-doc
Summary: Documentation for ascii-font
Version: svn29989.2.0

Provides: tex-ascii-font-doc
AutoReqProv: No

%description ascii-font-doc
Documentation for ascii-font

%package askmaps
Provides: tex-askmaps = %{tl_version}
License: LPPL
Summary: Typeset American style Karnaugh maps
Version: svn32320.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pict2e.sty)
Provides: tex(askmaps.sty) = %{tl_version}

%description askmaps
The package provides 2, 3, 4 and 5 variable Karnaugh maps, in
the style used in numerous textbooks on digital design. The
package draws K-maps where the most significant input variables
are placed on top of the columns and the least significant
variables are placed left of the rows.

%package askmaps-doc
Summary: Documentation for askmaps
Version: svn32320.0.1

Provides: tex-askmaps-doc
AutoReqProv: No

%description askmaps-doc
Documentation for askmaps

%package aspectratio
Provides: tex-aspectratio = %{tl_version}
License: LPPL
Summary: Capital A and capital R ligature for Aspect Ratio
Version: svn25243.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(aspectratio.map) = %{tl_version}
Provides: tex(amarbi.tfm) = %{tl_version}
Provides: tex(amarri.tfm) = %{tl_version}
Provides: tex(aparbi.tfm) = %{tl_version}
Provides: tex(aparri.tfm) = %{tl_version}
Provides: tex(ar10.tfm) = %{tl_version}
Provides: tex(ar12.tfm) = %{tl_version}
Provides: tex(ar5.tfm) = %{tl_version}
Provides: tex(ar6.tfm) = %{tl_version}
Provides: tex(ar7.tfm) = %{tl_version}
Provides: tex(ar8.tfm) = %{tl_version}
Provides: tex(ar9.tfm) = %{tl_version}
Provides: tex(arb10.tfm) = %{tl_version}
Provides: tex(arb12.tfm) = %{tl_version}
Provides: tex(arb5.tfm) = %{tl_version}
Provides: tex(arb6.tfm) = %{tl_version}
Provides: tex(arb7.tfm) = %{tl_version}
Provides: tex(arb8.tfm) = %{tl_version}
Provides: tex(arb9.tfm) = %{tl_version}
Provides: tex(arssbi10.tfm) = %{tl_version}
Provides: tex(arssi10.tfm) = %{tl_version}
Provides: tex(artti10.tfm) = %{tl_version}
Provides: tex(amarbi.pfb) = %{tl_version}
Provides: tex(amarri.pfb) = %{tl_version}
Provides: tex(ar10.pfb) = %{tl_version}
Provides: tex(ar12.pfb) = %{tl_version}
Provides: tex(ar5.pfb) = %{tl_version}
Provides: tex(ar6.pfb) = %{tl_version}
Provides: tex(ar7.pfb) = %{tl_version}
Provides: tex(ar8.pfb) = %{tl_version}
Provides: tex(ar9.pfb) = %{tl_version}
Provides: tex(arb10.pfb) = %{tl_version}
Provides: tex(arb12.pfb) = %{tl_version}
Provides: tex(arb5.pfb) = %{tl_version}
Provides: tex(arb6.pfb) = %{tl_version}
Provides: tex(arb7.pfb) = %{tl_version}
Provides: tex(arb8.pfb) = %{tl_version}
Provides: tex(arb9.pfb) = %{tl_version}
Provides: tex(arssbi10.pfb) = %{tl_version}
Provides: tex(arssi10.pfb) = %{tl_version}
Provides: tex(artti10.pfb) = %{tl_version}
Provides: tex(ar.sty) = %{tl_version}

%description aspectratio
The package provides fonts (both as Adobe Type 1 format, and as
Metafont source) for the 'AR' symbol (for Aspect Ratio) used by
aeronautical scientists and engineers. Note that the package
supersedes the package ar

%package aspectratio-doc
Summary: Documentation for aspectratio
Version: svn25243.2.0

Provides: tex-aspectratio-doc
AutoReqProv: No

%description aspectratio-doc
Documentation for aspectratio

%package assignment
Provides: tex-assignment = %{tl_version}
License: LPPL
Summary: A class file for typesetting homework and lab assignments
Version: svn20431.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(assignment.cls) = %{tl_version}

%description assignment
A class file for typesetting homework and lab assignments.

%package assignment-doc
Summary: Documentation for assignment
Version: svn20431.0

Provides: tex-assignment-doc
AutoReqProv: No

%description assignment-doc
Documentation for assignment

%package assoccnt
Provides: tex-assoccnt = %{tl_version}
License: LPPL 1.3
Summary: Associate counters, making them step when a master steps
Version: svn38497

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xstring.sty)
Provides: tex(assoccnt.sty) = %{tl_version}

%description assoccnt
The package provides the means of declaring a set of counters
to be stepped, each time some 'master' counter is stepped.

%package assoccnt-doc
Summary: Documentation for assoccnt
Version: svn38497

Provides: tex-assoccnt-doc
AutoReqProv: No

%description assoccnt-doc
Documentation for assoccnt

%package astro
Provides: tex-astro = %{tl_version}
License: LPPL
Summary: Astronomical (planetary) symbols
Version: svn15878.2.20

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(astrosym.tfm) = %{tl_version}

%description astro
Astrosym is a font containing astronomical symbols, including
those used for the planets, four planetoids, the phases of the
moon, the signs of the zodiac, and some additional symbols. The
font is distributed as Metafont source.

%package astro-doc
Summary: Documentation for astro
Version: svn15878.2.20

Provides: tex-astro-doc
AutoReqProv: No

%description astro-doc
Documentation for astro

%package asyfig
Provides: tex-asyfig = %{tl_version}
License: LPPL
Summary: Commands for using Asymptote figures
Version: svn17512.0.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(ifmtarg.sty)
Provides: tex(asyalign.sty) = %{tl_version}
Provides: tex(asyfig.sty) = %{tl_version}
Provides: tex(asyprocess.sty) = %{tl_version}

%description asyfig
The package provides a means of reading Asymptote figures from
separate files, rather than within the document, as is standard
in the asymptote package, which is provided as part of the
Asymptote bundle. The asymptote way can prove cumbersome in a
large document; the present package allows the user to process
one picture at a time, in simple test documents, and then to
migrate (with no fuss) to their use in the target document.

%package asyfig-doc
Summary: Documentation for asyfig
Version: svn17512.0.1c

Provides: tex-asyfig-doc
AutoReqProv: No

%description asyfig-doc
Documentation for asyfig

%package asypictureb
Provides: tex-asypictureb = %{tl_version}
License: LPPL 1.3
Summary: User-friendly integration of Asymptote into LaTeX
Version: svn33490.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyvrb.sty)
Requires: tex(graphicx.sty)
Requires: tex(pgfkeys.sty)
Requires: tex(ifplatform.sty)
Requires: tex(verbatimcopy.sty)
Provides: tex(asypictureB.sty) = %{tl_version}

%description asypictureb
The package is an unofficial alternative to the package
provided with the Asymptote distribution, for including
pictures within a LaTeX source file. While it does not
duplicate all the features of the official package, this
package is more user-friendly in several ways. Most notably,
Asymptote errors are repackaged as LaTeX errors, making
debugging less of a pain. It also has a more robust mechanism
for identifying unchanged pictures that need not be recompiled.

%package asypictureb-doc
Summary: Documentation for asypictureb
Version: svn33490.0.3

Provides: tex-asypictureb-doc
AutoReqProv: No

%description asypictureb-doc
Documentation for asypictureb

%package attachfile
Provides: tex-attachfile = %{tl_version}
License: LPPL 1.3
Summary: Attach arbitrary files to a PDF document
Version: svn42099
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(keyval.sty)
Requires: tex(calc.sty)
Requires: tex(color.sty)
Requires: tex(hyperref.sty)
Provides: tex(attachfile.sty) = %{tl_version}

%description attachfile
Starting with PDF 1.3 (Adobe Acrobat 4.0), PDF files can
contain file attachments -- arbitrary files that a reader can
extract, just like attachments to an e-mail message. The
attachfile package brings this functionality to pdfLaTeX and
provides some additional features not available in Acrobat,
such as the ability to use arbitrary LaTeX code for the file
icon -- including things like \includegraphics, tabular, and
mathematics. Settings can be made either globally or on a per-
attachment basis. Attachfile makes it easy to attach files and
customize their appearance in the enclosing document. The
package supports the Created, Modified, and Size keys in the
EmbeddedFile's Params dictionary.

%package attachfile-doc
Summary: Documentation for attachfile
Version: svn42099
Provides: tex-attachfile-doc
AutoReqProv: No

%description attachfile-doc
Documentation for attachfile

%package augie
Provides: tex-augie = %{tl_version}
License: LPPL
Summary: Calligraphic font for typesetting handwriting
Version: svn18948.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(augie.map) = %{tl_version}
Provides: tex(augie7t.tfm) = %{tl_version}
Provides: tex(augie8c.tfm) = %{tl_version}
Provides: tex(augie8r.tfm) = %{tl_version}
Provides: tex(augie8t.tfm) = %{tl_version}
Provides: tex(augie___.tfm) = %{tl_version}
Provides: tex(augie___.pfb) = %{tl_version}
Provides: tex(augie7t.vf) = %{tl_version}
Provides: tex(augie8c.vf) = %{tl_version}
Provides: tex(augie8t.vf) = %{tl_version}
Provides: tex(ot1augie.fd) = %{tl_version}
Provides: tex(t1augie.fd) = %{tl_version}
Provides: tex(ts1augie.fd) = %{tl_version}

%description augie
A calligraphic font for simulating American-style informal
handwriting. The font is distributed in Adobe Type 1 format.

%package augie-doc
Summary: Documentation for augie
Version: svn18948.0

Provides: tex-augie-doc
AutoReqProv: No

%description augie-doc
Documentation for augie

%package auncial-new
Provides: tex-auncial-new = %{tl_version}
License: LPPL
Summary: Artificial Uncial font and LaTeX support macros
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(auncial.map) = %{tl_version}
Provides: tex(auncl10.tfm) = %{tl_version}
Provides: tex(aunclb10.tfm) = %{tl_version}
Provides: tex(auncl10.pfb) = %{tl_version}
Provides: tex(aunclb10.pfb) = %{tl_version}
Provides: tex(allauncl.sty) = %{tl_version}
Provides: tex(auncial.sty) = %{tl_version}
Provides: tex(b1auncl.fd) = %{tl_version}

%description auncial-new
The auncial-new bundle provides packages and fonts for a script
based on the Artificial Uncial manuscript book-hand used
between the 6th & 10th century AD. The script consists of
minuscules and digits, with some appropriate period punctuation
marks. Both normal and bold versions are provided, and the font
is distributed in Adobe Type 1 format. This is an experimental
new version of the auncial bundle, which is one of a series of
bookhand fonts. The font follows the B1 encoding developed for
bookhands. Access to the encoding is essential. The encoding
mainly follows the standard T1 encoding.

%package auncial-new-doc
Summary: Documentation for auncial-new
Version: svn15878.2.0

Provides: tex-auncial-new-doc
AutoReqProv: No

%description auncial-new-doc
Documentation for auncial-new

%package aurical
Provides: tex-aurical = %{tl_version}
License: LPPL
Summary: Calligraphic fonts for use with LaTeX in T1 encoding
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(aurical.map) = %{tl_version}
Provides: tex(AmiciLogo.tfm) = %{tl_version}
Provides: tex(AmiciLogoBold.tfm) = %{tl_version}
Provides: tex(AmiciLogoBoldRslant.tfm) = %{tl_version}
Provides: tex(AmiciLogoBoldSlant.tfm) = %{tl_version}
Provides: tex(AmiciLogoRslant.tfm) = %{tl_version}
Provides: tex(AmiciLogoSlant.tfm) = %{tl_version}
Provides: tex(AuriocusKalligraphicus.tfm) = %{tl_version}
Provides: tex(AuriocusKalligraphicusBold.tfm) = %{tl_version}
Provides: tex(AuriocusKalligraphicusBoldRslant.tfm) = %{tl_version}
Provides: tex(AuriocusKalligraphicusBoldSlant.tfm) = %{tl_version}
Provides: tex(AuriocusKalligraphicusRslant.tfm) = %{tl_version}
Provides: tex(AuriocusKalligraphicusSlant.tfm) = %{tl_version}
Provides: tex(JanaSkrivana.tfm) = %{tl_version}
Provides: tex(JanaSkrivanaBold.tfm) = %{tl_version}
Provides: tex(JanaSkrivanaBoldRslant.tfm) = %{tl_version}
Provides: tex(JanaSkrivanaBoldSlant.tfm) = %{tl_version}
Provides: tex(JanaSkrivanaRslant.tfm) = %{tl_version}
Provides: tex(JanaSkrivanaSlant.tfm) = %{tl_version}
Provides: tex(LukasSvatba.tfm) = %{tl_version}
Provides: tex(LukasSvatbaBold.tfm) = %{tl_version}
Provides: tex(LukasSvatbaBoldRslant.tfm) = %{tl_version}
Provides: tex(LukasSvatbaBoldSlant.tfm) = %{tl_version}
Provides: tex(LukasSvatbaRslant.tfm) = %{tl_version}
Provides: tex(LukasSvatbaSlant.tfm) = %{tl_version}
Provides: tex(AmiciLogo.pfb) = %{tl_version}
Provides: tex(AmiciLogoBold.pfb) = %{tl_version}
Provides: tex(AmiciLogoBoldRslant.pfb) = %{tl_version}
Provides: tex(AmiciLogoBoldSlant.pfb) = %{tl_version}
Provides: tex(AmiciLogoRslant.pfb) = %{tl_version}
Provides: tex(AmiciLogoSlant.pfb) = %{tl_version}
Provides: tex(AuriocusKalligraphicus.pfb) = %{tl_version}
Provides: tex(AuriocusKalligraphicusBold.pfb) = %{tl_version}
Provides: tex(AuriocusKalligraphicusBoldRslant.pfb) = %{tl_version}
Provides: tex(AuriocusKalligraphicusBoldSlant.pfb) = %{tl_version}
Provides: tex(AuriocusKalligraphicusRslant.pfb) = %{tl_version}
Provides: tex(AuriocusKalligraphicusSlant.pfb) = %{tl_version}
Provides: tex(JanaSkrivana.pfb) = %{tl_version}
Provides: tex(JanaSkrivanaBold.pfb) = %{tl_version}
Provides: tex(JanaSkrivanaBoldRslant.pfb) = %{tl_version}
Provides: tex(JanaSkrivanaBoldSlant.pfb) = %{tl_version}
Provides: tex(JanaSkrivanaRslant.pfb) = %{tl_version}
Provides: tex(JanaSkrivanaSlant.pfb) = %{tl_version}
Provides: tex(LukasSvatba.pfb) = %{tl_version}
Provides: tex(LukasSvatbaBold.pfb) = %{tl_version}
Provides: tex(LukasSvatbaBoldRslant.pfb) = %{tl_version}
Provides: tex(LukasSvatbaBoldSlant.pfb) = %{tl_version}
Provides: tex(LukasSvatbaRslant.pfb) = %{tl_version}
Provides: tex(LukasSvatbaSlant.pfb) = %{tl_version}
Provides: tex(T1AmiciLogo.fd) = %{tl_version}
Provides: tex(T1AuriocusKalligraphicus.fd) = %{tl_version}
Provides: tex(T1JanaSkrivana.fd) = %{tl_version}
Provides: tex(T1LukasSvatba.fd) = %{tl_version}
Provides: tex(aurical.sty) = %{tl_version}

%description aurical
The package that implements a set (AuriocusKalligraphicus) of
three calligraphic fonts derived from the author's handwriting
in Adobe Type 1 Format, T1 encoding for use with LaTeX:
Auriocus Kalligraphicus; Lukas Svatba; and Jana Skrivana. Each
font features oldstyle digits and (machine-generated) boldface
and slanted versions. A variant of Lukas Svatba offers a 'long
s'.

%package aurical-doc
Summary: Documentation for aurical
Version: svn15878.1.5

Provides: tex-aurical-doc
AutoReqProv: No

%description aurical-doc
Documentation for aurical

%package authoraftertitle
Provides: tex-authoraftertitle = %{tl_version}
License: Public Domain
Summary: Make author, etc., available after \maketitle
Version: svn24863.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(authoraftertitle.sty) = %{tl_version}

%description authoraftertitle
This jiffy package makes the author, title and date of the
package available to the user (as \MyAuthor, etc) after the
\maketitle command has been executed.

%package authoraftertitle-doc
Summary: Documentation for authoraftertitle
Version: svn24863.0.9

Provides: tex-authoraftertitle-doc
AutoReqProv: No

%description authoraftertitle-doc
Documentation for authoraftertitle

%package autoarea
Provides: tex-autoarea = %{tl_version}
License: LPPL
Summary: Automatic computation of bounding boxes with PiCTeX
Version: svn15878.0.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(autoarea.sty) = %{tl_version}

%description autoarea
This package makes PiCTeX recognize lines and arcs in
determining the "bounding box" of a picture. (PiCTeX so far
accounted for put commands only). The "bounding box" is
essential for proper placement of a picture between running
text and margins and for keeping the running text away.

%package autoarea-doc
Summary: Documentation for autoarea
Version: svn15878.0.3a

Provides: tex-autoarea-doc
AutoReqProv: No

%description autoarea-doc
Documentation for autoarea

%package automata
Provides: tex-automata = %{tl_version}
License: LPPL
Summary: Finite state machines, graphs and trees in MetaPost
Version: svn19717.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description automata
The package offers a collection of macros for MetaPost to make
easier to draw finite-state machines, automata, labelled
graphs, etc. The user defines nodes, which may be isolated or
arranged into matrices or trees; edges connect pairs of nodes
through arbitrary paths. Parameters, that specify the shapes of
nodes and the styles of edges, may be adjusted.

%package automata-doc
Summary: Documentation for automata
Version: svn19717.0.3

Provides: tex-automata-doc
AutoReqProv: No

%description automata-doc
Documentation for automata

%package autonum
Provides: tex-autonum = %{tl_version}
License: LPPL 1.3
Summary: Automatic equation references
Version: svn36084.0.3.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(etextools.sty)
Requires: tex(amsmath.sty)
Requires: tex(textpos.sty)
Requires: tex(letltxmacro.sty)
Provides: tex(autonum.sty) = %{tl_version}

%description autonum
The package arranges that equation numbers are applied only to
those equations that are referenced. This operation is similar
to the showonlyrefs option of the package mathtools.

%package autonum-doc
Summary: Documentation for autonum
Version: svn36084.0.3.11

Provides: tex-autonum-doc
AutoReqProv: No

%description autonum-doc
Documentation for autonum

%package autopdf
Provides: tex-autopdf = %{tl_version}
License: LPPL 1.2
Summary: Conversion of graphics to pdfLaTeX-compatible formats
Version: svn32377.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifplatform.sty)
Requires: tex(graphicx.sty)
Provides: tex(autopdf.sty) = %{tl_version}

%description autopdf
The package facilitates the on-the-fly conversion of various
graphics formats to formats supported by pdfLaTeX (e.g. PDF).
It uses a range of external programs, and therefore requires
that the LaTeX run starts with write18 enabled.

%package autopdf-doc
Summary: Documentation for autopdf
Version: svn32377.1.1

Provides: tex-autopdf-doc
AutoReqProv: No

%description autopdf-doc
Documentation for autopdf

%package auto-pst-pdf
Provides: tex-auto-pst-pdf = %{tl_version}
License: LPPL
Summary: Wrapper for pst-pdf (with some psfrag features)
Version: svn23723.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifplatform.sty)
Requires: tex(pst-pdf.sty)
Provides: tex(auto-pst-pdf.sty) = %{tl_version}

%description auto-pst-pdf
The package uses --shell-escape to execute pst-pdf when
necessary. This makes it especially easy to integrate into the
workflow of an editor with just "LaTeX" and "pdfLaTeX" buttons.
Wrappers are provided for various psfrag-related features so
that Matlab figures via laprint, Mathematica figures via
MathPSfrag, and regular psfrag figures can all be input
consistently and easily.

%package auto-pst-pdf-doc
Summary: Documentation for auto-pst-pdf
Version: svn23723.0.6

Provides: tex-auto-pst-pdf-doc
AutoReqProv: No

%description auto-pst-pdf-doc
Documentation for auto-pst-pdf

%package avantgar
Provides: tex-avantgar = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(uag.map) = %{tl_version}
Provides: tex(pagd.tfm) = %{tl_version}
Provides: tex(pagd7t.tfm) = %{tl_version}
Provides: tex(pagd8c.tfm) = %{tl_version}
Provides: tex(pagd8r.tfm) = %{tl_version}
Provides: tex(pagd8t.tfm) = %{tl_version}
Provides: tex(pagdc.tfm) = %{tl_version}
Provides: tex(pagdc7t.tfm) = %{tl_version}
Provides: tex(pagdc8t.tfm) = %{tl_version}
Provides: tex(pagdo.tfm) = %{tl_version}
Provides: tex(pagdo7t.tfm) = %{tl_version}
Provides: tex(pagdo8c.tfm) = %{tl_version}
Provides: tex(pagdo8r.tfm) = %{tl_version}
Provides: tex(pagdo8t.tfm) = %{tl_version}
Provides: tex(pagk.tfm) = %{tl_version}
Provides: tex(pagk7t.tfm) = %{tl_version}
Provides: tex(pagk8c.tfm) = %{tl_version}
Provides: tex(pagk8r.tfm) = %{tl_version}
Provides: tex(pagk8t.tfm) = %{tl_version}
Provides: tex(pagkc.tfm) = %{tl_version}
Provides: tex(pagkc7t.tfm) = %{tl_version}
Provides: tex(pagkc8t.tfm) = %{tl_version}
Provides: tex(pagko.tfm) = %{tl_version}
Provides: tex(pagko7t.tfm) = %{tl_version}
Provides: tex(pagko8c.tfm) = %{tl_version}
Provides: tex(pagko8r.tfm) = %{tl_version}
Provides: tex(pagko8t.tfm) = %{tl_version}
Provides: tex(uagb7t.tfm) = %{tl_version}
Provides: tex(uagb8c.tfm) = %{tl_version}
Provides: tex(uagb8r.tfm) = %{tl_version}
Provides: tex(uagb8t.tfm) = %{tl_version}
Provides: tex(uagbc7t.tfm) = %{tl_version}
Provides: tex(uagbc8t.tfm) = %{tl_version}
Provides: tex(uagbi7t.tfm) = %{tl_version}
Provides: tex(uagbi8c.tfm) = %{tl_version}
Provides: tex(uagbi8r.tfm) = %{tl_version}
Provides: tex(uagbi8t.tfm) = %{tl_version}
Provides: tex(uagbo7t.tfm) = %{tl_version}
Provides: tex(uagbo8c.tfm) = %{tl_version}
Provides: tex(uagbo8r.tfm) = %{tl_version}
Provides: tex(uagbo8t.tfm) = %{tl_version}
Provides: tex(uagd7t.tfm) = %{tl_version}
Provides: tex(uagd8c.tfm) = %{tl_version}
Provides: tex(uagd8r.tfm) = %{tl_version}
Provides: tex(uagd8t.tfm) = %{tl_version}
Provides: tex(uagdc7t.tfm) = %{tl_version}
Provides: tex(uagdc8t.tfm) = %{tl_version}
Provides: tex(uagdo7t.tfm) = %{tl_version}
Provides: tex(uagdo8c.tfm) = %{tl_version}
Provides: tex(uagdo8r.tfm) = %{tl_version}
Provides: tex(uagdo8t.tfm) = %{tl_version}
Provides: tex(uagk7t.tfm) = %{tl_version}
Provides: tex(uagk8c.tfm) = %{tl_version}
Provides: tex(uagk8r.tfm) = %{tl_version}
Provides: tex(uagk8t.tfm) = %{tl_version}
Provides: tex(uagkc7t.tfm) = %{tl_version}
Provides: tex(uagkc8t.tfm) = %{tl_version}
Provides: tex(uagko7t.tfm) = %{tl_version}
Provides: tex(uagko8c.tfm) = %{tl_version}
Provides: tex(uagko8r.tfm) = %{tl_version}
Provides: tex(uagko8t.tfm) = %{tl_version}
Provides: tex(uagr7t.tfm) = %{tl_version}
Provides: tex(uagr8c.tfm) = %{tl_version}
Provides: tex(uagr8r.tfm) = %{tl_version}
Provides: tex(uagr8t.tfm) = %{tl_version}
Provides: tex(uagrc7t.tfm) = %{tl_version}
Provides: tex(uagrc8t.tfm) = %{tl_version}
Provides: tex(uagri7t.tfm) = %{tl_version}
Provides: tex(uagri8c.tfm) = %{tl_version}
Provides: tex(uagri8r.tfm) = %{tl_version}
Provides: tex(uagri8t.tfm) = %{tl_version}
Provides: tex(uagro7t.tfm) = %{tl_version}
Provides: tex(uagro8c.tfm) = %{tl_version}
Provides: tex(uagro8r.tfm) = %{tl_version}
Provides: tex(uagro8t.tfm) = %{tl_version}
Provides: tex(uagd8a.pfb) = %{tl_version}
Provides: tex(uagdo8a.pfb) = %{tl_version}
Provides: tex(uagk8a.pfb) = %{tl_version}
Provides: tex(uagko8a.pfb) = %{tl_version}
Provides: tex(pagd.vf) = %{tl_version}
Provides: tex(pagd7t.vf) = %{tl_version}
Provides: tex(pagd8c.vf) = %{tl_version}
Provides: tex(pagd8t.vf) = %{tl_version}
Provides: tex(pagdc.vf) = %{tl_version}
Provides: tex(pagdc7t.vf) = %{tl_version}
Provides: tex(pagdc8t.vf) = %{tl_version}
Provides: tex(pagdo.vf) = %{tl_version}
Provides: tex(pagdo7t.vf) = %{tl_version}
Provides: tex(pagdo8c.vf) = %{tl_version}
Provides: tex(pagdo8t.vf) = %{tl_version}
Provides: tex(pagk.vf) = %{tl_version}
Provides: tex(pagk7t.vf) = %{tl_version}
Provides: tex(pagk8c.vf) = %{tl_version}
Provides: tex(pagk8t.vf) = %{tl_version}
Provides: tex(pagkc.vf) = %{tl_version}
Provides: tex(pagkc7t.vf) = %{tl_version}
Provides: tex(pagkc8t.vf) = %{tl_version}
Provides: tex(pagko.vf) = %{tl_version}
Provides: tex(pagko7t.vf) = %{tl_version}
Provides: tex(pagko8c.vf) = %{tl_version}
Provides: tex(pagko8t.vf) = %{tl_version}
Provides: tex(uagb7t.vf) = %{tl_version}
Provides: tex(uagb8c.vf) = %{tl_version}
Provides: tex(uagb8t.vf) = %{tl_version}
Provides: tex(uagbc7t.vf) = %{tl_version}
Provides: tex(uagbc8t.vf) = %{tl_version}
Provides: tex(uagbi7t.vf) = %{tl_version}
Provides: tex(uagbi8c.vf) = %{tl_version}
Provides: tex(uagbi8t.vf) = %{tl_version}
Provides: tex(uagbo7t.vf) = %{tl_version}
Provides: tex(uagbo8c.vf) = %{tl_version}
Provides: tex(uagbo8t.vf) = %{tl_version}
Provides: tex(uagd7t.vf) = %{tl_version}
Provides: tex(uagd8c.vf) = %{tl_version}
Provides: tex(uagd8t.vf) = %{tl_version}
Provides: tex(uagdc7t.vf) = %{tl_version}
Provides: tex(uagdc8t.vf) = %{tl_version}
Provides: tex(uagdo7t.vf) = %{tl_version}
Provides: tex(uagdo8c.vf) = %{tl_version}
Provides: tex(uagdo8t.vf) = %{tl_version}
Provides: tex(uagk7t.vf) = %{tl_version}
Provides: tex(uagk8c.vf) = %{tl_version}
Provides: tex(uagk8t.vf) = %{tl_version}
Provides: tex(uagkc7t.vf) = %{tl_version}
Provides: tex(uagkc8t.vf) = %{tl_version}
Provides: tex(uagko7t.vf) = %{tl_version}
Provides: tex(uagko8c.vf) = %{tl_version}
Provides: tex(uagko8t.vf) = %{tl_version}
Provides: tex(uagr7t.vf) = %{tl_version}
Provides: tex(uagr8c.vf) = %{tl_version}
Provides: tex(uagr8t.vf) = %{tl_version}
Provides: tex(uagrc7t.vf) = %{tl_version}
Provides: tex(uagrc8t.vf) = %{tl_version}
Provides: tex(uagri7t.vf) = %{tl_version}
Provides: tex(uagri8c.vf) = %{tl_version}
Provides: tex(uagri8t.vf) = %{tl_version}
Provides: tex(uagro7t.vf) = %{tl_version}
Provides: tex(uagro8c.vf) = %{tl_version}
Provides: tex(uagro8t.vf) = %{tl_version}
Provides: tex(8ruag.fd) = %{tl_version}
Provides: tex(omluag.fd) = %{tl_version}
Provides: tex(omsuag.fd) = %{tl_version}
Provides: tex(ot1uag.fd) = %{tl_version}
Provides: tex(t1uag.fd) = %{tl_version}
Provides: tex(ts1uag.fd) = %{tl_version}

%description avantgar
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package avremu
Provides: tex-avremu = %{tl_version}
License: LPPL 1.3
Summary: An 8-Bit Microcontroller Simulator written in LaTeX
Version: svn35373.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(tabularx.sty)
Requires: tex(kvoptions.sty)
Provides: tex(avr.binary.tex) = %{tl_version}
Provides: tex(avr.bitops.tex) = %{tl_version}
Provides: tex(avr.draw.tex) = %{tl_version}
Provides: tex(avr.instr.tex) = %{tl_version}
Provides: tex(avr.io.tex) = %{tl_version}
Provides: tex(avr.memory.tex) = %{tl_version}
Provides: tex(avr.numbers.tex) = %{tl_version}
Provides: tex(avr.testsuite.tex) = %{tl_version}
Provides: tex(avremu.sty) = %{tl_version}

%description avremu
A fully working package to simulate a Microprocessor in pure
LaTeX. The simulator is able to calculate complex pictures,
like Mandelbrot sets.

%package avremu-doc
Summary: Documentation for avremu
Version: svn35373.0.1

Provides: tex-avremu-doc
AutoReqProv: No

%description avremu-doc
Documentation for avremu

%package b1encoding
Provides: tex-b1encoding = %{tl_version}
License: LPPL 1.3
Summary: LaTeX encoding tools for Bookhands fonts
Version: svn21271.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(TeXB1.enc) = %{tl_version}
Provides: tex(b1cmr.fd) = %{tl_version}
Provides: tex(b1enc.def) = %{tl_version}

%description b1encoding
The package characterises and defines the author's B1 encoding
for use with LaTeX when typesetting things using his Bookhands
fonts.

%package b1encoding-doc
Summary: Documentation for b1encoding
Version: svn21271.1.0

Provides: tex-b1encoding-doc
AutoReqProv: No

%description b1encoding-doc
Documentation for b1encoding

%package babel-albanian
Provides: tex-babel-albanian = %{tl_version}
License: LPPL
Summary: Support for Albanian within babel
Version: svn30254.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(albanian.ldf) = %{tl_version}

%description babel-albanian
The package provides support for typesetting Albanian (as part
of the babel system).

%package babel-albanian-doc
Summary: Documentation for babel-albanian
Version: svn30254.1.0c

Provides: tex-babel-albanian-doc
AutoReqProv: No

%description babel-albanian-doc
Documentation for babel-albanian

%package babel-bahasa
Provides: tex-babel-bahasa = %{tl_version}
License: LPPL 1.3
Summary: Support for Bahasa within babel
Version: svn30255.1.0l.metapackage
Requires: texlive-babel-indonesian
Requires: texlive-babel-malay

%description babel-bahasa
This metapackage pulls in texlive-babel-indonesian and texlive-babel-malay.

%package babel-bahasa-doc
Summary: Documentation for babel-bahasa
Version: svn30255.1.0l.metapackage
Provides: tex-babel-bahasa-doc
Requires: texlive-babel-indonesian-doc
Requires: texlive-babel-malay-doc

%description babel-bahasa-doc
Metapackage, pulls in texlive-babel-indonesian-doc and texlive-babel-malay-doc.

%package babel-indonesian
Provides: tex-babel-indonesian = %{tl_version}
License: LPPL 1.3
Summary: Support for Indonesian within babel
Version: svn43235
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(bahasa.ldf) = %{tl_version}
Provides: tex(bahasai.ldf) = %{tl_version}
Provides: tex(indon.ldf) = %{tl_version}
Provides: tex(indonesian.ldf) = %{tl_version}

%description babel-indonesian
Support for Indonesian within babel.

%package babel-indonesian-doc
Summary: Documentation for babel-indonesian
Version: svn43235

Provides: tex-babel-indonesian-doc

%description babel-indonesian-doc
Documentation for babel-indonesian.

%package babel-malay
Provides: tex-babel-malay = %{tl_version}
License: LPPL 1.3
Summary: Support for Malay within babel
Version: svn43234

Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(bahasam.ldf) = %{tl_version}
Provides: tex(malay.ldf) = %{tl_version}
Provides: tex(melayu.ldf) = %{tl_version}
Provides: tex(meyalu.ldf) = %{tl_version}

%description babel-malay
Support for Malay within babel.

%package babel-malay-doc
Summary: Documentation for babel-malay 
Version: svn43235

Provides: tex-babel-malay-doc

%description babel-malay-doc
Documentation for babel-malay.

%package babel-basque
Provides: tex-babel-basque = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for Basque
Version: svn30256.1.0f

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(basque.ldf) = %{tl_version}

%description babel-basque
The package establishes Basque conventions in a document.

%package babel-basque-doc
Summary: Documentation for babel-basque
Version: svn30256.1.0f

Provides: tex-babel-basque-doc
AutoReqProv: No

%description babel-basque-doc
Documentation for babel-basque

%package babelbib
Provides: tex-babelbib = %{tl_version}
License: LPPL
Summary: Multilingual bibliographies
Version: svn25245.1.31

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(babel.sty)
Provides: tex(babelbib.sty) = %{tl_version}

%description babelbib
This package enables to generate multilingual bibliographies in
cooperation with babel. Two approaches are possible: Each
citation may be written in another language, or the whole
bibliography can be typeset in a language chosen by the user.
In addition, the package supports commands to change the
typography of the bibliographies.

%package babelbib-doc
Summary: Documentation for babelbib
Version: svn25245.1.31

Provides: tex-babelbib-doc
AutoReqProv: No

%description babelbib-doc
Documentation for babelbib

%package babel-bosnian
Provides: tex-babel-bosnian = %{tl_version}
License: LPPL 1.3
Summary: Babel contrib support for Bosnian
Version: svn38174.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bosnian.ldf) = %{tl_version}

%description babel-bosnian
The package provides a language definition file that enables
support of Bosnian with babel.

%package babel-bosnian-doc
Summary: Documentation for babel-bosnian
Version: svn38174.1.1

Provides: tex-babel-bosnian-doc
AutoReqProv: No

%description babel-bosnian-doc
Documentation for babel-bosnian

%package babel-breton
Provides: tex-babel-breton = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for Breton
Version: svn30257.1.0h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(breton.ldf) = %{tl_version}

%description babel-breton
Breton (being, principally, a spoken language) does not have
typographic rules of its own; this package provides an
"appropriate" selection of French and British typographic
rules.

%package babel-breton-doc
Summary: Documentation for babel-breton
Version: svn30257.1.0h

Provides: tex-babel-breton-doc
AutoReqProv: No

%description babel-breton-doc
Documentation for babel-breton

%package babel-bulgarian
Provides: tex-babel-bulgarian = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for Bulgarian
Version: svn31902.1.2g

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bulgarian.ldf) = %{tl_version}

%description babel-bulgarian
The package provides support for documents in Bulgarian (or
simply containing some Bulgarian text).

%package babel-bulgarian-doc
Summary: Documentation for babel-bulgarian
Version: svn31902.1.2g

Provides: tex-babel-bulgarian-doc
AutoReqProv: No

%description babel-bulgarian-doc
Documentation for babel-bulgarian

%package babel-catalan
Provides: tex-babel-catalan = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for Catalan
Version: svn30259.2.2p

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(catalan.ldf) = %{tl_version}

%description babel-catalan
The package establishes Catalan conventions in a document (or a
subset of the conventions, if Catalan is not the main language
of the document).

%package babel-catalan-doc
Summary: Documentation for babel-catalan
Version: svn30259.2.2p

Provides: tex-babel-catalan-doc
AutoReqProv: No

%description babel-catalan-doc
Documentation for babel-catalan

%package babel-croatian
Provides: tex-babel-croatian = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for Croatian
Version: svn35198.1.3l

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(croatian.ldf) = %{tl_version}

%description babel-croatian
The package establishes Croatian conventions in a document (or
a subset of the conventions, if Croatian is not the main
language of the document).

%package babel-croatian-doc
Summary: Documentation for babel-croatian
Version: svn35198.1.3l

Provides: tex-babel-croatian-doc
AutoReqProv: No

%description babel-croatian-doc
Documentation for babel-croatian

%package babel-czech
Provides: tex-babel-czech = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Czech
Version: svn30261.3.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(czech.ldf) = %{tl_version}
Provides: tex(czech.sty) = %{tl_version}

%description babel-czech
The package provides the language definition file for support
of Czech in babel. Some shortcuts are defined, as well as
translations to Czech of standard "LaTeX names".

%package babel-czech-doc
Summary: Documentation for babel-czech
Version: svn30261.3.1a

Provides: tex-babel-czech-doc
AutoReqProv: No

%description babel-czech-doc
Documentation for babel-czech

%package babel-danish
Provides: tex-babel-danish = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for Danish
Version: svn30262.1.3r

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(danish.ldf) = %{tl_version}

%description babel-danish
The package provides a language definition, file for use with
babel, which establishes Danish conventions in a document (or a
subset of the conventions, if Danish is not the main language
of the document).

%package babel-danish-doc
Summary: Documentation for babel-danish
Version: svn30262.1.3r

Provides: tex-babel-danish-doc
AutoReqProv: No

%description babel-danish-doc
Documentation for babel-danish

%package babel-dutch
Provides: tex-babel-dutch = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for Dutch
Version: svn30263.3.8i

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dutch.ldf) = %{tl_version}

%description babel-dutch
The package provides a language definition, file for use with
babel, which establishes Dutch conventions in a document (or a
subset of the conventions, if Dutch is not the main language of
the document).

%package babel-dutch-doc
Summary: Documentation for babel-dutch
Version: svn30263.3.8i

Provides: tex-babel-dutch-doc
AutoReqProv: No

%description babel-dutch-doc
Documentation for babel-dutch

%package babel-english
Provides: tex-babel-english = %{tl_version}
License: LPPL 1.3
Summary: Babel support for English
Version: svn44495
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(english.ldf) = %{tl_version}

%description babel-english
The package provides the language definition file for support
of English in babel. Care is taken to select british
hyphenation patterns for British English and Australian text,
and default ('american') patterns for Canadian and USA text.

%package babel-english-doc
Summary: Documentation for babel-english
Version: svn44495
Provides: tex-babel-english-doc
AutoReqProv: No

%description babel-english-doc
Documentation for babel-english

%package babel-esperanto
Provides: tex-babel-esperanto = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Esperanto
Version: svn30265.1.4t

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(esperanto.ldf) = %{tl_version}

%description babel-esperanto
The package provides the language definition file for support
of Esperanto in babel. Some shortcuts are defined, as well as
translations to Esperanto of standard "LaTeX names".

%package babel-esperanto-doc
Summary: Documentation for babel-esperanto
Version: svn30265.1.4t

Provides: tex-babel-esperanto-doc
AutoReqProv: No

%description babel-esperanto-doc
Documentation for babel-esperanto

%package babel-estonian
Provides: tex-babel-estonian = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Estonian
Version: svn38064.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(estonian.ldf) = %{tl_version}

%description babel-estonian
The package provides the language definition file for support
of Estonian in babel. Some shortcuts are defined, as well as
translations to Estonian of standard "LaTeX names".

%package babel-estonian-doc
Summary: Documentation for babel-estonian
Version: svn38064.1.1a

Provides: tex-babel-estonian-doc
AutoReqProv: No

%description babel-estonian-doc
Documentation for babel-estonian

%package babel-finnish
Provides: tex-babel-finnish = %{tl_version}
License: LPPL
Summary: babel-finnish package
Version: svn30267.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(finnish.ldf) = %{tl_version}

%description babel-finnish
babel-finnish package

%package babel-finnish-doc
Summary: Documentation for babel-finnish
Version: svn30267.0

Provides: tex-babel-finnish-doc
AutoReqProv: No

%description babel-finnish-doc
Documentation for babel-finnish

%package babel-french
Provides: tex-babel-french = %{tl_version}
License: LPPL 1.3
Summary: Babel contributed support for French
Version: svn46493
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(luatexbase.sty)
Requires: tex(scalefnt.sty)
Requires: tex(keyval.sty)
Provides: tex(frenchb.ldf) = %{tl_version}

%description babel-french
The package establishes French conventions in a document (or a
subset of the conventions, if French is not the main language
of the document).

%package babel-french-doc
Summary: Documentation for babel-french
Version: svn46493
Provides: tex-babel-french-doc
AutoReqProv: No

%description babel-french-doc
Documentation for babel-french

%package babel-friulan
Provides: tex-babel-friulan = %{tl_version}
License: LPPL 1.3
Summary: Babel/Polyglossia support for Friulan(Furlan)
Version: svn39861

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(friulan.ldf) = %{tl_version}

%description babel-friulan
The package provides a language description file that enables
support of Friulan either with babel or with polyglossia.

%package babel-friulan-doc
Summary: Documentation for babel-friulan
Version: svn39861

Provides: tex-babel-friulan-doc
AutoReqProv: No

%description babel-friulan-doc
Documentation for babel-friulan

%package babel-galician
Provides: tex-babel-galician = %{tl_version}
License: LPPL
Summary: babel-galician package
Version: svn30270.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(galician.ldf) = %{tl_version}

%description babel-galician
babel-galician package

%package babel-galician-doc
Summary: Documentation for babel-galician
Version: svn30270.0

Provides: tex-babel-galician-doc
AutoReqProv: No

%description babel-galician-doc
Documentation for babel-galician

%package babel-georgian
Provides: tex-babel-georgian = %{tl_version}
License: LPPL 1.3
Summary: Babel
Version: svn45864
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(georgian.ldf) = %{tl_version}
Provides: tex(georgian.sty) = %{tl_version}
Provides: tex(georgiancaps.tex) = %{tl_version}

%description babel-georgian
The package provides support for use of Babel in documents
written in Georgian. The package is adapted for use both under
'traditional' TeX engines, and under XeTeX and LuaTeX.

%package babel-georgian-doc
Summary: Documentation for babel-georgian
Version: svn45864
Provides: tex-babel-georgian-doc
AutoReqProv: No

%description babel-georgian-doc
Documentation for babel-georgian

%package babel-german
Provides: tex-babel-german = %{tl_version}
License: LPPL 1.3
Summary: Babel support for documents written in German
Version: svn42424
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(austrian.ldf) = %{tl_version}
Provides: tex(german.ldf) = %{tl_version}
Provides: tex(germanb.ldf) = %{tl_version}
Provides: tex(naustrian.ldf) = %{tl_version}
Provides: tex(ngerman.ldf) = %{tl_version}
Provides: tex(ngermanb.ldf) = %{tl_version}
Provides: tex(nswissgerman.ldf) = %{tl_version}
Provides: tex(swissgerman.ldf) = %{tl_version}

%description babel-german
The package defines LaTeX support, within the Babel package, of
German (including its Austrian dialect), in both 'old' and
'new' orthographies.

%package babel-german-doc
Summary: Documentation for babel-german
Version: svn42424
Provides: tex-babel-german-doc
AutoReqProv: No

%description babel-german-doc
Documentation for babel-german

%package babel-greek
Provides: tex-babel-greek = %{tl_version}
License: LPPL 1.3
Summary: Babel support for documents written in Greek
Version: svn42010
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(athnum.sty) = %{tl_version}
Provides: tex(greek.ldf) = %{tl_version}
Provides: tex(grmath.sty) = %{tl_version}

%description babel-greek
The file provides modes for monotonic (single-diacritic) and
polytonic (multiple-diacritic) modes of writing. Provision is
made for Greek function names in mathematics, and for classical-
era symbols.

%package babel-greek-doc
Summary: Documentation for babel-greek
Version: svn42010
Provides: tex-babel-greek-doc
AutoReqProv: No

%description babel-greek-doc
Documentation for babel-greek

%package babel-hebrew
Provides: tex-babel-hebrew = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Hebrew
Version: svn30273.2.3h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Provides: tex(8859-8.def) = %{tl_version}
Provides: tex(cp1255.def) = %{tl_version}
Provides: tex(cp862.def) = %{tl_version}
Provides: tex(he8OmegaHebrew.fd) = %{tl_version}
Provides: tex(he8aharoni.fd) = %{tl_version}
Provides: tex(he8cmr.fd) = %{tl_version}
Provides: tex(he8cmss.fd) = %{tl_version}
Provides: tex(he8cmtt.fd) = %{tl_version}
Provides: tex(he8david.fd) = %{tl_version}
Provides: tex(he8drugulin.fd) = %{tl_version}
Provides: tex(he8enc.def) = %{tl_version}
Provides: tex(he8frankruehl.fd) = %{tl_version}
Provides: tex(he8miriam.fd) = %{tl_version}
Provides: tex(he8nachlieli.fd) = %{tl_version}
Provides: tex(he8yad.fd) = %{tl_version}
Provides: tex(hebcal.sty) = %{tl_version}
Provides: tex(hebfont.sty) = %{tl_version}
Provides: tex(hebrew.ldf) = %{tl_version}
Provides: tex(hebrew_newcode.sty) = %{tl_version}
Provides: tex(hebrew_oldcode.sty) = %{tl_version}
Provides: tex(hebrew_p.sty) = %{tl_version}
Provides: tex(lheclas.fd) = %{tl_version}
Provides: tex(lhecmr.fd) = %{tl_version}
Provides: tex(lhecmss.fd) = %{tl_version}
Provides: tex(lhecmtt.fd) = %{tl_version}
Provides: tex(lhecrml.fd) = %{tl_version}
Provides: tex(lheenc.def) = %{tl_version}
Provides: tex(lhefr.fd) = %{tl_version}
Provides: tex(lheredis.fd) = %{tl_version}
Provides: tex(lheshold.fd) = %{tl_version}
Provides: tex(lheshscr.fd) = %{tl_version}
Provides: tex(lheshstk.fd) = %{tl_version}
Provides: tex(rlbabel.def) = %{tl_version}
Provides: tex(si960.def) = %{tl_version}

%description babel-hebrew
The package provides the language definition file for support
of Hebrew in babel. Macros to control the use of text direction
control of TeX--XeT and e-TeX are provided (and may be used
elsewhere). Some shortcuts are defined, as well as translations
to Hebrew of standard "LaTeX names".

%package babel-hebrew-doc
Summary: Documentation for babel-hebrew
Version: svn30273.2.3h

Provides: tex-babel-hebrew-doc
AutoReqProv: No

%description babel-hebrew-doc
Documentation for babel-hebrew

%package babel-hungarian
Provides: tex-babel-hungarian = %{tl_version}
License: LPPL
Summary: Babel support for Hungarian (Magyar)
Version: svn45186
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(textcase.sty)
Provides: tex(magyar.ldf) = %{tl_version}

%description babel-hungarian
The package provides a language definition file that enables
support of Magyar (Hungarian) with babel.

%package babel-hungarian-doc
Summary: Documentation for babel-hungarian
Version: svn45186
Provides: tex-babel-hungarian-doc
AutoReqProv: No

%description babel-hungarian-doc
Documentation for babel-hungarian

%package babel-icelandic
Provides: tex-babel-icelandic = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Icelandic
Version: svn39387

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(icelandic.ldf) = %{tl_version}

%description babel-icelandic
The package provides the language definition file for support
of Icelandic in babel. Some shortcuts are defined, as well as
translations to Icelandic of standard "LaTeX names".

%package babel-icelandic-doc
Summary: Documentation for babel-icelandic
Version: svn39387

Provides: tex-babel-icelandic-doc
AutoReqProv: No

%description babel-icelandic-doc
Documentation for babel-icelandic

%package babel-interlingua
Provides: tex-babel-interlingua = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Interlingua
Version: svn30276.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(interlingua.ldf) = %{tl_version}

%description babel-interlingua
The package provides the language definition file for support
of Interlingua in babel. Translations to Interlingua of
standard "LaTeX names" (no shortcuts are provided). Interlingua
itself is an auxiliary language, built from the common
vocabulary of Spanish/Portuguese, English, Italian and French,
with some normalisation of spelling.

%package babel-interlingua-doc
Summary: Documentation for babel-interlingua
Version: svn30276.1.6

Provides: tex-babel-interlingua-doc
AutoReqProv: No

%description babel-interlingua-doc
Documentation for babel-interlingua

%package babel-irish
Provides: tex-babel-irish = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Irish
Version: svn30277.1.0h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(irish.ldf) = %{tl_version}

%description babel-irish
The package provides the language definition file for support
of Irish Gaelic in babel. The principal content is translations
to Irish of standard "LaTeX names". (No shortcuts are defined.)

%package babel-irish-doc
Summary: Documentation for babel-irish
Version: svn30277.1.0h

Provides: tex-babel-irish-doc
AutoReqProv: No

%description babel-irish-doc
Documentation for babel-irish

%package babel-italian
Provides: tex-babel-italian = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Italian text
Version: svn36645.1.3n

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Provides: tex(italian.ldf) = %{tl_version}

%description babel-italian
The package provides language definitions for use in babel.

%package babel-italian-doc
Summary: Documentation for babel-italian
Version: svn36645.1.3n

Provides: tex-babel-italian-doc
AutoReqProv: No

%description babel-italian-doc
Documentation for babel-italian

%package babel-kurmanji
Provides: tex-babel-kurmanji = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Kurmanji
Version: svn30279.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(kurmanji.ldf) = %{tl_version}

%description babel-kurmanji
The package provides the language definition file for support
of Kurmanji in babel. Kurmanji belongs to the family of Kurdish
languages. Some shortcuts are defined, as well as translations
to Kurmanji of standard "LaTeX names". Note that the package is
dealing with 'Northern' Kurdish, written using a Latin-based
alphabet. The arabxetex package offers support for Kurdish
written in Arabic script.

%package babel-kurmanji-doc
Summary: Documentation for babel-kurmanji
Version: svn30279.1.1

Provides: tex-babel-kurmanji-doc
AutoReqProv: No

%description babel-kurmanji-doc
Documentation for babel-kurmanji

%package babel-latin
Provides: tex-babel-latin = %{tl_version}
License: LPPL
Summary: Babel support for Latin
Version: svn38173.3.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ecclesiastic.sty)
Provides: tex(latin.ldf) = %{tl_version}

%description babel-latin
The package provides the language definition file for support
of Latin in babel. Translations to Latin (in both modern and
medieval spelling) of standard "LaTeX names", and some
shortcuts, are provided. Apart from the modern vs. medieval
setting, a further switch permits addition of prosodic marks.

%package babel-latin-doc
Summary: Documentation for babel-latin
Version: svn38173.3.5

Provides: tex-babel-latin-doc
AutoReqProv: No

%description babel-latin-doc
Documentation for babel-latin

%package babel-latvian
Provides: tex-babel-latvian = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Latvian
Version: svn34377.2.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(latvian.ldf) = %{tl_version}

%description babel-latvian
The package provides the language definition file for support
of Latvian in babel.

%package babel-latvian-doc
Summary: Documentation for babel-latvian
Version: svn34377.2.0a

Provides: tex-babel-latvian-doc
AutoReqProv: No

%description babel-latvian-doc
Documentation for babel-latvian

%package babel-norsk
Provides: tex-babel-norsk = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Norwegian
Version: svn30281.2.0i

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(norsk.ldf) = %{tl_version}

%description babel-norsk
The package provides the language definition file for support
of Norwegian in babel. Some shortcuts are defined, as well as
translations to Norsk of standard "LaTeX names".

%package babel-norsk-doc
Summary: Documentation for babel-norsk
Version: svn30281.2.0i

Provides: tex-babel-norsk-doc
AutoReqProv: No

%description babel-norsk-doc
Documentation for babel-norsk

%package babel-piedmontese
Provides: tex-babel-piedmontese = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Piedmontese
Version: svn30282.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(piedmontese.ldf) = %{tl_version}

%description babel-piedmontese
The package provides the language definition file for support
of Piedmontese in babel. Some shortcuts are defined, as well as
translations to Piedmontese of standard "LaTeX names".

%package babel-piedmontese-doc
Summary: Documentation for babel-piedmontese
Version: svn30282.1.0

Provides: tex-babel-piedmontese-doc
AutoReqProv: No

%description babel-piedmontese-doc
Documentation for babel-piedmontese

%package babel-polish
Provides: tex-babel-polish = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Polish
Version: svn30283.1.2l

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(polish.ldf) = %{tl_version}

%description babel-polish
The package provides the language definition file for support
of Polish in babel. Some shortcuts are defined, as well as
translations to Polish of standard "LaTeX names".

%package babel-polish-doc
Summary: Documentation for babel-polish
Version: svn30283.1.2l

Provides: tex-babel-polish-doc
AutoReqProv: No

%description babel-polish-doc
Documentation for babel-polish

%package babel-portuges
Provides: tex-babel-portuges = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Portuges
Version: svn30284.1.2q

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(portuges.ldf) = %{tl_version}

%description babel-portuges
The package provides the language definition file for support
of Portuguese and Brazilian Portuguese in babel. Some shortcuts
are defined, as well as translations to Portuguese of standard
"LaTeX names".

%package babel-portuges-doc
Summary: Documentation for babel-portuges
Version: svn30284.1.2q

Provides: tex-babel-portuges-doc
AutoReqProv: No

%description babel-portuges-doc
Documentation for babel-portuges

%package babel-romanian
Provides: tex-babel-romanian = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Romanian
Version: svn30285.1.2l

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(romanian.ldf) = %{tl_version}

%description babel-romanian
The package provides the language definition file for support
of Romanian in babel. Translations to Romanian of standard
"LaTeX names" are provided.

%package babel-romanian-doc
Summary: Documentation for babel-romanian
Version: svn30285.1.2l

Provides: tex-babel-romanian-doc
AutoReqProv: No

%description babel-romanian-doc
Documentation for babel-romanian

%package babel-romansh
Provides: tex-babel-romansh = %{tl_version}
License: LPPL 1.3
Summary: Babel/Polyglossia support for the Romansh language
Version: svn30286.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(romansh.ldf) = %{tl_version}

%description babel-romansh
The package provides a language description file that enables
support of Romansh either with babel or with polyglossia.

%package babel-romansh-doc
Summary: Documentation for babel-romansh
Version: svn30286.0

Provides: tex-babel-romansh-doc
AutoReqProv: No

%description babel-romansh-doc
Documentation for babel-romansh

%package babel-russian
Provides: tex-babel-russian = %{tl_version}
License: LPPL 1.3
Summary: Russian language module for Babel
Version: svn45007
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(russianb.ldf) = %{tl_version}

%description babel-russian
The package provides support for use of Babel in documents
written in Russian (in both "traditional" and modern forms).
The support is adapted for use both under 'traditional' TeX
engines, and under XeTeX and LuaTeX.

%package babel-russian-doc
Summary: Documentation for babel-russian
Version: svn45007
Provides: tex-babel-russian-doc
AutoReqProv: No

%description babel-russian-doc
Documentation for babel-russian

%package babel-samin
Provides: tex-babel-samin = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Samin
Version: svn30288.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(samin.ldf) = %{tl_version}

%description babel-samin
The package provides the language definition file for support
of North Sami in babel. (Several Sami dialects/languages are
spoken in Finland, Norway, Sweden and on the Kola Peninsula of
Russia). Not all use the same alphabet, and no attempt is made
to support any other than North Sami here. Some shortcuts are
defined, as well as translations to Norsk of standard "LaTeX
names".

%package babel-samin-doc
Summary: Documentation for babel-samin
Version: svn30288.1.0c

Provides: tex-babel-samin-doc
AutoReqProv: No

%description babel-samin-doc
Documentation for babel-samin

%package babel-scottish
Provides: tex-babel-scottish = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Scottish Gaelic
Version: svn30289.1.0g

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(scottish.ldf) = %{tl_version}

%description babel-scottish
The package provides the language definition file for support
of Gaidhlig (Scottish Gaelic) in babel. Some shortcuts are
defined, as well as translations of standard "LaTeX names".

%package babel-scottish-doc
Summary: Documentation for babel-scottish
Version: svn30289.1.0g

Provides: tex-babel-scottish-doc
AutoReqProv: No

%description babel-scottish-doc
Documentation for babel-scottish

%package babel-serbianc
Provides: tex-babel-serbianc = %{tl_version}
License: LPPL 1.3
Summary: Babel module to support Serbian Cyrillic
Version: svn30348.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ucs.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Provides: tex(serbianc.ldf) = %{tl_version}
Provides: tex(serbianc.sty) = %{tl_version}

%description babel-serbianc
The package provides support for Serbian documents written in
Cyrillic, in babel.

%package babel-serbianc-doc
Summary: Documentation for babel-serbianc
Version: svn30348.2.2

Provides: tex-babel-serbianc-doc
AutoReqProv: No

%description babel-serbianc-doc
Documentation for babel-serbianc

%package babel-serbian
Provides: tex-babel-serbian = %{tl_version}
License: LPPL
Summary: babel-serbian package
Version: svn30290.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(serbian.ldf) = %{tl_version}

%description babel-serbian
babel-serbian package

%package babel-serbian-doc
Summary: Documentation for babel-serbian
Version: svn30290.0

Provides: tex-babel-serbian-doc
AutoReqProv: No

%description babel-serbian-doc
Documentation for babel-serbian

%package babel-slovak
Provides: tex-babel-slovak = %{tl_version}
License: LPPL 1.3
Summary: Babel support for typesetting Slovak
Version: svn30292.3.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(slovak.ldf) = %{tl_version}
Provides: tex(slovak.sty) = %{tl_version}

%description babel-slovak
The package provides the language definition file for support
of Slovak in babel, including Slovak variants of LaTeX built-in-
names. Shortcuts are also defined.

%package babel-slovak-doc
Summary: Documentation for babel-slovak
Version: svn30292.3.1a

Provides: tex-babel-slovak-doc
AutoReqProv: No

%description babel-slovak-doc
Documentation for babel-slovak

%package babel-slovenian
Provides: tex-babel-slovenian = %{tl_version}
License: LPPL 1.3
Summary: Babel support for typesetting Slovenian
Version: svn30351.1.2i

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(slovene.ldf) = %{tl_version}

%description babel-slovenian
The package provides the language definition file for support
of Slovenian in babel. Several shortcuts are defined, as well
as translations to Slovenian of standard "LaTeX names".

%package babel-slovenian-doc
Summary: Documentation for babel-slovenian
Version: svn30351.1.2i

Provides: tex-babel-slovenian-doc
AutoReqProv: No

%description babel-slovenian-doc
Documentation for babel-slovenian

%package babel-sorbian
Provides: tex-babel-sorbian = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Upper and Lower Sorbian
Version: svn30294

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lsorbian.ldf) = %{tl_version}
Provides: tex(usorbian.ldf) = %{tl_version}

%description babel-sorbian
The package provides language definitions file for support of
both Upper and Lower Sorbian, in babel. Some shortcuts are
defined, as well as translations to the relevant language of
standard "LaTeX names".

%package babel-sorbian-doc
Summary: Documentation for babel-sorbian
Version: svn30294

Provides: tex-babel-sorbian-doc
AutoReqProv: No

%description babel-sorbian-doc
Documentation for babel-sorbian

%package babel-spanglish
Provides: tex-babel-spanglish = %{tl_version}
License: LPPL 1.3
Summary: Simplified Spanish support for Babel
Version: svn37629.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(spanglish.ldf) = %{tl_version}
Provides: tex(spanglish.sty) = %{tl_version}

%description babel-spanglish
The package provides very simplified (or ultra sloppy) support
for Spanish in Babel, mostly as a fallback in case spanish.ldf
fails for some reason. The package provides basic support for
Spanish hyphenation, captions, date, frenchspacing,
indentfirst, symbolic footnotes, enumerations, small caps roman
numerals, and a handful of shorthands and Spanish mathematical
operators. No options or attributes for customization are
provided.

%package babel-spanglish-doc
Summary: Documentation for babel-spanglish
Version: svn37629.0.3

Provides: tex-babel-spanglish-doc
AutoReqProv: No

%description babel-spanglish-doc
Documentation for babel-spanglish

%package babel-spanish
Provides: tex-babel-spanish = %{tl_version}
License: LPPL
Summary: Babel support for Spanish
Version: svn39920

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(romanidx.sty) = %{tl_version}
Provides: tex(spanish.ldf) = %{tl_version}

%description babel-spanish
This bundle provides the means to typeset Spanish text, with
the support provided by the LaTeX standard package babel. Note
that separate support is provided for those who wish to typeset
Spanish as written in Mexico.

%package babel-spanish-doc
Summary: Documentation for babel-spanish
Version: svn39920

Provides: tex-babel-spanish-doc
AutoReqProv: No

%description babel-spanish-doc
Documentation for babel-spanish

%package babel-swedish
Provides: tex-babel-swedish = %{tl_version}
License: LPPL 1.3
Summary: Babel support for typesetting Swedish
Version: svn30296.2.3d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(swedish.ldf) = %{tl_version}

%description babel-swedish
The package provides the language definition file for Swedish.

%package babel-swedish-doc
Summary: Documentation for babel-swedish
Version: svn30296.2.3d

Provides: tex-babel-swedish-doc
AutoReqProv: No

%description babel-swedish-doc
Documentation for babel-swedish

%package babel-thai
Provides: tex-babel-thai = %{tl_version}
License: LPPL 1.3
Summary: Support for Thai within babel
Version: svn30564.1.0.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lthenc.def) = %{tl_version}
Provides: tex(thai.ldf) = %{tl_version}
Provides: tex(tis620.def) = %{tl_version}

%description babel-thai
The package provides support for typesetting Thai text. within
the babel system.

%package babel-thai-doc
Summary: Documentation for babel-thai
Version: svn30564.1.0.0

Provides: tex-babel-thai-doc
AutoReqProv: No

%description babel-thai-doc
Documentation for babel-thai

%package babel
Provides: tex-babel = %{tl_version}
License: LPPL 1.3
Summary: Multilingual support for Plain TeX or LaTeX
Version: svn46442
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(UKenglish.sty) = %{tl_version}
Provides: tex(USenglish.sty) = %{tl_version}
Provides: tex(afrikaans.sty) = %{tl_version}
Provides: tex(albanian.sty) = %{tl_version}
Provides: tex(american.sty) = %{tl_version}
Provides: tex(austrian.sty) = %{tl_version}
Provides: tex(babel.def) = %{tl_version}
Provides: tex(babel.sty) = %{tl_version}
Provides: tex(bahasa.sty) = %{tl_version}
Provides: tex(bahasam.sty) = %{tl_version}
Provides: tex(basque.sty) = %{tl_version}
Provides: tex(blplain.tex) = %{tl_version}
Provides: tex(bplain.tex) = %{tl_version}
Provides: tex(breton.sty) = %{tl_version}
Provides: tex(british.sty) = %{tl_version}
Provides: tex(bulgarian.sty) = %{tl_version}
Provides: tex(catalan.sty) = %{tl_version}
Provides: tex(croatian.sty) = %{tl_version}
Provides: tex(czech.sty) = %{tl_version}
Provides: tex(danish.sty) = %{tl_version}
Provides: tex(dutch.sty) = %{tl_version}
Provides: tex(english.sty) = %{tl_version}
Provides: tex(esperanto.sty) = %{tl_version}
Provides: tex(estonian.sty) = %{tl_version}
Provides: tex(finnish.sty) = %{tl_version}
Provides: tex(francais.sty) = %{tl_version}
Provides: tex(galician.sty) = %{tl_version}
Provides: tex(germanb.sty) = %{tl_version}
Provides: tex(greek.sty) = %{tl_version}
Provides: tex(hebrew.sty) = %{tl_version}
Provides: tex(hyphen.cfg) = %{tl_version}
Provides: tex(icelandic.sty) = %{tl_version}
Provides: tex(interlingua.sty) = %{tl_version}
Provides: tex(irish.sty) = %{tl_version}
Provides: tex(italian.sty) = %{tl_version}
Provides: tex(latin.sty) = %{tl_version}
Provides: tex(lsorbian.sty) = %{tl_version}
Provides: tex(luababel.def) = %{tl_version}
Provides: tex(magyar.sty) = %{tl_version}
Provides: tex(naustrian.sty) = %{tl_version}
Provides: tex(ngermanb.sty) = %{tl_version}
Provides: tex(nil.ldf) = %{tl_version}
Provides: tex(norsk.sty) = %{tl_version}
Provides: tex(plain.def) = %{tl_version}
Provides: tex(polish.sty) = %{tl_version}
Provides: tex(portuges.sty) = %{tl_version}
Provides: tex(romanian.sty) = %{tl_version}
Provides: tex(russianb.sty) = %{tl_version}
Provides: tex(samin.sty) = %{tl_version}
Provides: tex(scottish.sty) = %{tl_version}
Provides: tex(serbian.sty) = %{tl_version}
Provides: tex(slovak.sty) = %{tl_version}
Provides: tex(slovene.sty) = %{tl_version}
Provides: tex(spanish.sty) = %{tl_version}
Provides: tex(swedish.sty) = %{tl_version}
Provides: tex(switch.def) = %{tl_version}
Provides: tex(turkish.sty) = %{tl_version}
Provides: tex(ukraineb.sty) = %{tl_version}
Provides: tex(usorbian.sty) = %{tl_version}
Provides: tex(welsh.sty) = %{tl_version}
Provides: tex(xebabel.def) = %{tl_version}

%description babel
The package manages culturally-determined typographical (and
other) rules, and hyphenation patterns for a wide range of
languages. A document may select a single language to be
supported, or it may select several, in which case the document
may switch from one language to another in a variety of ways.
Babel uses contributed configuration files that provide the
detail of what has to be done for each language. Users of XeTeX
are advised to use polyglossia rather than Babel.

%package babel-doc
Summary: Documentation for babel
Version: svn46442
Provides: tex-babel-doc
AutoReqProv: No

%description babel-doc
Documentation for babel

%package babel-turkish
Provides: tex-babel-turkish = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Turkish documents
Version: svn33284.1.3b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(turkish.ldf) = %{tl_version}

%description babel-turkish
The package provides support, within babel, of the Turkish
language.

%package babel-turkish-doc
Summary: Documentation for babel-turkish
Version: svn33284.1.3b

Provides: tex-babel-turkish-doc
AutoReqProv: No

%description babel-turkish-doc
Documentation for babel-turkish

%package babel-ukrainian
Provides: babel-ukraineb = %{tl_version}
Obsoletes: babel-ukraineb < 2016
Provides: tex-babel-ukrainian = %{tl_version}
Provides: tex-babel-ukraineb = %{tl_version}
License: LPPL
Summary: babel-ukrainian package
Version: svn45036
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ukraineb.ldf) = %{tl_version}

%description babel-ukrainian
babel-ukrainian package

%package babel-ukrainian-doc
Summary: Documentation for babel-ukrainian
Version: svn45036
Provides: tex-babel-ukrainian-doc = %{tl_version}
Obsoletes: babel-ukraineb-doc < 2016
Provides: tex-babel-ukraineb-doc
AutoReqProv: No

%description babel-ukrainian-doc
Documentation for babel-ukrainian

%package babel-vietnamese
Provides: tex-babel-vietnamese = %{tl_version}
License: LPPL 1.3
Summary: Babel support for typesetting Vietnamese
Version: svn39246

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(vncaps.tex)
Requires: tex(vncaps.tex)
Provides: tex(vietnam.ldf) = %{tl_version}
Provides: tex(vietnamese.ldf) = %{tl_version}

%description babel-vietnamese
The package provides the language definition file for support
of Vietnamese in babel.

%package babel-welsh
Provides: tex-babel-welsh = %{tl_version}
License: LPPL 1.3
Summary: Babel support for Welsh
Version: svn38372.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(welsh.ldf) = %{tl_version}

%description babel-welsh
The package provides the language definition file for Welsh.
(Mostly Welsh-language versions of the standard names in a
LaTeX file.)

%package babel-welsh-doc
Summary: Documentation for babel-welsh
Version: svn38372.1.1a

Provides: tex-babel-welsh-doc
AutoReqProv: No

%description babel-welsh-doc
Documentation for babel-welsh

%package background
Provides: tex-background = %{tl_version}
License: LPPL
Summary: Placement of background material on pages of a document
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Requires: tex(everypage.sty)
Requires: tex(afterpage.sty)
Provides: tex(background.sty) = %{tl_version}

%description background
The package offers the placement of background material on the
pages of a document. The user can control many aspects
(contents, position, color, opacity) of the background material
that will be displayed; all placement and attribute settings
are controlled by setting key values. The package makes use of
the everypage package, and uses pgf/tikz for attribute control.

%package background-doc
Summary: Documentation for background
Version: svn42428
Provides: tex-background-doc
AutoReqProv: No

%description background-doc
Documentation for background

%package backnaur
Provides: tex-backnaur = %{tl_version}
License: LPPL 1.3
Summary: Typeset Backus Naur Form definitions
Version: svn28513.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(backnaur.sty) = %{tl_version}

%description backnaur
The package typesets Backus-Naur Form (BNF) definitions. It
creates aligned lists of productions, with numbers if required.
It can also print in-line BNF expressions using math mode.

%package backnaur-doc
Summary: Documentation for backnaur
Version: svn28513.1.1

Provides: tex-backnaur-doc
AutoReqProv: No

%description backnaur-doc
Documentation for backnaur

%package bagpipe
Provides: tex-bagpipe = %{tl_version}
License: LPPL 1.3
Summary: Support for typesetting bagpipe music
Version: svn34393.3.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bagpipe.tex) = %{tl_version}

%description bagpipe
Typesetting bagpipe music in MusixTeX is needlessly tedious.
This package provides specialized and re-defined macros to
simplify this task.

%package bagpipe-doc
Summary: Documentation for bagpipe
Version: svn34393.3.02

Provides: tex-bagpipe-doc
AutoReqProv: No

%description bagpipe-doc
Documentation for bagpipe

%package bangorcsthesis
Provides: tex-bangorcsthesis = %{tl_version}
License: LPPL 1.3
Summary: Typeset a thesis at Bangor University
Version: svn45059
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fifo-stack.sty)
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(draftwatermark.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(isodate.sty)
Requires: tex(inputenc.sty)
Requires: tex(xparse.sty)
Requires: tex(parskip.sty)
Requires: tex(indentfirst.sty)
Requires: tex(berasans.sty)
Requires: tex(charter.sty)
Requires: tex(graphicx.sty)
Requires: tex(url.sty)
Requires: tex(csquotes.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(microtype.sty)
Requires: tex(setspace.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(enumitem.sty)
Requires: tex(amsmath.sty)
Requires: tex(hyperref.sty)
Requires: tex(cleveref.sty)
Requires: tex(geometry.sty)
Requires: tex(biblatex.sty)
Requires: tex(caption.sty)
Requires: tex(titlesec.sty)
Requires: tex(tocloft.sty)
Requires: tex(tikz.sty)
Requires: tex(forloop.sty)
Requires: tex(framed.sty)
Requires: tex(totalcount.sty)
Provides: tex(bangorcsthesis.cls) = %{tl_version}

%description bangorcsthesis
The class typesets thesis/dissertation documents for all levels
(i.e., both undergraduate and graduate students may use the
class). It also provides macros designed to optimise the
process of producing a thesis.

%package bangorcsthesis-doc
Summary: Documentation for bangorcsthesis
Version: svn45059
Provides: tex-bangorcsthesis-doc
AutoReqProv: No

%description bangorcsthesis-doc
Documentation for bangorcsthesis

%package bangtex
Provides: tex-bangtex = %{tl_version}
License: LPPL
Summary: Writing Bangla and Assamese with LaTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bang10.tfm) = %{tl_version}
Provides: tex(bangsl10.tfm) = %{tl_version}
Provides: tex(bangwd10.tfm) = %{tl_version}
Provides: tex(bangfont.tex) = %{tl_version}
Provides: tex(barticle.cls) = %{tl_version}
Provides: tex(bbk10.clo) = %{tl_version}
Provides: tex(bbk11.clo) = %{tl_version}
Provides: tex(bbk12.clo) = %{tl_version}
Provides: tex(bbook.cls) = %{tl_version}
Provides: tex(bletter.cls) = %{tl_version}
Provides: tex(bsize10.clo) = %{tl_version}
Provides: tex(bsize11.clo) = %{tl_version}
Provides: tex(bsize12.clo) = %{tl_version}

%description bangtex
The bundle provides class files for writing Bangla and Assamese
with LaTeX, and Metafont sources for fonts.

%package bangtex-doc
Summary: Documentation for bangtex
Version: svn15878.0

Provides: tex-bangtex-doc
AutoReqProv: No

%description bangtex-doc
Documentation for bangtex

%package bankstatement
Provides: tex-bankstatement = %{tl_version}
License: LPPL
Summary: A LaTeX class for bank statements based on csv data
Version: svn38857

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(xkvltxp.sty)
Requires: tex(geometry.sty)
Requires: tex(longtable.sty)
Requires: tex(tabularx.sty)
Requires: tex(xcolor.sty)
Requires: tex(graphicx.sty)
Requires: tex(booktabs.sty)
Requires: tex(datatool.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Provides: tex(bankstatement.cls) = %{tl_version}
Provides: tex(csv-camt.def) = %{tl_version}
Provides: tex(csv-mt940.def) = %{tl_version}
Provides: tex(stmenglish.def) = %{tl_version}
Provides: tex(stmgerman.def) = %{tl_version}

%description bankstatement
More and more banks allow their customers to download posting
records in various formats. By using the bankstatement class,
you can create bank statements, as long as a csv format is
available. At the moment, the csv-mt940 and csv-camt formats --
used by many german Sparkassen -- are supported. You can quite
easily add support for other csv formats. Simply define the
order of the keys in the csv data file and how to use them. The
terminology in this class -- such as BIC (Business Identifier
Code) or IBAN (International Bank Account Number) -- is based
on usage in the SEPA (Single Euro Payments Area). The user may
adjust the terminology to suit local needs.

%package bankstatement-doc
Summary: Documentation for bankstatement
Version: svn38857

Provides: tex-bankstatement-doc
AutoReqProv: No

%description bankstatement-doc
Documentation for bankstatement

%package barcodes
Provides: tex-barcodes = %{tl_version}
License: LPPL
Summary: Fonts for making barcodes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(wlc11.tfm) = %{tl_version}
Provides: tex(wlc128.tfm) = %{tl_version}
Provides: tex(wlc39.tfm) = %{tl_version}
Provides: tex(wlc93.tfm) = %{tl_version}
Provides: tex(wlcr39.tfm) = %{tl_version}
Provides: tex(barcodes.sty) = %{tl_version}

%description barcodes
The package deals with EAN barcodes; Metafont sources for fonts
are provided, and a set of examples; for some codes, a small
Perl script is needed.

%package barcodes-doc
Summary: Documentation for barcodes
Version: svn15878.0

Provides: tex-barcodes-doc
AutoReqProv: No

%description barcodes-doc
Documentation for barcodes

%package bardiag
Provides: tex-bardiag = %{tl_version}
License: LPPL
Summary: LateX package for drawing bar diagrams
Version: svn22013.0.4a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(fp-snap.sty)
Requires: tex(pstricks.sty)
Requires: tex(pstcol.sty)
Requires: tex(pst-grad.sty)
Requires: tex(multido.sty)
Requires: tex(ifthen.sty)
Provides: tex(barddoc.sty) = %{tl_version}
Provides: tex(bardiag.cfg) = %{tl_version}
Provides: tex(bardiag.sty) = %{tl_version}
Provides: tex(pstfp.sty) = %{tl_version}

%description bardiag
The main purpose of the package is to make the drawing of bar
diagrams possible and easy in LaTeX. The BarDiag package is
inspired by and based on PSTricks.

%package bardiag-doc
Summary: Documentation for bardiag
Version: svn22013.0.4a

Provides: tex-bardiag-doc
AutoReqProv: No

%description bardiag-doc
Documentation for bardiag

%package barr
Provides: tex-barr = %{tl_version}
License: LPPL
Summary: Diagram macros by Michael Barr
Version: svn38479

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(diagxy.tex) = %{tl_version}

%description barr
Diagxy is a general diagramming package, useful for diagrams in
a number of mathematical disciplines. Diagxy is a development
of an earlier (successful) package to use the facilities of the
xypic bundle.

%package barr-doc
Summary: Documentation for barr
Version: svn38479

Provides: tex-barr-doc
AutoReqProv: No

%description barr-doc
Documentation for barr

%package bartel-chess-fonts
Provides: tex-bartel-chess-fonts = %{tl_version}
License: GPL+
Summary: A set of fonts supporting chess diagrams
Version: svn20619.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fselch10.tfm) = %{tl_version}
Provides: tex(fselch11.tfm) = %{tl_version}
Provides: tex(fselch12.tfm) = %{tl_version}
Provides: tex(fselch13.tfm) = %{tl_version}
Provides: tex(fselch14.tfm) = %{tl_version}
Provides: tex(fselch16.tfm) = %{tl_version}
Provides: tex(fselch17.tfm) = %{tl_version}
Provides: tex(fselch20.tfm) = %{tl_version}
Provides: tex(fselch24.tfm) = %{tl_version}
Provides: tex(fselch32.tfm) = %{tl_version}
Provides: tex(fselch36.tfm) = %{tl_version}
Provides: tex(fselch6.tfm) = %{tl_version}
Provides: tex(fselch7.tfm) = %{tl_version}
Provides: tex(fselch8.tfm) = %{tl_version}
Provides: tex(fselch9.tfm) = %{tl_version}
Provides: tex(pkelch10.tfm) = %{tl_version}
Provides: tex(pkelch11.tfm) = %{tl_version}
Provides: tex(pkelch12.tfm) = %{tl_version}
Provides: tex(pkelch14.tfm) = %{tl_version}
Provides: tex(pkelch16.tfm) = %{tl_version}
Provides: tex(pkelch8.tfm) = %{tl_version}
Provides: tex(pkelch9.tfm) = %{tl_version}

%description bartel-chess-fonts
The fonts are provided as Metafont source.

%package bartel-chess-fonts-doc
Summary: Documentation for bartel-chess-fonts
Version: svn20619.0

Provides: tex-bartel-chess-fonts-doc
AutoReqProv: No

%description bartel-chess-fonts-doc
Documentation for bartel-chess-fonts

%package bashful
Provides: tex-bashful = %{tl_version}
License: LPPL 1.3
Summary: Invoke bash commands from within LaTeX
Version: svn25597.0.93

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(catchfile.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(listings.sty)
Provides: tex(bashful.sty) = %{tl_version}

%description bashful
The package makes it possible to execute Unix bash shell
scripts from within LaTeX. The main application is in writing
computer-science texts, in which you want to make sure the
programs listed in the document are executed directly from the
input. The package may use other Unix shells than bash, but
does not work without modification in a Windows environment.
The package requires the -shell-escape flag when LaTeX is
processing your document.

%package bashful-doc
Summary: Documentation for bashful
Version: svn25597.0.93

Provides: tex-bashful-doc
AutoReqProv: No

%description bashful-doc
Documentation for bashful

%package basicarith
Provides: tex-basicarith = %{tl_version}
License: LPPL 1.3
Summary: Macros for typesetting basic arithmetic
Version: svn35460.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(basicarith.sty) = %{tl_version}

%description basicarith
The package provides macros for typesetting basic arithmetic,
in the style typically found in textbooks. It focuses on the
American style of performing these algorithms. It is written
mostly in low-level TeX, with the goal that it should run in
either plain TeX or LaTeX, but there are two constructions that
currently prevent this. It is highly configurable, with macros
and lengths described in the documentation.

%package basicarith-doc
Summary: Documentation for basicarith
Version: svn35460.1.1

Provides: tex-basicarith-doc
AutoReqProv: No

%description basicarith-doc
Documentation for basicarith

%package baskervald
Provides: tex-baskervald = %{tl_version}
License: LPPL
Summary: Baskervald ADF fonts collection with TeX/LaTeX support
Version: svn19490.1.016

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(nfssext-cfr.sty)
Provides: tex(supp-ybv.enc) = %{tl_version}
Provides: tex(ybv.map) = %{tl_version}
Provides: tex(ybvb8c.tfm) = %{tl_version}
Provides: tex(ybvb8r.tfm) = %{tl_version}
Provides: tex(ybvb8s.tfm) = %{tl_version}
Provides: tex(ybvb8t.tfm) = %{tl_version}
Provides: tex(ybvbi8c.tfm) = %{tl_version}
Provides: tex(ybvbi8r.tfm) = %{tl_version}
Provides: tex(ybvbi8s.tfm) = %{tl_version}
Provides: tex(ybvbi8t.tfm) = %{tl_version}
Provides: tex(ybvbiw8t.tfm) = %{tl_version}
Provides: tex(ybvbw8t.tfm) = %{tl_version}
Provides: tex(ybvh8c.tfm) = %{tl_version}
Provides: tex(ybvh8r.tfm) = %{tl_version}
Provides: tex(ybvh8s.tfm) = %{tl_version}
Provides: tex(ybvh8t.tfm) = %{tl_version}
Provides: tex(ybvho8c.tfm) = %{tl_version}
Provides: tex(ybvho8r.tfm) = %{tl_version}
Provides: tex(ybvho8s.tfm) = %{tl_version}
Provides: tex(ybvho8t.tfm) = %{tl_version}
Provides: tex(ybvhow8t.tfm) = %{tl_version}
Provides: tex(ybvhw8t.tfm) = %{tl_version}
Provides: tex(ybvr8c.tfm) = %{tl_version}
Provides: tex(ybvr8r.tfm) = %{tl_version}
Provides: tex(ybvr8s.tfm) = %{tl_version}
Provides: tex(ybvr8t.tfm) = %{tl_version}
Provides: tex(ybvri8c.tfm) = %{tl_version}
Provides: tex(ybvri8r.tfm) = %{tl_version}
Provides: tex(ybvri8s.tfm) = %{tl_version}
Provides: tex(ybvri8t.tfm) = %{tl_version}
Provides: tex(ybvriw8t.tfm) = %{tl_version}
Provides: tex(ybvrw8t.tfm) = %{tl_version}
Provides: tex(ybvb8a.pfb) = %{tl_version}
Provides: tex(ybvbi8a.pfb) = %{tl_version}
Provides: tex(ybvh8a.pfb) = %{tl_version}
Provides: tex(ybvho8a.pfb) = %{tl_version}
Provides: tex(ybvr8a.pfb) = %{tl_version}
Provides: tex(ybvri8a.pfb) = %{tl_version}
Provides: tex(ybvb8c.vf) = %{tl_version}
Provides: tex(ybvb8t.vf) = %{tl_version}
Provides: tex(ybvbi8c.vf) = %{tl_version}
Provides: tex(ybvbi8t.vf) = %{tl_version}
Provides: tex(ybvbiw8t.vf) = %{tl_version}
Provides: tex(ybvbw8t.vf) = %{tl_version}
Provides: tex(ybvh8c.vf) = %{tl_version}
Provides: tex(ybvh8t.vf) = %{tl_version}
Provides: tex(ybvho8c.vf) = %{tl_version}
Provides: tex(ybvho8t.vf) = %{tl_version}
Provides: tex(ybvhow8t.vf) = %{tl_version}
Provides: tex(ybvhw8t.vf) = %{tl_version}
Provides: tex(ybvr8c.vf) = %{tl_version}
Provides: tex(ybvr8t.vf) = %{tl_version}
Provides: tex(ybvri8c.vf) = %{tl_version}
Provides: tex(ybvri8t.vf) = %{tl_version}
Provides: tex(ybvriw8t.vf) = %{tl_version}
Provides: tex(ybvrw8t.vf) = %{tl_version}
Provides: tex(baskervald.sty) = %{tl_version}
Provides: tex(t1ybv.fd) = %{tl_version}
Provides: tex(t1ybvw.fd) = %{tl_version}
Provides: tex(ts1ybv.fd) = %{tl_version}
Provides: tex(ts1ybvw.fd) = %{tl_version}

%description baskervald
Baskervald ADF is a serif family with lining figures designed
as a substitute for Baskerville. The family currently includes
upright and italic or oblique shapes in each of regular, bold
and heavy weights. All fonts include the slashed zero and
additional non-standard ligatures. The support package renames
them according to the Karl Berry fontname scheme and defines
two families. One of these primarily provides access to the
"standard" or default characters while the other supports
additional ligatures. The included package files provide access
to these features in LaTeX.

%package baskervald-doc
Summary: Documentation for baskervald
Version: svn19490.1.016

Provides: tex-baskervald-doc
AutoReqProv: No

%description baskervald-doc
Documentation for baskervald

%package baskervaldx
Provides: tex-baskervaldx = %{tl_version}
License: GPL+
Summary: Extension and modification of BaskervaldADF with LaTeX support
Version: svn43461
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Provides: tex(bvalph.enc) = %{tl_version}
Provides: tex(bvtabosf.enc) = %{tl_version}
Provides: tex(zbv_2bp5ef.enc) = %{tl_version}
Provides: tex(zbv_2n2qka.enc) = %{tl_version}
Provides: tex(zbv_2sm4i7.enc) = %{tl_version}
Provides: tex(zbv_3lvabu.enc) = %{tl_version}
Provides: tex(zbv_3omoui.enc) = %{tl_version}
Provides: tex(zbv_4f5bev.enc) = %{tl_version}
Provides: tex(zbv_4kmser.enc) = %{tl_version}
Provides: tex(zbv_4ksy5y.enc) = %{tl_version}
Provides: tex(zbv_537kn6.enc) = %{tl_version}
Provides: tex(zbv_5zt4ml.enc) = %{tl_version}
Provides: tex(zbv_67xtiz.enc) = %{tl_version}
Provides: tex(zbv_6mioll.enc) = %{tl_version}
Provides: tex(zbv_6rdtju.enc) = %{tl_version}
Provides: tex(zbv_6rwo65.enc) = %{tl_version}
Provides: tex(zbv_6tdhgo.enc) = %{tl_version}
Provides: tex(zbv_7453eo.enc) = %{tl_version}
Provides: tex(zbv_7nnme4.enc) = %{tl_version}
Provides: tex(zbv_7qmldf.enc) = %{tl_version}
Provides: tex(zbv_awcfcx.enc) = %{tl_version}
Provides: tex(zbv_bgypte.enc) = %{tl_version}
Provides: tex(zbv_bs5d7e.enc) = %{tl_version}
Provides: tex(zbv_caye23.enc) = %{tl_version}
Provides: tex(zbv_cgzxx6.enc) = %{tl_version}
Provides: tex(zbv_ck4t6h.enc) = %{tl_version}
Provides: tex(zbv_coqtyh.enc) = %{tl_version}
Provides: tex(zbv_e3qxqg.enc) = %{tl_version}
Provides: tex(zbv_ea64ih.enc) = %{tl_version}
Provides: tex(zbv_gar3zb.enc) = %{tl_version}
Provides: tex(zbv_gjwmpg.enc) = %{tl_version}
Provides: tex(zbv_go57dj.enc) = %{tl_version}
Provides: tex(zbv_gsgxts.enc) = %{tl_version}
Provides: tex(zbv_h4nqsn.enc) = %{tl_version}
Provides: tex(zbv_hg6ru4.enc) = %{tl_version}
Provides: tex(zbv_hkyy53.enc) = %{tl_version}
Provides: tex(zbv_igsfta.enc) = %{tl_version}
Provides: tex(zbv_ik76ei.enc) = %{tl_version}
Provides: tex(zbv_ilkd46.enc) = %{tl_version}
Provides: tex(zbv_jd6ty7.enc) = %{tl_version}
Provides: tex(zbv_jmvj36.enc) = %{tl_version}
Provides: tex(zbv_jwmruw.enc) = %{tl_version}
Provides: tex(zbv_k3ascw.enc) = %{tl_version}
Provides: tex(zbv_k6hbcl.enc) = %{tl_version}
Provides: tex(zbv_krjs6b.enc) = %{tl_version}
Provides: tex(zbv_l7sulo.enc) = %{tl_version}
Provides: tex(zbv_lewyuf.enc) = %{tl_version}
Provides: tex(zbv_mvsyl4.enc) = %{tl_version}
Provides: tex(zbv_n3xo7h.enc) = %{tl_version}
Provides: tex(zbv_n57xi2.enc) = %{tl_version}
Provides: tex(zbv_nak3zo.enc) = %{tl_version}
Provides: tex(zbv_ne5zxs.enc) = %{tl_version}
Provides: tex(zbv_nq5ldf.enc) = %{tl_version}
Provides: tex(zbv_oue4qy.enc) = %{tl_version}
Provides: tex(zbv_riybhr.enc) = %{tl_version}
Provides: tex(zbv_rtdlfq.enc) = %{tl_version}
Provides: tex(zbv_rzwiio.enc) = %{tl_version}
Provides: tex(zbv_shb4ap.enc) = %{tl_version}
Provides: tex(zbv_uhxou6.enc) = %{tl_version}
Provides: tex(zbv_untte3.enc) = %{tl_version}
Provides: tex(zbv_upsxpb.enc) = %{tl_version}
Provides: tex(zbv_wvrs5w.enc) = %{tl_version}
Provides: tex(zbv_wy43ep.enc) = %{tl_version}
Provides: tex(zbv_xbckbj.enc) = %{tl_version}
Provides: tex(zbv_xjuza2.enc) = %{tl_version}
Provides: tex(zbv_xsxsev.enc) = %{tl_version}
Provides: tex(zbv_xyk42r.enc) = %{tl_version}
Provides: tex(zbv_ymibyh.enc) = %{tl_version}
Provides: tex(baskervaldx.map) = %{tl_version}
Provides: tex(Baskervaldx-Bol.otf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta.otf) = %{tl_version}
Provides: tex(Baskervaldx-Ita.otf) = %{tl_version}
Provides: tex(Baskervaldx-Reg.otf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-sup-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-sup-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-alph.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-sup-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-sup-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-alph.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-sup-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-sup-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-sup-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-sup-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-t1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Baskervaldx-osf.tfm) = %{tl_version}
Provides: tex(zbvbmi.tfm) = %{tl_version}
Provides: tex(zbvmi.tfm) = %{tl_version}
Provides: tex(Baskervaldx-Bol.pfb) = %{tl_version}
Provides: tex(Baskervaldx-BolIta.pfb) = %{tl_version}
Provides: tex(Baskervaldx-Ita.pfb) = %{tl_version}
Provides: tex(Baskervaldx-Reg.pfb) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-lf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-osf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-sup-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-sup-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tlf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Bol-tosf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-lf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-osf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-sup-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-sup-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tlf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-BolIta-tosf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-lf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-osf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-sup-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-sup-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tlf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Ita-tosf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-lf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-osf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-sup-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-sup-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tlf-ts1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-t1.vf) = %{tl_version}
Provides: tex(Baskervaldx-Reg-tosf-ts1.vf) = %{tl_version}
Provides: tex(zbvbmi.vf) = %{tl_version}
Provides: tex(zbvmi.vf) = %{tl_version}
Provides: tex(Baskervaldx.sty) = %{tl_version}
Provides: tex(LY1Baskervaldx-LF.fd) = %{tl_version}
Provides: tex(LY1Baskervaldx-OsF.fd) = %{tl_version}
Provides: tex(LY1Baskervaldx-Sup.fd) = %{tl_version}
Provides: tex(LY1Baskervaldx-TLF.fd) = %{tl_version}
Provides: tex(LY1Baskervaldx-TOsF.fd) = %{tl_version}
Provides: tex(T1Baskervaldx-LF.fd) = %{tl_version}
Provides: tex(T1Baskervaldx-OsF.fd) = %{tl_version}
Provides: tex(T1Baskervaldx-Sup.fd) = %{tl_version}
Provides: tex(T1Baskervaldx-TLF.fd) = %{tl_version}
Provides: tex(T1Baskervaldx-TOsF.fd) = %{tl_version}
Provides: tex(TS1Baskervaldx-LF.fd) = %{tl_version}
Provides: tex(TS1Baskervaldx-OsF.fd) = %{tl_version}
Provides: tex(TS1Baskervaldx-TLF.fd) = %{tl_version}
Provides: tex(TS1Baskervaldx-TOsF.fd) = %{tl_version}

%description baskervaldx
Extends and modifies the BaskervaldADF font (a Baskerville
substitute) with more accented glyphs, with small caps and
oldstyle figures in all shapes. Includes OpenType and
PostScript fonts, as well as LaTeX support files.

%package baskervaldx-doc
Summary: Documentation for baskervaldx
Version: svn43461
Provides: tex-baskervaldx-doc
AutoReqProv: No

%description baskervaldx-doc
Documentation for baskervaldx

%package basque-book
Provides: tex-basque-book = %{tl_version}
License: LPPL 1.2
Summary: Class for book-type documents written in Basque
Version: svn32924.1.20

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(basque-date.sty)
Provides: tex(basque-book.cls) = %{tl_version}

%description basque-book
The class is derived from the LaTeX book class. The extensions
solve grammatical and numeration issues that occur when book-
type documents are written in Basque. The class is useful for
writing books, PhD and Master Theses, etc., in Basque.

%package basque-book-doc
Summary: Documentation for basque-book
Version: svn32924.1.20

Provides: tex-basque-book-doc
AutoReqProv: No

%description basque-book-doc
Documentation for basque-book

%package basque-date
Provides: tex-basque-date = %{tl_version}
License: LPPL 1.2
Summary: Print the date in Basque
Version: svn26477.1.05

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(basque-date.sty) = %{tl_version}

%description basque-date
The package provides two LaTeX commands to print the current
date in Basque according to the correct forms ruled by The
Basque Language Academy (Euskaltzaindia). The commands
automatically solve the complex declination issues of numbers
in Basque.

%package basque-date-doc
Summary: Documentation for basque-date
Version: svn26477.1.05

Provides: tex-basque-date-doc
AutoReqProv: No

%description basque-date-doc
Documentation for basque-date

%package bbcard
Provides: tex-bbcard = %{tl_version}
License: Public Domain
Summary: Bullshit bingo, calendar and baseball-score cards
Version: svn19440.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description bbcard
Three jiffy packages for creating cards of various sorts with
MetaPost.

%package bbcard-doc
Summary: Documentation for bbcard
Version: svn19440.0

Provides: tex-bbcard-doc
AutoReqProv: No

%description bbcard-doc
Documentation for bbcard

%package bbding
Provides: tex-bbding = %{tl_version}
License: LPPL
Summary: A symbol (dingbat) font and LaTeX macros for its use
Version: svn17186.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bbding10.tfm) = %{tl_version}
Provides: tex(Uding.fd) = %{tl_version}
Provides: tex(bbding.sty) = %{tl_version}

%description bbding
A symbol font (distributed as Metafont source) that contains
many of the symbols of the Zapf dingbats set, together with an
NFSS interface for using the font. An Adobe Type 1 version of
the fonts is available in the niceframe fonts bundle.

%package bbding-doc
Summary: Documentation for bbding
Version: svn17186.1.01

Provides: tex-bbding-doc
AutoReqProv: No

%description bbding-doc
Documentation for bbding

%package bbm-macros
Provides: tex-bbm-macros = %{tl_version}
License: LPPL
Summary: LaTeX support for "blackboard-style" cm fonts
Version: svn17224.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bbm.sty) = %{tl_version}
Provides: tex(ubbm.fd) = %{tl_version}
Provides: tex(ubbmss.fd) = %{tl_version}
Provides: tex(ubbmtt.fd) = %{tl_version}

%description bbm-macros
Provides LaTeX support for Blackboard variants of Computer
Modern fonts. Declares a font family bbm so you can in
principle write running text in blackboard bold, and lots of
math alphabets for using the fonts within maths.

%package bbm-macros-doc
Summary: Documentation for bbm-macros
Version: svn17224.0

Provides: tex-bbm-macros-doc
AutoReqProv: No

%description bbm-macros-doc
Documentation for bbm-macros

%package bbm
Provides: tex-bbm = %{tl_version}
License: Copyright only
Summary: "Blackboard-style" cm fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bbm10.tfm) = %{tl_version}
Provides: tex(bbm12.tfm) = %{tl_version}
Provides: tex(bbm17.tfm) = %{tl_version}
Provides: tex(bbm5.tfm) = %{tl_version}
Provides: tex(bbm6.tfm) = %{tl_version}
Provides: tex(bbm7.tfm) = %{tl_version}
Provides: tex(bbm8.tfm) = %{tl_version}
Provides: tex(bbm9.tfm) = %{tl_version}
Provides: tex(bbmb10.tfm) = %{tl_version}
Provides: tex(bbmbx10.tfm) = %{tl_version}
Provides: tex(bbmbx12.tfm) = %{tl_version}
Provides: tex(bbmbx5.tfm) = %{tl_version}
Provides: tex(bbmbx6.tfm) = %{tl_version}
Provides: tex(bbmbx7.tfm) = %{tl_version}
Provides: tex(bbmbx8.tfm) = %{tl_version}
Provides: tex(bbmbx9.tfm) = %{tl_version}
Provides: tex(bbmbxsl10.tfm) = %{tl_version}
Provides: tex(bbmdunh10.tfm) = %{tl_version}
Provides: tex(bbmfib8.tfm) = %{tl_version}
Provides: tex(bbmfxib8.tfm) = %{tl_version}
Provides: tex(bbmsl10.tfm) = %{tl_version}
Provides: tex(bbmsl12.tfm) = %{tl_version}
Provides: tex(bbmsl8.tfm) = %{tl_version}
Provides: tex(bbmsl9.tfm) = %{tl_version}
Provides: tex(bbmss10.tfm) = %{tl_version}
Provides: tex(bbmss12.tfm) = %{tl_version}
Provides: tex(bbmss17.tfm) = %{tl_version}
Provides: tex(bbmss8.tfm) = %{tl_version}
Provides: tex(bbmss9.tfm) = %{tl_version}
Provides: tex(bbmssbx10.tfm) = %{tl_version}
Provides: tex(bbmssdc10.tfm) = %{tl_version}
Provides: tex(bbmssi10.tfm) = %{tl_version}
Provides: tex(bbmssi12.tfm) = %{tl_version}
Provides: tex(bbmssi17.tfm) = %{tl_version}
Provides: tex(bbmssi8.tfm) = %{tl_version}
Provides: tex(bbmssi9.tfm) = %{tl_version}
Provides: tex(bbmssq8.tfm) = %{tl_version}
Provides: tex(bbmssqi8.tfm) = %{tl_version}
Provides: tex(bbmtt10.tfm) = %{tl_version}
Provides: tex(bbmtt12.tfm) = %{tl_version}
Provides: tex(bbmtt8.tfm) = %{tl_version}
Provides: tex(bbmtt9.tfm) = %{tl_version}

%description bbm
Blackboard variants of Computer Modern fonts. The fonts are
distributed as Metafont source (only); LaTeX support is
available with the bbm-macros package. The Sauter font package
has Metafont parameter source files for building the fonts at
more sizes than you could reasonably imagine. A sample of these
fonts appears in the blackboard bold sampler.

%package bbm-doc
Summary: Documentation for bbm
Version: svn15878.0

Provides: tex-bbm-doc
AutoReqProv: No

%description bbm-doc
Documentation for bbm

%package bbold
Provides: tex-bbold = %{tl_version}
License: BSD
Summary: Sans serif blackboard bold
Version: svn17187.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bbold10.tfm) = %{tl_version}
Provides: tex(bbold12.tfm) = %{tl_version}
Provides: tex(bbold17.tfm) = %{tl_version}
Provides: tex(bbold5.tfm) = %{tl_version}
Provides: tex(bbold6.tfm) = %{tl_version}
Provides: tex(bbold7.tfm) = %{tl_version}
Provides: tex(bbold8.tfm) = %{tl_version}
Provides: tex(bbold9.tfm) = %{tl_version}
Provides: tex(Ubbold.fd) = %{tl_version}
Provides: tex(bbold.sty) = %{tl_version}

%description bbold
A geometric sans serif blackboard bold font, for use in
mathematics; Metafont sources are provided, as well as macros
for use with LaTeX. The Sauter font package has Metafont
parameter source files for building the fonts at more sizes
than you could reasonably imagine. See the blackboard sampler
for a feel for the font's appearance.

%package bbold-doc
Summary: Documentation for bbold
Version: svn17187.1.01

Provides: tex-bbold-doc
AutoReqProv: No

%description bbold-doc
Documentation for bbold

%package bbold-type1
Provides: tex-bbold-type1 = %{tl_version}
License: Copyright only
Summary: An Adobe Type 1 format version of the bbold font
Version: svn33143.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(bbold.map) = %{tl_version}
Provides: tex(bbold10.pfb) = %{tl_version}
Provides: tex(bbold5.pfb) = %{tl_version}
Provides: tex(bbold7.pfb) = %{tl_version}

%description bbold-type1
The files offer an Adobe Type 1 format version of the 5pt, 7pt
and 10pt versions of the bbold fonts. The distribution also
includes a map file, for use when incorporating the fonts into
TeX documents; the macros provided with the original Metafont
version of the font serve for the scaleable version, too. The
fonts were produced to be part of the TeX distribution from
Y&Y; they were generously donated to the TeX Users Group when
Y&Y closed its doors as a business.

%package bbold-type1-doc
Summary: Documentation for bbold-type1
Version: svn33143.0

Provides: tex-bbold-type1-doc
AutoReqProv: No

%description bbold-type1-doc
Documentation for bbold-type1

%package bchart
Provides: tex-bchart = %{tl_version}
License: MIT
Summary: Draw simple bar charts in LaTeX
Version: svn43928
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bchart.sty) = %{tl_version}

%description bchart
The package provides horizontal bar charts, drawn using TikZ on
a numeric X-axis. The focus of the package is simplicity and
aesthetics.

%package bchart-doc
Summary: Documentation for bchart
Version: svn43928
Provides: tex-bchart-doc
AutoReqProv: No

%description bchart-doc
Documentation for bchart

%package bclogo
Provides: tex-bclogo = %{tl_version}
License: LPPL
Summary: Creating colourful boxes with logos
Version: svn39364

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(tikz.sty)
Requires: tex(pst-blur.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pst-coil.sty)
Requires: tex(ifpdf.sty)
Provides: tex(bclogo.sty) = %{tl_version}

%description bclogo
The package facilitates the creation of colorful boxes with a
title and logo. It may use either tikz or PSTricks as graphics
engine.

%package bclogo-doc
Summary: Documentation for bclogo
Version: svn39364

Provides: tex-bclogo-doc
AutoReqProv: No

%description bclogo-doc
Documentation for bclogo

%package beamer2thesis
Provides: tex-beamer2thesis = %{tl_version}
License: LPPL
Summary: Thesis presentations using beamer
Version: svn27539.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(pifont.sty)
Requires: tex(fontspec.sty)
Requires: tex(xunicode.sty)
Requires: tex(xltxtra.sty)
Requires: tex(metalogo.sty)
Requires: tex(xkeyval.sty)
Requires: tex(polyglossia.sty)
Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Provides: tex(beamercolorthemetorinoth.sty) = %{tl_version}
Provides: tex(beamerfontthemetorinoth.sty) = %{tl_version}
Provides: tex(beamerinnerthemetorinoth.sty) = %{tl_version}
Provides: tex(beamerouterthemetorinoth.sty) = %{tl_version}
Provides: tex(beamerthemeTorinoTh.sty) = %{tl_version}

%description beamer2thesis
The package specifies a beamer theme for presenting a thesis.

%package beamer2thesis-doc
Summary: Documentation for beamer2thesis
Version: svn27539.2.2

Provides: tex-beamer2thesis-doc
AutoReqProv: No

%description beamer2thesis-doc
Documentation for beamer2thesis

%package beameraudience
Provides: tex-beameraudience = %{tl_version}
License: LPPL
Summary: Assembling beamer frames according to audience
Version: svn23427.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(cprotect.sty)
Requires: tex(ifthen.sty)
Provides: tex(beameraudience.sty) = %{tl_version}

%description beameraudience
The Beamer Audience package provides macros to easily assemble
frames according to different audiences. It enables to pick up
the frames for a specific audience while leaving their order
according to a logical structure in the LaTeX source.

%package beameraudience-doc
Summary: Documentation for beameraudience
Version: svn23427.0.1

Provides: tex-beameraudience-doc
AutoReqProv: No

%description beameraudience-doc
Documentation for beameraudience

%package beamerdarkthemes
Provides: tex-beamerdarkthemes = %{tl_version}
License: LPPL 1.3
Summary: Dark color themes for beamer
Version: svn35101.0.4.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beamercolorthemecormorant.sty) = %{tl_version}
Provides: tex(beamercolorthemefrigatebird.sty) = %{tl_version}
Provides: tex(beamercolorthememagpie.sty) = %{tl_version}

%description beamerdarkthemes
A package with three dark color themes for beamer, designed for
presentations with pictures and/or for bright rooms without
screen. These themes mix one dominant foreground colour and a
black background. Cormorant stands for green, frigatebird for
red and magpie for blue.

%package beamerdarkthemes-doc
Summary: Documentation for beamerdarkthemes
Version: svn35101.0.4.1

Provides: tex-beamerdarkthemes-doc
AutoReqProv: No

%description beamerdarkthemes-doc
Documentation for beamerdarkthemes

%package beamer-FUBerlin-doc
Summary: Documentation for beamer-FUBerlin
Version: svn38159.0.02b

Provides: tex-beamer-FUBerlin-doc
Provides: tex-beamer-FUBerlin
Provides: texlive-beamer-FUBerlin
AutoReqProv: No

%description beamer-FUBerlin-doc
Documentation for beamer-FUBerlin

%package beamerposter
Provides: tex-beamerposter = %{tl_version}
License: LPPL
Summary: Extend beamer and a0poster for custom sized posters
Version: svn37009.1.12

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(type1cm.sty)
Requires: tex(fp.sty)
Provides: tex(beamerposter.sty) = %{tl_version}

%description beamerposter
The package enables the user to use beamer style operations on
a canvas of the sizes provided by a0poster; font scaling is
available (using packages such as type1cm if necessary). In
addition, the package allows the user to benefit from the nice
colour box handling and alignment provided by the beamer class
(for example, with rounded corners and shadows). Good looking
posters may be created very rapidly. Features include: scalable
fonts using the fp and type1cm packages; posters in A-series
sizes, and custom sizes like double A0 are possible; still
applicable to custom beamer slides, e.g. 16:9 slides for a wide-
screen (i.e. 1.78 aspect ratio); orientation may be portrait or
landscape; a 'debug mode' is provided.

%package beamerposter-doc
Summary: Documentation for beamerposter
Version: svn37009.1.12

Provides: tex-beamerposter-doc
AutoReqProv: No

%description beamerposter-doc
Documentation for beamerposter

%package beamersubframe
Provides: tex-beamersubframe = %{tl_version}
License: LPPL
Summary: Reorder frames in the PDF file
Version: svn23510.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(beamersubframe.sty) = %{tl_version}

%description beamersubframe
The package provides a method to reorder frames in the PDF file
without reordering the source. Its principal use is to embed or
append frames with details on some subject. The author
describes the package as "experimental".

%package beamersubframe-doc
Summary: Documentation for beamersubframe
Version: svn23510.0.2

Provides: tex-beamersubframe-doc
AutoReqProv: No

%description beamersubframe-doc
Documentation for beamersubframe

%package beamerthemejltree
Provides: tex-beamerthemejltree = %{tl_version}
License: GPL+
Summary: Contributed beamer theme
Version: svn21977.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beamerthemeJLTree.sty) = %{tl_version}

%description beamerthemejltree
A theme for beamer presentations.

%package beamerthemenirma
Provides: tex-beamerthemenirma = %{tl_version}
License: LPPL
Summary: A Beamer theme for academic presentations
Version: svn20765.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(beamerbasethemes.sty)
Requires: tex(pgf.sty)
Provides: tex(beamerthemenirma.sty) = %{tl_version}

%description beamerthemenirma
The package developed for academic purposes. The distribution
includes nothing more than style file needed for preparing
presentations.

%package beamerthemenirma-doc
Summary: Documentation for beamerthemenirma
Version: svn20765.0.1

Provides: tex-beamerthemenirma-doc
AutoReqProv: No

%description beamerthemenirma-doc
Documentation for beamerthemenirma

%package beamertheme-phnompenh
Provides: tex-beamertheme-phnompenh = %{tl_version}
Provides: tex-beamerthemephnompenh = %{tl_version}
Provides: beamerthemephnompenh = %{tl_version}
Obsoletes: beamerthemephnompenh < 2016
License: LPPL
Summary: beamertheme-phnompenh package
Version: svn39100

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beamerthemePhnomPenh.sty) = %{tl_version}

%description beamertheme-phnompenh
beamertheme-phnompenh package

%package beamertheme-phnompenh-doc
Summary: Documentation for beamertheme-phnompenh
Version: svn39100

Provides: tex-beamerthemephnompenh-doc
Provides: tex-beamertheme-phnompenh-doc
Provides: beamerthemephnompenh-doc = %{tl_version}
Obsoletes: beamerthemephnompenh-doc < 2016
AutoReqProv: No

%description beamertheme-phnompenh-doc
Documentation for beamertheme-phnompenh

%package beamertheme-upenn-bc
Provides: tex-beamertheme-upenn-bc = %{tl_version}
License: LPPL
Summary: Beamer themies for Boston College and the University of Pennsylvania
Version: svn29937.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beamercolorthemegoeagles.sty) = %{tl_version}
Provides: tex(beamercolorthemepenn.sty) = %{tl_version}

%description beamertheme-upenn-bc
Beamer themes in the colors of the University of Pennsylvania,
USA, and Boston College, USA. Both were tested for the
presentation theme 'Warsaw. Please note that these color themes
are neither official nor exact! The colours are approximated
from the universities' style guidelines and websites, and
slightly modified where necessary to generate an appealing
look. The universities neither endorse, nor provide any support
for, these color themes. I give no warranty for the code.

%package beamertheme-upenn-bc-doc
Summary: Documentation for beamertheme-upenn-bc
Version: svn29937.1.0

Provides: tex-beamertheme-upenn-bc-doc
AutoReqProv: No

%description beamertheme-upenn-bc-doc
Documentation for beamertheme-upenn-bc

%package beamer
Provides: tex-beamer = %{tl_version}
License: LPPL 1.3
Summary: A LaTeX class for producing presentations and slides
Version: svn46481
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-pgf
Requires: tex-xcolor
Requires: tex(beamerbasemodes.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ucs.sty)
Requires: tex(inputenc.sty)
Requires: tex(geometry.sty)
Requires: tex(pgfcore.sty)
Requires: tex(xxcolor.sty)
Requires: tex(atbegshi.sty)
Requires: tex(hyperref.sty)
Requires: tex(beamerbasearticle.sty)
Requires: tex(xcolor.sty)
Requires: tex(amssymb.sty)
Requires: tex(sansmathaccent.sty)
Requires: tex(enumerate.sty)
Requires: tex(keyval.sty)
Requires: tex(beamerbasetwoscreens.sty)
Requires: tex(beamerbasesection.sty)
Requires: tex(beamerbasetoc.sty)
Requires: tex(beamerbasetheorems.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(pgf.sty)
Requires: tex(translator.sty)
Provides: tex(beamericonarticle.tex) = %{tl_version}
Provides: tex(beamericonbook.tex) = %{tl_version}
Provides: tex(beamer.cls) = %{tl_version}
Provides: tex(beamerarticle.sty) = %{tl_version}
Provides: tex(beamerbasearticle.sty) = %{tl_version}
Provides: tex(beamerbaseauxtemplates.sty) = %{tl_version}
Provides: tex(beamerbaseboxes.sty) = %{tl_version}
Provides: tex(beamerbasecolor.sty) = %{tl_version}
Provides: tex(beamerbasecompatibility.sty) = %{tl_version}
Provides: tex(beamerbasedecode.sty) = %{tl_version}
Provides: tex(beamerbaseexercise.sty) = %{tl_version}
Provides: tex(beamerbasefont.sty) = %{tl_version}
Provides: tex(beamerbaseframe.sty) = %{tl_version}
Provides: tex(beamerbaseframecomponents.sty) = %{tl_version}
Provides: tex(beamerbaseframesize.sty) = %{tl_version}
Provides: tex(beamerbaselocalstructure.sty) = %{tl_version}
Provides: tex(beamerbasemisc.sty) = %{tl_version}
Provides: tex(beamerbasemodes.sty) = %{tl_version}
Provides: tex(beamerbasenavigation.sty) = %{tl_version}
Provides: tex(beamerbasenotes.sty) = %{tl_version}
Provides: tex(beamerbaseoptions.sty) = %{tl_version}
Provides: tex(beamerbaseoverlay.sty) = %{tl_version}
Provides: tex(beamerbasercs.sty) = %{tl_version}
Provides: tex(beamerbaserequires.sty) = %{tl_version}
Provides: tex(beamerbasesection.sty) = %{tl_version}
Provides: tex(beamerbasetemplates.sty) = %{tl_version}
Provides: tex(beamerbasethemes.sty) = %{tl_version}
Provides: tex(beamerbasetheorems.sty) = %{tl_version}
Provides: tex(beamerbasetitle.sty) = %{tl_version}
Provides: tex(beamerbasetoc.sty) = %{tl_version}
Provides: tex(beamerbasetranslator.sty) = %{tl_version}
Provides: tex(beamerbasetwoscreens.sty) = %{tl_version}
Provides: tex(beamerbaseverbatim.sty) = %{tl_version}
Provides: tex(beamerfoils.sty) = %{tl_version}
Provides: tex(beamerprosper.sty) = %{tl_version}
Provides: tex(beamerseminar.sty) = %{tl_version}
Provides: tex(beamertexpower.sty) = %{tl_version}
Provides: tex(beamerexample-foils.tex) = %{tl_version}
Provides: tex(beamerexample-prosper.tex) = %{tl_version}
Provides: tex(beamerexample-seminar.tex) = %{tl_version}
Provides: tex(beamerexample-texpower.tex) = %{tl_version}
Provides: tex(multimedia.sty) = %{tl_version}
Provides: tex(multimediasymbols.sty) = %{tl_version}
Provides: tex(xmpmulti.sty) = %{tl_version}
Provides: tex(beamercolorthemealbatross.sty) = %{tl_version}
Provides: tex(beamercolorthemebeaver.sty) = %{tl_version}
Provides: tex(beamercolorthemebeetle.sty) = %{tl_version}
Provides: tex(beamercolorthemecrane.sty) = %{tl_version}
Provides: tex(beamercolorthemedefault.sty) = %{tl_version}
Provides: tex(beamercolorthemedolphin.sty) = %{tl_version}
Provides: tex(beamercolorthemedove.sty) = %{tl_version}
Provides: tex(beamercolorthemefly.sty) = %{tl_version}
Provides: tex(beamercolorthemelily.sty) = %{tl_version}
Provides: tex(beamercolorthememonarca.sty) = %{tl_version}
Provides: tex(beamercolorthemeorchid.sty) = %{tl_version}
Provides: tex(beamercolorthemerose.sty) = %{tl_version}
Provides: tex(beamercolorthemeseagull.sty) = %{tl_version}
Provides: tex(beamercolorthemeseahorse.sty) = %{tl_version}
Provides: tex(beamercolorthemesidebartab.sty) = %{tl_version}
Provides: tex(beamercolorthemespruce.sty) = %{tl_version}
Provides: tex(beamercolorthemestructure.sty) = %{tl_version}
Provides: tex(beamercolorthemewhale.sty) = %{tl_version}
Provides: tex(beamercolorthemewolverine.sty) = %{tl_version}
Provides: tex(beamerfontthemedefault.sty) = %{tl_version}
Provides: tex(beamerfontthemeprofessionalfonts.sty) = %{tl_version}
Provides: tex(beamerfontthemeserif.sty) = %{tl_version}
Provides: tex(beamerfontthemestructurebold.sty) = %{tl_version}
Provides: tex(beamerfontthemestructureitalicserif.sty) = %{tl_version}
Provides: tex(beamerfontthemestructuresmallcapsserif.sty) = %{tl_version}
Provides: tex(beamerinnerthemecircles.sty) = %{tl_version}
Provides: tex(beamerinnerthemedefault.sty) = %{tl_version}
Provides: tex(beamerinnerthemeinmargin.sty) = %{tl_version}
Provides: tex(beamerinnerthemerectangles.sty) = %{tl_version}
Provides: tex(beamerinnerthemerounded.sty) = %{tl_version}
Provides: tex(beamerouterthemedefault.sty) = %{tl_version}
Provides: tex(beamerouterthemeinfolines.sty) = %{tl_version}
Provides: tex(beamerouterthememiniframes.sty) = %{tl_version}
Provides: tex(beamerouterthemeshadow.sty) = %{tl_version}
Provides: tex(beamerouterthemesidebar.sty) = %{tl_version}
Provides: tex(beamerouterthemesmoothbars.sty) = %{tl_version}
Provides: tex(beamerouterthemesmoothtree.sty) = %{tl_version}
Provides: tex(beamerouterthemesplit.sty) = %{tl_version}
Provides: tex(beamerouterthemetree.sty) = %{tl_version}
Provides: tex(beamerthemeAnnArbor.sty) = %{tl_version}
Provides: tex(beamerthemeAntibes.sty) = %{tl_version}
Provides: tex(beamerthemeBergen.sty) = %{tl_version}
Provides: tex(beamerthemeBerkeley.sty) = %{tl_version}
Provides: tex(beamerthemeBerlin.sty) = %{tl_version}
Provides: tex(beamerthemeBoadilla.sty) = %{tl_version}
Provides: tex(beamerthemeCambridgeUS.sty) = %{tl_version}
Provides: tex(beamerthemeCopenhagen.sty) = %{tl_version}
Provides: tex(beamerthemeDarmstadt.sty) = %{tl_version}
Provides: tex(beamerthemeDresden.sty) = %{tl_version}
Provides: tex(beamerthemeEastLansing.sty) = %{tl_version}
Provides: tex(beamerthemeFrankfurt.sty) = %{tl_version}
Provides: tex(beamerthemeGoettingen.sty) = %{tl_version}
Provides: tex(beamerthemeHannover.sty) = %{tl_version}
Provides: tex(beamerthemeIlmenau.sty) = %{tl_version}
Provides: tex(beamerthemeJuanLesPins.sty) = %{tl_version}
Provides: tex(beamerthemeLuebeck.sty) = %{tl_version}
Provides: tex(beamerthemeMadrid.sty) = %{tl_version}
Provides: tex(beamerthemeMalmoe.sty) = %{tl_version}
Provides: tex(beamerthemeMarburg.sty) = %{tl_version}
Provides: tex(beamerthemeMontpellier.sty) = %{tl_version}
Provides: tex(beamerthemePaloAlto.sty) = %{tl_version}
Provides: tex(beamerthemePittsburgh.sty) = %{tl_version}
Provides: tex(beamerthemeRochester.sty) = %{tl_version}
Provides: tex(beamerthemeSingapore.sty) = %{tl_version}
Provides: tex(beamerthemeSzeged.sty) = %{tl_version}
Provides: tex(beamerthemeWarsaw.sty) = %{tl_version}
Provides: tex(beamerthemeboxes.sty) = %{tl_version}
Provides: tex(beamerthemedefault.sty) = %{tl_version}
Provides: tex(beamerthemebars.sty) = %{tl_version}
Provides: tex(beamerthemeclassic.sty) = %{tl_version}
Provides: tex(beamerthemecompatibility.sty) = %{tl_version}
Provides: tex(beamerthemelined.sty) = %{tl_version}
Provides: tex(beamerthemeplain.sty) = %{tl_version}
Provides: tex(beamerthemeshadow.sty) = %{tl_version}
Provides: tex(beamerthemesidebar.sty) = %{tl_version}
Provides: tex(beamerthemesplit.sty) = %{tl_version}
Provides: tex(beamerthemetree.sty) = %{tl_version}
Provides: tex(translator-language-mappings.tex) = %{tl_version}

%description beamer
The beamer LaTeX class can be used for producing slides. Its
functionality is similar to Prosper but does not need any
external programs and can directly produce a presentation using
pdflatex. Beamer uses pgf for pdf/ps independent graphics.
Frames are created using \frame{...}, and a frame can build
multiple slides through a simple notation for specifying
material for each slide within a frame. Beamer supports
bibliographies, appendicies and transitions. Short versions of
title, authors, institute can also be specified as optional
parameters. A \plainframe{} allows a picture, for example, to
fill the whole frame. Support figure and table environments,
transparency effects, a \transduration command, animation
commands, a pauses environment. Beamer also provides
compatibility with other packages like prosper. The package now
incorporates the functionality of the former translator
package, which is used for customising the package for use in
other language environments.

%package beamer-doc
Summary: Documentation for beamer
Version: svn46481
Provides: tex-beamer-doc
AutoReqProv: No
Requires: tex-pgf-doc
Requires: tex-xcolor-doc

%description beamer-doc
Documentation for beamer

%package pgf
Provides: tex-pgf = %{tl_version}
License: LPPL 1.3
Summary: Create PostScript and PDF graphics in TeX
Version: svn44231
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-xkeyval
Requires: tex(pgfcomp-version-0-65.sty)
Requires: tex(pgfcore.sty)
Requires: tex(graphicx.sty)
Requires: tex(keyval.sty)
Requires: tex(xcolor.sty)
Provides: tex(t-pgf.tex) = %{tl_version}
Provides: tex(t-pgfbim.tex) = %{tl_version}
Provides: tex(t-pgfbla.tex) = %{tl_version}
Provides: tex(t-pgfbma.tex) = %{tl_version}
Provides: tex(t-pgfbpl.tex) = %{tl_version}
Provides: tex(t-pgfbpt.tex) = %{tl_version}
Provides: tex(t-pgfbsh.tex) = %{tl_version}
Provides: tex(t-pgfbsn.tex) = %{tl_version}
Provides: tex(t-pgfcor.tex) = %{tl_version}
Provides: tex(t-tikz.tex) = %{tl_version}
Provides: tex(t-pgfmat.tex) = %{tl_version}
Provides: tex(t-pgfsys.tex) = %{tl_version}
Provides: tex(t-pgfcal.tex) = %{tl_version}
Provides: tex(t-pgffor.tex) = %{tl_version}
Provides: tex(t-pgfkey.tex) = %{tl_version}
Provides: tex(t-pgfmod.tex) = %{tl_version}
Provides: tex(t-pgfrcs.tex) = %{tl_version}
Provides: tex(pgfcore.code.tex) = %{tl_version}
Provides: tex(pgfcorearrows.code.tex) = %{tl_version}
Provides: tex(pgfcoreexternal.code.tex) = %{tl_version}
Provides: tex(pgfcoregraphicstate.code.tex) = %{tl_version}
Provides: tex(pgfcoreimage.code.tex) = %{tl_version}
Provides: tex(pgfcorelayers.code.tex) = %{tl_version}
Provides: tex(pgfcoreobjects.code.tex) = %{tl_version}
Provides: tex(pgfcorepathconstruct.code.tex) = %{tl_version}
Provides: tex(pgfcorepathprocessing.code.tex) = %{tl_version}
Provides: tex(pgfcorepathusage.code.tex) = %{tl_version}
Provides: tex(pgfcorepatterns.code.tex) = %{tl_version}
Provides: tex(pgfcorepoints.code.tex) = %{tl_version}
Provides: tex(pgfcorequick.code.tex) = %{tl_version}
Provides: tex(pgfcorescopes.code.tex) = %{tl_version}
Provides: tex(pgfcoreshade.code.tex) = %{tl_version}
Provides: tex(pgfcoretransformations.code.tex) = %{tl_version}
Provides: tex(pgfcoretransparency.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycircuits.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycircuits.ee.IEC.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycircuits.ee.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycircuits.logic.CDH.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycircuits.logic.IEC.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycircuits.logic.US.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycircuits.logic.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydatavisualization.3d.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydatavisualization.barcharts.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydatavisualization.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydatavisualization.formats.functions.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydatavisualization.polar.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydatavisualization.sparklines.code.tex) = %{tl_version}
Provides: tex(tikzlibrarygraphs.code.tex) = %{tl_version}
Provides: tex(tikzlibrarygraphs.standard.code.tex) = %{tl_version}
Provides: tex(tikzexternalshared.code.tex) = %{tl_version}
Provides: tex(tikzlibrary3d.code.tex) = %{tl_version}
Provides: tex(tikzlibraryangles.code.tex) = %{tl_version}
Provides: tex(tikzlibraryarrows.code.tex) = %{tl_version}
Provides: tex(tikzlibraryautomata.code.tex) = %{tl_version}
Provides: tex(tikzlibrarybabel.code.tex) = %{tl_version}
Provides: tex(tikzlibrarybackgrounds.code.tex) = %{tl_version}
Provides: tex(tikzlibrarybending.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycalc.code.tex) = %{tl_version}
Provides: tex(tikzlibrarycalendar.code.tex) = %{tl_version}
Provides: tex(tikzlibrarychains.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.footprints.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.fractals.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.markings.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.pathmorphing.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.pathreplacing.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.shapes.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.text.code.tex) = %{tl_version}
Provides: tex(tikzlibraryer.code.tex) = %{tl_version}
Provides: tex(tikzlibraryfadings.code.tex) = %{tl_version}
Provides: tex(tikzlibraryfit.code.tex) = %{tl_version}
Provides: tex(tikzlibraryfixedpointarithmetic.code.tex) = %{tl_version}
Provides: tex(tikzlibraryfolding.code.tex) = %{tl_version}
Provides: tex(tikzlibraryfpu.code.tex) = %{tl_version}
Provides: tex(tikzlibraryintersections.code.tex) = %{tl_version}
Provides: tex(tikzlibrarylindenmayersystems.code.tex) = %{tl_version}
Provides: tex(tikzlibrarymath.code.tex) = %{tl_version}
Provides: tex(tikzlibrarymatrix.code.tex) = %{tl_version}
Provides: tex(tikzlibrarymindmap.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypatterns.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypatterns.meta.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypetri.code.tex) = %{tl_version}
Provides: tex(tikzlibraryplothandlers.code.tex) = %{tl_version}
Provides: tex(tikzlibraryplotmarks.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypositioning.code.tex) = %{tl_version}
Provides: tex(tikzlibraryquotes.code.tex) = %{tl_version}
Provides: tex(tikzlibraryscopes.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshadings.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshadows.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.arrows.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.callouts.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.gates.logic.IEC.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.gates.logic.US.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.geometric.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.misc.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.multipart.code.tex) = %{tl_version}
Provides: tex(tikzlibraryshapes.symbols.code.tex) = %{tl_version}
Provides: tex(tikzlibrarysnakes.code.tex) = %{tl_version}
Provides: tex(tikzlibraryspy.code.tex) = %{tl_version}
Provides: tex(tikzlibrarysvg.path.code.tex) = %{tl_version}
Provides: tex(tikzlibrarythrough.code.tex) = %{tl_version}
Provides: tex(tikzlibrarytopaths.code.tex) = %{tl_version}
Provides: tex(tikzlibrarytrees.code.tex) = %{tl_version}
Provides: tex(tikzlibraryturtle.code.tex) = %{tl_version}
Provides: tex(tikz.code.tex) = %{tl_version}
Provides: tex(pgflibrarygraphdrawing.circular.code.tex) = %{tl_version}
Provides: tex(pgflibrarygraphdrawing.code.tex) = %{tl_version}
Provides: tex(pgflibrarygraphdrawing.examples.code.tex) = %{tl_version}
Provides: tex(pgflibrarygraphdrawing.force.code.tex) = %{tl_version}
Provides: tex(pgflibrarygraphdrawing.layered.code.tex) = %{tl_version}
Provides: tex(pgflibrarygraphdrawing.trees.code.tex) = %{tl_version}
Provides: tex(tikzlibrarygraphdrawing.code.tex) = %{tl_version}
Provides: tex(pgflibrarydatavisualization.barcharts.code.tex) = %{tl_version}
Provides: tex(pgflibrarydatavisualization.formats.functions.code.tex) = %{tl_version}
Provides: tex(pgflibrarydatavisualization.polar.code.tex) = %{tl_version}
Provides: tex(pgflibrarydecorations.footprints.code.tex) = %{tl_version}
Provides: tex(pgflibrarydecorations.fractals.code.tex) = %{tl_version}
Provides: tex(pgflibrarydecorations.markings.code.tex) = %{tl_version}
Provides: tex(pgflibrarydecorations.pathmorphing.code.tex) = %{tl_version}
Provides: tex(pgflibrarydecorations.pathreplacing.code.tex) = %{tl_version}
Provides: tex(pgflibrarydecorations.shapes.code.tex) = %{tl_version}
Provides: tex(pgflibrarydecorations.text.code.tex) = %{tl_version}
Provides: tex(pgflibraryluamath.code.tex) = %{tl_version}
Provides: tex(pgflibraryarrows.code.tex) = %{tl_version}
Provides: tex(pgflibraryarrows.meta.code.tex) = %{tl_version}
Provides: tex(pgflibraryarrows.spaced.code.tex) = %{tl_version}
Provides: tex(pgflibrarycurvilinear.code.tex) = %{tl_version}
Provides: tex(pgflibraryfadings.code.tex) = %{tl_version}
Provides: tex(pgflibraryfixedpointarithmetic.code.tex) = %{tl_version}
Provides: tex(pgflibraryfpu.code.tex) = %{tl_version}
Provides: tex(pgflibraryintersections.code.tex) = %{tl_version}
Provides: tex(pgflibrarylindenmayersystems.code.tex) = %{tl_version}
Provides: tex(pgflibrarypatterns.code.tex) = %{tl_version}
Provides: tex(pgflibrarypatterns.meta.code.tex) = %{tl_version}
Provides: tex(pgflibraryplothandlers.code.tex) = %{tl_version}
Provides: tex(pgflibraryplotmarks.code.tex) = %{tl_version}
Provides: tex(pgflibraryprofiler.code.tex) = %{tl_version}
Provides: tex(pgflibraryshadings.code.tex) = %{tl_version}
Provides: tex(pgflibrarysnakes.code.tex) = %{tl_version}
Provides: tex(pgflibrarysvg.path.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.gates.ee.IEC.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.gates.ee.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.gates.logic.IEC.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.gates.logic.US.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.gates.logic.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.arrows.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.callouts.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.geometric.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.misc.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.multipart.code.tex) = %{tl_version}
Provides: tex(pgflibraryshapes.symbols.code.tex) = %{tl_version}
Provides: tex(pgfmath.code.tex) = %{tl_version}
Provides: tex(pgfmathcalc.code.tex) = %{tl_version}
Provides: tex(pgfmathfloat.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.base.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.basic.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.comparison.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.integerarithmetics.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.misc.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.random.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.round.code.tex) = %{tl_version}
Provides: tex(pgfmathfunctions.trigonometric.code.tex) = %{tl_version}
Provides: tex(pgfmathode.code.tex) = %{tl_version}
Provides: tex(pgfmathparser.code.tex) = %{tl_version}
Provides: tex(pgfmathutil.code.tex) = %{tl_version}
Provides: tex(pgfmodulebending.code.tex) = %{tl_version}
Provides: tex(pgfmoduledatavisualization.code.tex) = %{tl_version}
Provides: tex(pgfmoduledecorations.code.tex) = %{tl_version}
Provides: tex(pgfmodulematrix.code.tex) = %{tl_version}
Provides: tex(pgfmodulenonlineartransformations.code.tex) = %{tl_version}
Provides: tex(pgfmoduleoo.code.tex) = %{tl_version}
Provides: tex(pgfmoduleparser.code.tex) = %{tl_version}
Provides: tex(pgfmoduleplot.code.tex) = %{tl_version}
Provides: tex(pgfmoduleshapes.code.tex) = %{tl_version}
Provides: tex(pgfmodulesnakes.code.tex) = %{tl_version}
Provides: tex(pgfmodulesorting.code.tex) = %{tl_version}
Provides: tex(pgf.cfg) = %{tl_version}
Provides: tex(pgfsys-common-pdf-via-dvi.def) = %{tl_version}
Provides: tex(pgfsys-common-pdf.def) = %{tl_version}
Provides: tex(pgfsys-common-postscript.def) = %{tl_version}
Provides: tex(pgfsys-common-svg.def) = %{tl_version}
Provides: tex(pgfsys-dvi.def) = %{tl_version}
Provides: tex(pgfsys-dvipdfm.def) = %{tl_version}
Provides: tex(pgfsys-dvipdfmx.def) = %{tl_version}
Provides: tex(pgfsys-dvips.def) = %{tl_version}
Provides: tex(pgfsys-dvisvgm.def) = %{tl_version}
Provides: tex(pgfsys-pdftex.def) = %{tl_version}
Provides: tex(pgfsys-tex4ht.def) = %{tl_version}
Provides: tex(pgfsys-textures.def) = %{tl_version}
Provides: tex(pgfsys-vtex.def) = %{tl_version}
Provides: tex(pgfsys-xetex.def) = %{tl_version}
Provides: tex(pgfsys.code.tex) = %{tl_version}
Provides: tex(pgfsysprotocol.code.tex) = %{tl_version}
Provides: tex(pgfsyssoftpath.code.tex) = %{tl_version}
Provides: tex(pgfcalendar.code.tex) = %{tl_version}
Provides: tex(pgfexternal.tex) = %{tl_version}
Provides: tex(pgfexternalwithdepth.tex) = %{tl_version}
Provides: tex(pgffor.code.tex) = %{tl_version}
Provides: tex(pgfkeys.code.tex) = %{tl_version}
Provides: tex(pgfkeysfiltered.code.tex) = %{tl_version}
Provides: tex(pgfrcs.code.tex) = %{tl_version}
Provides: tex(pgfutil-common-lists.tex) = %{tl_version}
Provides: tex(pgfutil-common.tex) = %{tl_version}
Provides: tex(pgfutil-context.def) = %{tl_version}
Provides: tex(pgfutil-latex.def) = %{tl_version}
Provides: tex(pgfutil-plain.def) = %{tl_version}
Provides: tex(pgf.sty) = %{tl_version}
Provides: tex(pgfbaseimage.sty) = %{tl_version}
Provides: tex(pgfbaselayers.sty) = %{tl_version}
Provides: tex(pgfbasematrix.sty) = %{tl_version}
Provides: tex(pgfbasepatterns.sty) = %{tl_version}
Provides: tex(pgfbaseplot.sty) = %{tl_version}
Provides: tex(pgfbaseshapes.sty) = %{tl_version}
Provides: tex(pgfbasesnakes.sty) = %{tl_version}
Provides: tex(pgfcore.sty) = %{tl_version}
Provides: tex(pgfarrows.sty) = %{tl_version}
Provides: tex(pgfautomata.sty) = %{tl_version}
Provides: tex(pgfcomp-version-0-65.sty) = %{tl_version}
Provides: tex(pgfcomp-version-1-18.sty) = %{tl_version}
Provides: tex(pgfheaps.sty) = %{tl_version}
Provides: tex(pgflibraryarrows.sty) = %{tl_version}
Provides: tex(pgflibraryautomata.sty) = %{tl_version}
Provides: tex(pgflibraryplothandlers.sty) = %{tl_version}
Provides: tex(pgflibraryplotmarks.sty) = %{tl_version}
Provides: tex(pgflibraryshapes.sty) = %{tl_version}
Provides: tex(pgflibrarysnakes.sty) = %{tl_version}
Provides: tex(pgflibrarytikzbackgrounds.sty) = %{tl_version}
Provides: tex(pgflibrarytikztrees.sty) = %{tl_version}
Provides: tex(pgfnodes.sty) = %{tl_version}
Provides: tex(pgfshade.sty) = %{tl_version}
Provides: tex(pgfmanual.code.tex) = %{tl_version}
Provides: tex(pgfmanual.pdflinks.code.tex) = %{tl_version}
Provides: tex(pgfmanual.prettyprinter.code.tex) = %{tl_version}
Provides: tex(pgfmanual.sty) = %{tl_version}
Provides: tex(tikzlibraryexternal.code.tex) = %{tl_version}
Provides: tex(pgfpict2e.sty) = %{tl_version}
Provides: tex(tikz.sty) = %{tl_version}
Provides: tex(pgfmath.sty) = %{tl_version}
Provides: tex(pgfsys.sty) = %{tl_version}
Provides: tex(pgfcalendar.sty) = %{tl_version}
Provides: tex(pgffor.sty) = %{tl_version}
Provides: tex(pgfkeys.sty) = %{tl_version}
Provides: tex(pgfpages.sty) = %{tl_version}
Provides: tex(pgfrcs.sty) = %{tl_version}
Provides: tex(tikzexternal.sty) = %{tl_version}
Provides: tex(xxcolor.sty) = %{tl_version}
Provides: tex(pgf.tex) = %{tl_version}
Provides: tex(pgfbaseimage.tex) = %{tl_version}
Provides: tex(pgfbaselayers.tex) = %{tl_version}
Provides: tex(pgfbasematrix.tex) = %{tl_version}
Provides: tex(pgfbasepatterns.tex) = %{tl_version}
Provides: tex(pgfbaseplot.tex) = %{tl_version}
Provides: tex(pgfbaseshapes.tex) = %{tl_version}
Provides: tex(pgfbasesnakes.tex) = %{tl_version}
Provides: tex(pgfcore.tex) = %{tl_version}
Provides: tex(tikz.tex) = %{tl_version}
Provides: tex(pgfmath.tex) = %{tl_version}
Provides: tex(pgfsys.tex) = %{tl_version}
Provides: tex(pgfcalendar.tex) = %{tl_version}
Provides: tex(pgffor.tex) = %{tl_version}
Provides: tex(pgfkeys.tex) = %{tl_version}
Provides: tex(pgfrcs.tex) = %{tl_version}

%description pgf
PGF is a macro package for creating graphics. It is platform-
and format-independent and works together with the most
important TeX backend drivers, including pdfTeX and dvips. It
comes with a user-friendly syntax layer called TikZ. Its usage
is similar to pstricks and the standard picture environment.
PGF works with plain (pdf-)TeX, (pdf-)LaTeX, and ConTeXt.
Unlike pstricks, it can produce either PostScript or PDF
output.

%package pgf-doc
Summary: Documentation for pgf
Version: svn44231
Provides: tex-pgf-doc
AutoReqProv: No
Requires: tex-xkeyval-doc

%description pgf-doc
Documentation for pgf

%package xkeyval
Provides: tex-xkeyval = %{tl_version}
License: LPPL 1.3
Summary: Extension of the keyval package
Version: svn35741.2.7a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(longtable.sty)
Provides: tex(keyval.tex) = %{tl_version}
Provides: tex(pst-xkey.tex) = %{tl_version}
Provides: tex(xkeyval.tex) = %{tl_version}
Provides: tex(xkvex1.tex) = %{tl_version}
Provides: tex(xkvex2.tex) = %{tl_version}
Provides: tex(xkvex3.tex) = %{tl_version}
Provides: tex(xkvex4.tex) = %{tl_version}
Provides: tex(xkvtxhdr.tex) = %{tl_version}
Provides: tex(xkvutils.tex) = %{tl_version}
Provides: tex(pst-xkey.sty) = %{tl_version}
Provides: tex(xkeyval.sty) = %{tl_version}
Provides: tex(xkveca.cls) = %{tl_version}
Provides: tex(xkvecb.cls) = %{tl_version}
Provides: tex(xkvesa.sty) = %{tl_version}
Provides: tex(xkvesb.sty) = %{tl_version}
Provides: tex(xkvesc.sty) = %{tl_version}
Provides: tex(xkvltxp.sty) = %{tl_version}
Provides: tex(xkvview.sty) = %{tl_version}

%description xkeyval
This package is an extension of the keyval package and offers
additional macros for setting keys and declaring and setting
class or package options. The package allows the programmer to
specify a prefix to the name of the macros it defines for keys,
and to define families of key definitions; these all help use
in documents where several packages define their own sets of
keys.

%package xkeyval-doc
Summary: Documentation for xkeyval
Version: svn35741.2.7a

Provides: tex-xkeyval-doc
AutoReqProv: No

%description xkeyval-doc
Documentation for xkeyval

%package xcolor
Provides: tex-xcolor = %{tl_version}
License: LPPL
Summary: Driver-independent color extensions for LaTeX and pdfLaTeX
Version: svn41044

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-graphics-cfg
Requires: tex(colortbl.sty)
Requires: tex(pdfcolmk.sty)
Provides: tex(svgnam.def) = %{tl_version}
Provides: tex(x11nam.def) = %{tl_version}
Provides: tex(xcolor.sty) = %{tl_version}

%description xcolor
The package starts from the basic facilities of the color
package, and provides easy driver-independent access to several
kinds of color tints, shades, tones, and mixes of arbitrary
colors. It allows a user to select a document-wide target color
model and offers complete tools for conversion between eight
color models. Additionally, there is a command for alternating
row colors plus repeated non-aligned material (like horizontal
lines) in tables. Colors can be mixed like
\color{red!30!green!40!blue}.

%package xcolor-doc
Summary: Documentation for xcolor
Version: svn41044

Provides: tex-xcolor-doc
AutoReqProv: No

%description xcolor-doc
Documentation for xcolor

%package beamer-tut-pt-doc
Summary: Documentation for beamer-tut-pt
Version: svn15878.0

Provides: tex-beamer-tut-pt-doc
AutoReqProv: No

%description beamer-tut-pt-doc
Documentation for beamer-tut-pt

%package beebe
Provides: tex-beebe = %{tl_version}
License: LPPL
Summary: A collection of bibliographies
Version: svn46314
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bibnames.sty) = %{tl_version}
Provides: tex(texnames.sty) = %{tl_version}
Provides: tex(tugboat.def) = %{tl_version}

%description beebe
A collection of BibTeX bibliographies on TeX-related topics
(including, for example, spell-checking and SGML). Each
includes a LaTeX wrapper file to typeset the bibliography.

%package begingreek
Provides: tex-begingreek = %{tl_version}
License: LPPL 1.3
Summary: Greek environment to be used with pdflatex only
Version: svn36294.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(begingreek.sty) = %{tl_version}

%description begingreek
This simple package defines a greek environment to be used with
pdfLaTeX only, that accepts an optional Greek font family name
to type its contents with. A similar \greektxt command does a
similar action for shorter texts.

%package begingreek-doc
Summary: Documentation for begingreek
Version: svn36294.1.5

Provides: tex-begingreek-doc
AutoReqProv: No

%description begingreek-doc
Documentation for begingreek

%package begriff
Provides: tex-begriff = %{tl_version}
License: GPL+
Summary: Typeset Begriffschrift
Version: svn15878.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(begriff.sty) = %{tl_version}

%description begriff
The package defines maths mode commands for typesetting Frege's
Begriffschrift.

%package begriff-doc
Summary: Documentation for begriff
Version: svn15878.1.6

Provides: tex-begriff-doc
AutoReqProv: No

%description begriff-doc
Documentation for begriff

%package belleek
Provides: tex-belleek = %{tl_version}
License: Public Domain
Summary: Free replacement for basic MathTime fonts
Version: svn18651.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(belleek.map) = %{tl_version}
Provides: tex(blex.ttf) = %{tl_version}
Provides: tex(blsy.ttf) = %{tl_version}
Provides: tex(rblmi.ttf) = %{tl_version}
Provides: tex(blex.pfb) = %{tl_version}
Provides: tex(blsy.pfb) = %{tl_version}
Provides: tex(rblmi.pfb) = %{tl_version}

%description belleek
This package replaces the original MathTime fonts, not MathTime-
Plus or MathTime Professional (the last being the only
currently available commercial bundle).

%package belleek-doc
Summary: Documentation for belleek
Version: svn18651.0

Provides: tex-belleek-doc
AutoReqProv: No

%description belleek-doc
Documentation for belleek

%package bengali
Provides: tex-bengali = %{tl_version}
License: LPPL
Summary: Support for the Bengali language
Version: svn20987.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bnr10.tfm) = %{tl_version}
Provides: tex(bnsl10.tfm) = %{tl_version}
Provides: tex(xbnr10.tfm) = %{tl_version}
Provides: tex(xbnsl10.tfm) = %{tl_version}
Provides: tex(beng.sty) = %{tl_version}
Provides: tex(ubn.fd) = %{tl_version}
Provides: tex(ubnx.fd) = %{tl_version}

%description bengali
The package is based on Velthuis' transliteration scheme, with
extensions to deal with the Bengali letters that are not in
Devanagari. The package also supports Assamese.

%package bengali-doc
Summary: Documentation for bengali
Version: svn20987.0

Provides: tex-bengali-doc
AutoReqProv: No

%description bengali-doc
Documentation for bengali

%package bera
Provides: tex-bera = %{tl_version}
License: Bitstream vera
Summary: Bera fonts
Version: svn20031.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(berasans.sty)
Requires: tex(keyval.sty)
Provides: tex(bera.map) = %{tl_version}
Provides: tex(fveb8a.tfm) = %{tl_version}
Provides: tex(fveb8c.tfm) = %{tl_version}
Provides: tex(fveb8r.tfm) = %{tl_version}
Provides: tex(fveb8t.tfm) = %{tl_version}
Provides: tex(fvebo8c.tfm) = %{tl_version}
Provides: tex(fvebo8r.tfm) = %{tl_version}
Provides: tex(fvebo8t.tfm) = %{tl_version}
Provides: tex(fver8a.tfm) = %{tl_version}
Provides: tex(fver8c.tfm) = %{tl_version}
Provides: tex(fver8r.tfm) = %{tl_version}
Provides: tex(fver8t.tfm) = %{tl_version}
Provides: tex(fvero8c.tfm) = %{tl_version}
Provides: tex(fvero8r.tfm) = %{tl_version}
Provides: tex(fvero8t.tfm) = %{tl_version}
Provides: tex(fvmb8a.tfm) = %{tl_version}
Provides: tex(fvmb8c.tfm) = %{tl_version}
Provides: tex(fvmb8r.tfm) = %{tl_version}
Provides: tex(fvmb8t.tfm) = %{tl_version}
Provides: tex(fvmbo8a.tfm) = %{tl_version}
Provides: tex(fvmbo8c.tfm) = %{tl_version}
Provides: tex(fvmbo8r.tfm) = %{tl_version}
Provides: tex(fvmbo8t.tfm) = %{tl_version}
Provides: tex(fvmr8a.tfm) = %{tl_version}
Provides: tex(fvmr8c.tfm) = %{tl_version}
Provides: tex(fvmr8r.tfm) = %{tl_version}
Provides: tex(fvmr8t.tfm) = %{tl_version}
Provides: tex(fvmro8a.tfm) = %{tl_version}
Provides: tex(fvmro8c.tfm) = %{tl_version}
Provides: tex(fvmro8r.tfm) = %{tl_version}
Provides: tex(fvmro8t.tfm) = %{tl_version}
Provides: tex(fvsb8a.tfm) = %{tl_version}
Provides: tex(fvsb8c.tfm) = %{tl_version}
Provides: tex(fvsb8r.tfm) = %{tl_version}
Provides: tex(fvsb8t.tfm) = %{tl_version}
Provides: tex(fvsbo8a.tfm) = %{tl_version}
Provides: tex(fvsbo8c.tfm) = %{tl_version}
Provides: tex(fvsbo8r.tfm) = %{tl_version}
Provides: tex(fvsbo8t.tfm) = %{tl_version}
Provides: tex(fvsr8a.tfm) = %{tl_version}
Provides: tex(fvsr8c.tfm) = %{tl_version}
Provides: tex(fvsr8r.tfm) = %{tl_version}
Provides: tex(fvsr8t.tfm) = %{tl_version}
Provides: tex(fvsro8a.tfm) = %{tl_version}
Provides: tex(fvsro8c.tfm) = %{tl_version}
Provides: tex(fvsro8r.tfm) = %{tl_version}
Provides: tex(fvsro8t.tfm) = %{tl_version}
Provides: tex(fveb8a.pfb) = %{tl_version}
Provides: tex(fver8a.pfb) = %{tl_version}
Provides: tex(fvmb8a.pfb) = %{tl_version}
Provides: tex(fvmbo8a.pfb) = %{tl_version}
Provides: tex(fvmr8a.pfb) = %{tl_version}
Provides: tex(fvmro8a.pfb) = %{tl_version}
Provides: tex(fvsb8a.pfb) = %{tl_version}
Provides: tex(fvsbo8a.pfb) = %{tl_version}
Provides: tex(fvsr8a.pfb) = %{tl_version}
Provides: tex(fvsro8a.pfb) = %{tl_version}
Provides: tex(fveb8c.vf) = %{tl_version}
Provides: tex(fveb8t.vf) = %{tl_version}
Provides: tex(fvebo8c.vf) = %{tl_version}
Provides: tex(fvebo8t.vf) = %{tl_version}
Provides: tex(fver8c.vf) = %{tl_version}
Provides: tex(fver8t.vf) = %{tl_version}
Provides: tex(fvero8c.vf) = %{tl_version}
Provides: tex(fvero8t.vf) = %{tl_version}
Provides: tex(fvmb8c.vf) = %{tl_version}
Provides: tex(fvmb8t.vf) = %{tl_version}
Provides: tex(fvmbo8c.vf) = %{tl_version}
Provides: tex(fvmbo8t.vf) = %{tl_version}
Provides: tex(fvmr8c.vf) = %{tl_version}
Provides: tex(fvmr8t.vf) = %{tl_version}
Provides: tex(fvmro8c.vf) = %{tl_version}
Provides: tex(fvmro8t.vf) = %{tl_version}
Provides: tex(fvsb8c.vf) = %{tl_version}
Provides: tex(fvsb8t.vf) = %{tl_version}
Provides: tex(fvsbo8c.vf) = %{tl_version}
Provides: tex(fvsbo8t.vf) = %{tl_version}
Provides: tex(fvsr8c.vf) = %{tl_version}
Provides: tex(fvsr8t.vf) = %{tl_version}
Provides: tex(fvsro8c.vf) = %{tl_version}
Provides: tex(fvsro8t.vf) = %{tl_version}
Provides: tex(bera.sty) = %{tl_version}
Provides: tex(beramono.sty) = %{tl_version}
Provides: tex(berasans.sty) = %{tl_version}
Provides: tex(beraserif.sty) = %{tl_version}
Provides: tex(t1fve.fd) = %{tl_version}
Provides: tex(t1fvm.fd) = %{tl_version}
Provides: tex(t1fvs.fd) = %{tl_version}
Provides: tex(ts1fve.fd) = %{tl_version}
Provides: tex(ts1fvm.fd) = %{tl_version}
Provides: tex(ts1fvs.fd) = %{tl_version}

%description bera
The package contains the Bera Type 1 fonts, and a zip archive
containing files to use the fonts with LaTeX. Bera is a set of
three font families: Bera Serif (a slab-serif Roman), Bera Sans
(a Frutiger descendant), and Bera Mono (monospaced/typewriter).
Support for use in LaTeX is also provided. The Bera family is a
repackaging, for use with TeX, of the Bitstream Vera family.

%package bera-doc
Summary: Documentation for bera
Version: svn20031.0

Provides: tex-bera-doc
AutoReqProv: No

%description bera-doc
Documentation for bera

%package berenisadf
Provides: tex-berenisadf = %{tl_version}
License: GPLv2+ and LPPL
Summary: Berenis ADF fonts and TeX/LaTeX support
Version: svn32215.1.004

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(nfssext-cfr.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Provides: tex(t1-ybd.enc) = %{tl_version}
Provides: tex(t1-ybd0.enc) = %{tl_version}
Provides: tex(t1-ybd1.enc) = %{tl_version}
Provides: tex(t1-ybd2.enc) = %{tl_version}
Provides: tex(t1-ybd2j.enc) = %{tl_version}
Provides: tex(t1-ybdj.enc) = %{tl_version}
Provides: tex(texnansi-ybd.enc) = %{tl_version}
Provides: tex(texnansi-ybd0.enc) = %{tl_version}
Provides: tex(texnansi-ybd1.enc) = %{tl_version}
Provides: tex(texnansi-ybd2.enc) = %{tl_version}
Provides: tex(texnansi-ybd2j.enc) = %{tl_version}
Provides: tex(texnansi-ybdj.enc) = %{tl_version}
Provides: tex(texnansx-ybd2jw.enc) = %{tl_version}
Provides: tex(texnansx-ybd2w.enc) = %{tl_version}
Provides: tex(texnansx-ybdjw.enc) = %{tl_version}
Provides: tex(texnansx-ybdw.enc) = %{tl_version}
Provides: tex(ts1-ybd.enc) = %{tl_version}
Provides: tex(ts1-ybd0.enc) = %{tl_version}
Provides: tex(ts1-ybd1.enc) = %{tl_version}
Provides: tex(ts1-ybd2.enc) = %{tl_version}
Provides: tex(ts1-ybd2j.enc) = %{tl_version}
Provides: tex(ts1-ybdj.enc) = %{tl_version}
Provides: tex(ybd.map) = %{tl_version}
Provides: tex(BerenisADFPro-Bold.otf) = %{tl_version}
Provides: tex(BerenisADFPro-BoldItalic.otf) = %{tl_version}
Provides: tex(BerenisADFPro-Italic.otf) = %{tl_version}
Provides: tex(BerenisADFPro-Regular.otf) = %{tl_version}
Provides: tex(BerenisADFProSC-Bold.otf) = %{tl_version}
Provides: tex(BerenisADFProSC-BoldItalic.otf) = %{tl_version}
Provides: tex(BerenisADFProSC-Italic.otf) = %{tl_version}
Provides: tex(BerenisADFProSC-Regular.otf) = %{tl_version}
Provides: tex(ybdb08c.tfm) = %{tl_version}
Provides: tex(ybdb08t.tfm) = %{tl_version}
Provides: tex(ybdb08y.tfm) = %{tl_version}
Provides: tex(ybdb0c8c.tfm) = %{tl_version}
Provides: tex(ybdb0c8t.tfm) = %{tl_version}
Provides: tex(ybdb0c8y.tfm) = %{tl_version}
Provides: tex(ybdb0ci8c.tfm) = %{tl_version}
Provides: tex(ybdb0ci8t.tfm) = %{tl_version}
Provides: tex(ybdb0ci8y.tfm) = %{tl_version}
Provides: tex(ybdb0i8c.tfm) = %{tl_version}
Provides: tex(ybdb0i8t.tfm) = %{tl_version}
Provides: tex(ybdb0i8y.tfm) = %{tl_version}
Provides: tex(ybdb18c.tfm) = %{tl_version}
Provides: tex(ybdb18t.tfm) = %{tl_version}
Provides: tex(ybdb18y.tfm) = %{tl_version}
Provides: tex(ybdb1c8c.tfm) = %{tl_version}
Provides: tex(ybdb1c8t.tfm) = %{tl_version}
Provides: tex(ybdb1c8y.tfm) = %{tl_version}
Provides: tex(ybdb1ci8c.tfm) = %{tl_version}
Provides: tex(ybdb1ci8t.tfm) = %{tl_version}
Provides: tex(ybdb1ci8y.tfm) = %{tl_version}
Provides: tex(ybdb1i8c.tfm) = %{tl_version}
Provides: tex(ybdb1i8t.tfm) = %{tl_version}
Provides: tex(ybdb1i8y.tfm) = %{tl_version}
Provides: tex(ybdb28c.tfm) = %{tl_version}
Provides: tex(ybdb28t.tfm) = %{tl_version}
Provides: tex(ybdb28y.tfm) = %{tl_version}
Provides: tex(ybdb2c8c.tfm) = %{tl_version}
Provides: tex(ybdb2c8t.tfm) = %{tl_version}
Provides: tex(ybdb2c8y.tfm) = %{tl_version}
Provides: tex(ybdb2ci8c.tfm) = %{tl_version}
Provides: tex(ybdb2ci8t.tfm) = %{tl_version}
Provides: tex(ybdb2ci8y.tfm) = %{tl_version}
Provides: tex(ybdb2cij8c.tfm) = %{tl_version}
Provides: tex(ybdb2cij8t.tfm) = %{tl_version}
Provides: tex(ybdb2cij8y.tfm) = %{tl_version}
Provides: tex(ybdb2cijw8y.tfm) = %{tl_version}
Provides: tex(ybdb2ciw8y.tfm) = %{tl_version}
Provides: tex(ybdb2cj8c.tfm) = %{tl_version}
Provides: tex(ybdb2cj8t.tfm) = %{tl_version}
Provides: tex(ybdb2cj8y.tfm) = %{tl_version}
Provides: tex(ybdb2cjw8y.tfm) = %{tl_version}
Provides: tex(ybdb2cw8y.tfm) = %{tl_version}
Provides: tex(ybdb2i8c.tfm) = %{tl_version}
Provides: tex(ybdb2i8t.tfm) = %{tl_version}
Provides: tex(ybdb2i8y.tfm) = %{tl_version}
Provides: tex(ybdb2ij8c.tfm) = %{tl_version}
Provides: tex(ybdb2ij8t.tfm) = %{tl_version}
Provides: tex(ybdb2ij8y.tfm) = %{tl_version}
Provides: tex(ybdb2ijw8y.tfm) = %{tl_version}
Provides: tex(ybdb2iw8y.tfm) = %{tl_version}
Provides: tex(ybdb2j8c.tfm) = %{tl_version}
Provides: tex(ybdb2j8t.tfm) = %{tl_version}
Provides: tex(ybdb2j8y.tfm) = %{tl_version}
Provides: tex(ybdb2jw8y.tfm) = %{tl_version}
Provides: tex(ybdb2w8y.tfm) = %{tl_version}
Provides: tex(ybdb8c.tfm) = %{tl_version}
Provides: tex(ybdb8t.tfm) = %{tl_version}
Provides: tex(ybdb8y.tfm) = %{tl_version}
Provides: tex(ybdbc8c.tfm) = %{tl_version}
Provides: tex(ybdbc8t.tfm) = %{tl_version}
Provides: tex(ybdbc8y.tfm) = %{tl_version}
Provides: tex(ybdbci8c.tfm) = %{tl_version}
Provides: tex(ybdbci8t.tfm) = %{tl_version}
Provides: tex(ybdbci8y.tfm) = %{tl_version}
Provides: tex(ybdbcij8c.tfm) = %{tl_version}
Provides: tex(ybdbcij8t.tfm) = %{tl_version}
Provides: tex(ybdbcij8y.tfm) = %{tl_version}
Provides: tex(ybdbcijw8y.tfm) = %{tl_version}
Provides: tex(ybdbciw8y.tfm) = %{tl_version}
Provides: tex(ybdbcj8c.tfm) = %{tl_version}
Provides: tex(ybdbcj8t.tfm) = %{tl_version}
Provides: tex(ybdbcj8y.tfm) = %{tl_version}
Provides: tex(ybdbcjw8y.tfm) = %{tl_version}
Provides: tex(ybdbcw8y.tfm) = %{tl_version}
Provides: tex(ybdbi8c.tfm) = %{tl_version}
Provides: tex(ybdbi8t.tfm) = %{tl_version}
Provides: tex(ybdbi8y.tfm) = %{tl_version}
Provides: tex(ybdbij8c.tfm) = %{tl_version}
Provides: tex(ybdbij8t.tfm) = %{tl_version}
Provides: tex(ybdbij8y.tfm) = %{tl_version}
Provides: tex(ybdbijw8y.tfm) = %{tl_version}
Provides: tex(ybdbiw8y.tfm) = %{tl_version}
Provides: tex(ybdbj8c.tfm) = %{tl_version}
Provides: tex(ybdbj8t.tfm) = %{tl_version}
Provides: tex(ybdbj8y.tfm) = %{tl_version}
Provides: tex(ybdbjw8y.tfm) = %{tl_version}
Provides: tex(ybdbw8y.tfm) = %{tl_version}
Provides: tex(ybdr08c.tfm) = %{tl_version}
Provides: tex(ybdr08t.tfm) = %{tl_version}
Provides: tex(ybdr08y.tfm) = %{tl_version}
Provides: tex(ybdr0c8c.tfm) = %{tl_version}
Provides: tex(ybdr0c8t.tfm) = %{tl_version}
Provides: tex(ybdr0c8y.tfm) = %{tl_version}
Provides: tex(ybdr0ci8c.tfm) = %{tl_version}
Provides: tex(ybdr0ci8t.tfm) = %{tl_version}
Provides: tex(ybdr0ci8y.tfm) = %{tl_version}
Provides: tex(ybdr0i8c.tfm) = %{tl_version}
Provides: tex(ybdr0i8t.tfm) = %{tl_version}
Provides: tex(ybdr0i8y.tfm) = %{tl_version}
Provides: tex(ybdr18c.tfm) = %{tl_version}
Provides: tex(ybdr18t.tfm) = %{tl_version}
Provides: tex(ybdr18y.tfm) = %{tl_version}
Provides: tex(ybdr1c8c.tfm) = %{tl_version}
Provides: tex(ybdr1c8t.tfm) = %{tl_version}
Provides: tex(ybdr1c8y.tfm) = %{tl_version}
Provides: tex(ybdr1ci8c.tfm) = %{tl_version}
Provides: tex(ybdr1ci8t.tfm) = %{tl_version}
Provides: tex(ybdr1ci8y.tfm) = %{tl_version}
Provides: tex(ybdr1i8c.tfm) = %{tl_version}
Provides: tex(ybdr1i8t.tfm) = %{tl_version}
Provides: tex(ybdr1i8y.tfm) = %{tl_version}
Provides: tex(ybdr28c.tfm) = %{tl_version}
Provides: tex(ybdr28t.tfm) = %{tl_version}
Provides: tex(ybdr28y.tfm) = %{tl_version}
Provides: tex(ybdr2c8c.tfm) = %{tl_version}
Provides: tex(ybdr2c8t.tfm) = %{tl_version}
Provides: tex(ybdr2c8y.tfm) = %{tl_version}
Provides: tex(ybdr2ci8c.tfm) = %{tl_version}
Provides: tex(ybdr2ci8t.tfm) = %{tl_version}
Provides: tex(ybdr2ci8y.tfm) = %{tl_version}
Provides: tex(ybdr2cij8c.tfm) = %{tl_version}
Provides: tex(ybdr2cij8t.tfm) = %{tl_version}
Provides: tex(ybdr2cij8y.tfm) = %{tl_version}
Provides: tex(ybdr2cijw8y.tfm) = %{tl_version}
Provides: tex(ybdr2ciw8y.tfm) = %{tl_version}
Provides: tex(ybdr2cj8c.tfm) = %{tl_version}
Provides: tex(ybdr2cj8t.tfm) = %{tl_version}
Provides: tex(ybdr2cj8y.tfm) = %{tl_version}
Provides: tex(ybdr2cjw8y.tfm) = %{tl_version}
Provides: tex(ybdr2cw8y.tfm) = %{tl_version}
Provides: tex(ybdr2i8c.tfm) = %{tl_version}
Provides: tex(ybdr2i8t.tfm) = %{tl_version}
Provides: tex(ybdr2i8y.tfm) = %{tl_version}
Provides: tex(ybdr2ij8c.tfm) = %{tl_version}
Provides: tex(ybdr2ij8t.tfm) = %{tl_version}
Provides: tex(ybdr2ij8y.tfm) = %{tl_version}
Provides: tex(ybdr2ijw8y.tfm) = %{tl_version}
Provides: tex(ybdr2iw8y.tfm) = %{tl_version}
Provides: tex(ybdr2j8c.tfm) = %{tl_version}
Provides: tex(ybdr2j8t.tfm) = %{tl_version}
Provides: tex(ybdr2j8y.tfm) = %{tl_version}
Provides: tex(ybdr2jw8y.tfm) = %{tl_version}
Provides: tex(ybdr2w8y.tfm) = %{tl_version}
Provides: tex(ybdr8c.tfm) = %{tl_version}
Provides: tex(ybdr8t.tfm) = %{tl_version}
Provides: tex(ybdr8y.tfm) = %{tl_version}
Provides: tex(ybdrc8c.tfm) = %{tl_version}
Provides: tex(ybdrc8t.tfm) = %{tl_version}
Provides: tex(ybdrc8y.tfm) = %{tl_version}
Provides: tex(ybdrci8c.tfm) = %{tl_version}
Provides: tex(ybdrci8t.tfm) = %{tl_version}
Provides: tex(ybdrci8y.tfm) = %{tl_version}
Provides: tex(ybdrcij8c.tfm) = %{tl_version}
Provides: tex(ybdrcij8t.tfm) = %{tl_version}
Provides: tex(ybdrcij8y.tfm) = %{tl_version}
Provides: tex(ybdrcijw8y.tfm) = %{tl_version}
Provides: tex(ybdrciw8y.tfm) = %{tl_version}
Provides: tex(ybdrcj8c.tfm) = %{tl_version}
Provides: tex(ybdrcj8t.tfm) = %{tl_version}
Provides: tex(ybdrcj8y.tfm) = %{tl_version}
Provides: tex(ybdrcjw8y.tfm) = %{tl_version}
Provides: tex(ybdrcw8y.tfm) = %{tl_version}
Provides: tex(ybdri8c.tfm) = %{tl_version}
Provides: tex(ybdri8t.tfm) = %{tl_version}
Provides: tex(ybdri8y.tfm) = %{tl_version}
Provides: tex(ybdrij8c.tfm) = %{tl_version}
Provides: tex(ybdrij8t.tfm) = %{tl_version}
Provides: tex(ybdrij8y.tfm) = %{tl_version}
Provides: tex(ybdrijw8y.tfm) = %{tl_version}
Provides: tex(ybdriw8y.tfm) = %{tl_version}
Provides: tex(ybdrj8c.tfm) = %{tl_version}
Provides: tex(ybdrj8t.tfm) = %{tl_version}
Provides: tex(ybdrj8y.tfm) = %{tl_version}
Provides: tex(ybdrjw8y.tfm) = %{tl_version}
Provides: tex(ybdrw8y.tfm) = %{tl_version}
Provides: tex(ybdb.pfb) = %{tl_version}
Provides: tex(ybdbc.pfb) = %{tl_version}
Provides: tex(ybdbci.pfb) = %{tl_version}
Provides: tex(ybdbi.pfb) = %{tl_version}
Provides: tex(ybdr.pfb) = %{tl_version}
Provides: tex(ybdrc.pfb) = %{tl_version}
Provides: tex(ybdrci.pfb) = %{tl_version}
Provides: tex(ybdri.pfb) = %{tl_version}
Provides: tex(berenis.sty) = %{tl_version}
Provides: tex(ly1ybd.fd) = %{tl_version}
Provides: tex(ly1ybd0.fd) = %{tl_version}
Provides: tex(ly1ybd1.fd) = %{tl_version}
Provides: tex(ly1ybd2.fd) = %{tl_version}
Provides: tex(ly1ybd2j.fd) = %{tl_version}
Provides: tex(ly1ybd2jw.fd) = %{tl_version}
Provides: tex(ly1ybd2w.fd) = %{tl_version}
Provides: tex(ly1ybdj.fd) = %{tl_version}
Provides: tex(ly1ybdjw.fd) = %{tl_version}
Provides: tex(ly1ybdw.fd) = %{tl_version}
Provides: tex(t1ybd.fd) = %{tl_version}
Provides: tex(t1ybd0.fd) = %{tl_version}
Provides: tex(t1ybd1.fd) = %{tl_version}
Provides: tex(t1ybd2.fd) = %{tl_version}
Provides: tex(t1ybd2j.fd) = %{tl_version}
Provides: tex(t1ybdj.fd) = %{tl_version}
Provides: tex(ts1ybd.fd) = %{tl_version}
Provides: tex(ts1ybd0.fd) = %{tl_version}
Provides: tex(ts1ybd1.fd) = %{tl_version}
Provides: tex(ts1ybd2.fd) = %{tl_version}
Provides: tex(ts1ybd2j.fd) = %{tl_version}
Provides: tex(ts1ybdj.fd) = %{tl_version}

%description berenisadf
The bundle provides the BerenisADF Pro font collection, in
OpenType and PostScript Type 1 formats, together with support
files to use the fonts in TeXnANSI (LY1) and LaTeX standard T1
and TS1 encodings.

%package berenisadf-doc
Summary: Documentation for berenisadf
Version: svn32215.1.004

Provides: tex-berenisadf-doc
AutoReqProv: No

%description berenisadf-doc
Documentation for berenisadf

%package besjournals
Provides: tex-besjournals = %{tl_version}
License: LPPL
Summary: besjournals package
Version: svn45662
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description besjournals
besjournals package

%package besjournals-doc
Summary: Documentation for besjournals
Version: svn45662
Provides: tex-besjournals-doc
AutoReqProv: No

%description besjournals-doc
Documentation for besjournals

%package betababel
Provides: tex-betababel = %{tl_version}
License: LPPL
Summary: Insert ancient greek text coded in Beta Code
Version: svn15878.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(babel.sty)
Requires: tex(teubner.sty)
Provides: tex(betababel.sty) = %{tl_version}

%description betababel
The betababel package extends the babel polutonikogreek option
to provide a simple way to insert ancient Greek texts with
diacritical characters into your document using the commonly
used Beta Code transliteration. You can directly insert Beta
Code texts -- as they can be found at the Perseus project, for
example -- without modification.

%package betababel-doc
Summary: Documentation for betababel
Version: svn15878.0.5

Provides: tex-betababel-doc
AutoReqProv: No

%description betababel-doc
Documentation for betababel

%package beton
Provides: tex-beton = %{tl_version}
License: LPPL
Summary: Use Concrete fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beton.sty) = %{tl_version}

%description beton
Typeset a LaTeX2e document with the Concrete fonts designed by
Don Knuth and used in his book "Concrete Mathematics".

%package beton-doc
Summary: Documentation for beton
Version: svn15878.0

Provides: tex-beton-doc
AutoReqProv: No

%description beton-doc
Documentation for beton

%package bewerbung
Provides: tex-bewerbung = %{tl_version}
License: LPPL 1.3
Summary: Typesetting job application
Version: svn37880.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(marvosym.sty)
Requires: tex(geometry.sty)
Requires: tex(datatool.sty)
Requires: tex(eurosym.sty)
Requires: tex(xspace.sty)
Requires: tex(multicol.sty)
Requires: tex(pdfpages.sty)
Requires: tex(comment.sty)
Requires: tex(xparse.sty)
Requires: tex(longtable.sty)
Requires: tex(booktabs.sty)
Requires: tex(array.sty)
Requires: tex(ragged2e.sty)
Requires: tex(xcolor.sty)
Requires: tex(fontspec.sty)
Requires: tex(lastpage.sty)
Requires: tex(ifthen.sty)
Requires: tex(kvoptions.sty)
Requires: tex(calc.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(csquotes.sty)
Provides: tex(argetabelle.cls) = %{tl_version}
Provides: tex(bewerbung-cv-casual.sty) = %{tl_version}
Provides: tex(bewerbung-cv-classic.sty) = %{tl_version}
Provides: tex(bewerbung-cv-oldstyle.sty) = %{tl_version}
Provides: tex(bewerbung-cv.sty) = %{tl_version}
Provides: tex(bewerbung.cls) = %{tl_version}
Provides: tex(bewerbung.sty) = %{tl_version}

%description bewerbung
The package provides packages and classes for typesetting
applications with titlepage, letter, cv and additional
documents in just a single document. The data for the
application can be edited in a simple csv file.

%package bewerbung-doc
Summary: Documentation for bewerbung
Version: svn37880.1.1

Provides: tex-bewerbung-doc
AutoReqProv: No

%description bewerbung-doc
Documentation for bewerbung

%package bez123
Provides: tex-bez123 = %{tl_version}
License: LPPL 1.3
Summary: Support for Bezier curves
Version: svn15878.1.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bez123.sty) = %{tl_version}
Provides: tex(multiply.sty) = %{tl_version}

%description bez123
Provides additional facilities in a picture environment for
drawing linear, cubic, and rational quadratic Bezier curves
(standard LaTeX only offers non-rational quadratic splines).
Provides a package multiply that provides a command for
multiplication of a length without numerical overflow.

%package bez123-doc
Summary: Documentation for bez123
Version: svn15878.1.1b

Provides: tex-bez123-doc
AutoReqProv: No

%description bez123-doc
Documentation for bez123

%package bezos
Provides: tex-bezos = %{tl_version}
License: LPPL
Summary: Packages by Javier Bezos
Version: svn25507.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(soulutf8.sty)
Requires: tex(keyval.sty)
Provides: tex(accents.sty) = %{tl_version}
Provides: tex(arabicfront.sty) = %{tl_version}
Provides: tex(babeltools.sty) = %{tl_version}
Provides: tex(checkend.sty) = %{tl_version}
Provides: tex(dotlessi.sty) = %{tl_version}
Provides: tex(esindex.sty) = %{tl_version}
Provides: tex(soulpos.sty) = %{tl_version}
Provides: tex(subdocs.sty) = %{tl_version}
Provides: tex(tensind.sty) = %{tl_version}

%description bezos
A set of packages that provide: tools for maths accents; a tool
that changes page-numbering in frontmatter to arabic; tools for
dealing with some annoyances in babel; a tool for making end-
environment checking more meaningful; tensorial indexes;
support for multi-file documents; tools for easy entry of
Spanish index entries; dotless i's and j's for maths fonts; and
fancy underlining.

%package bezos-doc
Summary: Documentation for bezos
Version: svn25507.0

Provides: tex-bezos-doc
AutoReqProv: No

%description bezos-doc
Documentation for bezos

%package bgreek
Provides: tex-bgreek = %{tl_version}
License: LPPL
Summary: Using Beccari's fonts in betacode for classical Greek
Version: svn15878.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bgmc0500.tfm) = %{tl_version}
Provides: tex(bgmc0600.tfm) = %{tl_version}
Provides: tex(bgmc0700.tfm) = %{tl_version}
Provides: tex(bgmc0800.tfm) = %{tl_version}
Provides: tex(bgmc0900.tfm) = %{tl_version}
Provides: tex(bgmc1000.tfm) = %{tl_version}
Provides: tex(bgmc1095.tfm) = %{tl_version}
Provides: tex(bgmc1200.tfm) = %{tl_version}
Provides: tex(bgmc1440.tfm) = %{tl_version}
Provides: tex(bgmc1728.tfm) = %{tl_version}
Provides: tex(bgmc2074.tfm) = %{tl_version}
Provides: tex(bgmc2488.tfm) = %{tl_version}
Provides: tex(bgmn0500.tfm) = %{tl_version}
Provides: tex(bgmn0600.tfm) = %{tl_version}
Provides: tex(bgmn0700.tfm) = %{tl_version}
Provides: tex(bgmn0800.tfm) = %{tl_version}
Provides: tex(bgmn0900.tfm) = %{tl_version}
Provides: tex(bgmn1000.tfm) = %{tl_version}
Provides: tex(bgmn1095.tfm) = %{tl_version}
Provides: tex(bgmn1200.tfm) = %{tl_version}
Provides: tex(bgmn1440.tfm) = %{tl_version}
Provides: tex(bgmn1728.tfm) = %{tl_version}
Provides: tex(bgmn2074.tfm) = %{tl_version}
Provides: tex(bgmn2488.tfm) = %{tl_version}
Provides: tex(bgmo0500.tfm) = %{tl_version}
Provides: tex(bgmo0600.tfm) = %{tl_version}
Provides: tex(bgmo0700.tfm) = %{tl_version}
Provides: tex(bgmo0800.tfm) = %{tl_version}
Provides: tex(bgmo0900.tfm) = %{tl_version}
Provides: tex(bgmo1000.tfm) = %{tl_version}
Provides: tex(bgmo1095.tfm) = %{tl_version}
Provides: tex(bgmo1200.tfm) = %{tl_version}
Provides: tex(bgmo1440.tfm) = %{tl_version}
Provides: tex(bgmo1728.tfm) = %{tl_version}
Provides: tex(bgmo2074.tfm) = %{tl_version}
Provides: tex(bgmo2488.tfm) = %{tl_version}
Provides: tex(bgxc0500.tfm) = %{tl_version}
Provides: tex(bgxc0600.tfm) = %{tl_version}
Provides: tex(bgxc0700.tfm) = %{tl_version}
Provides: tex(bgxc0800.tfm) = %{tl_version}
Provides: tex(bgxc0900.tfm) = %{tl_version}
Provides: tex(bgxc1000.tfm) = %{tl_version}
Provides: tex(bgxc1095.tfm) = %{tl_version}
Provides: tex(bgxc1200.tfm) = %{tl_version}
Provides: tex(bgxc1440.tfm) = %{tl_version}
Provides: tex(bgxc1728.tfm) = %{tl_version}
Provides: tex(bgxc2074.tfm) = %{tl_version}
Provides: tex(bgxc2488.tfm) = %{tl_version}
Provides: tex(bgxn0500.tfm) = %{tl_version}
Provides: tex(bgxn0600.tfm) = %{tl_version}
Provides: tex(bgxn0700.tfm) = %{tl_version}
Provides: tex(bgxn0800.tfm) = %{tl_version}
Provides: tex(bgxn0900.tfm) = %{tl_version}
Provides: tex(bgxn1000.tfm) = %{tl_version}
Provides: tex(bgxn1095.tfm) = %{tl_version}
Provides: tex(bgxn1200.tfm) = %{tl_version}
Provides: tex(bgxn1440.tfm) = %{tl_version}
Provides: tex(bgxn1728.tfm) = %{tl_version}
Provides: tex(bgxn2074.tfm) = %{tl_version}
Provides: tex(bgxn2488.tfm) = %{tl_version}
Provides: tex(bgxo0500.tfm) = %{tl_version}
Provides: tex(bgxo0600.tfm) = %{tl_version}
Provides: tex(bgxo0700.tfm) = %{tl_version}
Provides: tex(bgxo0800.tfm) = %{tl_version}
Provides: tex(bgxo0900.tfm) = %{tl_version}
Provides: tex(bgxo1000.tfm) = %{tl_version}
Provides: tex(bgxo1095.tfm) = %{tl_version}
Provides: tex(bgxo1200.tfm) = %{tl_version}
Provides: tex(bgxo1440.tfm) = %{tl_version}
Provides: tex(bgxo1728.tfm) = %{tl_version}
Provides: tex(bgxo2074.tfm) = %{tl_version}
Provides: tex(bgxo2488.tfm) = %{tl_version}
Provides: tex(bqmc0500.tfm) = %{tl_version}
Provides: tex(bqmc0600.tfm) = %{tl_version}
Provides: tex(bqmc0700.tfm) = %{tl_version}
Provides: tex(bqmc0800.tfm) = %{tl_version}
Provides: tex(bqmc0900.tfm) = %{tl_version}
Provides: tex(bqmc1000.tfm) = %{tl_version}
Provides: tex(bqmc1095.tfm) = %{tl_version}
Provides: tex(bqmc1200.tfm) = %{tl_version}
Provides: tex(bqmc1440.tfm) = %{tl_version}
Provides: tex(bqmc1728.tfm) = %{tl_version}
Provides: tex(bqmc2074.tfm) = %{tl_version}
Provides: tex(bqmc2488.tfm) = %{tl_version}
Provides: tex(bqmn0500.tfm) = %{tl_version}
Provides: tex(bqmn0600.tfm) = %{tl_version}
Provides: tex(bqmn0700.tfm) = %{tl_version}
Provides: tex(bqmn0800.tfm) = %{tl_version}
Provides: tex(bqmn0900.tfm) = %{tl_version}
Provides: tex(bqmn1000.tfm) = %{tl_version}
Provides: tex(bqmn1095.tfm) = %{tl_version}
Provides: tex(bqmn1200.tfm) = %{tl_version}
Provides: tex(bqmn1440.tfm) = %{tl_version}
Provides: tex(bqmn1728.tfm) = %{tl_version}
Provides: tex(bqmn2074.tfm) = %{tl_version}
Provides: tex(bqmn2488.tfm) = %{tl_version}
Provides: tex(bqmo0500.tfm) = %{tl_version}
Provides: tex(bqmo0600.tfm) = %{tl_version}
Provides: tex(bqmo0700.tfm) = %{tl_version}
Provides: tex(bqmo0800.tfm) = %{tl_version}
Provides: tex(bqmo0900.tfm) = %{tl_version}
Provides: tex(bqmo1000.tfm) = %{tl_version}
Provides: tex(bqmo1095.tfm) = %{tl_version}
Provides: tex(bqmo1200.tfm) = %{tl_version}
Provides: tex(bqmo1440.tfm) = %{tl_version}
Provides: tex(bqmo1728.tfm) = %{tl_version}
Provides: tex(bqmo2074.tfm) = %{tl_version}
Provides: tex(bqmo2488.tfm) = %{tl_version}
Provides: tex(bqxc0500.tfm) = %{tl_version}
Provides: tex(bqxc0600.tfm) = %{tl_version}
Provides: tex(bqxc0700.tfm) = %{tl_version}
Provides: tex(bqxc0800.tfm) = %{tl_version}
Provides: tex(bqxc0900.tfm) = %{tl_version}
Provides: tex(bqxc1000.tfm) = %{tl_version}
Provides: tex(bqxc1095.tfm) = %{tl_version}
Provides: tex(bqxc1200.tfm) = %{tl_version}
Provides: tex(bqxc1440.tfm) = %{tl_version}
Provides: tex(bqxc1728.tfm) = %{tl_version}
Provides: tex(bqxc2074.tfm) = %{tl_version}
Provides: tex(bqxc2488.tfm) = %{tl_version}
Provides: tex(bqxn0500.tfm) = %{tl_version}
Provides: tex(bqxn0600.tfm) = %{tl_version}
Provides: tex(bqxn0700.tfm) = %{tl_version}
Provides: tex(bqxn0800.tfm) = %{tl_version}
Provides: tex(bqxn0900.tfm) = %{tl_version}
Provides: tex(bqxn1000.tfm) = %{tl_version}
Provides: tex(bqxn1095.tfm) = %{tl_version}
Provides: tex(bqxn1200.tfm) = %{tl_version}
Provides: tex(bqxn1440.tfm) = %{tl_version}
Provides: tex(bqxn1728.tfm) = %{tl_version}
Provides: tex(bqxn2074.tfm) = %{tl_version}
Provides: tex(bqxn2488.tfm) = %{tl_version}
Provides: tex(bqxo0500.tfm) = %{tl_version}
Provides: tex(bqxo0600.tfm) = %{tl_version}
Provides: tex(bqxo0700.tfm) = %{tl_version}
Provides: tex(bqxo0800.tfm) = %{tl_version}
Provides: tex(bqxo0900.tfm) = %{tl_version}
Provides: tex(bqxo1000.tfm) = %{tl_version}
Provides: tex(bqxo1095.tfm) = %{tl_version}
Provides: tex(bqxo1200.tfm) = %{tl_version}
Provides: tex(bqxo1440.tfm) = %{tl_version}
Provides: tex(bqxo1728.tfm) = %{tl_version}
Provides: tex(bqxo2074.tfm) = %{tl_version}
Provides: tex(bqxo2488.tfm) = %{tl_version}
Provides: tex(bgmc0500.vf) = %{tl_version}
Provides: tex(bgmc0600.vf) = %{tl_version}
Provides: tex(bgmc0700.vf) = %{tl_version}
Provides: tex(bgmc0800.vf) = %{tl_version}
Provides: tex(bgmc0900.vf) = %{tl_version}
Provides: tex(bgmc1000.vf) = %{tl_version}
Provides: tex(bgmc1095.vf) = %{tl_version}
Provides: tex(bgmc1200.vf) = %{tl_version}
Provides: tex(bgmc1440.vf) = %{tl_version}
Provides: tex(bgmc1728.vf) = %{tl_version}
Provides: tex(bgmc2074.vf) = %{tl_version}
Provides: tex(bgmc2488.vf) = %{tl_version}
Provides: tex(bgmn0500.vf) = %{tl_version}
Provides: tex(bgmn0600.vf) = %{tl_version}
Provides: tex(bgmn0700.vf) = %{tl_version}
Provides: tex(bgmn0800.vf) = %{tl_version}
Provides: tex(bgmn0900.vf) = %{tl_version}
Provides: tex(bgmn1000.vf) = %{tl_version}
Provides: tex(bgmn1095.vf) = %{tl_version}
Provides: tex(bgmn1200.vf) = %{tl_version}
Provides: tex(bgmn1440.vf) = %{tl_version}
Provides: tex(bgmn1728.vf) = %{tl_version}
Provides: tex(bgmn2074.vf) = %{tl_version}
Provides: tex(bgmn2488.vf) = %{tl_version}
Provides: tex(bgmo0500.vf) = %{tl_version}
Provides: tex(bgmo0600.vf) = %{tl_version}
Provides: tex(bgmo0700.vf) = %{tl_version}
Provides: tex(bgmo0800.vf) = %{tl_version}
Provides: tex(bgmo0900.vf) = %{tl_version}
Provides: tex(bgmo1000.vf) = %{tl_version}
Provides: tex(bgmo1095.vf) = %{tl_version}
Provides: tex(bgmo1200.vf) = %{tl_version}
Provides: tex(bgmo1440.vf) = %{tl_version}
Provides: tex(bgmo1728.vf) = %{tl_version}
Provides: tex(bgmo2074.vf) = %{tl_version}
Provides: tex(bgmo2488.vf) = %{tl_version}
Provides: tex(bgxc0500.vf) = %{tl_version}
Provides: tex(bgxc0600.vf) = %{tl_version}
Provides: tex(bgxc0700.vf) = %{tl_version}
Provides: tex(bgxc0800.vf) = %{tl_version}
Provides: tex(bgxc0900.vf) = %{tl_version}
Provides: tex(bgxc1000.vf) = %{tl_version}
Provides: tex(bgxc1095.vf) = %{tl_version}
Provides: tex(bgxc1200.vf) = %{tl_version}
Provides: tex(bgxc1440.vf) = %{tl_version}
Provides: tex(bgxc1728.vf) = %{tl_version}
Provides: tex(bgxc2074.vf) = %{tl_version}
Provides: tex(bgxc2488.vf) = %{tl_version}
Provides: tex(bgxn0500.vf) = %{tl_version}
Provides: tex(bgxn0600.vf) = %{tl_version}
Provides: tex(bgxn0700.vf) = %{tl_version}
Provides: tex(bgxn0800.vf) = %{tl_version}
Provides: tex(bgxn0900.vf) = %{tl_version}
Provides: tex(bgxn1000.vf) = %{tl_version}
Provides: tex(bgxn1095.vf) = %{tl_version}
Provides: tex(bgxn1200.vf) = %{tl_version}
Provides: tex(bgxn1440.vf) = %{tl_version}
Provides: tex(bgxn1728.vf) = %{tl_version}
Provides: tex(bgxn2074.vf) = %{tl_version}
Provides: tex(bgxn2488.vf) = %{tl_version}
Provides: tex(bgxo0500.vf) = %{tl_version}
Provides: tex(bgxo0600.vf) = %{tl_version}
Provides: tex(bgxo0700.vf) = %{tl_version}
Provides: tex(bgxo0800.vf) = %{tl_version}
Provides: tex(bgxo0900.vf) = %{tl_version}
Provides: tex(bgxo1000.vf) = %{tl_version}
Provides: tex(bgxo1095.vf) = %{tl_version}
Provides: tex(bgxo1200.vf) = %{tl_version}
Provides: tex(bgxo1440.vf) = %{tl_version}
Provides: tex(bgxo1728.vf) = %{tl_version}
Provides: tex(bgxo2074.vf) = %{tl_version}
Provides: tex(bgxo2488.vf) = %{tl_version}
Provides: tex(bqmc0500.vf) = %{tl_version}
Provides: tex(bqmc0600.vf) = %{tl_version}
Provides: tex(bqmc0700.vf) = %{tl_version}
Provides: tex(bqmc0800.vf) = %{tl_version}
Provides: tex(bqmc0900.vf) = %{tl_version}
Provides: tex(bqmc1000.vf) = %{tl_version}
Provides: tex(bqmc1095.vf) = %{tl_version}
Provides: tex(bqmc1200.vf) = %{tl_version}
Provides: tex(bqmc1440.vf) = %{tl_version}
Provides: tex(bqmc1728.vf) = %{tl_version}
Provides: tex(bqmc2074.vf) = %{tl_version}
Provides: tex(bqmc2488.vf) = %{tl_version}
Provides: tex(bqmn0500.vf) = %{tl_version}
Provides: tex(bqmn0600.vf) = %{tl_version}
Provides: tex(bqmn0700.vf) = %{tl_version}
Provides: tex(bqmn0800.vf) = %{tl_version}
Provides: tex(bqmn0900.vf) = %{tl_version}
Provides: tex(bqmn1000.vf) = %{tl_version}
Provides: tex(bqmn1095.vf) = %{tl_version}
Provides: tex(bqmn1200.vf) = %{tl_version}
Provides: tex(bqmn1440.vf) = %{tl_version}
Provides: tex(bqmn1728.vf) = %{tl_version}
Provides: tex(bqmn2074.vf) = %{tl_version}
Provides: tex(bqmn2488.vf) = %{tl_version}
Provides: tex(bqmo0500.vf) = %{tl_version}
Provides: tex(bqmo0600.vf) = %{tl_version}
Provides: tex(bqmo0700.vf) = %{tl_version}
Provides: tex(bqmo0800.vf) = %{tl_version}
Provides: tex(bqmo0900.vf) = %{tl_version}
Provides: tex(bqmo1000.vf) = %{tl_version}
Provides: tex(bqmo1095.vf) = %{tl_version}
Provides: tex(bqmo1200.vf) = %{tl_version}
Provides: tex(bqmo1440.vf) = %{tl_version}
Provides: tex(bqmo1728.vf) = %{tl_version}
Provides: tex(bqmo2074.vf) = %{tl_version}
Provides: tex(bqmo2488.vf) = %{tl_version}
Provides: tex(bqxc0500.vf) = %{tl_version}
Provides: tex(bqxc0600.vf) = %{tl_version}
Provides: tex(bqxc0700.vf) = %{tl_version}
Provides: tex(bqxc0800.vf) = %{tl_version}
Provides: tex(bqxc0900.vf) = %{tl_version}
Provides: tex(bqxc1000.vf) = %{tl_version}
Provides: tex(bqxc1095.vf) = %{tl_version}
Provides: tex(bqxc1200.vf) = %{tl_version}
Provides: tex(bqxc1440.vf) = %{tl_version}
Provides: tex(bqxc1728.vf) = %{tl_version}
Provides: tex(bqxc2074.vf) = %{tl_version}
Provides: tex(bqxc2488.vf) = %{tl_version}
Provides: tex(bqxn0500.vf) = %{tl_version}
Provides: tex(bqxn0600.vf) = %{tl_version}
Provides: tex(bqxn0700.vf) = %{tl_version}
Provides: tex(bqxn0800.vf) = %{tl_version}
Provides: tex(bqxn0900.vf) = %{tl_version}
Provides: tex(bqxn1000.vf) = %{tl_version}
Provides: tex(bqxn1095.vf) = %{tl_version}
Provides: tex(bqxn1200.vf) = %{tl_version}
Provides: tex(bqxn1440.vf) = %{tl_version}
Provides: tex(bqxn1728.vf) = %{tl_version}
Provides: tex(bqxn2074.vf) = %{tl_version}
Provides: tex(bqxn2488.vf) = %{tl_version}
Provides: tex(bqxo0500.vf) = %{tl_version}
Provides: tex(bqxo0600.vf) = %{tl_version}
Provides: tex(bqxo0700.vf) = %{tl_version}
Provides: tex(bqxo0800.vf) = %{tl_version}
Provides: tex(bqxo0900.vf) = %{tl_version}
Provides: tex(bqxo1000.vf) = %{tl_version}
Provides: tex(bqxo1095.vf) = %{tl_version}
Provides: tex(bqxo1200.vf) = %{tl_version}
Provides: tex(bqxo1440.vf) = %{tl_version}
Provides: tex(bqxo1728.vf) = %{tl_version}
Provides: tex(bqxo2074.vf) = %{tl_version}
Provides: tex(bqxo2488.vf) = %{tl_version}
Provides: tex(bcgcmr.fd) = %{tl_version}
Provides: tex(bcgenc.def) = %{tl_version}
Provides: tex(bcglmr.fd) = %{tl_version}
Provides: tex(bcqcmr.fd) = %{tl_version}
Provides: tex(bcqenc.def) = %{tl_version}
Provides: tex(bcqlmr.fd) = %{tl_version}
Provides: tex(bgfonts.tex) = %{tl_version}
Provides: tex(bgreek.ldf) = %{tl_version}
Provides: tex(bgreek.sty) = %{tl_version}
Provides: tex(ibygreek.ldf) = %{tl_version}

%description bgreek
This package implements a dialect of the Beta Code encoding
(TLG and Perseus Projects) for typesetting classical Greek
using Claudio Beccari's Greek Fonts. The package provides
virtual fonts, to reference Beccari's fonts in bgreek mode, and
support macros for use with LaTeX.

%package bgreek-doc
Summary: Documentation for bgreek
Version: svn15878.0.3

Provides: tex-bgreek-doc
AutoReqProv: No

%description bgreek-doc
Documentation for bgreek

%package bgteubner
Provides: tex-bgteubner = %{tl_version}
License: LPPL
Summary: Class for producing books for the publisher "Teubner Verlag"
Version: svn44205
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fixltx2e.sty)
Requires: tex(wasysym.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(booktabs.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(fontenc.sty)
Requires: tex(mathptmx.sty)
Requires: tex(helvet.sty)
Requires: tex(courier.sty)
Requires: tex(hfoldsty.sty)
Requires: tex(textcomp.sty)
Requires: tex(mathcomp.sty)
Requires: tex(hhsubfigure.sty)
Requires: tex(ragged2e.sty)
Requires: tex(exscale.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(framed.sty)
Requires: tex(hhtensor.sty)
Requires: tex(makeidx.sty)
Requires: tex(mdwlist.sty)
Requires: tex(paralist.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifpdf.sty)
Requires: tex(fixmath.sty)
Requires: tex(babel.sty)
Requires: tex(setspace.sty)
Requires: tex(relsize.sty)
Requires: tex(slantsc.sty)
Requires: tex(ginpenc.sty)
Requires: tex(warning.sty)
Requires: tex(onlyamsmath.sty)
Requires: tex(numprint.sty)
Requires: tex(scrpage2.sty)
Requires: tex(babelbib.sty)
Requires: tex(fnbreak.sty)
Requires: tex(subfloat.sty)
Requires: tex(multicol.sty)
Requires: tex(pdfcprot.sty)
Requires: tex(verbatim.sty)
Provides: tex(bgteubner.cls) = %{tl_version}
Provides: tex(hhfixme.sty) = %{tl_version}
Provides: tex(hhsubfigure.sty) = %{tl_version}
Provides: tex(ptmxcomp.sty) = %{tl_version}

%description bgteubner
The bgteubner document class has been programmed by order of
the Teubner Verlag, Wiesbaden, Germany, to ensure that books of
this publisher have a unique layout. Unfortunately, most of the
documentation is only available in German. Since the document
class is intended to generate a unique layout, many things
(layout etc.) are fixed and cannot be altered by the user. If
you want to use the document class for another purpose than
publishing with the Teubner Verlag, this may arrise unwanted
restrictions (For instance, the document class provides only
two paper sizes: DIN A-5 and 17cm x 24cm; only two font
families are supported: Times and European Computer Modern).

%package bgteubner-doc
Summary: Documentation for bgteubner
Version: svn44205
Provides: tex-bgteubner-doc
AutoReqProv: No

%description bgteubner-doc
Documentation for bgteubner

%package bguq
Provides: tex-bguq = %{tl_version}
License: LPPL
Summary: Improved quantifier stroke for Begriffsschrift packages
Version: svn27401.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifthen.sty)
Provides: tex(bguq.map) = %{tl_version}
Provides: tex(bguq10t04.tfm) = %{tl_version}
Provides: tex(bguq10t05.tfm) = %{tl_version}
Provides: tex(bguq10t06.tfm) = %{tl_version}
Provides: tex(bguq10t07.tfm) = %{tl_version}
Provides: tex(bguq10t08.tfm) = %{tl_version}
Provides: tex(bguq10t09.tfm) = %{tl_version}
Provides: tex(bguq10t10.tfm) = %{tl_version}
Provides: tex(bguq10t11.tfm) = %{tl_version}
Provides: tex(bguq10t12.tfm) = %{tl_version}
Provides: tex(bguq10t04.pfb) = %{tl_version}
Provides: tex(bguq10t05.pfb) = %{tl_version}
Provides: tex(bguq10t06.pfb) = %{tl_version}
Provides: tex(bguq10t07.pfb) = %{tl_version}
Provides: tex(bguq10t08.pfb) = %{tl_version}
Provides: tex(bguq10t09.pfb) = %{tl_version}
Provides: tex(bguq10t10.pfb) = %{tl_version}
Provides: tex(bguq10t11.pfb) = %{tl_version}
Provides: tex(bguq10t12.pfb) = %{tl_version}
Provides: tex(Ubguq04.fd) = %{tl_version}
Provides: tex(Ubguq05.fd) = %{tl_version}
Provides: tex(Ubguq06.fd) = %{tl_version}
Provides: tex(Ubguq07.fd) = %{tl_version}
Provides: tex(Ubguq08.fd) = %{tl_version}
Provides: tex(Ubguq09.fd) = %{tl_version}
Provides: tex(Ubguq10.fd) = %{tl_version}
Provides: tex(Ubguq11.fd) = %{tl_version}
Provides: tex(Ubguq12.fd) = %{tl_version}
Provides: tex(begriff-bguq.sty) = %{tl_version}
Provides: tex(bguq.cfg) = %{tl_version}
Provides: tex(bguq.sty) = %{tl_version}

%description bguq
The font contains a single character: the Begriffsschrift
quantifier (in several sizes), as used to set the
Begriffsschrift (concept notation) of Frege. The font is not
intended for end users; instead it is expected that it will be
used by other packages which implement the Begriffsschrift. An
(unofficial) modified version of Josh Parsons' begriff is
included as an example of implementation.

%package bguq-doc
Summary: Documentation for bguq
Version: svn27401.0.4

Provides: tex-bguq-doc
AutoReqProv: No

%description bguq-doc
Documentation for bguq

%package bhcexam
Provides: tex-bhcexam = %{tl_version}
License: LPPL
Summary: An exam class designed for Mathematics Teachers in China
Version: svn39041

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsthm.sty)
Requires: tex(bm.sty)
Requires: tex(bbding.sty)
Requires: tex(pifont.sty)
Requires: tex(dsfont.sty)
Requires: tex(mathtools.sty)
Requires: tex(paralist.sty)
Requires: tex(cases.sty)
Requires: tex(tabularx.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-plot.sty)
Requires: tex(xcolor.sty)
Requires: tex(graphicx.sty)
Requires: tex(geometry.sty)
Provides: tex(BHCexam.cfg) = %{tl_version}
Provides: tex(BHCexam.cls) = %{tl_version}

%description bhcexam
The class based on the exam class, and is specially designed
for High School Mathematics Teachers in China.

%package bhcexam-doc
Summary: Documentation for bhcexam
Version: svn39041

Provides: tex-bhcexam-doc
AutoReqProv: No

%description bhcexam-doc
Documentation for bhcexam

%package bibarts
Provides: tex-bibarts = %{tl_version}
License: GPL+
Summary: "Arts"-style bibliographical information
Version: svn40096

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bibarts.sty) = %{tl_version}

%description bibarts
The bibarts package assists in making bibliographical lists in
the way that is common in the arts; it requires an auxiliary
program, for which source and a DOS executable are provided.
(Documentation is in German, though bibarts.sty does contain a
brief introduction in English, as a comment.)

%package bibarts-doc
Summary: Documentation for bibarts
Version: svn40096

Provides: tex-bibarts-doc
AutoReqProv: No

%description bibarts-doc
Documentation for bibarts

%package bib-fr
Provides: tex-bib-fr = %{tl_version}
License: LPPL
Summary: French translation of classical BibTeX styles
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description bib-fr
These files are French translations of the classical BibTeX
style files. The translations can easily be modified by simply
redefining FUNCTIONs named fr.*, at the beginning (lines 50-
150) of each file.

%package bib-fr-doc
Summary: Documentation for bib-fr
Version: svn15878.1.5

Provides: tex-bib-fr-doc
AutoReqProv: No

%description bib-fr-doc
Documentation for bib-fr

%package bibhtml
Provides: tex-bibhtml = %{tl_version}
License: GPL+
Summary: BibTeX support for HTML files
Version: svn31607.2.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description bibhtml
Bibhtml consists of a Perl script and a set of BibTeX style
files, which together allow you to output a bibliography as a
collection of HTML files. The references in the text are linked
directly to the corresponding bibliography entry, and if a URL
is defined in the entry within the BibTeX database file, then
the generated bibliography entry is linked to this. The package
provides three different style files derived from each of the
standard plain.bst and alpha.bst, as well as two style files
derived from abbrv.bst and unsrt.bst (i.e., eight in total).

%package bibhtml-doc
Summary: Documentation for bibhtml
Version: svn31607.2.0.2

Provides: tex-bibhtml-doc
AutoReqProv: No

%description bibhtml-doc
Documentation for bibhtml

%package biblatex-anonymous
Provides: tex-biblatex-anonymous = %{tl_version}
License: LPPL 1.3
Summary: A tool to manage anonymous work with biblatex
Version: svn45855
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(biblatex-anonymous.sty) = %{tl_version}

%description biblatex-anonymous
The package provides tools to help manage anonymous work with
biblatex. It will be useful, for example, in history or
classical philology.

%package biblatex-anonymous-doc
Summary: Documentation for biblatex-anonymous
Version: svn45855
Provides: tex-biblatex-anonymous-doc
AutoReqProv: No

%description biblatex-anonymous-doc
Documentation for biblatex-anonymous

%package biblatex-apa
Provides: tex-biblatex-apa = %{tl_version}
License: LPPL
Summary: Biblatex citation and reference style for APA
Version: svn45766
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: biber
Requires: tex(standard.bbx)
Provides: tex(apa.bbx) = %{tl_version}
Provides: tex(apa.cbx) = %{tl_version}

%description biblatex-apa
This is a fairly complete biblatex style (citations and
references) for APA (American Psychological Association)
publications. It implements and automates most of the
guidelines in the APA 6th edition style guide for citations and
references with a few (documented) exceptions (which are mainly
currently impossible to automate in principle for any BibTeX-
backed system). An example document is also given which
typesets every citation and reference example in the APA 6th
edition style guide. This version of the package requires use
of biblatex v2.0 and biber v1.0 (at least).

%package biblatex-apa-doc
Summary: Documentation for biblatex-apa
Version: svn45766
Provides: tex-biblatex-apa-doc
AutoReqProv: No

%description biblatex-apa-doc
Documentation for biblatex-apa

%package biblatex-bookinarticle
Provides: tex-biblatex-bookinarticle = %{tl_version}
License: LPPL 1.3
Summary: Manage book edited in article
Version: svn40323

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(biblatex-bookinarticle.sty) = %{tl_version}

%description biblatex-bookinarticle
This package provides two new biblatex entry types:
@bookinarticle and @bookinincollection, to refer to a modern
edition of an old book, where this modern edition is provided
in a @article or in a @incollection.

%package biblatex-bookinarticle-doc
Summary: Documentation for biblatex-bookinarticle
Version: svn40323

Provides: tex-biblatex-bookinarticle-doc
AutoReqProv: No

%description biblatex-bookinarticle-doc
Documentation for biblatex-bookinarticle

%package biblatex-bwl
Provides: tex-biblatex-bwl = %{tl_version}
License: LPPL 1.3
Summary: Biblatex citations for FU Berlin
Version: svn26556.0.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(authoryear.bbx)
Requires: tex(authoryear.cbx)
Provides: tex(bwl-FU.bbx) = %{tl_version}
Provides: tex(bwl-FU.cbx) = %{tl_version}

%description biblatex-bwl
The bundle provides a set of biblatex implementations of
bibliography and citation styles for the Business
Administration Department of the Free University of Berlin.

%package biblatex-bwl-doc
Summary: Documentation for biblatex-bwl
Version: svn26556.0.02

Provides: tex-biblatex-bwl-doc
AutoReqProv: No

%description biblatex-bwl-doc
Documentation for biblatex-bwl

%package biblatex-caspervector
Provides: tex-biblatex-caspervector = %{tl_version}
License: LPPL 1.3
Summary: A simple citation style for Chinese users
Version: svn43371
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(numeric.bbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(biblatex-caspervector-gbk.def) = %{tl_version}
Provides: tex(biblatex-caspervector-utf8.def) = %{tl_version}
Provides: tex(caspervector.bbx) = %{tl_version}
Provides: tex(caspervector.cbx) = %{tl_version}

%description biblatex-caspervector
The package provides a simple and easily extensible
biblography/citation style for Chinese LaTeX users, using
biblatex.

%package biblatex-caspervector-doc
Summary: Documentation for biblatex-caspervector
Version: svn43371
Provides: tex-biblatex-caspervector-doc
AutoReqProv: No

%description biblatex-caspervector-doc
Documentation for biblatex-caspervector

%package biblatex-chem
Provides: tex-biblatex-chem = %{tl_version}
License: LPPL 1.3
Summary: A set of biblatex implementations of chemistry-related bibliography styles
Version: svn46441
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(numeric-comp.bbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(chem-acs.bbx) = %{tl_version}
Provides: tex(chem-acs.cbx) = %{tl_version}
Provides: tex(chem-angew.bbx) = %{tl_version}
Provides: tex(chem-angew.cbx) = %{tl_version}
Provides: tex(chem-biochem.bbx) = %{tl_version}
Provides: tex(chem-biochem.cbx) = %{tl_version}
Provides: tex(chem-rsc.bbx) = %{tl_version}
Provides: tex(chem-rsc.cbx) = %{tl_version}

%description biblatex-chem
The bundle offers a set of styles to allow chemists to use
biblatex. The package has complete styles for: all ACS
journals; RSC journals using standard (Chem. Commun.) style;
and Angewandte Chem. style, (thus covering a wide range of
journals). A comprehensive set of examples of use is included.

%package biblatex-chem-doc
Summary: Documentation for biblatex-chem
Version: svn46441
Provides: tex-biblatex-chem-doc
AutoReqProv: No

%description biblatex-chem-doc
Documentation for biblatex-chem

%package biblatex-chicago
Provides: tex-biblatex-chicago = %{tl_version}
License: LPPL 1.3
Summary: Chicago style files for biblatex
Version: svn44156
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(biblatex.sty)
Provides: tex(biblatex-chicago.sty) = %{tl_version}
Provides: tex(chicago-authordate-trad.bbx) = %{tl_version}
Provides: tex(chicago-authordate-trad.cbx) = %{tl_version}
Provides: tex(chicago-authordate.bbx) = %{tl_version}
Provides: tex(chicago-authordate.cbx) = %{tl_version}
Provides: tex(chicago-authordate15.bbx) = %{tl_version}
Provides: tex(chicago-authordate15.cbx) = %{tl_version}
Provides: tex(chicago-notes.bbx) = %{tl_version}
Provides: tex(chicago-notes.cbx) = %{tl_version}
Provides: tex(chicago-notes15.bbx) = %{tl_version}
Provides: tex(chicago-notes15.cbx) = %{tl_version}

%description biblatex-chicago
This is a biblatex style that implements the Chicago 'author-
date' and 'notes with bibliography' style specifications given
in the Chicago Manual of Style, 16th edition (support for the
15th edition remains, but is 'strongly deprecated'). The style
implements entry types for citing audio-visual materials. The
package was previously known as biblatex-chicago-notes-df.

%package biblatex-chicago-doc
Summary: Documentation for biblatex-chicago
Version: svn44156
Provides: tex-biblatex-chicago-doc
AutoReqProv: No

%description biblatex-chicago-doc
Documentation for biblatex-chicago

%package biblatex-dw
Provides: tex-biblatex-dw = %{tl_version}
License: LPPL
Summary: Humanities styles for biblatex
Version: svn42649
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(authortitle-dw.bbx)
Requires: tex(standard.bbx)
Provides: tex(authortitle-dw.bbx) = %{tl_version}
Provides: tex(footnote-dw.bbx) = %{tl_version}
Provides: tex(standard-dw.bbx) = %{tl_version}
Provides: tex(authortitle-dw.cbx) = %{tl_version}
Provides: tex(footnote-dw.cbx) = %{tl_version}
Provides: tex(standard-dw.cbx) = %{tl_version}

%description biblatex-dw
A small collection of styles for the biblatex package. It was
designed for citations in the humanities and offers some
features that are not provided by the standard biblatex styles.
The styles are dependent on biblatex (at least version 0.9b)
and cannot be used without it. Eine kleine Sammlung von Stilen
fur das Paket biblatex. Es ist auf geisteswissenschaftliche
Zitierweise zugeschnitten und bietet einige Funktionen, die von
den Standard-Stilen von biblatex nicht direkt bereitgestellt
werden. Biblatex-dw baut vollstandig auf biblatex auf und kann
nicht ohne biblatex (mindestens in der Version 0.9b) verwendet
werden.

%package biblatex-dw-doc
Summary: Documentation for biblatex-dw
Version: svn42649
Provides: tex-biblatex-dw-doc
AutoReqProv: No

%description biblatex-dw-doc
Documentation for biblatex-dw

%package biblatex-fiwi
Provides: tex-biblatex-fiwi = %{tl_version}
License: LPPL 1.3
Summary: Biblatex styles for use in German humanities
Version: svn43082
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(standard.bbx)
Requires: tex(fiwi.cbx)
Provides: tex(fiwi-yearbeginning.bbx) = %{tl_version}
Provides: tex(fiwi.bbx) = %{tl_version}
Provides: tex(fiwi.cbx) = %{tl_version}
Provides: tex(fiwi2.bbx) = %{tl_version}
Provides: tex(fiwi2.cbx) = %{tl_version}

%description biblatex-fiwi
The package provides a collection of styles for biblatex
(version 1.7 is required, currently). It was designed for
citations in German Humanities, especially film studies, and
offers some features that are not provided by the standard
biblatex styles. The style is highly optimized for documents
written in German, and the main documentation is only available
in German.

%package biblatex-fiwi-doc
Summary: Documentation for biblatex-fiwi
Version: svn43082
Provides: tex-biblatex-fiwi-doc
AutoReqProv: No

%description biblatex-fiwi-doc
Documentation for biblatex-fiwi

%package biblatex-gost
Provides: tex-biblatex-gost = %{tl_version}
License: LPPL 1.3
Summary: Biblatex support for GOST standard bibliographies
Version: svn45119
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(gost-alphabetic.cbx)
Requires: tex(alphabetic.cbx)
Requires: tex(gost-authoryear.cbx)
Requires: tex(gost-footnote.cbx)
Requires: tex(gost-inline.cbx)
Requires: tex(gost-numeric.cbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(biblatex-gost.def) = %{tl_version}
Provides: tex(gost-alphabetic-min.bbx) = %{tl_version}
Provides: tex(gost-alphabetic-min.cbx) = %{tl_version}
Provides: tex(gost-alphabetic.bbx) = %{tl_version}
Provides: tex(gost-alphabetic.cbx) = %{tl_version}
Provides: tex(gost-authoryear-min.bbx) = %{tl_version}
Provides: tex(gost-authoryear-min.cbx) = %{tl_version}
Provides: tex(gost-authoryear.bbx) = %{tl_version}
Provides: tex(gost-authoryear.cbx) = %{tl_version}
Provides: tex(gost-footnote-min.bbx) = %{tl_version}
Provides: tex(gost-footnote-min.cbx) = %{tl_version}
Provides: tex(gost-footnote.bbx) = %{tl_version}
Provides: tex(gost-footnote.cbx) = %{tl_version}
Provides: tex(gost-inline-min.bbx) = %{tl_version}
Provides: tex(gost-inline-min.cbx) = %{tl_version}
Provides: tex(gost-inline.bbx) = %{tl_version}
Provides: tex(gost-inline.cbx) = %{tl_version}
Provides: tex(gost-numeric-min.bbx) = %{tl_version}
Provides: tex(gost-numeric-min.cbx) = %{tl_version}
Provides: tex(gost-numeric.bbx) = %{tl_version}
Provides: tex(gost-numeric.cbx) = %{tl_version}
Provides: tex(gost-standard.bbx) = %{tl_version}

%description biblatex-gost
The package provides biblatex support for Russian bibliography
style GOST 7.0.5-2008

%package biblatex-gost-doc
Summary: Documentation for biblatex-gost
Version: svn45119
Provides: tex-biblatex-gost-doc
AutoReqProv: No

%description biblatex-gost-doc
Documentation for biblatex-gost

%package biblatex-historian
Provides: tex-biblatex-historian = %{tl_version}
License: LPPL
Summary: A Biblatex style
Version: svn19787.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(standard.bbx)
Provides: tex(historian.bbx) = %{tl_version}
Provides: tex(historian.cbx) = %{tl_version}

%description biblatex-historian
A biblatex style, based on the Turabian Manual (a version of
Chicago).

%package biblatex-historian-doc
Summary: Documentation for biblatex-historian
Version: svn19787.0.4

Provides: tex-biblatex-historian-doc
AutoReqProv: No

%description biblatex-historian-doc
Documentation for biblatex-historian

%package biblatex-ieee
Provides: tex-biblatex-ieee = %{tl_version}
License: LPPL 1.3
Summary: Ieee style files for biblatex
Version: svn43620
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(alphabetic.cbx)
Requires: tex(numeric-comp.bbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(ieee-alphabetic.bbx) = %{tl_version}
Provides: tex(ieee-alphabetic.cbx) = %{tl_version}
Provides: tex(ieee.bbx) = %{tl_version}
Provides: tex(ieee.cbx) = %{tl_version}

%description biblatex-ieee
This is a biblatex style that implements the bibliography style
of the IEEE for biblatex. The implementation follows standard
biblatex conventions, and can be used simply by loading
biblatex with the appropriate option:
\usepackage[style=ieee]{biblatex} A demonstration database is
provided to show how to format input for the style.

%package biblatex-ieee-doc
Summary: Documentation for biblatex-ieee
Version: svn43620
Provides: tex-biblatex-ieee-doc
AutoReqProv: No

%description biblatex-ieee-doc
Documentation for biblatex-ieee

%package biblatex-juradiss
Provides: tex-biblatex-juradiss = %{tl_version}
License: LPPL
Summary: Biblatex stylefiles for German law thesis
Version: svn29252.0.1g

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(authortitle-dw.bbx)
Requires: tex(authortitle-dw.cbx)
Provides: tex(biblatex-juradiss.bbx) = %{tl_version}
Provides: tex(biblatex-juradiss.cbx) = %{tl_version}

%description biblatex-juradiss
The package provides a style for use in typesetting a German
law thesis with LaTeX. The package (using biblatex) is based on
biblatex-dw and uses biber.

%package biblatex-juradiss-doc
Summary: Documentation for biblatex-juradiss
Version: svn29252.0.1g

Provides: tex-biblatex-juradiss-doc
AutoReqProv: No

%description biblatex-juradiss-doc
Documentation for biblatex-juradiss

%package biblatex-luh-ipw
Provides: tex-biblatex-luh-ipw = %{tl_version}
License: LPPL 1.3
Summary: Biblatex styles for social sciences
Version: svn32180.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(authoryear-icomp.bbx)
Requires: tex(verbose-inote.bbx)
Requires: tex(authoryear-icomp.cbx)
Requires: tex(verbose-inote.cbx)
Provides: tex(authoryear-luh-ipw.bbx) = %{tl_version}
Provides: tex(standard-luh-ipw.bbx) = %{tl_version}
Provides: tex(verbose-inote-luh-ipw.bbx) = %{tl_version}
Provides: tex(authoryear-luh-ipw.cbx) = %{tl_version}
Provides: tex(standard-luh-ipw.cbx) = %{tl_version}
Provides: tex(verbose-inote-luh-ipw.cbx) = %{tl_version}

%description biblatex-luh-ipw
The bundle is a small collection of styles for biblatex. It was
designed for citations in the Humanities, following the
guidelines of style of the institutes for the social sciences
of the Leibniz University Hannover/LUH (especially the
Institute of Political Science). The bundle depends on biblatex
(version 1.1 at least) and cannot be used without it.

%package biblatex-luh-ipw-doc
Summary: Documentation for biblatex-luh-ipw
Version: svn32180.0.3

Provides: tex-biblatex-luh-ipw-doc
AutoReqProv: No

%description biblatex-luh-ipw-doc
Documentation for biblatex-luh-ipw

%package biblatex-manuscripts-philology
Provides: tex-biblatex-manuscripts-philology = %{tl_version}
License: LPPL 1.3
Summary: Manage classical manuscripts with biblatex
Version: svn43108
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(verbose.bbx)
Provides: tex(manuscripts-noautoshorthand.bbx) = %{tl_version}
Provides: tex(manuscripts-shared.bbx) = %{tl_version}
Provides: tex(manuscripts.bbx) = %{tl_version}

%description biblatex-manuscripts-philology
The package adds a new entry type: @manuscript to manage
manuscript in classical philology, for example to prepare a
critical edition.

%package biblatex-manuscripts-philology-doc
Summary: Documentation for biblatex-manuscripts-philology
Version: svn43108
Provides: tex-biblatex-manuscripts-philology-doc
AutoReqProv: No

%description biblatex-manuscripts-philology-doc
Documentation for biblatex-manuscripts-philology

%package biblatex-mla
Provides: tex-biblatex-mla = %{tl_version}
License: LPPL
Summary: MLA style files for biblatex
Version: svn42445
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(standard.bbx)
Provides: tex(mla.bbx) = %{tl_version}
Provides: tex(mla.cbx) = %{tl_version}

%description biblatex-mla
The package provides biblatex support for citations in the
format specified by the MLA handbook.

%package biblatex-mla-doc
Summary: Documentation for biblatex-mla
Version: svn42445
Provides: tex-biblatex-mla-doc
AutoReqProv: No

%description biblatex-mla-doc
Documentation for biblatex-mla

%package biblatex-multiple-dm
Provides: tex-biblatex-multiple-dm = %{tl_version}
License: LPPL 1.3
Summary: Load multiple datamodels in biblatex
Version: svn37081.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(etoolbox.sty)
Provides: tex(biblatex-multiple-dm.sty) = %{tl_version}
Provides: tex(multiple-dm.bbx) = %{tl_version}

%description biblatex-multiple-dm
The package adds the possibility to biblatex to load data
models from multiple sources.

%package biblatex-multiple-dm-doc
Summary: Documentation for biblatex-multiple-dm
Version: svn37081.1.0.1

Provides: tex-biblatex-multiple-dm-doc
AutoReqProv: No

%description biblatex-multiple-dm-doc
Documentation for biblatex-multiple-dm

%package biblatex-musuos
Provides: tex-biblatex-musuos = %{tl_version}
License: LPPL
Summary: A biblatex style for citations in musuos.cls
Version: svn24097.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(authortitle.bbx)
Requires: tex(verbose-ibid.cbx)
Provides: tex(musuos.bbx) = %{tl_version}
Provides: tex(musuos.cbx) = %{tl_version}

%description biblatex-musuos
The style is designed for use with the musuos class, but it
should be usable with other classes, too.

%package biblatex-musuos-doc
Summary: Documentation for biblatex-musuos
Version: svn24097.1.0

Provides: tex-biblatex-musuos-doc
AutoReqProv: No

%description biblatex-musuos-doc
Documentation for biblatex-musuos

%package biblatex-nature
Provides: tex-biblatex-nature = %{tl_version}
License: LPPL
Summary: Biblatex support for Nature
Version: svn43382
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(numeric-comp.bbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(nature.bbx) = %{tl_version}
Provides: tex(nature.cbx) = %{tl_version}

%description biblatex-nature
The bundle offers styles that allow authors to use biblatex
when preparing papers for submission to the journal Nature.

%package biblatex-nature-doc
Summary: Documentation for biblatex-nature
Version: svn43382
Provides: tex-biblatex-nature-doc
AutoReqProv: No

%description biblatex-nature-doc
Documentation for biblatex-nature

%package biblatex-nejm
Provides: tex-biblatex-nejm = %{tl_version}
License: LPPL 1.3
Summary: Biblatex style for the New England Journal of Medicine (NEJM)
Version: svn24011.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(standard.bbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(nejm.bbx) = %{tl_version}
Provides: tex(nejm.cbx) = %{tl_version}

%description biblatex-nejm
This is a biblatex numeric style based on the design of the New
England Journal of Medicine (NEJM).

%package biblatex-nejm-doc
Summary: Documentation for biblatex-nejm
Version: svn24011.0.4

Provides: tex-biblatex-nejm-doc
AutoReqProv: No

%description biblatex-nejm-doc
Documentation for biblatex-nejm

%package biblatex-opcit-booktitle
Provides: tex-biblatex-opcit-booktitle = %{tl_version}
License: LPPL 1.3
Summary: Use op. cit. for the booktitle of a subentry
Version: svn43621
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xpatch.sty)
Provides: tex(biblatex-opcit-booktitle.sty) = %{tl_version}

%description biblatex-opcit-booktitle
The default citation styles verbose-trad1+; verbose-trad2 ;
verbose-trad3 use the op. cit. form in order to have shorter
reference when a title have been already cited. However, when
you cite two entries which share the same booktitle but not the
same title, the op. cit. mechanism does not work. This package
enables to obtain references like this: Author1, Title, in
Booktitle, Location, Publiser, Year, pages xxx Author2, Title2,
in Booktitle, op. cit, pages.

%package biblatex-opcit-booktitle-doc
Summary: Documentation for biblatex-opcit-booktitle
Version: svn43621
Provides: tex-biblatex-opcit-booktitle-doc
AutoReqProv: No

%description biblatex-opcit-booktitle-doc
Documentation for biblatex-opcit-booktitle

%package biblatex-philosophy
Provides: tex-biblatex-philosophy = %{tl_version}
License: LPPL 1.3
Summary: Styles for using biblatex for work in philosophy
Version: svn45486
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(authoryear.bbx)
Requires: tex(authoryear-comp.cbx)
Requires: tex(philosophy-classic.cbx)
Requires: tex(standard.bbx)
Requires: tex(authortitle.bbx)
Requires: tex(verbose-trad2.cbx)
Provides: tex(philosophy-classic.bbx) = %{tl_version}
Provides: tex(philosophy-classic.cbx) = %{tl_version}
Provides: tex(philosophy-modern.bbx) = %{tl_version}
Provides: tex(philosophy-modern.cbx) = %{tl_version}
Provides: tex(philosophy-standard.bbx) = %{tl_version}
Provides: tex(philosophy-verbose.bbx) = %{tl_version}
Provides: tex(philosophy-verbose.cbx) = %{tl_version}

%description biblatex-philosophy
The bundle offers two styles - philosophy-classic and
philosophy-modern - that facilitate the production of two
different kinds of bibliography, based on the authoryear style,
with options and features to manage the information about the
translation of foreign texts or their reprints. Though the
package's default settings are based on the conventions used in
Italian publications, these styles can be used with every
language recognized by babel, possibly with some simple
redefinitions.

%package biblatex-philosophy-doc
Summary: Documentation for biblatex-philosophy
Version: svn45486
Provides: tex-biblatex-philosophy-doc
AutoReqProv: No

%description biblatex-philosophy-doc
Documentation for biblatex-philosophy

%package biblatex-phys
Provides: tex-biblatex-phys = %{tl_version}
License: LPPL 1.3
Summary: A biblatex implementation of the AIP and APS bibliography style
Version: svn41922
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(numeric-comp.bbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(phys.bbx) = %{tl_version}
Provides: tex(phys.cbx) = %{tl_version}

%description biblatex-phys
The biblatex-phys package provides an implementation of the
bibliography styles of both the AIP and the APS for biblatex.
This implementation follows standard biblatex conventions, and
can be used simply by loading biblatex with the appropriate
option: \usepackage[style=phys]{biblatex} A demonstration
database is provided to show how to format input for the style.
Style options are provided to cover the minor formatting
variations between the AIP and APS bibliography styles.

%package biblatex-phys-doc
Summary: Documentation for biblatex-phys
Version: svn41922
Provides: tex-biblatex-phys-doc
AutoReqProv: No

%description biblatex-phys-doc
Documentation for biblatex-phys

%package biblatex-publist
Provides: tex-biblatex-publist = %{tl_version}
License: LPPL 1.3
Summary: BibLaTeX bibliography support for publication lists
Version: svn43765
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(authoryear.bbx)
Requires: tex(numeric.cbx)
Provides: tex(publist.bbx) = %{tl_version}
Provides: tex(publist.cbx) = %{tl_version}

%description biblatex-publist
The package provides a BibLaTeX bibliography style file (*.bbx)
for publication lists. The style file draws on BibLaTeX's
authoryear style, but provides some extra features often
desired for publication lists, such as the omission of the
author's own name from author or editor data.

%package biblatex-publist-doc
Summary: Documentation for biblatex-publist
Version: svn43765
Provides: tex-biblatex-publist-doc
AutoReqProv: No

%description biblatex-publist-doc
Documentation for biblatex-publist

%package biblatex-realauthor
Provides: tex-biblatex-realauthor = %{tl_version}
License: LPPL 1.3
Summary: Indicate the real author of a work
Version: svn42390
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(verbose.bbx)
Provides: tex(realauthor.bbx) = %{tl_version}

%description biblatex-realauthor
This package allows to use a new field "realauthor", which
indicates the real author of a work, when published in a
pseudepigraphic name.

%package biblatex-realauthor-doc
Summary: Documentation for biblatex-realauthor
Version: svn42390
Provides: tex-biblatex-realauthor-doc
AutoReqProv: No

%description biblatex-realauthor-doc
Documentation for biblatex-realauthor

%package biblatex-science
Provides: tex-biblatex-science = %{tl_version}
License: LPPL
Summary: Biblatex implementation of the Science bibliography style
Version: svn42147
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(numeric-comp.bbx)
Requires: tex(numeric-comp.cbx)
Provides: tex(science.bbx) = %{tl_version}
Provides: tex(science.cbx) = %{tl_version}

%description biblatex-science
The bundle offers styles that allow authors to use biblatex
when preparing papers for submission to the journal Science.

%package biblatex-science-doc
Summary: Documentation for biblatex-science
Version: svn42147
Provides: tex-biblatex-science-doc
AutoReqProv: No

%description biblatex-science-doc
Documentation for biblatex-science

%package biblatex-source-division
Provides: tex-biblatex-source-division = %{tl_version}
License: LPPL 1.3
Summary: References by "division" in classical sources
Version: svn45379
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xpatch.sty)
Requires: tex(kvoptions.sty)
Provides: tex(biblatex-source-division.sty) = %{tl_version}

%description biblatex-source-division
The package enables the user to make reference to "division
marks" (such as book, chapter, section), in the document being
referenced, in addition to the page-based references that
BibTeX-based citations have always had. The citation is made in
the same way as the LaTeX standard, but what's inside the
square brackets may include the "division" specification, as in
\cite[(<division spec.>)<page number>]{<document>}

%package biblatex-source-division-doc
Summary: Documentation for biblatex-source-division
Version: svn45379
Provides: tex-biblatex-source-division-doc
AutoReqProv: No

%description biblatex-source-division-doc
Documentation for biblatex-source-division

%package biblatex-subseries
Provides: tex-biblatex-subseries = %{tl_version}
License: LPPL 1.3
Summary: Manages subseries with biblatex
Version: svn43330
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(verbose.bbx)
Provides: tex(subseries.bbx) = %{tl_version}

%description biblatex-subseries
Some publishers organize book series with subseries. In this
case, two numbers are associated with one volume: the number
inside the series and the number inside the subseries. That is
the case of the series Corpus Scriptorium Christianorum
Orientalium published by Peeters. This package provides new
fields to manage such system.

%package biblatex-subseries-doc
Summary: Documentation for biblatex-subseries
Version: svn43330
Provides: tex-biblatex-subseries-doc
AutoReqProv: No

%description biblatex-subseries-doc
Documentation for biblatex-subseries

%package biblatex-swiss-legal
Provides: tex-biblatex-swiss-legal = %{tl_version}
License: LPPL 1.3
Summary: Bibliography and citation styles following Swiss legal practice
Version: svn32750.1.1.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(biblatex-swiss-legal-base.cbx)
Provides: tex(biblatex-swiss-legal-base.bbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-base.cbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-bibliography.bbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-bibliography.cbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-general.bbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-general.cbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-longarticle.bbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-longarticle.cbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-shortarticle.bbx) = %{tl_version}
Provides: tex(biblatex-swiss-legal-shortarticle.cbx) = %{tl_version}

%description biblatex-swiss-legal
The package provides biblatex bibliography and citation styles
for documents written in accordance with Swiss legal citation
standards. Currently, the package is usable for French and
German documents.

%package biblatex-swiss-legal-doc
Summary: Documentation for biblatex-swiss-legal
Version: svn32750.1.1.2a

Provides: tex-biblatex-swiss-legal-doc
AutoReqProv: No

%description biblatex-swiss-legal-doc
Documentation for biblatex-swiss-legal

%package biblatex
Provides: tex-biblatex = %{tl_version}
License: LPPL
Summary: Bibliographies in LaTeX using BibTeX for sorting only
Version: svn42680
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(standard.bbx)
Requires: tex(authoryear.bbx)
Requires: tex(biblatex.sty)
Requires: tex(etoolbox.sty)
Requires: tex(keyval.sty)
Requires: tex(logreq.sty)
Requires: tex(ifthen.sty)
Requires: tex(url.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xstring.sty)
Requires: tex(polyglossia.sty)
Requires: tex(babel.sty)
Requires: tex(csquotes.sty)
Requires: tex(xpatch.sty)
Requires: tex(authortitle.cbx)
Provides: tex(alphabetic-verb.bbx) = %{tl_version}
Provides: tex(alphabetic.bbx) = %{tl_version}
Provides: tex(authortitle-comp.bbx) = %{tl_version}
Provides: tex(authortitle-ibid.bbx) = %{tl_version}
Provides: tex(authortitle-icomp.bbx) = %{tl_version}
Provides: tex(authortitle-tcomp.bbx) = %{tl_version}
Provides: tex(authortitle-terse.bbx) = %{tl_version}
Provides: tex(authortitle-ticomp.bbx) = %{tl_version}
Provides: tex(authortitle.bbx) = %{tl_version}
Provides: tex(authoryear-comp.bbx) = %{tl_version}
Provides: tex(authoryear-ibid.bbx) = %{tl_version}
Provides: tex(authoryear-icomp.bbx) = %{tl_version}
Provides: tex(authoryear.bbx) = %{tl_version}
Provides: tex(debug.bbx) = %{tl_version}
Provides: tex(draft.bbx) = %{tl_version}
Provides: tex(numeric-comp.bbx) = %{tl_version}
Provides: tex(numeric-verb.bbx) = %{tl_version}
Provides: tex(numeric.bbx) = %{tl_version}
Provides: tex(reading.bbx) = %{tl_version}
Provides: tex(standard.bbx) = %{tl_version}
Provides: tex(verbose-ibid.bbx) = %{tl_version}
Provides: tex(verbose-inote.bbx) = %{tl_version}
Provides: tex(verbose-note.bbx) = %{tl_version}
Provides: tex(verbose-trad1.bbx) = %{tl_version}
Provides: tex(verbose-trad2.bbx) = %{tl_version}
Provides: tex(verbose-trad3.bbx) = %{tl_version}
Provides: tex(verbose.bbx) = %{tl_version}
Provides: tex(biblatex.cfg) = %{tl_version}
Provides: tex(biblatex.def) = %{tl_version}
Provides: tex(biblatex.sty) = %{tl_version}
Provides: tex(blx-bibtex.def) = %{tl_version}
Provides: tex(blx-compat.def) = %{tl_version}
Provides: tex(blx-dm.def) = %{tl_version}
Provides: tex(blx-mcite.def) = %{tl_version}
Provides: tex(blx-natbib.def) = %{tl_version}
Provides: tex(alphabetic-verb.cbx) = %{tl_version}
Provides: tex(alphabetic.cbx) = %{tl_version}
Provides: tex(authortitle-comp.cbx) = %{tl_version}
Provides: tex(authortitle-ibid.cbx) = %{tl_version}
Provides: tex(authortitle-icomp.cbx) = %{tl_version}
Provides: tex(authortitle-tcomp.cbx) = %{tl_version}
Provides: tex(authortitle-terse.cbx) = %{tl_version}
Provides: tex(authortitle-ticomp.cbx) = %{tl_version}
Provides: tex(authortitle.cbx) = %{tl_version}
Provides: tex(authoryear-comp.cbx) = %{tl_version}
Provides: tex(authoryear-ibid.cbx) = %{tl_version}
Provides: tex(authoryear-icomp.cbx) = %{tl_version}
Provides: tex(authoryear.cbx) = %{tl_version}
Provides: tex(debug.cbx) = %{tl_version}
Provides: tex(draft.cbx) = %{tl_version}
Provides: tex(numeric-comp.cbx) = %{tl_version}
Provides: tex(numeric-verb.cbx) = %{tl_version}
Provides: tex(numeric.cbx) = %{tl_version}
Provides: tex(reading.cbx) = %{tl_version}
Provides: tex(verbose-ibid.cbx) = %{tl_version}
Provides: tex(verbose-inote.cbx) = %{tl_version}
Provides: tex(verbose-note.cbx) = %{tl_version}
Provides: tex(verbose-trad1.cbx) = %{tl_version}
Provides: tex(verbose-trad2.cbx) = %{tl_version}
Provides: tex(verbose-trad3.cbx) = %{tl_version}
Provides: tex(verbose.cbx) = %{tl_version}

%description biblatex
Biblatex is a complete reimplementation of the bibliographic
facilities provided by LaTeX in conjunction with BibTeX. It
redesigns the way in which LaTeX interacts with BibTeX at a
fairly fundamental level. With biblatex, BibTeX is only used
(if it is used at all) to sort the bibliography and to generate
labels. Formatting of the bibliography is entirely controlled
by TeX macros (the BibTeX-based mechanism embeds some parts of
formatting in the BibTeX style file. Good working knowledge in
LaTeX should be sufficient to design new bibliography and
citation styles; nothing related to BibTeX's language is
needed. In fact, users need not remain bound to BibTeX for use
with biblatex: an alternative bibliography processor biblatex-
biber is available. Development of biblatex and biblatex-biber
is closely coupled; the present release of biblatex is designed
to work with biblatex-biber version 0.9.6. The package needs e-
TeX, and uses the author's etoolbox and logreq packages. For
users of biblatex-biber, version 0.9 is required (at least;
refer to the notes for the version of biblatex-biber that you
are using). Apart from the features unique to biblatex, the
package also incorporates core features of the following
packages: babelbib, bibtopic, bibunits, chapterbib, cite,
inlinebib, mcite and mciteplus, mlbib, multibib, splitbib.
Biblatex supports split bibliographies and multiple
bibliographies within one document, and separate lists of
bibliographic shorthands. Bibliographies may be subdivided into
parts (by chapter, by section, etc.) and/or segmented by topics
(by type, by keyword, etc.). Biblatex is fully localized and
can interface with the babel.

%package biblatex-doc
Summary: Documentation for biblatex
Version: svn42680
Provides: tex-biblatex-doc
AutoReqProv: No

%description biblatex-doc
Documentation for biblatex

%package biblatex-trad
Provides: tex-biblatex-trad = %{tl_version}
License: LPPL
Summary: "Traditional" BibTeX styles with BibLaTeX
Version: svn41656
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(standard.bbx)
Requires: tex(numeric.cbx)
Requires: tex(alphabetic.cbx)
Provides: tex(trad-abbrv.bbx) = %{tl_version}
Provides: tex(trad-alpha.bbx) = %{tl_version}
Provides: tex(trad-plain.bbx) = %{tl_version}
Provides: tex(trad-standard.bbx) = %{tl_version}
Provides: tex(trad-unsrt.bbx) = %{tl_version}
Provides: tex(trad-abbrv.cbx) = %{tl_version}
Provides: tex(trad-alpha.cbx) = %{tl_version}
Provides: tex(trad-plain.cbx) = %{tl_version}
Provides: tex(trad-standard.cbx) = %{tl_version}
Provides: tex(trad-unsrt.cbx) = %{tl_version}

%description biblatex-trad
The bundle provides implementations of the "traditional" BibTeX
styles (plain, abbrev, unsrt and alpha) with BibLaTeX.

%package biblatex-trad-doc
Summary: Documentation for biblatex-trad
Version: svn41656
Provides: tex-biblatex-trad-doc
AutoReqProv: No

%description biblatex-trad-doc
Documentation for biblatex-trad

%package biblatex-true-citepages-omit
Provides: tex-biblatex-true-citepages-omit = %{tl_version}
License: LPPL 1.3
Summary: Correction of some limitation of the citepages=omit option of biblatex styles
Version: svn44653
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xstring.sty)
Provides: tex(biblatex-true-citepages-omit.sty) = %{tl_version}

%description biblatex-true-citepages-omit
This package deals with a limitation of the citepages=omit
option of the verbose family of biblatex citestyles. The option
works when you \cite[xx]{key}, but not when you \cite[\pno~xx,
some text]{key}. The package corrects this problem.

%package biblatex-true-citepages-omit-doc
Summary: Documentation for biblatex-true-citepages-omit
Version: svn44653
Provides: tex-biblatex-true-citepages-omit-doc
AutoReqProv: No

%description biblatex-true-citepages-omit-doc
Documentation for biblatex-true-citepages-omit

%package bibleref-french
Provides: tex-bibleref-french = %{tl_version}
License: LPPL 1.3
Summary: French translations for bibleref
Version: svn35497.2.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(bibleref.sty)
Requires: tex(etoolbox.sty)
Provides: tex(bibleref-french.sty) = %{tl_version}

%description bibleref-french
The package provides translations and alternative typesetting
conventions for use of bibleref in French.

%package bibleref-french-doc
Summary: Documentation for bibleref-french
Version: svn35497.2.3.1

Provides: tex-bibleref-french-doc
AutoReqProv: No

%description bibleref-french-doc
Documentation for bibleref-french

%package bibleref-german
Provides: tex-bibleref-german = %{tl_version}
License: LPPL 1.3
Summary: German adaptation of bibleref
Version: svn21923.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(bibleref.sty)
Requires: tex(etoolbox.sty)
Provides: tex(bibleref-german.sty) = %{tl_version}

%description bibleref-german
The package provides translations and various formats for the
use of bibleref in German documents. The German naming of the
bible books complies with the 'Loccumer Richtlinien' (Locum
guidelines). In addition, the Vulgate (Latin bible) is
supported.

%package bibleref-german-doc
Summary: Documentation for bibleref-german
Version: svn21923.1.0a

Provides: tex-bibleref-german-doc
AutoReqProv: No

%description bibleref-german-doc
Documentation for bibleref-german

%package bibleref-lds
Provides: tex-bibleref-lds = %{tl_version}
License: LPPL 1.3
Summary: Bible references, including those to the scriptures of the Church of Jesus Christ of Latter Day Saints
Version: svn25526.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(bibleref-mouth.sty)
Requires: tex(ifthen.sty)
Requires: tex(hyperref.sty)
Provides: tex(bibleref-lds.sty) = %{tl_version}

%description bibleref-lds
The package extends the bibleref-mouth package to support
references to the scriptures of The Church of Jesus Christ of
Latter-day Saints (LDS). The package requires bibleref-mouth to
run, and its reference syntax is the same as that of the parent
package.

%package bibleref-lds-doc
Summary: Documentation for bibleref-lds
Version: svn25526.1.0

Provides: tex-bibleref-lds-doc
AutoReqProv: No

%description bibleref-lds-doc
Documentation for bibleref-lds

%package bibleref-mouth
Provides: tex-bibleref-mouth = %{tl_version}
License: LPPL 1.3
Summary: Consistent formatting of Bible references
Version: svn25527.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fmtcount.sty)
Requires: tex(hyperref.sty)
Provides: tex(bibleref-mouth.sty) = %{tl_version}

%description bibleref-mouth
The package allows Bible references to be formatted in a
consistent way. It is similar to the bibleref package, except
that the formatting macros are all purely expandable -- that
is, they are all implemented in TeX's mouth. This means that
they can be used in any expandable context, such as an argument
to a \url command.

%package bibleref-mouth-doc
Summary: Documentation for bibleref-mouth
Version: svn25527.1.0

Provides: tex-bibleref-mouth-doc
AutoReqProv: No

%description bibleref-mouth-doc
Documentation for bibleref-mouth

%package bibleref-parse
Provides: tex-bibleref-parse = %{tl_version}
License: LPPL 1.3
Summary: Specify Bible passages in human-readable format
Version: svn22054.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(scrlfile.sty)
Requires: tex(bibleref.sty)
Provides: tex(bibleref-parse.sty) = %{tl_version}

%description bibleref-parse
The package parses Bible passages that are given in human
readable format. It accepts a wide variety of formats. This
allows for a simpler and more convenient interface to the
functionality of the bibleref package.

%package bibleref-parse-doc
Summary: Documentation for bibleref-parse
Version: svn22054.1.1

Provides: tex-bibleref-parse-doc
AutoReqProv: No

%description bibleref-parse-doc
Documentation for bibleref-parse

%package bibleref
Provides: tex-bibleref = %{tl_version}
License: LPPL 1.3
Summary: Format bible citations
Version: svn44737
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(fmtcount.sty)
Requires: tex(amsgen.sty)
Provides: tex(bibleref.sty) = %{tl_version}

%description bibleref
The bibleref package offers consistent formatting of references
to parts of the Christian bible, in a number of well-defined
formats.

%package bibleref-doc
Summary: Documentation for bibleref
Version: svn44737
Provides: tex-bibleref-doc
AutoReqProv: No

%description bibleref-doc
Documentation for bibleref

%package biblist
Provides: tex-biblist = %{tl_version}
License: GPL+
Summary: Print a BibTeX database
Version: svn17116.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(biblist.sty) = %{tl_version}

%description biblist
The package provides the means of listing an entire BibTeX
database, avoiding the potentially large (macro) impact
associated with \nocite{*}.

%package biblist-doc
Summary: Documentation for biblist
Version: svn17116.0

Provides: tex-biblist-doc
AutoReqProv: No

%description biblist-doc
Documentation for biblist

%package bibtopicprefix
Provides: tex-bibtopicprefix = %{tl_version}
License: LPPL
Summary: Prefix references to bibliographies produced by bibtopic
Version: svn15878.1.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(scrlfile.sty)
Requires: tex(bibtopic.sty)
Provides: tex(bibtopicprefix.sty) = %{tl_version}

%description bibtopicprefix
The package permits users to apply prefixes (fixed strings) to
references to entries in bibliographies produced by the
bibtopic package.

%package bibtopicprefix-doc
Summary: Documentation for bibtopicprefix
Version: svn15878.1.10

Provides: tex-bibtopicprefix-doc
AutoReqProv: No

%description bibtopicprefix-doc
Documentation for bibtopicprefix

%package bibtopic
Provides: tex-bibtopic = %{tl_version}
License: GPL+
Summary: Include multiple bibliographies in a document
Version: svn15878.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(bibtopic.sty) = %{tl_version}

%description bibtopic
The package allows the user to include several bibliographies
covering different 'topics' or bibliographic material into a
document (e.g., one bibliography for primary literature and one
for secondary literature). The package provides commands to
include either all references from a .bib file, only the
references actually cited or those not cited in your document.
The user has to construct a separate .bib file for each
bibliographic 'topic', each of which will be processed
separately by BibTeX. If you want to have bibliographies
specific to one part of a document, see the packages bibunits
or chapterbib.

%package bibtopic-doc
Summary: Documentation for bibtopic
Version: svn15878.1.1a

Provides: tex-bibtopic-doc
AutoReqProv: No

%description bibtopic-doc
Documentation for bibtopic

%package bibunits
Provides: tex-bibunits = %{tl_version}
License: LPPL
Summary: Multiple bibliographies in one document
Version: svn15878.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bibunits.sty) = %{tl_version}

%description bibunits
The package provide a mechanism to generate separate
bibliographies for different units (chapters, sections or
bibunit-environments) of a text. The package separates the
citations of each unit of text into a separate file to be
processed by BibTeX. The global bibliography section produced
by LaTeX may also appear in the document and citations can be
placed in both the local unit and the global bibliographies at
the same time. The package is compatible with koma-script and
with the babel French option frenchb.

%package bibunits-doc
Summary: Documentation for bibunits
Version: svn15878.2.2

Provides: tex-bibunits-doc
AutoReqProv: No

%description bibunits-doc
Documentation for bibunits

%package bidi-atbegshi
Provides: tex-bidi-atbegshi = %{tl_version}
License: LPPL 1.3
Summary: Bidi-aware shipout macros
Version: svn35154.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(atbegshi.sty)
Provides: tex(bidi-atbegshi.sty) = %{tl_version}

%description bidi-atbegshi
The package adds some commands to the atbegshi package for
proper placement of background material in the left and right
corners of the output page, in both LTR and RTL modes. The
package only works with xelatex format and should be loaded
before the bidi package.

%package bidi-atbegshi-doc
Summary: Documentation for bidi-atbegshi
Version: svn35154.0.1

Provides: tex-bidi-atbegshi-doc
AutoReqProv: No

%description bidi-atbegshi-doc
Documentation for bidi-atbegshi

%package bidicontour
Provides: tex-bidicontour = %{tl_version}
License: LPPL 1.3
Summary: Bidi-aware coloured contour around text
Version: svn34631.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(trig.sty)
Provides: tex(bidicontour.sty) = %{tl_version}

%description bidicontour
The package is a re-implementation of the contour package,
making it bidi-aware, and adding support of the xdvipdfmx (when
the outline option of the package is used).

%package bidicontour-doc
Summary: Documentation for bidicontour
Version: svn34631.0.2

Provides: tex-bidicontour-doc
AutoReqProv: No

%description bidicontour-doc
Documentation for bidicontour

%package bidihl
Provides: tex-bidihl = %{tl_version}
License: LPPL 1.3
Summary: Experimental bidi-aware text highlighting
Version: svn37795.0.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(bidihl.sty) = %{tl_version}

%description bidihl
Experimental bidi-aware text highlighting.

%package bidihl-doc
Summary: Documentation for bidihl
Version: svn37795.0.1c

Provides: tex-bidihl-doc
AutoReqProv: No

%description bidihl-doc
Documentation for bidihl

%package bidipagegrid
Provides: tex-bidipagegrid = %{tl_version}
License: LPPL 1.3
Summary: Bidi-aware page grid in background
Version: svn34632.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(atbegshi.sty)
Requires: tex(kvoptions.sty)
Provides: tex(bidipagegrid.sty) = %{tl_version}

%description bidipagegrid
The package is based on pagegrid.

%package bidipagegrid-doc
Summary: Documentation for bidipagegrid
Version: svn34632.0.2

Provides: tex-bidipagegrid-doc
AutoReqProv: No

%description bidipagegrid-doc
Documentation for bidipagegrid

%package bidipresentation
Provides: tex-bidipresentation = %{tl_version}
License: LPPL 1.3
Summary: Experimental bidi presentation
Version: svn35267.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(scrlfile.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Requires: tex(geometry.sty)
Requires: tex(hyperref.sty)
Requires: tex(color.sty)
Requires: tex(xecolor.sty)
Provides: tex(bidiprescolors.cfg) = %{tl_version}
Provides: tex(bidipresentation.cls) = %{tl_version}

%description bidipresentation
A great portion of the code is borrowed from the texpower
bundle, with modifications to get things working properly in
both right to left and left to right modes.

%package bidipresentation-doc
Summary: Documentation for bidipresentation
Version: svn35267.0.3

Provides: tex-bidipresentation-doc
AutoReqProv: No

%description bidipresentation-doc
Documentation for bidipresentation

%package bidishadowtext
Provides: tex-bidishadowtext = %{tl_version}
License: LPPL 1.3
Summary: Bidi-aware shadow text
Version: svn34633.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(bidishadowtext.sty) = %{tl_version}

%description bidishadowtext
This package allows you to typeset Bidi-aware shadow text. It
is a re-implementation of the shadowtext package adding bidi
support.

%package bidishadowtext-doc
Summary: Documentation for bidishadowtext
Version: svn34633.0.1

Provides: tex-bidishadowtext-doc
AutoReqProv: No

%description bidishadowtext-doc
Documentation for bidishadowtext

%package bidi
Provides: tex-bidi = %{tl_version}
License: LPPL 1.3
Summary: Bidirectional typesetting in plain TeX and LaTeX, using XeTeX engine
Version: svn45523
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(iftex.sty)
Requires: tex(zref-abspage.sty)
Requires: tex(auxhook.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(showexpl.sty)
Requires: tex(color.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifthen.sty)
Requires: tex(marvosym.sty)
Requires: tex(url.sty)
Requires: tex(hyperref.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(bidituftesidenote.sty)
Requires: tex(bidituftegeneralstructure.sty)
Requires: tex(bidituftetitle.sty)
Requires: tex(xifthen.sty)
Requires: tex(ragged2e.sty)
Requires: tex(geometry.sty)
Requires: tex(changepage.sty)
Requires: tex(chngpage.sty)
Requires: tex(optparams.sty)
Requires: tex(placeins.sty)
Requires: tex(paralist.sty)
Requires: tex(multicol.sty)
Requires: tex(setspace.sty)
Requires: tex(natbib.sty)
Requires: tex(bibentry.sty)
Requires: tex(titlesec.sty)
Requires: tex(titletoc.sty)
Provides: tex(adjmulticol-xetex-bidi.def) = %{tl_version}
Provides: tex(algorithm2e-xetex-bidi.def) = %{tl_version}
Provides: tex(amsart-xetex-bidi.def) = %{tl_version}
Provides: tex(amsbook-xetex-bidi.def) = %{tl_version}
Provides: tex(amsmath-xetex-bidi.def) = %{tl_version}
Provides: tex(amstext-xetex-bidi.def) = %{tl_version}
Provides: tex(amsthm-xetex-bidi.def) = %{tl_version}
Provides: tex(array-xetex-bidi.def) = %{tl_version}
Provides: tex(article-xetex-bidi.def) = %{tl_version}
Provides: tex(artikel1-xetex-bidi.def) = %{tl_version}
Provides: tex(artikel2-xetex-bidi.def) = %{tl_version}
Provides: tex(artikel3-xetex-bidi.def) = %{tl_version}
Provides: tex(arydshln-xetex-bidi.def) = %{tl_version}
Provides: tex(bidi-longtable.sty) = %{tl_version}
Provides: tex(bidi.sty) = %{tl_version}
Provides: tex(bidi.tex) = %{tl_version}
Provides: tex(bidi2in1.sty) = %{tl_version}
Provides: tex(bidicode.sty) = %{tl_version}
Provides: tex(bidiftnxtra.sty) = %{tl_version}
Provides: tex(bidimoderncv.cls) = %{tl_version}
Provides: tex(bidipoem.sty) = %{tl_version}
Provides: tex(biditools.sty) = %{tl_version}
Provides: tex(biditufte-book.cls) = %{tl_version}
Provides: tex(biditufte-handout.cls) = %{tl_version}
Provides: tex(bidituftefloat.sty) = %{tl_version}
Provides: tex(bidituftegeneralstructure.sty) = %{tl_version}
Provides: tex(bidituftehyperref.sty) = %{tl_version}
Provides: tex(bidituftesidenote.sty) = %{tl_version}
Provides: tex(bidituftetitle.sty) = %{tl_version}
Provides: tex(bidituftetoc.sty) = %{tl_version}
Provides: tex(boek-xetex-bidi.def) = %{tl_version}
Provides: tex(boek3-xetex-bidi.def) = %{tl_version}
Provides: tex(book-xetex-bidi.def) = %{tl_version}
Provides: tex(bookest-xetex-bidi.def) = %{tl_version}
Provides: tex(breqn-xetex-bidi.def) = %{tl_version}
Provides: tex(cals-xetex-bidi.def) = %{tl_version}
Provides: tex(caption-xetex-bidi.def) = %{tl_version}
Provides: tex(caption3-xetex-bidi.def) = %{tl_version}
Provides: tex(color-xetex-bidi.def) = %{tl_version}
Provides: tex(colortbl-xetex-bidi.def) = %{tl_version}
Provides: tex(combine-xetex-bidi.def) = %{tl_version}
Provides: tex(crop-xetex-bidi.def) = %{tl_version}
Provides: tex(cuted-xetex-bidi.def) = %{tl_version}
Provides: tex(cutwin-xetex-bidi.def) = %{tl_version}
Provides: tex(cvthemebidicasual.sty) = %{tl_version}
Provides: tex(cvthemebidiclassic.sty) = %{tl_version}
Provides: tex(dblfnote-xetex-bidi.def) = %{tl_version}
Provides: tex(draftwatermark-xetex-bidi.def) = %{tl_version}
Provides: tex(empheq-xetex-bidi.def) = %{tl_version}
Provides: tex(eso-pic-xetex-bidi.def) = %{tl_version}
Provides: tex(extarticle-xetex-bidi.def) = %{tl_version}
Provides: tex(extbook-xetex-bidi.def) = %{tl_version}
Provides: tex(extletter-xetex-bidi.def) = %{tl_version}
Provides: tex(extrafootnotefeatures-xetex-bidi.def) = %{tl_version}
Provides: tex(extreport-xetex-bidi.def) = %{tl_version}
Provides: tex(fancybox-xetex-bidi.def) = %{tl_version}
Provides: tex(fancyhdr-xetex-bidi.def) = %{tl_version}
Provides: tex(fix2col-xetex-bidi.def) = %{tl_version}
Provides: tex(fleqn-xetex-bidi.def) = %{tl_version}
Provides: tex(float-xetex-bidi.def) = %{tl_version}
Provides: tex(floatrow-xetex-bidi.def) = %{tl_version}
Provides: tex(flowfram-xetex-bidi.def) = %{tl_version}
Provides: tex(footnote-xetex-bidi.def) = %{tl_version}
Provides: tex(framed-xetex-bidi.def) = %{tl_version}
Provides: tex(ftnright-xetex-bidi.def) = %{tl_version}
Provides: tex(geometry-xetex-bidi.def) = %{tl_version}
Provides: tex(graphicx-xetex-bidi.def) = %{tl_version}
Provides: tex(hvfloat-xetex-bidi.def) = %{tl_version}
Provides: tex(hyperref-xetex-bidi.def) = %{tl_version}
Provides: tex(latex-xetex-bidi.def) = %{tl_version}
Provides: tex(leqno-xetex-bidi.def) = %{tl_version}
Provides: tex(letter-xetex-bidi.def) = %{tl_version}
Provides: tex(lettrine-xetex-bidi.def) = %{tl_version}
Provides: tex(listings-xetex-bidi.def) = %{tl_version}
Provides: tex(loadingorder-xetex-bidi.def) = %{tl_version}
Provides: tex(longtable-xetex-bidi.def) = %{tl_version}
Provides: tex(mdframed-xetex-bidi.def) = %{tl_version}
Provides: tex(memoir-xetex-bidi.def) = %{tl_version}
Provides: tex(midfloat-xetex-bidi.def) = %{tl_version}
Provides: tex(minitoc-xetex-bidi.def) = %{tl_version}
Provides: tex(multicol-xetex-bidi.def) = %{tl_version}
Provides: tex(multienum-xetex-bidi.def) = %{tl_version}
Provides: tex(natbib-xetex-bidi.def) = %{tl_version}
Provides: tex(newfloat-xetex-bidi.def) = %{tl_version}
Provides: tex(ntheorem-hyper-xetex-bidi.def) = %{tl_version}
Provides: tex(ntheorem-xetex-bidi.def) = %{tl_version}
Provides: tex(pdfpages-xetex-bidi.def) = %{tl_version}
Provides: tex(pgf-xetex-bidi.def) = %{tl_version}
Provides: tex(picinpar-xetex-bidi.def) = %{tl_version}
Provides: tex(plain-xetex-bidi.def) = %{tl_version}
Provides: tex(pstricks-xetex-bidi.def) = %{tl_version}
Provides: tex(quotchap-xetex-bidi.def) = %{tl_version}
Provides: tex(ragged2e-xetex-bidi.def) = %{tl_version}
Provides: tex(rapport1-xetex-bidi.def) = %{tl_version}
Provides: tex(rapport3-xetex-bidi.def) = %{tl_version}
Provides: tex(refrep-xetex-bidi.def) = %{tl_version}
Provides: tex(report-xetex-bidi.def) = %{tl_version}
Provides: tex(rotating-xetex-bidi.def) = %{tl_version}
Provides: tex(scrartcl-xetex-bidi.def) = %{tl_version}
Provides: tex(scrbook-xetex-bidi.def) = %{tl_version}
Provides: tex(scrlettr-xetex-bidi.def) = %{tl_version}
Provides: tex(scrreprt-xetex-bidi.def) = %{tl_version}
Provides: tex(sidecap-xetex-bidi.def) = %{tl_version}
Provides: tex(stabular-xetex-bidi.def) = %{tl_version}
Provides: tex(subfigure-xetex-bidi.def) = %{tl_version}
Provides: tex(tabls-xetex-bidi.def) = %{tl_version}
Provides: tex(tabularx-xetex-bidi.def) = %{tl_version}
Provides: tex(tabulary-xetex-bidi.def) = %{tl_version}
Provides: tex(tc-xetex-bidi.def) = %{tl_version}
Provides: tex(tikz-xetex-bidi.def) = %{tl_version}
Provides: tex(titlesec-xetex-bidi.def) = %{tl_version}
Provides: tex(titletoc-xetex-bidi.def) = %{tl_version}
Provides: tex(tocbibind-xetex-bidi.def) = %{tl_version}
Provides: tex(tocloft-xetex-bidi.def) = %{tl_version}
Provides: tex(tocstyle-xetex-bidi.def) = %{tl_version}
Provides: tex(todonotes-xetex-bidi.def) = %{tl_version}
Provides: tex(wrapfig-xetex-bidi.def) = %{tl_version}
Provides: tex(xcolor-xetex-bidi.def) = %{tl_version}
Provides: tex(xltxtra-xetex-bidi.def) = %{tl_version}

%description bidi
A convenient interface for typesetting bidirectional texts with
plain TeX and LaTeX. The package includes adaptations for use
with many other commonly-used packages.

%package bidi-doc
Summary: Documentation for bidi
Version: svn45523
Provides: tex-bidi-doc
AutoReqProv: No

%description bidi-doc
Documentation for bidi

%package bigfoot
Provides: tex-bigfoot = %{tl_version}
License: GPLv2+
Summary: Footnotes for critical editions
Version: svn38248.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(manyfoot.sty)
Requires: tex(perpage.sty)
Provides: tex(bigfoot.sty) = %{tl_version}
Provides: tex(perpage.sty) = %{tl_version}
Provides: tex(suffix.sty) = %{tl_version}

%description bigfoot
The package aims to provide a 'one-stop' solution to
requirements for footnotes. It offers: Multiple footnote
apparatus superior to that of manyfoot Footnotes can be
formatted in separate paragraphs, or be run into a single
paragraph (this choice may be selected per footnote series);
Things you might have expected (such as \verb-like material in
footnotes, and colour selections over page breaks) now work.
Note that the majority of the bigfoot package's interface is
identical to that of manyfoot; users should seek information
from that package's documentation. The bigfoot bundle also
provides the perpage and suffix packages.

%package bigfoot-doc
Summary: Documentation for bigfoot
Version: svn38248.2.1

Provides: tex-bigfoot-doc
AutoReqProv: No

%description bigfoot-doc
Documentation for bigfoot

%package bigints
Provides: tex-bigints = %{tl_version}
License: LPPL
Summary: Writing big integrals
Version: svn29803.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Provides: tex(bigints.sty) = %{tl_version}

%description bigints
The package provides facilities for drawing big integral signs
when needed. An example would be when the integrand is a
matrix.

%package bigints-doc
Summary: Documentation for bigints
Version: svn29803.0

Provides: tex-bigints-doc
AutoReqProv: No

%description bigints-doc
Documentation for bigints

%package binomexp
Provides: tex-binomexp = %{tl_version}
License: LPPL
Summary: Calculate Pascal's triangle
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Provides: tex(binomexp.sty) = %{tl_version}

%description binomexp
The package calculates and prints rows of Pascal's triangle. It
may be used: simply to print successive rows of the triangle,
or to print the rows inside an array or tabular.

%package binomexp-doc
Summary: Documentation for binomexp
Version: svn15878.1.0

Provides: tex-binomexp-doc
AutoReqProv: No

%description binomexp-doc
Documentation for binomexp

%package biocon
Provides: tex-biocon = %{tl_version}
License: GPL+
Summary: Typesetting biological species names
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Provides: tex(biocon-old.sty) = %{tl_version}
Provides: tex(biocon.sty) = %{tl_version}
Provides: tex(biocon.sty) = %{tl_version}

%description biocon
The biocon--biological conventions--package aids the
typesetting of some biological conventions. At the moment, it
makes a good job of typesetting species names (and ranks below
the species level). A distinction is made between the Plant,
Fungi, Animalia and Bacteria kingdoms. There are default
settings for the way species names are typeset, but they can be
customized. Different default styles are used in different
situations.

%package biocon-doc
Summary: Documentation for biocon
Version: svn15878.0

Provides: tex-biocon-doc
AutoReqProv: No

%description biocon-doc
Documentation for biocon

%package bitelist
Provides: tex-bitelist = %{tl_version}
License: LPPL 1.3
Summary: Split list, in TeX's mouth
Version: svn25779.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bitedemo.tex) = %{tl_version}
Provides: tex(bitelist.sty) = %{tl_version}

%description bitelist
The package provides commands for "splitting" a token list at
the first occurrence of another (specified) token list. I.e.,
for given token lists s, t return b and the shortest a, such
that t = a s b. The package's mechanism differs from those of
packages providing similar features, in the following ways: the
method uses TeX's mechanism of reading delimited macro
parameters; splitting macros work by pure expansion, without
assignments; the operation is carried out in a single macro
call. A variant of the operation is provided, that retains
outer braces.

%package bitelist-doc
Summary: Documentation for bitelist
Version: svn25779.0.1

Provides: tex-bitelist-doc
AutoReqProv: No

%description bitelist-doc
Documentation for bitelist

%package bizcard
Provides: tex-bizcard = %{tl_version}
License: GPL+
Summary: Typeset business cards
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(geometry.sty)
Provides: tex(bizcard.sty) = %{tl_version}

%description bizcard
This is an adaption for current LaTeX of a LaTeX 2.09 style by
Silvano Balemi. It produces cards at the normal US card size,
76.2mm x 50.8mm.

%package bizcard-doc
Summary: Documentation for bizcard
Version: svn15878.1.1

Provides: tex-bizcard-doc
AutoReqProv: No

%description bizcard-doc
Documentation for bizcard

%package blacklettert1
Provides: tex-blacklettert1 = %{tl_version}
License: LPPL
Summary: T1-encoded versions of Haralambous old German fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tfrak.tfm) = %{tl_version}
Provides: tex(tfrakls.tfm) = %{tl_version}
Provides: tex(tgoth.tfm) = %{tl_version}
Provides: tex(tswab.tfm) = %{tl_version}
Provides: tex(tfrak.vf) = %{tl_version}
Provides: tex(tfrakls.vf) = %{tl_version}
Provides: tex(tgoth.vf) = %{tl_version}
Provides: tex(tswab.vf) = %{tl_version}
Provides: tex(t1yfrak.fd) = %{tl_version}

%description blacklettert1
This package contains virtual fonts that offer T1-alike encoded
variants of Yannis Haralambous's old German fonts Gothic,
Schwabacher and Fraktur (which are also available in Adobe type
1 format). The package includes LaTeX macros to embed the fonts
into the LaTeX font selection scheme.

%package blacklettert1-doc
Summary: Documentation for blacklettert1
Version: svn15878.0

Provides: tex-blacklettert1-doc
AutoReqProv: No

%description blacklettert1-doc
Documentation for blacklettert1

%package blindtext
Provides: tex-blindtext = %{tl_version}
License: LPPL
Summary: Producing 'blind' text for testing
Version: svn25039.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(blindtext.sty) = %{tl_version}

%description blindtext
The package provides the commands \blindtext and \Blindtext for
creating 'blind' text useful in testing new classes and
packages, and \blinddocument, \Blinddocument for creating an
entire random document with sections, lists, mathematics, etc.
The package supports three languages, english, (n)german and
latin; the latin option provides a short "lorem ipsum" (for a
fuller lorem ipsum text, see the lipsum package).

%package blindtext-doc
Summary: Documentation for blindtext
Version: svn25039.2.0

Provides: tex-blindtext-doc
AutoReqProv: No

%description blindtext-doc
Documentation for blindtext

%package blkarray
Provides: tex-blkarray = %{tl_version}
License: LPPL
Summary: Extended array and tabular
Version: svn36406.0.07

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(blkarray.sty) = %{tl_version}

%description blkarray
An experimental package which implements an environment,
blockarray, that may be used in the same way as the array or
tabular environments of standard LaTeX, or their extended
versions defined in array. If used in math-mode, blockarray
acts like array, otherwise it acts like tabular. The package
implements a new method of defining column types, and also
block and block* environments, for specifying sub-arrays of the
main array. What's more, the \footnote command works inside a
blockarray.

%package blkarray-doc
Summary: Documentation for blkarray
Version: svn36406.0.07

Provides: tex-blkarray-doc
AutoReqProv: No

%description blkarray-doc
Documentation for blkarray

%package blochsphere
Provides: tex-blochsphere = %{tl_version}
License: LPPL 1.3
Summary: Draw pseudo-3D diagrams of Bloch spheres
Version: svn38388

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(blochsphere.sty) = %{tl_version}

%description blochsphere
This package is used to draw pseudo-3D Blochsphere diagrams. It
supports various annotations, such as great and small circles,
axes, rotation markings and state vectors. It can be used in a
standalone fashion, or nested within a tikzpicture environment
by setting the environment option nested to true.

%package blochsphere-doc
Summary: Documentation for blochsphere
Version: svn38388

Provides: tex-blochsphere-doc
AutoReqProv: No

%description blochsphere-doc
Documentation for blochsphere

%package blockdraw_mp
Provides: tex-blockdraw_mp = %{tl_version}
License: LPPL
Summary: Block diagrams and bond graphs, with MetaPost
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description blockdraw_mp
A set of simple MetaPost macros for the task. While the task is
not itself difficult to program, it is felt that many users
will be happy to have a library for the job..

%package blockdraw_mp-doc
Summary: Documentation for blockdraw_mp
Version: svn15878.0

Provides: tex-blockdraw_mp-doc
AutoReqProv: No

%description blockdraw_mp-doc
Documentation for blockdraw_mp

%package block
Provides: tex-block = %{tl_version}
License: Public Domain
Summary: A block letter style for the letter class
Version: svn17209.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(block.sty) = %{tl_version}

%description block
A style file for use with the letter class that overwrites the
\opening and \closing macros so that letters can be styled with
the block letter style instead of the default style. Thus, the
return address, the closing, and the signature appear flushed
on the left margin.

%package block-doc
Summary: Documentation for block
Version: svn17209.0

Provides: tex-block-doc
AutoReqProv: No

%description block-doc
Documentation for block

%package bloques
Provides: tex-bloques = %{tl_version}
License: LPPL 1.3
Summary: Generate control diagrams
Version: svn22490.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bloques.sty) = %{tl_version}

%description bloques
The package uses TikZ to provide commands for generating
control diagrams (specially in power electronics).

%package bloques-doc
Summary: Documentation for bloques
Version: svn22490.1.0

Provides: tex-bloques-doc
AutoReqProv: No

%description bloques-doc
Documentation for bloques

%if 0

%package blowup
Provides: tex-blowup = %{tl_version}
License: LPPL
Summary: Upscale or downscale all pages of a document
Version: svn15878.0.1j

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(everyshi.sty)
Requires: tex(graphics.sty)
Requires: tex(keyval.sty)
Requires: tex(typearea.sty)
Provides: tex(blowup.sty) = %{tl_version}

%description blowup
The package blowup only defines the user-level macro \blowup,
which can be used to upscale or downscale all pages of a
document. It is similar to the TeX primitive \magnification but
more accurate and user-friendly.

%package blowup-doc
Summary: Documentation for blowup
Version: svn15878.0.1j

Provides: tex-blowup-doc
AutoReqProv: No

%description blowup-doc
Documentation for blowup

%endif

%package blox
Provides: tex-blox = %{tl_version}
License: LPPL
Summary: Draw block diagrams, using TikZ
Version: svn35014.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(tikz.sty)
Requires: tex(pgffor.sty)
Provides: tex(blox.sty) = %{tl_version}

%description blox
This package, along with TikZ, will typeset block diagrams for
use with programming and control theory. It is an English
translation of the schemabloc package.

%package blox-doc
Summary: Documentation for blox
Version: svn35014.2.5

Provides: tex-blox-doc
AutoReqProv: No

%description blox-doc
Documentation for blox

%package bnumexpr
Provides: tex-bnumexpr = %{tl_version}
License: LPPL 1.3
Summary: Extends eTeX's \numexpr...\relax construct to big integers
Version: svn44901
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xintcore.sty)
Requires: tex(bigintcalc.sty)
Provides: tex(bnumexpr.sty) = %{tl_version}

%description bnumexpr
The package extends eTeX \numexpr...\relax operation to allow
big integers. Package option allowpower furthermore enables ^
for power operations. By default, bnumexpr loads package
xintcore (part of the xint bundle) and uses its arithmetic
macros.

%package bnumexpr-doc
Summary: Documentation for bnumexpr
Version: svn44901
Provides: tex-bnumexpr-doc
AutoReqProv: No

%description bnumexpr-doc
Documentation for bnumexpr

%package bodegraph
Provides: tex-bodegraph = %{tl_version}
License: LPPL
Summary: Draw Bode, Nyquist and Black plots with gnuplot and TikZ
Version: svn20047.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifsym.sty)
Provides: tex(bodegraph.sty) = %{tl_version}

%description bodegraph
The package provides facilities to draw Bode, Nyquist and Black
plots using Gnuplot and Tikz. Elementary Transfer Functions and
basic correctors are preprogrammed for use.

%package bodegraph-doc
Summary: Documentation for bodegraph
Version: svn20047.1.4

Provides: tex-bodegraph-doc
AutoReqProv: No

%description bodegraph-doc
Documentation for bodegraph

%package bohr
Provides: tex-bohr = %{tl_version}
License: LPPL 1.3
Summary: Simple atom representation according to the Bohr model
Version: svn37657.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(pgfopts.sty)
Requires: tex(elements.sty)
Provides: tex(bohr.sty) = %{tl_version}

%description bohr
The package provides means for the creation of simple Bohr
models of atoms up to the atomic number 112. In addition,
commands are provided to convert atomic numbers to element
symbols or element names and vice versa.

%package bohr-doc
Summary: Documentation for bohr
Version: svn37657.1.0

Provides: tex-bohr-doc
AutoReqProv: No

%description bohr-doc
Documentation for bohr

%package boisik
Provides: tex-boisik = %{tl_version}
License: GPLv2+
Summary: A font inspired by Baskerville design
Version: svn15878.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bskarr10.tfm) = %{tl_version}
Provides: tex(bskex10.tfm) = %{tl_version}
Provides: tex(bskhc10.tfm) = %{tl_version}
Provides: tex(bski10-TS1.tfm) = %{tl_version}
Provides: tex(bski10.tfm) = %{tl_version}
Provides: tex(bskib10.tfm) = %{tl_version}
Provides: tex(bskiol10.tfm) = %{tl_version}
Provides: tex(bskiu10.tfm) = %{tl_version}
Provides: tex(bskiub10.tfm) = %{tl_version}
Provides: tex(bskma10.tfm) = %{tl_version}
Provides: tex(bskmab10.tfm) = %{tl_version}
Provides: tex(bskmi10.tfm) = %{tl_version}
Provides: tex(bskmib10.tfm) = %{tl_version}
Provides: tex(bskms10.tfm) = %{tl_version}
Provides: tex(bskmsb10.tfm) = %{tl_version}
Provides: tex(bskmsbsl10.tfm) = %{tl_version}
Provides: tex(bskmssl10.tfm) = %{tl_version}
Provides: tex(bskr10-T1.tfm) = %{tl_version}
Provides: tex(bskr10-TS1.tfm) = %{tl_version}
Provides: tex(bskr10.tfm) = %{tl_version}
Provides: tex(bskrb10.tfm) = %{tl_version}
Provides: tex(bskrc10.tfm) = %{tl_version}
Provides: tex(bskrcb10.tfm) = %{tl_version}
Provides: tex(bskrf10.tfm) = %{tl_version}
Provides: tex(bskrl10.tfm) = %{tl_version}
Provides: tex(bskrol10.tfm) = %{tl_version}
Provides: tex(bskrsb10.tfm) = %{tl_version}
Provides: tex(bskrsl10.tfm) = %{tl_version}
Provides: tex(bskrw10.tfm) = %{tl_version}
Provides: tex(bsksc10.tfm) = %{tl_version}
Provides: tex(bsksy10.tfm) = %{tl_version}
Provides: tex(bsksyol10.tfm) = %{tl_version}
Provides: tex(bsksysl10.tfm) = %{tl_version}
Provides: tex(boisik.sty) = %{tl_version}
Provides: tex(il2bsk.fd) = %{tl_version}
Provides: tex(il2bskf.fd) = %{tl_version}
Provides: tex(lblbskm.fd) = %{tl_version}
Provides: tex(lblcmr.fd) = %{tl_version}
Provides: tex(lblenc.def) = %{tl_version}
Provides: tex(lbmbsk.fd) = %{tl_version}
Provides: tex(lbmbskms.fd) = %{tl_version}
Provides: tex(lbmcmr.fd) = %{tl_version}
Provides: tex(lbmenc.def) = %{tl_version}
Provides: tex(lbsbsk.fd) = %{tl_version}
Provides: tex(lbsbsksy.fd) = %{tl_version}
Provides: tex(lbscmr.fd) = %{tl_version}
Provides: tex(lbsenc.def) = %{tl_version}
Provides: tex(ot1bsk.fd) = %{tl_version}
Provides: tex(ot1bskf.fd) = %{tl_version}
Provides: tex(ts1bsk.fd) = %{tl_version}
Provides: tex(ubskex.fd) = %{tl_version}

%description boisik
Boisik is a serif font set (inspired by the Baskerville
typeface), written in Metafont. The set comprises roman and
italic text fonts and maths fonts. LaTeX support is offered for
use with OT1, IL2 and OM* encodings.

%package boisik-doc
Summary: Documentation for boisik
Version: svn15878.0.5

Provides: tex-boisik-doc
AutoReqProv: No

%description boisik-doc
Documentation for boisik

%package boites
Provides: tex-boites = %{tl_version}
License: GPL+
Summary: Boxes that may break across pages
Version: svn32235.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(boites.sty) = %{tl_version}
Provides: tex(boites_exemples.sty) = %{tl_version}

%description boites
Defines environments that allow page breaks inside framed boxes
whose edges may be variously fancy. The bundle includes a few
examples (shaded box, box with a wavy line on its side, etc).

%package boites-doc
Summary: Documentation for boites
Version: svn32235.1.1

Provides: tex-boites-doc
AutoReqProv: No

%description boites-doc
Documentation for boites

%package bold-extra
Provides: tex-bold-extra = %{tl_version}
License: LPPL
Summary: Use bold small caps and typewriter fonts
Version: svn17076.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bold-extra.sty) = %{tl_version}

%description bold-extra
Allows access to 'extra' bold fonts for Computer Modern OT1
encoding (the fonts are available in Metafont source). Since
there is more than one bold tt-family font set, the version
required is selected by a package option.

%package bold-extra-doc
Summary: Documentation for bold-extra
Version: svn17076.0.1

Provides: tex-bold-extra-doc
AutoReqProv: No

%description bold-extra-doc
Documentation for bold-extra

%package boldtensors
Provides: tex-boldtensors = %{tl_version}
License: GPL+
Summary: Bold latin and greek characters through simple prefix characters
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(boldtensors.sty) = %{tl_version}

%description boldtensors
This package provides bold latin and greek characters within
\mathversion{normal}, by using ~ and " as prefix characters.

%package boldtensors-doc
Summary: Documentation for boldtensors
Version: svn15878.0

Provides: tex-boldtensors-doc
AutoReqProv: No

%description boldtensors-doc
Documentation for boldtensors

%package bondgraphs
Provides: tex-bondgraphs = %{tl_version}
License: LPPL 1.3
Summary: Draws bond graphs in LaTeX, using pgf/TikZ
Version: svn36605.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(amsfonts.sty)
Requires: tex(bm.sty)
Requires: tex(kvoptions.sty)
Provides: tex(bondgraphs.sty) = %{tl_version}

%description bondgraphs
The package is used to draw bond graphs in LaTeX. It uses a
recent version (3.0+) of PGF and TikZ for the drawing, hence,
it is mainly a set of TikZ styles that makes the drawing of
bond graphs easier. Compared to the bondgraph package this
package relies more on TikZ styles and less on macros, to
generate the drawings. As such it can be more flexible than
his, but requires more TikZ knowledge of the user.

%package bondgraphs-doc
Summary: Documentation for bondgraphs
Version: svn36605.1.0.1

Provides: tex-bondgraphs-doc
AutoReqProv: No

%description bondgraphs-doc
Documentation for bondgraphs

%package bondgraph
Provides: tex-bondgraph = %{tl_version}
License: LPPL 1.3
Summary: Create bond graph figures in LaTeX documents
Version: svn21670.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Provides: tex(bondgraph.sty) = %{tl_version}

%description bondgraph
The package draws bond graphs using PGF and TikZ.

%package bondgraph-doc
Summary: Documentation for bondgraph
Version: svn21670.1.0

Provides: tex-bondgraph-doc
AutoReqProv: No

%description bondgraph-doc
Documentation for bondgraph

%package bookcover
Provides: tex-bookcover = %{tl_version}
License: LPPL 1.2
Summary: A class for book covers and dust jackets
Version: svn43861
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Requires: tex(xcolor.sty)
Requires: tex(ifthen.sty)
Requires: tex(tikz.sty)
Requires: tex(eso-pic.sty)
Requires: tex(textpos.sty)
Provides: tex(bookcover.cls) = %{tl_version}

%description bookcover
This class helps typesetting book covers and dust jackets.

%package bookcover-doc
Summary: Documentation for bookcover
Version: svn43861
Provides: tex-bookcover-doc
AutoReqProv: No

%description bookcover-doc
Documentation for bookcover

%package bookdb
Provides: tex-bookdb = %{tl_version}
License: LPPL 1.3
Summary: A BibTeX style file for cataloguing a home library
Version: svn37536.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description bookdb
This package provides an extended book entry for use in
cataloguing a home library. The extensions include fields for
binding, category, collator, condition, copy, illustrations,
introduction, location, pages, size, value, volumes.

%package bookdb-doc
Summary: Documentation for bookdb
Version: svn37536.0.2

Provides: tex-bookdb-doc
AutoReqProv: No

%description bookdb-doc
Documentation for bookdb

%package bookest
Provides: tex-bookest = %{tl_version}
License: LPPL
Summary: Extended book class
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(setspace.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Requires: tex(eso-pic.sty)
Requires: tex(geometry.sty)
Requires: tex(everyshi.sty)
Provides: tex(bookest.cls) = %{tl_version}

%description bookest
The class extends the standard book class, in the areas of
colour scheme management, document layout, headings and
footers, front page layout, and other minor items.

%package bookest-doc
Summary: Documentation for bookest
Version: svn15878.1.1

Provides: tex-bookest-doc
AutoReqProv: No

%description bookest-doc
Documentation for bookest

%package bookhands
Provides: tex-bookhands = %{tl_version}
License: LPPL
Summary: A collection of book-hand fonts
Version: svn23609.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(egothic.sty)
Requires: tex(huncial.sty)
Requires: tex(inslrmin.sty)
Requires: tex(rotunda.sty)
Requires: tex(sqrcaps.sty)
Provides: tex(sqrcaps.map) = %{tl_version}
Provides: tex(auncl17.tfm) = %{tl_version}
Provides: tex(auncl7.tfm) = %{tl_version}
Provides: tex(aunclb17.tfm) = %{tl_version}
Provides: tex(aunclb7.tfm) = %{tl_version}
Provides: tex(cmin10.tfm) = %{tl_version}
Provides: tex(cmin17.tfm) = %{tl_version}
Provides: tex(cmin7.tfm) = %{tl_version}
Provides: tex(cminb10.tfm) = %{tl_version}
Provides: tex(cminb17.tfm) = %{tl_version}
Provides: tex(cminb7.tfm) = %{tl_version}
Provides: tex(egoth10.tfm) = %{tl_version}
Provides: tex(egoth17.tfm) = %{tl_version}
Provides: tex(egoth7.tfm) = %{tl_version}
Provides: tex(egothb10.tfm) = %{tl_version}
Provides: tex(egothb17.tfm) = %{tl_version}
Provides: tex(egothb7.tfm) = %{tl_version}
Provides: tex(hmin10.tfm) = %{tl_version}
Provides: tex(hmin17.tfm) = %{tl_version}
Provides: tex(hmin7.tfm) = %{tl_version}
Provides: tex(hminb10.tfm) = %{tl_version}
Provides: tex(hminb17.tfm) = %{tl_version}
Provides: tex(hminb7.tfm) = %{tl_version}
Provides: tex(huncl10.tfm) = %{tl_version}
Provides: tex(huncl17.tfm) = %{tl_version}
Provides: tex(huncl7.tfm) = %{tl_version}
Provides: tex(hunclb10.tfm) = %{tl_version}
Provides: tex(hunclb17.tfm) = %{tl_version}
Provides: tex(hunclb7.tfm) = %{tl_version}
Provides: tex(imaj10.tfm) = %{tl_version}
Provides: tex(imaj17.tfm) = %{tl_version}
Provides: tex(imaj7.tfm) = %{tl_version}
Provides: tex(imajb10.tfm) = %{tl_version}
Provides: tex(imajb17.tfm) = %{tl_version}
Provides: tex(imajb7.tfm) = %{tl_version}
Provides: tex(imin10.tfm) = %{tl_version}
Provides: tex(imin17.tfm) = %{tl_version}
Provides: tex(imin7.tfm) = %{tl_version}
Provides: tex(iminb10.tfm) = %{tl_version}
Provides: tex(iminb17.tfm) = %{tl_version}
Provides: tex(iminb7.tfm) = %{tl_version}
Provides: tex(pgoth10.tfm) = %{tl_version}
Provides: tex(pgoth17.tfm) = %{tl_version}
Provides: tex(pgoth7.tfm) = %{tl_version}
Provides: tex(pgothb10.tfm) = %{tl_version}
Provides: tex(pgothb17.tfm) = %{tl_version}
Provides: tex(rtnd10.tfm) = %{tl_version}
Provides: tex(rtnd17.tfm) = %{tl_version}
Provides: tex(rtnd7.tfm) = %{tl_version}
Provides: tex(rtndb10.tfm) = %{tl_version}
Provides: tex(rtndb17.tfm) = %{tl_version}
Provides: tex(rtndb7.tfm) = %{tl_version}
Provides: tex(rust10.tfm) = %{tl_version}
Provides: tex(rust17.tfm) = %{tl_version}
Provides: tex(rust7.tfm) = %{tl_version}
Provides: tex(rustb10.tfm) = %{tl_version}
Provides: tex(rustb17.tfm) = %{tl_version}
Provides: tex(rustb7.tfm) = %{tl_version}
Provides: tex(sqrc10.tfm) = %{tl_version}
Provides: tex(sqrcb10.tfm) = %{tl_version}
Provides: tex(uncl10.tfm) = %{tl_version}
Provides: tex(uncl17.tfm) = %{tl_version}
Provides: tex(uncl7.tfm) = %{tl_version}
Provides: tex(unclb10.tfm) = %{tl_version}
Provides: tex(unclb17.tfm) = %{tl_version}
Provides: tex(unclb7.tfm) = %{tl_version}
Provides: tex(sqrc10.pfb) = %{tl_version}
Provides: tex(sqrcb10.pfb) = %{tl_version}
Provides: tex(allcmin.sty) = %{tl_version}
Provides: tex(allegoth.sty) = %{tl_version}
Provides: tex(allhmin.sty) = %{tl_version}
Provides: tex(allhuncl.sty) = %{tl_version}
Provides: tex(allimaj.sty) = %{tl_version}
Provides: tex(allimin.sty) = %{tl_version}
Provides: tex(allpgoth.sty) = %{tl_version}
Provides: tex(allrtnd.sty) = %{tl_version}
Provides: tex(allrust.sty) = %{tl_version}
Provides: tex(allsqrc.sty) = %{tl_version}
Provides: tex(alluncl.sty) = %{tl_version}
Provides: tex(carolmin.sty) = %{tl_version}
Provides: tex(egothic.sty) = %{tl_version}
Provides: tex(humanist.sty) = %{tl_version}
Provides: tex(huncial.sty) = %{tl_version}
Provides: tex(inslrmaj.sty) = %{tl_version}
Provides: tex(inslrmin.sty) = %{tl_version}
Provides: tex(ot1auncl.fd) = %{tl_version}
Provides: tex(ot1cmin.fd) = %{tl_version}
Provides: tex(ot1egoth.fd) = %{tl_version}
Provides: tex(ot1hmin.fd) = %{tl_version}
Provides: tex(ot1huncl.fd) = %{tl_version}
Provides: tex(ot1imaj.fd) = %{tl_version}
Provides: tex(ot1imin.fd) = %{tl_version}
Provides: tex(ot1pgoth.fd) = %{tl_version}
Provides: tex(ot1rtnd.fd) = %{tl_version}
Provides: tex(ot1rust.fd) = %{tl_version}
Provides: tex(ot1sqrc.fd) = %{tl_version}
Provides: tex(ot1uncl.fd) = %{tl_version}
Provides: tex(pgothic.sty) = %{tl_version}
Provides: tex(rotunda.sty) = %{tl_version}
Provides: tex(rustic.sty) = %{tl_version}
Provides: tex(sqrcaps.sty) = %{tl_version}
Provides: tex(t1auncl.fd) = %{tl_version}
Provides: tex(t1cmin.fd) = %{tl_version}
Provides: tex(t1egoth.fd) = %{tl_version}
Provides: tex(t1hmin.fd) = %{tl_version}
Provides: tex(t1huncl.fd) = %{tl_version}
Provides: tex(t1imaj.fd) = %{tl_version}
Provides: tex(t1imin.fd) = %{tl_version}
Provides: tex(t1pgoth.fd) = %{tl_version}
Provides: tex(t1rtnd.fd) = %{tl_version}
Provides: tex(t1rust.fd) = %{tl_version}
Provides: tex(t1sqrc.fd) = %{tl_version}
Provides: tex(t1uncl.fd) = %{tl_version}
Provides: tex(uncial.sty) = %{tl_version}

%description bookhands
This is a set of book-hand (MetaFont) fonts and packages
covering manuscript scripts from the 1st century until
Gutenberg and Caxton. The included hands are: Square Capitals
(1st century onwards); Roman Rustic (1st-6th centuries);
Insular Minuscule (6th cenury onwards); Carolingian Minuscule
(8th-12th centuries); Early Gothic (11th-12th centuries);
Gothic Textura Quadrata (13th-15th centuries); Gothic Textura
Prescisus vel sine pedibus (13th century onwards); Rotunda (13-
15th centuries); Humanist Minuscule (14th century onwards);
Uncial (3rd-6th centuries); Half Uncial (3rd-9th centuries);
Artificial Uncial (6th-10th centuries); and Insular Majuscule
(6th-9th centuries).

%package bookhands-doc
Summary: Documentation for bookhands
Version: svn23609.0

Provides: tex-bookhands-doc
AutoReqProv: No

%description bookhands-doc
Documentation for bookhands

%package booklet
Provides: tex-booklet = %{tl_version}
License: LPPL 1.3
Summary: Aids for printing simple booklets
Version: svn15878.0.7b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bkltprnt.sty) = %{tl_version}
Provides: tex(booklet.sty) = %{tl_version}

%description booklet
Pages of a document processed with the booklet package will be
reordered and scaled so that they can be printed as four pages
per physical sheet of paper, two pages per side. The resulting
sheets will, when folded in half, assemble into a booklet.
Instructions on producing the manual itself as a booklet are
included.

%package booklet-doc
Summary: Documentation for booklet
Version: svn15878.0.7b

Provides: tex-booklet-doc
AutoReqProv: No

%description booklet-doc
Documentation for booklet

%package bookman
Provides: tex-bookman = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(ubk.map) = %{tl_version}
Provides: tex(pbkd.tfm) = %{tl_version}
Provides: tex(pbkd7t.tfm) = %{tl_version}
Provides: tex(pbkd8c.tfm) = %{tl_version}
Provides: tex(pbkd8r.tfm) = %{tl_version}
Provides: tex(pbkd8t.tfm) = %{tl_version}
Provides: tex(pbkdc.tfm) = %{tl_version}
Provides: tex(pbkdc7t.tfm) = %{tl_version}
Provides: tex(pbkdc8t.tfm) = %{tl_version}
Provides: tex(pbkdi.tfm) = %{tl_version}
Provides: tex(pbkdi7t.tfm) = %{tl_version}
Provides: tex(pbkdi8c.tfm) = %{tl_version}
Provides: tex(pbkdi8r.tfm) = %{tl_version}
Provides: tex(pbkdi8t.tfm) = %{tl_version}
Provides: tex(pbkdo.tfm) = %{tl_version}
Provides: tex(pbkdo7t.tfm) = %{tl_version}
Provides: tex(pbkdo8c.tfm) = %{tl_version}
Provides: tex(pbkdo8r.tfm) = %{tl_version}
Provides: tex(pbkdo8t.tfm) = %{tl_version}
Provides: tex(pbkl.tfm) = %{tl_version}
Provides: tex(pbkl7t.tfm) = %{tl_version}
Provides: tex(pbkl8c.tfm) = %{tl_version}
Provides: tex(pbkl8r.tfm) = %{tl_version}
Provides: tex(pbkl8t.tfm) = %{tl_version}
Provides: tex(pbklc.tfm) = %{tl_version}
Provides: tex(pbklc7t.tfm) = %{tl_version}
Provides: tex(pbklc8t.tfm) = %{tl_version}
Provides: tex(pbkli.tfm) = %{tl_version}
Provides: tex(pbkli7t.tfm) = %{tl_version}
Provides: tex(pbkli8c.tfm) = %{tl_version}
Provides: tex(pbkli8r.tfm) = %{tl_version}
Provides: tex(pbkli8t.tfm) = %{tl_version}
Provides: tex(pbklo.tfm) = %{tl_version}
Provides: tex(pbklo7t.tfm) = %{tl_version}
Provides: tex(pbklo8c.tfm) = %{tl_version}
Provides: tex(pbklo8r.tfm) = %{tl_version}
Provides: tex(pbklo8t.tfm) = %{tl_version}
Provides: tex(ubkb7t.tfm) = %{tl_version}
Provides: tex(ubkb8c.tfm) = %{tl_version}
Provides: tex(ubkb8r.tfm) = %{tl_version}
Provides: tex(ubkb8t.tfm) = %{tl_version}
Provides: tex(ubkbc7t.tfm) = %{tl_version}
Provides: tex(ubkbc8t.tfm) = %{tl_version}
Provides: tex(ubkbi7t.tfm) = %{tl_version}
Provides: tex(ubkbi8c.tfm) = %{tl_version}
Provides: tex(ubkbi8r.tfm) = %{tl_version}
Provides: tex(ubkbi8t.tfm) = %{tl_version}
Provides: tex(ubkbo7t.tfm) = %{tl_version}
Provides: tex(ubkbo8c.tfm) = %{tl_version}
Provides: tex(ubkbo8r.tfm) = %{tl_version}
Provides: tex(ubkbo8t.tfm) = %{tl_version}
Provides: tex(ubkd7t.tfm) = %{tl_version}
Provides: tex(ubkd8c.tfm) = %{tl_version}
Provides: tex(ubkd8r.tfm) = %{tl_version}
Provides: tex(ubkd8t.tfm) = %{tl_version}
Provides: tex(ubkdc7t.tfm) = %{tl_version}
Provides: tex(ubkdc8t.tfm) = %{tl_version}
Provides: tex(ubkdi7t.tfm) = %{tl_version}
Provides: tex(ubkdi8c.tfm) = %{tl_version}
Provides: tex(ubkdi8r.tfm) = %{tl_version}
Provides: tex(ubkdi8t.tfm) = %{tl_version}
Provides: tex(ubkdo7t.tfm) = %{tl_version}
Provides: tex(ubkdo8c.tfm) = %{tl_version}
Provides: tex(ubkdo8r.tfm) = %{tl_version}
Provides: tex(ubkdo8t.tfm) = %{tl_version}
Provides: tex(ubkl7t.tfm) = %{tl_version}
Provides: tex(ubkl8c.tfm) = %{tl_version}
Provides: tex(ubkl8r.tfm) = %{tl_version}
Provides: tex(ubkl8t.tfm) = %{tl_version}
Provides: tex(ubklc7t.tfm) = %{tl_version}
Provides: tex(ubklc8t.tfm) = %{tl_version}
Provides: tex(ubkli7t.tfm) = %{tl_version}
Provides: tex(ubkli8c.tfm) = %{tl_version}
Provides: tex(ubkli8r.tfm) = %{tl_version}
Provides: tex(ubkli8t.tfm) = %{tl_version}
Provides: tex(ubklo7t.tfm) = %{tl_version}
Provides: tex(ubklo8c.tfm) = %{tl_version}
Provides: tex(ubklo8r.tfm) = %{tl_version}
Provides: tex(ubklo8t.tfm) = %{tl_version}
Provides: tex(ubkr7t.tfm) = %{tl_version}
Provides: tex(ubkr8c.tfm) = %{tl_version}
Provides: tex(ubkr8r.tfm) = %{tl_version}
Provides: tex(ubkr8t.tfm) = %{tl_version}
Provides: tex(ubkrc7t.tfm) = %{tl_version}
Provides: tex(ubkrc8t.tfm) = %{tl_version}
Provides: tex(ubkri7t.tfm) = %{tl_version}
Provides: tex(ubkri8c.tfm) = %{tl_version}
Provides: tex(ubkri8r.tfm) = %{tl_version}
Provides: tex(ubkri8t.tfm) = %{tl_version}
Provides: tex(ubkro7t.tfm) = %{tl_version}
Provides: tex(ubkro8c.tfm) = %{tl_version}
Provides: tex(ubkro8r.tfm) = %{tl_version}
Provides: tex(ubkro8t.tfm) = %{tl_version}
Provides: tex(ubkd8a.pfb) = %{tl_version}
Provides: tex(ubkdi8a.pfb) = %{tl_version}
Provides: tex(ubkl8a.pfb) = %{tl_version}
Provides: tex(ubkli8a.pfb) = %{tl_version}
Provides: tex(pbkd.vf) = %{tl_version}
Provides: tex(pbkd7t.vf) = %{tl_version}
Provides: tex(pbkd8c.vf) = %{tl_version}
Provides: tex(pbkd8t.vf) = %{tl_version}
Provides: tex(pbkdc.vf) = %{tl_version}
Provides: tex(pbkdc7t.vf) = %{tl_version}
Provides: tex(pbkdc8t.vf) = %{tl_version}
Provides: tex(pbkdi.vf) = %{tl_version}
Provides: tex(pbkdi7t.vf) = %{tl_version}
Provides: tex(pbkdi8c.vf) = %{tl_version}
Provides: tex(pbkdi8t.vf) = %{tl_version}
Provides: tex(pbkdo.vf) = %{tl_version}
Provides: tex(pbkdo7t.vf) = %{tl_version}
Provides: tex(pbkdo8c.vf) = %{tl_version}
Provides: tex(pbkdo8t.vf) = %{tl_version}
Provides: tex(pbkl.vf) = %{tl_version}
Provides: tex(pbkl7t.vf) = %{tl_version}
Provides: tex(pbkl8c.vf) = %{tl_version}
Provides: tex(pbkl8t.vf) = %{tl_version}
Provides: tex(pbklc.vf) = %{tl_version}
Provides: tex(pbklc7t.vf) = %{tl_version}
Provides: tex(pbklc8t.vf) = %{tl_version}
Provides: tex(pbkli.vf) = %{tl_version}
Provides: tex(pbkli7t.vf) = %{tl_version}
Provides: tex(pbkli8c.vf) = %{tl_version}
Provides: tex(pbkli8t.vf) = %{tl_version}
Provides: tex(pbklo.vf) = %{tl_version}
Provides: tex(pbklo7t.vf) = %{tl_version}
Provides: tex(pbklo8c.vf) = %{tl_version}
Provides: tex(pbklo8t.vf) = %{tl_version}
Provides: tex(ubkb7t.vf) = %{tl_version}
Provides: tex(ubkb8c.vf) = %{tl_version}
Provides: tex(ubkb8t.vf) = %{tl_version}
Provides: tex(ubkbc7t.vf) = %{tl_version}
Provides: tex(ubkbc8t.vf) = %{tl_version}
Provides: tex(ubkbi7t.vf) = %{tl_version}
Provides: tex(ubkbi8c.vf) = %{tl_version}
Provides: tex(ubkbi8t.vf) = %{tl_version}
Provides: tex(ubkbo7t.vf) = %{tl_version}
Provides: tex(ubkbo8c.vf) = %{tl_version}
Provides: tex(ubkbo8t.vf) = %{tl_version}
Provides: tex(ubkd7t.vf) = %{tl_version}
Provides: tex(ubkd8c.vf) = %{tl_version}
Provides: tex(ubkd8t.vf) = %{tl_version}
Provides: tex(ubkdc7t.vf) = %{tl_version}
Provides: tex(ubkdc8t.vf) = %{tl_version}
Provides: tex(ubkdi7t.vf) = %{tl_version}
Provides: tex(ubkdi8c.vf) = %{tl_version}
Provides: tex(ubkdi8t.vf) = %{tl_version}
Provides: tex(ubkdo7t.vf) = %{tl_version}
Provides: tex(ubkdo8c.vf) = %{tl_version}
Provides: tex(ubkdo8t.vf) = %{tl_version}
Provides: tex(ubkl7t.vf) = %{tl_version}
Provides: tex(ubkl8c.vf) = %{tl_version}
Provides: tex(ubkl8t.vf) = %{tl_version}
Provides: tex(ubklc7t.vf) = %{tl_version}
Provides: tex(ubklc8t.vf) = %{tl_version}
Provides: tex(ubkli7t.vf) = %{tl_version}
Provides: tex(ubkli8c.vf) = %{tl_version}
Provides: tex(ubkli8t.vf) = %{tl_version}
Provides: tex(ubklo7t.vf) = %{tl_version}
Provides: tex(ubklo8c.vf) = %{tl_version}
Provides: tex(ubklo8t.vf) = %{tl_version}
Provides: tex(ubkr7t.vf) = %{tl_version}
Provides: tex(ubkr8c.vf) = %{tl_version}
Provides: tex(ubkr8t.vf) = %{tl_version}
Provides: tex(ubkrc7t.vf) = %{tl_version}
Provides: tex(ubkrc8t.vf) = %{tl_version}
Provides: tex(ubkri7t.vf) = %{tl_version}
Provides: tex(ubkri8c.vf) = %{tl_version}
Provides: tex(ubkri8t.vf) = %{tl_version}
Provides: tex(ubkro7t.vf) = %{tl_version}
Provides: tex(ubkro8c.vf) = %{tl_version}
Provides: tex(ubkro8t.vf) = %{tl_version}
Provides: tex(8rubk.fd) = %{tl_version}
Provides: tex(omlubk.fd) = %{tl_version}
Provides: tex(omsubk.fd) = %{tl_version}
Provides: tex(ot1ubk.fd) = %{tl_version}
Provides: tex(t1ubk.fd) = %{tl_version}
Provides: tex(ts1ubk.fd) = %{tl_version}

%description bookman
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package booktabs-de-doc
Summary: Documentation for booktabs-de
Version: svn21907.1.61803

Provides: tex-booktabs-de-doc
AutoReqProv: No

%description booktabs-de-doc
Documentation for booktabs-de

%package booktabs-fr-doc
Summary: Documentation for booktabs-fr
Version: svn21948.1.00

Provides: tex-booktabs-fr-doc
AutoReqProv: No

%description booktabs-fr-doc
Documentation for booktabs-fr

%package booktabs
Provides: tex-booktabs = %{tl_version}
License: GPL+
Summary: Publication quality tables in LaTeX
Version: svn40846

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(booktabs.sty) = %{tl_version}

%description booktabs
The package enhances the quality of tables in LaTeX, providing
extra commands as well as behind-the-scenes optimisation.
Guidelines are given as to what constitutes a good table in
this context. From version 1.61, the package offers longtable
compatibility.

%package booktabs-doc
Summary: Documentation for booktabs
Version: svn40846

Provides: tex-booktabs-doc
AutoReqProv: No

%description booktabs-doc
Documentation for booktabs

%package boolexpr
Provides: tex-boolexpr = %{tl_version}
License: LPPL
Summary: A boolean expression evaluator and a switch command
Version: svn17830.3.14

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(boolexpr.sty) = %{tl_version}

%description boolexpr
The \boolexpr macro evaluates boolean expressions in a purely
expandable way. \boolexpr{ A \OR B \AND C } expands to 0 if the
logical expression is TRUE. A, B, C may be: numeric expressions
such as: x=y, x<>y, x>y or x<y; - boolean switches: \iftrue
0\else 1\fi; - conditionals: \ifcsname whatsit\endcsname 0\else
1\fi; - another \boolexpr: \boolexpr{ D \OR E \AND F }:
\boolexpr may be used with \ifcase: \ifcase\boolexpr{ A \OR B
\AND C } What to do if true \else What to do if false \fi The
\switch command (which is also expandable) has the form:
\switch \case{<boolean expression>} ... \case{<boolean
expression>} ... ... \otherwise ... \endswitch

%package boolexpr-doc
Summary: Documentation for boolexpr
Version: svn17830.3.14

Provides: tex-boolexpr-doc
AutoReqProv: No

%description boolexpr-doc
Documentation for boolexpr

%package boondox
Provides: tex-boondox = %{tl_version}
License: LPPL
Summary: Mathematical alphabets derived from the STIX fonts
Version: svn43344
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(xkeyval.sty)
Provides: tex(boondox.map) = %{tl_version}
Provides: tex(BOONDOX-b-cal.tfm) = %{tl_version}
Provides: tex(BOONDOX-b-calo.tfm) = %{tl_version}
Provides: tex(BOONDOX-b-ds.tfm) = %{tl_version}
Provides: tex(BOONDOX-b-frak.tfm) = %{tl_version}
Provides: tex(BOONDOX-r-cal.tfm) = %{tl_version}
Provides: tex(BOONDOX-r-calo.tfm) = %{tl_version}
Provides: tex(BOONDOX-r-ds.tfm) = %{tl_version}
Provides: tex(BOONDOX-r-frak.tfm) = %{tl_version}
Provides: tex(zxxbf7z.tfm) = %{tl_version}
Provides: tex(zxxbf8a.tfm) = %{tl_version}
Provides: tex(zxxbl7z.tfm) = %{tl_version}
Provides: tex(zxxbl8a.tfm) = %{tl_version}
Provides: tex(zxxbow7z.tfm) = %{tl_version}
Provides: tex(zxxbw7z.tfm) = %{tl_version}
Provides: tex(zxxbw8a.tfm) = %{tl_version}
Provides: tex(zxxrf7z.tfm) = %{tl_version}
Provides: tex(zxxrf8a.tfm) = %{tl_version}
Provides: tex(zxxrl7z.tfm) = %{tl_version}
Provides: tex(zxxrl8a.tfm) = %{tl_version}
Provides: tex(zxxrow7z.tfm) = %{tl_version}
Provides: tex(zxxrw7z.tfm) = %{tl_version}
Provides: tex(zxxrw8a.tfm) = %{tl_version}
Provides: tex(zxxbf8a.pfb) = %{tl_version}
Provides: tex(zxxbl8a.pfb) = %{tl_version}
Provides: tex(zxxbw8a.pfb) = %{tl_version}
Provides: tex(zxxrf8a.pfb) = %{tl_version}
Provides: tex(zxxrl8a.pfb) = %{tl_version}
Provides: tex(zxxrw8a.pfb) = %{tl_version}
Provides: tex(BOONDOX-b-cal.vf) = %{tl_version}
Provides: tex(BOONDOX-b-calo.vf) = %{tl_version}
Provides: tex(BOONDOX-b-ds.vf) = %{tl_version}
Provides: tex(BOONDOX-b-frak.vf) = %{tl_version}
Provides: tex(BOONDOX-r-cal.vf) = %{tl_version}
Provides: tex(BOONDOX-r-calo.vf) = %{tl_version}
Provides: tex(BOONDOX-r-ds.vf) = %{tl_version}
Provides: tex(BOONDOX-r-frak.vf) = %{tl_version}
Provides: tex(BOONDOX-cal.sty) = %{tl_version}
Provides: tex(BOONDOX-calo.sty) = %{tl_version}
Provides: tex(BOONDOX-ds.sty) = %{tl_version}
Provides: tex(BOONDOX-frak.sty) = %{tl_version}
Provides: tex(uboondox-cal.fd) = %{tl_version}
Provides: tex(uboondox-calo.fd) = %{tl_version}
Provides: tex(uboondox-ds.fd) = %{tl_version}
Provides: tex(uboondox-frak.fd) = %{tl_version}

%description boondox
The package contains a number of PostScript fonts derived from
the STIX OpenType fonts, that may be used in maths mode in
regular and bold weights for calligraphic, fraktur and double-
struck alphabets. Virtual fonts with metrics suitable for maths
mode are provided, as are LaTeX support files.

%package boondox-doc
Summary: Documentation for boondox
Version: svn43344
Provides: tex-boondox-doc
AutoReqProv: No

%description boondox-doc
Documentation for boondox

%package bophook
Provides: tex-bophook = %{tl_version}
License: LPPL
Summary: Provides an At-Begin-Page hook
Version: svn17062.0.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bophook.sty) = %{tl_version}

%description bophook
Using the \AtBeginPage hook, you can add material in the
background of a page. \PageLayout can be used to give page
makeup commands to be executed on every page (e.g., depending
on the page style).

%package bophook-doc
Summary: Documentation for bophook
Version: svn17062.0.02

Provides: tex-bophook-doc
AutoReqProv: No

%description bophook-doc
Documentation for bophook

%package borceux
Provides: tex-borceux = %{tl_version}
License: Borceux
Summary: Diagram macros by Francois Borceux
Version: svn21047.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description borceux
The macros support the construction of diagrams, such as those
that appear in category theory texts. The user gives the list
of vertices and arrows to be included, just as when composing a
matrix, and the program takes care of computing the dimensions
of the arrows and realizing the pagesetting. All the user has
to do about the arrows is to specify their type (monomorphism,
pair of adjoint arrows, etc.) and their direction (north, south-
east, etc.); 12 types and 32 directions are available.

%package borceux-doc
Summary: Documentation for borceux
Version: svn21047.0

Provides: tex-borceux-doc
AutoReqProv: No

%description borceux-doc
Documentation for borceux

%package bosisio
Provides: tex-bosisio = %{tl_version}
License: LPPL
Summary: A collection of packages by Francesco Bosisio
Version: svn16989.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(graphics.sty)
Requires: tex(subfigure.sty)
Requires: tex(float.sty)
Provides: tex(accenti.sty) = %{tl_version}
Provides: tex(dblfont.sty) = %{tl_version}
Provides: tex(envmath.sty) = %{tl_version}
Provides: tex(evenpage.sty) = %{tl_version}
Provides: tex(graphfig.sty) = %{tl_version}
Provides: tex(mathcmd.sty) = %{tl_version}
Provides: tex(quotes.sty) = %{tl_version}
Provides: tex(sobolev.sty) = %{tl_version}

%description bosisio
A collection of packages containing: accenti dblfont; envmath;
evenpage; graphfig; mathcmd; quotes; and sobolev.

%package bosisio-doc
Summary: Documentation for bosisio
Version: svn16989.0

Provides: tex-bosisio-doc
AutoReqProv: No

%description bosisio-doc
Documentation for bosisio

%package boxedminipage2e
Provides: tex-boxedminipage2e = %{tl_version}
License: LPPL 1.3
Summary: Framed minipages of a specified total width (text and frame combined)
Version: svn36477.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(boxedminipage2e.sty) = %{tl_version}

%description boxedminipage2e
The package essentially just wraps a minipage within an \fbox.
However, while
\fbox{\begin{minipage}{\linewidth}...\end{minipage}} just out
into the margin, \begin{boxedminipage}...\end{boxedminipage}
does not. Instead, it subtracts the frame's dimensions from the
specified dimensions of the minipage before typesetting the
minipage.

%package boxedminipage2e-doc
Summary: Documentation for boxedminipage2e
Version: svn36477.1.0

Provides: tex-boxedminipage2e-doc
AutoReqProv: No

%description boxedminipage2e-doc
Documentation for boxedminipage2e

%package boxedminipage
Provides: tex-boxedminipage = %{tl_version}
License: Public Domain
Summary: A package for producing framed minipages
Version: svn17087.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(boxedminipage.sty) = %{tl_version}

%description boxedminipage
The package defines the boxedminipage environment -- like
minipage, but with a frame around it.

%package boxedminipage-doc
Summary: Documentation for boxedminipage
Version: svn17087.2

Provides: tex-boxedminipage-doc
AutoReqProv: No

%description boxedminipage-doc
Documentation for boxedminipage

%package boxhandler
Provides: tex-boxhandler = %{tl_version}
License: LPPL
Summary: Flexible Captioning and Deferred Box/List Printing
Version: svn28031.1.30

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(boxhandler.sty) = %{tl_version}

%description boxhandler
The package allows the user to optimise presentation of LaTeX
tables and figures. Boxhandler will lay out table and figure
captions with a variety of stylistic apperances, and will also
allow figures and tables to be "wrapped" in a manner consistent
with many business and government documents. For a document
that might appear in different venues with different
formatting, boxhandler permits the creation of a LaTeX source
document that can, with a single-line change in the source
code, produce an output that has very different layout from the
baseline configuration, not only in terms of caption style, but
more importantly in terms of the locations where figures,
tables and lists appear (or not) in the document. Deferral
routines also allow one to keep all figure and table data in a
separate source file, while nonetheless producing a document
with figures and tables appearing in the desired location.

%package boxhandler-doc
Summary: Documentation for boxhandler
Version: svn28031.1.30

Provides: tex-boxhandler-doc
AutoReqProv: No

%description boxhandler-doc
Documentation for boxhandler

%package bpchem
Provides: tex-bpchem = %{tl_version}
License: LPPL
Summary: Typeset chemical names, formulae, etc
Version: svn45120
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xspace.sty)
Requires: tex(lgrenc.def)
Provides: tex(bpchem.sty) = %{tl_version}

%description bpchem
The package provides support for typesetting simple chemical
formulae, those long IUPAC compound names, and some chemical
idioms. It also supports the labelling of compounds and
reference to labelled compounds.

%package bpchem-doc
Summary: Documentation for bpchem
Version: svn45120

Provides: tex-bpchem-doc
AutoReqProv: No

%description bpchem-doc
Documentation for bpchem

%package bpolynomial
Provides: tex-bpolynomial = %{tl_version}
License: LPPL
Summary: Drawing polynomial functions of up to order 3
Version: svn15878.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description bpolynomial
This MetaPost package helps plotting polynomial and root
functions up to order three. The package provides macros to
calculate Bezier curves exactly matching a given constant,
linear, quadratic or cubic polynomial, or square or cubic root
function. In addition, tangents on all functions and
derivatives of polynomials can be calculated.

%package bpolynomial-doc
Summary: Documentation for bpolynomial
Version: svn15878.0.5

Provides: tex-bpolynomial-doc
AutoReqProv: No

%description bpolynomial-doc
Documentation for bpolynomial

%package bracketkey
Provides: tex-bracketkey = %{tl_version}
License: LPPL 1.3
Summary: Produce bracketed identification keys
Version: svn17129.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bracketkey.sty) = %{tl_version}

%description bracketkey
The package provides an environment bracketkey for use when
producing lists of species.

%package bracketkey-doc
Summary: Documentation for bracketkey
Version: svn17129.1.0

Provides: tex-bracketkey-doc
AutoReqProv: No

%description bracketkey-doc
Documentation for bracketkey

%package braids
Provides: tex-braids = %{tl_version}
License: LPPL 1.3
Summary: Draw braid diagrams with PGF/TikZ
Version: svn23790.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(braids.sty) = %{tl_version}

%description braids
The package enables drawing of braid diagrams with PGF/TikZ
using a simple syntax. The braid itself is specified by giving
a word in the braid group, and there are many options for
styling the strands and for drawing "floors".

%package braids-doc
Summary: Documentation for braids
Version: svn23790.1.0

Provides: tex-braids-doc
AutoReqProv: No

%description braids-doc
Documentation for braids

%package braille
Provides: tex-braille = %{tl_version}
License: LPPL
Summary: Support for braille
Version: svn20655.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(braille.sty) = %{tl_version}

%description braille
This package allows the user to produce Braille documents on
paper for the blind without knowing Braille (which can take
years to learn). Python scripts grade1.py and grade2.py convert
ordinary text to grade 1 and 2 Braille tags; then, the LaTeX
package takes the tags and prints out corresponding Braille
symbols.

%package braille-doc
Summary: Documentation for braille
Version: svn20655.0

Provides: tex-braille-doc
AutoReqProv: No

%description braille-doc
Documentation for braille

%package braket
Provides: tex-braket = %{tl_version}
License: Public Domain
Summary: Dirac bra-ket and set notations
Version: svn17127.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(braket.sty) = %{tl_version}

%description braket
Provides macros to typeset bra-ket notation, as well as set
specifiers, with a single ("|") or a double ("||" or ("\|")
vertical bar specifier in between two bracketed parts. Each
macro comes in a fixed-size version and an expanding version.
If the package finds itself operating under e-tex, it uses the
extended primitive \middle for more reliable results

%package braket-doc
Summary: Documentation for braket
Version: svn17127.0

Provides: tex-braket-doc
AutoReqProv: No

%description braket-doc
Documentation for braket

%package brandeis-dissertation
Provides: tex-brandeis-dissertation = %{tl_version}
License: LPPL 1.2
Summary: Class for Brandeis University dissertations
Version: svn32047.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(setspace.sty)
Requires: tex(geometry.sty)
Provides: tex(brandeis-dissertation.cls) = %{tl_version}

%description brandeis-dissertation
The class will enable the user to typeset a dissertation which
adheres to the formatting guidelines of Brandeis University
Graduate School of Arts and Sciences (GSAS).

%package brandeis-dissertation-doc
Summary: Documentation for brandeis-dissertation
Version: svn32047.2.0

Provides: tex-brandeis-dissertation-doc
AutoReqProv: No

%description brandeis-dissertation-doc
Documentation for brandeis-dissertation

%package breakurl
Provides: tex-breakurl = %{tl_version}
License: LPPL
Summary: Line-breakable \url-like links in hyperref when compiling via dvips/ps2pdf
Version: svn29901.1.40

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(ifpdf.sty)
Provides: tex(breakurl.sty) = %{tl_version}

%description breakurl
This package provides a command much like hyperref's \url that
typesets a URL using a typewriter-like font. However, if the
dvips driver is being used, the original \url doesn't allow
line breaks in the middle of the created link: the link comes
in one atomic piece. This package allows such line breaks in
the generated links.

%package breakurl-doc
Summary: Documentation for breakurl
Version: svn29901.1.40

Provides: tex-breakurl-doc
AutoReqProv: No

%description breakurl-doc
Documentation for breakurl

%package breqn
Provides: tex-breqn = %{tl_version}
License: LPPL 1.3
Summary: Automatic line breaking of displayed equations
Version: svn43071
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(keyval.sty)
Requires: tex(calc.sty)
Provides: tex(breqn.sty) = %{tl_version}
Provides: tex(flexisym.sty) = %{tl_version}
Provides: tex(mathstyle.sty) = %{tl_version}

%description breqn
The package provides solutions to a number of common
difficulties in writing displayed equations and getting high-
quality output. For example, it is a well-known inconvenience
that if an equation must be broken into more than one line,
'left...right' constructs cannot span lines. The breqn package
makes them work as one would expect whether or not there is an
intervening line break. The single most ambitious goal of the
package, however, is to support automatic linebreaking of
displayed equations. Such linebreaking cannot be done without
substantial changes under the hood in the way formulae are
processed; the code must be watched carefully, keeping an eye
on possible glitches. The bundle also contains the flexisym and
mathstyle packages, which are both designated as support for
breqn.

%package breqn-doc
Summary: Documentation for breqn
Version: svn43071
Provides: tex-breqn-doc
AutoReqProv: No

%description breqn-doc
Documentation for breqn

%package br-lex
Provides: tex-br-lex = %{tl_version}
License: LPPL 1.3
Summary: A Class for Typesetting Brazilian legal texts
Version: svn44939
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(enumitem.sty)
Requires: tex(indentfirst.sty)
Requires: tex(easylist.sty)
Requires: tex(ulem.sty)
Requires: tex(nowidow.sty)
Requires: tex(ifxetex.sty)
Requires: tex(fontspec.sty)
Requires: tex(polyglossia.sty)
Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Requires: tex(titlesec.sty)
Requires: tex(etoolbox.sty)
Provides: tex(br-lex.cls) = %{tl_version}

%description br-lex
This class implements rules to typeset Brazilian legal texts.
Its purpose is to be an easy-to-use implementation for the end-
user.

%package br-lex-doc
Summary: Documentation for br-lex
Version: svn44939
Provides: tex-br-lex-doc
AutoReqProv: No

%description br-lex-doc
Documentation for br-lex

%package bropd
Provides: tex-bropd = %{tl_version}
License: LPPL 1.3
Summary: Simplified brackets and differentials in LaTeX
Version: svn35383.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bropd.sty) = %{tl_version}

%description bropd
The package simplifies the process of writing differential
operators and brackets in LaTeX. The commands facilitate the
easy manipulation of equations involving brackets and allow
partial differentials to be expressed in an alternate form.

%package bropd-doc
Summary: Documentation for bropd
Version: svn35383.1.2

Provides: tex-bropd-doc
AutoReqProv: No

%description bropd-doc
Documentation for bropd

%package brushscr
Provides: tex-brushscr = %{tl_version}
License: Public Domain
Summary: A handwriting script font
Version: svn28363.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(pbsi.map) = %{tl_version}
Provides: tex(pbsi.tfm) = %{tl_version}
Provides: tex(pbsi8r.tfm) = %{tl_version}
Provides: tex(pbsi8t.tfm) = %{tl_version}
Provides: tex(BrushScriptX-Italic.pfa) = %{tl_version}
Provides: tex(pbsi8t.vf) = %{tl_version}
Provides: tex(pbsi.sty) = %{tl_version}
Provides: tex(t1pbsi.fd) = %{tl_version}

%description brushscr
The BrushScript font simulates hand-written characters; it is
distributed in Adobe Type 1 format (but is available in italic
shape only). The package includes the files needed by LaTeX in
order to use that font. The file AAA_readme.tex fully describes
the package and sample.tex illustrates its use.

%package brushscr-doc
Summary: Documentation for brushscr
Version: svn28363.0

Provides: tex-brushscr-doc
AutoReqProv: No

%description brushscr-doc
Documentation for brushscr

%package bullcntr
Provides: tex-bullcntr = %{tl_version}
License: LPPL 1.3
Summary: Display list item counter as regular pattern of bullets
Version: svn15878.0.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bullcntr.sty) = %{tl_version}
Provides: tex(bullenum.sty) = %{tl_version}

%description bullcntr
The bullcntr package defines the command bullcntr, which may be
thought of as an analogue of the \fnsymbol command: like the
latter, it displays the value of a counter lying between 1 and
9, but uses, for the purpose, a regular pattern of bullets.

%package bullcntr-doc
Summary: Documentation for bullcntr
Version: svn15878.0.04

Provides: tex-bullcntr-doc
AutoReqProv: No

%description bullcntr-doc
Documentation for bullcntr

%package burmese
Provides: tex-burmese = %{tl_version}
License: LPPL
Summary: Basic Support for Writing Burmese
Version: svn25185.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(relsize.sty)
Provides: tex(burmese.map) = %{tl_version}
Provides: tex(burm.tfm) = %{tl_version}
Provides: tex(burm.pfb) = %{tl_version}
Provides: tex(birm.sty) = %{tl_version}
Provides: tex(ubirm.fd) = %{tl_version}

%description burmese
This package provides basic support for writing Burmese. The
package provides a preprocessor (written in Perl), an Adobe
Type 1 font, and LaTeX macros.

%package burmese-doc
Summary: Documentation for burmese
Version: svn25185.0

Provides: tex-burmese-doc
AutoReqProv: No

%description burmese-doc
Documentation for burmese

%package bussproofs
Provides: tex-bussproofs = %{tl_version}
License: LPPL 1.3
Summary: Proof trees in the style of the sequent calculus
Version: svn27488.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bussproofs.sty) = %{tl_version}

%description bussproofs
The package allows the construction of proof trees in the style
of the sequent calculus and many other proof systems. One novel
feature of the macros is they support the horizontal alignment
according to some centre point specified with the command
\fCenter. This is the style often used in sequent calculus
proofs. The package works in a Plain TeX document, as well as
in LaTeX; an exposition of the commands available is given in
the package file itself.

%package bussproofs-doc
Summary: Documentation for bussproofs
Version: svn27488.1.1

Provides: tex-bussproofs-doc
AutoReqProv: No

%description bussproofs-doc
Documentation for bussproofs

%package bxbase
Provides: tex-bxbase = %{tl_version}
License: MIT
Summary: BX bundle base components
Version: svn44481
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Provides: tex(bxbase.def) = %{tl_version}
Provides: tex(bxbase.sty) = %{tl_version}
Provides: tex(bxucs.sty) = %{tl_version}
Provides: tex(bxutf8.def) = %{tl_version}
Provides: tex(bxutf8x.def) = %{tl_version}
Provides: tex(zxbase.sty) = %{tl_version}

%description bxbase
The main purpose of this bundle is to serve as an underlying
library for other packages created by the same author (their
names start with "BX" or "PX"). However bxbase package contains
a few user-level commands and is of some use by itself.

%package bxbase-doc
Summary: Documentation for bxbase
Version: svn44481
Provides: tex-bxbase-doc
AutoReqProv: No

%description bxbase-doc
Documentation for bxbase

%package bxcjkjatype
Provides: tex-bxcjkjatype = %{tl_version}
License: MIT
Summary: Typeset Japanese with pdfLaTeX and CJK
Version: svn42292
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(CJK.sty)
Requires: tex(CJKutf8.sty)
Requires: tex(CJKspace.sty)
Requires: tex(CJKpunct.sty)
Requires: tex(etoolbox.sty)
Requires: tex(atbegshi.sty)
Provides: tex(bxcjkjatype.sty) = %{tl_version}

%description bxcjkjatype
The package provides a working configuration of the CJK
package, suitable for Japanese typesetting of moderate quality.
Moreover, it facilitates use of the CJK package for pLaTeX
users, by providing commands that are similar to those used by
the pLaTeX kernel and some other packages used with it.

%package bxcjkjatype-doc
Summary: Documentation for bxcjkjatype
Version: svn42292
Provides: tex-bxcjkjatype-doc
AutoReqProv: No

%description bxcjkjatype-doc
Documentation for bxcjkjatype

%package bxdpx-beamer
Provides: tex-bxdpx-beamer = %{tl_version}
License: MIT
Summary: Dvipdfmx extras for use with beamer
Version: svn41813
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bxdpx-beamer.sty) = %{tl_version}

%description bxdpx-beamer
The package is a driver to support beamer Navigation symbols
and \framezoomed regions when using dvipdfmx as PDF generator
(e.g., as part of e-pTeX). The package does not define any
'user' commands.

%package bxdpx-beamer-doc
Summary: Documentation for bxdpx-beamer
Version: svn41813
Provides: tex-bxdpx-beamer-doc
AutoReqProv: No

%description bxdpx-beamer-doc
Documentation for bxdpx-beamer

%package bxeepic
Provides: tex-bxeepic = %{tl_version}
License: MIT
Summary: Eepic facilities using pict2e
Version: svn30559.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pict2e.sty)
Provides: tex(bxdpxp2e.def) = %{tl_version}
Provides: tex(bxeepic.sty) = %{tl_version}

%description bxeepic
The package provides an eepic driver to use pict2e facilities.

%package bxeepic-doc
Summary: Documentation for bxeepic
Version: svn30559.0.2

Provides: tex-bxeepic-doc
AutoReqProv: No

%description bxeepic-doc
Documentation for bxeepic

%package bxjscls
Provides: tex-bxjscls = %{tl_version}
License: BSD
Summary: Japanese document class collection for all major engines
Version: svn45566
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Requires: tex(type1cm.sty)
Requires: tex(geometry.sty)
Provides: tex(bxjsarticle.cls) = %{tl_version}
Provides: tex(bxjsbook.cls) = %{tl_version}
Provides: tex(bxjsja-minimal.def) = %{tl_version}
Provides: tex(bxjsja-standard.def) = %{tl_version}
Provides: tex(bxjsreport.cls) = %{tl_version}
Provides: tex(bxjsslide.cls) = %{tl_version}

%description bxjscls
This package provides an extended version of the Japanese
document class collection provided by jsclasses. While the
original version supports only pLaTeX and upLaTeX, the extended
version also supports pdfLaTeX, XeLaTeX and LuaLaTeX, with the
aid of suitable packages that provide capability of Japanese
typesetting.

%package bxjscls-doc
Summary: Documentation for bxjscls
Version: svn45566
Provides: tex-bxjscls-doc
AutoReqProv: No

%description bxjscls-doc
Documentation for bxjscls

%package bxpdfver
Provides: tex-bxpdfver = %{tl_version}
License: MIT
Summary: Specify version and compression level of output PDF files
Version: svn43201
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(atbegshi.sty)
Provides: tex(bxpdfver.sty) = %{tl_version}

%description bxpdfver
This package enables users to specify in their sources the
following settings on the PDF document to output: PDF version
(1.4, 1.5 etc.); whether or not to compress streams; whether or
not to use object streams. This package supports all major PDF-
output engines and dvipdfmx.

%package bxpdfver-doc
Summary: Documentation for bxpdfver
Version: svn43201
Provides: tex-bxpdfver-doc
AutoReqProv: No

%description bxpdfver-doc
Documentation for bxpdfver

%package bytefield
Provides: tex-bytefield = %{tl_version}
License: LPPL
Summary: Create illustrations for network protocol specifications
Version: svn45339
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Provides: tex(bytefield.sty) = %{tl_version}
Provides: tetex-bytefield = %{tl_version}
Obsoletes: tetex-bytefield < %{tl_version}

%description bytefield
The bytefield package helps the user create illustrations for
network protocol specifications and anything else that utilizes
fields of data. These illustrations show how the bits and bytes
are laid out in a packet or in memory. Users should note that
the present version 2.0 offers a different (and incompatible)
user interface from earlier versions.

%package bytefield-doc
Summary: Documentation for bytefield
Version: svn45339
Provides: tex-bytefield-doc
AutoReqProv: No

%description bytefield-doc
Documentation for bytefield

%package c90
Provides: tex-c90 = %{tl_version}
License: LPPL
Summary: c90 package
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(c90.enc) = %{tl_version}

%description c90
c90 package

%package c90-doc
Summary: Documentation for c90
Version: svn42428
Provides: tex-c90-doc
AutoReqProv: No

%description c90-doc
Documentation for c90

%package cabin
Provides: tex-cabin = %{tl_version}
License: OFL
Summary: A humanist Sans Serif font, with LaTeX support
Version: svn43687
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(cbn_6vzwvh.enc) = %{tl_version}
Provides: tex(cbn_7kg2sc.enc) = %{tl_version}
Provides: tex(cbn_aojlca.enc) = %{tl_version}
Provides: tex(cbn_cgvdav.enc) = %{tl_version}
Provides: tex(cbn_dh6h6g.enc) = %{tl_version}
Provides: tex(cbn_eeshah.enc) = %{tl_version}
Provides: tex(cbn_gi6ftn.enc) = %{tl_version}
Provides: tex(cbn_gipwm5.enc) = %{tl_version}
Provides: tex(cbn_hvmmj2.enc) = %{tl_version}
Provides: tex(cbn_j5omty.enc) = %{tl_version}
Provides: tex(cbn_jxvnp4.enc) = %{tl_version}
Provides: tex(cbn_mzrldx.enc) = %{tl_version}
Provides: tex(cbn_x3x2zv.enc) = %{tl_version}
Provides: tex(cbn_xtln4x.enc) = %{tl_version}
Provides: tex(cbn_xvjm53.enc) = %{tl_version}
Provides: tex(cbn_zljgjy.enc) = %{tl_version}
Provides: tex(cabin.map) = %{tl_version}
Provides: tex(Cabin-Bold.otf) = %{tl_version}
Provides: tex(Cabin-BoldItalic.otf) = %{tl_version}
Provides: tex(Cabin-Medium.otf) = %{tl_version}
Provides: tex(Cabin-MediumItalic.otf) = %{tl_version}
Provides: tex(Cabin-Regular.otf) = %{tl_version}
Provides: tex(Cabin-RegularItalic.otf) = %{tl_version}
Provides: tex(Cabin-SemiBold.otf) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic.otf) = %{tl_version}
Provides: tex(CabinCondensed-Bold.otf) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic.otf) = %{tl_version}
Provides: tex(CabinCondensed-Medium.otf) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic.otf) = %{tl_version}
Provides: tex(CabinCondensed-Regular.otf) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic.otf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold.otf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic.otf) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cabin-Bold.pfb) = %{tl_version}
Provides: tex(Cabin-BoldItalic.pfb) = %{tl_version}
Provides: tex(Cabin-Italic.pfb) = %{tl_version}
Provides: tex(Cabin-Medium.pfb) = %{tl_version}
Provides: tex(Cabin-MediumItalic.pfb) = %{tl_version}
Provides: tex(Cabin-Regular.pfb) = %{tl_version}
Provides: tex(Cabin-SemiBold.pfb) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic.pfb) = %{tl_version}
Provides: tex(CabinCondensed-Bold.pfb) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic.pfb) = %{tl_version}
Provides: tex(CabinCondensed-Medium.pfb) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic.pfb) = %{tl_version}
Provides: tex(CabinCondensed-Regular.pfb) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic.pfb) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold.pfb) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic.pfb) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Cabin-SemiBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-RegularItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CabinCondensed-SemiBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1Cabin-TLF.fd) = %{tl_version}
Provides: tex(LY1CabinCondensed-TLF.fd) = %{tl_version}
Provides: tex(OT1Cabin-TLF.fd) = %{tl_version}
Provides: tex(OT1CabinCondensed-TLF.fd) = %{tl_version}
Provides: tex(T1Cabin-TLF.fd) = %{tl_version}
Provides: tex(T1CabinCondensed-TLF.fd) = %{tl_version}
Provides: tex(TS1Cabin-TLF.fd) = %{tl_version}
Provides: tex(TS1CabinCondensed-TLF.fd) = %{tl_version}
Provides: tex(cabin.sty) = %{tl_version}

%description cabin
Cabin is a humanist sans with four weights and true italics and
small capitals. According to the designer, Pablo Impallari,
Cabin was inspired by Edward Johnston's and Eric Gill's
typefaces, with a touch of modernism. Cabin incorporates modern
proportions, optical adjustments, and some elements of the
geometric sans. cabin.sty supports use of the font under LaTeX,
pdfLaTeX, xeLaTeX and luaLaTeX; it uses the mweights, to manage
the user's view of all those font weights. An sfdefault option
is provided to enable Cabin as the default text font. The
fontaxes package is required for use with [pdf]LaTeX.

%package cabin-doc
Summary: Documentation for cabin
Version: svn43687
Provides: tex-cabin-doc
AutoReqProv: No

%description cabin-doc
Documentation for cabin

%package caladea
Provides: tex-caladea = %{tl_version}
License: ASL 2.0
Summary: Support for the Caladea family of fonts
Version: svn34991.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Provides: tex(cld_cb3g7n.enc) = %{tl_version}
Provides: tex(cld_fjy5hl.enc) = %{tl_version}
Provides: tex(cld_prieif.enc) = %{tl_version}
Provides: tex(cld_w45fff.enc) = %{tl_version}
Provides: tex(caladea.map) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Caladea-Bold.ttf) = %{tl_version}
Provides: tex(Caladea-BoldItalic.ttf) = %{tl_version}
Provides: tex(Caladea-Italic.ttf) = %{tl_version}
Provides: tex(Caladea-Regular.ttf) = %{tl_version}
Provides: tex(Caladea-Bold.pfb) = %{tl_version}
Provides: tex(Caladea-BoldItalic.pfb) = %{tl_version}
Provides: tex(Caladea-Italic.pfb) = %{tl_version}
Provides: tex(Caladea-Regular.pfb) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Caladea-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Caladea-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Caladea-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Caladea-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1Caladea-TLF.fd) = %{tl_version}
Provides: tex(OT1Caladea-TLF.fd) = %{tl_version}
Provides: tex(T1Caladea-TLF.fd) = %{tl_version}
Provides: tex(TS1Caladea-TLF.fd) = %{tl_version}
Provides: tex(caladea.sty) = %{tl_version}

%description caladea
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the Caladea family of fonts, designed by Carolina
Giovagnoli and Andres Torresi of the Huerta Tipografica foundry
and adopted by Google for ChromeOS as a font-metric compatible
replacement for Cambria.

%package caladea-doc
Summary: Documentation for caladea
Version: svn34991.0

Provides: tex-caladea-doc
AutoReqProv: No

%description caladea-doc
Documentation for caladea

%package calcage
Provides: tex-calcage = %{tl_version}
License: LPPL 1.3
Summary: Calculate the age of something, in years
Version: svn27725.0.90

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fnumprint.sty)
Requires: tex(datenumber.sty)
Requires: tex(fp.sty)
Requires: tex(calc.sty)
Requires: tex(xkeyval.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xifthen.sty)
Provides: tex(calcage.sty) = %{tl_version}

%description calcage
The package calculates the age of someone or something in
years. Internally it uses the datenumber package to calculate
the age in days; conversion from days to years is then
performed, taking care of leap years and such odd things.

%package calcage-doc
Summary: Documentation for calcage
Version: svn27725.0.90

Provides: tex-calcage-doc
AutoReqProv: No

%description calcage-doc
Documentation for calcage

%package calctab
Provides: tex-calctab = %{tl_version}
License: LPPL
Summary: Language for numeric tables
Version: svn15878.v0.6.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(alphalph.sty)
Requires: tex(booktabs.sty)
Requires: tex(eurosym.sty)
Requires: tex(xcolor.sty)
Requires: tex(numprint.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(fltpoint.sty)
Requires: tex(xstring.sty)
Provides: tex(calctab.sty) = %{tl_version}

%description calctab
The calctab package helps the user to typeset a kind of
economic table such as invoices, expense notes and liquidation,
or other tabular material with a values column. The code
computes sum and percentage with floating point numeric methods
(using the fltpoint package) and builds the render table task.

%package calctab-doc
Summary: Documentation for calctab
Version: svn15878.v0.6.1

Provides: tex-calctab-doc
AutoReqProv: No

%description calctab-doc
Documentation for calctab

%package calculation
Provides: tex-calculation = %{tl_version}
License: LPPL 1.3
Summary: Typesetting reasoned calculations, also called calculational proofs
Version: svn35973.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(delarray.sty)
Provides: tex(calculation.sty) = %{tl_version}

%description calculation
The calculation environment formats reasoned calculations, also
called calculational proofs. The notion of reasoned
calculations or calculational proofs was originally advocated
by Wim Feijen and Edsger Dijkstra. The package accepts options
fleqn and leqno (with the same effect as the LaTeX options
fleqn and leqno, or may inherit the options from the document
class). It allows steps and expressions to be numbered (by
LaTeX equation numbers, obeying the LaTeX \label command to
refer to these numbers), and a step doesn't take vertical space
if its hint is empty. An expression in a calculation can be
given a comment; it is placed at the side opposite to the
equation numbers. Calculations are allowed inside hints
although numbering and commenting is then disabled.

%package calculation-doc
Summary: Documentation for calculation
Version: svn35973.1.0

Provides: tex-calculation-doc
AutoReqProv: No

%description calculation-doc
Documentation for calculation

%package calculator
Provides: tex-calculator = %{tl_version}
License: LPPL 1.2
Summary: Use LaTeX as a scientific calculator
Version: svn33041.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(calculator.sty) = %{tl_version}
Provides: tex(calculus.sty) = %{tl_version}

%description calculator
The calculator and calculus packages define several
instructions which allow us to realise algebraic operations and
to evaluate elementary functions and derivatives in our
documents. The package's main goal is to define the arithmetic
and functional calculations need in the author's package
xpicture, but the numeric abilities of "calculator" and
"calculus" may be useful in other contexts.

%package calculator-doc
Summary: Documentation for calculator
Version: svn33041.2.0

Provides: tex-calculator-doc
AutoReqProv: No

%description calculator-doc
Documentation for calculator

%package calligra
Provides: tex-calligra = %{tl_version}
License: Copyright only
Summary: Calligraphic font
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(callig15.tfm) = %{tl_version}

%description calligra
A calligraphic font in the handwriting style of the author,
Peter Vanroose. The font is supplied as Metafont source. LaTeX
support of the font is provided in the calligra package in the
fundus bundle.

%package calligra-doc
Summary: Documentation for calligra
Version: svn15878.0

Provides: tex-calligra-doc
AutoReqProv: No

%description calligra-doc
Documentation for calligra

%package calligra-type1
Provides: tex-calligra-type1 = %{tl_version}
License: Copyright only
Summary: Type 1 version of Calligra
Version: svn24302.001.000

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(calligra.map) = %{tl_version}
Provides: tex(callig15.pfb) = %{tl_version}

%description calligra-type1
This is a conversion (using mf2pt1) of Peter Vanroose's
handwriting font.

%package calligra-type1-doc
Summary: Documentation for calligra-type1
Version: svn24302.001.000

Provides: tex-calligra-type1-doc
AutoReqProv: No

%description calligra-type1-doc
Documentation for calligra-type1

%package calrsfs
Provides: tex-calrsfs = %{tl_version}
License: Public Domain
Summary: Copperplate calligraphic letters in LaTeX
Version: svn17125.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(OMSrsfs.fd) = %{tl_version}
Provides: tex(calrsfs.sty) = %{tl_version}

%description calrsfs
Provides a maths interface to the rsfs fonts.

%package calrsfs-doc
Summary: Documentation for calrsfs
Version: svn17125.0

Provides: tex-calrsfs-doc
AutoReqProv: No

%description calrsfs-doc
Documentation for calrsfs

%package cals
Provides: tex-cals = %{tl_version}
License: LPPL 1.3
Summary: Multipage tables with wide range of features
Version: svn43003
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(cals.sty) = %{tl_version}

%description cals
The package allows the user to typeset multipage tables with
repeatable headers and footers, and with cells spanned over
rows and columns. Decorations are supported: padding,
background color, width of separation rules. The package is
compatible with multicol and pdfsync.

%package cals-doc
Summary: Documentation for cals
Version: svn43003
Provides: tex-cals-doc
AutoReqProv: No

%description cals-doc
Documentation for cals

%package calxxxx-yyyy
Provides: tex-calxxxx-yyyy = %{tl_version}
License: LPPL 1.3
Summary: Print a calendar for a group of years
Version: svn44131
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(calxxxx-yyyy.tex) = %{tl_version}

%description calxxxx-yyyy
The package prints a calendar for 2 or more years, according to
a language selection. The package is also "culture dependent",
in the sense that it will start weeks according to local rules:
e.g., weeks conventionally start on Monday in the English-
speaking world.

%package calxxxx-yyyy-doc
Summary: Documentation for calxxxx-yyyy
Version: svn44131
Provides: tex-calxxxx-yyyy-doc
AutoReqProv: No

%description calxxxx-yyyy-doc
Documentation for calxxxx-yyyy

%package cancel
Provides: tex-cancel = %{tl_version}
License: Public Domain
Summary: Place lines through maths formulae
Version: svn32508.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cancel.sty) = %{tl_version}

%description cancel
A package to draw diagonal lines ("cancelling" a term) and
arrows with limits (cancelling a term "to a value") through
parts of maths formulae.

%package cancel-doc
Summary: Documentation for cancel
Version: svn32508.2.2

Provides: tex-cancel-doc
AutoReqProv: No

%description cancel-doc
Documentation for cancel

%package canoniclayout
Provides: tex-canoniclayout = %{tl_version}
License: LPPL 1.3
Summary: Create canonical page layouts with memoir
Version: svn24523.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(canoniclayout.sty) = %{tl_version}

%description canoniclayout
A canonic text layout has specified relations to a circle
inscribed within the enclosing page. The package allows the
user to use a canonic layout with the memoir class.

%package canoniclayout-doc
Summary: Documentation for canoniclayout
Version: svn24523.0.4

Provides: tex-canoniclayout-doc
AutoReqProv: No

%description canoniclayout-doc
Documentation for canoniclayout

%package cantarell
Provides: tex-cantarell = %{tl_version}
License: LPPL 1.3
Summary: LaTeX support for the Cantarell font family
Version: svn27066.2.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Requires: tex(slantsc.sty)
Provides: tex(cantarell-01.enc) = %{tl_version}
Provides: tex(cantarell-02.enc) = %{tl_version}
Provides: tex(cantarell-03.enc) = %{tl_version}
Provides: tex(cantarell.map) = %{tl_version}
Provides: tex(Cantarell-Bold-01.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-02.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-03.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-01.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-02.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-03.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-ts1.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-01.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-02.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-03.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-01.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-02.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-03.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-ot1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-t1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-t2a.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-t2b.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-t2c.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-ts1.tfm) = %{tl_version}
Provides: tex(Cantarell-Regular-x2.tfm) = %{tl_version}
Provides: tex(Cantarell-Bold.pfb) = %{tl_version}
Provides: tex(Cantarell-Regular.pfb) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-ts1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-Slanted-x2.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-ts1.vf) = %{tl_version}
Provides: tex(Cantarell-Bold-x2.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-ts1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-Slanted-x2.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-ot1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-t1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-t2a.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-t2b.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-t2c.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-ts1.vf) = %{tl_version}
Provides: tex(Cantarell-Regular-x2.vf) = %{tl_version}
Provides: tex(cantarell.sty) = %{tl_version}
Provides: tex(ot1fca.fd) = %{tl_version}
Provides: tex(t1fca.fd) = %{tl_version}
Provides: tex(t2afca.fd) = %{tl_version}
Provides: tex(t2bfca.fd) = %{tl_version}
Provides: tex(t2cfca.fd) = %{tl_version}
Provides: tex(ts1fca.fd) = %{tl_version}
Provides: tex(x2fca.fd) = %{tl_version}

%description cantarell
Cantarell is a contemporary Humanist sans serif designed by
Dave Crossland and Jakub Steiner. This font, delivered under
the OFL version 1.1, is available on the GNOME download server.
The present package provides support for this font in LaTeX. It
includes Type 1 versions of the fonts, converted for this
package using FontForge from its sources, for full support with
Dvips.

%package cantarell-doc
Summary: Documentation for cantarell
Version: svn27066.2.4

Provides: tex-cantarell-doc
AutoReqProv: No

%description cantarell-doc
Documentation for cantarell

%package captcont
Provides: tex-captcont = %{tl_version}
License: LPPL
Summary: Retain float number across several floats
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(captcont.sty) = %{tl_version}

%description captcont
The captcont package provides the ability to continue the
numbering in your float environment (figure, table, etc.) with
minimal overhead. This package adds three commands: \caption*,
\captcont, and \captcont*. Along with the \caption command,
these give full control over the caption numbering, caption
text and the entries in the list-of pages. The \caption and
\captcont commands generate list-of page entries. The \caption
and \caption* commands increment the figure or table counter.
Captcont also fully supports the subfigure package.

%package captcont-doc
Summary: Documentation for captcont
Version: svn15878.2.0

Provides: tex-captcont-doc
AutoReqProv: No

%description captcont-doc
Documentation for captcont

%package captdef
Provides: tex-captdef = %{tl_version}
License: LPPL
Summary: Declare free-standing \caption commands
Version: svn17353.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(captdef.sty) = %{tl_version}

%description captdef
The \DeclareCaption command defines a class of caption command
associated with the counter specified to the command. These
commands are free-standing (i.e., don't need to be inside a
float environment). The package uses \DeclareCaption to define
\figcaption and \tabcaption, which can be used outside figure
or table environments.

%package captdef-doc
Summary: Documentation for captdef
Version: svn17353.0

Provides: tex-captdef-doc
AutoReqProv: No

%description captdef-doc
Documentation for captdef

%package caption
Provides: tex-caption = %{tl_version}
License: LPPL 1.3
Summary: Customising captions in floating environments
Version: svn41409
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(caption3.sty)
Requires: tex(keyval.sty)
Requires: tex(xspace.sty)
Provides: tex(bicaption.sty) = %{tl_version}
Provides: tex(caption.sty) = %{tl_version}
Provides: tex(caption2.sty) = %{tl_version}
Provides: tex(caption3.sty) = %{tl_version}
Provides: tex(ltcaption.sty) = %{tl_version}
Provides: tex(newfloat.sty) = %{tl_version}
Provides: tex(subcaption.sty) = %{tl_version}
Provides: tex(totalcount.sty) = %{tl_version}

%description caption
The caption package provides many ways to customise the
captions in floating environments like figure and table, and
cooperates with many other packages. Facilities include
rotating captions, sideways captions, continued captions (for
tables or figures that come in several parts). A list of
compatibility notes, for other packages, is provided in the
documentation. The package also provides the "caption outside
float" facility, in the same way that simpler packages like
capt-of do. The package supersedes caption2.

%package caption-doc
Summary: Documentation for caption
Version: svn41409
Provides: tex-caption-doc
AutoReqProv: No

%description caption-doc
Documentation for caption

%package capt-of
Provides: tex-capt-of = %{tl_version}
License: LPPL
Summary: Captions on more than floats
Version: svn29803.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(capt-of.sty) = %{tl_version}

%description capt-of
Defines a command \captionof for putting a caption to something
that's not a float. Note that the caption package includes a
\captionof command that is an extension of that provided by
this package.

%package capt-of-doc
Summary: Documentation for capt-of
Version: svn29803.0

Provides: tex-capt-of-doc
AutoReqProv: No

%description capt-of-doc
Documentation for capt-of

%package carlisle
Provides: tex-carlisle = %{tl_version}
License: LPPL
Summary: David Carlisle's small packages
Version: svn18258.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(tabularx.sty)
Requires: tex(longtable.sty)
Provides: tex(dotlessj.sty) = %{tl_version}
Provides: tex(ltxtable.sty) = %{tl_version}
Provides: tex(plain.sty) = %{tl_version}
Provides: tex(remreset.sty) = %{tl_version}
Provides: tex(scalefnt.sty) = %{tl_version}
Provides: tex(slashed.sty) = %{tl_version}

%description carlisle
Many of David Carlisle's more substantial packages stand on
their own, or as part of the LaTeX tools set; this set
contains: Making dotless 'j' characters for fonts that don't
have them; Fix marks in 2-column output; A method for combining
the capabilities of longtable and tabularx; A proforma for
building personalised LaTeX formats; A jiffy to suppress page
numbers; An environment for including Plain TeX in LaTeX
documents; A jiffy to remove counters from other counters'
reset lists; A package to rescale fonts to arbitrary sizes; A
jiffy to create 'slashed' characters for physicists; and An
environment for including HTML in LaTeX documents.

%package carlisle-doc
Summary: Documentation for carlisle
Version: svn18258.0

Provides: tex-carlisle-doc
AutoReqProv: No

%description carlisle-doc
Documentation for carlisle

%package carlito
Provides: tex-carlito = %{tl_version}
License: OFL
Summary: Support for Carlito sans-serif fonts
Version: svn35002.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(crlt_57h366.enc) = %{tl_version}
Provides: tex(crlt_bxv5ge.enc) = %{tl_version}
Provides: tex(crlt_cegsyz.enc) = %{tl_version}
Provides: tex(crlt_csjzgd.enc) = %{tl_version}
Provides: tex(crlt_eckivh.enc) = %{tl_version}
Provides: tex(crlt_houcxd.enc) = %{tl_version}
Provides: tex(crlt_ibktmo.enc) = %{tl_version}
Provides: tex(crlt_lllwh4.enc) = %{tl_version}
Provides: tex(crlt_llspvt.enc) = %{tl_version}
Provides: tex(crlt_n2dr37.enc) = %{tl_version}
Provides: tex(crlt_n75whf.enc) = %{tl_version}
Provides: tex(crlt_ntvnfo.enc) = %{tl_version}
Provides: tex(crlt_o4ofpw.enc) = %{tl_version}
Provides: tex(crlt_orgsld.enc) = %{tl_version}
Provides: tex(crlt_rekp6x.enc) = %{tl_version}
Provides: tex(crlt_sghv4p.enc) = %{tl_version}
Provides: tex(crlt_ssbojb.enc) = %{tl_version}
Provides: tex(crlt_uuhkl6.enc) = %{tl_version}
Provides: tex(crlt_ynpzot.enc) = %{tl_version}
Provides: tex(crlt_z7vml3.enc) = %{tl_version}
Provides: tex(carlito.map) = %{tl_version}
Provides: tex(Carlito-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-inf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-inf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-inf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-lf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-lf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-lf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-lf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-osf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-osf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-osf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-osf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-sup-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-sup-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-sup-t1.tfm) = %{tl_version}
Provides: tex(Carlito-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-tlf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Carlito-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Carlito-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Carlito-tosf-t1.tfm) = %{tl_version}
Provides: tex(Carlito-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Carlito-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Carlito-Bold.ttf) = %{tl_version}
Provides: tex(Carlito-BoldItalic.ttf) = %{tl_version}
Provides: tex(Carlito-Italic.ttf) = %{tl_version}
Provides: tex(Carlito-Regular.ttf) = %{tl_version}
Provides: tex(Carlito-Bold.pfb) = %{tl_version}
Provides: tex(Carlito-BoldItalic.pfb) = %{tl_version}
Provides: tex(Carlito-Italic.pfb) = %{tl_version}
Provides: tex(Carlito.pfb) = %{tl_version}
Provides: tex(Carlito-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Carlito-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Carlito-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-inf-t1.vf) = %{tl_version}
Provides: tex(Carlito-lf-t1.vf) = %{tl_version}
Provides: tex(Carlito-lf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-osf-t1.vf) = %{tl_version}
Provides: tex(Carlito-osf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-sup-t1.vf) = %{tl_version}
Provides: tex(Carlito-tlf-t1.vf) = %{tl_version}
Provides: tex(Carlito-tlf-ts1.vf) = %{tl_version}
Provides: tex(Carlito-tosf-t1.vf) = %{tl_version}
Provides: tex(Carlito-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1Carlito-Inf.fd) = %{tl_version}
Provides: tex(LY1Carlito-LF.fd) = %{tl_version}
Provides: tex(LY1Carlito-OsF.fd) = %{tl_version}
Provides: tex(LY1Carlito-Sup.fd) = %{tl_version}
Provides: tex(LY1Carlito-TLF.fd) = %{tl_version}
Provides: tex(LY1Carlito-TOsF.fd) = %{tl_version}
Provides: tex(OT1Carlito-Inf.fd) = %{tl_version}
Provides: tex(OT1Carlito-LF.fd) = %{tl_version}
Provides: tex(OT1Carlito-OsF.fd) = %{tl_version}
Provides: tex(OT1Carlito-Sup.fd) = %{tl_version}
Provides: tex(OT1Carlito-TLF.fd) = %{tl_version}
Provides: tex(OT1Carlito-TOsF.fd) = %{tl_version}
Provides: tex(T1Carlito-Inf.fd) = %{tl_version}
Provides: tex(T1Carlito-LF.fd) = %{tl_version}
Provides: tex(T1Carlito-OsF.fd) = %{tl_version}
Provides: tex(T1Carlito-Sup.fd) = %{tl_version}
Provides: tex(T1Carlito-TLF.fd) = %{tl_version}
Provides: tex(T1Carlito-TOsF.fd) = %{tl_version}
Provides: tex(TS1Carlito-LF.fd) = %{tl_version}
Provides: tex(TS1Carlito-OsF.fd) = %{tl_version}
Provides: tex(TS1Carlito-TLF.fd) = %{tl_version}
Provides: tex(TS1Carlito-TOsF.fd) = %{tl_version}
Provides: tex(carlito.sty) = %{tl_version}

%description carlito
The package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the Carlito family of sans serif fonts, designed by
Lukasz Dziedzic of the tyPoland foundry and adopted by Google
for ChromeOS as a font-metric compatible replacement for
Calibri.

%package carlito-doc
Summary: Documentation for carlito
Version: svn35002.0

Provides: tex-carlito-doc
AutoReqProv: No

%description carlito-doc
Documentation for carlito

%package carolmin-ps
Provides: tex-carolmin-ps = %{tl_version}
License: LPPL
Summary: Adobe Type 1 format of Carolingian Minuscule fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(cmin.map) = %{tl_version}
Provides: tex(cmin10.pfb) = %{tl_version}
Provides: tex(cmin17.pfb) = %{tl_version}
Provides: tex(cmin7.pfb) = %{tl_version}
Provides: tex(cminb10.pfb) = %{tl_version}
Provides: tex(cminb17.pfb) = %{tl_version}
Provides: tex(cminb7.pfb) = %{tl_version}

%description carolmin-ps
The bundle offers Adobe Type 1 format versions of Peter
Wilson's Carolingian Minuscule font set (part of the bookhands
collection). The fonts in the bundle are ready-to-use
replacements for the Metafont originals.

%package carolmin-ps-doc
Summary: Documentation for carolmin-ps
Version: svn15878.0

Provides: tex-carolmin-ps-doc
AutoReqProv: No

%description carolmin-ps-doc
Documentation for carolmin-ps

%package cascadilla
Provides: tex-cascadilla = %{tl_version}
License: LPPL
Summary: Typeset papers conforming to the stylesheet of the Cascadilla Proceedings Project
Version: svn25144.1.8.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(geometry.sty)
Requires: tex(times.sty)
Requires: tex(indentfirst.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(titlesec.sty)
Requires: tex(natbib.sty)
Requires: tex(caption.sty)
Provides: tex(cascadilla.cls) = %{tl_version}

%description cascadilla
The class provides an extension of the standard LaTeX article
class that may be used to typeset papers conforming to the
stylesheet of the Cascadilla Proceedings Project, which is used
by a number of linguistics conference proceedings (e.g.,
WCCFL).

%package cascadilla-doc
Summary: Documentation for cascadilla
Version: svn25144.1.8.2

Provides: tex-cascadilla-doc
AutoReqProv: No

%description cascadilla-doc
Documentation for cascadilla

%package cases
Provides: tex-cases = %{tl_version}
License: Public Domain
Summary: Numbered cases environment
Version: svn17123.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cases.sty) = %{tl_version}

%description cases
Define the environment numcases: equations with several
alternative right-hand sides, with equation numbers for each
alternative. Also environment subnumcases, where each
alternative is a sub-number (e.g., 8a, 8b, ...) of the equation
set as a whole.

%package cases-doc
Summary: Documentation for cases
Version: svn17123.2.5

Provides: tex-cases-doc
AutoReqProv: No

%description cases-doc
Documentation for cases

%package casyl
Provides: tex-casyl = %{tl_version}
License: Public Domain
Summary: Typeset Cree/Inuktitut in Canadian Aboriginal Syllabics
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(casyll10.tfm) = %{tl_version}
Provides: tex(casyltex.sty) = %{tl_version}

%description casyl
The bundle constitutes a font (as Metafont source) and LaTeX
macros for its use within a document.

%package casyl-doc
Summary: Documentation for casyl
Version: svn15878.2.0

Provides: tex-casyl-doc
AutoReqProv: No

%description casyl-doc
Documentation for casyl

%package catchfilebetweentags
Provides: tex-catchfilebetweentags = %{tl_version}
License: LPPL 1.3
Summary: Catch text delimited by docstrip tags
Version: svn21476.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(catchfile.sty)
Provides: tex(catchfilebetweentags.sty) = %{tl_version}

%description catchfilebetweentags
This package (built using the facilities of catchfile) provides
a macro \catchfilebetweentags acts like the original \catchfile
but only extracts a portion of the file instead of the complete
file. The extracted portion can be delimited by strings or by
docstrip tags: %<*tag> .... %</tag> (comments in the caught
region may be included or dropped).

%package catchfilebetweentags-doc
Summary: Documentation for catchfilebetweentags
Version: svn21476.1.1

Provides: tex-catchfilebetweentags-doc
AutoReqProv: No

%description catchfilebetweentags-doc
Documentation for catchfilebetweentags

%package catcodes
Provides: tex-catcodes = %{tl_version}
License: LPPL 1.3
Summary: Generic handling of TeX category codes
Version: svn38859

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(actcodes.sty) = %{tl_version}
Provides: tex(catchdq.sty) = %{tl_version}
Provides: tex(stacklet.sty) = %{tl_version}

%description catcodes
The bundle deals with category code switching; the packages of
the bundle should work with any TeX format (with the support of
the plainpkg package). The bundle provides: stacklet.sty, which
supports stacks that control the use of different catcodes;
actcodes.sty, which deals with active characters; and
catchdq.sty, which provides a simple quotation character
control mechanism.

%package catcodes-doc
Summary: Documentation for catcodes
Version: svn38859

Provides: tex-catcodes-doc
AutoReqProv: No

%description catcodes-doc
Documentation for catcodes

%package catechis
Provides: tex-catechis = %{tl_version}
License: LPPL
Summary: Macros for typesetting catechisms
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(varioref.sty)
Provides: tex(catechis.sty) = %{tl_version}

%description catechis
The macros include: format for question-and-answer; comments on
answers; citations; a specialised enumerate which only operates
in the catechism parts of a document. The macros are all highly
customisable.

%package catechis-doc
Summary: Documentation for catechis
Version: svn15878.1.1

Provides: tex-catechis-doc
AutoReqProv: No

%description catechis-doc
Documentation for catechis

%package catoptions
Provides: tex-catoptions = %{tl_version}
License: LPPL 1.3
Summary: Preserving and recalling standard catcodes
Version: svn35069.0.2.7h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pdftexcmds.sty)
Provides: tex(catoptions-guide.cfg) = %{tl_version}
Provides: tex(catoptions.sty) = %{tl_version}

%description catoptions
The package changes package loading internals so that all
subsequently loaded packages can rely on normal/standard
catcodes of all ASCII characters. The package defines canonical
control sequences to represent all the visible ASCII
characters. It also provides robust option parsing mechanisms
(XDeclareOption, XExecuteOptions and XProcessOptions, which
will be used by \documentclass if the package has already been
loaded). The package also provides a range of other TeX
programming tools.

%package catoptions-doc
Summary: Documentation for catoptions
Version: svn35069.0.2.7h

Provides: tex-catoptions-doc
AutoReqProv: No

%description catoptions-doc
Documentation for catoptions

%package cbcoptic
Provides: tex-cbcoptic = %{tl_version}
License: LPPL
Summary: Coptic fonts and LaTeX macros for general usage and for philology
Version: svn16666.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(textcomp.sty)
Provides: tex(copti.tfm) = %{tl_version}
Provides: tex(copto.tfm) = %{tl_version}
Provides: tex(copti.pfb) = %{tl_version}
Provides: tex(copto.pfb) = %{tl_version}
Provides: tex(coptic.sty) = %{tl_version}
Provides: tex(lcopcoptic.fd) = %{tl_version}
Provides: tex(prnthyph.sty) = %{tl_version}

%description cbcoptic
CBcoptic is a bundle of files for typesetting Coptic
philological text with the proper fonts and hyphenation. The
fonts are based on, but much extend, the fonts of the original
coptic bundle. The CBcoptic bundle includes font description
files, Metafont sources and equivalent Adobe Type 1 fonts in
pfb format. The bundle also includes a package that provides
some macros of philological interest.

%package cbcoptic-doc
Summary: Documentation for cbcoptic
Version: svn16666.0.2

Provides: tex-cbcoptic-doc
AutoReqProv: No

%description cbcoptic-doc
Documentation for cbcoptic

%package cbfonts-fd
Provides: tex-cbfonts-fd = %{tl_version}
License: LPPL 1.3
Summary: LaTeX font description files for the CB Greek fonts
Version: svn44917
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(lgrcmr.fd) = %{tl_version}
Provides: tex(lgrcmro.fd) = %{tl_version}
Provides: tex(lgrcmss.fd) = %{tl_version}
Provides: tex(lgrcmtt.fd) = %{tl_version}
Provides: tex(lgrlcmss.fd) = %{tl_version}
Provides: tex(lgrlcmtt.fd) = %{tl_version}
Provides: tex(lgrlmr.fd) = %{tl_version}
Provides: tex(lgrlmro.fd) = %{tl_version}
Provides: tex(lgrlmss.fd) = %{tl_version}
Provides: tex(lgrlmtt.fd) = %{tl_version}

%description cbfonts-fd
The package provides font description files for all the many
shapes available from the cbfonts collection. The files provide
the means whereby the NFSS knows which fonts a LaTeX user is
requesting.

%package cbfonts-fd-doc
Summary: Documentation for cbfonts-fd
Version: svn44917
Provides: tex-cbfonts-fd-doc
AutoReqProv: No

%description cbfonts-fd-doc
Documentation for cbfonts-fd

%package cbfonts
Provides: tex-cbfonts = %{tl_version}
License: LPPL
Summary: Complete set of Greek fonts
Version: svn31624.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-cbfonts-fd
Provides: tex(CB.enc) = %{tl_version}
Provides: tex(gmtr.enc) = %{tl_version}
Provides: tex(cbgreek-full.map) = %{tl_version}
Provides: tex(glic0700.tfm) = %{tl_version}
Provides: tex(glic0800.tfm) = %{tl_version}
Provides: tex(glic1000.tfm) = %{tl_version}
Provides: tex(glic1200.tfm) = %{tl_version}
Provides: tex(glic1382.tfm) = %{tl_version}
Provides: tex(glic1659.tfm) = %{tl_version}
Provides: tex(glic1991.tfm) = %{tl_version}
Provides: tex(glic2389.tfm) = %{tl_version}
Provides: tex(glic2866.tfm) = %{tl_version}
Provides: tex(glic3440.tfm) = %{tl_version}
Provides: tex(glic4128.tfm) = %{tl_version}
Provides: tex(glii0700.tfm) = %{tl_version}
Provides: tex(glii0800.tfm) = %{tl_version}
Provides: tex(glii1000.tfm) = %{tl_version}
Provides: tex(glii1200.tfm) = %{tl_version}
Provides: tex(glii1382.tfm) = %{tl_version}
Provides: tex(glii1659.tfm) = %{tl_version}
Provides: tex(glii1991.tfm) = %{tl_version}
Provides: tex(glii2389.tfm) = %{tl_version}
Provides: tex(glii2866.tfm) = %{tl_version}
Provides: tex(glii3440.tfm) = %{tl_version}
Provides: tex(glii4128.tfm) = %{tl_version}
Provides: tex(glin0700.tfm) = %{tl_version}
Provides: tex(glin0800.tfm) = %{tl_version}
Provides: tex(glin1000.tfm) = %{tl_version}
Provides: tex(glin1200.tfm) = %{tl_version}
Provides: tex(glin1382.tfm) = %{tl_version}
Provides: tex(glin1659.tfm) = %{tl_version}
Provides: tex(glin1991.tfm) = %{tl_version}
Provides: tex(glin2389.tfm) = %{tl_version}
Provides: tex(glin2866.tfm) = %{tl_version}
Provides: tex(glin3440.tfm) = %{tl_version}
Provides: tex(glin4128.tfm) = %{tl_version}
Provides: tex(glio0700.tfm) = %{tl_version}
Provides: tex(glio0800.tfm) = %{tl_version}
Provides: tex(glio1000.tfm) = %{tl_version}
Provides: tex(glio1200.tfm) = %{tl_version}
Provides: tex(glio1382.tfm) = %{tl_version}
Provides: tex(glio1659.tfm) = %{tl_version}
Provides: tex(glio1991.tfm) = %{tl_version}
Provides: tex(glio2389.tfm) = %{tl_version}
Provides: tex(glio2866.tfm) = %{tl_version}
Provides: tex(glio3440.tfm) = %{tl_version}
Provides: tex(glio4128.tfm) = %{tl_version}
Provides: tex(gliu0700.tfm) = %{tl_version}
Provides: tex(gliu0800.tfm) = %{tl_version}
Provides: tex(gliu1000.tfm) = %{tl_version}
Provides: tex(gliu1200.tfm) = %{tl_version}
Provides: tex(gliu1382.tfm) = %{tl_version}
Provides: tex(gliu1659.tfm) = %{tl_version}
Provides: tex(gliu1991.tfm) = %{tl_version}
Provides: tex(gliu2389.tfm) = %{tl_version}
Provides: tex(gliu2866.tfm) = %{tl_version}
Provides: tex(gliu3440.tfm) = %{tl_version}
Provides: tex(gliu4128.tfm) = %{tl_version}
Provides: tex(gljc0700.tfm) = %{tl_version}
Provides: tex(gljc0800.tfm) = %{tl_version}
Provides: tex(gljc1000.tfm) = %{tl_version}
Provides: tex(gljc1200.tfm) = %{tl_version}
Provides: tex(gljc1382.tfm) = %{tl_version}
Provides: tex(gljc1659.tfm) = %{tl_version}
Provides: tex(gljc1991.tfm) = %{tl_version}
Provides: tex(gljc2389.tfm) = %{tl_version}
Provides: tex(gljc2866.tfm) = %{tl_version}
Provides: tex(gljc3440.tfm) = %{tl_version}
Provides: tex(gljc4128.tfm) = %{tl_version}
Provides: tex(gljn0700.tfm) = %{tl_version}
Provides: tex(gljn0800.tfm) = %{tl_version}
Provides: tex(gljn1000.tfm) = %{tl_version}
Provides: tex(gljn1200.tfm) = %{tl_version}
Provides: tex(gljn1382.tfm) = %{tl_version}
Provides: tex(gljn1659.tfm) = %{tl_version}
Provides: tex(gljn1991.tfm) = %{tl_version}
Provides: tex(gljn2389.tfm) = %{tl_version}
Provides: tex(gljn2866.tfm) = %{tl_version}
Provides: tex(gljn3440.tfm) = %{tl_version}
Provides: tex(gljn4128.tfm) = %{tl_version}
Provides: tex(gljo0700.tfm) = %{tl_version}
Provides: tex(gljo0800.tfm) = %{tl_version}
Provides: tex(gljo1000.tfm) = %{tl_version}
Provides: tex(gljo1200.tfm) = %{tl_version}
Provides: tex(gljo1382.tfm) = %{tl_version}
Provides: tex(gljo1659.tfm) = %{tl_version}
Provides: tex(gljo1991.tfm) = %{tl_version}
Provides: tex(gljo2389.tfm) = %{tl_version}
Provides: tex(gljo2866.tfm) = %{tl_version}
Provides: tex(gljo3440.tfm) = %{tl_version}
Provides: tex(gljo4128.tfm) = %{tl_version}
Provides: tex(glmc0700.tfm) = %{tl_version}
Provides: tex(glmc0800.tfm) = %{tl_version}
Provides: tex(glmc1000.tfm) = %{tl_version}
Provides: tex(glmc1200.tfm) = %{tl_version}
Provides: tex(glmc1382.tfm) = %{tl_version}
Provides: tex(glmc1659.tfm) = %{tl_version}
Provides: tex(glmc1991.tfm) = %{tl_version}
Provides: tex(glmc2389.tfm) = %{tl_version}
Provides: tex(glmc2866.tfm) = %{tl_version}
Provides: tex(glmc3440.tfm) = %{tl_version}
Provides: tex(glmc4128.tfm) = %{tl_version}
Provides: tex(glmi0700.tfm) = %{tl_version}
Provides: tex(glmi0800.tfm) = %{tl_version}
Provides: tex(glmi1000.tfm) = %{tl_version}
Provides: tex(glmi1200.tfm) = %{tl_version}
Provides: tex(glmi1382.tfm) = %{tl_version}
Provides: tex(glmi1659.tfm) = %{tl_version}
Provides: tex(glmi1991.tfm) = %{tl_version}
Provides: tex(glmi2389.tfm) = %{tl_version}
Provides: tex(glmi2866.tfm) = %{tl_version}
Provides: tex(glmi3440.tfm) = %{tl_version}
Provides: tex(glmi4128.tfm) = %{tl_version}
Provides: tex(glmn0700.tfm) = %{tl_version}
Provides: tex(glmn0800.tfm) = %{tl_version}
Provides: tex(glmn1000.tfm) = %{tl_version}
Provides: tex(glmn1200.tfm) = %{tl_version}
Provides: tex(glmn1382.tfm) = %{tl_version}
Provides: tex(glmn1659.tfm) = %{tl_version}
Provides: tex(glmn1991.tfm) = %{tl_version}
Provides: tex(glmn2389.tfm) = %{tl_version}
Provides: tex(glmn2866.tfm) = %{tl_version}
Provides: tex(glmn3440.tfm) = %{tl_version}
Provides: tex(glmn4128.tfm) = %{tl_version}
Provides: tex(glmo0700.tfm) = %{tl_version}
Provides: tex(glmo0800.tfm) = %{tl_version}
Provides: tex(glmo1000.tfm) = %{tl_version}
Provides: tex(glmo1200.tfm) = %{tl_version}
Provides: tex(glmo1382.tfm) = %{tl_version}
Provides: tex(glmo1659.tfm) = %{tl_version}
Provides: tex(glmo1991.tfm) = %{tl_version}
Provides: tex(glmo2389.tfm) = %{tl_version}
Provides: tex(glmo2866.tfm) = %{tl_version}
Provides: tex(glmo3440.tfm) = %{tl_version}
Provides: tex(glmo4128.tfm) = %{tl_version}
Provides: tex(glmu0700.tfm) = %{tl_version}
Provides: tex(glmu0800.tfm) = %{tl_version}
Provides: tex(glmu1000.tfm) = %{tl_version}
Provides: tex(glmu1200.tfm) = %{tl_version}
Provides: tex(glmu1382.tfm) = %{tl_version}
Provides: tex(glmu1659.tfm) = %{tl_version}
Provides: tex(glmu1991.tfm) = %{tl_version}
Provides: tex(glmu2389.tfm) = %{tl_version}
Provides: tex(glmu2866.tfm) = %{tl_version}
Provides: tex(glmu3440.tfm) = %{tl_version}
Provides: tex(glmu4128.tfm) = %{tl_version}
Provides: tex(gltc0700.tfm) = %{tl_version}
Provides: tex(gltc0800.tfm) = %{tl_version}
Provides: tex(gltc1000.tfm) = %{tl_version}
Provides: tex(gltc1200.tfm) = %{tl_version}
Provides: tex(gltc1382.tfm) = %{tl_version}
Provides: tex(gltc1659.tfm) = %{tl_version}
Provides: tex(gltc1991.tfm) = %{tl_version}
Provides: tex(gltc2389.tfm) = %{tl_version}
Provides: tex(gltc2866.tfm) = %{tl_version}
Provides: tex(gltc3440.tfm) = %{tl_version}
Provides: tex(gltc4128.tfm) = %{tl_version}
Provides: tex(gltn0700.tfm) = %{tl_version}
Provides: tex(gltn0800.tfm) = %{tl_version}
Provides: tex(gltn1000.tfm) = %{tl_version}
Provides: tex(gltn1200.tfm) = %{tl_version}
Provides: tex(gltn1382.tfm) = %{tl_version}
Provides: tex(gltn1659.tfm) = %{tl_version}
Provides: tex(gltn1991.tfm) = %{tl_version}
Provides: tex(gltn2389.tfm) = %{tl_version}
Provides: tex(gltn2866.tfm) = %{tl_version}
Provides: tex(gltn3440.tfm) = %{tl_version}
Provides: tex(gltn4128.tfm) = %{tl_version}
Provides: tex(glto0700.tfm) = %{tl_version}
Provides: tex(glto0800.tfm) = %{tl_version}
Provides: tex(glto1000.tfm) = %{tl_version}
Provides: tex(glto1200.tfm) = %{tl_version}
Provides: tex(glto1382.tfm) = %{tl_version}
Provides: tex(glto1659.tfm) = %{tl_version}
Provides: tex(glto1991.tfm) = %{tl_version}
Provides: tex(glto2389.tfm) = %{tl_version}
Provides: tex(glto2866.tfm) = %{tl_version}
Provides: tex(glto3440.tfm) = %{tl_version}
Provides: tex(glto4128.tfm) = %{tl_version}
Provides: tex(glwc0700.tfm) = %{tl_version}
Provides: tex(glwc0800.tfm) = %{tl_version}
Provides: tex(glwc1000.tfm) = %{tl_version}
Provides: tex(glwc1200.tfm) = %{tl_version}
Provides: tex(glwc1382.tfm) = %{tl_version}
Provides: tex(glwc1659.tfm) = %{tl_version}
Provides: tex(glwc1991.tfm) = %{tl_version}
Provides: tex(glwc2389.tfm) = %{tl_version}
Provides: tex(glwc2866.tfm) = %{tl_version}
Provides: tex(glwc3440.tfm) = %{tl_version}
Provides: tex(glwc4128.tfm) = %{tl_version}
Provides: tex(glwi0700.tfm) = %{tl_version}
Provides: tex(glwi0800.tfm) = %{tl_version}
Provides: tex(glwi1000.tfm) = %{tl_version}
Provides: tex(glwi1200.tfm) = %{tl_version}
Provides: tex(glwi1382.tfm) = %{tl_version}
Provides: tex(glwi1659.tfm) = %{tl_version}
Provides: tex(glwi1991.tfm) = %{tl_version}
Provides: tex(glwi2389.tfm) = %{tl_version}
Provides: tex(glwi2866.tfm) = %{tl_version}
Provides: tex(glwi3440.tfm) = %{tl_version}
Provides: tex(glwi4128.tfm) = %{tl_version}
Provides: tex(glwn0700.tfm) = %{tl_version}
Provides: tex(glwn0800.tfm) = %{tl_version}
Provides: tex(glwn1000.tfm) = %{tl_version}
Provides: tex(glwn1200.tfm) = %{tl_version}
Provides: tex(glwn1382.tfm) = %{tl_version}
Provides: tex(glwn1659.tfm) = %{tl_version}
Provides: tex(glwn1991.tfm) = %{tl_version}
Provides: tex(glwn2389.tfm) = %{tl_version}
Provides: tex(glwn2866.tfm) = %{tl_version}
Provides: tex(glwn3440.tfm) = %{tl_version}
Provides: tex(glwn4128.tfm) = %{tl_version}
Provides: tex(glwo0700.tfm) = %{tl_version}
Provides: tex(glwo0800.tfm) = %{tl_version}
Provides: tex(glwo1000.tfm) = %{tl_version}
Provides: tex(glwo1200.tfm) = %{tl_version}
Provides: tex(glwo1382.tfm) = %{tl_version}
Provides: tex(glwo1659.tfm) = %{tl_version}
Provides: tex(glwo1991.tfm) = %{tl_version}
Provides: tex(glwo2389.tfm) = %{tl_version}
Provides: tex(glwo2866.tfm) = %{tl_version}
Provides: tex(glwo3440.tfm) = %{tl_version}
Provides: tex(glwo4128.tfm) = %{tl_version}
Provides: tex(glwu0700.tfm) = %{tl_version}
Provides: tex(glwu0800.tfm) = %{tl_version}
Provides: tex(glwu1000.tfm) = %{tl_version}
Provides: tex(glwu1200.tfm) = %{tl_version}
Provides: tex(glwu1382.tfm) = %{tl_version}
Provides: tex(glwu1659.tfm) = %{tl_version}
Provides: tex(glwu1991.tfm) = %{tl_version}
Provides: tex(glwu2389.tfm) = %{tl_version}
Provides: tex(glwu2866.tfm) = %{tl_version}
Provides: tex(glwu3440.tfm) = %{tl_version}
Provides: tex(glwu4128.tfm) = %{tl_version}
Provides: tex(glxc0700.tfm) = %{tl_version}
Provides: tex(glxc0800.tfm) = %{tl_version}
Provides: tex(glxc1000.tfm) = %{tl_version}
Provides: tex(glxc1200.tfm) = %{tl_version}
Provides: tex(glxc1382.tfm) = %{tl_version}
Provides: tex(glxc1659.tfm) = %{tl_version}
Provides: tex(glxc1991.tfm) = %{tl_version}
Provides: tex(glxc2389.tfm) = %{tl_version}
Provides: tex(glxc2866.tfm) = %{tl_version}
Provides: tex(glxc3440.tfm) = %{tl_version}
Provides: tex(glxc4128.tfm) = %{tl_version}
Provides: tex(glxi0700.tfm) = %{tl_version}
Provides: tex(glxi0800.tfm) = %{tl_version}
Provides: tex(glxi1000.tfm) = %{tl_version}
Provides: tex(glxi1200.tfm) = %{tl_version}
Provides: tex(glxi1382.tfm) = %{tl_version}
Provides: tex(glxi1659.tfm) = %{tl_version}
Provides: tex(glxi1991.tfm) = %{tl_version}
Provides: tex(glxi2389.tfm) = %{tl_version}
Provides: tex(glxi2866.tfm) = %{tl_version}
Provides: tex(glxi3440.tfm) = %{tl_version}
Provides: tex(glxi4128.tfm) = %{tl_version}
Provides: tex(glxn0700.tfm) = %{tl_version}
Provides: tex(glxn0800.tfm) = %{tl_version}
Provides: tex(glxn1000.tfm) = %{tl_version}
Provides: tex(glxn1200.tfm) = %{tl_version}
Provides: tex(glxn1382.tfm) = %{tl_version}
Provides: tex(glxn1659.tfm) = %{tl_version}
Provides: tex(glxn1991.tfm) = %{tl_version}
Provides: tex(glxn2389.tfm) = %{tl_version}
Provides: tex(glxn2866.tfm) = %{tl_version}
Provides: tex(glxn3440.tfm) = %{tl_version}
Provides: tex(glxn4128.tfm) = %{tl_version}
Provides: tex(glxo0700.tfm) = %{tl_version}
Provides: tex(glxo0800.tfm) = %{tl_version}
Provides: tex(glxo1000.tfm) = %{tl_version}
Provides: tex(glxo1200.tfm) = %{tl_version}
Provides: tex(glxo1382.tfm) = %{tl_version}
Provides: tex(glxo1659.tfm) = %{tl_version}
Provides: tex(glxo1991.tfm) = %{tl_version}
Provides: tex(glxo2389.tfm) = %{tl_version}
Provides: tex(glxo2866.tfm) = %{tl_version}
Provides: tex(glxo3440.tfm) = %{tl_version}
Provides: tex(glxo4128.tfm) = %{tl_version}
Provides: tex(glxu0700.tfm) = %{tl_version}
Provides: tex(glxu0800.tfm) = %{tl_version}
Provides: tex(glxu1000.tfm) = %{tl_version}
Provides: tex(glxu1200.tfm) = %{tl_version}
Provides: tex(glxu1382.tfm) = %{tl_version}
Provides: tex(glxu1659.tfm) = %{tl_version}
Provides: tex(glxu1991.tfm) = %{tl_version}
Provides: tex(glxu2389.tfm) = %{tl_version}
Provides: tex(glxu2866.tfm) = %{tl_version}
Provides: tex(glxu3440.tfm) = %{tl_version}
Provides: tex(glxu4128.tfm) = %{tl_version}
Provides: tex(gmmn0500.tfm) = %{tl_version}
Provides: tex(gmmn0600.tfm) = %{tl_version}
Provides: tex(gmmn0700.tfm) = %{tl_version}
Provides: tex(gmmn0800.tfm) = %{tl_version}
Provides: tex(gmmn0900.tfm) = %{tl_version}
Provides: tex(gmmn1000.tfm) = %{tl_version}
Provides: tex(gmmn1095.tfm) = %{tl_version}
Provides: tex(gmmn1200.tfm) = %{tl_version}
Provides: tex(gmmn1440.tfm) = %{tl_version}
Provides: tex(gmmn1728.tfm) = %{tl_version}
Provides: tex(gmmn2074.tfm) = %{tl_version}
Provides: tex(gmmn2488.tfm) = %{tl_version}
Provides: tex(gmmn2986.tfm) = %{tl_version}
Provides: tex(gmmn3583.tfm) = %{tl_version}
Provides: tex(gmmo0500.tfm) = %{tl_version}
Provides: tex(gmmo0600.tfm) = %{tl_version}
Provides: tex(gmmo0700.tfm) = %{tl_version}
Provides: tex(gmmo0800.tfm) = %{tl_version}
Provides: tex(gmmo0900.tfm) = %{tl_version}
Provides: tex(gmmo1000.tfm) = %{tl_version}
Provides: tex(gmmo1095.tfm) = %{tl_version}
Provides: tex(gmmo1200.tfm) = %{tl_version}
Provides: tex(gmmo1440.tfm) = %{tl_version}
Provides: tex(gmmo1728.tfm) = %{tl_version}
Provides: tex(gmmo2074.tfm) = %{tl_version}
Provides: tex(gmmo2488.tfm) = %{tl_version}
Provides: tex(gmmo2986.tfm) = %{tl_version}
Provides: tex(gmmo3583.tfm) = %{tl_version}
Provides: tex(gmtr0500.tfm) = %{tl_version}
Provides: tex(gmtr0600.tfm) = %{tl_version}
Provides: tex(gmtr0700.tfm) = %{tl_version}
Provides: tex(gmtr0800.tfm) = %{tl_version}
Provides: tex(gmtr0900.tfm) = %{tl_version}
Provides: tex(gmtr1000.tfm) = %{tl_version}
Provides: tex(gmtr1095.tfm) = %{tl_version}
Provides: tex(gmtr1200.tfm) = %{tl_version}
Provides: tex(gmtr1440.tfm) = %{tl_version}
Provides: tex(gmtr1728.tfm) = %{tl_version}
Provides: tex(gmtr2074.tfm) = %{tl_version}
Provides: tex(gmtr2488.tfm) = %{tl_version}
Provides: tex(gmtr2986.tfm) = %{tl_version}
Provides: tex(gmtr3583.tfm) = %{tl_version}
Provides: tex(gmxn0500.tfm) = %{tl_version}
Provides: tex(gmxn0600.tfm) = %{tl_version}
Provides: tex(gmxn0700.tfm) = %{tl_version}
Provides: tex(gmxn0800.tfm) = %{tl_version}
Provides: tex(gmxn0900.tfm) = %{tl_version}
Provides: tex(gmxn1000.tfm) = %{tl_version}
Provides: tex(gmxn1095.tfm) = %{tl_version}
Provides: tex(gmxn1200.tfm) = %{tl_version}
Provides: tex(gmxn1440.tfm) = %{tl_version}
Provides: tex(gmxn1728.tfm) = %{tl_version}
Provides: tex(gmxn2074.tfm) = %{tl_version}
Provides: tex(gmxn2488.tfm) = %{tl_version}
Provides: tex(gmxn2986.tfm) = %{tl_version}
Provides: tex(gmxn3583.tfm) = %{tl_version}
Provides: tex(gmxo0500.tfm) = %{tl_version}
Provides: tex(gmxo0600.tfm) = %{tl_version}
Provides: tex(gmxo0700.tfm) = %{tl_version}
Provides: tex(gmxo0800.tfm) = %{tl_version}
Provides: tex(gmxo0900.tfm) = %{tl_version}
Provides: tex(gmxo1000.tfm) = %{tl_version}
Provides: tex(gmxo1095.tfm) = %{tl_version}
Provides: tex(gmxo1200.tfm) = %{tl_version}
Provides: tex(gmxo1440.tfm) = %{tl_version}
Provides: tex(gmxo1728.tfm) = %{tl_version}
Provides: tex(gmxo2074.tfm) = %{tl_version}
Provides: tex(gmxo2488.tfm) = %{tl_version}
Provides: tex(gmxo2986.tfm) = %{tl_version}
Provides: tex(gmxo3583.tfm) = %{tl_version}
Provides: tex(gomc0500.tfm) = %{tl_version}
Provides: tex(gomc0600.tfm) = %{tl_version}
Provides: tex(gomc0700.tfm) = %{tl_version}
Provides: tex(gomc0800.tfm) = %{tl_version}
Provides: tex(gomc0900.tfm) = %{tl_version}
Provides: tex(gomc1000.tfm) = %{tl_version}
Provides: tex(gomc1095.tfm) = %{tl_version}
Provides: tex(gomc1200.tfm) = %{tl_version}
Provides: tex(gomc1440.tfm) = %{tl_version}
Provides: tex(gomc1728.tfm) = %{tl_version}
Provides: tex(gomc2074.tfm) = %{tl_version}
Provides: tex(gomc2488.tfm) = %{tl_version}
Provides: tex(gomc2986.tfm) = %{tl_version}
Provides: tex(gomc3583.tfm) = %{tl_version}
Provides: tex(gomi0500.tfm) = %{tl_version}
Provides: tex(gomi0600.tfm) = %{tl_version}
Provides: tex(gomi0700.tfm) = %{tl_version}
Provides: tex(gomi0800.tfm) = %{tl_version}
Provides: tex(gomi0900.tfm) = %{tl_version}
Provides: tex(gomi1000.tfm) = %{tl_version}
Provides: tex(gomi1095.tfm) = %{tl_version}
Provides: tex(gomi1200.tfm) = %{tl_version}
Provides: tex(gomi1440.tfm) = %{tl_version}
Provides: tex(gomi1728.tfm) = %{tl_version}
Provides: tex(gomi2074.tfm) = %{tl_version}
Provides: tex(gomi2488.tfm) = %{tl_version}
Provides: tex(gomi2986.tfm) = %{tl_version}
Provides: tex(gomi3583.tfm) = %{tl_version}
Provides: tex(gomn0500.tfm) = %{tl_version}
Provides: tex(gomn0600.tfm) = %{tl_version}
Provides: tex(gomn0700.tfm) = %{tl_version}
Provides: tex(gomn0800.tfm) = %{tl_version}
Provides: tex(gomn0900.tfm) = %{tl_version}
Provides: tex(gomn1000.tfm) = %{tl_version}
Provides: tex(gomn1095.tfm) = %{tl_version}
Provides: tex(gomn1200.tfm) = %{tl_version}
Provides: tex(gomn1440.tfm) = %{tl_version}
Provides: tex(gomn1728.tfm) = %{tl_version}
Provides: tex(gomn2074.tfm) = %{tl_version}
Provides: tex(gomn2488.tfm) = %{tl_version}
Provides: tex(gomn2986.tfm) = %{tl_version}
Provides: tex(gomn3583.tfm) = %{tl_version}
Provides: tex(gomo0500.tfm) = %{tl_version}
Provides: tex(gomo0600.tfm) = %{tl_version}
Provides: tex(gomo0700.tfm) = %{tl_version}
Provides: tex(gomo0800.tfm) = %{tl_version}
Provides: tex(gomo0900.tfm) = %{tl_version}
Provides: tex(gomo1000.tfm) = %{tl_version}
Provides: tex(gomo1095.tfm) = %{tl_version}
Provides: tex(gomo1200.tfm) = %{tl_version}
Provides: tex(gomo1440.tfm) = %{tl_version}
Provides: tex(gomo1728.tfm) = %{tl_version}
Provides: tex(gomo2074.tfm) = %{tl_version}
Provides: tex(gomo2488.tfm) = %{tl_version}
Provides: tex(gomo2986.tfm) = %{tl_version}
Provides: tex(gomo3583.tfm) = %{tl_version}
Provides: tex(gomu0500.tfm) = %{tl_version}
Provides: tex(gomu0600.tfm) = %{tl_version}
Provides: tex(gomu0700.tfm) = %{tl_version}
Provides: tex(gomu0800.tfm) = %{tl_version}
Provides: tex(gomu0900.tfm) = %{tl_version}
Provides: tex(gomu1000.tfm) = %{tl_version}
Provides: tex(gomu1095.tfm) = %{tl_version}
Provides: tex(gomu1200.tfm) = %{tl_version}
Provides: tex(gomu1440.tfm) = %{tl_version}
Provides: tex(gomu1728.tfm) = %{tl_version}
Provides: tex(gomu2074.tfm) = %{tl_version}
Provides: tex(gomu2488.tfm) = %{tl_version}
Provides: tex(gomu2986.tfm) = %{tl_version}
Provides: tex(gomu3583.tfm) = %{tl_version}
Provides: tex(goxc0500.tfm) = %{tl_version}
Provides: tex(goxc0600.tfm) = %{tl_version}
Provides: tex(goxc0700.tfm) = %{tl_version}
Provides: tex(goxc0800.tfm) = %{tl_version}
Provides: tex(goxc0900.tfm) = %{tl_version}
Provides: tex(goxc1000.tfm) = %{tl_version}
Provides: tex(goxc1095.tfm) = %{tl_version}
Provides: tex(goxc1200.tfm) = %{tl_version}
Provides: tex(goxc1440.tfm) = %{tl_version}
Provides: tex(goxc1728.tfm) = %{tl_version}
Provides: tex(goxc2074.tfm) = %{tl_version}
Provides: tex(goxc2488.tfm) = %{tl_version}
Provides: tex(goxc2986.tfm) = %{tl_version}
Provides: tex(goxc3583.tfm) = %{tl_version}
Provides: tex(goxi0500.tfm) = %{tl_version}
Provides: tex(goxi0600.tfm) = %{tl_version}
Provides: tex(goxi0700.tfm) = %{tl_version}
Provides: tex(goxi0800.tfm) = %{tl_version}
Provides: tex(goxi0900.tfm) = %{tl_version}
Provides: tex(goxi1000.tfm) = %{tl_version}
Provides: tex(goxi1095.tfm) = %{tl_version}
Provides: tex(goxi1200.tfm) = %{tl_version}
Provides: tex(goxi1440.tfm) = %{tl_version}
Provides: tex(goxi1728.tfm) = %{tl_version}
Provides: tex(goxi2074.tfm) = %{tl_version}
Provides: tex(goxi2488.tfm) = %{tl_version}
Provides: tex(goxi2986.tfm) = %{tl_version}
Provides: tex(goxi3583.tfm) = %{tl_version}
Provides: tex(goxn0500.tfm) = %{tl_version}
Provides: tex(goxn0600.tfm) = %{tl_version}
Provides: tex(goxn0700.tfm) = %{tl_version}
Provides: tex(goxn0800.tfm) = %{tl_version}
Provides: tex(goxn0900.tfm) = %{tl_version}
Provides: tex(goxn1000.tfm) = %{tl_version}
Provides: tex(goxn1095.tfm) = %{tl_version}
Provides: tex(goxn1200.tfm) = %{tl_version}
Provides: tex(goxn1440.tfm) = %{tl_version}
Provides: tex(goxn1728.tfm) = %{tl_version}
Provides: tex(goxn2074.tfm) = %{tl_version}
Provides: tex(goxn2488.tfm) = %{tl_version}
Provides: tex(goxn2986.tfm) = %{tl_version}
Provides: tex(goxn3583.tfm) = %{tl_version}
Provides: tex(goxo0500.tfm) = %{tl_version}
Provides: tex(goxo0600.tfm) = %{tl_version}
Provides: tex(goxo0700.tfm) = %{tl_version}
Provides: tex(goxo0800.tfm) = %{tl_version}
Provides: tex(goxo0900.tfm) = %{tl_version}
Provides: tex(goxo1000.tfm) = %{tl_version}
Provides: tex(goxo1095.tfm) = %{tl_version}
Provides: tex(goxo1200.tfm) = %{tl_version}
Provides: tex(goxo1440.tfm) = %{tl_version}
Provides: tex(goxo1728.tfm) = %{tl_version}
Provides: tex(goxo2074.tfm) = %{tl_version}
Provides: tex(goxo2488.tfm) = %{tl_version}
Provides: tex(goxo2986.tfm) = %{tl_version}
Provides: tex(goxo3583.tfm) = %{tl_version}
Provides: tex(goxu0500.tfm) = %{tl_version}
Provides: tex(goxu0600.tfm) = %{tl_version}
Provides: tex(goxu0700.tfm) = %{tl_version}
Provides: tex(goxu0800.tfm) = %{tl_version}
Provides: tex(goxu0900.tfm) = %{tl_version}
Provides: tex(goxu1000.tfm) = %{tl_version}
Provides: tex(goxu1095.tfm) = %{tl_version}
Provides: tex(goxu1200.tfm) = %{tl_version}
Provides: tex(goxu1440.tfm) = %{tl_version}
Provides: tex(goxu1728.tfm) = %{tl_version}
Provides: tex(goxu2074.tfm) = %{tl_version}
Provides: tex(goxu2488.tfm) = %{tl_version}
Provides: tex(goxu2986.tfm) = %{tl_version}
Provides: tex(goxu3583.tfm) = %{tl_version}
Provides: tex(grbl0500.tfm) = %{tl_version}
Provides: tex(grbl0600.tfm) = %{tl_version}
Provides: tex(grbl0700.tfm) = %{tl_version}
Provides: tex(grbl0800.tfm) = %{tl_version}
Provides: tex(grbl0900.tfm) = %{tl_version}
Provides: tex(grbl1000.tfm) = %{tl_version}
Provides: tex(grbl1095.tfm) = %{tl_version}
Provides: tex(grbl1200.tfm) = %{tl_version}
Provides: tex(grbl1440.tfm) = %{tl_version}
Provides: tex(grbl1728.tfm) = %{tl_version}
Provides: tex(grbl2074.tfm) = %{tl_version}
Provides: tex(grbl2488.tfm) = %{tl_version}
Provides: tex(grbl2986.tfm) = %{tl_version}
Provides: tex(grbl3583.tfm) = %{tl_version}
Provides: tex(grmc0500.tfm) = %{tl_version}
Provides: tex(grmc0600.tfm) = %{tl_version}
Provides: tex(grmc0700.tfm) = %{tl_version}
Provides: tex(grmc0800.tfm) = %{tl_version}
Provides: tex(grmc0900.tfm) = %{tl_version}
Provides: tex(grmc1000.tfm) = %{tl_version}
Provides: tex(grmc1095.tfm) = %{tl_version}
Provides: tex(grmc1200.tfm) = %{tl_version}
Provides: tex(grmc1440.tfm) = %{tl_version}
Provides: tex(grmc1728.tfm) = %{tl_version}
Provides: tex(grmc2074.tfm) = %{tl_version}
Provides: tex(grmc2488.tfm) = %{tl_version}
Provides: tex(grmc2986.tfm) = %{tl_version}
Provides: tex(grmc3583.tfm) = %{tl_version}
Provides: tex(grmi0500.tfm) = %{tl_version}
Provides: tex(grmi0600.tfm) = %{tl_version}
Provides: tex(grmi0700.tfm) = %{tl_version}
Provides: tex(grmi0800.tfm) = %{tl_version}
Provides: tex(grmi0900.tfm) = %{tl_version}
Provides: tex(grmi1000.tfm) = %{tl_version}
Provides: tex(grmi1095.tfm) = %{tl_version}
Provides: tex(grmi1200.tfm) = %{tl_version}
Provides: tex(grmi1440.tfm) = %{tl_version}
Provides: tex(grmi1728.tfm) = %{tl_version}
Provides: tex(grmi2074.tfm) = %{tl_version}
Provides: tex(grmi2488.tfm) = %{tl_version}
Provides: tex(grmi2986.tfm) = %{tl_version}
Provides: tex(grmi3583.tfm) = %{tl_version}
Provides: tex(grml0500.tfm) = %{tl_version}
Provides: tex(grml0600.tfm) = %{tl_version}
Provides: tex(grml0700.tfm) = %{tl_version}
Provides: tex(grml0800.tfm) = %{tl_version}
Provides: tex(grml0900.tfm) = %{tl_version}
Provides: tex(grml1000.tfm) = %{tl_version}
Provides: tex(grml1095.tfm) = %{tl_version}
Provides: tex(grml1200.tfm) = %{tl_version}
Provides: tex(grml1440.tfm) = %{tl_version}
Provides: tex(grml1728.tfm) = %{tl_version}
Provides: tex(grml2074.tfm) = %{tl_version}
Provides: tex(grml2488.tfm) = %{tl_version}
Provides: tex(grml2986.tfm) = %{tl_version}
Provides: tex(grml3583.tfm) = %{tl_version}
Provides: tex(grmn0500.tfm) = %{tl_version}
Provides: tex(grmn0600.tfm) = %{tl_version}
Provides: tex(grmn0700.tfm) = %{tl_version}
Provides: tex(grmn0800.tfm) = %{tl_version}
Provides: tex(grmn0900.tfm) = %{tl_version}
Provides: tex(grmn1000.tfm) = %{tl_version}
Provides: tex(grmn1095.tfm) = %{tl_version}
Provides: tex(grmn1200.tfm) = %{tl_version}
Provides: tex(grmn1440.tfm) = %{tl_version}
Provides: tex(grmn1728.tfm) = %{tl_version}
Provides: tex(grmn2074.tfm) = %{tl_version}
Provides: tex(grmn2488.tfm) = %{tl_version}
Provides: tex(grmn2986.tfm) = %{tl_version}
Provides: tex(grmn3583.tfm) = %{tl_version}
Provides: tex(grmo0500.tfm) = %{tl_version}
Provides: tex(grmo0600.tfm) = %{tl_version}
Provides: tex(grmo0700.tfm) = %{tl_version}
Provides: tex(grmo0800.tfm) = %{tl_version}
Provides: tex(grmo0900.tfm) = %{tl_version}
Provides: tex(grmo1000.tfm) = %{tl_version}
Provides: tex(grmo1095.tfm) = %{tl_version}
Provides: tex(grmo1200.tfm) = %{tl_version}
Provides: tex(grmo1440.tfm) = %{tl_version}
Provides: tex(grmo1728.tfm) = %{tl_version}
Provides: tex(grmo2074.tfm) = %{tl_version}
Provides: tex(grmo2488.tfm) = %{tl_version}
Provides: tex(grmo2986.tfm) = %{tl_version}
Provides: tex(grmo3583.tfm) = %{tl_version}
Provides: tex(grmu0500.tfm) = %{tl_version}
Provides: tex(grmu0600.tfm) = %{tl_version}
Provides: tex(grmu0700.tfm) = %{tl_version}
Provides: tex(grmu0800.tfm) = %{tl_version}
Provides: tex(grmu0900.tfm) = %{tl_version}
Provides: tex(grmu1000.tfm) = %{tl_version}
Provides: tex(grmu1095.tfm) = %{tl_version}
Provides: tex(grmu1200.tfm) = %{tl_version}
Provides: tex(grmu1440.tfm) = %{tl_version}
Provides: tex(grmu1728.tfm) = %{tl_version}
Provides: tex(grmu2074.tfm) = %{tl_version}
Provides: tex(grmu2488.tfm) = %{tl_version}
Provides: tex(grmu2986.tfm) = %{tl_version}
Provides: tex(grmu3583.tfm) = %{tl_version}
Provides: tex(grxc0500.tfm) = %{tl_version}
Provides: tex(grxc0600.tfm) = %{tl_version}
Provides: tex(grxc0700.tfm) = %{tl_version}
Provides: tex(grxc0800.tfm) = %{tl_version}
Provides: tex(grxc0900.tfm) = %{tl_version}
Provides: tex(grxc1000.tfm) = %{tl_version}
Provides: tex(grxc1095.tfm) = %{tl_version}
Provides: tex(grxc1200.tfm) = %{tl_version}
Provides: tex(grxc1440.tfm) = %{tl_version}
Provides: tex(grxc1728.tfm) = %{tl_version}
Provides: tex(grxc2074.tfm) = %{tl_version}
Provides: tex(grxc2488.tfm) = %{tl_version}
Provides: tex(grxc2986.tfm) = %{tl_version}
Provides: tex(grxc3583.tfm) = %{tl_version}
Provides: tex(grxi0500.tfm) = %{tl_version}
Provides: tex(grxi0600.tfm) = %{tl_version}
Provides: tex(grxi0700.tfm) = %{tl_version}
Provides: tex(grxi0800.tfm) = %{tl_version}
Provides: tex(grxi0900.tfm) = %{tl_version}
Provides: tex(grxi1000.tfm) = %{tl_version}
Provides: tex(grxi1095.tfm) = %{tl_version}
Provides: tex(grxi1200.tfm) = %{tl_version}
Provides: tex(grxi1440.tfm) = %{tl_version}
Provides: tex(grxi1728.tfm) = %{tl_version}
Provides: tex(grxi2074.tfm) = %{tl_version}
Provides: tex(grxi2488.tfm) = %{tl_version}
Provides: tex(grxi2986.tfm) = %{tl_version}
Provides: tex(grxi3583.tfm) = %{tl_version}
Provides: tex(grxl0500.tfm) = %{tl_version}
Provides: tex(grxl0600.tfm) = %{tl_version}
Provides: tex(grxl0700.tfm) = %{tl_version}
Provides: tex(grxl0800.tfm) = %{tl_version}
Provides: tex(grxl0900.tfm) = %{tl_version}
Provides: tex(grxl1000.tfm) = %{tl_version}
Provides: tex(grxl1095.tfm) = %{tl_version}
Provides: tex(grxl1200.tfm) = %{tl_version}
Provides: tex(grxl1440.tfm) = %{tl_version}
Provides: tex(grxl1728.tfm) = %{tl_version}
Provides: tex(grxl2074.tfm) = %{tl_version}
Provides: tex(grxl2488.tfm) = %{tl_version}
Provides: tex(grxl2986.tfm) = %{tl_version}
Provides: tex(grxl3583.tfm) = %{tl_version}
Provides: tex(grxn0500.tfm) = %{tl_version}
Provides: tex(grxn0600.tfm) = %{tl_version}
Provides: tex(grxn0700.tfm) = %{tl_version}
Provides: tex(grxn0800.tfm) = %{tl_version}
Provides: tex(grxn0900.tfm) = %{tl_version}
Provides: tex(grxn1000.tfm) = %{tl_version}
Provides: tex(grxn1095.tfm) = %{tl_version}
Provides: tex(grxn1200.tfm) = %{tl_version}
Provides: tex(grxn1440.tfm) = %{tl_version}
Provides: tex(grxn1728.tfm) = %{tl_version}
Provides: tex(grxn2074.tfm) = %{tl_version}
Provides: tex(grxn2488.tfm) = %{tl_version}
Provides: tex(grxn2986.tfm) = %{tl_version}
Provides: tex(grxn3583.tfm) = %{tl_version}
Provides: tex(grxo0500.tfm) = %{tl_version}
Provides: tex(grxo0600.tfm) = %{tl_version}
Provides: tex(grxo0700.tfm) = %{tl_version}
Provides: tex(grxo0800.tfm) = %{tl_version}
Provides: tex(grxo0900.tfm) = %{tl_version}
Provides: tex(grxo1000.tfm) = %{tl_version}
Provides: tex(grxo1095.tfm) = %{tl_version}
Provides: tex(grxo1200.tfm) = %{tl_version}
Provides: tex(grxo1440.tfm) = %{tl_version}
Provides: tex(grxo1728.tfm) = %{tl_version}
Provides: tex(grxo2074.tfm) = %{tl_version}
Provides: tex(grxo2488.tfm) = %{tl_version}
Provides: tex(grxo2986.tfm) = %{tl_version}
Provides: tex(grxo3583.tfm) = %{tl_version}
Provides: tex(grxu0500.tfm) = %{tl_version}
Provides: tex(grxu0600.tfm) = %{tl_version}
Provides: tex(grxu0700.tfm) = %{tl_version}
Provides: tex(grxu0800.tfm) = %{tl_version}
Provides: tex(grxu0900.tfm) = %{tl_version}
Provides: tex(grxu1000.tfm) = %{tl_version}
Provides: tex(grxu1095.tfm) = %{tl_version}
Provides: tex(grxu1200.tfm) = %{tl_version}
Provides: tex(grxu1440.tfm) = %{tl_version}
Provides: tex(grxu1728.tfm) = %{tl_version}
Provides: tex(grxu2074.tfm) = %{tl_version}
Provides: tex(grxu2488.tfm) = %{tl_version}
Provides: tex(grxu2986.tfm) = %{tl_version}
Provides: tex(grxu3583.tfm) = %{tl_version}
Provides: tex(gsma0500.tfm) = %{tl_version}
Provides: tex(gsma0600.tfm) = %{tl_version}
Provides: tex(gsma0700.tfm) = %{tl_version}
Provides: tex(gsma0800.tfm) = %{tl_version}
Provides: tex(gsma0900.tfm) = %{tl_version}
Provides: tex(gsma1000.tfm) = %{tl_version}
Provides: tex(gsma1095.tfm) = %{tl_version}
Provides: tex(gsma1200.tfm) = %{tl_version}
Provides: tex(gsma1440.tfm) = %{tl_version}
Provides: tex(gsma1728.tfm) = %{tl_version}
Provides: tex(gsma2074.tfm) = %{tl_version}
Provides: tex(gsma2488.tfm) = %{tl_version}
Provides: tex(gsma2986.tfm) = %{tl_version}
Provides: tex(gsma3583.tfm) = %{tl_version}
Provides: tex(gsmc0500.tfm) = %{tl_version}
Provides: tex(gsmc0600.tfm) = %{tl_version}
Provides: tex(gsmc0700.tfm) = %{tl_version}
Provides: tex(gsmc0800.tfm) = %{tl_version}
Provides: tex(gsmc0900.tfm) = %{tl_version}
Provides: tex(gsmc1000.tfm) = %{tl_version}
Provides: tex(gsmc1095.tfm) = %{tl_version}
Provides: tex(gsmc1200.tfm) = %{tl_version}
Provides: tex(gsmc1440.tfm) = %{tl_version}
Provides: tex(gsmc1728.tfm) = %{tl_version}
Provides: tex(gsmc2074.tfm) = %{tl_version}
Provides: tex(gsmc2488.tfm) = %{tl_version}
Provides: tex(gsmc2986.tfm) = %{tl_version}
Provides: tex(gsmc3583.tfm) = %{tl_version}
Provides: tex(gsme0500.tfm) = %{tl_version}
Provides: tex(gsme0600.tfm) = %{tl_version}
Provides: tex(gsme0700.tfm) = %{tl_version}
Provides: tex(gsme0800.tfm) = %{tl_version}
Provides: tex(gsme0900.tfm) = %{tl_version}
Provides: tex(gsme1000.tfm) = %{tl_version}
Provides: tex(gsme1095.tfm) = %{tl_version}
Provides: tex(gsme1200.tfm) = %{tl_version}
Provides: tex(gsme1440.tfm) = %{tl_version}
Provides: tex(gsme1728.tfm) = %{tl_version}
Provides: tex(gsme2074.tfm) = %{tl_version}
Provides: tex(gsme2488.tfm) = %{tl_version}
Provides: tex(gsme2986.tfm) = %{tl_version}
Provides: tex(gsme3583.tfm) = %{tl_version}
Provides: tex(gsmi0500.tfm) = %{tl_version}
Provides: tex(gsmi0600.tfm) = %{tl_version}
Provides: tex(gsmi0700.tfm) = %{tl_version}
Provides: tex(gsmi0800.tfm) = %{tl_version}
Provides: tex(gsmi0900.tfm) = %{tl_version}
Provides: tex(gsmi1000.tfm) = %{tl_version}
Provides: tex(gsmi1095.tfm) = %{tl_version}
Provides: tex(gsmi1200.tfm) = %{tl_version}
Provides: tex(gsmi1440.tfm) = %{tl_version}
Provides: tex(gsmi1728.tfm) = %{tl_version}
Provides: tex(gsmi2074.tfm) = %{tl_version}
Provides: tex(gsmi2488.tfm) = %{tl_version}
Provides: tex(gsmi2986.tfm) = %{tl_version}
Provides: tex(gsmi3583.tfm) = %{tl_version}
Provides: tex(gsmn0500.tfm) = %{tl_version}
Provides: tex(gsmn0600.tfm) = %{tl_version}
Provides: tex(gsmn0700.tfm) = %{tl_version}
Provides: tex(gsmn0800.tfm) = %{tl_version}
Provides: tex(gsmn0900.tfm) = %{tl_version}
Provides: tex(gsmn1000.tfm) = %{tl_version}
Provides: tex(gsmn1095.tfm) = %{tl_version}
Provides: tex(gsmn1200.tfm) = %{tl_version}
Provides: tex(gsmn1440.tfm) = %{tl_version}
Provides: tex(gsmn1728.tfm) = %{tl_version}
Provides: tex(gsmn2074.tfm) = %{tl_version}
Provides: tex(gsmn2488.tfm) = %{tl_version}
Provides: tex(gsmn2986.tfm) = %{tl_version}
Provides: tex(gsmn3583.tfm) = %{tl_version}
Provides: tex(gsmo0500.tfm) = %{tl_version}
Provides: tex(gsmo0600.tfm) = %{tl_version}
Provides: tex(gsmo0700.tfm) = %{tl_version}
Provides: tex(gsmo0800.tfm) = %{tl_version}
Provides: tex(gsmo0900.tfm) = %{tl_version}
Provides: tex(gsmo1000.tfm) = %{tl_version}
Provides: tex(gsmo1095.tfm) = %{tl_version}
Provides: tex(gsmo1200.tfm) = %{tl_version}
Provides: tex(gsmo1440.tfm) = %{tl_version}
Provides: tex(gsmo1728.tfm) = %{tl_version}
Provides: tex(gsmo2074.tfm) = %{tl_version}
Provides: tex(gsmo2488.tfm) = %{tl_version}
Provides: tex(gsmo2986.tfm) = %{tl_version}
Provides: tex(gsmo3583.tfm) = %{tl_version}
Provides: tex(gsmu0500.tfm) = %{tl_version}
Provides: tex(gsmu0600.tfm) = %{tl_version}
Provides: tex(gsmu0700.tfm) = %{tl_version}
Provides: tex(gsmu0800.tfm) = %{tl_version}
Provides: tex(gsmu0900.tfm) = %{tl_version}
Provides: tex(gsmu1000.tfm) = %{tl_version}
Provides: tex(gsmu1095.tfm) = %{tl_version}
Provides: tex(gsmu1200.tfm) = %{tl_version}
Provides: tex(gsmu1440.tfm) = %{tl_version}
Provides: tex(gsmu1728.tfm) = %{tl_version}
Provides: tex(gsmu2074.tfm) = %{tl_version}
Provides: tex(gsmu2488.tfm) = %{tl_version}
Provides: tex(gsmu2986.tfm) = %{tl_version}
Provides: tex(gsmu3583.tfm) = %{tl_version}
Provides: tex(gsxa0500.tfm) = %{tl_version}
Provides: tex(gsxa0600.tfm) = %{tl_version}
Provides: tex(gsxa0700.tfm) = %{tl_version}
Provides: tex(gsxa0800.tfm) = %{tl_version}
Provides: tex(gsxa0900.tfm) = %{tl_version}
Provides: tex(gsxa1000.tfm) = %{tl_version}
Provides: tex(gsxa1095.tfm) = %{tl_version}
Provides: tex(gsxa1200.tfm) = %{tl_version}
Provides: tex(gsxa1440.tfm) = %{tl_version}
Provides: tex(gsxa1728.tfm) = %{tl_version}
Provides: tex(gsxa2074.tfm) = %{tl_version}
Provides: tex(gsxa2488.tfm) = %{tl_version}
Provides: tex(gsxa2986.tfm) = %{tl_version}
Provides: tex(gsxa3583.tfm) = %{tl_version}
Provides: tex(gsxc0500.tfm) = %{tl_version}
Provides: tex(gsxc0600.tfm) = %{tl_version}
Provides: tex(gsxc0700.tfm) = %{tl_version}
Provides: tex(gsxc0800.tfm) = %{tl_version}
Provides: tex(gsxc0900.tfm) = %{tl_version}
Provides: tex(gsxc1000.tfm) = %{tl_version}
Provides: tex(gsxc1095.tfm) = %{tl_version}
Provides: tex(gsxc1200.tfm) = %{tl_version}
Provides: tex(gsxc1440.tfm) = %{tl_version}
Provides: tex(gsxc1728.tfm) = %{tl_version}
Provides: tex(gsxc2074.tfm) = %{tl_version}
Provides: tex(gsxc2488.tfm) = %{tl_version}
Provides: tex(gsxc2986.tfm) = %{tl_version}
Provides: tex(gsxc3583.tfm) = %{tl_version}
Provides: tex(gsxe0500.tfm) = %{tl_version}
Provides: tex(gsxe0600.tfm) = %{tl_version}
Provides: tex(gsxe0700.tfm) = %{tl_version}
Provides: tex(gsxe0800.tfm) = %{tl_version}
Provides: tex(gsxe0900.tfm) = %{tl_version}
Provides: tex(gsxe1000.tfm) = %{tl_version}
Provides: tex(gsxe1095.tfm) = %{tl_version}
Provides: tex(gsxe1200.tfm) = %{tl_version}
Provides: tex(gsxe1440.tfm) = %{tl_version}
Provides: tex(gsxe1728.tfm) = %{tl_version}
Provides: tex(gsxe2074.tfm) = %{tl_version}
Provides: tex(gsxe2488.tfm) = %{tl_version}
Provides: tex(gsxe2986.tfm) = %{tl_version}
Provides: tex(gsxe3583.tfm) = %{tl_version}
Provides: tex(gsxi0500.tfm) = %{tl_version}
Provides: tex(gsxi0600.tfm) = %{tl_version}
Provides: tex(gsxi0700.tfm) = %{tl_version}
Provides: tex(gsxi0800.tfm) = %{tl_version}
Provides: tex(gsxi0900.tfm) = %{tl_version}
Provides: tex(gsxi1000.tfm) = %{tl_version}
Provides: tex(gsxi1095.tfm) = %{tl_version}
Provides: tex(gsxi1200.tfm) = %{tl_version}
Provides: tex(gsxi1440.tfm) = %{tl_version}
Provides: tex(gsxi1728.tfm) = %{tl_version}
Provides: tex(gsxi2074.tfm) = %{tl_version}
Provides: tex(gsxi2488.tfm) = %{tl_version}
Provides: tex(gsxi2986.tfm) = %{tl_version}
Provides: tex(gsxi3583.tfm) = %{tl_version}
Provides: tex(gsxn0500.tfm) = %{tl_version}
Provides: tex(gsxn0600.tfm) = %{tl_version}
Provides: tex(gsxn0700.tfm) = %{tl_version}
Provides: tex(gsxn0800.tfm) = %{tl_version}
Provides: tex(gsxn0900.tfm) = %{tl_version}
Provides: tex(gsxn1000.tfm) = %{tl_version}
Provides: tex(gsxn1095.tfm) = %{tl_version}
Provides: tex(gsxn1200.tfm) = %{tl_version}
Provides: tex(gsxn1440.tfm) = %{tl_version}
Provides: tex(gsxn1728.tfm) = %{tl_version}
Provides: tex(gsxn2074.tfm) = %{tl_version}
Provides: tex(gsxn2488.tfm) = %{tl_version}
Provides: tex(gsxn2986.tfm) = %{tl_version}
Provides: tex(gsxn3583.tfm) = %{tl_version}
Provides: tex(gsxo0500.tfm) = %{tl_version}
Provides: tex(gsxo0600.tfm) = %{tl_version}
Provides: tex(gsxo0700.tfm) = %{tl_version}
Provides: tex(gsxo0800.tfm) = %{tl_version}
Provides: tex(gsxo0900.tfm) = %{tl_version}
Provides: tex(gsxo1000.tfm) = %{tl_version}
Provides: tex(gsxo1095.tfm) = %{tl_version}
Provides: tex(gsxo1200.tfm) = %{tl_version}
Provides: tex(gsxo1440.tfm) = %{tl_version}
Provides: tex(gsxo1728.tfm) = %{tl_version}
Provides: tex(gsxo2074.tfm) = %{tl_version}
Provides: tex(gsxo2488.tfm) = %{tl_version}
Provides: tex(gsxo2986.tfm) = %{tl_version}
Provides: tex(gsxo3583.tfm) = %{tl_version}
Provides: tex(gsxu0500.tfm) = %{tl_version}
Provides: tex(gsxu0600.tfm) = %{tl_version}
Provides: tex(gsxu0700.tfm) = %{tl_version}
Provides: tex(gsxu0800.tfm) = %{tl_version}
Provides: tex(gsxu0900.tfm) = %{tl_version}
Provides: tex(gsxu1000.tfm) = %{tl_version}
Provides: tex(gsxu1095.tfm) = %{tl_version}
Provides: tex(gsxu1200.tfm) = %{tl_version}
Provides: tex(gsxu1440.tfm) = %{tl_version}
Provides: tex(gsxu1728.tfm) = %{tl_version}
Provides: tex(gsxu2074.tfm) = %{tl_version}
Provides: tex(gsxu2488.tfm) = %{tl_version}
Provides: tex(gsxu2986.tfm) = %{tl_version}
Provides: tex(gsxu3583.tfm) = %{tl_version}
Provides: tex(gttc0500.tfm) = %{tl_version}
Provides: tex(gttc0600.tfm) = %{tl_version}
Provides: tex(gttc0700.tfm) = %{tl_version}
Provides: tex(gttc0800.tfm) = %{tl_version}
Provides: tex(gttc0900.tfm) = %{tl_version}
Provides: tex(gttc1000.tfm) = %{tl_version}
Provides: tex(gttc1095.tfm) = %{tl_version}
Provides: tex(gttc1200.tfm) = %{tl_version}
Provides: tex(gttc1440.tfm) = %{tl_version}
Provides: tex(gttc1728.tfm) = %{tl_version}
Provides: tex(gttc2074.tfm) = %{tl_version}
Provides: tex(gttc2488.tfm) = %{tl_version}
Provides: tex(gttc2986.tfm) = %{tl_version}
Provides: tex(gttc3583.tfm) = %{tl_version}
Provides: tex(gtti0500.tfm) = %{tl_version}
Provides: tex(gtti0600.tfm) = %{tl_version}
Provides: tex(gtti0700.tfm) = %{tl_version}
Provides: tex(gtti0800.tfm) = %{tl_version}
Provides: tex(gtti0900.tfm) = %{tl_version}
Provides: tex(gtti1000.tfm) = %{tl_version}
Provides: tex(gtti1095.tfm) = %{tl_version}
Provides: tex(gtti1200.tfm) = %{tl_version}
Provides: tex(gtti1440.tfm) = %{tl_version}
Provides: tex(gtti1728.tfm) = %{tl_version}
Provides: tex(gtti2074.tfm) = %{tl_version}
Provides: tex(gtti2488.tfm) = %{tl_version}
Provides: tex(gtti2986.tfm) = %{tl_version}
Provides: tex(gtti3583.tfm) = %{tl_version}
Provides: tex(gttn0500.tfm) = %{tl_version}
Provides: tex(gttn0600.tfm) = %{tl_version}
Provides: tex(gttn0700.tfm) = %{tl_version}
Provides: tex(gttn0800.tfm) = %{tl_version}
Provides: tex(gttn0900.tfm) = %{tl_version}
Provides: tex(gttn1000.tfm) = %{tl_version}
Provides: tex(gttn1095.tfm) = %{tl_version}
Provides: tex(gttn1200.tfm) = %{tl_version}
Provides: tex(gttn1440.tfm) = %{tl_version}
Provides: tex(gttn1728.tfm) = %{tl_version}
Provides: tex(gttn2074.tfm) = %{tl_version}
Provides: tex(gttn2488.tfm) = %{tl_version}
Provides: tex(gttn2986.tfm) = %{tl_version}
Provides: tex(gttn3583.tfm) = %{tl_version}
Provides: tex(gtto0500.tfm) = %{tl_version}
Provides: tex(gtto0600.tfm) = %{tl_version}
Provides: tex(gtto0700.tfm) = %{tl_version}
Provides: tex(gtto0800.tfm) = %{tl_version}
Provides: tex(gtto0900.tfm) = %{tl_version}
Provides: tex(gtto1000.tfm) = %{tl_version}
Provides: tex(gtto1095.tfm) = %{tl_version}
Provides: tex(gtto1200.tfm) = %{tl_version}
Provides: tex(gtto1440.tfm) = %{tl_version}
Provides: tex(gtto1728.tfm) = %{tl_version}
Provides: tex(gtto2074.tfm) = %{tl_version}
Provides: tex(gtto2488.tfm) = %{tl_version}
Provides: tex(gtto2986.tfm) = %{tl_version}
Provides: tex(gtto3583.tfm) = %{tl_version}
Provides: tex(gttu0500.tfm) = %{tl_version}
Provides: tex(gttu0600.tfm) = %{tl_version}
Provides: tex(gttu0700.tfm) = %{tl_version}
Provides: tex(gttu0800.tfm) = %{tl_version}
Provides: tex(gttu0900.tfm) = %{tl_version}
Provides: tex(gttu1000.tfm) = %{tl_version}
Provides: tex(gttu1095.tfm) = %{tl_version}
Provides: tex(gttu1200.tfm) = %{tl_version}
Provides: tex(gttu1440.tfm) = %{tl_version}
Provides: tex(gttu1728.tfm) = %{tl_version}
Provides: tex(gttu2074.tfm) = %{tl_version}
Provides: tex(gttu2488.tfm) = %{tl_version}
Provides: tex(gttu2986.tfm) = %{tl_version}
Provides: tex(gttu3583.tfm) = %{tl_version}
Provides: tex(glic0700.pfb) = %{tl_version}
Provides: tex(glic0800.pfb) = %{tl_version}
Provides: tex(glic1000.pfb) = %{tl_version}
Provides: tex(glic1200.pfb) = %{tl_version}
Provides: tex(glic1382.pfb) = %{tl_version}
Provides: tex(glic1659.pfb) = %{tl_version}
Provides: tex(glic1991.pfb) = %{tl_version}
Provides: tex(glic2389.pfb) = %{tl_version}
Provides: tex(glic2866.pfb) = %{tl_version}
Provides: tex(glic3440.pfb) = %{tl_version}
Provides: tex(glic4128.pfb) = %{tl_version}
Provides: tex(glii0700.pfb) = %{tl_version}
Provides: tex(glii0800.pfb) = %{tl_version}
Provides: tex(glii1000.pfb) = %{tl_version}
Provides: tex(glii1200.pfb) = %{tl_version}
Provides: tex(glii1382.pfb) = %{tl_version}
Provides: tex(glii1659.pfb) = %{tl_version}
Provides: tex(glii1991.pfb) = %{tl_version}
Provides: tex(glii2389.pfb) = %{tl_version}
Provides: tex(glii2866.pfb) = %{tl_version}
Provides: tex(glii3440.pfb) = %{tl_version}
Provides: tex(glii4128.pfb) = %{tl_version}
Provides: tex(glin0700.pfb) = %{tl_version}
Provides: tex(glin0800.pfb) = %{tl_version}
Provides: tex(glin1000.pfb) = %{tl_version}
Provides: tex(glin1200.pfb) = %{tl_version}
Provides: tex(glin1382.pfb) = %{tl_version}
Provides: tex(glin1659.pfb) = %{tl_version}
Provides: tex(glin1991.pfb) = %{tl_version}
Provides: tex(glin2389.pfb) = %{tl_version}
Provides: tex(glin2866.pfb) = %{tl_version}
Provides: tex(glin3440.pfb) = %{tl_version}
Provides: tex(glin4128.pfb) = %{tl_version}
Provides: tex(glio0700.pfb) = %{tl_version}
Provides: tex(glio0800.pfb) = %{tl_version}
Provides: tex(glio1000.pfb) = %{tl_version}
Provides: tex(glio1200.pfb) = %{tl_version}
Provides: tex(glio1382.pfb) = %{tl_version}
Provides: tex(glio1659.pfb) = %{tl_version}
Provides: tex(glio1991.pfb) = %{tl_version}
Provides: tex(glio2389.pfb) = %{tl_version}
Provides: tex(glio2866.pfb) = %{tl_version}
Provides: tex(glio3440.pfb) = %{tl_version}
Provides: tex(glio4128.pfb) = %{tl_version}
Provides: tex(gliu0700.pfb) = %{tl_version}
Provides: tex(gliu0800.pfb) = %{tl_version}
Provides: tex(gliu1000.pfb) = %{tl_version}
Provides: tex(gliu1200.pfb) = %{tl_version}
Provides: tex(gliu1382.pfb) = %{tl_version}
Provides: tex(gliu1659.pfb) = %{tl_version}
Provides: tex(gliu1991.pfb) = %{tl_version}
Provides: tex(gliu2389.pfb) = %{tl_version}
Provides: tex(gliu2866.pfb) = %{tl_version}
Provides: tex(gliu3440.pfb) = %{tl_version}
Provides: tex(gliu4128.pfb) = %{tl_version}
Provides: tex(gljc0700.pfb) = %{tl_version}
Provides: tex(gljc0800.pfb) = %{tl_version}
Provides: tex(gljc1000.pfb) = %{tl_version}
Provides: tex(gljc1200.pfb) = %{tl_version}
Provides: tex(gljc1382.pfb) = %{tl_version}
Provides: tex(gljc1659.pfb) = %{tl_version}
Provides: tex(gljc1991.pfb) = %{tl_version}
Provides: tex(gljc2389.pfb) = %{tl_version}
Provides: tex(gljc2866.pfb) = %{tl_version}
Provides: tex(gljc3440.pfb) = %{tl_version}
Provides: tex(gljc4128.pfb) = %{tl_version}
Provides: tex(gljn0700.pfb) = %{tl_version}
Provides: tex(gljn0800.pfb) = %{tl_version}
Provides: tex(gljn1000.pfb) = %{tl_version}
Provides: tex(gljn1200.pfb) = %{tl_version}
Provides: tex(gljn1382.pfb) = %{tl_version}
Provides: tex(gljn1659.pfb) = %{tl_version}
Provides: tex(gljn1991.pfb) = %{tl_version}
Provides: tex(gljn2389.pfb) = %{tl_version}
Provides: tex(gljn2866.pfb) = %{tl_version}
Provides: tex(gljn3440.pfb) = %{tl_version}
Provides: tex(gljn4128.pfb) = %{tl_version}
Provides: tex(gljo0700.pfb) = %{tl_version}
Provides: tex(gljo0800.pfb) = %{tl_version}
Provides: tex(gljo1000.pfb) = %{tl_version}
Provides: tex(gljo1200.pfb) = %{tl_version}
Provides: tex(gljo1382.pfb) = %{tl_version}
Provides: tex(gljo1659.pfb) = %{tl_version}
Provides: tex(gljo1991.pfb) = %{tl_version}
Provides: tex(gljo2389.pfb) = %{tl_version}
Provides: tex(gljo2866.pfb) = %{tl_version}
Provides: tex(gljo3440.pfb) = %{tl_version}
Provides: tex(gljo4128.pfb) = %{tl_version}
Provides: tex(glmc0700.pfb) = %{tl_version}
Provides: tex(glmc0800.pfb) = %{tl_version}
Provides: tex(glmc1000.pfb) = %{tl_version}
Provides: tex(glmc1200.pfb) = %{tl_version}
Provides: tex(glmc1382.pfb) = %{tl_version}
Provides: tex(glmc1659.pfb) = %{tl_version}
Provides: tex(glmc1991.pfb) = %{tl_version}
Provides: tex(glmc2389.pfb) = %{tl_version}
Provides: tex(glmc2866.pfb) = %{tl_version}
Provides: tex(glmc3440.pfb) = %{tl_version}
Provides: tex(glmc4128.pfb) = %{tl_version}
Provides: tex(glmi0700.pfb) = %{tl_version}
Provides: tex(glmi0800.pfb) = %{tl_version}
Provides: tex(glmi1000.pfb) = %{tl_version}
Provides: tex(glmi1200.pfb) = %{tl_version}
Provides: tex(glmi1382.pfb) = %{tl_version}
Provides: tex(glmi1659.pfb) = %{tl_version}
Provides: tex(glmi1991.pfb) = %{tl_version}
Provides: tex(glmi2389.pfb) = %{tl_version}
Provides: tex(glmi2866.pfb) = %{tl_version}
Provides: tex(glmi3440.pfb) = %{tl_version}
Provides: tex(glmi4128.pfb) = %{tl_version}
Provides: tex(glmn0700.pfb) = %{tl_version}
Provides: tex(glmn0800.pfb) = %{tl_version}
Provides: tex(glmn1000.pfb) = %{tl_version}
Provides: tex(glmn1200.pfb) = %{tl_version}
Provides: tex(glmn1382.pfb) = %{tl_version}
Provides: tex(glmn1659.pfb) = %{tl_version}
Provides: tex(glmn1991.pfb) = %{tl_version}
Provides: tex(glmn2389.pfb) = %{tl_version}
Provides: tex(glmn2866.pfb) = %{tl_version}
Provides: tex(glmn3440.pfb) = %{tl_version}
Provides: tex(glmn4128.pfb) = %{tl_version}
Provides: tex(glmo0700.pfb) = %{tl_version}
Provides: tex(glmo0800.pfb) = %{tl_version}
Provides: tex(glmo1000.pfb) = %{tl_version}
Provides: tex(glmo1200.pfb) = %{tl_version}
Provides: tex(glmo1382.pfb) = %{tl_version}
Provides: tex(glmo1659.pfb) = %{tl_version}
Provides: tex(glmo1991.pfb) = %{tl_version}
Provides: tex(glmo2389.pfb) = %{tl_version}
Provides: tex(glmo2866.pfb) = %{tl_version}
Provides: tex(glmo3440.pfb) = %{tl_version}
Provides: tex(glmo4128.pfb) = %{tl_version}
Provides: tex(glmu0700.pfb) = %{tl_version}
Provides: tex(glmu0800.pfb) = %{tl_version}
Provides: tex(glmu1000.pfb) = %{tl_version}
Provides: tex(glmu1200.pfb) = %{tl_version}
Provides: tex(glmu1382.pfb) = %{tl_version}
Provides: tex(glmu1659.pfb) = %{tl_version}
Provides: tex(glmu1991.pfb) = %{tl_version}
Provides: tex(glmu2389.pfb) = %{tl_version}
Provides: tex(glmu2866.pfb) = %{tl_version}
Provides: tex(glmu3440.pfb) = %{tl_version}
Provides: tex(glmu4128.pfb) = %{tl_version}
Provides: tex(gltc0700.pfb) = %{tl_version}
Provides: tex(gltc0800.pfb) = %{tl_version}
Provides: tex(gltc1000.pfb) = %{tl_version}
Provides: tex(gltc1200.pfb) = %{tl_version}
Provides: tex(gltc1382.pfb) = %{tl_version}
Provides: tex(gltc1659.pfb) = %{tl_version}
Provides: tex(gltc1991.pfb) = %{tl_version}
Provides: tex(gltc2389.pfb) = %{tl_version}
Provides: tex(gltc2866.pfb) = %{tl_version}
Provides: tex(gltc3440.pfb) = %{tl_version}
Provides: tex(gltc4128.pfb) = %{tl_version}
Provides: tex(gltn0700.pfb) = %{tl_version}
Provides: tex(gltn0800.pfb) = %{tl_version}
Provides: tex(gltn1000.pfb) = %{tl_version}
Provides: tex(gltn1200.pfb) = %{tl_version}
Provides: tex(gltn1382.pfb) = %{tl_version}
Provides: tex(gltn1659.pfb) = %{tl_version}
Provides: tex(gltn1991.pfb) = %{tl_version}
Provides: tex(gltn2389.pfb) = %{tl_version}
Provides: tex(gltn2866.pfb) = %{tl_version}
Provides: tex(gltn3440.pfb) = %{tl_version}
Provides: tex(gltn4128.pfb) = %{tl_version}
Provides: tex(glto0700.pfb) = %{tl_version}
Provides: tex(glto0800.pfb) = %{tl_version}
Provides: tex(glto1000.pfb) = %{tl_version}
Provides: tex(glto1200.pfb) = %{tl_version}
Provides: tex(glto1382.pfb) = %{tl_version}
Provides: tex(glto1659.pfb) = %{tl_version}
Provides: tex(glto1991.pfb) = %{tl_version}
Provides: tex(glto2389.pfb) = %{tl_version}
Provides: tex(glto2866.pfb) = %{tl_version}
Provides: tex(glto3440.pfb) = %{tl_version}
Provides: tex(glto4128.pfb) = %{tl_version}
Provides: tex(glwc0700.pfb) = %{tl_version}
Provides: tex(glwc0800.pfb) = %{tl_version}
Provides: tex(glwc1000.pfb) = %{tl_version}
Provides: tex(glwc1200.pfb) = %{tl_version}
Provides: tex(glwc1382.pfb) = %{tl_version}
Provides: tex(glwc1659.pfb) = %{tl_version}
Provides: tex(glwc1991.pfb) = %{tl_version}
Provides: tex(glwc2389.pfb) = %{tl_version}
Provides: tex(glwc2866.pfb) = %{tl_version}
Provides: tex(glwc3440.pfb) = %{tl_version}
Provides: tex(glwc4128.pfb) = %{tl_version}
Provides: tex(glwi0700.pfb) = %{tl_version}
Provides: tex(glwi0800.pfb) = %{tl_version}
Provides: tex(glwi1000.pfb) = %{tl_version}
Provides: tex(glwi1200.pfb) = %{tl_version}
Provides: tex(glwi1382.pfb) = %{tl_version}
Provides: tex(glwi1659.pfb) = %{tl_version}
Provides: tex(glwi1991.pfb) = %{tl_version}
Provides: tex(glwi2389.pfb) = %{tl_version}
Provides: tex(glwi2866.pfb) = %{tl_version}
Provides: tex(glwi3440.pfb) = %{tl_version}
Provides: tex(glwi4128.pfb) = %{tl_version}
Provides: tex(glwn0700.pfb) = %{tl_version}
Provides: tex(glwn0800.pfb) = %{tl_version}
Provides: tex(glwn1000.pfb) = %{tl_version}
Provides: tex(glwn1200.pfb) = %{tl_version}
Provides: tex(glwn1382.pfb) = %{tl_version}
Provides: tex(glwn1659.pfb) = %{tl_version}
Provides: tex(glwn1991.pfb) = %{tl_version}
Provides: tex(glwn2389.pfb) = %{tl_version}
Provides: tex(glwn2866.pfb) = %{tl_version}
Provides: tex(glwn3440.pfb) = %{tl_version}
Provides: tex(glwn4128.pfb) = %{tl_version}
Provides: tex(glwo0700.pfb) = %{tl_version}
Provides: tex(glwo0800.pfb) = %{tl_version}
Provides: tex(glwo1000.pfb) = %{tl_version}
Provides: tex(glwo1200.pfb) = %{tl_version}
Provides: tex(glwo1382.pfb) = %{tl_version}
Provides: tex(glwo1659.pfb) = %{tl_version}
Provides: tex(glwo1991.pfb) = %{tl_version}
Provides: tex(glwo2389.pfb) = %{tl_version}
Provides: tex(glwo2866.pfb) = %{tl_version}
Provides: tex(glwo3440.pfb) = %{tl_version}
Provides: tex(glwo4128.pfb) = %{tl_version}
Provides: tex(glwu0700.pfb) = %{tl_version}
Provides: tex(glwu0800.pfb) = %{tl_version}
Provides: tex(glwu1000.pfb) = %{tl_version}
Provides: tex(glwu1200.pfb) = %{tl_version}
Provides: tex(glwu1382.pfb) = %{tl_version}
Provides: tex(glwu1659.pfb) = %{tl_version}
Provides: tex(glwu1991.pfb) = %{tl_version}
Provides: tex(glwu2389.pfb) = %{tl_version}
Provides: tex(glwu2866.pfb) = %{tl_version}
Provides: tex(glwu3440.pfb) = %{tl_version}
Provides: tex(glwu4128.pfb) = %{tl_version}
Provides: tex(glxc0700.pfb) = %{tl_version}
Provides: tex(glxc0800.pfb) = %{tl_version}
Provides: tex(glxc1000.pfb) = %{tl_version}
Provides: tex(glxc1200.pfb) = %{tl_version}
Provides: tex(glxc1382.pfb) = %{tl_version}
Provides: tex(glxc1659.pfb) = %{tl_version}
Provides: tex(glxc1991.pfb) = %{tl_version}
Provides: tex(glxc2389.pfb) = %{tl_version}
Provides: tex(glxc2866.pfb) = %{tl_version}
Provides: tex(glxc3440.pfb) = %{tl_version}
Provides: tex(glxc4128.pfb) = %{tl_version}
Provides: tex(glxi0700.pfb) = %{tl_version}
Provides: tex(glxi0800.pfb) = %{tl_version}
Provides: tex(glxi1000.pfb) = %{tl_version}
Provides: tex(glxi1200.pfb) = %{tl_version}
Provides: tex(glxi1382.pfb) = %{tl_version}
Provides: tex(glxi1659.pfb) = %{tl_version}
Provides: tex(glxi1991.pfb) = %{tl_version}
Provides: tex(glxi2389.pfb) = %{tl_version}
Provides: tex(glxi2866.pfb) = %{tl_version}
Provides: tex(glxi3440.pfb) = %{tl_version}
Provides: tex(glxi4128.pfb) = %{tl_version}
Provides: tex(glxn0700.pfb) = %{tl_version}
Provides: tex(glxn0800.pfb) = %{tl_version}
Provides: tex(glxn1000.pfb) = %{tl_version}
Provides: tex(glxn1200.pfb) = %{tl_version}
Provides: tex(glxn1382.pfb) = %{tl_version}
Provides: tex(glxn1659.pfb) = %{tl_version}
Provides: tex(glxn1991.pfb) = %{tl_version}
Provides: tex(glxn2389.pfb) = %{tl_version}
Provides: tex(glxn2866.pfb) = %{tl_version}
Provides: tex(glxn3440.pfb) = %{tl_version}
Provides: tex(glxn4128.pfb) = %{tl_version}
Provides: tex(glxo0700.pfb) = %{tl_version}
Provides: tex(glxo0800.pfb) = %{tl_version}
Provides: tex(glxo1000.pfb) = %{tl_version}
Provides: tex(glxo1200.pfb) = %{tl_version}
Provides: tex(glxo1382.pfb) = %{tl_version}
Provides: tex(glxo1659.pfb) = %{tl_version}
Provides: tex(glxo1991.pfb) = %{tl_version}
Provides: tex(glxo2389.pfb) = %{tl_version}
Provides: tex(glxo2866.pfb) = %{tl_version}
Provides: tex(glxo3440.pfb) = %{tl_version}
Provides: tex(glxo4128.pfb) = %{tl_version}
Provides: tex(glxu0700.pfb) = %{tl_version}
Provides: tex(glxu0800.pfb) = %{tl_version}
Provides: tex(glxu1000.pfb) = %{tl_version}
Provides: tex(glxu1200.pfb) = %{tl_version}
Provides: tex(glxu1382.pfb) = %{tl_version}
Provides: tex(glxu1659.pfb) = %{tl_version}
Provides: tex(glxu1991.pfb) = %{tl_version}
Provides: tex(glxu2389.pfb) = %{tl_version}
Provides: tex(glxu2866.pfb) = %{tl_version}
Provides: tex(glxu3440.pfb) = %{tl_version}
Provides: tex(glxu4128.pfb) = %{tl_version}
Provides: tex(gmmn0500.pfb) = %{tl_version}
Provides: tex(gmmn0600.pfb) = %{tl_version}
Provides: tex(gmmn0700.pfb) = %{tl_version}
Provides: tex(gmmn0800.pfb) = %{tl_version}
Provides: tex(gmmn0900.pfb) = %{tl_version}
Provides: tex(gmmn1000.pfb) = %{tl_version}
Provides: tex(gmmn1095.pfb) = %{tl_version}
Provides: tex(gmmn1200.pfb) = %{tl_version}
Provides: tex(gmmn1440.pfb) = %{tl_version}
Provides: tex(gmmn1728.pfb) = %{tl_version}
Provides: tex(gmmn2074.pfb) = %{tl_version}
Provides: tex(gmmn2488.pfb) = %{tl_version}
Provides: tex(gmmn2986.pfb) = %{tl_version}
Provides: tex(gmmn3583.pfb) = %{tl_version}
Provides: tex(gmmo0500.pfb) = %{tl_version}
Provides: tex(gmmo0600.pfb) = %{tl_version}
Provides: tex(gmmo0700.pfb) = %{tl_version}
Provides: tex(gmmo0800.pfb) = %{tl_version}
Provides: tex(gmmo0900.pfb) = %{tl_version}
Provides: tex(gmmo1000.pfb) = %{tl_version}
Provides: tex(gmmo1095.pfb) = %{tl_version}
Provides: tex(gmmo1200.pfb) = %{tl_version}
Provides: tex(gmmo1440.pfb) = %{tl_version}
Provides: tex(gmmo1728.pfb) = %{tl_version}
Provides: tex(gmmo2074.pfb) = %{tl_version}
Provides: tex(gmmo2488.pfb) = %{tl_version}
Provides: tex(gmmo2986.pfb) = %{tl_version}
Provides: tex(gmmo3583.pfb) = %{tl_version}
Provides: tex(gmtr0500.pfb) = %{tl_version}
Provides: tex(gmtr0600.pfb) = %{tl_version}
Provides: tex(gmtr0700.pfb) = %{tl_version}
Provides: tex(gmtr0800.pfb) = %{tl_version}
Provides: tex(gmtr0900.pfb) = %{tl_version}
Provides: tex(gmtr1000.pfb) = %{tl_version}
Provides: tex(gmtr1095.pfb) = %{tl_version}
Provides: tex(gmtr1200.pfb) = %{tl_version}
Provides: tex(gmtr1440.pfb) = %{tl_version}
Provides: tex(gmtr1728.pfb) = %{tl_version}
Provides: tex(gmtr2074.pfb) = %{tl_version}
Provides: tex(gmtr2488.pfb) = %{tl_version}
Provides: tex(gmtr2986.pfb) = %{tl_version}
Provides: tex(gmtr3583.pfb) = %{tl_version}
Provides: tex(gmxn0500.pfb) = %{tl_version}
Provides: tex(gmxn0600.pfb) = %{tl_version}
Provides: tex(gmxn0700.pfb) = %{tl_version}
Provides: tex(gmxn0800.pfb) = %{tl_version}
Provides: tex(gmxn0900.pfb) = %{tl_version}
Provides: tex(gmxn1000.pfb) = %{tl_version}
Provides: tex(gmxn1095.pfb) = %{tl_version}
Provides: tex(gmxn1200.pfb) = %{tl_version}
Provides: tex(gmxn1440.pfb) = %{tl_version}
Provides: tex(gmxn1728.pfb) = %{tl_version}
Provides: tex(gmxn2074.pfb) = %{tl_version}
Provides: tex(gmxn2488.pfb) = %{tl_version}
Provides: tex(gmxn2986.pfb) = %{tl_version}
Provides: tex(gmxn3583.pfb) = %{tl_version}
Provides: tex(gmxo0500.pfb) = %{tl_version}
Provides: tex(gmxo0600.pfb) = %{tl_version}
Provides: tex(gmxo0700.pfb) = %{tl_version}
Provides: tex(gmxo0800.pfb) = %{tl_version}
Provides: tex(gmxo0900.pfb) = %{tl_version}
Provides: tex(gmxo1000.pfb) = %{tl_version}
Provides: tex(gmxo1095.pfb) = %{tl_version}
Provides: tex(gmxo1200.pfb) = %{tl_version}
Provides: tex(gmxo1440.pfb) = %{tl_version}
Provides: tex(gmxo1728.pfb) = %{tl_version}
Provides: tex(gmxo2074.pfb) = %{tl_version}
Provides: tex(gmxo2488.pfb) = %{tl_version}
Provides: tex(gmxo2986.pfb) = %{tl_version}
Provides: tex(gmxo3583.pfb) = %{tl_version}
Provides: tex(gomc0500.pfb) = %{tl_version}
Provides: tex(gomc0600.pfb) = %{tl_version}
Provides: tex(gomc0700.pfb) = %{tl_version}
Provides: tex(gomc0800.pfb) = %{tl_version}
Provides: tex(gomc0900.pfb) = %{tl_version}
Provides: tex(gomc1000.pfb) = %{tl_version}
Provides: tex(gomc1095.pfb) = %{tl_version}
Provides: tex(gomc1200.pfb) = %{tl_version}
Provides: tex(gomc1440.pfb) = %{tl_version}
Provides: tex(gomc1728.pfb) = %{tl_version}
Provides: tex(gomc2074.pfb) = %{tl_version}
Provides: tex(gomc2488.pfb) = %{tl_version}
Provides: tex(gomc2986.pfb) = %{tl_version}
Provides: tex(gomc3583.pfb) = %{tl_version}
Provides: tex(gomi0500.pfb) = %{tl_version}
Provides: tex(gomi0600.pfb) = %{tl_version}
Provides: tex(gomi0700.pfb) = %{tl_version}
Provides: tex(gomi0800.pfb) = %{tl_version}
Provides: tex(gomi0900.pfb) = %{tl_version}
Provides: tex(gomi1000.pfb) = %{tl_version}
Provides: tex(gomi1095.pfb) = %{tl_version}
Provides: tex(gomi1200.pfb) = %{tl_version}
Provides: tex(gomi1440.pfb) = %{tl_version}
Provides: tex(gomi1728.pfb) = %{tl_version}
Provides: tex(gomi2074.pfb) = %{tl_version}
Provides: tex(gomi2488.pfb) = %{tl_version}
Provides: tex(gomi2986.pfb) = %{tl_version}
Provides: tex(gomi3583.pfb) = %{tl_version}
Provides: tex(gomn0500.pfb) = %{tl_version}
Provides: tex(gomn0600.pfb) = %{tl_version}
Provides: tex(gomn0700.pfb) = %{tl_version}
Provides: tex(gomn0800.pfb) = %{tl_version}
Provides: tex(gomn0900.pfb) = %{tl_version}
Provides: tex(gomn1000.pfb) = %{tl_version}
Provides: tex(gomn1095.pfb) = %{tl_version}
Provides: tex(gomn1200.pfb) = %{tl_version}
Provides: tex(gomn1440.pfb) = %{tl_version}
Provides: tex(gomn1728.pfb) = %{tl_version}
Provides: tex(gomn2074.pfb) = %{tl_version}
Provides: tex(gomn2488.pfb) = %{tl_version}
Provides: tex(gomn2986.pfb) = %{tl_version}
Provides: tex(gomn3583.pfb) = %{tl_version}
Provides: tex(gomo0500.pfb) = %{tl_version}
Provides: tex(gomo0600.pfb) = %{tl_version}
Provides: tex(gomo0700.pfb) = %{tl_version}
Provides: tex(gomo0800.pfb) = %{tl_version}
Provides: tex(gomo0900.pfb) = %{tl_version}
Provides: tex(gomo1000.pfb) = %{tl_version}
Provides: tex(gomo1095.pfb) = %{tl_version}
Provides: tex(gomo1200.pfb) = %{tl_version}
Provides: tex(gomo1440.pfb) = %{tl_version}
Provides: tex(gomo1728.pfb) = %{tl_version}
Provides: tex(gomo2074.pfb) = %{tl_version}
Provides: tex(gomo2488.pfb) = %{tl_version}
Provides: tex(gomo2986.pfb) = %{tl_version}
Provides: tex(gomo3583.pfb) = %{tl_version}
Provides: tex(gomu0500.pfb) = %{tl_version}
Provides: tex(gomu0600.pfb) = %{tl_version}
Provides: tex(gomu0700.pfb) = %{tl_version}
Provides: tex(gomu0800.pfb) = %{tl_version}
Provides: tex(gomu0900.pfb) = %{tl_version}
Provides: tex(gomu1000.pfb) = %{tl_version}
Provides: tex(gomu1095.pfb) = %{tl_version}
Provides: tex(gomu1200.pfb) = %{tl_version}
Provides: tex(gomu1440.pfb) = %{tl_version}
Provides: tex(gomu1728.pfb) = %{tl_version}
Provides: tex(gomu2074.pfb) = %{tl_version}
Provides: tex(gomu2488.pfb) = %{tl_version}
Provides: tex(gomu2986.pfb) = %{tl_version}
Provides: tex(gomu3583.pfb) = %{tl_version}
Provides: tex(goxc0500.pfb) = %{tl_version}
Provides: tex(goxc0600.pfb) = %{tl_version}
Provides: tex(goxc0700.pfb) = %{tl_version}
Provides: tex(goxc0800.pfb) = %{tl_version}
Provides: tex(goxc0900.pfb) = %{tl_version}
Provides: tex(goxc1000.pfb) = %{tl_version}
Provides: tex(goxc1095.pfb) = %{tl_version}
Provides: tex(goxc1200.pfb) = %{tl_version}
Provides: tex(goxc1440.pfb) = %{tl_version}
Provides: tex(goxc1728.pfb) = %{tl_version}
Provides: tex(goxc2074.pfb) = %{tl_version}
Provides: tex(goxc2488.pfb) = %{tl_version}
Provides: tex(goxc2986.pfb) = %{tl_version}
Provides: tex(goxc3583.pfb) = %{tl_version}
Provides: tex(goxi0500.pfb) = %{tl_version}
Provides: tex(goxi0600.pfb) = %{tl_version}
Provides: tex(goxi0700.pfb) = %{tl_version}
Provides: tex(goxi0800.pfb) = %{tl_version}
Provides: tex(goxi0900.pfb) = %{tl_version}
Provides: tex(goxi1000.pfb) = %{tl_version}
Provides: tex(goxi1095.pfb) = %{tl_version}
Provides: tex(goxi1200.pfb) = %{tl_version}
Provides: tex(goxi1440.pfb) = %{tl_version}
Provides: tex(goxi1728.pfb) = %{tl_version}
Provides: tex(goxi2074.pfb) = %{tl_version}
Provides: tex(goxi2488.pfb) = %{tl_version}
Provides: tex(goxi2986.pfb) = %{tl_version}
Provides: tex(goxi3583.pfb) = %{tl_version}
Provides: tex(goxn0500.pfb) = %{tl_version}
Provides: tex(goxn0600.pfb) = %{tl_version}
Provides: tex(goxn0700.pfb) = %{tl_version}
Provides: tex(goxn0800.pfb) = %{tl_version}
Provides: tex(goxn0900.pfb) = %{tl_version}
Provides: tex(goxn1000.pfb) = %{tl_version}
Provides: tex(goxn1095.pfb) = %{tl_version}
Provides: tex(goxn1200.pfb) = %{tl_version}
Provides: tex(goxn1440.pfb) = %{tl_version}
Provides: tex(goxn1728.pfb) = %{tl_version}
Provides: tex(goxn2074.pfb) = %{tl_version}
Provides: tex(goxn2488.pfb) = %{tl_version}
Provides: tex(goxn2986.pfb) = %{tl_version}
Provides: tex(goxn3583.pfb) = %{tl_version}
Provides: tex(goxo0500.pfb) = %{tl_version}
Provides: tex(goxo0600.pfb) = %{tl_version}
Provides: tex(goxo0700.pfb) = %{tl_version}
Provides: tex(goxo0800.pfb) = %{tl_version}
Provides: tex(goxo0900.pfb) = %{tl_version}
Provides: tex(goxo1000.pfb) = %{tl_version}
Provides: tex(goxo1095.pfb) = %{tl_version}
Provides: tex(goxo1200.pfb) = %{tl_version}
Provides: tex(goxo1440.pfb) = %{tl_version}
Provides: tex(goxo1728.pfb) = %{tl_version}
Provides: tex(goxo2074.pfb) = %{tl_version}
Provides: tex(goxo2488.pfb) = %{tl_version}
Provides: tex(goxo2986.pfb) = %{tl_version}
Provides: tex(goxo3583.pfb) = %{tl_version}
Provides: tex(goxu0500.pfb) = %{tl_version}
Provides: tex(goxu0600.pfb) = %{tl_version}
Provides: tex(goxu0700.pfb) = %{tl_version}
Provides: tex(goxu0800.pfb) = %{tl_version}
Provides: tex(goxu0900.pfb) = %{tl_version}
Provides: tex(goxu1000.pfb) = %{tl_version}
Provides: tex(goxu1095.pfb) = %{tl_version}
Provides: tex(goxu1200.pfb) = %{tl_version}
Provides: tex(goxu1440.pfb) = %{tl_version}
Provides: tex(goxu1728.pfb) = %{tl_version}
Provides: tex(goxu2074.pfb) = %{tl_version}
Provides: tex(goxu2488.pfb) = %{tl_version}
Provides: tex(goxu2986.pfb) = %{tl_version}
Provides: tex(goxu3583.pfb) = %{tl_version}
Provides: tex(grbl0500.pfb) = %{tl_version}
Provides: tex(grbl0600.pfb) = %{tl_version}
Provides: tex(grbl0700.pfb) = %{tl_version}
Provides: tex(grbl0800.pfb) = %{tl_version}
Provides: tex(grbl0900.pfb) = %{tl_version}
Provides: tex(grbl1000.pfb) = %{tl_version}
Provides: tex(grbl1095.pfb) = %{tl_version}
Provides: tex(grbl1200.pfb) = %{tl_version}
Provides: tex(grbl1440.pfb) = %{tl_version}
Provides: tex(grbl1728.pfb) = %{tl_version}
Provides: tex(grbl2074.pfb) = %{tl_version}
Provides: tex(grbl2488.pfb) = %{tl_version}
Provides: tex(grbl2986.pfb) = %{tl_version}
Provides: tex(grbl3583.pfb) = %{tl_version}
Provides: tex(grmc0500.pfb) = %{tl_version}
Provides: tex(grmc0600.pfb) = %{tl_version}
Provides: tex(grmc0700.pfb) = %{tl_version}
Provides: tex(grmc0800.pfb) = %{tl_version}
Provides: tex(grmc0900.pfb) = %{tl_version}
Provides: tex(grmc1000.pfb) = %{tl_version}
Provides: tex(grmc1095.pfb) = %{tl_version}
Provides: tex(grmc1200.pfb) = %{tl_version}
Provides: tex(grmc1440.pfb) = %{tl_version}
Provides: tex(grmc1728.pfb) = %{tl_version}
Provides: tex(grmc2074.pfb) = %{tl_version}
Provides: tex(grmc2488.pfb) = %{tl_version}
Provides: tex(grmc2986.pfb) = %{tl_version}
Provides: tex(grmc3583.pfb) = %{tl_version}
Provides: tex(grmi0500.pfb) = %{tl_version}
Provides: tex(grmi0600.pfb) = %{tl_version}
Provides: tex(grmi0700.pfb) = %{tl_version}
Provides: tex(grmi0800.pfb) = %{tl_version}
Provides: tex(grmi0900.pfb) = %{tl_version}
Provides: tex(grmi1000.pfb) = %{tl_version}
Provides: tex(grmi1095.pfb) = %{tl_version}
Provides: tex(grmi1200.pfb) = %{tl_version}
Provides: tex(grmi1440.pfb) = %{tl_version}
Provides: tex(grmi1728.pfb) = %{tl_version}
Provides: tex(grmi2074.pfb) = %{tl_version}
Provides: tex(grmi2488.pfb) = %{tl_version}
Provides: tex(grmi2986.pfb) = %{tl_version}
Provides: tex(grmi3583.pfb) = %{tl_version}
Provides: tex(grml0500.pfb) = %{tl_version}
Provides: tex(grml0600.pfb) = %{tl_version}
Provides: tex(grml0700.pfb) = %{tl_version}
Provides: tex(grml0800.pfb) = %{tl_version}
Provides: tex(grml0900.pfb) = %{tl_version}
Provides: tex(grml1000.pfb) = %{tl_version}
Provides: tex(grml1095.pfb) = %{tl_version}
Provides: tex(grml1200.pfb) = %{tl_version}
Provides: tex(grml1440.pfb) = %{tl_version}
Provides: tex(grml1728.pfb) = %{tl_version}
Provides: tex(grml2074.pfb) = %{tl_version}
Provides: tex(grml2488.pfb) = %{tl_version}
Provides: tex(grml2986.pfb) = %{tl_version}
Provides: tex(grml3583.pfb) = %{tl_version}
Provides: tex(grmn0500.pfb) = %{tl_version}
Provides: tex(grmn0600.pfb) = %{tl_version}
Provides: tex(grmn0700.pfb) = %{tl_version}
Provides: tex(grmn0800.pfb) = %{tl_version}
Provides: tex(grmn0900.pfb) = %{tl_version}
Provides: tex(grmn1000.pfb) = %{tl_version}
Provides: tex(grmn1095.pfb) = %{tl_version}
Provides: tex(grmn1200.pfb) = %{tl_version}
Provides: tex(grmn1440.pfb) = %{tl_version}
Provides: tex(grmn1728.pfb) = %{tl_version}
Provides: tex(grmn2074.pfb) = %{tl_version}
Provides: tex(grmn2488.pfb) = %{tl_version}
Provides: tex(grmn2986.pfb) = %{tl_version}
Provides: tex(grmn3583.pfb) = %{tl_version}
Provides: tex(grmo0500.pfb) = %{tl_version}
Provides: tex(grmo0600.pfb) = %{tl_version}
Provides: tex(grmo0700.pfb) = %{tl_version}
Provides: tex(grmo0800.pfb) = %{tl_version}
Provides: tex(grmo0900.pfb) = %{tl_version}
Provides: tex(grmo1000.pfb) = %{tl_version}
Provides: tex(grmo1095.pfb) = %{tl_version}
Provides: tex(grmo1200.pfb) = %{tl_version}
Provides: tex(grmo1440.pfb) = %{tl_version}
Provides: tex(grmo1728.pfb) = %{tl_version}
Provides: tex(grmo2074.pfb) = %{tl_version}
Provides: tex(grmo2488.pfb) = %{tl_version}
Provides: tex(grmo2986.pfb) = %{tl_version}
Provides: tex(grmo3583.pfb) = %{tl_version}
Provides: tex(grmu0500.pfb) = %{tl_version}
Provides: tex(grmu0600.pfb) = %{tl_version}
Provides: tex(grmu0700.pfb) = %{tl_version}
Provides: tex(grmu0800.pfb) = %{tl_version}
Provides: tex(grmu0900.pfb) = %{tl_version}
Provides: tex(grmu1000.pfb) = %{tl_version}
Provides: tex(grmu1095.pfb) = %{tl_version}
Provides: tex(grmu1200.pfb) = %{tl_version}
Provides: tex(grmu1440.pfb) = %{tl_version}
Provides: tex(grmu1728.pfb) = %{tl_version}
Provides: tex(grmu2074.pfb) = %{tl_version}
Provides: tex(grmu2488.pfb) = %{tl_version}
Provides: tex(grmu2986.pfb) = %{tl_version}
Provides: tex(grmu3583.pfb) = %{tl_version}
Provides: tex(grxc0500.pfb) = %{tl_version}
Provides: tex(grxc0600.pfb) = %{tl_version}
Provides: tex(grxc0700.pfb) = %{tl_version}
Provides: tex(grxc0800.pfb) = %{tl_version}
Provides: tex(grxc0900.pfb) = %{tl_version}
Provides: tex(grxc1000.pfb) = %{tl_version}
Provides: tex(grxc1095.pfb) = %{tl_version}
Provides: tex(grxc1200.pfb) = %{tl_version}
Provides: tex(grxc1440.pfb) = %{tl_version}
Provides: tex(grxc1728.pfb) = %{tl_version}
Provides: tex(grxc2074.pfb) = %{tl_version}
Provides: tex(grxc2488.pfb) = %{tl_version}
Provides: tex(grxc2986.pfb) = %{tl_version}
Provides: tex(grxc3583.pfb) = %{tl_version}
Provides: tex(grxi0500.pfb) = %{tl_version}
Provides: tex(grxi0600.pfb) = %{tl_version}
Provides: tex(grxi0700.pfb) = %{tl_version}
Provides: tex(grxi0800.pfb) = %{tl_version}
Provides: tex(grxi0900.pfb) = %{tl_version}
Provides: tex(grxi1000.pfb) = %{tl_version}
Provides: tex(grxi1095.pfb) = %{tl_version}
Provides: tex(grxi1200.pfb) = %{tl_version}
Provides: tex(grxi1440.pfb) = %{tl_version}
Provides: tex(grxi1728.pfb) = %{tl_version}
Provides: tex(grxi2074.pfb) = %{tl_version}
Provides: tex(grxi2488.pfb) = %{tl_version}
Provides: tex(grxi2986.pfb) = %{tl_version}
Provides: tex(grxi3583.pfb) = %{tl_version}
Provides: tex(grxl0500.pfb) = %{tl_version}
Provides: tex(grxl0600.pfb) = %{tl_version}
Provides: tex(grxl0700.pfb) = %{tl_version}
Provides: tex(grxl0800.pfb) = %{tl_version}
Provides: tex(grxl0900.pfb) = %{tl_version}
Provides: tex(grxl1000.pfb) = %{tl_version}
Provides: tex(grxl1095.pfb) = %{tl_version}
Provides: tex(grxl1200.pfb) = %{tl_version}
Provides: tex(grxl1440.pfb) = %{tl_version}
Provides: tex(grxl1728.pfb) = %{tl_version}
Provides: tex(grxl2074.pfb) = %{tl_version}
Provides: tex(grxl2488.pfb) = %{tl_version}
Provides: tex(grxl2986.pfb) = %{tl_version}
Provides: tex(grxl3583.pfb) = %{tl_version}
Provides: tex(grxn0500.pfb) = %{tl_version}
Provides: tex(grxn0600.pfb) = %{tl_version}
Provides: tex(grxn0700.pfb) = %{tl_version}
Provides: tex(grxn0800.pfb) = %{tl_version}
Provides: tex(grxn0900.pfb) = %{tl_version}
Provides: tex(grxn1000.pfb) = %{tl_version}
Provides: tex(grxn1095.pfb) = %{tl_version}
Provides: tex(grxn1200.pfb) = %{tl_version}
Provides: tex(grxn1440.pfb) = %{tl_version}
Provides: tex(grxn1728.pfb) = %{tl_version}
Provides: tex(grxn2074.pfb) = %{tl_version}
Provides: tex(grxn2488.pfb) = %{tl_version}
Provides: tex(grxn2986.pfb) = %{tl_version}
Provides: tex(grxn3583.pfb) = %{tl_version}
Provides: tex(grxo0500.pfb) = %{tl_version}
Provides: tex(grxo0600.pfb) = %{tl_version}
Provides: tex(grxo0700.pfb) = %{tl_version}
Provides: tex(grxo0800.pfb) = %{tl_version}
Provides: tex(grxo0900.pfb) = %{tl_version}
Provides: tex(grxo1000.pfb) = %{tl_version}
Provides: tex(grxo1095.pfb) = %{tl_version}
Provides: tex(grxo1200.pfb) = %{tl_version}
Provides: tex(grxo1440.pfb) = %{tl_version}
Provides: tex(grxo1728.pfb) = %{tl_version}
Provides: tex(grxo2074.pfb) = %{tl_version}
Provides: tex(grxo2488.pfb) = %{tl_version}
Provides: tex(grxo2986.pfb) = %{tl_version}
Provides: tex(grxo3583.pfb) = %{tl_version}
Provides: tex(grxu0500.pfb) = %{tl_version}
Provides: tex(grxu0600.pfb) = %{tl_version}
Provides: tex(grxu0700.pfb) = %{tl_version}
Provides: tex(grxu0800.pfb) = %{tl_version}
Provides: tex(grxu0900.pfb) = %{tl_version}
Provides: tex(grxu1000.pfb) = %{tl_version}
Provides: tex(grxu1095.pfb) = %{tl_version}
Provides: tex(grxu1200.pfb) = %{tl_version}
Provides: tex(grxu1440.pfb) = %{tl_version}
Provides: tex(grxu1728.pfb) = %{tl_version}
Provides: tex(grxu2074.pfb) = %{tl_version}
Provides: tex(grxu2488.pfb) = %{tl_version}
Provides: tex(grxu2986.pfb) = %{tl_version}
Provides: tex(grxu3583.pfb) = %{tl_version}
Provides: tex(gsma0500.pfb) = %{tl_version}
Provides: tex(gsma0600.pfb) = %{tl_version}
Provides: tex(gsma0700.pfb) = %{tl_version}
Provides: tex(gsma0800.pfb) = %{tl_version}
Provides: tex(gsma0900.pfb) = %{tl_version}
Provides: tex(gsma1000.pfb) = %{tl_version}
Provides: tex(gsma1095.pfb) = %{tl_version}
Provides: tex(gsma1200.pfb) = %{tl_version}
Provides: tex(gsma1440.pfb) = %{tl_version}
Provides: tex(gsma1728.pfb) = %{tl_version}
Provides: tex(gsma2074.pfb) = %{tl_version}
Provides: tex(gsma2488.pfb) = %{tl_version}
Provides: tex(gsma2986.pfb) = %{tl_version}
Provides: tex(gsma3583.pfb) = %{tl_version}
Provides: tex(gsmc0500.pfb) = %{tl_version}
Provides: tex(gsmc0600.pfb) = %{tl_version}
Provides: tex(gsmc0700.pfb) = %{tl_version}
Provides: tex(gsmc0800.pfb) = %{tl_version}
Provides: tex(gsmc0900.pfb) = %{tl_version}
Provides: tex(gsmc1000.pfb) = %{tl_version}
Provides: tex(gsmc1095.pfb) = %{tl_version}
Provides: tex(gsmc1200.pfb) = %{tl_version}
Provides: tex(gsmc1440.pfb) = %{tl_version}
Provides: tex(gsmc1728.pfb) = %{tl_version}
Provides: tex(gsmc2074.pfb) = %{tl_version}
Provides: tex(gsmc2488.pfb) = %{tl_version}
Provides: tex(gsmc2986.pfb) = %{tl_version}
Provides: tex(gsmc3583.pfb) = %{tl_version}
Provides: tex(gsme0500.pfb) = %{tl_version}
Provides: tex(gsme0600.pfb) = %{tl_version}
Provides: tex(gsme0700.pfb) = %{tl_version}
Provides: tex(gsme0800.pfb) = %{tl_version}
Provides: tex(gsme0900.pfb) = %{tl_version}
Provides: tex(gsme1000.pfb) = %{tl_version}
Provides: tex(gsme1095.pfb) = %{tl_version}
Provides: tex(gsme1200.pfb) = %{tl_version}
Provides: tex(gsme1440.pfb) = %{tl_version}
Provides: tex(gsme1728.pfb) = %{tl_version}
Provides: tex(gsme2074.pfb) = %{tl_version}
Provides: tex(gsme2488.pfb) = %{tl_version}
Provides: tex(gsme2986.pfb) = %{tl_version}
Provides: tex(gsme3583.pfb) = %{tl_version}
Provides: tex(gsmi0500.pfb) = %{tl_version}
Provides: tex(gsmi0600.pfb) = %{tl_version}
Provides: tex(gsmi0700.pfb) = %{tl_version}
Provides: tex(gsmi0800.pfb) = %{tl_version}
Provides: tex(gsmi0900.pfb) = %{tl_version}
Provides: tex(gsmi1000.pfb) = %{tl_version}
Provides: tex(gsmi1095.pfb) = %{tl_version}
Provides: tex(gsmi1200.pfb) = %{tl_version}
Provides: tex(gsmi1440.pfb) = %{tl_version}
Provides: tex(gsmi1728.pfb) = %{tl_version}
Provides: tex(gsmi2074.pfb) = %{tl_version}
Provides: tex(gsmi2488.pfb) = %{tl_version}
Provides: tex(gsmi2986.pfb) = %{tl_version}
Provides: tex(gsmi3583.pfb) = %{tl_version}
Provides: tex(gsmn0500.pfb) = %{tl_version}
Provides: tex(gsmn0600.pfb) = %{tl_version}
Provides: tex(gsmn0700.pfb) = %{tl_version}
Provides: tex(gsmn0800.pfb) = %{tl_version}
Provides: tex(gsmn0900.pfb) = %{tl_version}
Provides: tex(gsmn1000.pfb) = %{tl_version}
Provides: tex(gsmn1095.pfb) = %{tl_version}
Provides: tex(gsmn1200.pfb) = %{tl_version}
Provides: tex(gsmn1440.pfb) = %{tl_version}
Provides: tex(gsmn1728.pfb) = %{tl_version}
Provides: tex(gsmn2074.pfb) = %{tl_version}
Provides: tex(gsmn2488.pfb) = %{tl_version}
Provides: tex(gsmn2986.pfb) = %{tl_version}
Provides: tex(gsmn3583.pfb) = %{tl_version}
Provides: tex(gsmo0500.pfb) = %{tl_version}
Provides: tex(gsmo0600.pfb) = %{tl_version}
Provides: tex(gsmo0700.pfb) = %{tl_version}
Provides: tex(gsmo0800.pfb) = %{tl_version}
Provides: tex(gsmo0900.pfb) = %{tl_version}
Provides: tex(gsmo1000.pfb) = %{tl_version}
Provides: tex(gsmo1095.pfb) = %{tl_version}
Provides: tex(gsmo1200.pfb) = %{tl_version}
Provides: tex(gsmo1440.pfb) = %{tl_version}
Provides: tex(gsmo1728.pfb) = %{tl_version}
Provides: tex(gsmo2074.pfb) = %{tl_version}
Provides: tex(gsmo2488.pfb) = %{tl_version}
Provides: tex(gsmo2986.pfb) = %{tl_version}
Provides: tex(gsmo3583.pfb) = %{tl_version}
Provides: tex(gsmu0500.pfb) = %{tl_version}
Provides: tex(gsmu0600.pfb) = %{tl_version}
Provides: tex(gsmu0700.pfb) = %{tl_version}
Provides: tex(gsmu0800.pfb) = %{tl_version}
Provides: tex(gsmu0900.pfb) = %{tl_version}
Provides: tex(gsmu1000.pfb) = %{tl_version}
Provides: tex(gsmu1095.pfb) = %{tl_version}
Provides: tex(gsmu1200.pfb) = %{tl_version}
Provides: tex(gsmu1440.pfb) = %{tl_version}
Provides: tex(gsmu1728.pfb) = %{tl_version}
Provides: tex(gsmu2074.pfb) = %{tl_version}
Provides: tex(gsmu2488.pfb) = %{tl_version}
Provides: tex(gsmu2986.pfb) = %{tl_version}
Provides: tex(gsmu3583.pfb) = %{tl_version}
Provides: tex(gsxa0500.pfb) = %{tl_version}
Provides: tex(gsxa0600.pfb) = %{tl_version}
Provides: tex(gsxa0700.pfb) = %{tl_version}
Provides: tex(gsxa0800.pfb) = %{tl_version}
Provides: tex(gsxa0900.pfb) = %{tl_version}
Provides: tex(gsxa1000.pfb) = %{tl_version}
Provides: tex(gsxa1095.pfb) = %{tl_version}
Provides: tex(gsxa1200.pfb) = %{tl_version}
Provides: tex(gsxa1440.pfb) = %{tl_version}
Provides: tex(gsxa1728.pfb) = %{tl_version}
Provides: tex(gsxa2074.pfb) = %{tl_version}
Provides: tex(gsxa2488.pfb) = %{tl_version}
Provides: tex(gsxa2986.pfb) = %{tl_version}
Provides: tex(gsxa3583.pfb) = %{tl_version}
Provides: tex(gsxc0500.pfb) = %{tl_version}
Provides: tex(gsxc0600.pfb) = %{tl_version}
Provides: tex(gsxc0700.pfb) = %{tl_version}
Provides: tex(gsxc0800.pfb) = %{tl_version}
Provides: tex(gsxc0900.pfb) = %{tl_version}
Provides: tex(gsxc1000.pfb) = %{tl_version}
Provides: tex(gsxc1095.pfb) = %{tl_version}
Provides: tex(gsxc1200.pfb) = %{tl_version}
Provides: tex(gsxc1440.pfb) = %{tl_version}
Provides: tex(gsxc1728.pfb) = %{tl_version}
Provides: tex(gsxc2074.pfb) = %{tl_version}
Provides: tex(gsxc2488.pfb) = %{tl_version}
Provides: tex(gsxc2986.pfb) = %{tl_version}
Provides: tex(gsxc3583.pfb) = %{tl_version}
Provides: tex(gsxe0500.pfb) = %{tl_version}
Provides: tex(gsxe0600.pfb) = %{tl_version}
Provides: tex(gsxe0700.pfb) = %{tl_version}
Provides: tex(gsxe0800.pfb) = %{tl_version}
Provides: tex(gsxe0900.pfb) = %{tl_version}
Provides: tex(gsxe1000.pfb) = %{tl_version}
Provides: tex(gsxe1095.pfb) = %{tl_version}
Provides: tex(gsxe1200.pfb) = %{tl_version}
Provides: tex(gsxe1440.pfb) = %{tl_version}
Provides: tex(gsxe1728.pfb) = %{tl_version}
Provides: tex(gsxe2074.pfb) = %{tl_version}
Provides: tex(gsxe2488.pfb) = %{tl_version}
Provides: tex(gsxe2986.pfb) = %{tl_version}
Provides: tex(gsxe3583.pfb) = %{tl_version}
Provides: tex(gsxi0500.pfb) = %{tl_version}
Provides: tex(gsxi0600.pfb) = %{tl_version}
Provides: tex(gsxi0700.pfb) = %{tl_version}
Provides: tex(gsxi0800.pfb) = %{tl_version}
Provides: tex(gsxi0900.pfb) = %{tl_version}
Provides: tex(gsxi1000.pfb) = %{tl_version}
Provides: tex(gsxi1095.pfb) = %{tl_version}
Provides: tex(gsxi1200.pfb) = %{tl_version}
Provides: tex(gsxi1440.pfb) = %{tl_version}
Provides: tex(gsxi1728.pfb) = %{tl_version}
Provides: tex(gsxi2074.pfb) = %{tl_version}
Provides: tex(gsxi2488.pfb) = %{tl_version}
Provides: tex(gsxi2986.pfb) = %{tl_version}
Provides: tex(gsxi3583.pfb) = %{tl_version}
Provides: tex(gsxn0500.pfb) = %{tl_version}
Provides: tex(gsxn0600.pfb) = %{tl_version}
Provides: tex(gsxn0700.pfb) = %{tl_version}
Provides: tex(gsxn0800.pfb) = %{tl_version}
Provides: tex(gsxn0900.pfb) = %{tl_version}
Provides: tex(gsxn1000.pfb) = %{tl_version}
Provides: tex(gsxn1095.pfb) = %{tl_version}
Provides: tex(gsxn1200.pfb) = %{tl_version}
Provides: tex(gsxn1440.pfb) = %{tl_version}
Provides: tex(gsxn1728.pfb) = %{tl_version}
Provides: tex(gsxn2074.pfb) = %{tl_version}
Provides: tex(gsxn2488.pfb) = %{tl_version}
Provides: tex(gsxn2986.pfb) = %{tl_version}
Provides: tex(gsxn3583.pfb) = %{tl_version}
Provides: tex(gsxo0500.pfb) = %{tl_version}
Provides: tex(gsxo0600.pfb) = %{tl_version}
Provides: tex(gsxo0700.pfb) = %{tl_version}
Provides: tex(gsxo0800.pfb) = %{tl_version}
Provides: tex(gsxo0900.pfb) = %{tl_version}
Provides: tex(gsxo1000.pfb) = %{tl_version}
Provides: tex(gsxo1095.pfb) = %{tl_version}
Provides: tex(gsxo1200.pfb) = %{tl_version}
Provides: tex(gsxo1440.pfb) = %{tl_version}
Provides: tex(gsxo1728.pfb) = %{tl_version}
Provides: tex(gsxo2074.pfb) = %{tl_version}
Provides: tex(gsxo2488.pfb) = %{tl_version}
Provides: tex(gsxo2986.pfb) = %{tl_version}
Provides: tex(gsxo3583.pfb) = %{tl_version}
Provides: tex(gsxu0500.pfb) = %{tl_version}
Provides: tex(gsxu0600.pfb) = %{tl_version}
Provides: tex(gsxu0700.pfb) = %{tl_version}
Provides: tex(gsxu0800.pfb) = %{tl_version}
Provides: tex(gsxu0900.pfb) = %{tl_version}
Provides: tex(gsxu1000.pfb) = %{tl_version}
Provides: tex(gsxu1095.pfb) = %{tl_version}
Provides: tex(gsxu1200.pfb) = %{tl_version}
Provides: tex(gsxu1440.pfb) = %{tl_version}
Provides: tex(gsxu1728.pfb) = %{tl_version}
Provides: tex(gsxu2074.pfb) = %{tl_version}
Provides: tex(gsxu2488.pfb) = %{tl_version}
Provides: tex(gsxu2986.pfb) = %{tl_version}
Provides: tex(gsxu3583.pfb) = %{tl_version}
Provides: tex(gttc0500.pfb) = %{tl_version}
Provides: tex(gttc0600.pfb) = %{tl_version}
Provides: tex(gttc0700.pfb) = %{tl_version}
Provides: tex(gttc0800.pfb) = %{tl_version}
Provides: tex(gttc0900.pfb) = %{tl_version}
Provides: tex(gttc1000.pfb) = %{tl_version}
Provides: tex(gttc1095.pfb) = %{tl_version}
Provides: tex(gttc1200.pfb) = %{tl_version}
Provides: tex(gttc1440.pfb) = %{tl_version}
Provides: tex(gttc1728.pfb) = %{tl_version}
Provides: tex(gttc2074.pfb) = %{tl_version}
Provides: tex(gttc2488.pfb) = %{tl_version}
Provides: tex(gttc2986.pfb) = %{tl_version}
Provides: tex(gttc3583.pfb) = %{tl_version}
Provides: tex(gtti0500.pfb) = %{tl_version}
Provides: tex(gtti0600.pfb) = %{tl_version}
Provides: tex(gtti0700.pfb) = %{tl_version}
Provides: tex(gtti0800.pfb) = %{tl_version}
Provides: tex(gtti0900.pfb) = %{tl_version}
Provides: tex(gtti1000.pfb) = %{tl_version}
Provides: tex(gtti1095.pfb) = %{tl_version}
Provides: tex(gtti1200.pfb) = %{tl_version}
Provides: tex(gtti1440.pfb) = %{tl_version}
Provides: tex(gtti1728.pfb) = %{tl_version}
Provides: tex(gtti2074.pfb) = %{tl_version}
Provides: tex(gtti2488.pfb) = %{tl_version}
Provides: tex(gtti2986.pfb) = %{tl_version}
Provides: tex(gtti3583.pfb) = %{tl_version}
Provides: tex(gttn0500.pfb) = %{tl_version}
Provides: tex(gttn0600.pfb) = %{tl_version}
Provides: tex(gttn0700.pfb) = %{tl_version}
Provides: tex(gttn0800.pfb) = %{tl_version}
Provides: tex(gttn0900.pfb) = %{tl_version}
Provides: tex(gttn1000.pfb) = %{tl_version}
Provides: tex(gttn1095.pfb) = %{tl_version}
Provides: tex(gttn1200.pfb) = %{tl_version}
Provides: tex(gttn1440.pfb) = %{tl_version}
Provides: tex(gttn1728.pfb) = %{tl_version}
Provides: tex(gttn2074.pfb) = %{tl_version}
Provides: tex(gttn2488.pfb) = %{tl_version}
Provides: tex(gttn2986.pfb) = %{tl_version}
Provides: tex(gttn3583.pfb) = %{tl_version}
Provides: tex(gtto0500.pfb) = %{tl_version}
Provides: tex(gtto0600.pfb) = %{tl_version}
Provides: tex(gtto0700.pfb) = %{tl_version}
Provides: tex(gtto0800.pfb) = %{tl_version}
Provides: tex(gtto0900.pfb) = %{tl_version}
Provides: tex(gtto1000.pfb) = %{tl_version}
Provides: tex(gtto1095.pfb) = %{tl_version}
Provides: tex(gtto1200.pfb) = %{tl_version}
Provides: tex(gtto1440.pfb) = %{tl_version}
Provides: tex(gtto1728.pfb) = %{tl_version}
Provides: tex(gtto2074.pfb) = %{tl_version}
Provides: tex(gtto2488.pfb) = %{tl_version}
Provides: tex(gtto2986.pfb) = %{tl_version}
Provides: tex(gtto3583.pfb) = %{tl_version}
Provides: tex(gttu0500.pfb) = %{tl_version}
Provides: tex(gttu0600.pfb) = %{tl_version}
Provides: tex(gttu0700.pfb) = %{tl_version}
Provides: tex(gttu0800.pfb) = %{tl_version}
Provides: tex(gttu0900.pfb) = %{tl_version}
Provides: tex(gttu1000.pfb) = %{tl_version}
Provides: tex(gttu1095.pfb) = %{tl_version}
Provides: tex(gttu1200.pfb) = %{tl_version}
Provides: tex(gttu1440.pfb) = %{tl_version}
Provides: tex(gttu1728.pfb) = %{tl_version}
Provides: tex(gttu2074.pfb) = %{tl_version}
Provides: tex(gttu2488.pfb) = %{tl_version}
Provides: tex(gttu2986.pfb) = %{tl_version}
Provides: tex(gttu3583.pfb) = %{tl_version}

%description cbfonts
This bundle presents the whole of Beccari's original Greek font
set, which use the 'Lispiakos' font shape derived from the
shape of the fonts used in printers' shops in Lispia. The fonts
are available both as Metafont source and in Adobe Type 1
format, and at the same wide set of design sizes as are such
font sets as the EC fonts.

%package cbfonts-doc
Summary: Documentation for cbfonts
Version: svn31624.0

Provides: tex-cbfonts-doc
AutoReqProv: No
Requires: tex-cbfonts-fd-doc

%description cbfonts-doc
Documentation for cbfonts

%package ccaption
Provides: tex-ccaption = %{tl_version}
License: LPPL 1.3
Summary: Continuation headings and legends for floats
Version: svn23443.3.2c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ccaption.sty) = %{tl_version}

%description ccaption
A package providing commands for 'continuation captions',
unnumbered captions, and also a non-specific legend heading for
any environment. Methods are also provided to define captions
for use outside float (e.g., figure and table) environments,
and to define new float environments and Lists of Floats. Tools
are provided for specifying your own captioning styles.

%package ccaption-doc
Summary: Documentation for ccaption
Version: svn23443.3.2c

Provides: tex-ccaption-doc
AutoReqProv: No

%description ccaption-doc
Documentation for ccaption

%package ccfonts
Provides: tex-ccfonts = %{tl_version}
License: LPPL
Summary: Support for Concrete text and math fonts in LaTeX
Version: svn17122.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ccfonts.sty) = %{tl_version}
Provides: tex(t1ccr.fd) = %{tl_version}
Provides: tex(ts1ccr.fd) = %{tl_version}

%description ccfonts
LaTeX font definition files for the Concrete fonts and a LaTeX
package for typesetting documents using Concrete as the default
font family. The files support OT1, T1, TS1, and Concrete
mathematics including AMS fonts (Ulrik Vieth's concmath).

%package ccfonts-doc
Summary: Documentation for ccfonts
Version: svn17122.1.1

Provides: tex-ccfonts-doc
AutoReqProv: No

%description ccfonts-doc
Documentation for ccfonts

%package ccicons
Provides: tex-ccicons = %{tl_version}
License: LPPL 1.3
Summary: LaTeX support for Creative Commons icons
Version: svn30020.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Provides: tex(ccicons-u.enc) = %{tl_version}
Provides: tex(ccicons.map) = %{tl_version}
Provides: tex(ccicons.otf) = %{tl_version}
Provides: tex(ccicons.tfm) = %{tl_version}
Provides: tex(ccicons.pfb) = %{tl_version}
Provides: tex(ccicons.sty) = %{tl_version}

%description ccicons
The package provides the means to typeset Creative Commons
icons, in documents licensed under CC licences. A font (in
Adobe Type 1 format) and LaTeX support macros are provided.

%package ccicons-doc
Summary: Documentation for ccicons
Version: svn30020.1.5

Provides: tex-ccicons-doc
AutoReqProv: No

%description ccicons-doc
Documentation for ccicons

%package cclicenses
Provides: tex-cclicenses = %{tl_version}
License: LPPL
Summary: Typeset Creative Commons licence logos
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(rotating.sty)
Provides: tex(cclicenses.sty) = %{tl_version}

%description cclicenses
The cclicenses package helps users typesetting Creative Commons
logos in LaTeX. It defines some commands useful to quickly
write these logos, related to CC licences versions 1.0 and 2.0.

%package cclicenses-doc
Summary: Documentation for cclicenses
Version: svn15878.0

Provides: tex-cclicenses-doc
AutoReqProv: No

%description cclicenses-doc
Documentation for cclicenses

%package cc-pl
Provides: tex-cc-pl = %{tl_version}
License: Public Domain
Summary: Polish extension of Computer Concrete fonts
Version: svn15878.1.02.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(ccpl.map) = %{tl_version}
Provides: tex(pccsc10.tfm) = %{tl_version}
Provides: tex(pcmi10.tfm) = %{tl_version}
Provides: tex(pcr10.tfm) = %{tl_version}
Provides: tex(pcr5.tfm) = %{tl_version}
Provides: tex(pcr6.tfm) = %{tl_version}
Provides: tex(pcr7.tfm) = %{tl_version}
Provides: tex(pcr8.tfm) = %{tl_version}
Provides: tex(pcr9.tfm) = %{tl_version}
Provides: tex(pcsl10.tfm) = %{tl_version}
Provides: tex(pcslc9.tfm) = %{tl_version}
Provides: tex(pcti10.tfm) = %{tl_version}
Provides: tex(pccsc10.pfb) = %{tl_version}
Provides: tex(pcmi10.pfb) = %{tl_version}
Provides: tex(pcr10.pfb) = %{tl_version}
Provides: tex(pcr5.pfb) = %{tl_version}
Provides: tex(pcr6.pfb) = %{tl_version}
Provides: tex(pcr7.pfb) = %{tl_version}
Provides: tex(pcr8.pfb) = %{tl_version}
Provides: tex(pcr9.pfb) = %{tl_version}
Provides: tex(pcsl10.pfb) = %{tl_version}
Provides: tex(pcslc9.pfb) = %{tl_version}
Provides: tex(pcti10.pfb) = %{tl_version}

%description cc-pl
These Metafont sources rely on the availability of the Metafont
'Polish' fonts and of the Metafont sources of the original
Concrete fonts. Adobe Type 1 versions of the fonts are
included.

%package cc-pl-doc
Summary: Documentation for cc-pl
Version: svn15878.1.02.2

Provides: tex-cc-pl-doc
AutoReqProv: No

%description cc-pl-doc
Documentation for cc-pl

%package cd-cover
Provides: tex-cd-cover = %{tl_version}
License: GPL+
Summary: Typeset CD covers
Version: svn17121.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(rotating.sty)
Provides: tex(cd-cover.cls) = %{tl_version}

%description cd-cover
The CD-cover class will typeset front and back cover sheets for
CD jewel cases, or an entire paper cover, or a label for a
plastic slip-cover.

%package cd-cover-doc
Summary: Documentation for cd-cover
Version: svn17121.1.0

Provides: tex-cd-cover-doc
AutoReqProv: No

%description cd-cover-doc
Documentation for cd-cover

%package cdpbundl
Provides: tex-cdpbundl = %{tl_version}
License: LPPL
Summary: Business letters in the Italian style
Version: svn36697.0.36

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(hyperref.sty)
Requires: tex(babel.sty)
Requires: tex(eepic.sty)
Provides: tex(articoletteracdp.cls) = %{tl_version}
Provides: tex(cdpaddon.sty) = %{tl_version}
Provides: tex(cdpbabel.sty) = %{tl_version}
Provides: tex(cdpnamesenglish.ldf) = %{tl_version}
Provides: tex(cdpnamesitalian.ldf) = %{tl_version}
Provides: tex(cdpshues-example.def) = %{tl_version}
Provides: tex(cdpshues.cfg) = %{tl_version}
Provides: tex(epson-stylus-740.def) = %{tl_version}
Provides: tex(hp-laserjet-4500.def) = %{tl_version}
Provides: tex(letteracdp.cls) = %{tl_version}

%description cdpbundl
The C.D.P. Bundle can be used to typeset high-quality business
letters formatted according to Italian style conventions. It is
highly configurable, and its modular structure provides you
with building blocks of increasing level, by means of which you
can compose a large variety of letters. It is also possible to
write letters divided into sections and paragraphs, to include
floating figures and tables, and to have the relevant indexes
compiled automatically. A single input file can contain several
letters, and each letter will have its own table of contents,
etc., independant from the other ones.

%package cdpbundl-doc
Summary: Documentation for cdpbundl
Version: svn36697.0.36

Provides: tex-cdpbundl-doc
AutoReqProv: No

%description cdpbundl-doc
Documentation for cdpbundl

%package cd
Provides: tex-cd = %{tl_version}
License: GPL+
Summary: Typeset CD covers
Version: svn34452.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(rotating.sty)
Provides: tex(cd.cls) = %{tl_version}

%description cd
Normal usage will ordinarily require no more than a simple data
file per cover; the package will make a full insert for a CD
case (it copes with both normal and slim cases).

%package cd-doc
Summary: Documentation for cd
Version: svn34452.1.4

Provides: tex-cd-doc
AutoReqProv: No

%description cd-doc
Documentation for cd

%package cellspace
Provides: tex-cellspace = %{tl_version}
License: LPPL
Summary: Ensure minimal spacing of table cells
Version: svn45034
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(array.sty)
Requires: tex(calc.sty)
Requires: tex(amsmath.sty)
Provides: tex(cellspace.sty) = %{tl_version}

%description cellspace
It is well known that high or deep cells tend to touch the
\hlines of a tabular. This package provides a modifier S acting
on usual column types so that to ensure a minimal distance that
can be controlled through two parameters \cellspacetoplimit and
\cellspacebottomlimit. The approach employed by this package is
noticeably simpler than that of tabls, which considers the
dimensions of each entire row; whereas you can ask the
cellspace only to look at the cells of potentially difficult
columns.

%package cellspace-doc
Summary: Documentation for cellspace
Version: svn45034
Provides: tex-cellspace-doc
AutoReqProv: No

%description cellspace-doc
Documentation for cellspace

%package cell
Provides: tex-cell = %{tl_version}
License: Public Domain
Summary: Bibliography style for Cell
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(cite.sty)
Provides: tex(cell.sty) = %{tl_version}

%description cell
This is an "apa-like" style (cf. apalike.bst in the BibTeX
distribution), developed from the same author's JMB style. A
supporting LaTeX package is also provided.

%package cell-doc
Summary: Documentation for cell
Version: svn42428
Provides: tex-cell-doc
AutoReqProv: No

%description cell-doc
Documentation for cell

%package celtic
Provides: tex-celtic = %{tl_version}
License: LPPL 1.3
Summary: A TikZ library for drawing celtic knots
Version: svn39797

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tikzlibraryceltic.code.tex) = %{tl_version}

%description celtic
The package provides a TikZ library for drawing celtic knots.

%package celtic-doc
Summary: Documentation for celtic
Version: svn39797

Provides: tex-celtic-doc
AutoReqProv: No

%description celtic-doc
Documentation for celtic

%package censor
Provides: tex-censor = %{tl_version}
License: LPPL 1.3
Summary: Facilities for controlling restricted text in a document
Version: svn31332.3.21

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(censor.sty) = %{tl_version}

%description censor
The package allows a convenient redaction/censor capability to
be employed, for those who need to protect restricted
information, etc. The package can "redact" anything that can be
enclosed by a LaTeX box.

%package censor-doc
Summary: Documentation for censor
Version: svn31332.3.21

Provides: tex-censor-doc
AutoReqProv: No

%description censor-doc
Documentation for censor

%package cfr-initials
Provides: tex-cfr-initials = %{tl_version}
License: LPPL 1.3
Summary: LaTeX packages for use of initials
Version: svn36728.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(Acorn.fd)
Requires: tex(AnnSton.fd)
Requires: tex(ArtNouv.fd)
Requires: tex(ArtNouvc.fd)
Requires: tex(Carrickc.fd)
Requires: tex(Eichenla.fd)
Requires: tex(Eileen.fd)
Requires: tex(EileenBl.fd)
Requires: tex(Elzevier.fd)
Requires: tex(GotIn.fd)
Requires: tex(GoudyIn.fd)
Requires: tex(Kinigcap.fd)
Requires: tex(Konanur.fd)
Requires: tex(Kramer.fd)
Requires: tex(MorrisIn.fd)
Requires: tex(Nouveaud.fd)
Requires: tex(Romantik.fd)
Requires: tex(Rothdn.fd)
Requires: tex(RoyalIn.fd)
Requires: tex(Sanremo.fd)
Requires: tex(Starburst.fd)
Requires: tex(Typocaps.fd)
Requires: tex(Zallman.fd)
Provides: tex(Acorn.sty) = %{tl_version}
Provides: tex(AnnSton.sty) = %{tl_version}
Provides: tex(ArtNouv.sty) = %{tl_version}
Provides: tex(ArtNouvc.sty) = %{tl_version}
Provides: tex(Carrickc.sty) = %{tl_version}
Provides: tex(Eichenla.sty) = %{tl_version}
Provides: tex(Eileen.sty) = %{tl_version}
Provides: tex(EileenBl.sty) = %{tl_version}
Provides: tex(Elzevier.sty) = %{tl_version}
Provides: tex(GotIn.sty) = %{tl_version}
Provides: tex(GoudyIn.sty) = %{tl_version}
Provides: tex(Kinigcap.sty) = %{tl_version}
Provides: tex(Konanur.sty) = %{tl_version}
Provides: tex(Kramer.sty) = %{tl_version}
Provides: tex(MorrisIn.sty) = %{tl_version}
Provides: tex(Nouveaud.sty) = %{tl_version}
Provides: tex(Romantik.sty) = %{tl_version}
Provides: tex(Rothdn.sty) = %{tl_version}
Provides: tex(Royal.sty) = %{tl_version}
Provides: tex(Sanremo.sty) = %{tl_version}
Provides: tex(Starburst.sty) = %{tl_version}
Provides: tex(Typocaps.sty) = %{tl_version}
Provides: tex(Zallman.sty) = %{tl_version}

%description cfr-initials
This is a set of 23 tiny packages designed to make it easier to
use fonts from the initials package in LaTeX, e.g. with the
lettrine package. It is a response to comments on an answer at
TeX Stack Exchange (http://tex.stackexchange.com/a/236410/)
requesting sample package files for others to copy. I had
previously assumed these were too trivial to be of interest,
but if they would be useful, then I would prefer them to be
generally available via CTAN.

%package cfr-initials-doc
Summary: Documentation for cfr-initials
Version: svn36728.1.01

Provides: tex-cfr-initials-doc
AutoReqProv: No

%description cfr-initials-doc
Documentation for cfr-initials

%package cfr-lm
Provides: tex-cfr-lm = %{tl_version}
License: LPPL 1.3
Summary: Enhanced support for the Latin Modern fonts
Version: svn36195.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(nfssext-cfr.sty)
Provides: tex(dotdigits-clm.enc) = %{tl_version}
Provides: tex(t1-clm.enc) = %{tl_version}
Provides: tex(clm.map) = %{tl_version}
Provides: tex(clmb28t10.tfm) = %{tl_version}
Provides: tex(clmb2j8t10.tfm) = %{tl_version}
Provides: tex(clmb2jo8t10.tfm) = %{tl_version}
Provides: tex(clmb2o8t10.tfm) = %{tl_version}
Provides: tex(clmb8t10.tfm) = %{tl_version}
Provides: tex(clmbj8t10.tfm) = %{tl_version}
Provides: tex(clmbjo8t10.tfm) = %{tl_version}
Provides: tex(clmbo8t10.tfm) = %{tl_version}
Provides: tex(clmbx28t10.tfm) = %{tl_version}
Provides: tex(clmbx28t12.tfm) = %{tl_version}
Provides: tex(clmbx28t5.tfm) = %{tl_version}
Provides: tex(clmbx28t6.tfm) = %{tl_version}
Provides: tex(clmbx28t7.tfm) = %{tl_version}
Provides: tex(clmbx28t8.tfm) = %{tl_version}
Provides: tex(clmbx28t9.tfm) = %{tl_version}
Provides: tex(clmbx2i8t10.tfm) = %{tl_version}
Provides: tex(clmbx2ij8t10.tfm) = %{tl_version}
Provides: tex(clmbx2j8t10.tfm) = %{tl_version}
Provides: tex(clmbx2j8t12.tfm) = %{tl_version}
Provides: tex(clmbx2j8t5.tfm) = %{tl_version}
Provides: tex(clmbx2j8t6.tfm) = %{tl_version}
Provides: tex(clmbx2j8t7.tfm) = %{tl_version}
Provides: tex(clmbx2j8t8.tfm) = %{tl_version}
Provides: tex(clmbx2j8t9.tfm) = %{tl_version}
Provides: tex(clmbx2jo8t10.tfm) = %{tl_version}
Provides: tex(clmbx2o8t10.tfm) = %{tl_version}
Provides: tex(clmbx8t10.tfm) = %{tl_version}
Provides: tex(clmbx8t12.tfm) = %{tl_version}
Provides: tex(clmbx8t5.tfm) = %{tl_version}
Provides: tex(clmbx8t6.tfm) = %{tl_version}
Provides: tex(clmbx8t7.tfm) = %{tl_version}
Provides: tex(clmbx8t8.tfm) = %{tl_version}
Provides: tex(clmbx8t9.tfm) = %{tl_version}
Provides: tex(clmbxi8t10.tfm) = %{tl_version}
Provides: tex(clmbxj8t10.tfm) = %{tl_version}
Provides: tex(clmbxj8t12.tfm) = %{tl_version}
Provides: tex(clmbxj8t5.tfm) = %{tl_version}
Provides: tex(clmbxj8t6.tfm) = %{tl_version}
Provides: tex(clmbxj8t7.tfm) = %{tl_version}
Provides: tex(clmbxj8t8.tfm) = %{tl_version}
Provides: tex(clmbxj8t9.tfm) = %{tl_version}
Provides: tex(clmbxji8t10.tfm) = %{tl_version}
Provides: tex(clmbxjo8t10.tfm) = %{tl_version}
Provides: tex(clmbxo8t10.tfm) = %{tl_version}
Provides: tex(clmcsc28t10.tfm) = %{tl_version}
Provides: tex(clmcsc2j8t10.tfm) = %{tl_version}
Provides: tex(clmcsc2jo8t10.tfm) = %{tl_version}
Provides: tex(clmcsc2o8t10.tfm) = %{tl_version}
Provides: tex(clmcsc8t10.tfm) = %{tl_version}
Provides: tex(clmcscj8t10.tfm) = %{tl_version}
Provides: tex(clmcscjo8t10.tfm) = %{tl_version}
Provides: tex(clmcsco8t10.tfm) = %{tl_version}
Provides: tex(clmdun2jo8t10.tfm) = %{tl_version}
Provides: tex(clmdun2o8t10.tfm) = %{tl_version}
Provides: tex(clmdunh28t10.tfm) = %{tl_version}
Provides: tex(clmdunh2j8t10.tfm) = %{tl_version}
Provides: tex(clmdunh8t10.tfm) = %{tl_version}
Provides: tex(clmdunhj8t10.tfm) = %{tl_version}
Provides: tex(clmdunjo8t10.tfm) = %{tl_version}
Provides: tex(clmduno8t10.tfm) = %{tl_version}
Provides: tex(clmr28t10.tfm) = %{tl_version}
Provides: tex(clmr28t12.tfm) = %{tl_version}
Provides: tex(clmr28t17.tfm) = %{tl_version}
Provides: tex(clmr28t5.tfm) = %{tl_version}
Provides: tex(clmr28t6.tfm) = %{tl_version}
Provides: tex(clmr28t7.tfm) = %{tl_version}
Provides: tex(clmr28t8.tfm) = %{tl_version}
Provides: tex(clmr28t9.tfm) = %{tl_version}
Provides: tex(clmr2i8t10.tfm) = %{tl_version}
Provides: tex(clmr2i8t12.tfm) = %{tl_version}
Provides: tex(clmr2i8t7.tfm) = %{tl_version}
Provides: tex(clmr2i8t8.tfm) = %{tl_version}
Provides: tex(clmr2i8t9.tfm) = %{tl_version}
Provides: tex(clmr2ij8t10.tfm) = %{tl_version}
Provides: tex(clmr2ij8t12.tfm) = %{tl_version}
Provides: tex(clmr2ij8t7.tfm) = %{tl_version}
Provides: tex(clmr2ij8t8.tfm) = %{tl_version}
Provides: tex(clmr2ij8t9.tfm) = %{tl_version}
Provides: tex(clmr2j8t10.tfm) = %{tl_version}
Provides: tex(clmr2j8t12.tfm) = %{tl_version}
Provides: tex(clmr2j8t17.tfm) = %{tl_version}
Provides: tex(clmr2j8t5.tfm) = %{tl_version}
Provides: tex(clmr2j8t6.tfm) = %{tl_version}
Provides: tex(clmr2j8t7.tfm) = %{tl_version}
Provides: tex(clmr2j8t8.tfm) = %{tl_version}
Provides: tex(clmr2j8t9.tfm) = %{tl_version}
Provides: tex(clmr2jo8t10.tfm) = %{tl_version}
Provides: tex(clmr2jo8t12.tfm) = %{tl_version}
Provides: tex(clmr2jo8t17.tfm) = %{tl_version}
Provides: tex(clmr2jo8t8.tfm) = %{tl_version}
Provides: tex(clmr2jo8t9.tfm) = %{tl_version}
Provides: tex(clmr2o8t10.tfm) = %{tl_version}
Provides: tex(clmr2o8t12.tfm) = %{tl_version}
Provides: tex(clmr2o8t17.tfm) = %{tl_version}
Provides: tex(clmr2o8t8.tfm) = %{tl_version}
Provides: tex(clmr2o8t9.tfm) = %{tl_version}
Provides: tex(clmr8t10.tfm) = %{tl_version}
Provides: tex(clmr8t12.tfm) = %{tl_version}
Provides: tex(clmr8t17.tfm) = %{tl_version}
Provides: tex(clmr8t5.tfm) = %{tl_version}
Provides: tex(clmr8t6.tfm) = %{tl_version}
Provides: tex(clmr8t7.tfm) = %{tl_version}
Provides: tex(clmr8t8.tfm) = %{tl_version}
Provides: tex(clmr8t9.tfm) = %{tl_version}
Provides: tex(clmri8t10.tfm) = %{tl_version}
Provides: tex(clmri8t12.tfm) = %{tl_version}
Provides: tex(clmri8t7.tfm) = %{tl_version}
Provides: tex(clmri8t8.tfm) = %{tl_version}
Provides: tex(clmri8t9.tfm) = %{tl_version}
Provides: tex(clmrj8t10.tfm) = %{tl_version}
Provides: tex(clmrj8t12.tfm) = %{tl_version}
Provides: tex(clmrj8t17.tfm) = %{tl_version}
Provides: tex(clmrj8t5.tfm) = %{tl_version}
Provides: tex(clmrj8t6.tfm) = %{tl_version}
Provides: tex(clmrj8t7.tfm) = %{tl_version}
Provides: tex(clmrj8t8.tfm) = %{tl_version}
Provides: tex(clmrj8t9.tfm) = %{tl_version}
Provides: tex(clmrji8t10.tfm) = %{tl_version}
Provides: tex(clmrji8t12.tfm) = %{tl_version}
Provides: tex(clmrji8t7.tfm) = %{tl_version}
Provides: tex(clmrji8t8.tfm) = %{tl_version}
Provides: tex(clmrji8t9.tfm) = %{tl_version}
Provides: tex(clmrjo8t10.tfm) = %{tl_version}
Provides: tex(clmrjo8t12.tfm) = %{tl_version}
Provides: tex(clmrjo8t17.tfm) = %{tl_version}
Provides: tex(clmrjo8t8.tfm) = %{tl_version}
Provides: tex(clmrjo8t9.tfm) = %{tl_version}
Provides: tex(clmro8t10.tfm) = %{tl_version}
Provides: tex(clmro8t12.tfm) = %{tl_version}
Provides: tex(clmro8t17.tfm) = %{tl_version}
Provides: tex(clmro8t8.tfm) = %{tl_version}
Provides: tex(clmro8t9.tfm) = %{tl_version}
Provides: tex(clmss28t10.tfm) = %{tl_version}
Provides: tex(clmss28t12.tfm) = %{tl_version}
Provides: tex(clmss28t17.tfm) = %{tl_version}
Provides: tex(clmss28t8.tfm) = %{tl_version}
Provides: tex(clmss28t9.tfm) = %{tl_version}
Provides: tex(clmss2j8t10.tfm) = %{tl_version}
Provides: tex(clmss2j8t12.tfm) = %{tl_version}
Provides: tex(clmss2j8t17.tfm) = %{tl_version}
Provides: tex(clmss2j8t8.tfm) = %{tl_version}
Provides: tex(clmss2j8t9.tfm) = %{tl_version}
Provides: tex(clmss2jo8t10.tfm) = %{tl_version}
Provides: tex(clmss2jo8t12.tfm) = %{tl_version}
Provides: tex(clmss2jo8t17.tfm) = %{tl_version}
Provides: tex(clmss2jo8t8.tfm) = %{tl_version}
Provides: tex(clmss2jo8t9.tfm) = %{tl_version}
Provides: tex(clmss8t10.tfm) = %{tl_version}
Provides: tex(clmss8t12.tfm) = %{tl_version}
Provides: tex(clmss8t17.tfm) = %{tl_version}
Provides: tex(clmss8t8.tfm) = %{tl_version}
Provides: tex(clmss8t9.tfm) = %{tl_version}
Provides: tex(clmssb2jo8t10.tfm) = %{tl_version}
Provides: tex(clmssb2o8t10.tfm) = %{tl_version}
Provides: tex(clmssbjo8t10.tfm) = %{tl_version}
Provides: tex(clmssbo8t10.tfm) = %{tl_version}
Provides: tex(clmssbx28t10.tfm) = %{tl_version}
Provides: tex(clmssbx2j8t10.tfm) = %{tl_version}
Provides: tex(clmssbx8t10.tfm) = %{tl_version}
Provides: tex(clmssbxj8t10.tfm) = %{tl_version}
Provides: tex(clmssd2jo8t10.tfm) = %{tl_version}
Provides: tex(clmssd2o8t10.tfm) = %{tl_version}
Provides: tex(clmssdc28t10.tfm) = %{tl_version}
Provides: tex(clmssdc2j8t10.tfm) = %{tl_version}
Provides: tex(clmssdc8t10.tfm) = %{tl_version}
Provides: tex(clmssdcj8t10.tfm) = %{tl_version}
Provides: tex(clmssdjo8t10.tfm) = %{tl_version}
Provides: tex(clmssdo8t10.tfm) = %{tl_version}
Provides: tex(clmssj8t10.tfm) = %{tl_version}
Provides: tex(clmssj8t12.tfm) = %{tl_version}
Provides: tex(clmssj8t17.tfm) = %{tl_version}
Provides: tex(clmssj8t8.tfm) = %{tl_version}
Provides: tex(clmssj8t9.tfm) = %{tl_version}
Provides: tex(clmssjo8t10.tfm) = %{tl_version}
Provides: tex(clmssjo8t12.tfm) = %{tl_version}
Provides: tex(clmssjo8t17.tfm) = %{tl_version}
Provides: tex(clmssjo8t8.tfm) = %{tl_version}
Provides: tex(clmssjo8t9.tfm) = %{tl_version}
Provides: tex(clmsso28t10.tfm) = %{tl_version}
Provides: tex(clmsso28t12.tfm) = %{tl_version}
Provides: tex(clmsso28t17.tfm) = %{tl_version}
Provides: tex(clmsso28t8.tfm) = %{tl_version}
Provides: tex(clmsso28t9.tfm) = %{tl_version}
Provides: tex(clmsso8t10.tfm) = %{tl_version}
Provides: tex(clmsso8t12.tfm) = %{tl_version}
Provides: tex(clmsso8t17.tfm) = %{tl_version}
Provides: tex(clmsso8t8.tfm) = %{tl_version}
Provides: tex(clmsso8t9.tfm) = %{tl_version}
Provides: tex(clmssq28t8.tfm) = %{tl_version}
Provides: tex(clmssq2j8t8.tfm) = %{tl_version}
Provides: tex(clmssq2jo8t8.tfm) = %{tl_version}
Provides: tex(clmssq2o8t8.tfm) = %{tl_version}
Provides: tex(clmssq8t8.tfm) = %{tl_version}
Provides: tex(clmssqb2jo8t8.tfm) = %{tl_version}
Provides: tex(clmssqb2o8t8.tfm) = %{tl_version}
Provides: tex(clmssqbjo8t8.tfm) = %{tl_version}
Provides: tex(clmssqbo8t8.tfm) = %{tl_version}
Provides: tex(clmssqbx28t8.tfm) = %{tl_version}
Provides: tex(clmssqbx2j8t8.tfm) = %{tl_version}
Provides: tex(clmssqbx8t8.tfm) = %{tl_version}
Provides: tex(clmssqbxj8t8.tfm) = %{tl_version}
Provides: tex(clmssqj8t8.tfm) = %{tl_version}
Provides: tex(clmssqjo8t8.tfm) = %{tl_version}
Provides: tex(clmssqo8t8.tfm) = %{tl_version}
Provides: tex(clmtcsc8t10.tfm) = %{tl_version}
Provides: tex(clmtcscj8t10.tfm) = %{tl_version}
Provides: tex(clmtcsjo8t10.tfm) = %{tl_version}
Provides: tex(clmtcso8t10.tfm) = %{tl_version}
Provides: tex(clmtk8t10.tfm) = %{tl_version}
Provides: tex(clmtkj8t10.tfm) = %{tl_version}
Provides: tex(clmtkjo8t10.tfm) = %{tl_version}
Provides: tex(clmtko8t10.tfm) = %{tl_version}
Provides: tex(clmtl8t10.tfm) = %{tl_version}
Provides: tex(clmtlc8t10.tfm) = %{tl_version}
Provides: tex(clmtlcj8t10.tfm) = %{tl_version}
Provides: tex(clmtlcjo8t10.tfm) = %{tl_version}
Provides: tex(clmtlco8t10.tfm) = %{tl_version}
Provides: tex(clmtlj8t10.tfm) = %{tl_version}
Provides: tex(clmtljo8t10.tfm) = %{tl_version}
Provides: tex(clmtlo8t10.tfm) = %{tl_version}
Provides: tex(clmtt8t10.tfm) = %{tl_version}
Provides: tex(clmtt8t12.tfm) = %{tl_version}
Provides: tex(clmtt8t8.tfm) = %{tl_version}
Provides: tex(clmtt8t9.tfm) = %{tl_version}
Provides: tex(clmtti8t10.tfm) = %{tl_version}
Provides: tex(clmttij8t10.tfm) = %{tl_version}
Provides: tex(clmttj8t10.tfm) = %{tl_version}
Provides: tex(clmttj8t12.tfm) = %{tl_version}
Provides: tex(clmttj8t8.tfm) = %{tl_version}
Provides: tex(clmttj8t9.tfm) = %{tl_version}
Provides: tex(clmttjo8t10.tfm) = %{tl_version}
Provides: tex(clmtto8t10.tfm) = %{tl_version}
Provides: tex(clmu28t10.tfm) = %{tl_version}
Provides: tex(clmu2j8t10.tfm) = %{tl_version}
Provides: tex(clmu8t10.tfm) = %{tl_version}
Provides: tex(clmuj8t10.tfm) = %{tl_version}
Provides: tex(clmvtk28t10.tfm) = %{tl_version}
Provides: tex(clmvtk2j8t10.tfm) = %{tl_version}
Provides: tex(clmvtk2jo8t10.tfm) = %{tl_version}
Provides: tex(clmvtk2o8t10.tfm) = %{tl_version}
Provides: tex(clmvtk8t10.tfm) = %{tl_version}
Provides: tex(clmvtkj8t10.tfm) = %{tl_version}
Provides: tex(clmvtkjo8t10.tfm) = %{tl_version}
Provides: tex(clmvtko8t10.tfm) = %{tl_version}
Provides: tex(clmvtl28t10.tfm) = %{tl_version}
Provides: tex(clmvtl2j8t10.tfm) = %{tl_version}
Provides: tex(clmvtl2jo8t10.tfm) = %{tl_version}
Provides: tex(clmvtl2o8t10.tfm) = %{tl_version}
Provides: tex(clmvtl8t10.tfm) = %{tl_version}
Provides: tex(clmvtlj8t10.tfm) = %{tl_version}
Provides: tex(clmvtljo8t10.tfm) = %{tl_version}
Provides: tex(clmvtlo8t10.tfm) = %{tl_version}
Provides: tex(clmvtt28t10.tfm) = %{tl_version}
Provides: tex(clmvtt2j8t10.tfm) = %{tl_version}
Provides: tex(clmvtt2jo8t10.tfm) = %{tl_version}
Provides: tex(clmvtt2o8t10.tfm) = %{tl_version}
Provides: tex(clmvtt8t10.tfm) = %{tl_version}
Provides: tex(clmvttj8t10.tfm) = %{tl_version}
Provides: tex(clmvttjo8t10.tfm) = %{tl_version}
Provides: tex(clmvtto8t10.tfm) = %{tl_version}
Provides: tex(dd-lmb10.tfm) = %{tl_version}
Provides: tex(dd-lmbo10.tfm) = %{tl_version}
Provides: tex(dd-lmbx10.tfm) = %{tl_version}
Provides: tex(dd-lmbx12.tfm) = %{tl_version}
Provides: tex(dd-lmbx5.tfm) = %{tl_version}
Provides: tex(dd-lmbx6.tfm) = %{tl_version}
Provides: tex(dd-lmbx7.tfm) = %{tl_version}
Provides: tex(dd-lmbx8.tfm) = %{tl_version}
Provides: tex(dd-lmbx9.tfm) = %{tl_version}
Provides: tex(dd-lmbxi10.tfm) = %{tl_version}
Provides: tex(dd-lmbxo10.tfm) = %{tl_version}
Provides: tex(dd-lmcsc10.tfm) = %{tl_version}
Provides: tex(dd-lmcsco10.tfm) = %{tl_version}
Provides: tex(dd-lmdunh10.tfm) = %{tl_version}
Provides: tex(dd-lmduno10.tfm) = %{tl_version}
Provides: tex(dd-lmr10.tfm) = %{tl_version}
Provides: tex(dd-lmr12.tfm) = %{tl_version}
Provides: tex(dd-lmr17.tfm) = %{tl_version}
Provides: tex(dd-lmr5.tfm) = %{tl_version}
Provides: tex(dd-lmr6.tfm) = %{tl_version}
Provides: tex(dd-lmr7.tfm) = %{tl_version}
Provides: tex(dd-lmr8.tfm) = %{tl_version}
Provides: tex(dd-lmr9.tfm) = %{tl_version}
Provides: tex(dd-lmri10.tfm) = %{tl_version}
Provides: tex(dd-lmri12.tfm) = %{tl_version}
Provides: tex(dd-lmri7.tfm) = %{tl_version}
Provides: tex(dd-lmri8.tfm) = %{tl_version}
Provides: tex(dd-lmri9.tfm) = %{tl_version}
Provides: tex(dd-lmro10.tfm) = %{tl_version}
Provides: tex(dd-lmro12.tfm) = %{tl_version}
Provides: tex(dd-lmro17.tfm) = %{tl_version}
Provides: tex(dd-lmro8.tfm) = %{tl_version}
Provides: tex(dd-lmro9.tfm) = %{tl_version}
Provides: tex(dd-lmss10.tfm) = %{tl_version}
Provides: tex(dd-lmss12.tfm) = %{tl_version}
Provides: tex(dd-lmss17.tfm) = %{tl_version}
Provides: tex(dd-lmss8.tfm) = %{tl_version}
Provides: tex(dd-lmss9.tfm) = %{tl_version}
Provides: tex(dd-lmssbo10.tfm) = %{tl_version}
Provides: tex(dd-lmssbx10.tfm) = %{tl_version}
Provides: tex(dd-lmssdc10.tfm) = %{tl_version}
Provides: tex(dd-lmssdo10.tfm) = %{tl_version}
Provides: tex(dd-lmsso10.tfm) = %{tl_version}
Provides: tex(dd-lmsso12.tfm) = %{tl_version}
Provides: tex(dd-lmsso17.tfm) = %{tl_version}
Provides: tex(dd-lmsso8.tfm) = %{tl_version}
Provides: tex(dd-lmsso9.tfm) = %{tl_version}
Provides: tex(dd-lmssq8.tfm) = %{tl_version}
Provides: tex(dd-lmssqbo8.tfm) = %{tl_version}
Provides: tex(dd-lmssqbx8.tfm) = %{tl_version}
Provides: tex(dd-lmssqo8.tfm) = %{tl_version}
Provides: tex(dd-lmtcsc10.tfm) = %{tl_version}
Provides: tex(dd-lmtcso10.tfm) = %{tl_version}
Provides: tex(dd-lmtk10.tfm) = %{tl_version}
Provides: tex(dd-lmtko10.tfm) = %{tl_version}
Provides: tex(dd-lmtl10.tfm) = %{tl_version}
Provides: tex(dd-lmtlc10.tfm) = %{tl_version}
Provides: tex(dd-lmtlco10.tfm) = %{tl_version}
Provides: tex(dd-lmtlo10.tfm) = %{tl_version}
Provides: tex(dd-lmtt10.tfm) = %{tl_version}
Provides: tex(dd-lmtt12.tfm) = %{tl_version}
Provides: tex(dd-lmtt8.tfm) = %{tl_version}
Provides: tex(dd-lmtt9.tfm) = %{tl_version}
Provides: tex(dd-lmtti10.tfm) = %{tl_version}
Provides: tex(dd-lmtto10.tfm) = %{tl_version}
Provides: tex(dd-lmu10.tfm) = %{tl_version}
Provides: tex(dd-lmvtk10.tfm) = %{tl_version}
Provides: tex(dd-lmvtko10.tfm) = %{tl_version}
Provides: tex(dd-lmvtl10.tfm) = %{tl_version}
Provides: tex(dd-lmvtlo10.tfm) = %{tl_version}
Provides: tex(dd-lmvtt10.tfm) = %{tl_version}
Provides: tex(dd-lmvtto10.tfm) = %{tl_version}
Provides: tex(lmb8ttl10.tfm) = %{tl_version}
Provides: tex(lmbo8ttl10.tfm) = %{tl_version}
Provides: tex(lmbx8ttl10.tfm) = %{tl_version}
Provides: tex(lmbx8ttl12.tfm) = %{tl_version}
Provides: tex(lmbx8ttl5.tfm) = %{tl_version}
Provides: tex(lmbx8ttl6.tfm) = %{tl_version}
Provides: tex(lmbx8ttl7.tfm) = %{tl_version}
Provides: tex(lmbx8ttl8.tfm) = %{tl_version}
Provides: tex(lmbx8ttl9.tfm) = %{tl_version}
Provides: tex(lmbxi8ttl10.tfm) = %{tl_version}
Provides: tex(lmbxo8ttl10.tfm) = %{tl_version}
Provides: tex(lmcsc8ttl10.tfm) = %{tl_version}
Provides: tex(lmcsco8ttl10.tfm) = %{tl_version}
Provides: tex(lmdunh8ttl10.tfm) = %{tl_version}
Provides: tex(lmduno8ttl10.tfm) = %{tl_version}
Provides: tex(lmr8ttl10.tfm) = %{tl_version}
Provides: tex(lmr8ttl12.tfm) = %{tl_version}
Provides: tex(lmr8ttl17.tfm) = %{tl_version}
Provides: tex(lmr8ttl5.tfm) = %{tl_version}
Provides: tex(lmr8ttl6.tfm) = %{tl_version}
Provides: tex(lmr8ttl7.tfm) = %{tl_version}
Provides: tex(lmr8ttl8.tfm) = %{tl_version}
Provides: tex(lmr8ttl9.tfm) = %{tl_version}
Provides: tex(lmri8ttl10.tfm) = %{tl_version}
Provides: tex(lmri8ttl12.tfm) = %{tl_version}
Provides: tex(lmri8ttl7.tfm) = %{tl_version}
Provides: tex(lmri8ttl8.tfm) = %{tl_version}
Provides: tex(lmri8ttl9.tfm) = %{tl_version}
Provides: tex(lmro8ttl10.tfm) = %{tl_version}
Provides: tex(lmro8ttl12.tfm) = %{tl_version}
Provides: tex(lmro8ttl17.tfm) = %{tl_version}
Provides: tex(lmro8ttl8.tfm) = %{tl_version}
Provides: tex(lmro8ttl9.tfm) = %{tl_version}
Provides: tex(lmss8ttl10.tfm) = %{tl_version}
Provides: tex(lmss8ttl12.tfm) = %{tl_version}
Provides: tex(lmss8ttl17.tfm) = %{tl_version}
Provides: tex(lmss8ttl8.tfm) = %{tl_version}
Provides: tex(lmss8ttl9.tfm) = %{tl_version}
Provides: tex(lmssbo8ttl10.tfm) = %{tl_version}
Provides: tex(lmssbx8ttl10.tfm) = %{tl_version}
Provides: tex(lmssdc8ttl10.tfm) = %{tl_version}
Provides: tex(lmssdo8ttl10.tfm) = %{tl_version}
Provides: tex(lmsso8ttl10.tfm) = %{tl_version}
Provides: tex(lmsso8ttl12.tfm) = %{tl_version}
Provides: tex(lmsso8ttl17.tfm) = %{tl_version}
Provides: tex(lmsso8ttl8.tfm) = %{tl_version}
Provides: tex(lmsso8ttl9.tfm) = %{tl_version}
Provides: tex(lmssq8ttl8.tfm) = %{tl_version}
Provides: tex(lmssqbo8ttl8.tfm) = %{tl_version}
Provides: tex(lmssqbx8ttl8.tfm) = %{tl_version}
Provides: tex(lmssqo8ttl8.tfm) = %{tl_version}
Provides: tex(lmtcsc8ttl10.tfm) = %{tl_version}
Provides: tex(lmtcso8ttl10.tfm) = %{tl_version}
Provides: tex(lmtk8ttl10.tfm) = %{tl_version}
Provides: tex(lmtko8ttl10.tfm) = %{tl_version}
Provides: tex(lmtl8ttl10.tfm) = %{tl_version}
Provides: tex(lmtlc8ttl10.tfm) = %{tl_version}
Provides: tex(lmtlco8ttl10.tfm) = %{tl_version}
Provides: tex(lmtlo8ttl10.tfm) = %{tl_version}
Provides: tex(lmtt8ttl10.tfm) = %{tl_version}
Provides: tex(lmtt8ttl12.tfm) = %{tl_version}
Provides: tex(lmtt8ttl8.tfm) = %{tl_version}
Provides: tex(lmtt8ttl9.tfm) = %{tl_version}
Provides: tex(lmtti8ttl10.tfm) = %{tl_version}
Provides: tex(lmtto8ttl10.tfm) = %{tl_version}
Provides: tex(lmu8ttl10.tfm) = %{tl_version}
Provides: tex(lmvtk8ttl10.tfm) = %{tl_version}
Provides: tex(lmvtko8ttl10.tfm) = %{tl_version}
Provides: tex(lmvtl8ttl10.tfm) = %{tl_version}
Provides: tex(lmvtlo8ttl10.tfm) = %{tl_version}
Provides: tex(lmvtt8ttl10.tfm) = %{tl_version}
Provides: tex(lmvtto8ttl10.tfm) = %{tl_version}
Provides: tex(u-clmb10.tfm) = %{tl_version}
Provides: tex(u-clmbo10.tfm) = %{tl_version}
Provides: tex(u-clmbx10.tfm) = %{tl_version}
Provides: tex(u-clmbx12.tfm) = %{tl_version}
Provides: tex(u-clmbx5.tfm) = %{tl_version}
Provides: tex(u-clmbx6.tfm) = %{tl_version}
Provides: tex(u-clmbx7.tfm) = %{tl_version}
Provides: tex(u-clmbx8.tfm) = %{tl_version}
Provides: tex(u-clmbx9.tfm) = %{tl_version}
Provides: tex(u-clmbxi10.tfm) = %{tl_version}
Provides: tex(u-clmbxo10.tfm) = %{tl_version}
Provides: tex(u-clmcsc10.tfm) = %{tl_version}
Provides: tex(u-clmcsco10.tfm) = %{tl_version}
Provides: tex(u-clmdunh10.tfm) = %{tl_version}
Provides: tex(u-clmduno10.tfm) = %{tl_version}
Provides: tex(u-clmr10.tfm) = %{tl_version}
Provides: tex(u-clmr12.tfm) = %{tl_version}
Provides: tex(u-clmr17.tfm) = %{tl_version}
Provides: tex(u-clmr5.tfm) = %{tl_version}
Provides: tex(u-clmr6.tfm) = %{tl_version}
Provides: tex(u-clmr7.tfm) = %{tl_version}
Provides: tex(u-clmr8.tfm) = %{tl_version}
Provides: tex(u-clmr9.tfm) = %{tl_version}
Provides: tex(u-clmri10.tfm) = %{tl_version}
Provides: tex(u-clmri12.tfm) = %{tl_version}
Provides: tex(u-clmri7.tfm) = %{tl_version}
Provides: tex(u-clmri8.tfm) = %{tl_version}
Provides: tex(u-clmri9.tfm) = %{tl_version}
Provides: tex(u-clmro10.tfm) = %{tl_version}
Provides: tex(u-clmro12.tfm) = %{tl_version}
Provides: tex(u-clmro17.tfm) = %{tl_version}
Provides: tex(u-clmro8.tfm) = %{tl_version}
Provides: tex(u-clmro9.tfm) = %{tl_version}
Provides: tex(u-clmss10.tfm) = %{tl_version}
Provides: tex(u-clmss12.tfm) = %{tl_version}
Provides: tex(u-clmss17.tfm) = %{tl_version}
Provides: tex(u-clmss8.tfm) = %{tl_version}
Provides: tex(u-clmss9.tfm) = %{tl_version}
Provides: tex(u-clmssbo10.tfm) = %{tl_version}
Provides: tex(u-clmssbx10.tfm) = %{tl_version}
Provides: tex(u-clmssdc10.tfm) = %{tl_version}
Provides: tex(u-clmssdo10.tfm) = %{tl_version}
Provides: tex(u-clmsso10.tfm) = %{tl_version}
Provides: tex(u-clmsso12.tfm) = %{tl_version}
Provides: tex(u-clmsso17.tfm) = %{tl_version}
Provides: tex(u-clmsso8.tfm) = %{tl_version}
Provides: tex(u-clmsso9.tfm) = %{tl_version}
Provides: tex(u-clmssq8.tfm) = %{tl_version}
Provides: tex(u-clmssqbo8.tfm) = %{tl_version}
Provides: tex(u-clmssqbx8.tfm) = %{tl_version}
Provides: tex(u-clmssqo8.tfm) = %{tl_version}
Provides: tex(u-clmtcsc10.tfm) = %{tl_version}
Provides: tex(u-clmtcso10.tfm) = %{tl_version}
Provides: tex(u-clmtk10.tfm) = %{tl_version}
Provides: tex(u-clmtko10.tfm) = %{tl_version}
Provides: tex(u-clmtl10.tfm) = %{tl_version}
Provides: tex(u-clmtlc10.tfm) = %{tl_version}
Provides: tex(u-clmtlco10.tfm) = %{tl_version}
Provides: tex(u-clmtlo10.tfm) = %{tl_version}
Provides: tex(u-clmtt10.tfm) = %{tl_version}
Provides: tex(u-clmtt12.tfm) = %{tl_version}
Provides: tex(u-clmtt8.tfm) = %{tl_version}
Provides: tex(u-clmtt9.tfm) = %{tl_version}
Provides: tex(u-clmtti10.tfm) = %{tl_version}
Provides: tex(u-clmtto10.tfm) = %{tl_version}
Provides: tex(u-clmu10.tfm) = %{tl_version}
Provides: tex(u-clmvtk10.tfm) = %{tl_version}
Provides: tex(u-clmvtko10.tfm) = %{tl_version}
Provides: tex(u-clmvtl10.tfm) = %{tl_version}
Provides: tex(u-clmvtlo10.tfm) = %{tl_version}
Provides: tex(u-clmvtt10.tfm) = %{tl_version}
Provides: tex(u-clmvtto10.tfm) = %{tl_version}
Provides: tex(clmb28t10.vf) = %{tl_version}
Provides: tex(clmb2j8t10.vf) = %{tl_version}
Provides: tex(clmb2jo8t10.vf) = %{tl_version}
Provides: tex(clmb2o8t10.vf) = %{tl_version}
Provides: tex(clmb8t10.vf) = %{tl_version}
Provides: tex(clmbj8t10.vf) = %{tl_version}
Provides: tex(clmbjo8t10.vf) = %{tl_version}
Provides: tex(clmbo8t10.vf) = %{tl_version}
Provides: tex(clmbx28t10.vf) = %{tl_version}
Provides: tex(clmbx28t12.vf) = %{tl_version}
Provides: tex(clmbx28t5.vf) = %{tl_version}
Provides: tex(clmbx28t6.vf) = %{tl_version}
Provides: tex(clmbx28t7.vf) = %{tl_version}
Provides: tex(clmbx28t8.vf) = %{tl_version}
Provides: tex(clmbx28t9.vf) = %{tl_version}
Provides: tex(clmbx2i8t10.vf) = %{tl_version}
Provides: tex(clmbx2ij8t10.vf) = %{tl_version}
Provides: tex(clmbx2j8t10.vf) = %{tl_version}
Provides: tex(clmbx2j8t12.vf) = %{tl_version}
Provides: tex(clmbx2j8t5.vf) = %{tl_version}
Provides: tex(clmbx2j8t6.vf) = %{tl_version}
Provides: tex(clmbx2j8t7.vf) = %{tl_version}
Provides: tex(clmbx2j8t8.vf) = %{tl_version}
Provides: tex(clmbx2j8t9.vf) = %{tl_version}
Provides: tex(clmbx2jo8t10.vf) = %{tl_version}
Provides: tex(clmbx2o8t10.vf) = %{tl_version}
Provides: tex(clmbx8t10.vf) = %{tl_version}
Provides: tex(clmbx8t12.vf) = %{tl_version}
Provides: tex(clmbx8t5.vf) = %{tl_version}
Provides: tex(clmbx8t6.vf) = %{tl_version}
Provides: tex(clmbx8t7.vf) = %{tl_version}
Provides: tex(clmbx8t8.vf) = %{tl_version}
Provides: tex(clmbx8t9.vf) = %{tl_version}
Provides: tex(clmbxi8t10.vf) = %{tl_version}
Provides: tex(clmbxj8t10.vf) = %{tl_version}
Provides: tex(clmbxj8t12.vf) = %{tl_version}
Provides: tex(clmbxj8t5.vf) = %{tl_version}
Provides: tex(clmbxj8t6.vf) = %{tl_version}
Provides: tex(clmbxj8t7.vf) = %{tl_version}
Provides: tex(clmbxj8t8.vf) = %{tl_version}
Provides: tex(clmbxj8t9.vf) = %{tl_version}
Provides: tex(clmbxji8t10.vf) = %{tl_version}
Provides: tex(clmbxjo8t10.vf) = %{tl_version}
Provides: tex(clmbxo8t10.vf) = %{tl_version}
Provides: tex(clmcsc28t10.vf) = %{tl_version}
Provides: tex(clmcsc2j8t10.vf) = %{tl_version}
Provides: tex(clmcsc2jo8t10.vf) = %{tl_version}
Provides: tex(clmcsc2o8t10.vf) = %{tl_version}
Provides: tex(clmcsc8t10.vf) = %{tl_version}
Provides: tex(clmcscj8t10.vf) = %{tl_version}
Provides: tex(clmcscjo8t10.vf) = %{tl_version}
Provides: tex(clmcsco8t10.vf) = %{tl_version}
Provides: tex(clmdun2jo8t10.vf) = %{tl_version}
Provides: tex(clmdun2o8t10.vf) = %{tl_version}
Provides: tex(clmdunh28t10.vf) = %{tl_version}
Provides: tex(clmdunh2j8t10.vf) = %{tl_version}
Provides: tex(clmdunh8t10.vf) = %{tl_version}
Provides: tex(clmdunhj8t10.vf) = %{tl_version}
Provides: tex(clmdunjo8t10.vf) = %{tl_version}
Provides: tex(clmduno8t10.vf) = %{tl_version}
Provides: tex(clmr28t10.vf) = %{tl_version}
Provides: tex(clmr28t12.vf) = %{tl_version}
Provides: tex(clmr28t17.vf) = %{tl_version}
Provides: tex(clmr28t5.vf) = %{tl_version}
Provides: tex(clmr28t6.vf) = %{tl_version}
Provides: tex(clmr28t7.vf) = %{tl_version}
Provides: tex(clmr28t8.vf) = %{tl_version}
Provides: tex(clmr28t9.vf) = %{tl_version}
Provides: tex(clmr2i8t10.vf) = %{tl_version}
Provides: tex(clmr2i8t12.vf) = %{tl_version}
Provides: tex(clmr2i8t7.vf) = %{tl_version}
Provides: tex(clmr2i8t8.vf) = %{tl_version}
Provides: tex(clmr2i8t9.vf) = %{tl_version}
Provides: tex(clmr2ij8t10.vf) = %{tl_version}
Provides: tex(clmr2ij8t12.vf) = %{tl_version}
Provides: tex(clmr2ij8t7.vf) = %{tl_version}
Provides: tex(clmr2ij8t8.vf) = %{tl_version}
Provides: tex(clmr2ij8t9.vf) = %{tl_version}
Provides: tex(clmr2j8t10.vf) = %{tl_version}
Provides: tex(clmr2j8t12.vf) = %{tl_version}
Provides: tex(clmr2j8t17.vf) = %{tl_version}
Provides: tex(clmr2j8t5.vf) = %{tl_version}
Provides: tex(clmr2j8t6.vf) = %{tl_version}
Provides: tex(clmr2j8t7.vf) = %{tl_version}
Provides: tex(clmr2j8t8.vf) = %{tl_version}
Provides: tex(clmr2j8t9.vf) = %{tl_version}
Provides: tex(clmr2jo8t10.vf) = %{tl_version}
Provides: tex(clmr2jo8t12.vf) = %{tl_version}
Provides: tex(clmr2jo8t17.vf) = %{tl_version}
Provides: tex(clmr2jo8t8.vf) = %{tl_version}
Provides: tex(clmr2jo8t9.vf) = %{tl_version}
Provides: tex(clmr2o8t10.vf) = %{tl_version}
Provides: tex(clmr2o8t12.vf) = %{tl_version}
Provides: tex(clmr2o8t17.vf) = %{tl_version}
Provides: tex(clmr2o8t8.vf) = %{tl_version}
Provides: tex(clmr2o8t9.vf) = %{tl_version}
Provides: tex(clmr8t10.vf) = %{tl_version}
Provides: tex(clmr8t12.vf) = %{tl_version}
Provides: tex(clmr8t17.vf) = %{tl_version}
Provides: tex(clmr8t5.vf) = %{tl_version}
Provides: tex(clmr8t6.vf) = %{tl_version}
Provides: tex(clmr8t7.vf) = %{tl_version}
Provides: tex(clmr8t8.vf) = %{tl_version}
Provides: tex(clmr8t9.vf) = %{tl_version}
Provides: tex(clmri8t10.vf) = %{tl_version}
Provides: tex(clmri8t12.vf) = %{tl_version}
Provides: tex(clmri8t7.vf) = %{tl_version}
Provides: tex(clmri8t8.vf) = %{tl_version}
Provides: tex(clmri8t9.vf) = %{tl_version}
Provides: tex(clmrj8t10.vf) = %{tl_version}
Provides: tex(clmrj8t12.vf) = %{tl_version}
Provides: tex(clmrj8t17.vf) = %{tl_version}
Provides: tex(clmrj8t5.vf) = %{tl_version}
Provides: tex(clmrj8t6.vf) = %{tl_version}
Provides: tex(clmrj8t7.vf) = %{tl_version}
Provides: tex(clmrj8t8.vf) = %{tl_version}
Provides: tex(clmrj8t9.vf) = %{tl_version}
Provides: tex(clmrji8t10.vf) = %{tl_version}
Provides: tex(clmrji8t12.vf) = %{tl_version}
Provides: tex(clmrji8t7.vf) = %{tl_version}
Provides: tex(clmrji8t8.vf) = %{tl_version}
Provides: tex(clmrji8t9.vf) = %{tl_version}
Provides: tex(clmrjo8t10.vf) = %{tl_version}
Provides: tex(clmrjo8t12.vf) = %{tl_version}
Provides: tex(clmrjo8t17.vf) = %{tl_version}
Provides: tex(clmrjo8t8.vf) = %{tl_version}
Provides: tex(clmrjo8t9.vf) = %{tl_version}
Provides: tex(clmro8t10.vf) = %{tl_version}
Provides: tex(clmro8t12.vf) = %{tl_version}
Provides: tex(clmro8t17.vf) = %{tl_version}
Provides: tex(clmro8t8.vf) = %{tl_version}
Provides: tex(clmro8t9.vf) = %{tl_version}
Provides: tex(clmss28t10.vf) = %{tl_version}
Provides: tex(clmss28t12.vf) = %{tl_version}
Provides: tex(clmss28t17.vf) = %{tl_version}
Provides: tex(clmss28t8.vf) = %{tl_version}
Provides: tex(clmss28t9.vf) = %{tl_version}
Provides: tex(clmss2j8t10.vf) = %{tl_version}
Provides: tex(clmss2j8t12.vf) = %{tl_version}
Provides: tex(clmss2j8t17.vf) = %{tl_version}
Provides: tex(clmss2j8t8.vf) = %{tl_version}
Provides: tex(clmss2j8t9.vf) = %{tl_version}
Provides: tex(clmss2jo8t10.vf) = %{tl_version}
Provides: tex(clmss2jo8t12.vf) = %{tl_version}
Provides: tex(clmss2jo8t17.vf) = %{tl_version}
Provides: tex(clmss2jo8t8.vf) = %{tl_version}
Provides: tex(clmss2jo8t9.vf) = %{tl_version}
Provides: tex(clmss8t10.vf) = %{tl_version}
Provides: tex(clmss8t12.vf) = %{tl_version}
Provides: tex(clmss8t17.vf) = %{tl_version}
Provides: tex(clmss8t8.vf) = %{tl_version}
Provides: tex(clmss8t9.vf) = %{tl_version}
Provides: tex(clmssb2jo8t10.vf) = %{tl_version}
Provides: tex(clmssb2o8t10.vf) = %{tl_version}
Provides: tex(clmssbjo8t10.vf) = %{tl_version}
Provides: tex(clmssbo8t10.vf) = %{tl_version}
Provides: tex(clmssbx28t10.vf) = %{tl_version}
Provides: tex(clmssbx2j8t10.vf) = %{tl_version}
Provides: tex(clmssbx8t10.vf) = %{tl_version}
Provides: tex(clmssbxj8t10.vf) = %{tl_version}
Provides: tex(clmssd2jo8t10.vf) = %{tl_version}
Provides: tex(clmssd2o8t10.vf) = %{tl_version}
Provides: tex(clmssdc28t10.vf) = %{tl_version}
Provides: tex(clmssdc2j8t10.vf) = %{tl_version}
Provides: tex(clmssdc8t10.vf) = %{tl_version}
Provides: tex(clmssdcj8t10.vf) = %{tl_version}
Provides: tex(clmssdjo8t10.vf) = %{tl_version}
Provides: tex(clmssdo8t10.vf) = %{tl_version}
Provides: tex(clmssj8t10.vf) = %{tl_version}
Provides: tex(clmssj8t12.vf) = %{tl_version}
Provides: tex(clmssj8t17.vf) = %{tl_version}
Provides: tex(clmssj8t8.vf) = %{tl_version}
Provides: tex(clmssj8t9.vf) = %{tl_version}
Provides: tex(clmssjo8t10.vf) = %{tl_version}
Provides: tex(clmssjo8t12.vf) = %{tl_version}
Provides: tex(clmssjo8t17.vf) = %{tl_version}
Provides: tex(clmssjo8t8.vf) = %{tl_version}
Provides: tex(clmssjo8t9.vf) = %{tl_version}
Provides: tex(clmsso28t10.vf) = %{tl_version}
Provides: tex(clmsso28t12.vf) = %{tl_version}
Provides: tex(clmsso28t17.vf) = %{tl_version}
Provides: tex(clmsso28t8.vf) = %{tl_version}
Provides: tex(clmsso28t9.vf) = %{tl_version}
Provides: tex(clmsso8t10.vf) = %{tl_version}
Provides: tex(clmsso8t12.vf) = %{tl_version}
Provides: tex(clmsso8t17.vf) = %{tl_version}
Provides: tex(clmsso8t8.vf) = %{tl_version}
Provides: tex(clmsso8t9.vf) = %{tl_version}
Provides: tex(clmssq28t8.vf) = %{tl_version}
Provides: tex(clmssq2j8t8.vf) = %{tl_version}
Provides: tex(clmssq2jo8t8.vf) = %{tl_version}
Provides: tex(clmssq2o8t8.vf) = %{tl_version}
Provides: tex(clmssq8t8.vf) = %{tl_version}
Provides: tex(clmssqb2jo8t8.vf) = %{tl_version}
Provides: tex(clmssqb2o8t8.vf) = %{tl_version}
Provides: tex(clmssqbjo8t8.vf) = %{tl_version}
Provides: tex(clmssqbo8t8.vf) = %{tl_version}
Provides: tex(clmssqbx28t8.vf) = %{tl_version}
Provides: tex(clmssqbx2j8t8.vf) = %{tl_version}
Provides: tex(clmssqbx8t8.vf) = %{tl_version}
Provides: tex(clmssqbxj8t8.vf) = %{tl_version}
Provides: tex(clmssqj8t8.vf) = %{tl_version}
Provides: tex(clmssqjo8t8.vf) = %{tl_version}
Provides: tex(clmssqo8t8.vf) = %{tl_version}
Provides: tex(clmtcsc8t10.vf) = %{tl_version}
Provides: tex(clmtcscj8t10.vf) = %{tl_version}
Provides: tex(clmtcsjo8t10.vf) = %{tl_version}
Provides: tex(clmtcso8t10.vf) = %{tl_version}
Provides: tex(clmtk8t10.vf) = %{tl_version}
Provides: tex(clmtkj8t10.vf) = %{tl_version}
Provides: tex(clmtkjo8t10.vf) = %{tl_version}
Provides: tex(clmtko8t10.vf) = %{tl_version}
Provides: tex(clmtl8t10.vf) = %{tl_version}
Provides: tex(clmtlc8t10.vf) = %{tl_version}
Provides: tex(clmtlcj8t10.vf) = %{tl_version}
Provides: tex(clmtlcjo8t10.vf) = %{tl_version}
Provides: tex(clmtlco8t10.vf) = %{tl_version}
Provides: tex(clmtlj8t10.vf) = %{tl_version}
Provides: tex(clmtljo8t10.vf) = %{tl_version}
Provides: tex(clmtlo8t10.vf) = %{tl_version}
Provides: tex(clmtt8t10.vf) = %{tl_version}
Provides: tex(clmtt8t12.vf) = %{tl_version}
Provides: tex(clmtt8t8.vf) = %{tl_version}
Provides: tex(clmtt8t9.vf) = %{tl_version}
Provides: tex(clmtti8t10.vf) = %{tl_version}
Provides: tex(clmttij8t10.vf) = %{tl_version}
Provides: tex(clmttj8t10.vf) = %{tl_version}
Provides: tex(clmttj8t12.vf) = %{tl_version}
Provides: tex(clmttj8t8.vf) = %{tl_version}
Provides: tex(clmttj8t9.vf) = %{tl_version}
Provides: tex(clmttjo8t10.vf) = %{tl_version}
Provides: tex(clmtto8t10.vf) = %{tl_version}
Provides: tex(clmu28t10.vf) = %{tl_version}
Provides: tex(clmu2j8t10.vf) = %{tl_version}
Provides: tex(clmu8t10.vf) = %{tl_version}
Provides: tex(clmuj8t10.vf) = %{tl_version}
Provides: tex(clmvtk28t10.vf) = %{tl_version}
Provides: tex(clmvtk2j8t10.vf) = %{tl_version}
Provides: tex(clmvtk2jo8t10.vf) = %{tl_version}
Provides: tex(clmvtk2o8t10.vf) = %{tl_version}
Provides: tex(clmvtk8t10.vf) = %{tl_version}
Provides: tex(clmvtkj8t10.vf) = %{tl_version}
Provides: tex(clmvtkjo8t10.vf) = %{tl_version}
Provides: tex(clmvtko8t10.vf) = %{tl_version}
Provides: tex(clmvtl28t10.vf) = %{tl_version}
Provides: tex(clmvtl2j8t10.vf) = %{tl_version}
Provides: tex(clmvtl2jo8t10.vf) = %{tl_version}
Provides: tex(clmvtl2o8t10.vf) = %{tl_version}
Provides: tex(clmvtl8t10.vf) = %{tl_version}
Provides: tex(clmvtlj8t10.vf) = %{tl_version}
Provides: tex(clmvtljo8t10.vf) = %{tl_version}
Provides: tex(clmvtlo8t10.vf) = %{tl_version}
Provides: tex(clmvtt28t10.vf) = %{tl_version}
Provides: tex(clmvtt2j8t10.vf) = %{tl_version}
Provides: tex(clmvtt2jo8t10.vf) = %{tl_version}
Provides: tex(clmvtt2o8t10.vf) = %{tl_version}
Provides: tex(clmvtt8t10.vf) = %{tl_version}
Provides: tex(clmvttj8t10.vf) = %{tl_version}
Provides: tex(clmvttjo8t10.vf) = %{tl_version}
Provides: tex(clmvtto8t10.vf) = %{tl_version}
Provides: tex(u-clmb10.vf) = %{tl_version}
Provides: tex(u-clmbo10.vf) = %{tl_version}
Provides: tex(u-clmbx10.vf) = %{tl_version}
Provides: tex(u-clmbx12.vf) = %{tl_version}
Provides: tex(u-clmbx5.vf) = %{tl_version}
Provides: tex(u-clmbx6.vf) = %{tl_version}
Provides: tex(u-clmbx7.vf) = %{tl_version}
Provides: tex(u-clmbx8.vf) = %{tl_version}
Provides: tex(u-clmbx9.vf) = %{tl_version}
Provides: tex(u-clmbxi10.vf) = %{tl_version}
Provides: tex(u-clmbxo10.vf) = %{tl_version}
Provides: tex(u-clmcsc10.vf) = %{tl_version}
Provides: tex(u-clmcsco10.vf) = %{tl_version}
Provides: tex(u-clmdunh10.vf) = %{tl_version}
Provides: tex(u-clmduno10.vf) = %{tl_version}
Provides: tex(u-clmr10.vf) = %{tl_version}
Provides: tex(u-clmr12.vf) = %{tl_version}
Provides: tex(u-clmr17.vf) = %{tl_version}
Provides: tex(u-clmr5.vf) = %{tl_version}
Provides: tex(u-clmr6.vf) = %{tl_version}
Provides: tex(u-clmr7.vf) = %{tl_version}
Provides: tex(u-clmr8.vf) = %{tl_version}
Provides: tex(u-clmr9.vf) = %{tl_version}
Provides: tex(u-clmri10.vf) = %{tl_version}
Provides: tex(u-clmri12.vf) = %{tl_version}
Provides: tex(u-clmri7.vf) = %{tl_version}
Provides: tex(u-clmri8.vf) = %{tl_version}
Provides: tex(u-clmri9.vf) = %{tl_version}
Provides: tex(u-clmro10.vf) = %{tl_version}
Provides: tex(u-clmro12.vf) = %{tl_version}
Provides: tex(u-clmro17.vf) = %{tl_version}
Provides: tex(u-clmro8.vf) = %{tl_version}
Provides: tex(u-clmro9.vf) = %{tl_version}
Provides: tex(u-clmss10.vf) = %{tl_version}
Provides: tex(u-clmss12.vf) = %{tl_version}
Provides: tex(u-clmss17.vf) = %{tl_version}
Provides: tex(u-clmss8.vf) = %{tl_version}
Provides: tex(u-clmss9.vf) = %{tl_version}
Provides: tex(u-clmssbo10.vf) = %{tl_version}
Provides: tex(u-clmssbx10.vf) = %{tl_version}
Provides: tex(u-clmssdc10.vf) = %{tl_version}
Provides: tex(u-clmssdo10.vf) = %{tl_version}
Provides: tex(u-clmsso10.vf) = %{tl_version}
Provides: tex(u-clmsso12.vf) = %{tl_version}
Provides: tex(u-clmsso17.vf) = %{tl_version}
Provides: tex(u-clmsso8.vf) = %{tl_version}
Provides: tex(u-clmsso9.vf) = %{tl_version}
Provides: tex(u-clmssq8.vf) = %{tl_version}
Provides: tex(u-clmssqbo8.vf) = %{tl_version}
Provides: tex(u-clmssqbx8.vf) = %{tl_version}
Provides: tex(u-clmssqo8.vf) = %{tl_version}
Provides: tex(u-clmtcsc10.vf) = %{tl_version}
Provides: tex(u-clmtcso10.vf) = %{tl_version}
Provides: tex(u-clmtk10.vf) = %{tl_version}
Provides: tex(u-clmtko10.vf) = %{tl_version}
Provides: tex(u-clmtl10.vf) = %{tl_version}
Provides: tex(u-clmtlc10.vf) = %{tl_version}
Provides: tex(u-clmtlco10.vf) = %{tl_version}
Provides: tex(u-clmtlo10.vf) = %{tl_version}
Provides: tex(u-clmtt10.vf) = %{tl_version}
Provides: tex(u-clmtt12.vf) = %{tl_version}
Provides: tex(u-clmtt8.vf) = %{tl_version}
Provides: tex(u-clmtt9.vf) = %{tl_version}
Provides: tex(u-clmtti10.vf) = %{tl_version}
Provides: tex(u-clmtto10.vf) = %{tl_version}
Provides: tex(u-clmu10.vf) = %{tl_version}
Provides: tex(u-clmvtk10.vf) = %{tl_version}
Provides: tex(u-clmvtko10.vf) = %{tl_version}
Provides: tex(u-clmvtl10.vf) = %{tl_version}
Provides: tex(u-clmvtlo10.vf) = %{tl_version}
Provides: tex(u-clmvtt10.vf) = %{tl_version}
Provides: tex(u-clmvtto10.vf) = %{tl_version}
Provides: tex(cfr-lm.sty) = %{tl_version}
Provides: tex(t1clm.fd) = %{tl_version}
Provides: tex(t1clm2.fd) = %{tl_version}
Provides: tex(t1clm2d.fd) = %{tl_version}
Provides: tex(t1clm2dj.fd) = %{tl_version}
Provides: tex(t1clm2j.fd) = %{tl_version}
Provides: tex(t1clm2jqs.fd) = %{tl_version}
Provides: tex(t1clm2js.fd) = %{tl_version}
Provides: tex(t1clm2jt.fd) = %{tl_version}
Provides: tex(t1clm2jv.fd) = %{tl_version}
Provides: tex(t1clm2qs.fd) = %{tl_version}
Provides: tex(t1clm2s.fd) = %{tl_version}
Provides: tex(t1clm2t.fd) = %{tl_version}
Provides: tex(t1clm2v.fd) = %{tl_version}
Provides: tex(t1clmd.fd) = %{tl_version}
Provides: tex(t1clmdj.fd) = %{tl_version}
Provides: tex(t1clmj.fd) = %{tl_version}
Provides: tex(t1clmjqs.fd) = %{tl_version}
Provides: tex(t1clmjs.fd) = %{tl_version}
Provides: tex(t1clmjt.fd) = %{tl_version}
Provides: tex(t1clmjv.fd) = %{tl_version}
Provides: tex(t1clmqs.fd) = %{tl_version}
Provides: tex(t1clms.fd) = %{tl_version}
Provides: tex(t1clmt.fd) = %{tl_version}
Provides: tex(t1clmv.fd) = %{tl_version}
Provides: tex(ts1clm.fd) = %{tl_version}
Provides: tex(ts1clm2.fd) = %{tl_version}
Provides: tex(ts1clm2d.fd) = %{tl_version}
Provides: tex(ts1clm2dj.fd) = %{tl_version}
Provides: tex(ts1clm2j.fd) = %{tl_version}
Provides: tex(ts1clm2jqs.fd) = %{tl_version}
Provides: tex(ts1clm2js.fd) = %{tl_version}
Provides: tex(ts1clm2jt.fd) = %{tl_version}
Provides: tex(ts1clm2jv.fd) = %{tl_version}
Provides: tex(ts1clm2qs.fd) = %{tl_version}
Provides: tex(ts1clm2s.fd) = %{tl_version}
Provides: tex(ts1clm2t.fd) = %{tl_version}
Provides: tex(ts1clm2v.fd) = %{tl_version}
Provides: tex(ts1clmd.fd) = %{tl_version}
Provides: tex(ts1clmdj.fd) = %{tl_version}
Provides: tex(ts1clmj.fd) = %{tl_version}
Provides: tex(ts1clmjqs.fd) = %{tl_version}
Provides: tex(ts1clmjs.fd) = %{tl_version}
Provides: tex(ts1clmjt.fd) = %{tl_version}
Provides: tex(ts1clmjv.fd) = %{tl_version}
Provides: tex(ts1clmqs.fd) = %{tl_version}
Provides: tex(ts1clms.fd) = %{tl_version}
Provides: tex(ts1clmt.fd) = %{tl_version}
Provides: tex(ts1clmv.fd) = %{tl_version}
Provides: tex(uclm.fd) = %{tl_version}
Provides: tex(uclm2.fd) = %{tl_version}
Provides: tex(uclm2d.fd) = %{tl_version}
Provides: tex(uclm2dj.fd) = %{tl_version}
Provides: tex(uclm2j.fd) = %{tl_version}
Provides: tex(uclm2jqs.fd) = %{tl_version}
Provides: tex(uclm2js.fd) = %{tl_version}
Provides: tex(uclm2jt.fd) = %{tl_version}
Provides: tex(uclm2jv.fd) = %{tl_version}
Provides: tex(uclm2qs.fd) = %{tl_version}
Provides: tex(uclm2s.fd) = %{tl_version}
Provides: tex(uclm2t.fd) = %{tl_version}
Provides: tex(uclm2v.fd) = %{tl_version}
Provides: tex(uclmd.fd) = %{tl_version}
Provides: tex(uclmdj.fd) = %{tl_version}
Provides: tex(uclmj.fd) = %{tl_version}
Provides: tex(uclmjqs.fd) = %{tl_version}
Provides: tex(uclmjs.fd) = %{tl_version}
Provides: tex(uclmjt.fd) = %{tl_version}
Provides: tex(uclmjv.fd) = %{tl_version}
Provides: tex(uclmqs.fd) = %{tl_version}
Provides: tex(uclms.fd) = %{tl_version}
Provides: tex(uclmt.fd) = %{tl_version}
Provides: tex(uclmv.fd) = %{tl_version}

%description cfr-lm
The package supports a number of features of the Latin Modern
fonts which are not easily accessible via the default (La)TeX
support provided in the official distribution. In particular,
the package supports the use of the various styles of digits
available, small-caps and upright italic shapes, and
alternative weights and widths. It also supports variable width
typewriter and the "quotation" font. Version 2.004 of the Latin
Modern fonts is supported. By default, the package uses
proportional oldstyle digits and variable width typewriter but
this can be changed by passing appropriate options to the
package. The package also supports using (for example)
different styles of digits within a document so it is possible
to use proportional oldstyle digits by default, say, but
tabular lining digits within a particular table. The package
requires the official Latin Modern distribution, including its
(La)TeX support. The package relies on the availability of both
the fonts themselves and the official font support files. The
package also makes use of the nfssext-cfr package. Only the T1
and TS1 encodings are supported for text fonts. The set up of
fonts for mathematics is identical to that provided by Latin
Modern.

%package cfr-lm-doc
Summary: Documentation for cfr-lm
Version: svn36195.1.5

Provides: tex-cfr-lm-doc
AutoReqProv: No

%description cfr-lm-doc
Documentation for cfr-lm

%package changebar
Provides: tex-changebar = %{tl_version}
License: LPPL
Summary: Generate changebars in LaTeX documents
Version: svn29349.3.5c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(changebar.sty) = %{tl_version}

%description changebar
Identify areas of text to be marked with changebars with the
\cbstart and \cbend commands; the bars may be coloured. The
package uses 'drivers' to place the bars; the available drivers
can work with dvitoln03, dvitops, dvips, the emTeX and TeXtures
DVI drivers, and VTeX and PDFTeX.

%package changebar-doc
Summary: Documentation for changebar
Version: svn29349.3.5c

Provides: tex-changebar-doc
AutoReqProv: No

%description changebar-doc
Documentation for changebar

%package changelayout
Provides: tex-changelayout = %{tl_version}
License: LPPL
Summary: Change the layout of individual pages and their text
Version: svn16094.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etextools.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ltxnew.sty)
Requires: tex(xcolor.sty)
Provides: tex(changelayout.sty) = %{tl_version}

%description changelayout
The package is an extension of the changepage package to permit
the user to change the layout of individual pages and their
texts.

%package changelayout-doc
Summary: Documentation for changelayout
Version: svn16094.1.0

Provides: tex-changelayout-doc
AutoReqProv: No

%description changelayout-doc
Documentation for changelayout

%package changepage
Provides: tex-changepage = %{tl_version}
License: LPPL 1.3
Summary: Margin adjustment and detection of odd/even pages
Version: svn15878.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(changepage.sty) = %{tl_version}
Provides: tex(chngpage.sty) = %{tl_version}

%description changepage
The package provides commands to change the page layout in the
middle of a document, and to robustly check for typesetting on
odd or even pages. Instructions for use are at the end of the
file. The package is an extraction of code from the memoir
class, whose user interface it shares. It is intended the this
package will eventually replace the chngpage package, which is
distributed with the package.

%package changepage-doc
Summary: Documentation for changepage
Version: svn15878.1.0c

Provides: tex-changepage-doc
AutoReqProv: No

%description changepage-doc
Documentation for changepage

%package changes
Provides: tex-changes = %{tl_version}
License: LPPL 1.3
Summary: Manual change markup
Version: svn41737
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(xifthen.sty)
Requires: tex(xcolor.sty)
Requires: tex(pdfcolmk.sty)
Requires: tex(ulem.sty)
Requires: tex(truncate.sty)
Provides: tex(changes.sty) = %{tl_version}

%description changes
The package allows the user to manually markup changes of text,
such as additions, deletions, or replacements. Changed text is
shown in a different colour; deleted text is crossed out. The
package allows definition of additional authors and their
associated colour. It also allows you to define a markup for
authors or annotations. A bash script is provided for removing
the changes.

%package changes-doc
Summary: Documentation for changes
Version: svn41737
Provides: tex-changes-doc
AutoReqProv: No

%description changes-doc
Documentation for changes

%package chappg
Provides: tex-chappg = %{tl_version}
License: LPPL
Summary: Page numbering by chapter
Version: svn15878.2.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chappg.sty) = %{tl_version}

%description chappg
The package provides for 'chapterno-pageno' or 'chaptername-
pageno' page numbering. Provision is made for front- and
backmatter in book class.

%package chappg-doc
Summary: Documentation for chappg
Version: svn15878.2.1b

Provides: tex-chappg-doc
AutoReqProv: No

%description chappg-doc
Documentation for chappg

%package chapterfolder
Provides: tex-chapterfolder = %{tl_version}
License: LPPL
Summary: Package for working with complicated folder structures
Version: svn15878.2.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(chapterfolder.sty) = %{tl_version}

%description chapterfolder
This package simplifies working with folder structures that
match the chapter/section/subsection structure. It provides
macros to define a folder that contains the file for a
chapter/section/subsection, and provides macros that allow
inclusion without using the full path, rather the path relative
to the current folder of the chapter/section/subsection. It
makes easy changing the name of a folder, for example.

%package chapterfolder-doc
Summary: Documentation for chapterfolder
Version: svn15878.2.0.1

Provides: tex-chapterfolder-doc
AutoReqProv: No

%description chapterfolder-doc
Documentation for chapterfolder

%package charter
Provides: tex-charter = %{tl_version}
License: Copyright only
Summary: Charter fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bchb7t.tfm) = %{tl_version}
Provides: tex(bchb8c.tfm) = %{tl_version}
Provides: tex(bchb8r.tfm) = %{tl_version}
Provides: tex(bchb8t.tfm) = %{tl_version}
Provides: tex(bchbc7t.tfm) = %{tl_version}
Provides: tex(bchbc8t.tfm) = %{tl_version}
Provides: tex(bchbi7t.tfm) = %{tl_version}
Provides: tex(bchbi8c.tfm) = %{tl_version}
Provides: tex(bchbi8r.tfm) = %{tl_version}
Provides: tex(bchbi8t.tfm) = %{tl_version}
Provides: tex(bchbo7t.tfm) = %{tl_version}
Provides: tex(bchbo8c.tfm) = %{tl_version}
Provides: tex(bchbo8r.tfm) = %{tl_version}
Provides: tex(bchbo8t.tfm) = %{tl_version}
Provides: tex(bchr7t.tfm) = %{tl_version}
Provides: tex(bchr8c.tfm) = %{tl_version}
Provides: tex(bchr8r.tfm) = %{tl_version}
Provides: tex(bchr8t.tfm) = %{tl_version}
Provides: tex(bchrc7t.tfm) = %{tl_version}
Provides: tex(bchrc8t.tfm) = %{tl_version}
Provides: tex(bchri7t.tfm) = %{tl_version}
Provides: tex(bchri8c.tfm) = %{tl_version}
Provides: tex(bchri8r.tfm) = %{tl_version}
Provides: tex(bchri8t.tfm) = %{tl_version}
Provides: tex(bchro7t.tfm) = %{tl_version}
Provides: tex(bchro8c.tfm) = %{tl_version}
Provides: tex(bchro8r.tfm) = %{tl_version}
Provides: tex(bchro8t.tfm) = %{tl_version}
Provides: tex(bchb8a.pfb) = %{tl_version}
Provides: tex(bchbi8a.pfb) = %{tl_version}
Provides: tex(bchr8a.pfb) = %{tl_version}
Provides: tex(bchri8a.pfb) = %{tl_version}
Provides: tex(bchb7t.vf) = %{tl_version}
Provides: tex(bchb8c.vf) = %{tl_version}
Provides: tex(bchb8t.vf) = %{tl_version}
Provides: tex(bchbc7t.vf) = %{tl_version}
Provides: tex(bchbc8t.vf) = %{tl_version}
Provides: tex(bchbi7t.vf) = %{tl_version}
Provides: tex(bchbi8c.vf) = %{tl_version}
Provides: tex(bchbi8t.vf) = %{tl_version}
Provides: tex(bchbo7t.vf) = %{tl_version}
Provides: tex(bchbo8c.vf) = %{tl_version}
Provides: tex(bchbo8t.vf) = %{tl_version}
Provides: tex(bchr7t.vf) = %{tl_version}
Provides: tex(bchr8c.vf) = %{tl_version}
Provides: tex(bchr8t.vf) = %{tl_version}
Provides: tex(bchrc7t.vf) = %{tl_version}
Provides: tex(bchrc8t.vf) = %{tl_version}
Provides: tex(bchri7t.vf) = %{tl_version}
Provides: tex(bchri8c.vf) = %{tl_version}
Provides: tex(bchri8t.vf) = %{tl_version}
Provides: tex(bchro7t.vf) = %{tl_version}
Provides: tex(bchro8c.vf) = %{tl_version}
Provides: tex(bchro8t.vf) = %{tl_version}

%description charter
A commercial text font donated for the common good. Support for
use with LaTeX is available in freenfss, part of psnfss.

%package charter-doc
Summary: Documentation for charter
Version: svn15878.0

Provides: tex-charter-doc
AutoReqProv: No

%description charter-doc
Documentation for charter

%package chbibref
Provides: tex-chbibref = %{tl_version}
License: LPPL
Summary: Change the Bibliography/References title
Version: svn17120.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chbibref.sty) = %{tl_version}

%description chbibref
Defines a single command, \setbibref, which sets whichever of
\bibname and \refname is in use. (\bibname is used in book.cls
and report.cls, and \refname is used in article.cls.)

%package chbibref-doc
Summary: Documentation for chbibref
Version: svn17120.1.0

Provides: tex-chbibref-doc
AutoReqProv: No

%description chbibref-doc
Documentation for chbibref

%package chemarrow
Provides: tex-chemarrow = %{tl_version}
License: Public Domain
Summary: Arrows for use in chemistry
Version: svn17146.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(chemarrow.map) = %{tl_version}
Provides: tex(arrow.tfm) = %{tl_version}
Provides: tex(arrow.pfb) = %{tl_version}
Provides: tex(chemarrow.sty) = %{tl_version}

%description chemarrow
This bundle consists of a font (available as Metafont source,
Metapost source, and generated type 1 versions), and a package
to use it. The arrows in the font are designed to look more
like those in chemistry text-books than do Knuth's originals.

%package chemarrow-doc
Summary: Documentation for chemarrow
Version: svn17146.0.9

Provides: tex-chemarrow-doc
AutoReqProv: No

%description chemarrow-doc
Documentation for chemarrow

%package chembst
Provides: tex-chembst = %{tl_version}
License: LPPL
Summary: A collection of BibTeX files for chemistry journals
Version: svn15878.0.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description chembst
The package offers a collection of advanced BibTeX style files
suitable for publications in chemistry journals. Currently,
style files for journals published by the American Chemical
Society, Wiley-VCH and The Royal Society of Chemistry are
available. The style files support advanced features such as
automatic formatting of errata or creating an appropriate entry
for publications in Angewandte Chemie where both English and
German should be cited simultaneously.

%package chembst-doc
Summary: Documentation for chembst
Version: svn15878.0.2.5

Provides: tex-chembst-doc
AutoReqProv: No

%description chembst-doc
Documentation for chembst

%package chemcompounds
Provides: tex-chemcompounds = %{tl_version}
License: LPPL
Summary: Simple consecutive numbering of chemical compounds
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chemcompounds.sty) = %{tl_version}

%description chemcompounds
The chemcompounds package allows for a simple consecutive
numbering of chemical compounds. Optionally, it is possible to
supply a custom name for each compound. The package differs
from the chemcono package by not generating an odd-looking list
of compounds inside the text.

%package chemcompounds-doc
Summary: Documentation for chemcompounds
Version: svn15878.0

Provides: tex-chemcompounds-doc
AutoReqProv: No

%description chemcompounds-doc
Documentation for chemcompounds

%package chemcono
Provides: tex-chemcono = %{tl_version}
License: LPPL
Summary: Support for compound numbers in chemistry documents
Version: svn17119.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(chemcono.sty) = %{tl_version}
Provides: tex(drftcono.sty) = %{tl_version}
Provides: tex(showkeysff.sty) = %{tl_version}

%description chemcono
A LaTeX package for using compound numbers in chemistry
documents. It works like \cite and the \thebibliography, using
\fcite and \theffbibliography instead. It allows compound names
in documents to be numbered and does not affect the normal
citation routines.

%package chemcono-doc
Summary: Documentation for chemcono
Version: svn17119.1.3

Provides: tex-chemcono-doc
AutoReqProv: No

%description chemcono-doc
Documentation for chemcono

%package chemexec
Provides: tex-chemexec = %{tl_version}
License: LPPL 1.3
Summary: Creating (chemical) exercise sheets
Version: svn21632.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(amsmath.sty)
Requires: tex(ifthen.sty)
Requires: tex(accents.sty)
Requires: tex(framed.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Requires: tex(ulem.sty)
Requires: tex(mhchem.sty)
Provides: tex(chemexec.sty) = %{tl_version}

%description chemexec
The package provides environments and commands that the author
needed when preparing exercise sheets and other teaching
material. In particular, the package supports the creation of
exercise sheets, with separating printing of solutions

%package chemexec-doc
Summary: Documentation for chemexec
Version: svn21632.1.0

Provides: tex-chemexec-doc
AutoReqProv: No

%description chemexec-doc
Documentation for chemexec

%package chemfig
Provides: tex-chemfig = %{tl_version}
License: LPPL 1.3
Summary: Draw molecules with easy syntax
Version: svn44513
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Provides: tex(chemfig.sty) = %{tl_version}
Provides: tex(chemfig.tex) = %{tl_version}
Provides: tex(t-chemfig.tex) = %{tl_version}

%description chemfig
The package provides the command \chemfig{<code>}, which draws
molecules using the tikz package. The <code> argument provides
instructions for the drawing operation. While the diagrams
produced are essentially 2-dimensional, the package supports
many of the conventional notations for illustrating the 3-
dimensional layout of a molecule. The package uses TikZ for its
actual drawing operations.

%package chemfig-doc
Summary: Documentation for chemfig
Version: svn44513
Provides: tex-chemfig-doc
AutoReqProv: No

%description chemfig-doc
Documentation for chemfig

%package chemformula
Provides: tex-chemformula = %{tl_version}
License: LPPL 1.3
Summary: Command for typesetting chemical formulas and reactions
Version: svn43583
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(tikz.sty)
Requires: tex(amstext.sty)
Requires: tex(xfrac.sty)
Requires: tex(nicefrac.sty)
Requires: tex(scrlfile.sty)
Provides: tex(chemformula.sty) = %{tl_version}

%description chemformula
The package provides a command to typeset chemical formulas and
reactions in support of other chemistry packages (such as
chemmacros). The package used to be distributed as a part of
chemmacros.

%package chemformula-doc
Summary: Documentation for chemformula
Version: svn43583
Provides: tex-chemformula-doc
AutoReqProv: No

%description chemformula-doc
Documentation for chemformula

%package chemgreek
Provides: tex-chemgreek = %{tl_version}
License: LPPL 1.3
Summary: Upright Greek letters in chemistry
Version: svn42758
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(chemgreek.sty) = %{tl_version}

%description chemgreek
The package provides upright Greek letters in support of other
chemistry packages (such as chemmacros). The package used to be
distributed as a part of chemmacros.

%package chemgreek-doc
Summary: Documentation for chemgreek
Version: svn42758
Provides: tex-chemgreek-doc
AutoReqProv: No

%description chemgreek-doc
Documentation for chemgreek

%package chem-journal
Provides: tex-chem-journal = %{tl_version}
License: GPL+
Summary: Various BibTeX formats for journals in Chemistry
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description chem-journal
Various BibTeX formats for journals in Chemistry, including
Reviews in Computational Chemistry, Journal of Physical
Chemistry, Journal of Computational Chemistry, and Physical
Chemistry Chemical Physics.

%package chemmacros
Provides: tex-chemmacros = %{tl_version}
License: LPPL 1.3
Summary: A collection of macros to support typesetting chemistry documents
Version: svn45164
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(chemmacros5.sty)
Requires: tex(environ.sty)
Requires: tex(scrlfile.sty)
Requires: tex(etoolbox.sty)
Requires: tex(translations.sty)
Requires: tex(xfrac.sty)
Requires: tex(siunitx.sty)
Requires: tex(tikz.sty)
Requires: tex(mathtools.sty)
Requires: tex(bm.sty)
Requires: tex(chemformula.sty)
Requires: tex(chemgreek.sty)
Requires: tex(ghsystem.sty)
Requires: tex(xspace.sty)
Provides: tex(chemmacros.module.acid-base.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.all.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.base.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.charges.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.chemformula.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.greek.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.isotopes.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.lang.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.mechanisms.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.newman.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.nomenclature.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.orbital.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.particles.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.phases.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.reactions.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.redox.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.scheme.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.spectroscopy.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.symbols.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.thermodynamics.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.tikz.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.units.code.tex) = %{tl_version}
Provides: tex(chemmacros.module.xfrac.code.tex) = %{tl_version}
Provides: tex(chemmacros.sty) = %{tl_version}
Provides: tex(chemmacros4.sty) = %{tl_version}
Provides: tex(chemmacros5.sty) = %{tl_version}

%description chemmacros
The bundle offers a collection of macros and commands which are
intended to make typesetting chemistry documents faster and
more convenient. Coverage includes some nomenclature commands,
oxidation numbers, thermodynamic data, newman projections, etc.
The package relies on the following supporting packages:
chemformula, providing a command for typesetting chemical
formulae and reactions (doing a similar task to that of
mhchem); chemgreek, offering support for use of greek letters;
and ghsystem, providing for the UN globally harmonised chemical
notation. The packages are written using current versions of
the experimental LaTeX 3 coding conventions and the LaTeX 3
support packages.

%package chemmacros-doc
Summary: Documentation for chemmacros
Version: svn45164
Provides: tex-chemmacros-doc
AutoReqProv: No

%description chemmacros-doc
Documentation for chemmacros

%package chemnum
Provides: tex-chemnum = %{tl_version}
License: LPPL 1.3
Summary: A method of numbering chemical compounds
Version: svn40522

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(translations.sty)
Requires: tex(chemgreek.sty)
Requires: tex(psfrag.sty)
Provides: tex(chemnum.sty) = %{tl_version}

%description chemnum
The package defines a \label- and \ref-like commands for
compound numbers. The package requires LaTeX 3 packages expl3
(from the l3kernel bundle) and xparse (from the l3packages
bundle).

%package chemnum-doc
Summary: Documentation for chemnum
Version: svn40522

Provides: tex-chemnum-doc
AutoReqProv: No

%description chemnum-doc
Documentation for chemnum

%package chemschemex
Provides: tex-chemschemex = %{tl_version}
License: LPPL 1.2
Summary: Typeset and cross-reference chemical schemes based on TikZ code
Version: svn43747
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(etextools.sty)
Requires: tex(xargs.sty)
Requires: tex(ifthen.sty)
Requires: tex(suffix.sty)
Requires: tex(fancylabel.sty)
Requires: tex(graphicx.sty)
Requires: tex(tikz.sty)
Provides: tex(chemschemex.sty) = %{tl_version}

%description chemschemex
The package provides a comfortable means of typesetting
chemical schemes, and also offers automatic structure
referencing.

%package chemschemex-doc
Summary: Documentation for chemschemex
Version: svn43747
Provides: tex-chemschemex-doc
AutoReqProv: No

%description chemschemex-doc
Documentation for chemschemex

%package chemstyle
Provides: tex-chemstyle = %{tl_version}
License: LPPL 1.3
Summary: Writing chemistry with style
Version: svn31096.2.0m

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(psfrag.sty)
Requires: tex(float.sty)
Requires: tex(floatrow.sty)
Requires: tex(chemcompounds.sty)
Requires: tex(bpchem.sty)
Requires: tex(amstext.sty)
Requires: tex(caption.sty)
Requires: tex(siunitx.sty)
Requires: tex(SIunits.sty)
Requires: tex(varioref.sty)
Provides: tex(chemscheme.sty) = %{tl_version}
Provides: tex(chemstyle.sty) = %{tl_version}
Provides: tex(angew.chemstyle.cfg) = %{tl_version}
Provides: tex(ic.chemstyle.cfg) = %{tl_version}
Provides: tex(jacs.chemstyle.cfg) = %{tl_version}
Provides: tex(jomc.chemstyle.cfg) = %{tl_version}
Provides: tex(orglett.chemstyle.cfg) = %{tl_version}
Provides: tex(rsc.chemstyle.cfg) = %{tl_version}
Provides: tex(tetlett.chemstyle.cfg) = %{tl_version}

%description chemstyle
Chemstyle has been developed as a successor to the LaTeX
package provided by the rsc bundle. The package provides an
extensible system for formatting chemistry documents according
to the conventions of a number of leading journals. It also
provides some handy chemistry-related macros. Chemstyle is much
enhanced compared to its predecessor, and users of rsc are
strongly encouraged to migrate (all of the additional macros in
the rsc LaTeX package are present in chemstyle). The package
chemscheme is distributed with chemstyle; chemstyle itself
incorporates ideas that come from the trivfloat package; the
documentation uses the auto-pst-pdf package.

%package chemstyle-doc
Summary: Documentation for chemstyle
Version: svn31096.2.0m

Provides: tex-chemstyle-doc
AutoReqProv: No

%description chemstyle-doc
Documentation for chemstyle

%package cherokee
Provides: tex-cherokee = %{tl_version}
License: Copyright only
Summary: A font for the Cherokee script
Version: svn21046.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cherokee.tfm) = %{tl_version}
Provides: tex(cherokee.sty) = %{tl_version}

%description cherokee
The Cherokee script was designed in 1821 by Segwoya. The
alphabet is essentially syllabic, only 6 characters (a e i o s
u) correspond to Roman letters: the font encodes these to the
corresponding roman letter. The remaining 79 characters have
been arbitrarily encoded in the range 38-122; the cherokee
package provides commands that map each such syllable to the
appropriate character; for example, Segwoya himself would be
represented \Cse\Cgwo\Cya. The font is distributed as Metafont
source; it works very poorly in modern environments, and could
do with expert attention (if you are interested, please contact
the CTAN team for details).

%package cherokee-doc
Summary: Documentation for cherokee
Version: svn21046.0

Provides: tex-cherokee-doc
AutoReqProv: No

%description cherokee-doc
Documentation for cherokee

%package chessboard
Provides: tex-chessboard = %{tl_version}
License: LPPL
Summary: Print chess boards
Version: svn33801.1.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(chessfss.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xifthen.sty)
Requires: tex(ifpdf.sty)
Requires: tex(tikz.sty)
Requires: tex(pst-node.sty)
Provides: tex(chessboard-keys-main.sty) = %{tl_version}
Provides: tex(chessboard-keys-pgf.sty) = %{tl_version}
Provides: tex(chessboard-pgf.sty) = %{tl_version}
Provides: tex(chessboard.sty) = %{tl_version}

%description chessboard
This package offers commands to print chessboards. It can print
partial boards, hide pieces and fields, color the boards and
put various marks on the board. It has a lot of options to
place pieces on the board. Using exotic pieces (e.g., for fairy
chess) is possible. The documentation includes an example of an
animated chessboard, for those whose PDF viewer can display
animations.

%package chessboard-doc
Summary: Documentation for chessboard
Version: svn33801.1.7

Provides: tex-chessboard-doc
AutoReqProv: No

%description chessboard-doc
Documentation for chessboard

%package chessfss
Provides: tex-chessfss = %{tl_version}
License: LPPL
Summary: A package to handle chess fonts
Version: svn19440.1.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Provides: tex(chess-board-example-enc.enc) = %{tl_version}
Provides: tex(chess-fig-example-enc.enc) = %{tl_version}
Provides: tex(chessfss.sty) = %{tl_version}
Provides: tex(lsb1enc.def) = %{tl_version}
Provides: tex(lsb1skak.fd) = %{tl_version}
Provides: tex(lsb1skaknew.fd) = %{tl_version}
Provides: tex(lsb2enc.def) = %{tl_version}
Provides: tex(lsb2skak.fd) = %{tl_version}
Provides: tex(lsb2skaknew.fd) = %{tl_version}
Provides: tex(lsb3enc.def) = %{tl_version}
Provides: tex(lsb3skak.fd) = %{tl_version}
Provides: tex(lsb3skaknew.fd) = %{tl_version}
Provides: tex(lsbc1enc.def) = %{tl_version}
Provides: tex(lsbc1skaknew.fd) = %{tl_version}
Provides: tex(lsbc2enc.def) = %{tl_version}
Provides: tex(lsbc2skaknew.fd) = %{tl_version}
Provides: tex(lsbc3enc.def) = %{tl_version}
Provides: tex(lsbc3skaknew.fd) = %{tl_version}
Provides: tex(lsbc4enc.def) = %{tl_version}
Provides: tex(lsbc4skaknew.fd) = %{tl_version}
Provides: tex(lsbc5enc.def) = %{tl_version}
Provides: tex(lsbc5skaknew.fd) = %{tl_version}
Provides: tex(lsbenc.def) = %{tl_version}
Provides: tex(lsbskak.fd) = %{tl_version}
Provides: tex(lsbskaknew.fd) = %{tl_version}
Provides: tex(lsfenc.def) = %{tl_version}
Provides: tex(lsfskak.fd) = %{tl_version}
Provides: tex(lsfskaknew.fd) = %{tl_version}
Provides: tex(lsienc.def) = %{tl_version}
Provides: tex(lsiskak.fd) = %{tl_version}
Provides: tex(lsiskaknew.fd) = %{tl_version}

%description chessfss
This package offers commands to use and switch between chess
fonts. It uses the LaTeX font selection scheme (nfss). The
package doesn't parse, format and print PGN input like e.g. the
packages skak or texmate; the aim of the package is to offer
writers of chess packages a bundle of commands for fonts, so
that they don't have to implement all these commands for
themselves. A normal user can use the package to print e.g.
single chess symbols and simple diagrams. The documentation
contains also a section about installation of chess fonts.

%package chessfss-doc
Summary: Documentation for chessfss
Version: svn19440.1.2a

Provides: tex-chessfss-doc
AutoReqProv: No

%description chessfss-doc
Documentation for chessfss

%package chess-problem-diagrams
Provides: tex-chess-problem-diagrams = %{tl_version}
License: LPPL 1.2
Summary: A package for typesetting chess problem diagrams
Version: svn39317

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(pstricks.sty)
Provides: tex(diagram.sty) = %{tl_version}

%description chess-problem-diagrams
This package provides macros to typeset chess problem diagrams
including fairy chess problems (mostly using rotated images of
pieces) and other boards.

%package chess-problem-diagrams-doc
Summary: Documentation for chess-problem-diagrams
Version: svn39317

Provides: tex-chess-problem-diagrams-doc
AutoReqProv: No

%description chess-problem-diagrams-doc
Documentation for chess-problem-diagrams

%package chess
Provides: tex-chess = %{tl_version}
License: Public Domain
Summary: Fonts for typesetting chess boards
Version: svn20582.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chess10.tfm) = %{tl_version}
Provides: tex(chess20.tfm) = %{tl_version}
Provides: tex(chess30.tfm) = %{tl_version}
Provides: tex(chessf10.tfm) = %{tl_version}
Provides: tex(chessfig10.tfm) = %{tl_version}
Provides: tex(chess.sty) = %{tl_version}

%description chess
The original (and now somewhat dated) TeX chess font package.
Potential users should consider skak (for alternative fonts,
and notation support), texmate (for alternative notation
support), or chessfss (for flexible font choices).

%package chess-doc
Summary: Documentation for chess
Version: svn20582.1.2

Provides: tex-chess-doc
AutoReqProv: No

%description chess-doc
Documentation for chess

%package chet
Provides: tex-chet = %{tl_version}
License: LPPL 1.3
Summary: LaTeX layout inspired by harvmac
Version: svn45081
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Provides: tex(chet.sty) = %{tl_version}

%description chet
The package aims to streamline the work of typesetting, and to
provide the look and feel of harvmac for readers.

%package chet-doc
Summary: Documentation for chet
Version: svn45081
Provides: tex-chet-doc
AutoReqProv: No

%description chet-doc
Documentation for chet

%package chextras
Provides: tex-chextras = %{tl_version}
License: LPPL 1.3
Summary: A companion package for the Swiss typesetter
Version: svn27118.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(inputenc.sty)
Requires: tex(luainputenc.sty)
Requires: tex(xunicode.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(fontenc.sty)
Requires: tex(lmodern.sty)
Requires: tex(babel.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xkeyval.sty)
Requires: tex(makecmds.sty)
Requires: tex(hyperref.sty)
Provides: tex(chextras.sty) = %{tl_version}
Provides: tex(eu1lmros.fd) = %{tl_version}
Provides: tex(eu1lmssos.fd) = %{tl_version}
Provides: tex(eu1lmttos.fd) = %{tl_version}
Provides: tex(eu1lmvttos.fd) = %{tl_version}
Provides: tex(t1lmros.fd) = %{tl_version}
Provides: tex(t1lmssos.fd) = %{tl_version}
Provides: tex(t1lmttos.fd) = %{tl_version}
Provides: tex(t1lmvttos.fd) = %{tl_version}

%description chextras
The package simplifies the preparation of Swiss documents and
letters by setting up linguistic and common packages. While it
is a useful addition to the chletter document class, it is not
tied to it and may be used as a general purpose package.

%package chextras-doc
Summary: Documentation for chextras
Version: svn27118.1.01

Provides: tex-chextras-doc
AutoReqProv: No

%description chextras-doc
Documentation for chextras

%package chicago-annote
Provides: tex-chicago-annote = %{tl_version}
License: LPPL
Summary: Chicago-based annotated BibTeX style
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description chicago-annote
This is a revision of chicagoa.bst, using the commonly-used
annote field in place of the original's annotation.

%package chicago-annote-doc
Summary: Documentation for chicago-annote
Version: svn15878.0

Provides: tex-chicago-annote-doc
AutoReqProv: No

%description chicago-annote-doc
Documentation for chicago-annote

%package chicago
Provides: tex-chicago = %{tl_version}
License: Knuth
Summary: A "Chicago" bibliography style
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chicago.sty) = %{tl_version}

%description chicago
Chicago is a BibTeX style that follows the "B" reference style
of the 13th Edition of the Chicago manual of style; a LaTeX
package (to LaTeX 2.09 conventions) is also provided. The style
was derived from the newapa style.

%package chickenize
Provides: tex-chickenize = %{tl_version}
License: LPPL 1.3
Summary: Use lua callbacks for "interesting" textual effects
Version: svn45083
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(chickenize.sty) = %{tl_version}
Provides: tex(chickenize.tex) = %{tl_version}

%description chickenize
The package allows manipulations of any LuaTeX document (it is
known to work with Plain LuaTeX and LuaLaTeX). Most of the
package's functions are merely for fun or educational use, but
some functions (for example, colorstretch for visualising the
badness and font expansion of each line, and letterspaceadjust
doing what its name says) could be useful in a "normal" LuaTeX
document.

%package chickenize-doc
Summary: Documentation for chickenize
Version: svn45083
Provides: tex-chickenize-doc
AutoReqProv: No

%description chickenize-doc
Documentation for chickenize

%package chkfloat
Provides: tex-chkfloat = %{tl_version}
License: LPPL 1.3
Summary: Warn whenever a float is placed "to far away"
Version: svn27473.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Provides: tex(chkfloat.sty) = %{tl_version}

%description chkfloat
The package checks for floats that are placed too far from
their origin. It was motivated by a question on the question
and answer page.

%package chkfloat-doc
Summary: Documentation for chkfloat
Version: svn27473.0.1

Provides: tex-chkfloat-doc
AutoReqProv: No

%description chkfloat-doc
Documentation for chkfloat

%package chletter
Provides: tex-chletter = %{tl_version}
License: LPPL
Summary: Class for typesetting letters to Swiss rules
Version: svn20060.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chletter.cls) = %{tl_version}

%description chletter
The class enables composition of letters fitting into Swiss C5
& C6/5 windowed envelopes. No assumption is made about the
language used. The class is based on the standard LaTeX classes
and is compatible with the LaTeX letter class. It is not
limited to letters and may be used as a generic document class;
it is used with the chextras package.

%package chletter-doc
Summary: Documentation for chletter
Version: svn20060.2.0

Provides: tex-chletter-doc
AutoReqProv: No

%description chletter-doc
Documentation for chletter

%package chngcntr
Provides: tex-chngcntr = %{tl_version}
License: LPPL
Summary: Change the resetting of counters
Version: svn17157.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chngcntr.sty) = %{tl_version}

%description chngcntr
Defines commands \counterwithin (which sets up a counter to be
reset when another is incremented) and \counterwithout (which
unsets such a relationship).

%package chngcntr-doc
Summary: Documentation for chngcntr
Version: svn17157.1.0a

Provides: tex-chngcntr-doc
AutoReqProv: No

%description chngcntr-doc
Documentation for chngcntr

%package chronology
Provides: tex-chronology = %{tl_version}
License: LPPL 1.3
Summary: Provides a horizontal timeline
Version: svn37934.1.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(tikz.sty)
Requires: tex(xparse.sty)
Provides: tex(chronology.sty) = %{tl_version}

%description chronology
A timeline package that allows labelling of events with per-day
granularity. Other features include relative positioning with
unit specification, adjustable tick mark step size, and scaling
to specified width.

%package chronology-doc
Summary: Documentation for chronology
Version: svn37934.1.1.1

Provides: tex-chronology-doc
AutoReqProv: No

%description chronology-doc
Documentation for chronology

%package chronosys
Provides: tex-chronosys = %{tl_version}
License: LPPL 1.3
Summary: Drawing time-line diagrams
Version: svn26700.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(chronosys.sty) = %{tl_version}
Provides: tex(chronosys.tex) = %{tl_version}
Provides: tex(chronosyschr.tex) = %{tl_version}
Provides: tex(x-chronosys.tex) = %{tl_version}

%description chronosys
Macros to produce time line diagrams. Interfaces for Plain TeX,
Context and LaTeX are provided.

%package chronosys-doc
Summary: Documentation for chronosys
Version: svn26700.1.2

Provides: tex-chronosys-doc
AutoReqProv: No

%description chronosys-doc
Documentation for chronosys

%package chscite
Provides: tex-chscite = %{tl_version}
License: LPPL 1.2
Summary: Bibliography style for Chalmers University of Technology
Version: svn28552.2.9999

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(url.sty)
Provides: tex(chscite.sty) = %{tl_version}

%description chscite
The package, heavily based on the harvard package for Harvard-
style citations, provides a citation suite for students at
Chalmers University of Technology that follows given
recommendations.

%package chscite-doc
Summary: Documentation for chscite
Version: svn28552.2.9999

Provides: tex-chscite-doc
AutoReqProv: No

%description chscite-doc
Documentation for chscite

%package cinzel
Provides: tex-cinzel = %{tl_version}
License: OFL
Summary: LaTeX support for Cinzel and Cinzel Decorative fonts
Version: svn34408.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(cnzl_7luz43.enc) = %{tl_version}
Provides: tex(cnzl_7t2zcj.enc) = %{tl_version}
Provides: tex(cnzl_aakhvz.enc) = %{tl_version}
Provides: tex(cnzl_k6z3ge.enc) = %{tl_version}
Provides: tex(cinzel.map) = %{tl_version}
Provides: tex(Cinzel-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(Cinzel-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(Cinzel-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(Cinzel-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(Cinzel-Black.ttf) = %{tl_version}
Provides: tex(Cinzel-Bold.ttf) = %{tl_version}
Provides: tex(Cinzel-Regular.ttf) = %{tl_version}
Provides: tex(CinzelDecorative-Black.ttf) = %{tl_version}
Provides: tex(CinzelDecorative-Bold.ttf) = %{tl_version}
Provides: tex(CinzelDecorative-Regular.ttf) = %{tl_version}
Provides: tex(Cinzel-Black.pfb) = %{tl_version}
Provides: tex(Cinzel-Bold.pfb) = %{tl_version}
Provides: tex(Cinzel-Regular.pfb) = %{tl_version}
Provides: tex(CinzelDecorative-Black.pfb) = %{tl_version}
Provides: tex(CinzelDecorative-Bold.pfb) = %{tl_version}
Provides: tex(CinzelDecorative-Regular.pfb) = %{tl_version}
Provides: tex(Cinzel-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(Cinzel-Black-lf-t1.vf) = %{tl_version}
Provides: tex(Cinzel-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Cinzel-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(Cinzel-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-t1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(CinzelDecorative-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(LY1Cinzel-LF.fd) = %{tl_version}
Provides: tex(LY1CinzelDecorative-LF.fd) = %{tl_version}
Provides: tex(OT1Cinzel-LF.fd) = %{tl_version}
Provides: tex(OT1CinzelDecorative-LF.fd) = %{tl_version}
Provides: tex(T1Cinzel-LF.fd) = %{tl_version}
Provides: tex(T1CinzelDecorative-LF.fd) = %{tl_version}
Provides: tex(TS1Cinzel-LF.fd) = %{tl_version}
Provides: tex(TS1CinzelDecorative-LF.fd) = %{tl_version}
Provides: tex(cinzel.sty) = %{tl_version}

%description cinzel
Cinzel and Cinzel Decorative fonts, designed by Natanael Gama
Natanael Gama), find their inspiration in first century roman
inscriptions, and are based on classical proportions. Cinzel is
all-caps (similar to Trajan and Michelangelo), but is available
in three weights (Regular, Bold, Black). There are no italic
fonts, but there are Decorative variants, which can be selected
by the usual italic-selection commands in the package's LaTeX
support.

%package cinzel-doc
Summary: Documentation for cinzel
Version: svn34408.0

Provides: tex-cinzel-doc
AutoReqProv: No

%description cinzel-doc
Documentation for cinzel

%package circ
Provides: tex-circ = %{tl_version}
License: GPL+
Summary: Macros for typesetting circuit diagrams
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cioptic.tfm) = %{tl_version}
Provides: tex(basic.def) = %{tl_version}
Provides: tex(box.def) = %{tl_version}
Provides: tex(circ.sty) = %{tl_version}
Provides: tex(gate.def) = %{tl_version}
Provides: tex(ic.def) = %{tl_version}
Provides: tex(oldgate.def) = %{tl_version}
Provides: tex(optics.def) = %{tl_version}
Provides: tex(physics.def) = %{tl_version}

%description circ
Several electrical symbols like resistor, capacitor,
transistors etc., are defined. The symbols can be connected
with wires. The package also contains an American resistor
symbol for those of us on that side of the Atlantic. The
package also has simple facilities for producing optics
diagrams; however, no-one would deny that the PSTricks pst-
optic package, or the MetaPost makecirc package does the job
better.

%package circ-doc
Summary: Documentation for circ
Version: svn15878.1.1

Provides: tex-circ-doc
AutoReqProv: No

%description circ-doc
Documentation for circ

%package circuitikz
Provides: tex-circuitikz = %{tl_version}
License: LPPL
Summary: Draw electrical networks with TikZ
Version: svn44488
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Requires: tex(xstring.sty)
Requires: tex(siunitx.sty)
Provides: tex(t-circuitikz.tex) = %{tl_version}
Provides: tex(circuitikz.code.tex) = %{tl_version}
Provides: tex(circuitikz1.code.tex) = %{tl_version}
Provides: tex(pgfcircbipoles.tex) = %{tl_version}
Provides: tex(pgfcirccurrent.tex) = %{tl_version}
Provides: tex(pgfcircinputarrows.tex) = %{tl_version}
Provides: tex(pgfcirclabel.tex) = %{tl_version}
Provides: tex(pgfcircmath.tex) = %{tl_version}
Provides: tex(pgfcircmonopoles.tex) = %{tl_version}
Provides: tex(pgfcircnpoles.tex) = %{tl_version}
Provides: tex(pgfcircquadpoles.tex) = %{tl_version}
Provides: tex(pgfcircshapes.tex) = %{tl_version}
Provides: tex(pgfcirctripoles.tex) = %{tl_version}
Provides: tex(pgfcircutils.tex) = %{tl_version}
Provides: tex(pgfcircvoltage.tex) = %{tl_version}
Provides: tex(circuitikz.sty) = %{tl_version}

%description circuitikz
The package provides a set of macros for naturally typesetting
electrical and (somewhat less naturally, perhaps) electronic
networks. It is designed as a tool that is easy to use, with a
lean syntax, native to LaTeX, and directly supporting PDF
output format. So is based on the very impressive pgf/TikZ
package.

%package circuitikz-doc
Summary: Documentation for circuitikz
Version: svn44488
Provides: tex-circuitikz-doc
AutoReqProv: No

%description circuitikz-doc
Documentation for circuitikz

%package citeall
Provides: tex-citeall = %{tl_version}
License: LPPL 1.3
Summary: Cite all entries of a bbl created with biblatex
Version: svn37103.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(citeall.sty) = %{tl_version}

%description citeall
This small package allows to cite all entries of a bbl-file
created with biblatex (v1.9).

%package citeall-doc
Summary: Documentation for citeall
Version: svn37103.1.2

Provides: tex-citeall-doc
AutoReqProv: No

%description citeall-doc
Documentation for citeall

%package cite
Provides: tex-cite = %{tl_version}
License: Copyright only
Summary: Improved citation handling in LaTeX
Version: svn36428.5.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(chapterbib.sty) = %{tl_version}
Provides: tex(cite.sty) = %{tl_version}
Provides: tex(drftcite.sty) = %{tl_version}
Provides: tex(overcite.sty) = %{tl_version}

%description cite
The package supports compressed, sorted lists of numerical
citations, and also deals with various punctuation and other
issues of representation, including comprehensive management of
break points. The package is compatible with both hyperref and
backref. The package is (unsurprisingly) part of the cite
bundle of the author's citation-related packages.

%package cite-doc
Summary: Documentation for cite
Version: svn36428.5.5

Provides: tex-cite-doc
AutoReqProv: No

%description cite-doc
Documentation for cite

%package cjhebrew
Provides: tex-cjhebrew = %{tl_version}
License: LPPL
Summary: Typeset Hebrew with LaTeX
Version: svn43444
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: tex(cjhebltx.enc) = %{tl_version}
Provides: tex(cjhebrew.map) = %{tl_version}
Provides: tex(cjhblsm.tfm) = %{tl_version}
Provides: tex(cjhbltx.tfm) = %{tl_version}
Provides: tex(cjheblsm.tfm) = %{tl_version}
Provides: tex(cjhebltx.tfm) = %{tl_version}
Provides: tex(rcjhblsm.tfm) = %{tl_version}
Provides: tex(rcjhbltx.tfm) = %{tl_version}
Provides: tex(cjheblsm.pfb) = %{tl_version}
Provides: tex(cjhebltx.pfb) = %{tl_version}
Provides: tex(cjhblsm.vf) = %{tl_version}
Provides: tex(cjhbltx.vf) = %{tl_version}
Provides: tex(cjhebrew.sty) = %{tl_version}

%description cjhebrew
The cjhebrew package provides Adobe Type 1 fonts for Hebrew,
and LaTeX macros to support their use. Hebrew text can be
vocalised, and a few accents are also available. The package
makes it easy to include Hebrew text in other-language
documents. The package makes use of the e-TeX extensions to
TeX, so should be run using an "e-LaTeX".

%package cjhebrew-doc
Summary: Documentation for cjhebrew
Version: svn43444
Provides: tex-cjhebrew-doc
AutoReqProv: No

%description cjhebrew-doc
Documentation for cjhebrew

%package cjk-ko
Provides: tex-cjk-ko = %{tl_version}
License: GPL+ and LPPL and Public Domain
Summary: Extension of the CJK package for Korean typesetting
Version: svn40373

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(CJKutf8.sty)
Requires: tex(ulem.sty)
Requires: tex(CJKfntef.sty)
Requires: tex(kolabels-utf.sty)
Requires: tex(kotexutf.sty)
Requires: tex(xetexko.sty)
Requires: tex(luatexko.sty)
Provides: tex(cjkutf8-josa.sty) = %{tl_version}
Provides: tex(cjkutf8-ko.sty) = %{tl_version}
Provides: tex(cjkutf8-nanummjhanja.sty) = %{tl_version}
Provides: tex(kolabels-utf.sty) = %{tl_version}
Provides: tex(konames-utf.sty) = %{tl_version}
Provides: tex(kotex.sty) = %{tl_version}

%description cjk-ko
The package supports typesetting UTF-8-encoded modern Korean
documents with the help of the LaTeX2e CJK package. The package
requires nanumtype1 fonts.

%package cjk-ko-doc
Summary: Documentation for cjk-ko
Version: svn40373

Provides: tex-cjk-ko-doc
AutoReqProv: No

%description cjk-ko-doc
Documentation for cjk-ko

%package cjkpunct
Provides: tex-cjkpunct = %{tl_version}
License: LPPL
Summary: Adjust locations and kerning of CJK punctuation marks
Version: svn41119

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(CJKpunct.sty) = %{tl_version}

%description cjkpunct
The package serves as a companion package for CJK.

%package cjkpunct-doc
Summary: Documentation for cjkpunct
Version: svn41119

Provides: tex-cjkpunct-doc
AutoReqProv: No

%description cjkpunct-doc
Documentation for cjkpunct

%package cjk
Provides: tex-cjk = %{tl_version}
License: GPL+
Summary: CJK language support
Version: svn36951.4.8.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-arphic
Requires: tex-cns
Requires: tex-garuda-c90
Requires: tex-norasi-c90
Requires: tex-uhc
Requires: tex-wadalab
Requires: tex(CJKulem.sty)
Requires: tex(ulem.sty)
Requires: tex(ifpdf.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(graphicx.sty)
Provides: tex(c42goth.fd) = %{tl_version}
Provides: tex(c42maru.fd) = %{tl_version}
Provides: tex(c42min.fd) = %{tl_version}
Provides: tex(c52maru.fd) = %{tl_version}
Provides: tex(c52min.fd) = %{tl_version}
Provides: tex(c70goth.fd) = %{tl_version}
Provides: tex(c70maru.fd) = %{tl_version}
Provides: tex(c70min.fd) = %{tl_version}
Provides: tex(Bg5.enc) = %{tl_version}
Provides: tex(HK.enc) = %{tl_version}
Provides: tex(c00bkai.fd) = %{tl_version}
Provides: tex(c00bsmi.fd) = %{tl_version}
Provides: tex(c00bsmir.fd) = %{tl_version}
Provides: tex(c00cns.fd) = %{tl_version}
Provides: tex(c00fs.fd) = %{tl_version}
Provides: tex(c00kai.fd) = %{tl_version}
Provides: tex(c00kair.fd) = %{tl_version}
Provides: tex(c00song.fd) = %{tl_version}
Provides: tex(c01song.fd) = %{tl_version}
Provides: tex(c05song.fd) = %{tl_version}
Provides: tex(c09song.fd) = %{tl_version}
Provides: tex(c80song.fd) = %{tl_version}
Provides: tex(c81song.fd) = %{tl_version}
Provides: tex(CJK.enc) = %{tl_version}
Provides: tex(CJK.sty) = %{tl_version}
Provides: tex(CJKfntef.sty) = %{tl_version}
Provides: tex(CJKnumb.sty) = %{tl_version}
Provides: tex(CJKspace.sty) = %{tl_version}
Provides: tex(CJKulem.sty) = %{tl_version}
Provides: tex(CJKutf8.sty) = %{tl_version}
Provides: tex(CJKvert.sty) = %{tl_version}
Provides: tex(EUC-TW.enc) = %{tl_version}
Provides: tex(c31song.fd) = %{tl_version}
Provides: tex(c32song.fd) = %{tl_version}
Provides: tex(c33song.fd) = %{tl_version}
Provides: tex(c34song.fd) = %{tl_version}
Provides: tex(c35song.fd) = %{tl_version}
Provides: tex(c36song.fd) = %{tl_version}
Provides: tex(c37song.fd) = %{tl_version}
Provides: tex(c10fs.fd) = %{tl_version}
Provides: tex(c10gbsn.fd) = %{tl_version}
Provides: tex(c10gkai.fd) = %{tl_version}
Provides: tex(c10song.fd) = %{tl_version}
Provides: tex(c11song.fd) = %{tl_version}
Provides: tex(c19song.fd) = %{tl_version}
Provides: tex(c20song.fd) = %{tl_version}
Provides: tex(c21song.fd) = %{tl_version}
Provides: tex(EUC-JP.enc) = %{tl_version}
Provides: tex(EUC-JPdnp.enc) = %{tl_version}
Provides: tex(JISdnp.enc) = %{tl_version}
Provides: tex(c40song.fd) = %{tl_version}
Provides: tex(c41song.fd) = %{tl_version}
Provides: tex(c42song.fd) = %{tl_version}
Provides: tex(c43song.fd) = %{tl_version}
Provides: tex(c50song.fd) = %{tl_version}
Provides: tex(KSHL.enc) = %{tl_version}
Provides: tex(c63bm.fd) = %{tl_version}
Provides: tex(c63dn.fd) = %{tl_version}
Provides: tex(c63gr.fd) = %{tl_version}
Provides: tex(c63gs.fd) = %{tl_version}
Provides: tex(c63gt.fd) = %{tl_version}
Provides: tex(c63jgt.fd) = %{tl_version}
Provides: tex(c63jmj.fd) = %{tl_version}
Provides: tex(c63jnv.fd) = %{tl_version}
Provides: tex(c63jsr.fd) = %{tl_version}
Provides: tex(c63mj.fd) = %{tl_version}
Provides: tex(c63pg.fd) = %{tl_version}
Provides: tex(c63pga.fd) = %{tl_version}
Provides: tex(c63ph.fd) = %{tl_version}
Provides: tex(c63pn.fd) = %{tl_version}
Provides: tex(c63sh.fd) = %{tl_version}
Provides: tex(c63tz.fd) = %{tl_version}
Provides: tex(c63vd.fd) = %{tl_version}
Provides: tex(c63yt.fd) = %{tl_version}
Provides: tex(c64bm.fd) = %{tl_version}
Provides: tex(c64dn.fd) = %{tl_version}
Provides: tex(c64gr.fd) = %{tl_version}
Provides: tex(c64gs.fd) = %{tl_version}
Provides: tex(c64gt.fd) = %{tl_version}
Provides: tex(c64jgt.fd) = %{tl_version}
Provides: tex(c64jmj.fd) = %{tl_version}
Provides: tex(c64jnv.fd) = %{tl_version}
Provides: tex(c64jsr.fd) = %{tl_version}
Provides: tex(c64mj.fd) = %{tl_version}
Provides: tex(c64pg.fd) = %{tl_version}
Provides: tex(c64pga.fd) = %{tl_version}
Provides: tex(c64ph.fd) = %{tl_version}
Provides: tex(c64pn.fd) = %{tl_version}
Provides: tex(c64sh.fd) = %{tl_version}
Provides: tex(c64tz.fd) = %{tl_version}
Provides: tex(c64vd.fd) = %{tl_version}
Provides: tex(c64yt.fd) = %{tl_version}
Provides: tex(c65bm.fd) = %{tl_version}
Provides: tex(c65dn.fd) = %{tl_version}
Provides: tex(c65gr.fd) = %{tl_version}
Provides: tex(c65gs.fd) = %{tl_version}
Provides: tex(c65gt.fd) = %{tl_version}
Provides: tex(c65jgt.fd) = %{tl_version}
Provides: tex(c65jmj.fd) = %{tl_version}
Provides: tex(c65jnv.fd) = %{tl_version}
Provides: tex(c65jsr.fd) = %{tl_version}
Provides: tex(c65mj.fd) = %{tl_version}
Provides: tex(c65pg.fd) = %{tl_version}
Provides: tex(c65pga.fd) = %{tl_version}
Provides: tex(c65ph.fd) = %{tl_version}
Provides: tex(c65pn.fd) = %{tl_version}
Provides: tex(c65sh.fd) = %{tl_version}
Provides: tex(c65tz.fd) = %{tl_version}
Provides: tex(c65vd.fd) = %{tl_version}
Provides: tex(c65yt.fd) = %{tl_version}
Provides: tex(pshan.sty) = %{tl_version}
Provides: tex(KS.enc) = %{tl_version}
Provides: tex(c60dr.fd) = %{tl_version}
Provides: tex(c60gr.fd) = %{tl_version}
Provides: tex(c60gs.fd) = %{tl_version}
Provides: tex(c60gt.fd) = %{tl_version}
Provides: tex(c60hgt.fd) = %{tl_version}
Provides: tex(c60hmj.fd) = %{tl_version}
Provides: tex(c60hol.fd) = %{tl_version}
Provides: tex(c60hpg.fd) = %{tl_version}
Provides: tex(c60mj.fd) = %{tl_version}
Provides: tex(c61dr.fd) = %{tl_version}
Provides: tex(c61gr.fd) = %{tl_version}
Provides: tex(c61gs.fd) = %{tl_version}
Provides: tex(c61gt.fd) = %{tl_version}
Provides: tex(c61hgt.fd) = %{tl_version}
Provides: tex(c61hmj.fd) = %{tl_version}
Provides: tex(c61hol.fd) = %{tl_version}
Provides: tex(c61hpg.fd) = %{tl_version}
Provides: tex(c61mj.fd) = %{tl_version}
Provides: tex(c62song.fd) = %{tl_version}
Provides: tex(SJIS.enc) = %{tl_version}
Provides: tex(SJISdnp.enc) = %{tl_version}
Provides: tex(c49song.fd) = %{tl_version}
Provides: tex(UTF8.enc) = %{tl_version}
Provides: tex(c70bkai.fd) = %{tl_version}
Provides: tex(c70bsmi.fd) = %{tl_version}
Provides: tex(c70gbsn.fd) = %{tl_version}
Provides: tex(c70gkai.fd) = %{tl_version}
Provides: tex(c70mj.fd) = %{tl_version}
Provides: tex(c70song.fd) = %{tl_version}
Provides: tex(extended.enc) = %{tl_version}
Provides: tex(MULEenc.sty) = %{tl_version}
Provides: tex(pinyin.sty) = %{tl_version}
Provides: tex(pmCbig.enc) = %{tl_version}
Provides: tex(pmCsmall.enc) = %{tl_version}
Provides: tex(ruby.sty) = %{tl_version}
Provides: tex(standard.enc) = %{tl_version}
Provides: tex(c90cmr.fd) = %{tl_version}
Provides: tex(c90cmss.fd) = %{tl_version}
Provides: tex(c90cmtt.fd) = %{tl_version}
Provides: tex(c90enc.def) = %{tl_version}
Provides: tex(c90gar.fd) = %{tl_version}
Provides: tex(c90nrsr.fd) = %{tl_version}
Provides: tex(thaicjk.ldf) = %{tl_version}
Provides: tex(pinyin.ldf) = %{tl_version}

%description cjk
CJK is a macro package for LaTeX, providing simultaneous
support for various Asian scripts in many encodings (including
Unicode): Chinese (both traditional and simplified), Japanese,
Korean and Thai. A special add-on feature is an interface to
the Emacs editor (cjk-enc.el) which gives simultaneous, easy-to-
use support to a bunch of other scripts in addition to the
above -- Cyrillic, Greek, Latin-based scripts, Russian and
Vietnamese are supported.

%package cjk-doc
Summary: Documentation for cjk
Version: svn36951.4.8.4

Provides: tex-cjk-doc
AutoReqProv: No
Requires: tex-arphic-doc
Requires: tex-cns-doc
Requires: tex-uhc-doc
Requires: tex-wadalab-doc

%description cjk-doc
Documentation for cjk

%package cns
Provides: tex-cns = %{tl_version}
License: LPPL
Summary: cns package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(c0so1201.tfm) = %{tl_version}
Provides: tex(c0so1202.tfm) = %{tl_version}
Provides: tex(c0so1203.tfm) = %{tl_version}
Provides: tex(c0so1204.tfm) = %{tl_version}
Provides: tex(c0so1205.tfm) = %{tl_version}
Provides: tex(c0so1206.tfm) = %{tl_version}
Provides: tex(c0so1207.tfm) = %{tl_version}
Provides: tex(c0so1208.tfm) = %{tl_version}
Provides: tex(c0so1209.tfm) = %{tl_version}
Provides: tex(c0so1210.tfm) = %{tl_version}
Provides: tex(c0so1211.tfm) = %{tl_version}
Provides: tex(c0so1212.tfm) = %{tl_version}
Provides: tex(c0so1213.tfm) = %{tl_version}
Provides: tex(c0so1214.tfm) = %{tl_version}
Provides: tex(c0so1215.tfm) = %{tl_version}
Provides: tex(c0so1216.tfm) = %{tl_version}
Provides: tex(c0so1217.tfm) = %{tl_version}
Provides: tex(c0so1218.tfm) = %{tl_version}
Provides: tex(c0so1219.tfm) = %{tl_version}
Provides: tex(c0so1220.tfm) = %{tl_version}
Provides: tex(c0so1221.tfm) = %{tl_version}
Provides: tex(c0so1222.tfm) = %{tl_version}
Provides: tex(c0so1223.tfm) = %{tl_version}
Provides: tex(c0so1224.tfm) = %{tl_version}
Provides: tex(c0so1225.tfm) = %{tl_version}
Provides: tex(c0so1226.tfm) = %{tl_version}
Provides: tex(c0so1227.tfm) = %{tl_version}
Provides: tex(c0so1228.tfm) = %{tl_version}
Provides: tex(c0so1229.tfm) = %{tl_version}
Provides: tex(c0so1230.tfm) = %{tl_version}
Provides: tex(c0so1231.tfm) = %{tl_version}
Provides: tex(c0so1232.tfm) = %{tl_version}
Provides: tex(c0so1233.tfm) = %{tl_version}
Provides: tex(c0so1234.tfm) = %{tl_version}
Provides: tex(c0so1235.tfm) = %{tl_version}
Provides: tex(c0so1236.tfm) = %{tl_version}
Provides: tex(c0so1237.tfm) = %{tl_version}
Provides: tex(c0so1238.tfm) = %{tl_version}
Provides: tex(c0so1239.tfm) = %{tl_version}
Provides: tex(c0so1240.tfm) = %{tl_version}
Provides: tex(c0so1241.tfm) = %{tl_version}
Provides: tex(c0so1242.tfm) = %{tl_version}
Provides: tex(c0so1243.tfm) = %{tl_version}
Provides: tex(c0so1244.tfm) = %{tl_version}
Provides: tex(c0so1245.tfm) = %{tl_version}
Provides: tex(c0so1246.tfm) = %{tl_version}
Provides: tex(c0so1247.tfm) = %{tl_version}
Provides: tex(c0so1248.tfm) = %{tl_version}
Provides: tex(c0so1249.tfm) = %{tl_version}
Provides: tex(c0so1250.tfm) = %{tl_version}
Provides: tex(c0so1251.tfm) = %{tl_version}
Provides: tex(c0so1252.tfm) = %{tl_version}
Provides: tex(c0so1253.tfm) = %{tl_version}
Provides: tex(c0so1254.tfm) = %{tl_version}
Provides: tex(c0so1255.tfm) = %{tl_version}
Provides: tex(c1so1201.tfm) = %{tl_version}
Provides: tex(c1so1202.tfm) = %{tl_version}
Provides: tex(c1so1203.tfm) = %{tl_version}
Provides: tex(c1so1204.tfm) = %{tl_version}
Provides: tex(c1so1205.tfm) = %{tl_version}
Provides: tex(c1so1206.tfm) = %{tl_version}
Provides: tex(c1so1207.tfm) = %{tl_version}
Provides: tex(c1so1208.tfm) = %{tl_version}
Provides: tex(c1so1209.tfm) = %{tl_version}
Provides: tex(c1so1210.tfm) = %{tl_version}
Provides: tex(c1so1211.tfm) = %{tl_version}
Provides: tex(c1so1212.tfm) = %{tl_version}
Provides: tex(c1so1213.tfm) = %{tl_version}
Provides: tex(c1so1214.tfm) = %{tl_version}
Provides: tex(c1so1215.tfm) = %{tl_version}
Provides: tex(c1so1216.tfm) = %{tl_version}
Provides: tex(c1so1217.tfm) = %{tl_version}
Provides: tex(c1so1218.tfm) = %{tl_version}
Provides: tex(c1so1219.tfm) = %{tl_version}
Provides: tex(c1so1220.tfm) = %{tl_version}
Provides: tex(c1so1221.tfm) = %{tl_version}
Provides: tex(c1so1222.tfm) = %{tl_version}
Provides: tex(c1so1223.tfm) = %{tl_version}
Provides: tex(c1so1224.tfm) = %{tl_version}
Provides: tex(c1so1225.tfm) = %{tl_version}
Provides: tex(c1so1226.tfm) = %{tl_version}
Provides: tex(c1so1227.tfm) = %{tl_version}
Provides: tex(c1so1228.tfm) = %{tl_version}
Provides: tex(c1so1229.tfm) = %{tl_version}
Provides: tex(c1so1230.tfm) = %{tl_version}
Provides: tex(c1so1231.tfm) = %{tl_version}
Provides: tex(c1so1232.tfm) = %{tl_version}
Provides: tex(c1so1233.tfm) = %{tl_version}
Provides: tex(c1so1234.tfm) = %{tl_version}
Provides: tex(c2so1201.tfm) = %{tl_version}
Provides: tex(c2so1202.tfm) = %{tl_version}
Provides: tex(c2so1203.tfm) = %{tl_version}
Provides: tex(c2so1204.tfm) = %{tl_version}
Provides: tex(c2so1205.tfm) = %{tl_version}
Provides: tex(c2so1206.tfm) = %{tl_version}
Provides: tex(c2so1207.tfm) = %{tl_version}
Provides: tex(c2so1208.tfm) = %{tl_version}
Provides: tex(c2so1209.tfm) = %{tl_version}
Provides: tex(c2so1210.tfm) = %{tl_version}
Provides: tex(c2so1211.tfm) = %{tl_version}
Provides: tex(c2so1212.tfm) = %{tl_version}
Provides: tex(c2so1213.tfm) = %{tl_version}
Provides: tex(c2so1214.tfm) = %{tl_version}
Provides: tex(c2so1215.tfm) = %{tl_version}
Provides: tex(c2so1216.tfm) = %{tl_version}
Provides: tex(c2so1217.tfm) = %{tl_version}
Provides: tex(c2so1218.tfm) = %{tl_version}
Provides: tex(c2so1219.tfm) = %{tl_version}
Provides: tex(c2so1220.tfm) = %{tl_version}
Provides: tex(c2so1221.tfm) = %{tl_version}
Provides: tex(c2so1222.tfm) = %{tl_version}
Provides: tex(c2so1223.tfm) = %{tl_version}
Provides: tex(c2so1224.tfm) = %{tl_version}
Provides: tex(c2so1225.tfm) = %{tl_version}
Provides: tex(c2so1226.tfm) = %{tl_version}
Provides: tex(c2so1227.tfm) = %{tl_version}
Provides: tex(c2so1228.tfm) = %{tl_version}
Provides: tex(c2so1229.tfm) = %{tl_version}
Provides: tex(c2so1230.tfm) = %{tl_version}
Provides: tex(c3so1201.tfm) = %{tl_version}
Provides: tex(c3so1202.tfm) = %{tl_version}
Provides: tex(c3so1203.tfm) = %{tl_version}
Provides: tex(c3so1204.tfm) = %{tl_version}
Provides: tex(c3so1205.tfm) = %{tl_version}
Provides: tex(c3so1206.tfm) = %{tl_version}
Provides: tex(c3so1207.tfm) = %{tl_version}
Provides: tex(c3so1208.tfm) = %{tl_version}
Provides: tex(c3so1209.tfm) = %{tl_version}
Provides: tex(c3so1210.tfm) = %{tl_version}
Provides: tex(c3so1211.tfm) = %{tl_version}
Provides: tex(c3so1212.tfm) = %{tl_version}
Provides: tex(c3so1213.tfm) = %{tl_version}
Provides: tex(c3so1214.tfm) = %{tl_version}
Provides: tex(c3so1215.tfm) = %{tl_version}
Provides: tex(c3so1216.tfm) = %{tl_version}
Provides: tex(c3so1217.tfm) = %{tl_version}
Provides: tex(c3so1218.tfm) = %{tl_version}
Provides: tex(c3so1219.tfm) = %{tl_version}
Provides: tex(c3so1220.tfm) = %{tl_version}
Provides: tex(c3so1221.tfm) = %{tl_version}
Provides: tex(c3so1222.tfm) = %{tl_version}
Provides: tex(c3so1223.tfm) = %{tl_version}
Provides: tex(c3so1224.tfm) = %{tl_version}
Provides: tex(c3so1225.tfm) = %{tl_version}
Provides: tex(c4so1201.tfm) = %{tl_version}
Provides: tex(c4so1202.tfm) = %{tl_version}
Provides: tex(c4so1203.tfm) = %{tl_version}
Provides: tex(c4so1204.tfm) = %{tl_version}
Provides: tex(c4so1205.tfm) = %{tl_version}
Provides: tex(c4so1206.tfm) = %{tl_version}
Provides: tex(c4so1207.tfm) = %{tl_version}
Provides: tex(c4so1208.tfm) = %{tl_version}
Provides: tex(c4so1209.tfm) = %{tl_version}
Provides: tex(c4so1210.tfm) = %{tl_version}
Provides: tex(c4so1211.tfm) = %{tl_version}
Provides: tex(c4so1212.tfm) = %{tl_version}
Provides: tex(c4so1213.tfm) = %{tl_version}
Provides: tex(c4so1214.tfm) = %{tl_version}
Provides: tex(c4so1215.tfm) = %{tl_version}
Provides: tex(c4so1216.tfm) = %{tl_version}
Provides: tex(c4so1217.tfm) = %{tl_version}
Provides: tex(c4so1218.tfm) = %{tl_version}
Provides: tex(c4so1219.tfm) = %{tl_version}
Provides: tex(c4so1220.tfm) = %{tl_version}
Provides: tex(c4so1221.tfm) = %{tl_version}
Provides: tex(c4so1222.tfm) = %{tl_version}
Provides: tex(c4so1223.tfm) = %{tl_version}
Provides: tex(c4so1224.tfm) = %{tl_version}
Provides: tex(c4so1225.tfm) = %{tl_version}
Provides: tex(c4so1226.tfm) = %{tl_version}
Provides: tex(c4so1227.tfm) = %{tl_version}
Provides: tex(c4so1228.tfm) = %{tl_version}
Provides: tex(c4so1229.tfm) = %{tl_version}
Provides: tex(c5so1201.tfm) = %{tl_version}
Provides: tex(c5so1202.tfm) = %{tl_version}
Provides: tex(c5so1203.tfm) = %{tl_version}
Provides: tex(c5so1204.tfm) = %{tl_version}
Provides: tex(c5so1205.tfm) = %{tl_version}
Provides: tex(c5so1206.tfm) = %{tl_version}
Provides: tex(c5so1207.tfm) = %{tl_version}
Provides: tex(c5so1208.tfm) = %{tl_version}
Provides: tex(c5so1209.tfm) = %{tl_version}
Provides: tex(c5so1210.tfm) = %{tl_version}
Provides: tex(c5so1211.tfm) = %{tl_version}
Provides: tex(c5so1212.tfm) = %{tl_version}
Provides: tex(c5so1213.tfm) = %{tl_version}
Provides: tex(c5so1214.tfm) = %{tl_version}
Provides: tex(c5so1215.tfm) = %{tl_version}
Provides: tex(c5so1216.tfm) = %{tl_version}
Provides: tex(c5so1217.tfm) = %{tl_version}
Provides: tex(c5so1218.tfm) = %{tl_version}
Provides: tex(c5so1219.tfm) = %{tl_version}
Provides: tex(c5so1220.tfm) = %{tl_version}
Provides: tex(c5so1221.tfm) = %{tl_version}
Provides: tex(c5so1222.tfm) = %{tl_version}
Provides: tex(c5so1223.tfm) = %{tl_version}
Provides: tex(c5so1224.tfm) = %{tl_version}
Provides: tex(c5so1225.tfm) = %{tl_version}
Provides: tex(c5so1226.tfm) = %{tl_version}
Provides: tex(c5so1227.tfm) = %{tl_version}
Provides: tex(c5so1228.tfm) = %{tl_version}
Provides: tex(c5so1229.tfm) = %{tl_version}
Provides: tex(c5so1230.tfm) = %{tl_version}
Provides: tex(c5so1231.tfm) = %{tl_version}
Provides: tex(c5so1232.tfm) = %{tl_version}
Provides: tex(c5so1233.tfm) = %{tl_version}
Provides: tex(c5so1234.tfm) = %{tl_version}
Provides: tex(c6so1201.tfm) = %{tl_version}
Provides: tex(c6so1202.tfm) = %{tl_version}
Provides: tex(c6so1203.tfm) = %{tl_version}
Provides: tex(c6so1204.tfm) = %{tl_version}
Provides: tex(c6so1205.tfm) = %{tl_version}
Provides: tex(c6so1206.tfm) = %{tl_version}
Provides: tex(c6so1207.tfm) = %{tl_version}
Provides: tex(c6so1208.tfm) = %{tl_version}
Provides: tex(c6so1209.tfm) = %{tl_version}
Provides: tex(c6so1210.tfm) = %{tl_version}
Provides: tex(c6so1211.tfm) = %{tl_version}
Provides: tex(c6so1212.tfm) = %{tl_version}
Provides: tex(c6so1213.tfm) = %{tl_version}
Provides: tex(c6so1214.tfm) = %{tl_version}
Provides: tex(c6so1215.tfm) = %{tl_version}
Provides: tex(c6so1216.tfm) = %{tl_version}
Provides: tex(c6so1217.tfm) = %{tl_version}
Provides: tex(c6so1218.tfm) = %{tl_version}
Provides: tex(c6so1219.tfm) = %{tl_version}
Provides: tex(c6so1220.tfm) = %{tl_version}
Provides: tex(c6so1221.tfm) = %{tl_version}
Provides: tex(c6so1222.tfm) = %{tl_version}
Provides: tex(c6so1223.tfm) = %{tl_version}
Provides: tex(c6so1224.tfm) = %{tl_version}
Provides: tex(c6so1225.tfm) = %{tl_version}
Provides: tex(c7so1201.tfm) = %{tl_version}
Provides: tex(c7so1202.tfm) = %{tl_version}
Provides: tex(c7so1203.tfm) = %{tl_version}
Provides: tex(c7so1204.tfm) = %{tl_version}
Provides: tex(c7so1205.tfm) = %{tl_version}
Provides: tex(c7so1206.tfm) = %{tl_version}
Provides: tex(c7so1207.tfm) = %{tl_version}
Provides: tex(c7so1208.tfm) = %{tl_version}
Provides: tex(c7so1209.tfm) = %{tl_version}
Provides: tex(c7so1210.tfm) = %{tl_version}
Provides: tex(c7so1211.tfm) = %{tl_version}
Provides: tex(c7so1212.tfm) = %{tl_version}
Provides: tex(c7so1213.tfm) = %{tl_version}
Provides: tex(c7so1214.tfm) = %{tl_version}
Provides: tex(c7so1215.tfm) = %{tl_version}
Provides: tex(c7so1216.tfm) = %{tl_version}
Provides: tex(c7so1217.tfm) = %{tl_version}
Provides: tex(c7so1218.tfm) = %{tl_version}
Provides: tex(c7so1219.tfm) = %{tl_version}
Provides: tex(c7so1220.tfm) = %{tl_version}
Provides: tex(c7so1221.tfm) = %{tl_version}
Provides: tex(c7so1222.tfm) = %{tl_version}
Provides: tex(c7so1223.tfm) = %{tl_version}
Provides: tex(c7so1224.tfm) = %{tl_version}
Provides: tex(c7so1225.tfm) = %{tl_version}
Provides: tex(c7so1226.tfm) = %{tl_version}

%description cns
cns package

%package cns-doc
Summary: Documentation for cns
Version: svn15878.0

Provides: tex-cns-doc
AutoReqProv: No

%description cns-doc
Documentation for cns

%package garuda-c90
Provides: tex-garuda-c90 = %{tl_version}
License: LPPL
Summary: TeX support (from CJK) for the garuda font
Version: svn37677.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-fonts-tlwg
Provides: tex(garuda-c90.map) = %{tl_version}
Provides: tex(fgdb8z.tfm) = %{tl_version}
Provides: tex(fgdbo8z.tfm) = %{tl_version}
Provides: tex(fgdo8z.tfm) = %{tl_version}
Provides: tex(fgdr8z.tfm) = %{tl_version}

%description garuda-c90
garuda-c90 package

%package fonts-tlwg
Provides: tex-fonts-tlwg = %{tl_version}
License: GPL+
Summary: Thai fonts for LaTeX from TLWG
Version: svn45469
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: texlive-tlwg = %{epoch}:%{tl_version}
Obsoletes: texlive-tlwg < %{epoch}:%{tl_version}
Provides: tex(lthtlwg.enc) = %{tl_version}
Provides: tex(nectec.map) = %{tl_version}
Provides: tex(nf.map) = %{tl_version}
Provides: tex(sipa.map) = %{tl_version}
Provides: tex(tlwg.map) = %{tl_version}
Provides: tex(garuda.tfm) = %{tl_version}
Provides: tex(garuda_b.tfm) = %{tl_version}
Provides: tex(garuda_bo.tfm) = %{tl_version}
Provides: tex(garuda_o.tfm) = %{tl_version}
Provides: tex(kinnari.tfm) = %{tl_version}
Provides: tex(kinnari_b.tfm) = %{tl_version}
Provides: tex(kinnari_bi.tfm) = %{tl_version}
Provides: tex(kinnari_bo.tfm) = %{tl_version}
Provides: tex(kinnari_i.tfm) = %{tl_version}
Provides: tex(kinnari_o.tfm) = %{tl_version}
Provides: tex(laksaman.tfm) = %{tl_version}
Provides: tex(laksaman_b.tfm) = %{tl_version}
Provides: tex(laksaman_bi.tfm) = %{tl_version}
Provides: tex(laksaman_i.tfm) = %{tl_version}
Provides: tex(loma.tfm) = %{tl_version}
Provides: tex(loma_b.tfm) = %{tl_version}
Provides: tex(loma_bo.tfm) = %{tl_version}
Provides: tex(loma_o.tfm) = %{tl_version}
Provides: tex(norasi.tfm) = %{tl_version}
Provides: tex(norasi_b.tfm) = %{tl_version}
Provides: tex(norasi_bi.tfm) = %{tl_version}
Provides: tex(norasi_bo.tfm) = %{tl_version}
Provides: tex(norasi_i.tfm) = %{tl_version}
Provides: tex(norasi_o.tfm) = %{tl_version}
Provides: tex(purisa.tfm) = %{tl_version}
Provides: tex(purisa_b.tfm) = %{tl_version}
Provides: tex(purisa_bo.tfm) = %{tl_version}
Provides: tex(purisa_o.tfm) = %{tl_version}
Provides: tex(rgaruda.tfm) = %{tl_version}
Provides: tex(rgaruda_b.tfm) = %{tl_version}
Provides: tex(rgaruda_bo.tfm) = %{tl_version}
Provides: tex(rgaruda_o.tfm) = %{tl_version}
Provides: tex(rkinnari.tfm) = %{tl_version}
Provides: tex(rkinnari_b.tfm) = %{tl_version}
Provides: tex(rkinnari_bi.tfm) = %{tl_version}
Provides: tex(rkinnari_bo.tfm) = %{tl_version}
Provides: tex(rkinnari_i.tfm) = %{tl_version}
Provides: tex(rkinnari_o.tfm) = %{tl_version}
Provides: tex(rlaksaman.tfm) = %{tl_version}
Provides: tex(rlaksaman_b.tfm) = %{tl_version}
Provides: tex(rlaksaman_bi.tfm) = %{tl_version}
Provides: tex(rlaksaman_i.tfm) = %{tl_version}
Provides: tex(rloma.tfm) = %{tl_version}
Provides: tex(rloma_b.tfm) = %{tl_version}
Provides: tex(rloma_bo.tfm) = %{tl_version}
Provides: tex(rloma_o.tfm) = %{tl_version}
Provides: tex(rnorasi.tfm) = %{tl_version}
Provides: tex(rnorasi_b.tfm) = %{tl_version}
Provides: tex(rnorasi_bi.tfm) = %{tl_version}
Provides: tex(rnorasi_bo.tfm) = %{tl_version}
Provides: tex(rnorasi_i.tfm) = %{tl_version}
Provides: tex(rnorasi_o.tfm) = %{tl_version}
Provides: tex(rpurisa.tfm) = %{tl_version}
Provides: tex(rpurisa_b.tfm) = %{tl_version}
Provides: tex(rpurisa_bo.tfm) = %{tl_version}
Provides: tex(rpurisa_o.tfm) = %{tl_version}
Provides: tex(rsawasdee.tfm) = %{tl_version}
Provides: tex(rsawasdee_b.tfm) = %{tl_version}
Provides: tex(rsawasdee_bo.tfm) = %{tl_version}
Provides: tex(rsawasdee_o.tfm) = %{tl_version}
Provides: tex(rttype.tfm) = %{tl_version}
Provides: tex(rttype_b.tfm) = %{tl_version}
Provides: tex(rttype_bo.tfm) = %{tl_version}
Provides: tex(rttype_o.tfm) = %{tl_version}
Provides: tex(rttypist.tfm) = %{tl_version}
Provides: tex(rttypist_b.tfm) = %{tl_version}
Provides: tex(rttypist_bo.tfm) = %{tl_version}
Provides: tex(rttypist_o.tfm) = %{tl_version}
Provides: tex(rumpush.tfm) = %{tl_version}
Provides: tex(rumpush_b.tfm) = %{tl_version}
Provides: tex(rumpush_bo.tfm) = %{tl_version}
Provides: tex(rumpush_l.tfm) = %{tl_version}
Provides: tex(rumpush_lo.tfm) = %{tl_version}
Provides: tex(rumpush_o.tfm) = %{tl_version}
Provides: tex(rwaree.tfm) = %{tl_version}
Provides: tex(rwaree_b.tfm) = %{tl_version}
Provides: tex(rwaree_bo.tfm) = %{tl_version}
Provides: tex(rwaree_o.tfm) = %{tl_version}
Provides: tex(sawasdee.tfm) = %{tl_version}
Provides: tex(sawasdee_b.tfm) = %{tl_version}
Provides: tex(sawasdee_bo.tfm) = %{tl_version}
Provides: tex(sawasdee_o.tfm) = %{tl_version}
Provides: tex(ttype.tfm) = %{tl_version}
Provides: tex(ttype_b.tfm) = %{tl_version}
Provides: tex(ttype_bo.tfm) = %{tl_version}
Provides: tex(ttype_o.tfm) = %{tl_version}
Provides: tex(ttypist.tfm) = %{tl_version}
Provides: tex(ttypist_b.tfm) = %{tl_version}
Provides: tex(ttypist_bo.tfm) = %{tl_version}
Provides: tex(ttypist_o.tfm) = %{tl_version}
Provides: tex(umpush.tfm) = %{tl_version}
Provides: tex(umpush_b.tfm) = %{tl_version}
Provides: tex(umpush_bo.tfm) = %{tl_version}
Provides: tex(umpush_l.tfm) = %{tl_version}
Provides: tex(umpush_lo.tfm) = %{tl_version}
Provides: tex(umpush_o.tfm) = %{tl_version}
Provides: tex(waree.tfm) = %{tl_version}
Provides: tex(waree_b.tfm) = %{tl_version}
Provides: tex(waree_bo.tfm) = %{tl_version}
Provides: tex(waree_o.tfm) = %{tl_version}
Provides: tex(garuda.pfb) = %{tl_version}
Provides: tex(garuda_b.pfb) = %{tl_version}
Provides: tex(garuda_bo.pfb) = %{tl_version}
Provides: tex(garuda_o.pfb) = %{tl_version}
Provides: tex(kinnari.pfb) = %{tl_version}
Provides: tex(kinnari_b.pfb) = %{tl_version}
Provides: tex(kinnari_bi.pfb) = %{tl_version}
Provides: tex(kinnari_bo.pfb) = %{tl_version}
Provides: tex(kinnari_i.pfb) = %{tl_version}
Provides: tex(kinnari_o.pfb) = %{tl_version}
Provides: tex(laksaman.pfb) = %{tl_version}
Provides: tex(laksaman_b.pfb) = %{tl_version}
Provides: tex(laksaman_bi.pfb) = %{tl_version}
Provides: tex(laksaman_i.pfb) = %{tl_version}
Provides: tex(loma.pfb) = %{tl_version}
Provides: tex(loma_b.pfb) = %{tl_version}
Provides: tex(loma_bo.pfb) = %{tl_version}
Provides: tex(loma_o.pfb) = %{tl_version}
Provides: tex(norasi.pfb) = %{tl_version}
Provides: tex(norasi_b.pfb) = %{tl_version}
Provides: tex(norasi_bi.pfb) = %{tl_version}
Provides: tex(norasi_bo.pfb) = %{tl_version}
Provides: tex(norasi_i.pfb) = %{tl_version}
Provides: tex(norasi_o.pfb) = %{tl_version}
Provides: tex(purisa.pfb) = %{tl_version}
Provides: tex(purisa_b.pfb) = %{tl_version}
Provides: tex(purisa_bo.pfb) = %{tl_version}
Provides: tex(purisa_o.pfb) = %{tl_version}
Provides: tex(sawasdee.pfb) = %{tl_version}
Provides: tex(sawasdee_b.pfb) = %{tl_version}
Provides: tex(sawasdee_bo.pfb) = %{tl_version}
Provides: tex(sawasdee_o.pfb) = %{tl_version}
Provides: tex(ttype.pfb) = %{tl_version}
Provides: tex(ttype_b.pfb) = %{tl_version}
Provides: tex(ttype_bo.pfb) = %{tl_version}
Provides: tex(ttype_o.pfb) = %{tl_version}
Provides: tex(ttypist.pfb) = %{tl_version}
Provides: tex(ttypist_b.pfb) = %{tl_version}
Provides: tex(ttypist_bo.pfb) = %{tl_version}
Provides: tex(ttypist_o.pfb) = %{tl_version}
Provides: tex(umpush.pfb) = %{tl_version}
Provides: tex(umpush_b.pfb) = %{tl_version}
Provides: tex(umpush_bo.pfb) = %{tl_version}
Provides: tex(umpush_l.pfb) = %{tl_version}
Provides: tex(umpush_lo.pfb) = %{tl_version}
Provides: tex(umpush_o.pfb) = %{tl_version}
Provides: tex(waree.pfb) = %{tl_version}
Provides: tex(waree_b.pfb) = %{tl_version}
Provides: tex(waree_bo.pfb) = %{tl_version}
Provides: tex(waree_o.pfb) = %{tl_version}
Provides: tex(garuda.vf) = %{tl_version}
Provides: tex(garuda_b.vf) = %{tl_version}
Provides: tex(garuda_bo.vf) = %{tl_version}
Provides: tex(garuda_o.vf) = %{tl_version}
Provides: tex(kinnari.vf) = %{tl_version}
Provides: tex(kinnari_b.vf) = %{tl_version}
Provides: tex(kinnari_bi.vf) = %{tl_version}
Provides: tex(kinnari_bo.vf) = %{tl_version}
Provides: tex(kinnari_i.vf) = %{tl_version}
Provides: tex(kinnari_o.vf) = %{tl_version}
Provides: tex(laksaman.vf) = %{tl_version}
Provides: tex(laksaman_b.vf) = %{tl_version}
Provides: tex(laksaman_bi.vf) = %{tl_version}
Provides: tex(laksaman_i.vf) = %{tl_version}
Provides: tex(loma.vf) = %{tl_version}
Provides: tex(loma_b.vf) = %{tl_version}
Provides: tex(loma_bo.vf) = %{tl_version}
Provides: tex(loma_o.vf) = %{tl_version}
Provides: tex(norasi.vf) = %{tl_version}
Provides: tex(norasi_b.vf) = %{tl_version}
Provides: tex(norasi_bi.vf) = %{tl_version}
Provides: tex(norasi_bo.vf) = %{tl_version}
Provides: tex(norasi_i.vf) = %{tl_version}
Provides: tex(norasi_o.vf) = %{tl_version}
Provides: tex(purisa.vf) = %{tl_version}
Provides: tex(purisa_b.vf) = %{tl_version}
Provides: tex(purisa_bo.vf) = %{tl_version}
Provides: tex(purisa_o.vf) = %{tl_version}
Provides: tex(sawasdee.vf) = %{tl_version}
Provides: tex(sawasdee_b.vf) = %{tl_version}
Provides: tex(sawasdee_bo.vf) = %{tl_version}
Provides: tex(sawasdee_o.vf) = %{tl_version}
Provides: tex(ttype.vf) = %{tl_version}
Provides: tex(ttype_b.vf) = %{tl_version}
Provides: tex(ttype_bo.vf) = %{tl_version}
Provides: tex(ttype_o.vf) = %{tl_version}
Provides: tex(ttypist.vf) = %{tl_version}
Provides: tex(ttypist_b.vf) = %{tl_version}
Provides: tex(ttypist_bo.vf) = %{tl_version}
Provides: tex(ttypist_o.vf) = %{tl_version}
Provides: tex(umpush.vf) = %{tl_version}
Provides: tex(umpush_b.vf) = %{tl_version}
Provides: tex(umpush_bo.vf) = %{tl_version}
Provides: tex(umpush_l.vf) = %{tl_version}
Provides: tex(umpush_lo.vf) = %{tl_version}
Provides: tex(umpush_o.vf) = %{tl_version}
Provides: tex(waree.vf) = %{tl_version}
Provides: tex(waree_b.vf) = %{tl_version}
Provides: tex(waree_bo.vf) = %{tl_version}
Provides: tex(waree_o.vf) = %{tl_version}
Provides: tex(fonts-tlwg.sty) = %{tl_version}
Provides: tex(lthgaruda.fd) = %{tl_version}
Provides: tex(lthkinnari.fd) = %{tl_version}
Provides: tex(lthlaksaman.fd) = %{tl_version}
Provides: tex(lthloma.fd) = %{tl_version}
Provides: tex(lthnorasi.fd) = %{tl_version}
Provides: tex(lthpurisa.fd) = %{tl_version}
Provides: tex(lthsawasdee.fd) = %{tl_version}
Provides: tex(lthttype.fd) = %{tl_version}
Provides: tex(lthttypist.fd) = %{tl_version}
Provides: tex(lthumpush.fd) = %{tl_version}
Provides: tex(lthwaree.fd) = %{tl_version}

%description fonts-tlwg
A collection of free Thai fonts, supplied as FontForge sources,
and with LaTeX .fd files. This package depends on the thailatex
package.

%package fonts-tlwg-doc
Summary: Documentation for fonts-tlwg
Version: svn45469
Provides: tex-fonts-tlwg-doc
AutoReqProv: No

%description fonts-tlwg-doc
Documentation for fonts-tlwg

%package norasi-c90
Provides: tex-norasi-c90 = %{tl_version}
License: LPPL
Summary: TeX support (from CJK) for the norasi font
Version: svn37675.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-fonts-tlwg
Provides: tex(norasi-c90.map) = %{tl_version}
Provides: tex(ftnb8z.tfm) = %{tl_version}
Provides: tex(ftnbi8z.tfm) = %{tl_version}
Provides: tex(ftni8z.tfm) = %{tl_version}
Provides: tex(ftnr8z.tfm) = %{tl_version}

%description norasi-c90
norasi-c90 package

%package uhc
Provides: tex-uhc = %{tl_version}
License: LPPL
Summary: Fonts for the Korean language
Version: svn16791.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(umj.map) = %{tl_version}
Provides: tex(umj00.tfm) = %{tl_version}
Provides: tex(umj01.tfm) = %{tl_version}
Provides: tex(umj02.tfm) = %{tl_version}
Provides: tex(umj03.tfm) = %{tl_version}
Provides: tex(umj04.tfm) = %{tl_version}
Provides: tex(umj05.tfm) = %{tl_version}
Provides: tex(umj10.tfm) = %{tl_version}
Provides: tex(umj11.tfm) = %{tl_version}
Provides: tex(umj12.tfm) = %{tl_version}
Provides: tex(umj13.tfm) = %{tl_version}
Provides: tex(umj14.tfm) = %{tl_version}
Provides: tex(umj15.tfm) = %{tl_version}
Provides: tex(umj16.tfm) = %{tl_version}
Provides: tex(umj17.tfm) = %{tl_version}
Provides: tex(umj20.tfm) = %{tl_version}
Provides: tex(umj21.tfm) = %{tl_version}
Provides: tex(umj22.tfm) = %{tl_version}
Provides: tex(umj23.tfm) = %{tl_version}
Provides: tex(umj24.tfm) = %{tl_version}
Provides: tex(umj25.tfm) = %{tl_version}
Provides: tex(umj26.tfm) = %{tl_version}
Provides: tex(umj27.tfm) = %{tl_version}
Provides: tex(umj28.tfm) = %{tl_version}
Provides: tex(umj29.tfm) = %{tl_version}
Provides: tex(umj30.tfm) = %{tl_version}
Provides: tex(umj31.tfm) = %{tl_version}
Provides: tex(umj32.tfm) = %{tl_version}
Provides: tex(umj33.tfm) = %{tl_version}
Provides: tex(umj34.tfm) = %{tl_version}
Provides: tex(umj35.tfm) = %{tl_version}
Provides: tex(umj36.tfm) = %{tl_version}
Provides: tex(umj37.tfm) = %{tl_version}
Provides: tex(umj38.tfm) = %{tl_version}
Provides: tex(umjc00.tfm) = %{tl_version}
Provides: tex(umjc01.tfm) = %{tl_version}
Provides: tex(umjc02.tfm) = %{tl_version}
Provides: tex(umjc03.tfm) = %{tl_version}
Provides: tex(umjc04.tfm) = %{tl_version}
Provides: tex(umjc05.tfm) = %{tl_version}
Provides: tex(umjc10.tfm) = %{tl_version}
Provides: tex(umjc11.tfm) = %{tl_version}
Provides: tex(umjc12.tfm) = %{tl_version}
Provides: tex(umjc13.tfm) = %{tl_version}
Provides: tex(umjc14.tfm) = %{tl_version}
Provides: tex(umjc15.tfm) = %{tl_version}
Provides: tex(umjc16.tfm) = %{tl_version}
Provides: tex(umjc17.tfm) = %{tl_version}
Provides: tex(umjc20.tfm) = %{tl_version}
Provides: tex(umjc21.tfm) = %{tl_version}
Provides: tex(umjc22.tfm) = %{tl_version}
Provides: tex(umjc23.tfm) = %{tl_version}
Provides: tex(umjc24.tfm) = %{tl_version}
Provides: tex(umjc25.tfm) = %{tl_version}
Provides: tex(umjc26.tfm) = %{tl_version}
Provides: tex(umjc27.tfm) = %{tl_version}
Provides: tex(umjc28.tfm) = %{tl_version}
Provides: tex(umjc29.tfm) = %{tl_version}
Provides: tex(umjc30.tfm) = %{tl_version}
Provides: tex(umjc31.tfm) = %{tl_version}
Provides: tex(umjc32.tfm) = %{tl_version}
Provides: tex(umjc33.tfm) = %{tl_version}
Provides: tex(umjc34.tfm) = %{tl_version}
Provides: tex(umjc35.tfm) = %{tl_version}
Provides: tex(umjc36.tfm) = %{tl_version}
Provides: tex(umjc37.tfm) = %{tl_version}
Provides: tex(umjc38.tfm) = %{tl_version}
Provides: tex(umjco00.tfm) = %{tl_version}
Provides: tex(umjco01.tfm) = %{tl_version}
Provides: tex(umjco02.tfm) = %{tl_version}
Provides: tex(umjco03.tfm) = %{tl_version}
Provides: tex(umjco04.tfm) = %{tl_version}
Provides: tex(umjco05.tfm) = %{tl_version}
Provides: tex(umjco10.tfm) = %{tl_version}
Provides: tex(umjco11.tfm) = %{tl_version}
Provides: tex(umjco12.tfm) = %{tl_version}
Provides: tex(umjco13.tfm) = %{tl_version}
Provides: tex(umjco14.tfm) = %{tl_version}
Provides: tex(umjco15.tfm) = %{tl_version}
Provides: tex(umjco16.tfm) = %{tl_version}
Provides: tex(umjco17.tfm) = %{tl_version}
Provides: tex(umjco20.tfm) = %{tl_version}
Provides: tex(umjco21.tfm) = %{tl_version}
Provides: tex(umjco22.tfm) = %{tl_version}
Provides: tex(umjco23.tfm) = %{tl_version}
Provides: tex(umjco24.tfm) = %{tl_version}
Provides: tex(umjco25.tfm) = %{tl_version}
Provides: tex(umjco26.tfm) = %{tl_version}
Provides: tex(umjco27.tfm) = %{tl_version}
Provides: tex(umjco28.tfm) = %{tl_version}
Provides: tex(umjco29.tfm) = %{tl_version}
Provides: tex(umjco30.tfm) = %{tl_version}
Provides: tex(umjco31.tfm) = %{tl_version}
Provides: tex(umjco32.tfm) = %{tl_version}
Provides: tex(umjco33.tfm) = %{tl_version}
Provides: tex(umjco34.tfm) = %{tl_version}
Provides: tex(umjco35.tfm) = %{tl_version}
Provides: tex(umjco36.tfm) = %{tl_version}
Provides: tex(umjco37.tfm) = %{tl_version}
Provides: tex(umjco38.tfm) = %{tl_version}
Provides: tex(umjo00.tfm) = %{tl_version}
Provides: tex(umjo01.tfm) = %{tl_version}
Provides: tex(umjo02.tfm) = %{tl_version}
Provides: tex(umjo03.tfm) = %{tl_version}
Provides: tex(umjo04.tfm) = %{tl_version}
Provides: tex(umjo05.tfm) = %{tl_version}
Provides: tex(umjo10.tfm) = %{tl_version}
Provides: tex(umjo11.tfm) = %{tl_version}
Provides: tex(umjo12.tfm) = %{tl_version}
Provides: tex(umjo13.tfm) = %{tl_version}
Provides: tex(umjo14.tfm) = %{tl_version}
Provides: tex(umjo15.tfm) = %{tl_version}
Provides: tex(umjo16.tfm) = %{tl_version}
Provides: tex(umjo17.tfm) = %{tl_version}
Provides: tex(umjo20.tfm) = %{tl_version}
Provides: tex(umjo21.tfm) = %{tl_version}
Provides: tex(umjo22.tfm) = %{tl_version}
Provides: tex(umjo23.tfm) = %{tl_version}
Provides: tex(umjo24.tfm) = %{tl_version}
Provides: tex(umjo25.tfm) = %{tl_version}
Provides: tex(umjo26.tfm) = %{tl_version}
Provides: tex(umjo27.tfm) = %{tl_version}
Provides: tex(umjo28.tfm) = %{tl_version}
Provides: tex(umjo29.tfm) = %{tl_version}
Provides: tex(umjo30.tfm) = %{tl_version}
Provides: tex(umjo31.tfm) = %{tl_version}
Provides: tex(umjo32.tfm) = %{tl_version}
Provides: tex(umjo33.tfm) = %{tl_version}
Provides: tex(umjo34.tfm) = %{tl_version}
Provides: tex(umjo35.tfm) = %{tl_version}
Provides: tex(umjo36.tfm) = %{tl_version}
Provides: tex(umjo37.tfm) = %{tl_version}
Provides: tex(umjo38.tfm) = %{tl_version}
Provides: tex(umju00.tfm) = %{tl_version}
Provides: tex(umju01.tfm) = %{tl_version}
Provides: tex(umju02.tfm) = %{tl_version}
Provides: tex(umju03.tfm) = %{tl_version}
Provides: tex(umju04.tfm) = %{tl_version}
Provides: tex(umju05.tfm) = %{tl_version}
Provides: tex(umju10.tfm) = %{tl_version}
Provides: tex(umju11.tfm) = %{tl_version}
Provides: tex(umju12.tfm) = %{tl_version}
Provides: tex(umju13.tfm) = %{tl_version}
Provides: tex(umju14.tfm) = %{tl_version}
Provides: tex(umju15.tfm) = %{tl_version}
Provides: tex(umju16.tfm) = %{tl_version}
Provides: tex(umju17.tfm) = %{tl_version}
Provides: tex(umju20.tfm) = %{tl_version}
Provides: tex(umju21.tfm) = %{tl_version}
Provides: tex(umju22.tfm) = %{tl_version}
Provides: tex(umju23.tfm) = %{tl_version}
Provides: tex(umju24.tfm) = %{tl_version}
Provides: tex(umju25.tfm) = %{tl_version}
Provides: tex(umju26.tfm) = %{tl_version}
Provides: tex(umju27.tfm) = %{tl_version}
Provides: tex(umju28.tfm) = %{tl_version}
Provides: tex(umju29.tfm) = %{tl_version}
Provides: tex(umju30.tfm) = %{tl_version}
Provides: tex(umju31.tfm) = %{tl_version}
Provides: tex(umju32.tfm) = %{tl_version}
Provides: tex(umju33.tfm) = %{tl_version}
Provides: tex(umju34.tfm) = %{tl_version}
Provides: tex(umju35.tfm) = %{tl_version}
Provides: tex(umju36.tfm) = %{tl_version}
Provides: tex(umju37.tfm) = %{tl_version}
Provides: tex(umju38.tfm) = %{tl_version}
Provides: tex(umjuo00.tfm) = %{tl_version}
Provides: tex(umjuo01.tfm) = %{tl_version}
Provides: tex(umjuo02.tfm) = %{tl_version}
Provides: tex(umjuo03.tfm) = %{tl_version}
Provides: tex(umjuo04.tfm) = %{tl_version}
Provides: tex(umjuo05.tfm) = %{tl_version}
Provides: tex(umjuo10.tfm) = %{tl_version}
Provides: tex(umjuo11.tfm) = %{tl_version}
Provides: tex(umjuo12.tfm) = %{tl_version}
Provides: tex(umjuo13.tfm) = %{tl_version}
Provides: tex(umjuo14.tfm) = %{tl_version}
Provides: tex(umjuo15.tfm) = %{tl_version}
Provides: tex(umjuo16.tfm) = %{tl_version}
Provides: tex(umjuo17.tfm) = %{tl_version}
Provides: tex(umjuo20.tfm) = %{tl_version}
Provides: tex(umjuo21.tfm) = %{tl_version}
Provides: tex(umjuo22.tfm) = %{tl_version}
Provides: tex(umjuo23.tfm) = %{tl_version}
Provides: tex(umjuo24.tfm) = %{tl_version}
Provides: tex(umjuo25.tfm) = %{tl_version}
Provides: tex(umjuo26.tfm) = %{tl_version}
Provides: tex(umjuo27.tfm) = %{tl_version}
Provides: tex(umjuo28.tfm) = %{tl_version}
Provides: tex(umjuo29.tfm) = %{tl_version}
Provides: tex(umjuo30.tfm) = %{tl_version}
Provides: tex(umjuo31.tfm) = %{tl_version}
Provides: tex(umjuo32.tfm) = %{tl_version}
Provides: tex(umjuo33.tfm) = %{tl_version}
Provides: tex(umjuo34.tfm) = %{tl_version}
Provides: tex(umjuo35.tfm) = %{tl_version}
Provides: tex(umjuo36.tfm) = %{tl_version}
Provides: tex(umjuo37.tfm) = %{tl_version}
Provides: tex(umjuo38.tfm) = %{tl_version}
Provides: tex(umjx00.tfm) = %{tl_version}
Provides: tex(umjx01.tfm) = %{tl_version}
Provides: tex(umjx02.tfm) = %{tl_version}
Provides: tex(umjx03.tfm) = %{tl_version}
Provides: tex(umjx04.tfm) = %{tl_version}
Provides: tex(umjx05.tfm) = %{tl_version}
Provides: tex(umjx10.tfm) = %{tl_version}
Provides: tex(umjx11.tfm) = %{tl_version}
Provides: tex(umjx12.tfm) = %{tl_version}
Provides: tex(umjx13.tfm) = %{tl_version}
Provides: tex(umjx14.tfm) = %{tl_version}
Provides: tex(umjx15.tfm) = %{tl_version}
Provides: tex(umjx16.tfm) = %{tl_version}
Provides: tex(umjx17.tfm) = %{tl_version}
Provides: tex(umjx20.tfm) = %{tl_version}
Provides: tex(umjx21.tfm) = %{tl_version}
Provides: tex(umjx22.tfm) = %{tl_version}
Provides: tex(umjx23.tfm) = %{tl_version}
Provides: tex(umjx24.tfm) = %{tl_version}
Provides: tex(umjx25.tfm) = %{tl_version}
Provides: tex(umjx26.tfm) = %{tl_version}
Provides: tex(umjx27.tfm) = %{tl_version}
Provides: tex(umjx28.tfm) = %{tl_version}
Provides: tex(umjx29.tfm) = %{tl_version}
Provides: tex(umjx30.tfm) = %{tl_version}
Provides: tex(umjx31.tfm) = %{tl_version}
Provides: tex(umjx32.tfm) = %{tl_version}
Provides: tex(umjx33.tfm) = %{tl_version}
Provides: tex(umjx34.tfm) = %{tl_version}
Provides: tex(umjx35.tfm) = %{tl_version}
Provides: tex(umjx36.tfm) = %{tl_version}
Provides: tex(umjx37.tfm) = %{tl_version}
Provides: tex(umjx38.tfm) = %{tl_version}
Provides: tex(umjxo00.tfm) = %{tl_version}
Provides: tex(umjxo01.tfm) = %{tl_version}
Provides: tex(umjxo02.tfm) = %{tl_version}
Provides: tex(umjxo03.tfm) = %{tl_version}
Provides: tex(umjxo04.tfm) = %{tl_version}
Provides: tex(umjxo05.tfm) = %{tl_version}
Provides: tex(umjxo10.tfm) = %{tl_version}
Provides: tex(umjxo11.tfm) = %{tl_version}
Provides: tex(umjxo12.tfm) = %{tl_version}
Provides: tex(umjxo13.tfm) = %{tl_version}
Provides: tex(umjxo14.tfm) = %{tl_version}
Provides: tex(umjxo15.tfm) = %{tl_version}
Provides: tex(umjxo16.tfm) = %{tl_version}
Provides: tex(umjxo17.tfm) = %{tl_version}
Provides: tex(umjxo20.tfm) = %{tl_version}
Provides: tex(umjxo21.tfm) = %{tl_version}
Provides: tex(umjxo22.tfm) = %{tl_version}
Provides: tex(umjxo23.tfm) = %{tl_version}
Provides: tex(umjxo24.tfm) = %{tl_version}
Provides: tex(umjxo25.tfm) = %{tl_version}
Provides: tex(umjxo26.tfm) = %{tl_version}
Provides: tex(umjxo27.tfm) = %{tl_version}
Provides: tex(umjxo28.tfm) = %{tl_version}
Provides: tex(umjxo29.tfm) = %{tl_version}
Provides: tex(umjxo30.tfm) = %{tl_version}
Provides: tex(umjxo31.tfm) = %{tl_version}
Provides: tex(umjxo32.tfm) = %{tl_version}
Provides: tex(umjxo33.tfm) = %{tl_version}
Provides: tex(umjxo34.tfm) = %{tl_version}
Provides: tex(umjxo35.tfm) = %{tl_version}
Provides: tex(umjxo36.tfm) = %{tl_version}
Provides: tex(umjxo37.tfm) = %{tl_version}
Provides: tex(umjxo38.tfm) = %{tl_version}
Provides: tex(uwmj00.tfm) = %{tl_version}
Provides: tex(uwmj01.tfm) = %{tl_version}
Provides: tex(uwmj02.tfm) = %{tl_version}
Provides: tex(uwmj03.tfm) = %{tl_version}
Provides: tex(uwmj04.tfm) = %{tl_version}
Provides: tex(uwmj20.tfm) = %{tl_version}
Provides: tex(uwmj21.tfm) = %{tl_version}
Provides: tex(uwmj22.tfm) = %{tl_version}
Provides: tex(uwmj23.tfm) = %{tl_version}
Provides: tex(uwmj24.tfm) = %{tl_version}
Provides: tex(uwmj25.tfm) = %{tl_version}
Provides: tex(uwmj26.tfm) = %{tl_version}
Provides: tex(uwmj30.tfm) = %{tl_version}
Provides: tex(uwmj31.tfm) = %{tl_version}
Provides: tex(uwmj32.tfm) = %{tl_version}
Provides: tex(uwmj33.tfm) = %{tl_version}
Provides: tex(uwmj4e.tfm) = %{tl_version}
Provides: tex(uwmj4f.tfm) = %{tl_version}
Provides: tex(uwmj50.tfm) = %{tl_version}
Provides: tex(uwmj51.tfm) = %{tl_version}
Provides: tex(uwmj52.tfm) = %{tl_version}
Provides: tex(uwmj53.tfm) = %{tl_version}
Provides: tex(uwmj54.tfm) = %{tl_version}
Provides: tex(uwmj55.tfm) = %{tl_version}
Provides: tex(uwmj56.tfm) = %{tl_version}
Provides: tex(uwmj57.tfm) = %{tl_version}
Provides: tex(uwmj58.tfm) = %{tl_version}
Provides: tex(uwmj59.tfm) = %{tl_version}
Provides: tex(uwmj5a.tfm) = %{tl_version}
Provides: tex(uwmj5b.tfm) = %{tl_version}
Provides: tex(uwmj5c.tfm) = %{tl_version}
Provides: tex(uwmj5d.tfm) = %{tl_version}
Provides: tex(uwmj5e.tfm) = %{tl_version}
Provides: tex(uwmj5f.tfm) = %{tl_version}
Provides: tex(uwmj60.tfm) = %{tl_version}
Provides: tex(uwmj61.tfm) = %{tl_version}
Provides: tex(uwmj62.tfm) = %{tl_version}
Provides: tex(uwmj63.tfm) = %{tl_version}
Provides: tex(uwmj64.tfm) = %{tl_version}
Provides: tex(uwmj65.tfm) = %{tl_version}
Provides: tex(uwmj66.tfm) = %{tl_version}
Provides: tex(uwmj67.tfm) = %{tl_version}
Provides: tex(uwmj68.tfm) = %{tl_version}
Provides: tex(uwmj69.tfm) = %{tl_version}
Provides: tex(uwmj6a.tfm) = %{tl_version}
Provides: tex(uwmj6b.tfm) = %{tl_version}
Provides: tex(uwmj6c.tfm) = %{tl_version}
Provides: tex(uwmj6d.tfm) = %{tl_version}
Provides: tex(uwmj6e.tfm) = %{tl_version}
Provides: tex(uwmj6f.tfm) = %{tl_version}
Provides: tex(uwmj70.tfm) = %{tl_version}
Provides: tex(uwmj71.tfm) = %{tl_version}
Provides: tex(uwmj72.tfm) = %{tl_version}
Provides: tex(uwmj73.tfm) = %{tl_version}
Provides: tex(uwmj74.tfm) = %{tl_version}
Provides: tex(uwmj75.tfm) = %{tl_version}
Provides: tex(uwmj76.tfm) = %{tl_version}
Provides: tex(uwmj77.tfm) = %{tl_version}
Provides: tex(uwmj78.tfm) = %{tl_version}
Provides: tex(uwmj79.tfm) = %{tl_version}
Provides: tex(uwmj7a.tfm) = %{tl_version}
Provides: tex(uwmj7b.tfm) = %{tl_version}
Provides: tex(uwmj7c.tfm) = %{tl_version}
Provides: tex(uwmj7d.tfm) = %{tl_version}
Provides: tex(uwmj7e.tfm) = %{tl_version}
Provides: tex(uwmj7f.tfm) = %{tl_version}
Provides: tex(uwmj80.tfm) = %{tl_version}
Provides: tex(uwmj81.tfm) = %{tl_version}
Provides: tex(uwmj82.tfm) = %{tl_version}
Provides: tex(uwmj83.tfm) = %{tl_version}
Provides: tex(uwmj84.tfm) = %{tl_version}
Provides: tex(uwmj85.tfm) = %{tl_version}
Provides: tex(uwmj86.tfm) = %{tl_version}
Provides: tex(uwmj87.tfm) = %{tl_version}
Provides: tex(uwmj88.tfm) = %{tl_version}
Provides: tex(uwmj89.tfm) = %{tl_version}
Provides: tex(uwmj8a.tfm) = %{tl_version}
Provides: tex(uwmj8b.tfm) = %{tl_version}
Provides: tex(uwmj8c.tfm) = %{tl_version}
Provides: tex(uwmj8d.tfm) = %{tl_version}
Provides: tex(uwmj8e.tfm) = %{tl_version}
Provides: tex(uwmj8f.tfm) = %{tl_version}
Provides: tex(uwmj90.tfm) = %{tl_version}
Provides: tex(uwmj91.tfm) = %{tl_version}
Provides: tex(uwmj92.tfm) = %{tl_version}
Provides: tex(uwmj93.tfm) = %{tl_version}
Provides: tex(uwmj94.tfm) = %{tl_version}
Provides: tex(uwmj95.tfm) = %{tl_version}
Provides: tex(uwmj96.tfm) = %{tl_version}
Provides: tex(uwmj97.tfm) = %{tl_version}
Provides: tex(uwmj98.tfm) = %{tl_version}
Provides: tex(uwmj99.tfm) = %{tl_version}
Provides: tex(uwmj9a.tfm) = %{tl_version}
Provides: tex(uwmj9b.tfm) = %{tl_version}
Provides: tex(uwmj9c.tfm) = %{tl_version}
Provides: tex(uwmj9d.tfm) = %{tl_version}
Provides: tex(uwmj9e.tfm) = %{tl_version}
Provides: tex(uwmj9f.tfm) = %{tl_version}
Provides: tex(uwmjac.tfm) = %{tl_version}
Provides: tex(uwmjad.tfm) = %{tl_version}
Provides: tex(uwmjae.tfm) = %{tl_version}
Provides: tex(uwmjaf.tfm) = %{tl_version}
Provides: tex(uwmjb0.tfm) = %{tl_version}
Provides: tex(uwmjb1.tfm) = %{tl_version}
Provides: tex(uwmjb2.tfm) = %{tl_version}
Provides: tex(uwmjb3.tfm) = %{tl_version}
Provides: tex(uwmjb4.tfm) = %{tl_version}
Provides: tex(uwmjb5.tfm) = %{tl_version}
Provides: tex(uwmjb6.tfm) = %{tl_version}
Provides: tex(uwmjb7.tfm) = %{tl_version}
Provides: tex(uwmjb8.tfm) = %{tl_version}
Provides: tex(uwmjb9.tfm) = %{tl_version}
Provides: tex(uwmjba.tfm) = %{tl_version}
Provides: tex(uwmjbb.tfm) = %{tl_version}
Provides: tex(uwmjbc.tfm) = %{tl_version}
Provides: tex(uwmjbd.tfm) = %{tl_version}
Provides: tex(uwmjbe.tfm) = %{tl_version}
Provides: tex(uwmjbf.tfm) = %{tl_version}
Provides: tex(uwmjc0.tfm) = %{tl_version}
Provides: tex(uwmjc00.tfm) = %{tl_version}
Provides: tex(uwmjc01.tfm) = %{tl_version}
Provides: tex(uwmjc02.tfm) = %{tl_version}
Provides: tex(uwmjc03.tfm) = %{tl_version}
Provides: tex(uwmjc04.tfm) = %{tl_version}
Provides: tex(uwmjc1.tfm) = %{tl_version}
Provides: tex(uwmjc2.tfm) = %{tl_version}
Provides: tex(uwmjc20.tfm) = %{tl_version}
Provides: tex(uwmjc21.tfm) = %{tl_version}
Provides: tex(uwmjc22.tfm) = %{tl_version}
Provides: tex(uwmjc23.tfm) = %{tl_version}
Provides: tex(uwmjc24.tfm) = %{tl_version}
Provides: tex(uwmjc25.tfm) = %{tl_version}
Provides: tex(uwmjc26.tfm) = %{tl_version}
Provides: tex(uwmjc3.tfm) = %{tl_version}
Provides: tex(uwmjc30.tfm) = %{tl_version}
Provides: tex(uwmjc31.tfm) = %{tl_version}
Provides: tex(uwmjc32.tfm) = %{tl_version}
Provides: tex(uwmjc33.tfm) = %{tl_version}
Provides: tex(uwmjc4.tfm) = %{tl_version}
Provides: tex(uwmjc4e.tfm) = %{tl_version}
Provides: tex(uwmjc4f.tfm) = %{tl_version}
Provides: tex(uwmjc5.tfm) = %{tl_version}
Provides: tex(uwmjc50.tfm) = %{tl_version}
Provides: tex(uwmjc51.tfm) = %{tl_version}
Provides: tex(uwmjc52.tfm) = %{tl_version}
Provides: tex(uwmjc53.tfm) = %{tl_version}
Provides: tex(uwmjc54.tfm) = %{tl_version}
Provides: tex(uwmjc55.tfm) = %{tl_version}
Provides: tex(uwmjc56.tfm) = %{tl_version}
Provides: tex(uwmjc57.tfm) = %{tl_version}
Provides: tex(uwmjc58.tfm) = %{tl_version}
Provides: tex(uwmjc59.tfm) = %{tl_version}
Provides: tex(uwmjc5a.tfm) = %{tl_version}
Provides: tex(uwmjc5b.tfm) = %{tl_version}
Provides: tex(uwmjc5c.tfm) = %{tl_version}
Provides: tex(uwmjc5d.tfm) = %{tl_version}
Provides: tex(uwmjc5e.tfm) = %{tl_version}
Provides: tex(uwmjc5f.tfm) = %{tl_version}
Provides: tex(uwmjc6.tfm) = %{tl_version}
Provides: tex(uwmjc60.tfm) = %{tl_version}
Provides: tex(uwmjc61.tfm) = %{tl_version}
Provides: tex(uwmjc62.tfm) = %{tl_version}
Provides: tex(uwmjc63.tfm) = %{tl_version}
Provides: tex(uwmjc64.tfm) = %{tl_version}
Provides: tex(uwmjc65.tfm) = %{tl_version}
Provides: tex(uwmjc66.tfm) = %{tl_version}
Provides: tex(uwmjc67.tfm) = %{tl_version}
Provides: tex(uwmjc68.tfm) = %{tl_version}
Provides: tex(uwmjc69.tfm) = %{tl_version}
Provides: tex(uwmjc6a.tfm) = %{tl_version}
Provides: tex(uwmjc6b.tfm) = %{tl_version}
Provides: tex(uwmjc6c.tfm) = %{tl_version}
Provides: tex(uwmjc6d.tfm) = %{tl_version}
Provides: tex(uwmjc6e.tfm) = %{tl_version}
Provides: tex(uwmjc6f.tfm) = %{tl_version}
Provides: tex(uwmjc7.tfm) = %{tl_version}
Provides: tex(uwmjc70.tfm) = %{tl_version}
Provides: tex(uwmjc71.tfm) = %{tl_version}
Provides: tex(uwmjc72.tfm) = %{tl_version}
Provides: tex(uwmjc73.tfm) = %{tl_version}
Provides: tex(uwmjc74.tfm) = %{tl_version}
Provides: tex(uwmjc75.tfm) = %{tl_version}
Provides: tex(uwmjc76.tfm) = %{tl_version}
Provides: tex(uwmjc77.tfm) = %{tl_version}
Provides: tex(uwmjc78.tfm) = %{tl_version}
Provides: tex(uwmjc79.tfm) = %{tl_version}
Provides: tex(uwmjc7a.tfm) = %{tl_version}
Provides: tex(uwmjc7b.tfm) = %{tl_version}
Provides: tex(uwmjc7c.tfm) = %{tl_version}
Provides: tex(uwmjc7d.tfm) = %{tl_version}
Provides: tex(uwmjc7e.tfm) = %{tl_version}
Provides: tex(uwmjc7f.tfm) = %{tl_version}
Provides: tex(uwmjc8.tfm) = %{tl_version}
Provides: tex(uwmjc80.tfm) = %{tl_version}
Provides: tex(uwmjc81.tfm) = %{tl_version}
Provides: tex(uwmjc82.tfm) = %{tl_version}
Provides: tex(uwmjc83.tfm) = %{tl_version}
Provides: tex(uwmjc84.tfm) = %{tl_version}
Provides: tex(uwmjc85.tfm) = %{tl_version}
Provides: tex(uwmjc86.tfm) = %{tl_version}
Provides: tex(uwmjc87.tfm) = %{tl_version}
Provides: tex(uwmjc88.tfm) = %{tl_version}
Provides: tex(uwmjc89.tfm) = %{tl_version}
Provides: tex(uwmjc8a.tfm) = %{tl_version}
Provides: tex(uwmjc8b.tfm) = %{tl_version}
Provides: tex(uwmjc8c.tfm) = %{tl_version}
Provides: tex(uwmjc8d.tfm) = %{tl_version}
Provides: tex(uwmjc8e.tfm) = %{tl_version}
Provides: tex(uwmjc8f.tfm) = %{tl_version}
Provides: tex(uwmjc9.tfm) = %{tl_version}
Provides: tex(uwmjc90.tfm) = %{tl_version}
Provides: tex(uwmjc91.tfm) = %{tl_version}
Provides: tex(uwmjc92.tfm) = %{tl_version}
Provides: tex(uwmjc93.tfm) = %{tl_version}
Provides: tex(uwmjc94.tfm) = %{tl_version}
Provides: tex(uwmjc95.tfm) = %{tl_version}
Provides: tex(uwmjc96.tfm) = %{tl_version}
Provides: tex(uwmjc97.tfm) = %{tl_version}
Provides: tex(uwmjc98.tfm) = %{tl_version}
Provides: tex(uwmjc99.tfm) = %{tl_version}
Provides: tex(uwmjc9a.tfm) = %{tl_version}
Provides: tex(uwmjc9b.tfm) = %{tl_version}
Provides: tex(uwmjc9c.tfm) = %{tl_version}
Provides: tex(uwmjc9d.tfm) = %{tl_version}
Provides: tex(uwmjc9e.tfm) = %{tl_version}
Provides: tex(uwmjc9f.tfm) = %{tl_version}
Provides: tex(uwmjca.tfm) = %{tl_version}
Provides: tex(uwmjcac.tfm) = %{tl_version}
Provides: tex(uwmjcad.tfm) = %{tl_version}
Provides: tex(uwmjcae.tfm) = %{tl_version}
Provides: tex(uwmjcaf.tfm) = %{tl_version}
Provides: tex(uwmjcb.tfm) = %{tl_version}
Provides: tex(uwmjcb0.tfm) = %{tl_version}
Provides: tex(uwmjcb1.tfm) = %{tl_version}
Provides: tex(uwmjcb2.tfm) = %{tl_version}
Provides: tex(uwmjcb3.tfm) = %{tl_version}
Provides: tex(uwmjcb4.tfm) = %{tl_version}
Provides: tex(uwmjcb5.tfm) = %{tl_version}
Provides: tex(uwmjcb6.tfm) = %{tl_version}
Provides: tex(uwmjcb7.tfm) = %{tl_version}
Provides: tex(uwmjcb8.tfm) = %{tl_version}
Provides: tex(uwmjcb9.tfm) = %{tl_version}
Provides: tex(uwmjcba.tfm) = %{tl_version}
Provides: tex(uwmjcbb.tfm) = %{tl_version}
Provides: tex(uwmjcbc.tfm) = %{tl_version}
Provides: tex(uwmjcbd.tfm) = %{tl_version}
Provides: tex(uwmjcbe.tfm) = %{tl_version}
Provides: tex(uwmjcbf.tfm) = %{tl_version}
Provides: tex(uwmjcc.tfm) = %{tl_version}
Provides: tex(uwmjcc0.tfm) = %{tl_version}
Provides: tex(uwmjcc1.tfm) = %{tl_version}
Provides: tex(uwmjcc2.tfm) = %{tl_version}
Provides: tex(uwmjcc3.tfm) = %{tl_version}
Provides: tex(uwmjcc4.tfm) = %{tl_version}
Provides: tex(uwmjcc5.tfm) = %{tl_version}
Provides: tex(uwmjcc6.tfm) = %{tl_version}
Provides: tex(uwmjcc7.tfm) = %{tl_version}
Provides: tex(uwmjcc8.tfm) = %{tl_version}
Provides: tex(uwmjcc9.tfm) = %{tl_version}
Provides: tex(uwmjcca.tfm) = %{tl_version}
Provides: tex(uwmjccb.tfm) = %{tl_version}
Provides: tex(uwmjccc.tfm) = %{tl_version}
Provides: tex(uwmjccd.tfm) = %{tl_version}
Provides: tex(uwmjcce.tfm) = %{tl_version}
Provides: tex(uwmjccf.tfm) = %{tl_version}
Provides: tex(uwmjcd.tfm) = %{tl_version}
Provides: tex(uwmjcd0.tfm) = %{tl_version}
Provides: tex(uwmjcd1.tfm) = %{tl_version}
Provides: tex(uwmjcd2.tfm) = %{tl_version}
Provides: tex(uwmjcd3.tfm) = %{tl_version}
Provides: tex(uwmjcd4.tfm) = %{tl_version}
Provides: tex(uwmjcd5.tfm) = %{tl_version}
Provides: tex(uwmjcd6.tfm) = %{tl_version}
Provides: tex(uwmjcd7.tfm) = %{tl_version}
Provides: tex(uwmjce.tfm) = %{tl_version}
Provides: tex(uwmjcf.tfm) = %{tl_version}
Provides: tex(uwmjcf9.tfm) = %{tl_version}
Provides: tex(uwmjcfa.tfm) = %{tl_version}
Provides: tex(uwmjcff.tfm) = %{tl_version}
Provides: tex(uwmjco00.tfm) = %{tl_version}
Provides: tex(uwmjco01.tfm) = %{tl_version}
Provides: tex(uwmjco02.tfm) = %{tl_version}
Provides: tex(uwmjco03.tfm) = %{tl_version}
Provides: tex(uwmjco04.tfm) = %{tl_version}
Provides: tex(uwmjco20.tfm) = %{tl_version}
Provides: tex(uwmjco21.tfm) = %{tl_version}
Provides: tex(uwmjco22.tfm) = %{tl_version}
Provides: tex(uwmjco23.tfm) = %{tl_version}
Provides: tex(uwmjco24.tfm) = %{tl_version}
Provides: tex(uwmjco25.tfm) = %{tl_version}
Provides: tex(uwmjco26.tfm) = %{tl_version}
Provides: tex(uwmjco30.tfm) = %{tl_version}
Provides: tex(uwmjco31.tfm) = %{tl_version}
Provides: tex(uwmjco32.tfm) = %{tl_version}
Provides: tex(uwmjco33.tfm) = %{tl_version}
Provides: tex(uwmjco4e.tfm) = %{tl_version}
Provides: tex(uwmjco4f.tfm) = %{tl_version}
Provides: tex(uwmjco50.tfm) = %{tl_version}
Provides: tex(uwmjco51.tfm) = %{tl_version}
Provides: tex(uwmjco52.tfm) = %{tl_version}
Provides: tex(uwmjco53.tfm) = %{tl_version}
Provides: tex(uwmjco54.tfm) = %{tl_version}
Provides: tex(uwmjco55.tfm) = %{tl_version}
Provides: tex(uwmjco56.tfm) = %{tl_version}
Provides: tex(uwmjco57.tfm) = %{tl_version}
Provides: tex(uwmjco58.tfm) = %{tl_version}
Provides: tex(uwmjco59.tfm) = %{tl_version}
Provides: tex(uwmjco5a.tfm) = %{tl_version}
Provides: tex(uwmjco5b.tfm) = %{tl_version}
Provides: tex(uwmjco5c.tfm) = %{tl_version}
Provides: tex(uwmjco5d.tfm) = %{tl_version}
Provides: tex(uwmjco5e.tfm) = %{tl_version}
Provides: tex(uwmjco5f.tfm) = %{tl_version}
Provides: tex(uwmjco60.tfm) = %{tl_version}
Provides: tex(uwmjco61.tfm) = %{tl_version}
Provides: tex(uwmjco62.tfm) = %{tl_version}
Provides: tex(uwmjco63.tfm) = %{tl_version}
Provides: tex(uwmjco64.tfm) = %{tl_version}
Provides: tex(uwmjco65.tfm) = %{tl_version}
Provides: tex(uwmjco66.tfm) = %{tl_version}
Provides: tex(uwmjco67.tfm) = %{tl_version}
Provides: tex(uwmjco68.tfm) = %{tl_version}
Provides: tex(uwmjco69.tfm) = %{tl_version}
Provides: tex(uwmjco6a.tfm) = %{tl_version}
Provides: tex(uwmjco6b.tfm) = %{tl_version}
Provides: tex(uwmjco6c.tfm) = %{tl_version}
Provides: tex(uwmjco6d.tfm) = %{tl_version}
Provides: tex(uwmjco6e.tfm) = %{tl_version}
Provides: tex(uwmjco6f.tfm) = %{tl_version}
Provides: tex(uwmjco70.tfm) = %{tl_version}
Provides: tex(uwmjco71.tfm) = %{tl_version}
Provides: tex(uwmjco72.tfm) = %{tl_version}
Provides: tex(uwmjco73.tfm) = %{tl_version}
Provides: tex(uwmjco74.tfm) = %{tl_version}
Provides: tex(uwmjco75.tfm) = %{tl_version}
Provides: tex(uwmjco76.tfm) = %{tl_version}
Provides: tex(uwmjco77.tfm) = %{tl_version}
Provides: tex(uwmjco78.tfm) = %{tl_version}
Provides: tex(uwmjco79.tfm) = %{tl_version}
Provides: tex(uwmjco7a.tfm) = %{tl_version}
Provides: tex(uwmjco7b.tfm) = %{tl_version}
Provides: tex(uwmjco7c.tfm) = %{tl_version}
Provides: tex(uwmjco7d.tfm) = %{tl_version}
Provides: tex(uwmjco7e.tfm) = %{tl_version}
Provides: tex(uwmjco7f.tfm) = %{tl_version}
Provides: tex(uwmjco80.tfm) = %{tl_version}
Provides: tex(uwmjco81.tfm) = %{tl_version}
Provides: tex(uwmjco82.tfm) = %{tl_version}
Provides: tex(uwmjco83.tfm) = %{tl_version}
Provides: tex(uwmjco84.tfm) = %{tl_version}
Provides: tex(uwmjco85.tfm) = %{tl_version}
Provides: tex(uwmjco86.tfm) = %{tl_version}
Provides: tex(uwmjco87.tfm) = %{tl_version}
Provides: tex(uwmjco88.tfm) = %{tl_version}
Provides: tex(uwmjco89.tfm) = %{tl_version}
Provides: tex(uwmjco8a.tfm) = %{tl_version}
Provides: tex(uwmjco8b.tfm) = %{tl_version}
Provides: tex(uwmjco8c.tfm) = %{tl_version}
Provides: tex(uwmjco8d.tfm) = %{tl_version}
Provides: tex(uwmjco8e.tfm) = %{tl_version}
Provides: tex(uwmjco8f.tfm) = %{tl_version}
Provides: tex(uwmjco90.tfm) = %{tl_version}
Provides: tex(uwmjco91.tfm) = %{tl_version}
Provides: tex(uwmjco92.tfm) = %{tl_version}
Provides: tex(uwmjco93.tfm) = %{tl_version}
Provides: tex(uwmjco94.tfm) = %{tl_version}
Provides: tex(uwmjco95.tfm) = %{tl_version}
Provides: tex(uwmjco96.tfm) = %{tl_version}
Provides: tex(uwmjco97.tfm) = %{tl_version}
Provides: tex(uwmjco98.tfm) = %{tl_version}
Provides: tex(uwmjco99.tfm) = %{tl_version}
Provides: tex(uwmjco9a.tfm) = %{tl_version}
Provides: tex(uwmjco9b.tfm) = %{tl_version}
Provides: tex(uwmjco9c.tfm) = %{tl_version}
Provides: tex(uwmjco9d.tfm) = %{tl_version}
Provides: tex(uwmjco9e.tfm) = %{tl_version}
Provides: tex(uwmjco9f.tfm) = %{tl_version}
Provides: tex(uwmjcoac.tfm) = %{tl_version}
Provides: tex(uwmjcoad.tfm) = %{tl_version}
Provides: tex(uwmjcoae.tfm) = %{tl_version}
Provides: tex(uwmjcoaf.tfm) = %{tl_version}
Provides: tex(uwmjcob0.tfm) = %{tl_version}
Provides: tex(uwmjcob1.tfm) = %{tl_version}
Provides: tex(uwmjcob2.tfm) = %{tl_version}
Provides: tex(uwmjcob3.tfm) = %{tl_version}
Provides: tex(uwmjcob4.tfm) = %{tl_version}
Provides: tex(uwmjcob5.tfm) = %{tl_version}
Provides: tex(uwmjcob6.tfm) = %{tl_version}
Provides: tex(uwmjcob7.tfm) = %{tl_version}
Provides: tex(uwmjcob8.tfm) = %{tl_version}
Provides: tex(uwmjcob9.tfm) = %{tl_version}
Provides: tex(uwmjcoba.tfm) = %{tl_version}
Provides: tex(uwmjcobb.tfm) = %{tl_version}
Provides: tex(uwmjcobc.tfm) = %{tl_version}
Provides: tex(uwmjcobd.tfm) = %{tl_version}
Provides: tex(uwmjcobe.tfm) = %{tl_version}
Provides: tex(uwmjcobf.tfm) = %{tl_version}
Provides: tex(uwmjcoc0.tfm) = %{tl_version}
Provides: tex(uwmjcoc1.tfm) = %{tl_version}
Provides: tex(uwmjcoc2.tfm) = %{tl_version}
Provides: tex(uwmjcoc3.tfm) = %{tl_version}
Provides: tex(uwmjcoc4.tfm) = %{tl_version}
Provides: tex(uwmjcoc5.tfm) = %{tl_version}
Provides: tex(uwmjcoc6.tfm) = %{tl_version}
Provides: tex(uwmjcoc7.tfm) = %{tl_version}
Provides: tex(uwmjcoc8.tfm) = %{tl_version}
Provides: tex(uwmjcoc9.tfm) = %{tl_version}
Provides: tex(uwmjcoca.tfm) = %{tl_version}
Provides: tex(uwmjcocb.tfm) = %{tl_version}
Provides: tex(uwmjcocc.tfm) = %{tl_version}
Provides: tex(uwmjcocd.tfm) = %{tl_version}
Provides: tex(uwmjcoce.tfm) = %{tl_version}
Provides: tex(uwmjcocf.tfm) = %{tl_version}
Provides: tex(uwmjcod0.tfm) = %{tl_version}
Provides: tex(uwmjcod1.tfm) = %{tl_version}
Provides: tex(uwmjcod2.tfm) = %{tl_version}
Provides: tex(uwmjcod3.tfm) = %{tl_version}
Provides: tex(uwmjcod4.tfm) = %{tl_version}
Provides: tex(uwmjcod5.tfm) = %{tl_version}
Provides: tex(uwmjcod6.tfm) = %{tl_version}
Provides: tex(uwmjcod7.tfm) = %{tl_version}
Provides: tex(uwmjcof9.tfm) = %{tl_version}
Provides: tex(uwmjcofa.tfm) = %{tl_version}
Provides: tex(uwmjcoff.tfm) = %{tl_version}
Provides: tex(uwmjd0.tfm) = %{tl_version}
Provides: tex(uwmjd1.tfm) = %{tl_version}
Provides: tex(uwmjd2.tfm) = %{tl_version}
Provides: tex(uwmjd3.tfm) = %{tl_version}
Provides: tex(uwmjd4.tfm) = %{tl_version}
Provides: tex(uwmjd5.tfm) = %{tl_version}
Provides: tex(uwmjd6.tfm) = %{tl_version}
Provides: tex(uwmjd7.tfm) = %{tl_version}
Provides: tex(uwmjf9.tfm) = %{tl_version}
Provides: tex(uwmjfa.tfm) = %{tl_version}
Provides: tex(uwmjff.tfm) = %{tl_version}
Provides: tex(uwmjo00.tfm) = %{tl_version}
Provides: tex(uwmjo01.tfm) = %{tl_version}
Provides: tex(uwmjo02.tfm) = %{tl_version}
Provides: tex(uwmjo03.tfm) = %{tl_version}
Provides: tex(uwmjo04.tfm) = %{tl_version}
Provides: tex(uwmjo20.tfm) = %{tl_version}
Provides: tex(uwmjo21.tfm) = %{tl_version}
Provides: tex(uwmjo22.tfm) = %{tl_version}
Provides: tex(uwmjo23.tfm) = %{tl_version}
Provides: tex(uwmjo24.tfm) = %{tl_version}
Provides: tex(uwmjo25.tfm) = %{tl_version}
Provides: tex(uwmjo26.tfm) = %{tl_version}
Provides: tex(uwmjo30.tfm) = %{tl_version}
Provides: tex(uwmjo31.tfm) = %{tl_version}
Provides: tex(uwmjo32.tfm) = %{tl_version}
Provides: tex(uwmjo33.tfm) = %{tl_version}
Provides: tex(uwmjo4e.tfm) = %{tl_version}
Provides: tex(uwmjo4f.tfm) = %{tl_version}
Provides: tex(uwmjo50.tfm) = %{tl_version}
Provides: tex(uwmjo51.tfm) = %{tl_version}
Provides: tex(uwmjo52.tfm) = %{tl_version}
Provides: tex(uwmjo53.tfm) = %{tl_version}
Provides: tex(uwmjo54.tfm) = %{tl_version}
Provides: tex(uwmjo55.tfm) = %{tl_version}
Provides: tex(uwmjo56.tfm) = %{tl_version}
Provides: tex(uwmjo57.tfm) = %{tl_version}
Provides: tex(uwmjo58.tfm) = %{tl_version}
Provides: tex(uwmjo59.tfm) = %{tl_version}
Provides: tex(uwmjo5a.tfm) = %{tl_version}
Provides: tex(uwmjo5b.tfm) = %{tl_version}
Provides: tex(uwmjo5c.tfm) = %{tl_version}
Provides: tex(uwmjo5d.tfm) = %{tl_version}
Provides: tex(uwmjo5e.tfm) = %{tl_version}
Provides: tex(uwmjo5f.tfm) = %{tl_version}
Provides: tex(uwmjo60.tfm) = %{tl_version}
Provides: tex(uwmjo61.tfm) = %{tl_version}
Provides: tex(uwmjo62.tfm) = %{tl_version}
Provides: tex(uwmjo63.tfm) = %{tl_version}
Provides: tex(uwmjo64.tfm) = %{tl_version}
Provides: tex(uwmjo65.tfm) = %{tl_version}
Provides: tex(uwmjo66.tfm) = %{tl_version}
Provides: tex(uwmjo67.tfm) = %{tl_version}
Provides: tex(uwmjo68.tfm) = %{tl_version}
Provides: tex(uwmjo69.tfm) = %{tl_version}
Provides: tex(uwmjo6a.tfm) = %{tl_version}
Provides: tex(uwmjo6b.tfm) = %{tl_version}
Provides: tex(uwmjo6c.tfm) = %{tl_version}
Provides: tex(uwmjo6d.tfm) = %{tl_version}
Provides: tex(uwmjo6e.tfm) = %{tl_version}
Provides: tex(uwmjo6f.tfm) = %{tl_version}
Provides: tex(uwmjo70.tfm) = %{tl_version}
Provides: tex(uwmjo71.tfm) = %{tl_version}
Provides: tex(uwmjo72.tfm) = %{tl_version}
Provides: tex(uwmjo73.tfm) = %{tl_version}
Provides: tex(uwmjo74.tfm) = %{tl_version}
Provides: tex(uwmjo75.tfm) = %{tl_version}
Provides: tex(uwmjo76.tfm) = %{tl_version}
Provides: tex(uwmjo77.tfm) = %{tl_version}
Provides: tex(uwmjo78.tfm) = %{tl_version}
Provides: tex(uwmjo79.tfm) = %{tl_version}
Provides: tex(uwmjo7a.tfm) = %{tl_version}
Provides: tex(uwmjo7b.tfm) = %{tl_version}
Provides: tex(uwmjo7c.tfm) = %{tl_version}
Provides: tex(uwmjo7d.tfm) = %{tl_version}
Provides: tex(uwmjo7e.tfm) = %{tl_version}
Provides: tex(uwmjo7f.tfm) = %{tl_version}
Provides: tex(uwmjo80.tfm) = %{tl_version}
Provides: tex(uwmjo81.tfm) = %{tl_version}
Provides: tex(uwmjo82.tfm) = %{tl_version}
Provides: tex(uwmjo83.tfm) = %{tl_version}
Provides: tex(uwmjo84.tfm) = %{tl_version}
Provides: tex(uwmjo85.tfm) = %{tl_version}
Provides: tex(uwmjo86.tfm) = %{tl_version}
Provides: tex(uwmjo87.tfm) = %{tl_version}
Provides: tex(uwmjo88.tfm) = %{tl_version}
Provides: tex(uwmjo89.tfm) = %{tl_version}
Provides: tex(uwmjo8a.tfm) = %{tl_version}
Provides: tex(uwmjo8b.tfm) = %{tl_version}
Provides: tex(uwmjo8c.tfm) = %{tl_version}
Provides: tex(uwmjo8d.tfm) = %{tl_version}
Provides: tex(uwmjo8e.tfm) = %{tl_version}
Provides: tex(uwmjo8f.tfm) = %{tl_version}
Provides: tex(uwmjo90.tfm) = %{tl_version}
Provides: tex(uwmjo91.tfm) = %{tl_version}
Provides: tex(uwmjo92.tfm) = %{tl_version}
Provides: tex(uwmjo93.tfm) = %{tl_version}
Provides: tex(uwmjo94.tfm) = %{tl_version}
Provides: tex(uwmjo95.tfm) = %{tl_version}
Provides: tex(uwmjo96.tfm) = %{tl_version}
Provides: tex(uwmjo97.tfm) = %{tl_version}
Provides: tex(uwmjo98.tfm) = %{tl_version}
Provides: tex(uwmjo99.tfm) = %{tl_version}
Provides: tex(uwmjo9a.tfm) = %{tl_version}
Provides: tex(uwmjo9b.tfm) = %{tl_version}
Provides: tex(uwmjo9c.tfm) = %{tl_version}
Provides: tex(uwmjo9d.tfm) = %{tl_version}
Provides: tex(uwmjo9e.tfm) = %{tl_version}
Provides: tex(uwmjo9f.tfm) = %{tl_version}
Provides: tex(uwmjoac.tfm) = %{tl_version}
Provides: tex(uwmjoad.tfm) = %{tl_version}
Provides: tex(uwmjoae.tfm) = %{tl_version}
Provides: tex(uwmjoaf.tfm) = %{tl_version}
Provides: tex(uwmjob0.tfm) = %{tl_version}
Provides: tex(uwmjob1.tfm) = %{tl_version}
Provides: tex(uwmjob2.tfm) = %{tl_version}
Provides: tex(uwmjob3.tfm) = %{tl_version}
Provides: tex(uwmjob4.tfm) = %{tl_version}
Provides: tex(uwmjob5.tfm) = %{tl_version}
Provides: tex(uwmjob6.tfm) = %{tl_version}
Provides: tex(uwmjob7.tfm) = %{tl_version}
Provides: tex(uwmjob8.tfm) = %{tl_version}
Provides: tex(uwmjob9.tfm) = %{tl_version}
Provides: tex(uwmjoba.tfm) = %{tl_version}
Provides: tex(uwmjobb.tfm) = %{tl_version}
Provides: tex(uwmjobc.tfm) = %{tl_version}
Provides: tex(uwmjobd.tfm) = %{tl_version}
Provides: tex(uwmjobe.tfm) = %{tl_version}
Provides: tex(uwmjobf.tfm) = %{tl_version}
Provides: tex(uwmjoc0.tfm) = %{tl_version}
Provides: tex(uwmjoc1.tfm) = %{tl_version}
Provides: tex(uwmjoc2.tfm) = %{tl_version}
Provides: tex(uwmjoc3.tfm) = %{tl_version}
Provides: tex(uwmjoc4.tfm) = %{tl_version}
Provides: tex(uwmjoc5.tfm) = %{tl_version}
Provides: tex(uwmjoc6.tfm) = %{tl_version}
Provides: tex(uwmjoc7.tfm) = %{tl_version}
Provides: tex(uwmjoc8.tfm) = %{tl_version}
Provides: tex(uwmjoc9.tfm) = %{tl_version}
Provides: tex(uwmjoca.tfm) = %{tl_version}
Provides: tex(uwmjocb.tfm) = %{tl_version}
Provides: tex(uwmjocc.tfm) = %{tl_version}
Provides: tex(uwmjocd.tfm) = %{tl_version}
Provides: tex(uwmjoce.tfm) = %{tl_version}
Provides: tex(uwmjocf.tfm) = %{tl_version}
Provides: tex(uwmjod0.tfm) = %{tl_version}
Provides: tex(uwmjod1.tfm) = %{tl_version}
Provides: tex(uwmjod2.tfm) = %{tl_version}
Provides: tex(uwmjod3.tfm) = %{tl_version}
Provides: tex(uwmjod4.tfm) = %{tl_version}
Provides: tex(uwmjod5.tfm) = %{tl_version}
Provides: tex(uwmjod6.tfm) = %{tl_version}
Provides: tex(uwmjod7.tfm) = %{tl_version}
Provides: tex(uwmjof9.tfm) = %{tl_version}
Provides: tex(uwmjofa.tfm) = %{tl_version}
Provides: tex(uwmjoff.tfm) = %{tl_version}
Provides: tex(uwmju00.tfm) = %{tl_version}
Provides: tex(uwmju01.tfm) = %{tl_version}
Provides: tex(uwmju02.tfm) = %{tl_version}
Provides: tex(uwmju03.tfm) = %{tl_version}
Provides: tex(uwmju04.tfm) = %{tl_version}
Provides: tex(uwmju20.tfm) = %{tl_version}
Provides: tex(uwmju21.tfm) = %{tl_version}
Provides: tex(uwmju22.tfm) = %{tl_version}
Provides: tex(uwmju23.tfm) = %{tl_version}
Provides: tex(uwmju24.tfm) = %{tl_version}
Provides: tex(uwmju25.tfm) = %{tl_version}
Provides: tex(uwmju26.tfm) = %{tl_version}
Provides: tex(uwmju30.tfm) = %{tl_version}
Provides: tex(uwmju31.tfm) = %{tl_version}
Provides: tex(uwmju32.tfm) = %{tl_version}
Provides: tex(uwmju33.tfm) = %{tl_version}
Provides: tex(uwmju4e.tfm) = %{tl_version}
Provides: tex(uwmju4f.tfm) = %{tl_version}
Provides: tex(uwmju50.tfm) = %{tl_version}
Provides: tex(uwmju51.tfm) = %{tl_version}
Provides: tex(uwmju52.tfm) = %{tl_version}
Provides: tex(uwmju53.tfm) = %{tl_version}
Provides: tex(uwmju54.tfm) = %{tl_version}
Provides: tex(uwmju55.tfm) = %{tl_version}
Provides: tex(uwmju56.tfm) = %{tl_version}
Provides: tex(uwmju57.tfm) = %{tl_version}
Provides: tex(uwmju58.tfm) = %{tl_version}
Provides: tex(uwmju59.tfm) = %{tl_version}
Provides: tex(uwmju5a.tfm) = %{tl_version}
Provides: tex(uwmju5b.tfm) = %{tl_version}
Provides: tex(uwmju5c.tfm) = %{tl_version}
Provides: tex(uwmju5d.tfm) = %{tl_version}
Provides: tex(uwmju5e.tfm) = %{tl_version}
Provides: tex(uwmju5f.tfm) = %{tl_version}
Provides: tex(uwmju60.tfm) = %{tl_version}
Provides: tex(uwmju61.tfm) = %{tl_version}
Provides: tex(uwmju62.tfm) = %{tl_version}
Provides: tex(uwmju63.tfm) = %{tl_version}
Provides: tex(uwmju64.tfm) = %{tl_version}
Provides: tex(uwmju65.tfm) = %{tl_version}
Provides: tex(uwmju66.tfm) = %{tl_version}
Provides: tex(uwmju67.tfm) = %{tl_version}
Provides: tex(uwmju68.tfm) = %{tl_version}
Provides: tex(uwmju69.tfm) = %{tl_version}
Provides: tex(uwmju6a.tfm) = %{tl_version}
Provides: tex(uwmju6b.tfm) = %{tl_version}
Provides: tex(uwmju6c.tfm) = %{tl_version}
Provides: tex(uwmju6d.tfm) = %{tl_version}
Provides: tex(uwmju6e.tfm) = %{tl_version}
Provides: tex(uwmju6f.tfm) = %{tl_version}
Provides: tex(uwmju70.tfm) = %{tl_version}
Provides: tex(uwmju71.tfm) = %{tl_version}
Provides: tex(uwmju72.tfm) = %{tl_version}
Provides: tex(uwmju73.tfm) = %{tl_version}
Provides: tex(uwmju74.tfm) = %{tl_version}
Provides: tex(uwmju75.tfm) = %{tl_version}
Provides: tex(uwmju76.tfm) = %{tl_version}
Provides: tex(uwmju77.tfm) = %{tl_version}
Provides: tex(uwmju78.tfm) = %{tl_version}
Provides: tex(uwmju79.tfm) = %{tl_version}
Provides: tex(uwmju7a.tfm) = %{tl_version}
Provides: tex(uwmju7b.tfm) = %{tl_version}
Provides: tex(uwmju7c.tfm) = %{tl_version}
Provides: tex(uwmju7d.tfm) = %{tl_version}
Provides: tex(uwmju7e.tfm) = %{tl_version}
Provides: tex(uwmju7f.tfm) = %{tl_version}
Provides: tex(uwmju80.tfm) = %{tl_version}
Provides: tex(uwmju81.tfm) = %{tl_version}
Provides: tex(uwmju82.tfm) = %{tl_version}
Provides: tex(uwmju83.tfm) = %{tl_version}
Provides: tex(uwmju84.tfm) = %{tl_version}
Provides: tex(uwmju85.tfm) = %{tl_version}
Provides: tex(uwmju86.tfm) = %{tl_version}
Provides: tex(uwmju87.tfm) = %{tl_version}
Provides: tex(uwmju88.tfm) = %{tl_version}
Provides: tex(uwmju89.tfm) = %{tl_version}
Provides: tex(uwmju8a.tfm) = %{tl_version}
Provides: tex(uwmju8b.tfm) = %{tl_version}
Provides: tex(uwmju8c.tfm) = %{tl_version}
Provides: tex(uwmju8d.tfm) = %{tl_version}
Provides: tex(uwmju8e.tfm) = %{tl_version}
Provides: tex(uwmju8f.tfm) = %{tl_version}
Provides: tex(uwmju90.tfm) = %{tl_version}
Provides: tex(uwmju91.tfm) = %{tl_version}
Provides: tex(uwmju92.tfm) = %{tl_version}
Provides: tex(uwmju93.tfm) = %{tl_version}
Provides: tex(uwmju94.tfm) = %{tl_version}
Provides: tex(uwmju95.tfm) = %{tl_version}
Provides: tex(uwmju96.tfm) = %{tl_version}
Provides: tex(uwmju97.tfm) = %{tl_version}
Provides: tex(uwmju98.tfm) = %{tl_version}
Provides: tex(uwmju99.tfm) = %{tl_version}
Provides: tex(uwmju9a.tfm) = %{tl_version}
Provides: tex(uwmju9b.tfm) = %{tl_version}
Provides: tex(uwmju9c.tfm) = %{tl_version}
Provides: tex(uwmju9d.tfm) = %{tl_version}
Provides: tex(uwmju9e.tfm) = %{tl_version}
Provides: tex(uwmju9f.tfm) = %{tl_version}
Provides: tex(uwmjuac.tfm) = %{tl_version}
Provides: tex(uwmjuad.tfm) = %{tl_version}
Provides: tex(uwmjuae.tfm) = %{tl_version}
Provides: tex(uwmjuaf.tfm) = %{tl_version}
Provides: tex(uwmjub0.tfm) = %{tl_version}
Provides: tex(uwmjub1.tfm) = %{tl_version}
Provides: tex(uwmjub2.tfm) = %{tl_version}
Provides: tex(uwmjub3.tfm) = %{tl_version}
Provides: tex(uwmjub4.tfm) = %{tl_version}
Provides: tex(uwmjub5.tfm) = %{tl_version}
Provides: tex(uwmjub6.tfm) = %{tl_version}
Provides: tex(uwmjub7.tfm) = %{tl_version}
Provides: tex(uwmjub8.tfm) = %{tl_version}
Provides: tex(uwmjub9.tfm) = %{tl_version}
Provides: tex(uwmjuba.tfm) = %{tl_version}
Provides: tex(uwmjubb.tfm) = %{tl_version}
Provides: tex(uwmjubc.tfm) = %{tl_version}
Provides: tex(uwmjubd.tfm) = %{tl_version}
Provides: tex(uwmjube.tfm) = %{tl_version}
Provides: tex(uwmjubf.tfm) = %{tl_version}
Provides: tex(uwmjuc0.tfm) = %{tl_version}
Provides: tex(uwmjuc1.tfm) = %{tl_version}
Provides: tex(uwmjuc2.tfm) = %{tl_version}
Provides: tex(uwmjuc3.tfm) = %{tl_version}
Provides: tex(uwmjuc4.tfm) = %{tl_version}
Provides: tex(uwmjuc5.tfm) = %{tl_version}
Provides: tex(uwmjuc6.tfm) = %{tl_version}
Provides: tex(uwmjuc7.tfm) = %{tl_version}
Provides: tex(uwmjuc8.tfm) = %{tl_version}
Provides: tex(uwmjuc9.tfm) = %{tl_version}
Provides: tex(uwmjuca.tfm) = %{tl_version}
Provides: tex(uwmjucb.tfm) = %{tl_version}
Provides: tex(uwmjucc.tfm) = %{tl_version}
Provides: tex(uwmjucd.tfm) = %{tl_version}
Provides: tex(uwmjuce.tfm) = %{tl_version}
Provides: tex(uwmjucf.tfm) = %{tl_version}
Provides: tex(uwmjud0.tfm) = %{tl_version}
Provides: tex(uwmjud1.tfm) = %{tl_version}
Provides: tex(uwmjud2.tfm) = %{tl_version}
Provides: tex(uwmjud3.tfm) = %{tl_version}
Provides: tex(uwmjud4.tfm) = %{tl_version}
Provides: tex(uwmjud5.tfm) = %{tl_version}
Provides: tex(uwmjud6.tfm) = %{tl_version}
Provides: tex(uwmjud7.tfm) = %{tl_version}
Provides: tex(uwmjuf9.tfm) = %{tl_version}
Provides: tex(uwmjufa.tfm) = %{tl_version}
Provides: tex(uwmjuff.tfm) = %{tl_version}
Provides: tex(uwmjuo00.tfm) = %{tl_version}
Provides: tex(uwmjuo01.tfm) = %{tl_version}
Provides: tex(uwmjuo02.tfm) = %{tl_version}
Provides: tex(uwmjuo03.tfm) = %{tl_version}
Provides: tex(uwmjuo04.tfm) = %{tl_version}
Provides: tex(uwmjuo20.tfm) = %{tl_version}
Provides: tex(uwmjuo21.tfm) = %{tl_version}
Provides: tex(uwmjuo22.tfm) = %{tl_version}
Provides: tex(uwmjuo23.tfm) = %{tl_version}
Provides: tex(uwmjuo24.tfm) = %{tl_version}
Provides: tex(uwmjuo25.tfm) = %{tl_version}
Provides: tex(uwmjuo26.tfm) = %{tl_version}
Provides: tex(uwmjuo30.tfm) = %{tl_version}
Provides: tex(uwmjuo31.tfm) = %{tl_version}
Provides: tex(uwmjuo32.tfm) = %{tl_version}
Provides: tex(uwmjuo33.tfm) = %{tl_version}
Provides: tex(uwmjuo4e.tfm) = %{tl_version}
Provides: tex(uwmjuo4f.tfm) = %{tl_version}
Provides: tex(uwmjuo50.tfm) = %{tl_version}
Provides: tex(uwmjuo51.tfm) = %{tl_version}
Provides: tex(uwmjuo52.tfm) = %{tl_version}
Provides: tex(uwmjuo53.tfm) = %{tl_version}
Provides: tex(uwmjuo54.tfm) = %{tl_version}
Provides: tex(uwmjuo55.tfm) = %{tl_version}
Provides: tex(uwmjuo56.tfm) = %{tl_version}
Provides: tex(uwmjuo57.tfm) = %{tl_version}
Provides: tex(uwmjuo58.tfm) = %{tl_version}
Provides: tex(uwmjuo59.tfm) = %{tl_version}
Provides: tex(uwmjuo5a.tfm) = %{tl_version}
Provides: tex(uwmjuo5b.tfm) = %{tl_version}
Provides: tex(uwmjuo5c.tfm) = %{tl_version}
Provides: tex(uwmjuo5d.tfm) = %{tl_version}
Provides: tex(uwmjuo5e.tfm) = %{tl_version}
Provides: tex(uwmjuo5f.tfm) = %{tl_version}
Provides: tex(uwmjuo60.tfm) = %{tl_version}
Provides: tex(uwmjuo61.tfm) = %{tl_version}
Provides: tex(uwmjuo62.tfm) = %{tl_version}
Provides: tex(uwmjuo63.tfm) = %{tl_version}
Provides: tex(uwmjuo64.tfm) = %{tl_version}
Provides: tex(uwmjuo65.tfm) = %{tl_version}
Provides: tex(uwmjuo66.tfm) = %{tl_version}
Provides: tex(uwmjuo67.tfm) = %{tl_version}
Provides: tex(uwmjuo68.tfm) = %{tl_version}
Provides: tex(uwmjuo69.tfm) = %{tl_version}
Provides: tex(uwmjuo6a.tfm) = %{tl_version}
Provides: tex(uwmjuo6b.tfm) = %{tl_version}
Provides: tex(uwmjuo6c.tfm) = %{tl_version}
Provides: tex(uwmjuo6d.tfm) = %{tl_version}
Provides: tex(uwmjuo6e.tfm) = %{tl_version}
Provides: tex(uwmjuo6f.tfm) = %{tl_version}
Provides: tex(uwmjuo70.tfm) = %{tl_version}
Provides: tex(uwmjuo71.tfm) = %{tl_version}
Provides: tex(uwmjuo72.tfm) = %{tl_version}
Provides: tex(uwmjuo73.tfm) = %{tl_version}
Provides: tex(uwmjuo74.tfm) = %{tl_version}
Provides: tex(uwmjuo75.tfm) = %{tl_version}
Provides: tex(uwmjuo76.tfm) = %{tl_version}
Provides: tex(uwmjuo77.tfm) = %{tl_version}
Provides: tex(uwmjuo78.tfm) = %{tl_version}
Provides: tex(uwmjuo79.tfm) = %{tl_version}
Provides: tex(uwmjuo7a.tfm) = %{tl_version}
Provides: tex(uwmjuo7b.tfm) = %{tl_version}
Provides: tex(uwmjuo7c.tfm) = %{tl_version}
Provides: tex(uwmjuo7d.tfm) = %{tl_version}
Provides: tex(uwmjuo7e.tfm) = %{tl_version}
Provides: tex(uwmjuo7f.tfm) = %{tl_version}
Provides: tex(uwmjuo80.tfm) = %{tl_version}
Provides: tex(uwmjuo81.tfm) = %{tl_version}
Provides: tex(uwmjuo82.tfm) = %{tl_version}
Provides: tex(uwmjuo83.tfm) = %{tl_version}
Provides: tex(uwmjuo84.tfm) = %{tl_version}
Provides: tex(uwmjuo85.tfm) = %{tl_version}
Provides: tex(uwmjuo86.tfm) = %{tl_version}
Provides: tex(uwmjuo87.tfm) = %{tl_version}
Provides: tex(uwmjuo88.tfm) = %{tl_version}
Provides: tex(uwmjuo89.tfm) = %{tl_version}
Provides: tex(uwmjuo8a.tfm) = %{tl_version}
Provides: tex(uwmjuo8b.tfm) = %{tl_version}
Provides: tex(uwmjuo8c.tfm) = %{tl_version}
Provides: tex(uwmjuo8d.tfm) = %{tl_version}
Provides: tex(uwmjuo8e.tfm) = %{tl_version}
Provides: tex(uwmjuo8f.tfm) = %{tl_version}
Provides: tex(uwmjuo90.tfm) = %{tl_version}
Provides: tex(uwmjuo91.tfm) = %{tl_version}
Provides: tex(uwmjuo92.tfm) = %{tl_version}
Provides: tex(uwmjuo93.tfm) = %{tl_version}
Provides: tex(uwmjuo94.tfm) = %{tl_version}
Provides: tex(uwmjuo95.tfm) = %{tl_version}
Provides: tex(uwmjuo96.tfm) = %{tl_version}
Provides: tex(uwmjuo97.tfm) = %{tl_version}
Provides: tex(uwmjuo98.tfm) = %{tl_version}
Provides: tex(uwmjuo99.tfm) = %{tl_version}
Provides: tex(uwmjuo9a.tfm) = %{tl_version}
Provides: tex(uwmjuo9b.tfm) = %{tl_version}
Provides: tex(uwmjuo9c.tfm) = %{tl_version}
Provides: tex(uwmjuo9d.tfm) = %{tl_version}
Provides: tex(uwmjuo9e.tfm) = %{tl_version}
Provides: tex(uwmjuo9f.tfm) = %{tl_version}
Provides: tex(uwmjuoac.tfm) = %{tl_version}
Provides: tex(uwmjuoad.tfm) = %{tl_version}
Provides: tex(uwmjuoae.tfm) = %{tl_version}
Provides: tex(uwmjuoaf.tfm) = %{tl_version}
Provides: tex(uwmjuob0.tfm) = %{tl_version}
Provides: tex(uwmjuob1.tfm) = %{tl_version}
Provides: tex(uwmjuob2.tfm) = %{tl_version}
Provides: tex(uwmjuob3.tfm) = %{tl_version}
Provides: tex(uwmjuob4.tfm) = %{tl_version}
Provides: tex(uwmjuob5.tfm) = %{tl_version}
Provides: tex(uwmjuob6.tfm) = %{tl_version}
Provides: tex(uwmjuob7.tfm) = %{tl_version}
Provides: tex(uwmjuob8.tfm) = %{tl_version}
Provides: tex(uwmjuob9.tfm) = %{tl_version}
Provides: tex(uwmjuoba.tfm) = %{tl_version}
Provides: tex(uwmjuobb.tfm) = %{tl_version}
Provides: tex(uwmjuobc.tfm) = %{tl_version}
Provides: tex(uwmjuobd.tfm) = %{tl_version}
Provides: tex(uwmjuobe.tfm) = %{tl_version}
Provides: tex(uwmjuobf.tfm) = %{tl_version}
Provides: tex(uwmjuoc0.tfm) = %{tl_version}
Provides: tex(uwmjuoc1.tfm) = %{tl_version}
Provides: tex(uwmjuoc2.tfm) = %{tl_version}
Provides: tex(uwmjuoc3.tfm) = %{tl_version}
Provides: tex(uwmjuoc4.tfm) = %{tl_version}
Provides: tex(uwmjuoc5.tfm) = %{tl_version}
Provides: tex(uwmjuoc6.tfm) = %{tl_version}
Provides: tex(uwmjuoc7.tfm) = %{tl_version}
Provides: tex(uwmjuoc8.tfm) = %{tl_version}
Provides: tex(uwmjuoc9.tfm) = %{tl_version}
Provides: tex(uwmjuoca.tfm) = %{tl_version}
Provides: tex(uwmjuocb.tfm) = %{tl_version}
Provides: tex(uwmjuocc.tfm) = %{tl_version}
Provides: tex(uwmjuocd.tfm) = %{tl_version}
Provides: tex(uwmjuoce.tfm) = %{tl_version}
Provides: tex(uwmjuocf.tfm) = %{tl_version}
Provides: tex(uwmjuod0.tfm) = %{tl_version}
Provides: tex(uwmjuod1.tfm) = %{tl_version}
Provides: tex(uwmjuod2.tfm) = %{tl_version}
Provides: tex(uwmjuod3.tfm) = %{tl_version}
Provides: tex(uwmjuod4.tfm) = %{tl_version}
Provides: tex(uwmjuod5.tfm) = %{tl_version}
Provides: tex(uwmjuod6.tfm) = %{tl_version}
Provides: tex(uwmjuod7.tfm) = %{tl_version}
Provides: tex(uwmjuof9.tfm) = %{tl_version}
Provides: tex(uwmjuofa.tfm) = %{tl_version}
Provides: tex(uwmjuoff.tfm) = %{tl_version}
Provides: tex(uwmjx00.tfm) = %{tl_version}
Provides: tex(uwmjx01.tfm) = %{tl_version}
Provides: tex(uwmjx02.tfm) = %{tl_version}
Provides: tex(uwmjx03.tfm) = %{tl_version}
Provides: tex(uwmjx04.tfm) = %{tl_version}
Provides: tex(uwmjx20.tfm) = %{tl_version}
Provides: tex(uwmjx21.tfm) = %{tl_version}
Provides: tex(uwmjx22.tfm) = %{tl_version}
Provides: tex(uwmjx23.tfm) = %{tl_version}
Provides: tex(uwmjx24.tfm) = %{tl_version}
Provides: tex(uwmjx25.tfm) = %{tl_version}
Provides: tex(uwmjx26.tfm) = %{tl_version}
Provides: tex(uwmjx30.tfm) = %{tl_version}
Provides: tex(uwmjx31.tfm) = %{tl_version}
Provides: tex(uwmjx32.tfm) = %{tl_version}
Provides: tex(uwmjx33.tfm) = %{tl_version}
Provides: tex(uwmjx4e.tfm) = %{tl_version}
Provides: tex(uwmjx4f.tfm) = %{tl_version}
Provides: tex(uwmjx50.tfm) = %{tl_version}
Provides: tex(uwmjx51.tfm) = %{tl_version}
Provides: tex(uwmjx52.tfm) = %{tl_version}
Provides: tex(uwmjx53.tfm) = %{tl_version}
Provides: tex(uwmjx54.tfm) = %{tl_version}
Provides: tex(uwmjx55.tfm) = %{tl_version}
Provides: tex(uwmjx56.tfm) = %{tl_version}
Provides: tex(uwmjx57.tfm) = %{tl_version}
Provides: tex(uwmjx58.tfm) = %{tl_version}
Provides: tex(uwmjx59.tfm) = %{tl_version}
Provides: tex(uwmjx5a.tfm) = %{tl_version}
Provides: tex(uwmjx5b.tfm) = %{tl_version}
Provides: tex(uwmjx5c.tfm) = %{tl_version}
Provides: tex(uwmjx5d.tfm) = %{tl_version}
Provides: tex(uwmjx5e.tfm) = %{tl_version}
Provides: tex(uwmjx5f.tfm) = %{tl_version}
Provides: tex(uwmjx60.tfm) = %{tl_version}
Provides: tex(uwmjx61.tfm) = %{tl_version}
Provides: tex(uwmjx62.tfm) = %{tl_version}
Provides: tex(uwmjx63.tfm) = %{tl_version}
Provides: tex(uwmjx64.tfm) = %{tl_version}
Provides: tex(uwmjx65.tfm) = %{tl_version}
Provides: tex(uwmjx66.tfm) = %{tl_version}
Provides: tex(uwmjx67.tfm) = %{tl_version}
Provides: tex(uwmjx68.tfm) = %{tl_version}
Provides: tex(uwmjx69.tfm) = %{tl_version}
Provides: tex(uwmjx6a.tfm) = %{tl_version}
Provides: tex(uwmjx6b.tfm) = %{tl_version}
Provides: tex(uwmjx6c.tfm) = %{tl_version}
Provides: tex(uwmjx6d.tfm) = %{tl_version}
Provides: tex(uwmjx6e.tfm) = %{tl_version}
Provides: tex(uwmjx6f.tfm) = %{tl_version}
Provides: tex(uwmjx70.tfm) = %{tl_version}
Provides: tex(uwmjx71.tfm) = %{tl_version}
Provides: tex(uwmjx72.tfm) = %{tl_version}
Provides: tex(uwmjx73.tfm) = %{tl_version}
Provides: tex(uwmjx74.tfm) = %{tl_version}
Provides: tex(uwmjx75.tfm) = %{tl_version}
Provides: tex(uwmjx76.tfm) = %{tl_version}
Provides: tex(uwmjx77.tfm) = %{tl_version}
Provides: tex(uwmjx78.tfm) = %{tl_version}
Provides: tex(uwmjx79.tfm) = %{tl_version}
Provides: tex(uwmjx7a.tfm) = %{tl_version}
Provides: tex(uwmjx7b.tfm) = %{tl_version}
Provides: tex(uwmjx7c.tfm) = %{tl_version}
Provides: tex(uwmjx7d.tfm) = %{tl_version}
Provides: tex(uwmjx7e.tfm) = %{tl_version}
Provides: tex(uwmjx7f.tfm) = %{tl_version}
Provides: tex(uwmjx80.tfm) = %{tl_version}
Provides: tex(uwmjx81.tfm) = %{tl_version}
Provides: tex(uwmjx82.tfm) = %{tl_version}
Provides: tex(uwmjx83.tfm) = %{tl_version}
Provides: tex(uwmjx84.tfm) = %{tl_version}
Provides: tex(uwmjx85.tfm) = %{tl_version}
Provides: tex(uwmjx86.tfm) = %{tl_version}
Provides: tex(uwmjx87.tfm) = %{tl_version}
Provides: tex(uwmjx88.tfm) = %{tl_version}
Provides: tex(uwmjx89.tfm) = %{tl_version}
Provides: tex(uwmjx8a.tfm) = %{tl_version}
Provides: tex(uwmjx8b.tfm) = %{tl_version}
Provides: tex(uwmjx8c.tfm) = %{tl_version}
Provides: tex(uwmjx8d.tfm) = %{tl_version}
Provides: tex(uwmjx8e.tfm) = %{tl_version}
Provides: tex(uwmjx8f.tfm) = %{tl_version}
Provides: tex(uwmjx90.tfm) = %{tl_version}
Provides: tex(uwmjx91.tfm) = %{tl_version}
Provides: tex(uwmjx92.tfm) = %{tl_version}
Provides: tex(uwmjx93.tfm) = %{tl_version}
Provides: tex(uwmjx94.tfm) = %{tl_version}
Provides: tex(uwmjx95.tfm) = %{tl_version}
Provides: tex(uwmjx96.tfm) = %{tl_version}
Provides: tex(uwmjx97.tfm) = %{tl_version}
Provides: tex(uwmjx98.tfm) = %{tl_version}
Provides: tex(uwmjx99.tfm) = %{tl_version}
Provides: tex(uwmjx9a.tfm) = %{tl_version}
Provides: tex(uwmjx9b.tfm) = %{tl_version}
Provides: tex(uwmjx9c.tfm) = %{tl_version}
Provides: tex(uwmjx9d.tfm) = %{tl_version}
Provides: tex(uwmjx9e.tfm) = %{tl_version}
Provides: tex(uwmjx9f.tfm) = %{tl_version}
Provides: tex(uwmjxac.tfm) = %{tl_version}
Provides: tex(uwmjxad.tfm) = %{tl_version}
Provides: tex(uwmjxae.tfm) = %{tl_version}
Provides: tex(uwmjxaf.tfm) = %{tl_version}
Provides: tex(uwmjxb0.tfm) = %{tl_version}
Provides: tex(uwmjxb1.tfm) = %{tl_version}
Provides: tex(uwmjxb2.tfm) = %{tl_version}
Provides: tex(uwmjxb3.tfm) = %{tl_version}
Provides: tex(uwmjxb4.tfm) = %{tl_version}
Provides: tex(uwmjxb5.tfm) = %{tl_version}
Provides: tex(uwmjxb6.tfm) = %{tl_version}
Provides: tex(uwmjxb7.tfm) = %{tl_version}
Provides: tex(uwmjxb8.tfm) = %{tl_version}
Provides: tex(uwmjxb9.tfm) = %{tl_version}
Provides: tex(uwmjxba.tfm) = %{tl_version}
Provides: tex(uwmjxbb.tfm) = %{tl_version}
Provides: tex(uwmjxbc.tfm) = %{tl_version}
Provides: tex(uwmjxbd.tfm) = %{tl_version}
Provides: tex(uwmjxbe.tfm) = %{tl_version}
Provides: tex(uwmjxbf.tfm) = %{tl_version}
Provides: tex(uwmjxc0.tfm) = %{tl_version}
Provides: tex(uwmjxc1.tfm) = %{tl_version}
Provides: tex(uwmjxc2.tfm) = %{tl_version}
Provides: tex(uwmjxc3.tfm) = %{tl_version}
Provides: tex(uwmjxc4.tfm) = %{tl_version}
Provides: tex(uwmjxc5.tfm) = %{tl_version}
Provides: tex(uwmjxc6.tfm) = %{tl_version}
Provides: tex(uwmjxc7.tfm) = %{tl_version}
Provides: tex(uwmjxc8.tfm) = %{tl_version}
Provides: tex(uwmjxc9.tfm) = %{tl_version}
Provides: tex(uwmjxca.tfm) = %{tl_version}
Provides: tex(uwmjxcb.tfm) = %{tl_version}
Provides: tex(uwmjxcc.tfm) = %{tl_version}
Provides: tex(uwmjxcd.tfm) = %{tl_version}
Provides: tex(uwmjxce.tfm) = %{tl_version}
Provides: tex(uwmjxcf.tfm) = %{tl_version}
Provides: tex(uwmjxd0.tfm) = %{tl_version}
Provides: tex(uwmjxd1.tfm) = %{tl_version}
Provides: tex(uwmjxd2.tfm) = %{tl_version}
Provides: tex(uwmjxd3.tfm) = %{tl_version}
Provides: tex(uwmjxd4.tfm) = %{tl_version}
Provides: tex(uwmjxd5.tfm) = %{tl_version}
Provides: tex(uwmjxd6.tfm) = %{tl_version}
Provides: tex(uwmjxd7.tfm) = %{tl_version}
Provides: tex(uwmjxf9.tfm) = %{tl_version}
Provides: tex(uwmjxfa.tfm) = %{tl_version}
Provides: tex(uwmjxff.tfm) = %{tl_version}
Provides: tex(uwmjxo00.tfm) = %{tl_version}
Provides: tex(uwmjxo01.tfm) = %{tl_version}
Provides: tex(uwmjxo02.tfm) = %{tl_version}
Provides: tex(uwmjxo03.tfm) = %{tl_version}
Provides: tex(uwmjxo04.tfm) = %{tl_version}
Provides: tex(uwmjxo20.tfm) = %{tl_version}
Provides: tex(uwmjxo21.tfm) = %{tl_version}
Provides: tex(uwmjxo22.tfm) = %{tl_version}
Provides: tex(uwmjxo23.tfm) = %{tl_version}
Provides: tex(uwmjxo24.tfm) = %{tl_version}
Provides: tex(uwmjxo25.tfm) = %{tl_version}
Provides: tex(uwmjxo26.tfm) = %{tl_version}
Provides: tex(uwmjxo30.tfm) = %{tl_version}
Provides: tex(uwmjxo31.tfm) = %{tl_version}
Provides: tex(uwmjxo32.tfm) = %{tl_version}
Provides: tex(uwmjxo33.tfm) = %{tl_version}
Provides: tex(uwmjxo4e.tfm) = %{tl_version}
Provides: tex(uwmjxo4f.tfm) = %{tl_version}
Provides: tex(uwmjxo50.tfm) = %{tl_version}
Provides: tex(uwmjxo51.tfm) = %{tl_version}
Provides: tex(uwmjxo52.tfm) = %{tl_version}
Provides: tex(uwmjxo53.tfm) = %{tl_version}
Provides: tex(uwmjxo54.tfm) = %{tl_version}
Provides: tex(uwmjxo55.tfm) = %{tl_version}
Provides: tex(uwmjxo56.tfm) = %{tl_version}
Provides: tex(uwmjxo57.tfm) = %{tl_version}
Provides: tex(uwmjxo58.tfm) = %{tl_version}
Provides: tex(uwmjxo59.tfm) = %{tl_version}
Provides: tex(uwmjxo5a.tfm) = %{tl_version}
Provides: tex(uwmjxo5b.tfm) = %{tl_version}
Provides: tex(uwmjxo5c.tfm) = %{tl_version}
Provides: tex(uwmjxo5d.tfm) = %{tl_version}
Provides: tex(uwmjxo5e.tfm) = %{tl_version}
Provides: tex(uwmjxo5f.tfm) = %{tl_version}
Provides: tex(uwmjxo60.tfm) = %{tl_version}
Provides: tex(uwmjxo61.tfm) = %{tl_version}
Provides: tex(uwmjxo62.tfm) = %{tl_version}
Provides: tex(uwmjxo63.tfm) = %{tl_version}
Provides: tex(uwmjxo64.tfm) = %{tl_version}
Provides: tex(uwmjxo65.tfm) = %{tl_version}
Provides: tex(uwmjxo66.tfm) = %{tl_version}
Provides: tex(uwmjxo67.tfm) = %{tl_version}
Provides: tex(uwmjxo68.tfm) = %{tl_version}
Provides: tex(uwmjxo69.tfm) = %{tl_version}
Provides: tex(uwmjxo6a.tfm) = %{tl_version}
Provides: tex(uwmjxo6b.tfm) = %{tl_version}
Provides: tex(uwmjxo6c.tfm) = %{tl_version}
Provides: tex(uwmjxo6d.tfm) = %{tl_version}
Provides: tex(uwmjxo6e.tfm) = %{tl_version}
Provides: tex(uwmjxo6f.tfm) = %{tl_version}
Provides: tex(uwmjxo70.tfm) = %{tl_version}
Provides: tex(uwmjxo71.tfm) = %{tl_version}
Provides: tex(uwmjxo72.tfm) = %{tl_version}
Provides: tex(uwmjxo73.tfm) = %{tl_version}
Provides: tex(uwmjxo74.tfm) = %{tl_version}
Provides: tex(uwmjxo75.tfm) = %{tl_version}
Provides: tex(uwmjxo76.tfm) = %{tl_version}
Provides: tex(uwmjxo77.tfm) = %{tl_version}
Provides: tex(uwmjxo78.tfm) = %{tl_version}
Provides: tex(uwmjxo79.tfm) = %{tl_version}
Provides: tex(uwmjxo7a.tfm) = %{tl_version}
Provides: tex(uwmjxo7b.tfm) = %{tl_version}
Provides: tex(uwmjxo7c.tfm) = %{tl_version}
Provides: tex(uwmjxo7d.tfm) = %{tl_version}
Provides: tex(uwmjxo7e.tfm) = %{tl_version}
Provides: tex(uwmjxo7f.tfm) = %{tl_version}
Provides: tex(uwmjxo80.tfm) = %{tl_version}
Provides: tex(uwmjxo81.tfm) = %{tl_version}
Provides: tex(uwmjxo82.tfm) = %{tl_version}
Provides: tex(uwmjxo83.tfm) = %{tl_version}
Provides: tex(uwmjxo84.tfm) = %{tl_version}
Provides: tex(uwmjxo85.tfm) = %{tl_version}
Provides: tex(uwmjxo86.tfm) = %{tl_version}
Provides: tex(uwmjxo87.tfm) = %{tl_version}
Provides: tex(uwmjxo88.tfm) = %{tl_version}
Provides: tex(uwmjxo89.tfm) = %{tl_version}
Provides: tex(uwmjxo8a.tfm) = %{tl_version}
Provides: tex(uwmjxo8b.tfm) = %{tl_version}
Provides: tex(uwmjxo8c.tfm) = %{tl_version}
Provides: tex(uwmjxo8d.tfm) = %{tl_version}
Provides: tex(uwmjxo8e.tfm) = %{tl_version}
Provides: tex(uwmjxo8f.tfm) = %{tl_version}
Provides: tex(uwmjxo90.tfm) = %{tl_version}
Provides: tex(uwmjxo91.tfm) = %{tl_version}
Provides: tex(uwmjxo92.tfm) = %{tl_version}
Provides: tex(uwmjxo93.tfm) = %{tl_version}
Provides: tex(uwmjxo94.tfm) = %{tl_version}
Provides: tex(uwmjxo95.tfm) = %{tl_version}
Provides: tex(uwmjxo96.tfm) = %{tl_version}
Provides: tex(uwmjxo97.tfm) = %{tl_version}
Provides: tex(uwmjxo98.tfm) = %{tl_version}
Provides: tex(uwmjxo99.tfm) = %{tl_version}
Provides: tex(uwmjxo9a.tfm) = %{tl_version}
Provides: tex(uwmjxo9b.tfm) = %{tl_version}
Provides: tex(uwmjxo9c.tfm) = %{tl_version}
Provides: tex(uwmjxo9d.tfm) = %{tl_version}
Provides: tex(uwmjxo9e.tfm) = %{tl_version}
Provides: tex(uwmjxo9f.tfm) = %{tl_version}
Provides: tex(uwmjxoac.tfm) = %{tl_version}
Provides: tex(uwmjxoad.tfm) = %{tl_version}
Provides: tex(uwmjxoae.tfm) = %{tl_version}
Provides: tex(uwmjxoaf.tfm) = %{tl_version}
Provides: tex(uwmjxob0.tfm) = %{tl_version}
Provides: tex(uwmjxob1.tfm) = %{tl_version}
Provides: tex(uwmjxob2.tfm) = %{tl_version}
Provides: tex(uwmjxob3.tfm) = %{tl_version}
Provides: tex(uwmjxob4.tfm) = %{tl_version}
Provides: tex(uwmjxob5.tfm) = %{tl_version}
Provides: tex(uwmjxob6.tfm) = %{tl_version}
Provides: tex(uwmjxob7.tfm) = %{tl_version}
Provides: tex(uwmjxob8.tfm) = %{tl_version}
Provides: tex(uwmjxob9.tfm) = %{tl_version}
Provides: tex(uwmjxoba.tfm) = %{tl_version}
Provides: tex(uwmjxobb.tfm) = %{tl_version}
Provides: tex(uwmjxobc.tfm) = %{tl_version}
Provides: tex(uwmjxobd.tfm) = %{tl_version}
Provides: tex(uwmjxobe.tfm) = %{tl_version}
Provides: tex(uwmjxobf.tfm) = %{tl_version}
Provides: tex(uwmjxoc0.tfm) = %{tl_version}
Provides: tex(uwmjxoc1.tfm) = %{tl_version}
Provides: tex(uwmjxoc2.tfm) = %{tl_version}
Provides: tex(uwmjxoc3.tfm) = %{tl_version}
Provides: tex(uwmjxoc4.tfm) = %{tl_version}
Provides: tex(uwmjxoc5.tfm) = %{tl_version}
Provides: tex(uwmjxoc6.tfm) = %{tl_version}
Provides: tex(uwmjxoc7.tfm) = %{tl_version}
Provides: tex(uwmjxoc8.tfm) = %{tl_version}
Provides: tex(uwmjxoc9.tfm) = %{tl_version}
Provides: tex(uwmjxoca.tfm) = %{tl_version}
Provides: tex(uwmjxocb.tfm) = %{tl_version}
Provides: tex(uwmjxocc.tfm) = %{tl_version}
Provides: tex(uwmjxocd.tfm) = %{tl_version}
Provides: tex(uwmjxoce.tfm) = %{tl_version}
Provides: tex(uwmjxocf.tfm) = %{tl_version}
Provides: tex(uwmjxod0.tfm) = %{tl_version}
Provides: tex(uwmjxod1.tfm) = %{tl_version}
Provides: tex(uwmjxod2.tfm) = %{tl_version}
Provides: tex(uwmjxod3.tfm) = %{tl_version}
Provides: tex(uwmjxod4.tfm) = %{tl_version}
Provides: tex(uwmjxod5.tfm) = %{tl_version}
Provides: tex(uwmjxod6.tfm) = %{tl_version}
Provides: tex(uwmjxod7.tfm) = %{tl_version}
Provides: tex(uwmjxof9.tfm) = %{tl_version}
Provides: tex(uwmjxofa.tfm) = %{tl_version}
Provides: tex(uwmjxoff.tfm) = %{tl_version}
Provides: tex(wmj0.tfm) = %{tl_version}
Provides: tex(wmj04.tfm) = %{tl_version}
Provides: tex(wmj05.tfm) = %{tl_version}
Provides: tex(wmj06.tfm) = %{tl_version}
Provides: tex(wmj07.tfm) = %{tl_version}
Provides: tex(wmj1.tfm) = %{tl_version}
Provides: tex(wmj10.tfm) = %{tl_version}
Provides: tex(wmj11.tfm) = %{tl_version}
Provides: tex(wmj12.tfm) = %{tl_version}
Provides: tex(wmj13.tfm) = %{tl_version}
Provides: tex(wmj14.tfm) = %{tl_version}
Provides: tex(wmj15.tfm) = %{tl_version}
Provides: tex(wmj16.tfm) = %{tl_version}
Provides: tex(wmj17.tfm) = %{tl_version}
Provides: tex(wmj18.tfm) = %{tl_version}
Provides: tex(wmj19.tfm) = %{tl_version}
Provides: tex(wmj2.tfm) = %{tl_version}
Provides: tex(wmj20.tfm) = %{tl_version}
Provides: tex(wmj21.tfm) = %{tl_version}
Provides: tex(wmj22.tfm) = %{tl_version}
Provides: tex(wmj23.tfm) = %{tl_version}
Provides: tex(wmj24.tfm) = %{tl_version}
Provides: tex(wmj25.tfm) = %{tl_version}
Provides: tex(wmj26.tfm) = %{tl_version}
Provides: tex(wmj27.tfm) = %{tl_version}
Provides: tex(wmj28.tfm) = %{tl_version}
Provides: tex(wmj29.tfm) = %{tl_version}
Provides: tex(wmj3.tfm) = %{tl_version}
Provides: tex(wmj4.tfm) = %{tl_version}
Provides: tex(wmj5.tfm) = %{tl_version}
Provides: tex(wmj6.tfm) = %{tl_version}
Provides: tex(wmj7.tfm) = %{tl_version}
Provides: tex(wmj8.tfm) = %{tl_version}
Provides: tex(wmj9.tfm) = %{tl_version}
Provides: tex(wmjc0.tfm) = %{tl_version}
Provides: tex(wmjc04.tfm) = %{tl_version}
Provides: tex(wmjc05.tfm) = %{tl_version}
Provides: tex(wmjc06.tfm) = %{tl_version}
Provides: tex(wmjc07.tfm) = %{tl_version}
Provides: tex(wmjc1.tfm) = %{tl_version}
Provides: tex(wmjc10.tfm) = %{tl_version}
Provides: tex(wmjc11.tfm) = %{tl_version}
Provides: tex(wmjc12.tfm) = %{tl_version}
Provides: tex(wmjc13.tfm) = %{tl_version}
Provides: tex(wmjc14.tfm) = %{tl_version}
Provides: tex(wmjc15.tfm) = %{tl_version}
Provides: tex(wmjc16.tfm) = %{tl_version}
Provides: tex(wmjc17.tfm) = %{tl_version}
Provides: tex(wmjc18.tfm) = %{tl_version}
Provides: tex(wmjc19.tfm) = %{tl_version}
Provides: tex(wmjc2.tfm) = %{tl_version}
Provides: tex(wmjc20.tfm) = %{tl_version}
Provides: tex(wmjc21.tfm) = %{tl_version}
Provides: tex(wmjc22.tfm) = %{tl_version}
Provides: tex(wmjc23.tfm) = %{tl_version}
Provides: tex(wmjc24.tfm) = %{tl_version}
Provides: tex(wmjc25.tfm) = %{tl_version}
Provides: tex(wmjc26.tfm) = %{tl_version}
Provides: tex(wmjc27.tfm) = %{tl_version}
Provides: tex(wmjc28.tfm) = %{tl_version}
Provides: tex(wmjc29.tfm) = %{tl_version}
Provides: tex(wmjc3.tfm) = %{tl_version}
Provides: tex(wmjc4.tfm) = %{tl_version}
Provides: tex(wmjc5.tfm) = %{tl_version}
Provides: tex(wmjc6.tfm) = %{tl_version}
Provides: tex(wmjc7.tfm) = %{tl_version}
Provides: tex(wmjc8.tfm) = %{tl_version}
Provides: tex(wmjc9.tfm) = %{tl_version}
Provides: tex(wmjco0.tfm) = %{tl_version}
Provides: tex(wmjco04.tfm) = %{tl_version}
Provides: tex(wmjco05.tfm) = %{tl_version}
Provides: tex(wmjco06.tfm) = %{tl_version}
Provides: tex(wmjco07.tfm) = %{tl_version}
Provides: tex(wmjco1.tfm) = %{tl_version}
Provides: tex(wmjco10.tfm) = %{tl_version}
Provides: tex(wmjco11.tfm) = %{tl_version}
Provides: tex(wmjco12.tfm) = %{tl_version}
Provides: tex(wmjco13.tfm) = %{tl_version}
Provides: tex(wmjco14.tfm) = %{tl_version}
Provides: tex(wmjco15.tfm) = %{tl_version}
Provides: tex(wmjco16.tfm) = %{tl_version}
Provides: tex(wmjco17.tfm) = %{tl_version}
Provides: tex(wmjco18.tfm) = %{tl_version}
Provides: tex(wmjco19.tfm) = %{tl_version}
Provides: tex(wmjco2.tfm) = %{tl_version}
Provides: tex(wmjco20.tfm) = %{tl_version}
Provides: tex(wmjco21.tfm) = %{tl_version}
Provides: tex(wmjco22.tfm) = %{tl_version}
Provides: tex(wmjco23.tfm) = %{tl_version}
Provides: tex(wmjco24.tfm) = %{tl_version}
Provides: tex(wmjco25.tfm) = %{tl_version}
Provides: tex(wmjco26.tfm) = %{tl_version}
Provides: tex(wmjco27.tfm) = %{tl_version}
Provides: tex(wmjco28.tfm) = %{tl_version}
Provides: tex(wmjco29.tfm) = %{tl_version}
Provides: tex(wmjco3.tfm) = %{tl_version}
Provides: tex(wmjco4.tfm) = %{tl_version}
Provides: tex(wmjco5.tfm) = %{tl_version}
Provides: tex(wmjco6.tfm) = %{tl_version}
Provides: tex(wmjco7.tfm) = %{tl_version}
Provides: tex(wmjco8.tfm) = %{tl_version}
Provides: tex(wmjco9.tfm) = %{tl_version}
Provides: tex(wmjo0.tfm) = %{tl_version}
Provides: tex(wmjo04.tfm) = %{tl_version}
Provides: tex(wmjo05.tfm) = %{tl_version}
Provides: tex(wmjo06.tfm) = %{tl_version}
Provides: tex(wmjo07.tfm) = %{tl_version}
Provides: tex(wmjo1.tfm) = %{tl_version}
Provides: tex(wmjo10.tfm) = %{tl_version}
Provides: tex(wmjo11.tfm) = %{tl_version}
Provides: tex(wmjo12.tfm) = %{tl_version}
Provides: tex(wmjo13.tfm) = %{tl_version}
Provides: tex(wmjo14.tfm) = %{tl_version}
Provides: tex(wmjo15.tfm) = %{tl_version}
Provides: tex(wmjo16.tfm) = %{tl_version}
Provides: tex(wmjo17.tfm) = %{tl_version}
Provides: tex(wmjo18.tfm) = %{tl_version}
Provides: tex(wmjo19.tfm) = %{tl_version}
Provides: tex(wmjo2.tfm) = %{tl_version}
Provides: tex(wmjo20.tfm) = %{tl_version}
Provides: tex(wmjo21.tfm) = %{tl_version}
Provides: tex(wmjo22.tfm) = %{tl_version}
Provides: tex(wmjo23.tfm) = %{tl_version}
Provides: tex(wmjo24.tfm) = %{tl_version}
Provides: tex(wmjo25.tfm) = %{tl_version}
Provides: tex(wmjo26.tfm) = %{tl_version}
Provides: tex(wmjo27.tfm) = %{tl_version}
Provides: tex(wmjo28.tfm) = %{tl_version}
Provides: tex(wmjo29.tfm) = %{tl_version}
Provides: tex(wmjo3.tfm) = %{tl_version}
Provides: tex(wmjo4.tfm) = %{tl_version}
Provides: tex(wmjo5.tfm) = %{tl_version}
Provides: tex(wmjo6.tfm) = %{tl_version}
Provides: tex(wmjo7.tfm) = %{tl_version}
Provides: tex(wmjo8.tfm) = %{tl_version}
Provides: tex(wmjo9.tfm) = %{tl_version}
Provides: tex(wmju0.tfm) = %{tl_version}
Provides: tex(wmju04.tfm) = %{tl_version}
Provides: tex(wmju05.tfm) = %{tl_version}
Provides: tex(wmju06.tfm) = %{tl_version}
Provides: tex(wmju07.tfm) = %{tl_version}
Provides: tex(wmju1.tfm) = %{tl_version}
Provides: tex(wmju10.tfm) = %{tl_version}
Provides: tex(wmju11.tfm) = %{tl_version}
Provides: tex(wmju12.tfm) = %{tl_version}
Provides: tex(wmju13.tfm) = %{tl_version}
Provides: tex(wmju14.tfm) = %{tl_version}
Provides: tex(wmju15.tfm) = %{tl_version}
Provides: tex(wmju16.tfm) = %{tl_version}
Provides: tex(wmju17.tfm) = %{tl_version}
Provides: tex(wmju18.tfm) = %{tl_version}
Provides: tex(wmju19.tfm) = %{tl_version}
Provides: tex(wmju2.tfm) = %{tl_version}
Provides: tex(wmju20.tfm) = %{tl_version}
Provides: tex(wmju21.tfm) = %{tl_version}
Provides: tex(wmju22.tfm) = %{tl_version}
Provides: tex(wmju23.tfm) = %{tl_version}
Provides: tex(wmju24.tfm) = %{tl_version}
Provides: tex(wmju25.tfm) = %{tl_version}
Provides: tex(wmju26.tfm) = %{tl_version}
Provides: tex(wmju27.tfm) = %{tl_version}
Provides: tex(wmju28.tfm) = %{tl_version}
Provides: tex(wmju29.tfm) = %{tl_version}
Provides: tex(wmju3.tfm) = %{tl_version}
Provides: tex(wmju4.tfm) = %{tl_version}
Provides: tex(wmju5.tfm) = %{tl_version}
Provides: tex(wmju6.tfm) = %{tl_version}
Provides: tex(wmju7.tfm) = %{tl_version}
Provides: tex(wmju8.tfm) = %{tl_version}
Provides: tex(wmju9.tfm) = %{tl_version}
Provides: tex(wmjuo0.tfm) = %{tl_version}
Provides: tex(wmjuo04.tfm) = %{tl_version}
Provides: tex(wmjuo05.tfm) = %{tl_version}
Provides: tex(wmjuo06.tfm) = %{tl_version}
Provides: tex(wmjuo07.tfm) = %{tl_version}
Provides: tex(wmjuo1.tfm) = %{tl_version}
Provides: tex(wmjuo10.tfm) = %{tl_version}
Provides: tex(wmjuo11.tfm) = %{tl_version}
Provides: tex(wmjuo12.tfm) = %{tl_version}
Provides: tex(wmjuo13.tfm) = %{tl_version}
Provides: tex(wmjuo14.tfm) = %{tl_version}
Provides: tex(wmjuo15.tfm) = %{tl_version}
Provides: tex(wmjuo16.tfm) = %{tl_version}
Provides: tex(wmjuo17.tfm) = %{tl_version}
Provides: tex(wmjuo18.tfm) = %{tl_version}
Provides: tex(wmjuo19.tfm) = %{tl_version}
Provides: tex(wmjuo2.tfm) = %{tl_version}
Provides: tex(wmjuo20.tfm) = %{tl_version}
Provides: tex(wmjuo21.tfm) = %{tl_version}
Provides: tex(wmjuo22.tfm) = %{tl_version}
Provides: tex(wmjuo23.tfm) = %{tl_version}
Provides: tex(wmjuo24.tfm) = %{tl_version}
Provides: tex(wmjuo25.tfm) = %{tl_version}
Provides: tex(wmjuo26.tfm) = %{tl_version}
Provides: tex(wmjuo27.tfm) = %{tl_version}
Provides: tex(wmjuo28.tfm) = %{tl_version}
Provides: tex(wmjuo29.tfm) = %{tl_version}
Provides: tex(wmjuo3.tfm) = %{tl_version}
Provides: tex(wmjuo4.tfm) = %{tl_version}
Provides: tex(wmjuo5.tfm) = %{tl_version}
Provides: tex(wmjuo6.tfm) = %{tl_version}
Provides: tex(wmjuo7.tfm) = %{tl_version}
Provides: tex(wmjuo8.tfm) = %{tl_version}
Provides: tex(wmjuo9.tfm) = %{tl_version}
Provides: tex(wmjx0.tfm) = %{tl_version}
Provides: tex(wmjx04.tfm) = %{tl_version}
Provides: tex(wmjx05.tfm) = %{tl_version}
Provides: tex(wmjx06.tfm) = %{tl_version}
Provides: tex(wmjx07.tfm) = %{tl_version}
Provides: tex(wmjx1.tfm) = %{tl_version}
Provides: tex(wmjx10.tfm) = %{tl_version}
Provides: tex(wmjx11.tfm) = %{tl_version}
Provides: tex(wmjx12.tfm) = %{tl_version}
Provides: tex(wmjx13.tfm) = %{tl_version}
Provides: tex(wmjx14.tfm) = %{tl_version}
Provides: tex(wmjx15.tfm) = %{tl_version}
Provides: tex(wmjx16.tfm) = %{tl_version}
Provides: tex(wmjx17.tfm) = %{tl_version}
Provides: tex(wmjx18.tfm) = %{tl_version}
Provides: tex(wmjx19.tfm) = %{tl_version}
Provides: tex(wmjx2.tfm) = %{tl_version}
Provides: tex(wmjx20.tfm) = %{tl_version}
Provides: tex(wmjx21.tfm) = %{tl_version}
Provides: tex(wmjx22.tfm) = %{tl_version}
Provides: tex(wmjx23.tfm) = %{tl_version}
Provides: tex(wmjx24.tfm) = %{tl_version}
Provides: tex(wmjx25.tfm) = %{tl_version}
Provides: tex(wmjx26.tfm) = %{tl_version}
Provides: tex(wmjx27.tfm) = %{tl_version}
Provides: tex(wmjx28.tfm) = %{tl_version}
Provides: tex(wmjx29.tfm) = %{tl_version}
Provides: tex(wmjx3.tfm) = %{tl_version}
Provides: tex(wmjx4.tfm) = %{tl_version}
Provides: tex(wmjx5.tfm) = %{tl_version}
Provides: tex(wmjx6.tfm) = %{tl_version}
Provides: tex(wmjx7.tfm) = %{tl_version}
Provides: tex(wmjx8.tfm) = %{tl_version}
Provides: tex(wmjx9.tfm) = %{tl_version}
Provides: tex(wmjxo0.tfm) = %{tl_version}
Provides: tex(wmjxo04.tfm) = %{tl_version}
Provides: tex(wmjxo05.tfm) = %{tl_version}
Provides: tex(wmjxo06.tfm) = %{tl_version}
Provides: tex(wmjxo07.tfm) = %{tl_version}
Provides: tex(wmjxo1.tfm) = %{tl_version}
Provides: tex(wmjxo10.tfm) = %{tl_version}
Provides: tex(wmjxo11.tfm) = %{tl_version}
Provides: tex(wmjxo12.tfm) = %{tl_version}
Provides: tex(wmjxo13.tfm) = %{tl_version}
Provides: tex(wmjxo14.tfm) = %{tl_version}
Provides: tex(wmjxo15.tfm) = %{tl_version}
Provides: tex(wmjxo16.tfm) = %{tl_version}
Provides: tex(wmjxo17.tfm) = %{tl_version}
Provides: tex(wmjxo18.tfm) = %{tl_version}
Provides: tex(wmjxo19.tfm) = %{tl_version}
Provides: tex(wmjxo2.tfm) = %{tl_version}
Provides: tex(wmjxo20.tfm) = %{tl_version}
Provides: tex(wmjxo21.tfm) = %{tl_version}
Provides: tex(wmjxo22.tfm) = %{tl_version}
Provides: tex(wmjxo23.tfm) = %{tl_version}
Provides: tex(wmjxo24.tfm) = %{tl_version}
Provides: tex(wmjxo25.tfm) = %{tl_version}
Provides: tex(wmjxo26.tfm) = %{tl_version}
Provides: tex(wmjxo27.tfm) = %{tl_version}
Provides: tex(wmjxo28.tfm) = %{tl_version}
Provides: tex(wmjxo29.tfm) = %{tl_version}
Provides: tex(wmjxo3.tfm) = %{tl_version}
Provides: tex(wmjxo4.tfm) = %{tl_version}
Provides: tex(wmjxo5.tfm) = %{tl_version}
Provides: tex(wmjxo6.tfm) = %{tl_version}
Provides: tex(wmjxo7.tfm) = %{tl_version}
Provides: tex(wmjxo8.tfm) = %{tl_version}
Provides: tex(wmjxo9.tfm) = %{tl_version}
Provides: tex(umj00.pfb) = %{tl_version}
Provides: tex(umj01.pfb) = %{tl_version}
Provides: tex(umj02.pfb) = %{tl_version}
Provides: tex(umj03.pfb) = %{tl_version}
Provides: tex(umj04.pfb) = %{tl_version}
Provides: tex(umj05.pfb) = %{tl_version}
Provides: tex(umj10.pfb) = %{tl_version}
Provides: tex(umj11.pfb) = %{tl_version}
Provides: tex(umj12.pfb) = %{tl_version}
Provides: tex(umj13.pfb) = %{tl_version}
Provides: tex(umj14.pfb) = %{tl_version}
Provides: tex(umj15.pfb) = %{tl_version}
Provides: tex(umj16.pfb) = %{tl_version}
Provides: tex(umj17.pfb) = %{tl_version}
Provides: tex(umj20.pfb) = %{tl_version}
Provides: tex(umj21.pfb) = %{tl_version}
Provides: tex(umj22.pfb) = %{tl_version}
Provides: tex(umj23.pfb) = %{tl_version}
Provides: tex(umj24.pfb) = %{tl_version}
Provides: tex(umj25.pfb) = %{tl_version}
Provides: tex(umj26.pfb) = %{tl_version}
Provides: tex(umj27.pfb) = %{tl_version}
Provides: tex(umj28.pfb) = %{tl_version}
Provides: tex(umj29.pfb) = %{tl_version}
Provides: tex(umj30.pfb) = %{tl_version}
Provides: tex(umj31.pfb) = %{tl_version}
Provides: tex(umj32.pfb) = %{tl_version}
Provides: tex(umj33.pfb) = %{tl_version}
Provides: tex(umj34.pfb) = %{tl_version}
Provides: tex(umj35.pfb) = %{tl_version}
Provides: tex(umj36.pfb) = %{tl_version}
Provides: tex(umj37.pfb) = %{tl_version}
Provides: tex(umj38.pfb) = %{tl_version}
Provides: tex(uwmj00.vf) = %{tl_version}
Provides: tex(uwmj01.vf) = %{tl_version}
Provides: tex(uwmj02.vf) = %{tl_version}
Provides: tex(uwmj03.vf) = %{tl_version}
Provides: tex(uwmj04.vf) = %{tl_version}
Provides: tex(uwmj20.vf) = %{tl_version}
Provides: tex(uwmj21.vf) = %{tl_version}
Provides: tex(uwmj22.vf) = %{tl_version}
Provides: tex(uwmj23.vf) = %{tl_version}
Provides: tex(uwmj24.vf) = %{tl_version}
Provides: tex(uwmj25.vf) = %{tl_version}
Provides: tex(uwmj26.vf) = %{tl_version}
Provides: tex(uwmj30.vf) = %{tl_version}
Provides: tex(uwmj31.vf) = %{tl_version}
Provides: tex(uwmj32.vf) = %{tl_version}
Provides: tex(uwmj33.vf) = %{tl_version}
Provides: tex(uwmj4e.vf) = %{tl_version}
Provides: tex(uwmj4f.vf) = %{tl_version}
Provides: tex(uwmj50.vf) = %{tl_version}
Provides: tex(uwmj51.vf) = %{tl_version}
Provides: tex(uwmj52.vf) = %{tl_version}
Provides: tex(uwmj53.vf) = %{tl_version}
Provides: tex(uwmj54.vf) = %{tl_version}
Provides: tex(uwmj55.vf) = %{tl_version}
Provides: tex(uwmj56.vf) = %{tl_version}
Provides: tex(uwmj57.vf) = %{tl_version}
Provides: tex(uwmj58.vf) = %{tl_version}
Provides: tex(uwmj59.vf) = %{tl_version}
Provides: tex(uwmj5a.vf) = %{tl_version}
Provides: tex(uwmj5b.vf) = %{tl_version}
Provides: tex(uwmj5c.vf) = %{tl_version}
Provides: tex(uwmj5d.vf) = %{tl_version}
Provides: tex(uwmj5e.vf) = %{tl_version}
Provides: tex(uwmj5f.vf) = %{tl_version}
Provides: tex(uwmj60.vf) = %{tl_version}
Provides: tex(uwmj61.vf) = %{tl_version}
Provides: tex(uwmj62.vf) = %{tl_version}
Provides: tex(uwmj63.vf) = %{tl_version}
Provides: tex(uwmj64.vf) = %{tl_version}
Provides: tex(uwmj65.vf) = %{tl_version}
Provides: tex(uwmj66.vf) = %{tl_version}
Provides: tex(uwmj67.vf) = %{tl_version}
Provides: tex(uwmj68.vf) = %{tl_version}
Provides: tex(uwmj69.vf) = %{tl_version}
Provides: tex(uwmj6a.vf) = %{tl_version}
Provides: tex(uwmj6b.vf) = %{tl_version}
Provides: tex(uwmj6c.vf) = %{tl_version}
Provides: tex(uwmj6d.vf) = %{tl_version}
Provides: tex(uwmj6e.vf) = %{tl_version}
Provides: tex(uwmj6f.vf) = %{tl_version}
Provides: tex(uwmj70.vf) = %{tl_version}
Provides: tex(uwmj71.vf) = %{tl_version}
Provides: tex(uwmj72.vf) = %{tl_version}
Provides: tex(uwmj73.vf) = %{tl_version}
Provides: tex(uwmj74.vf) = %{tl_version}
Provides: tex(uwmj75.vf) = %{tl_version}
Provides: tex(uwmj76.vf) = %{tl_version}
Provides: tex(uwmj77.vf) = %{tl_version}
Provides: tex(uwmj78.vf) = %{tl_version}
Provides: tex(uwmj79.vf) = %{tl_version}
Provides: tex(uwmj7a.vf) = %{tl_version}
Provides: tex(uwmj7b.vf) = %{tl_version}
Provides: tex(uwmj7c.vf) = %{tl_version}
Provides: tex(uwmj7d.vf) = %{tl_version}
Provides: tex(uwmj7e.vf) = %{tl_version}
Provides: tex(uwmj7f.vf) = %{tl_version}
Provides: tex(uwmj80.vf) = %{tl_version}
Provides: tex(uwmj81.vf) = %{tl_version}
Provides: tex(uwmj82.vf) = %{tl_version}
Provides: tex(uwmj83.vf) = %{tl_version}
Provides: tex(uwmj84.vf) = %{tl_version}
Provides: tex(uwmj85.vf) = %{tl_version}
Provides: tex(uwmj86.vf) = %{tl_version}
Provides: tex(uwmj87.vf) = %{tl_version}
Provides: tex(uwmj88.vf) = %{tl_version}
Provides: tex(uwmj89.vf) = %{tl_version}
Provides: tex(uwmj8a.vf) = %{tl_version}
Provides: tex(uwmj8b.vf) = %{tl_version}
Provides: tex(uwmj8c.vf) = %{tl_version}
Provides: tex(uwmj8d.vf) = %{tl_version}
Provides: tex(uwmj8e.vf) = %{tl_version}
Provides: tex(uwmj8f.vf) = %{tl_version}
Provides: tex(uwmj90.vf) = %{tl_version}
Provides: tex(uwmj91.vf) = %{tl_version}
Provides: tex(uwmj92.vf) = %{tl_version}
Provides: tex(uwmj93.vf) = %{tl_version}
Provides: tex(uwmj94.vf) = %{tl_version}
Provides: tex(uwmj95.vf) = %{tl_version}
Provides: tex(uwmj96.vf) = %{tl_version}
Provides: tex(uwmj97.vf) = %{tl_version}
Provides: tex(uwmj98.vf) = %{tl_version}
Provides: tex(uwmj99.vf) = %{tl_version}
Provides: tex(uwmj9a.vf) = %{tl_version}
Provides: tex(uwmj9b.vf) = %{tl_version}
Provides: tex(uwmj9c.vf) = %{tl_version}
Provides: tex(uwmj9d.vf) = %{tl_version}
Provides: tex(uwmj9e.vf) = %{tl_version}
Provides: tex(uwmj9f.vf) = %{tl_version}
Provides: tex(uwmjac.vf) = %{tl_version}
Provides: tex(uwmjad.vf) = %{tl_version}
Provides: tex(uwmjae.vf) = %{tl_version}
Provides: tex(uwmjaf.vf) = %{tl_version}
Provides: tex(uwmjb0.vf) = %{tl_version}
Provides: tex(uwmjb1.vf) = %{tl_version}
Provides: tex(uwmjb2.vf) = %{tl_version}
Provides: tex(uwmjb3.vf) = %{tl_version}
Provides: tex(uwmjb4.vf) = %{tl_version}
Provides: tex(uwmjb5.vf) = %{tl_version}
Provides: tex(uwmjb6.vf) = %{tl_version}
Provides: tex(uwmjb7.vf) = %{tl_version}
Provides: tex(uwmjb8.vf) = %{tl_version}
Provides: tex(uwmjb9.vf) = %{tl_version}
Provides: tex(uwmjba.vf) = %{tl_version}
Provides: tex(uwmjbb.vf) = %{tl_version}
Provides: tex(uwmjbc.vf) = %{tl_version}
Provides: tex(uwmjbd.vf) = %{tl_version}
Provides: tex(uwmjbe.vf) = %{tl_version}
Provides: tex(uwmjbf.vf) = %{tl_version}
Provides: tex(uwmjc0.vf) = %{tl_version}
Provides: tex(uwmjc00.vf) = %{tl_version}
Provides: tex(uwmjc01.vf) = %{tl_version}
Provides: tex(uwmjc02.vf) = %{tl_version}
Provides: tex(uwmjc03.vf) = %{tl_version}
Provides: tex(uwmjc04.vf) = %{tl_version}
Provides: tex(uwmjc1.vf) = %{tl_version}
Provides: tex(uwmjc2.vf) = %{tl_version}
Provides: tex(uwmjc20.vf) = %{tl_version}
Provides: tex(uwmjc21.vf) = %{tl_version}
Provides: tex(uwmjc22.vf) = %{tl_version}
Provides: tex(uwmjc23.vf) = %{tl_version}
Provides: tex(uwmjc24.vf) = %{tl_version}
Provides: tex(uwmjc25.vf) = %{tl_version}
Provides: tex(uwmjc26.vf) = %{tl_version}
Provides: tex(uwmjc3.vf) = %{tl_version}
Provides: tex(uwmjc30.vf) = %{tl_version}
Provides: tex(uwmjc31.vf) = %{tl_version}
Provides: tex(uwmjc32.vf) = %{tl_version}
Provides: tex(uwmjc33.vf) = %{tl_version}
Provides: tex(uwmjc4.vf) = %{tl_version}
Provides: tex(uwmjc4e.vf) = %{tl_version}
Provides: tex(uwmjc4f.vf) = %{tl_version}
Provides: tex(uwmjc5.vf) = %{tl_version}
Provides: tex(uwmjc50.vf) = %{tl_version}
Provides: tex(uwmjc51.vf) = %{tl_version}
Provides: tex(uwmjc52.vf) = %{tl_version}
Provides: tex(uwmjc53.vf) = %{tl_version}
Provides: tex(uwmjc54.vf) = %{tl_version}
Provides: tex(uwmjc55.vf) = %{tl_version}
Provides: tex(uwmjc56.vf) = %{tl_version}
Provides: tex(uwmjc57.vf) = %{tl_version}
Provides: tex(uwmjc58.vf) = %{tl_version}
Provides: tex(uwmjc59.vf) = %{tl_version}
Provides: tex(uwmjc5a.vf) = %{tl_version}
Provides: tex(uwmjc5b.vf) = %{tl_version}
Provides: tex(uwmjc5c.vf) = %{tl_version}
Provides: tex(uwmjc5d.vf) = %{tl_version}
Provides: tex(uwmjc5e.vf) = %{tl_version}
Provides: tex(uwmjc5f.vf) = %{tl_version}
Provides: tex(uwmjc6.vf) = %{tl_version}
Provides: tex(uwmjc60.vf) = %{tl_version}
Provides: tex(uwmjc61.vf) = %{tl_version}
Provides: tex(uwmjc62.vf) = %{tl_version}
Provides: tex(uwmjc63.vf) = %{tl_version}
Provides: tex(uwmjc64.vf) = %{tl_version}
Provides: tex(uwmjc65.vf) = %{tl_version}
Provides: tex(uwmjc66.vf) = %{tl_version}
Provides: tex(uwmjc67.vf) = %{tl_version}
Provides: tex(uwmjc68.vf) = %{tl_version}
Provides: tex(uwmjc69.vf) = %{tl_version}
Provides: tex(uwmjc6a.vf) = %{tl_version}
Provides: tex(uwmjc6b.vf) = %{tl_version}
Provides: tex(uwmjc6c.vf) = %{tl_version}
Provides: tex(uwmjc6d.vf) = %{tl_version}
Provides: tex(uwmjc6e.vf) = %{tl_version}
Provides: tex(uwmjc6f.vf) = %{tl_version}
Provides: tex(uwmjc7.vf) = %{tl_version}
Provides: tex(uwmjc70.vf) = %{tl_version}
Provides: tex(uwmjc71.vf) = %{tl_version}
Provides: tex(uwmjc72.vf) = %{tl_version}
Provides: tex(uwmjc73.vf) = %{tl_version}
Provides: tex(uwmjc74.vf) = %{tl_version}
Provides: tex(uwmjc75.vf) = %{tl_version}
Provides: tex(uwmjc76.vf) = %{tl_version}
Provides: tex(uwmjc77.vf) = %{tl_version}
Provides: tex(uwmjc78.vf) = %{tl_version}
Provides: tex(uwmjc79.vf) = %{tl_version}
Provides: tex(uwmjc7a.vf) = %{tl_version}
Provides: tex(uwmjc7b.vf) = %{tl_version}
Provides: tex(uwmjc7c.vf) = %{tl_version}
Provides: tex(uwmjc7d.vf) = %{tl_version}
Provides: tex(uwmjc7e.vf) = %{tl_version}
Provides: tex(uwmjc7f.vf) = %{tl_version}
Provides: tex(uwmjc8.vf) = %{tl_version}
Provides: tex(uwmjc80.vf) = %{tl_version}
Provides: tex(uwmjc81.vf) = %{tl_version}
Provides: tex(uwmjc82.vf) = %{tl_version}
Provides: tex(uwmjc83.vf) = %{tl_version}
Provides: tex(uwmjc84.vf) = %{tl_version}
Provides: tex(uwmjc85.vf) = %{tl_version}
Provides: tex(uwmjc86.vf) = %{tl_version}
Provides: tex(uwmjc87.vf) = %{tl_version}
Provides: tex(uwmjc88.vf) = %{tl_version}
Provides: tex(uwmjc89.vf) = %{tl_version}
Provides: tex(uwmjc8a.vf) = %{tl_version}
Provides: tex(uwmjc8b.vf) = %{tl_version}
Provides: tex(uwmjc8c.vf) = %{tl_version}
Provides: tex(uwmjc8d.vf) = %{tl_version}
Provides: tex(uwmjc8e.vf) = %{tl_version}
Provides: tex(uwmjc8f.vf) = %{tl_version}
Provides: tex(uwmjc9.vf) = %{tl_version}
Provides: tex(uwmjc90.vf) = %{tl_version}
Provides: tex(uwmjc91.vf) = %{tl_version}
Provides: tex(uwmjc92.vf) = %{tl_version}
Provides: tex(uwmjc93.vf) = %{tl_version}
Provides: tex(uwmjc94.vf) = %{tl_version}
Provides: tex(uwmjc95.vf) = %{tl_version}
Provides: tex(uwmjc96.vf) = %{tl_version}
Provides: tex(uwmjc97.vf) = %{tl_version}
Provides: tex(uwmjc98.vf) = %{tl_version}
Provides: tex(uwmjc99.vf) = %{tl_version}
Provides: tex(uwmjc9a.vf) = %{tl_version}
Provides: tex(uwmjc9b.vf) = %{tl_version}
Provides: tex(uwmjc9c.vf) = %{tl_version}
Provides: tex(uwmjc9d.vf) = %{tl_version}
Provides: tex(uwmjc9e.vf) = %{tl_version}
Provides: tex(uwmjc9f.vf) = %{tl_version}
Provides: tex(uwmjca.vf) = %{tl_version}
Provides: tex(uwmjcac.vf) = %{tl_version}
Provides: tex(uwmjcad.vf) = %{tl_version}
Provides: tex(uwmjcae.vf) = %{tl_version}
Provides: tex(uwmjcaf.vf) = %{tl_version}
Provides: tex(uwmjcb.vf) = %{tl_version}
Provides: tex(uwmjcb0.vf) = %{tl_version}
Provides: tex(uwmjcb1.vf) = %{tl_version}
Provides: tex(uwmjcb2.vf) = %{tl_version}
Provides: tex(uwmjcb3.vf) = %{tl_version}
Provides: tex(uwmjcb4.vf) = %{tl_version}
Provides: tex(uwmjcb5.vf) = %{tl_version}
Provides: tex(uwmjcb6.vf) = %{tl_version}
Provides: tex(uwmjcb7.vf) = %{tl_version}
Provides: tex(uwmjcb8.vf) = %{tl_version}
Provides: tex(uwmjcb9.vf) = %{tl_version}
Provides: tex(uwmjcba.vf) = %{tl_version}
Provides: tex(uwmjcbb.vf) = %{tl_version}
Provides: tex(uwmjcbc.vf) = %{tl_version}
Provides: tex(uwmjcbd.vf) = %{tl_version}
Provides: tex(uwmjcbe.vf) = %{tl_version}
Provides: tex(uwmjcbf.vf) = %{tl_version}
Provides: tex(uwmjcc.vf) = %{tl_version}
Provides: tex(uwmjcc0.vf) = %{tl_version}
Provides: tex(uwmjcc1.vf) = %{tl_version}
Provides: tex(uwmjcc2.vf) = %{tl_version}
Provides: tex(uwmjcc3.vf) = %{tl_version}
Provides: tex(uwmjcc4.vf) = %{tl_version}
Provides: tex(uwmjcc5.vf) = %{tl_version}
Provides: tex(uwmjcc6.vf) = %{tl_version}
Provides: tex(uwmjcc7.vf) = %{tl_version}
Provides: tex(uwmjcc8.vf) = %{tl_version}
Provides: tex(uwmjcc9.vf) = %{tl_version}
Provides: tex(uwmjcca.vf) = %{tl_version}
Provides: tex(uwmjccb.vf) = %{tl_version}
Provides: tex(uwmjccc.vf) = %{tl_version}
Provides: tex(uwmjccd.vf) = %{tl_version}
Provides: tex(uwmjcce.vf) = %{tl_version}
Provides: tex(uwmjccf.vf) = %{tl_version}
Provides: tex(uwmjcd.vf) = %{tl_version}
Provides: tex(uwmjcd0.vf) = %{tl_version}
Provides: tex(uwmjcd1.vf) = %{tl_version}
Provides: tex(uwmjcd2.vf) = %{tl_version}
Provides: tex(uwmjcd3.vf) = %{tl_version}
Provides: tex(uwmjcd4.vf) = %{tl_version}
Provides: tex(uwmjcd5.vf) = %{tl_version}
Provides: tex(uwmjcd6.vf) = %{tl_version}
Provides: tex(uwmjcd7.vf) = %{tl_version}
Provides: tex(uwmjce.vf) = %{tl_version}
Provides: tex(uwmjcf.vf) = %{tl_version}
Provides: tex(uwmjcf9.vf) = %{tl_version}
Provides: tex(uwmjcfa.vf) = %{tl_version}
Provides: tex(uwmjcff.vf) = %{tl_version}
Provides: tex(uwmjco00.vf) = %{tl_version}
Provides: tex(uwmjco01.vf) = %{tl_version}
Provides: tex(uwmjco02.vf) = %{tl_version}
Provides: tex(uwmjco03.vf) = %{tl_version}
Provides: tex(uwmjco04.vf) = %{tl_version}
Provides: tex(uwmjco20.vf) = %{tl_version}
Provides: tex(uwmjco21.vf) = %{tl_version}
Provides: tex(uwmjco22.vf) = %{tl_version}
Provides: tex(uwmjco23.vf) = %{tl_version}
Provides: tex(uwmjco24.vf) = %{tl_version}
Provides: tex(uwmjco25.vf) = %{tl_version}
Provides: tex(uwmjco26.vf) = %{tl_version}
Provides: tex(uwmjco30.vf) = %{tl_version}
Provides: tex(uwmjco31.vf) = %{tl_version}
Provides: tex(uwmjco32.vf) = %{tl_version}
Provides: tex(uwmjco33.vf) = %{tl_version}
Provides: tex(uwmjco4e.vf) = %{tl_version}
Provides: tex(uwmjco4f.vf) = %{tl_version}
Provides: tex(uwmjco50.vf) = %{tl_version}
Provides: tex(uwmjco51.vf) = %{tl_version}
Provides: tex(uwmjco52.vf) = %{tl_version}
Provides: tex(uwmjco53.vf) = %{tl_version}
Provides: tex(uwmjco54.vf) = %{tl_version}
Provides: tex(uwmjco55.vf) = %{tl_version}
Provides: tex(uwmjco56.vf) = %{tl_version}
Provides: tex(uwmjco57.vf) = %{tl_version}
Provides: tex(uwmjco58.vf) = %{tl_version}
Provides: tex(uwmjco59.vf) = %{tl_version}
Provides: tex(uwmjco5a.vf) = %{tl_version}
Provides: tex(uwmjco5b.vf) = %{tl_version}
Provides: tex(uwmjco5c.vf) = %{tl_version}
Provides: tex(uwmjco5d.vf) = %{tl_version}
Provides: tex(uwmjco5e.vf) = %{tl_version}
Provides: tex(uwmjco5f.vf) = %{tl_version}
Provides: tex(uwmjco60.vf) = %{tl_version}
Provides: tex(uwmjco61.vf) = %{tl_version}
Provides: tex(uwmjco62.vf) = %{tl_version}
Provides: tex(uwmjco63.vf) = %{tl_version}
Provides: tex(uwmjco64.vf) = %{tl_version}
Provides: tex(uwmjco65.vf) = %{tl_version}
Provides: tex(uwmjco66.vf) = %{tl_version}
Provides: tex(uwmjco67.vf) = %{tl_version}
Provides: tex(uwmjco68.vf) = %{tl_version}
Provides: tex(uwmjco69.vf) = %{tl_version}
Provides: tex(uwmjco6a.vf) = %{tl_version}
Provides: tex(uwmjco6b.vf) = %{tl_version}
Provides: tex(uwmjco6c.vf) = %{tl_version}
Provides: tex(uwmjco6d.vf) = %{tl_version}
Provides: tex(uwmjco6e.vf) = %{tl_version}
Provides: tex(uwmjco6f.vf) = %{tl_version}
Provides: tex(uwmjco70.vf) = %{tl_version}
Provides: tex(uwmjco71.vf) = %{tl_version}
Provides: tex(uwmjco72.vf) = %{tl_version}
Provides: tex(uwmjco73.vf) = %{tl_version}
Provides: tex(uwmjco74.vf) = %{tl_version}
Provides: tex(uwmjco75.vf) = %{tl_version}
Provides: tex(uwmjco76.vf) = %{tl_version}
Provides: tex(uwmjco77.vf) = %{tl_version}
Provides: tex(uwmjco78.vf) = %{tl_version}
Provides: tex(uwmjco79.vf) = %{tl_version}
Provides: tex(uwmjco7a.vf) = %{tl_version}
Provides: tex(uwmjco7b.vf) = %{tl_version}
Provides: tex(uwmjco7c.vf) = %{tl_version}
Provides: tex(uwmjco7d.vf) = %{tl_version}
Provides: tex(uwmjco7e.vf) = %{tl_version}
Provides: tex(uwmjco7f.vf) = %{tl_version}
Provides: tex(uwmjco80.vf) = %{tl_version}
Provides: tex(uwmjco81.vf) = %{tl_version}
Provides: tex(uwmjco82.vf) = %{tl_version}
Provides: tex(uwmjco83.vf) = %{tl_version}
Provides: tex(uwmjco84.vf) = %{tl_version}
Provides: tex(uwmjco85.vf) = %{tl_version}
Provides: tex(uwmjco86.vf) = %{tl_version}
Provides: tex(uwmjco87.vf) = %{tl_version}
Provides: tex(uwmjco88.vf) = %{tl_version}
Provides: tex(uwmjco89.vf) = %{tl_version}
Provides: tex(uwmjco8a.vf) = %{tl_version}
Provides: tex(uwmjco8b.vf) = %{tl_version}
Provides: tex(uwmjco8c.vf) = %{tl_version}
Provides: tex(uwmjco8d.vf) = %{tl_version}
Provides: tex(uwmjco8e.vf) = %{tl_version}
Provides: tex(uwmjco8f.vf) = %{tl_version}
Provides: tex(uwmjco90.vf) = %{tl_version}
Provides: tex(uwmjco91.vf) = %{tl_version}
Provides: tex(uwmjco92.vf) = %{tl_version}
Provides: tex(uwmjco93.vf) = %{tl_version}
Provides: tex(uwmjco94.vf) = %{tl_version}
Provides: tex(uwmjco95.vf) = %{tl_version}
Provides: tex(uwmjco96.vf) = %{tl_version}
Provides: tex(uwmjco97.vf) = %{tl_version}
Provides: tex(uwmjco98.vf) = %{tl_version}
Provides: tex(uwmjco99.vf) = %{tl_version}
Provides: tex(uwmjco9a.vf) = %{tl_version}
Provides: tex(uwmjco9b.vf) = %{tl_version}
Provides: tex(uwmjco9c.vf) = %{tl_version}
Provides: tex(uwmjco9d.vf) = %{tl_version}
Provides: tex(uwmjco9e.vf) = %{tl_version}
Provides: tex(uwmjco9f.vf) = %{tl_version}
Provides: tex(uwmjcoac.vf) = %{tl_version}
Provides: tex(uwmjcoad.vf) = %{tl_version}
Provides: tex(uwmjcoae.vf) = %{tl_version}
Provides: tex(uwmjcoaf.vf) = %{tl_version}
Provides: tex(uwmjcob0.vf) = %{tl_version}
Provides: tex(uwmjcob1.vf) = %{tl_version}
Provides: tex(uwmjcob2.vf) = %{tl_version}
Provides: tex(uwmjcob3.vf) = %{tl_version}
Provides: tex(uwmjcob4.vf) = %{tl_version}
Provides: tex(uwmjcob5.vf) = %{tl_version}
Provides: tex(uwmjcob6.vf) = %{tl_version}
Provides: tex(uwmjcob7.vf) = %{tl_version}
Provides: tex(uwmjcob8.vf) = %{tl_version}
Provides: tex(uwmjcob9.vf) = %{tl_version}
Provides: tex(uwmjcoba.vf) = %{tl_version}
Provides: tex(uwmjcobb.vf) = %{tl_version}
Provides: tex(uwmjcobc.vf) = %{tl_version}
Provides: tex(uwmjcobd.vf) = %{tl_version}
Provides: tex(uwmjcobe.vf) = %{tl_version}
Provides: tex(uwmjcobf.vf) = %{tl_version}
Provides: tex(uwmjcoc0.vf) = %{tl_version}
Provides: tex(uwmjcoc1.vf) = %{tl_version}
Provides: tex(uwmjcoc2.vf) = %{tl_version}
Provides: tex(uwmjcoc3.vf) = %{tl_version}
Provides: tex(uwmjcoc4.vf) = %{tl_version}
Provides: tex(uwmjcoc5.vf) = %{tl_version}
Provides: tex(uwmjcoc6.vf) = %{tl_version}
Provides: tex(uwmjcoc7.vf) = %{tl_version}
Provides: tex(uwmjcoc8.vf) = %{tl_version}
Provides: tex(uwmjcoc9.vf) = %{tl_version}
Provides: tex(uwmjcoca.vf) = %{tl_version}
Provides: tex(uwmjcocb.vf) = %{tl_version}
Provides: tex(uwmjcocc.vf) = %{tl_version}
Provides: tex(uwmjcocd.vf) = %{tl_version}
Provides: tex(uwmjcoce.vf) = %{tl_version}
Provides: tex(uwmjcocf.vf) = %{tl_version}
Provides: tex(uwmjcod0.vf) = %{tl_version}
Provides: tex(uwmjcod1.vf) = %{tl_version}
Provides: tex(uwmjcod2.vf) = %{tl_version}
Provides: tex(uwmjcod3.vf) = %{tl_version}
Provides: tex(uwmjcod4.vf) = %{tl_version}
Provides: tex(uwmjcod5.vf) = %{tl_version}
Provides: tex(uwmjcod6.vf) = %{tl_version}
Provides: tex(uwmjcod7.vf) = %{tl_version}
Provides: tex(uwmjcof9.vf) = %{tl_version}
Provides: tex(uwmjcofa.vf) = %{tl_version}
Provides: tex(uwmjcoff.vf) = %{tl_version}
Provides: tex(uwmjd0.vf) = %{tl_version}
Provides: tex(uwmjd1.vf) = %{tl_version}
Provides: tex(uwmjd2.vf) = %{tl_version}
Provides: tex(uwmjd3.vf) = %{tl_version}
Provides: tex(uwmjd4.vf) = %{tl_version}
Provides: tex(uwmjd5.vf) = %{tl_version}
Provides: tex(uwmjd6.vf) = %{tl_version}
Provides: tex(uwmjd7.vf) = %{tl_version}
Provides: tex(uwmjf9.vf) = %{tl_version}
Provides: tex(uwmjfa.vf) = %{tl_version}
Provides: tex(uwmjff.vf) = %{tl_version}
Provides: tex(uwmjo00.vf) = %{tl_version}
Provides: tex(uwmjo01.vf) = %{tl_version}
Provides: tex(uwmjo02.vf) = %{tl_version}
Provides: tex(uwmjo03.vf) = %{tl_version}
Provides: tex(uwmjo04.vf) = %{tl_version}
Provides: tex(uwmjo20.vf) = %{tl_version}
Provides: tex(uwmjo21.vf) = %{tl_version}
Provides: tex(uwmjo22.vf) = %{tl_version}
Provides: tex(uwmjo23.vf) = %{tl_version}
Provides: tex(uwmjo24.vf) = %{tl_version}
Provides: tex(uwmjo25.vf) = %{tl_version}
Provides: tex(uwmjo26.vf) = %{tl_version}
Provides: tex(uwmjo30.vf) = %{tl_version}
Provides: tex(uwmjo31.vf) = %{tl_version}
Provides: tex(uwmjo32.vf) = %{tl_version}
Provides: tex(uwmjo33.vf) = %{tl_version}
Provides: tex(uwmjo4e.vf) = %{tl_version}
Provides: tex(uwmjo4f.vf) = %{tl_version}
Provides: tex(uwmjo50.vf) = %{tl_version}
Provides: tex(uwmjo51.vf) = %{tl_version}
Provides: tex(uwmjo52.vf) = %{tl_version}
Provides: tex(uwmjo53.vf) = %{tl_version}
Provides: tex(uwmjo54.vf) = %{tl_version}
Provides: tex(uwmjo55.vf) = %{tl_version}
Provides: tex(uwmjo56.vf) = %{tl_version}
Provides: tex(uwmjo57.vf) = %{tl_version}
Provides: tex(uwmjo58.vf) = %{tl_version}
Provides: tex(uwmjo59.vf) = %{tl_version}
Provides: tex(uwmjo5a.vf) = %{tl_version}
Provides: tex(uwmjo5b.vf) = %{tl_version}
Provides: tex(uwmjo5c.vf) = %{tl_version}
Provides: tex(uwmjo5d.vf) = %{tl_version}
Provides: tex(uwmjo5e.vf) = %{tl_version}
Provides: tex(uwmjo5f.vf) = %{tl_version}
Provides: tex(uwmjo60.vf) = %{tl_version}
Provides: tex(uwmjo61.vf) = %{tl_version}
Provides: tex(uwmjo62.vf) = %{tl_version}
Provides: tex(uwmjo63.vf) = %{tl_version}
Provides: tex(uwmjo64.vf) = %{tl_version}
Provides: tex(uwmjo65.vf) = %{tl_version}
Provides: tex(uwmjo66.vf) = %{tl_version}
Provides: tex(uwmjo67.vf) = %{tl_version}
Provides: tex(uwmjo68.vf) = %{tl_version}
Provides: tex(uwmjo69.vf) = %{tl_version}
Provides: tex(uwmjo6a.vf) = %{tl_version}
Provides: tex(uwmjo6b.vf) = %{tl_version}
Provides: tex(uwmjo6c.vf) = %{tl_version}
Provides: tex(uwmjo6d.vf) = %{tl_version}
Provides: tex(uwmjo6e.vf) = %{tl_version}
Provides: tex(uwmjo6f.vf) = %{tl_version}
Provides: tex(uwmjo70.vf) = %{tl_version}
Provides: tex(uwmjo71.vf) = %{tl_version}
Provides: tex(uwmjo72.vf) = %{tl_version}
Provides: tex(uwmjo73.vf) = %{tl_version}
Provides: tex(uwmjo74.vf) = %{tl_version}
Provides: tex(uwmjo75.vf) = %{tl_version}
Provides: tex(uwmjo76.vf) = %{tl_version}
Provides: tex(uwmjo77.vf) = %{tl_version}
Provides: tex(uwmjo78.vf) = %{tl_version}
Provides: tex(uwmjo79.vf) = %{tl_version}
Provides: tex(uwmjo7a.vf) = %{tl_version}
Provides: tex(uwmjo7b.vf) = %{tl_version}
Provides: tex(uwmjo7c.vf) = %{tl_version}
Provides: tex(uwmjo7d.vf) = %{tl_version}
Provides: tex(uwmjo7e.vf) = %{tl_version}
Provides: tex(uwmjo7f.vf) = %{tl_version}
Provides: tex(uwmjo80.vf) = %{tl_version}
Provides: tex(uwmjo81.vf) = %{tl_version}
Provides: tex(uwmjo82.vf) = %{tl_version}
Provides: tex(uwmjo83.vf) = %{tl_version}
Provides: tex(uwmjo84.vf) = %{tl_version}
Provides: tex(uwmjo85.vf) = %{tl_version}
Provides: tex(uwmjo86.vf) = %{tl_version}
Provides: tex(uwmjo87.vf) = %{tl_version}
Provides: tex(uwmjo88.vf) = %{tl_version}
Provides: tex(uwmjo89.vf) = %{tl_version}
Provides: tex(uwmjo8a.vf) = %{tl_version}
Provides: tex(uwmjo8b.vf) = %{tl_version}
Provides: tex(uwmjo8c.vf) = %{tl_version}
Provides: tex(uwmjo8d.vf) = %{tl_version}
Provides: tex(uwmjo8e.vf) = %{tl_version}
Provides: tex(uwmjo8f.vf) = %{tl_version}
Provides: tex(uwmjo90.vf) = %{tl_version}
Provides: tex(uwmjo91.vf) = %{tl_version}
Provides: tex(uwmjo92.vf) = %{tl_version}
Provides: tex(uwmjo93.vf) = %{tl_version}
Provides: tex(uwmjo94.vf) = %{tl_version}
Provides: tex(uwmjo95.vf) = %{tl_version}
Provides: tex(uwmjo96.vf) = %{tl_version}
Provides: tex(uwmjo97.vf) = %{tl_version}
Provides: tex(uwmjo98.vf) = %{tl_version}
Provides: tex(uwmjo99.vf) = %{tl_version}
Provides: tex(uwmjo9a.vf) = %{tl_version}
Provides: tex(uwmjo9b.vf) = %{tl_version}
Provides: tex(uwmjo9c.vf) = %{tl_version}
Provides: tex(uwmjo9d.vf) = %{tl_version}
Provides: tex(uwmjo9e.vf) = %{tl_version}
Provides: tex(uwmjo9f.vf) = %{tl_version}
Provides: tex(uwmjoac.vf) = %{tl_version}
Provides: tex(uwmjoad.vf) = %{tl_version}
Provides: tex(uwmjoae.vf) = %{tl_version}
Provides: tex(uwmjoaf.vf) = %{tl_version}
Provides: tex(uwmjob0.vf) = %{tl_version}
Provides: tex(uwmjob1.vf) = %{tl_version}
Provides: tex(uwmjob2.vf) = %{tl_version}
Provides: tex(uwmjob3.vf) = %{tl_version}
Provides: tex(uwmjob4.vf) = %{tl_version}
Provides: tex(uwmjob5.vf) = %{tl_version}
Provides: tex(uwmjob6.vf) = %{tl_version}
Provides: tex(uwmjob7.vf) = %{tl_version}
Provides: tex(uwmjob8.vf) = %{tl_version}
Provides: tex(uwmjob9.vf) = %{tl_version}
Provides: tex(uwmjoba.vf) = %{tl_version}
Provides: tex(uwmjobb.vf) = %{tl_version}
Provides: tex(uwmjobc.vf) = %{tl_version}
Provides: tex(uwmjobd.vf) = %{tl_version}
Provides: tex(uwmjobe.vf) = %{tl_version}
Provides: tex(uwmjobf.vf) = %{tl_version}
Provides: tex(uwmjoc0.vf) = %{tl_version}
Provides: tex(uwmjoc1.vf) = %{tl_version}
Provides: tex(uwmjoc2.vf) = %{tl_version}
Provides: tex(uwmjoc3.vf) = %{tl_version}
Provides: tex(uwmjoc4.vf) = %{tl_version}
Provides: tex(uwmjoc5.vf) = %{tl_version}
Provides: tex(uwmjoc6.vf) = %{tl_version}
Provides: tex(uwmjoc7.vf) = %{tl_version}
Provides: tex(uwmjoc8.vf) = %{tl_version}
Provides: tex(uwmjoc9.vf) = %{tl_version}
Provides: tex(uwmjoca.vf) = %{tl_version}
Provides: tex(uwmjocb.vf) = %{tl_version}
Provides: tex(uwmjocc.vf) = %{tl_version}
Provides: tex(uwmjocd.vf) = %{tl_version}
Provides: tex(uwmjoce.vf) = %{tl_version}
Provides: tex(uwmjocf.vf) = %{tl_version}
Provides: tex(uwmjod0.vf) = %{tl_version}
Provides: tex(uwmjod1.vf) = %{tl_version}
Provides: tex(uwmjod2.vf) = %{tl_version}
Provides: tex(uwmjod3.vf) = %{tl_version}
Provides: tex(uwmjod4.vf) = %{tl_version}
Provides: tex(uwmjod5.vf) = %{tl_version}
Provides: tex(uwmjod6.vf) = %{tl_version}
Provides: tex(uwmjod7.vf) = %{tl_version}
Provides: tex(uwmjof9.vf) = %{tl_version}
Provides: tex(uwmjofa.vf) = %{tl_version}
Provides: tex(uwmjoff.vf) = %{tl_version}
Provides: tex(uwmju00.vf) = %{tl_version}
Provides: tex(uwmju01.vf) = %{tl_version}
Provides: tex(uwmju02.vf) = %{tl_version}
Provides: tex(uwmju03.vf) = %{tl_version}
Provides: tex(uwmju04.vf) = %{tl_version}
Provides: tex(uwmju20.vf) = %{tl_version}
Provides: tex(uwmju21.vf) = %{tl_version}
Provides: tex(uwmju22.vf) = %{tl_version}
Provides: tex(uwmju23.vf) = %{tl_version}
Provides: tex(uwmju24.vf) = %{tl_version}
Provides: tex(uwmju25.vf) = %{tl_version}
Provides: tex(uwmju26.vf) = %{tl_version}
Provides: tex(uwmju30.vf) = %{tl_version}
Provides: tex(uwmju31.vf) = %{tl_version}
Provides: tex(uwmju32.vf) = %{tl_version}
Provides: tex(uwmju33.vf) = %{tl_version}
Provides: tex(uwmju4e.vf) = %{tl_version}
Provides: tex(uwmju4f.vf) = %{tl_version}
Provides: tex(uwmju50.vf) = %{tl_version}
Provides: tex(uwmju51.vf) = %{tl_version}
Provides: tex(uwmju52.vf) = %{tl_version}
Provides: tex(uwmju53.vf) = %{tl_version}
Provides: tex(uwmju54.vf) = %{tl_version}
Provides: tex(uwmju55.vf) = %{tl_version}
Provides: tex(uwmju56.vf) = %{tl_version}
Provides: tex(uwmju57.vf) = %{tl_version}
Provides: tex(uwmju58.vf) = %{tl_version}
Provides: tex(uwmju59.vf) = %{tl_version}
Provides: tex(uwmju5a.vf) = %{tl_version}
Provides: tex(uwmju5b.vf) = %{tl_version}
Provides: tex(uwmju5c.vf) = %{tl_version}
Provides: tex(uwmju5d.vf) = %{tl_version}
Provides: tex(uwmju5e.vf) = %{tl_version}
Provides: tex(uwmju5f.vf) = %{tl_version}
Provides: tex(uwmju60.vf) = %{tl_version}
Provides: tex(uwmju61.vf) = %{tl_version}
Provides: tex(uwmju62.vf) = %{tl_version}
Provides: tex(uwmju63.vf) = %{tl_version}
Provides: tex(uwmju64.vf) = %{tl_version}
Provides: tex(uwmju65.vf) = %{tl_version}
Provides: tex(uwmju66.vf) = %{tl_version}
Provides: tex(uwmju67.vf) = %{tl_version}
Provides: tex(uwmju68.vf) = %{tl_version}
Provides: tex(uwmju69.vf) = %{tl_version}
Provides: tex(uwmju6a.vf) = %{tl_version}
Provides: tex(uwmju6b.vf) = %{tl_version}
Provides: tex(uwmju6c.vf) = %{tl_version}
Provides: tex(uwmju6d.vf) = %{tl_version}
Provides: tex(uwmju6e.vf) = %{tl_version}
Provides: tex(uwmju6f.vf) = %{tl_version}
Provides: tex(uwmju70.vf) = %{tl_version}
Provides: tex(uwmju71.vf) = %{tl_version}
Provides: tex(uwmju72.vf) = %{tl_version}
Provides: tex(uwmju73.vf) = %{tl_version}
Provides: tex(uwmju74.vf) = %{tl_version}
Provides: tex(uwmju75.vf) = %{tl_version}
Provides: tex(uwmju76.vf) = %{tl_version}
Provides: tex(uwmju77.vf) = %{tl_version}
Provides: tex(uwmju78.vf) = %{tl_version}
Provides: tex(uwmju79.vf) = %{tl_version}
Provides: tex(uwmju7a.vf) = %{tl_version}
Provides: tex(uwmju7b.vf) = %{tl_version}
Provides: tex(uwmju7c.vf) = %{tl_version}
Provides: tex(uwmju7d.vf) = %{tl_version}
Provides: tex(uwmju7e.vf) = %{tl_version}
Provides: tex(uwmju7f.vf) = %{tl_version}
Provides: tex(uwmju80.vf) = %{tl_version}
Provides: tex(uwmju81.vf) = %{tl_version}
Provides: tex(uwmju82.vf) = %{tl_version}
Provides: tex(uwmju83.vf) = %{tl_version}
Provides: tex(uwmju84.vf) = %{tl_version}
Provides: tex(uwmju85.vf) = %{tl_version}
Provides: tex(uwmju86.vf) = %{tl_version}
Provides: tex(uwmju87.vf) = %{tl_version}
Provides: tex(uwmju88.vf) = %{tl_version}
Provides: tex(uwmju89.vf) = %{tl_version}
Provides: tex(uwmju8a.vf) = %{tl_version}
Provides: tex(uwmju8b.vf) = %{tl_version}
Provides: tex(uwmju8c.vf) = %{tl_version}
Provides: tex(uwmju8d.vf) = %{tl_version}
Provides: tex(uwmju8e.vf) = %{tl_version}
Provides: tex(uwmju8f.vf) = %{tl_version}
Provides: tex(uwmju90.vf) = %{tl_version}
Provides: tex(uwmju91.vf) = %{tl_version}
Provides: tex(uwmju92.vf) = %{tl_version}
Provides: tex(uwmju93.vf) = %{tl_version}
Provides: tex(uwmju94.vf) = %{tl_version}
Provides: tex(uwmju95.vf) = %{tl_version}
Provides: tex(uwmju96.vf) = %{tl_version}
Provides: tex(uwmju97.vf) = %{tl_version}
Provides: tex(uwmju98.vf) = %{tl_version}
Provides: tex(uwmju99.vf) = %{tl_version}
Provides: tex(uwmju9a.vf) = %{tl_version}
Provides: tex(uwmju9b.vf) = %{tl_version}
Provides: tex(uwmju9c.vf) = %{tl_version}
Provides: tex(uwmju9d.vf) = %{tl_version}
Provides: tex(uwmju9e.vf) = %{tl_version}
Provides: tex(uwmju9f.vf) = %{tl_version}
Provides: tex(uwmjuac.vf) = %{tl_version}
Provides: tex(uwmjuad.vf) = %{tl_version}
Provides: tex(uwmjuae.vf) = %{tl_version}
Provides: tex(uwmjuaf.vf) = %{tl_version}
Provides: tex(uwmjub0.vf) = %{tl_version}
Provides: tex(uwmjub1.vf) = %{tl_version}
Provides: tex(uwmjub2.vf) = %{tl_version}
Provides: tex(uwmjub3.vf) = %{tl_version}
Provides: tex(uwmjub4.vf) = %{tl_version}
Provides: tex(uwmjub5.vf) = %{tl_version}
Provides: tex(uwmjub6.vf) = %{tl_version}
Provides: tex(uwmjub7.vf) = %{tl_version}
Provides: tex(uwmjub8.vf) = %{tl_version}
Provides: tex(uwmjub9.vf) = %{tl_version}
Provides: tex(uwmjuba.vf) = %{tl_version}
Provides: tex(uwmjubb.vf) = %{tl_version}
Provides: tex(uwmjubc.vf) = %{tl_version}
Provides: tex(uwmjubd.vf) = %{tl_version}
Provides: tex(uwmjube.vf) = %{tl_version}
Provides: tex(uwmjubf.vf) = %{tl_version}
Provides: tex(uwmjuc0.vf) = %{tl_version}
Provides: tex(uwmjuc1.vf) = %{tl_version}
Provides: tex(uwmjuc2.vf) = %{tl_version}
Provides: tex(uwmjuc3.vf) = %{tl_version}
Provides: tex(uwmjuc4.vf) = %{tl_version}
Provides: tex(uwmjuc5.vf) = %{tl_version}
Provides: tex(uwmjuc6.vf) = %{tl_version}
Provides: tex(uwmjuc7.vf) = %{tl_version}
Provides: tex(uwmjuc8.vf) = %{tl_version}
Provides: tex(uwmjuc9.vf) = %{tl_version}
Provides: tex(uwmjuca.vf) = %{tl_version}
Provides: tex(uwmjucb.vf) = %{tl_version}
Provides: tex(uwmjucc.vf) = %{tl_version}
Provides: tex(uwmjucd.vf) = %{tl_version}
Provides: tex(uwmjuce.vf) = %{tl_version}
Provides: tex(uwmjucf.vf) = %{tl_version}
Provides: tex(uwmjud0.vf) = %{tl_version}
Provides: tex(uwmjud1.vf) = %{tl_version}
Provides: tex(uwmjud2.vf) = %{tl_version}
Provides: tex(uwmjud3.vf) = %{tl_version}
Provides: tex(uwmjud4.vf) = %{tl_version}
Provides: tex(uwmjud5.vf) = %{tl_version}
Provides: tex(uwmjud6.vf) = %{tl_version}
Provides: tex(uwmjud7.vf) = %{tl_version}
Provides: tex(uwmjuf9.vf) = %{tl_version}
Provides: tex(uwmjufa.vf) = %{tl_version}
Provides: tex(uwmjuff.vf) = %{tl_version}
Provides: tex(uwmjuo00.vf) = %{tl_version}
Provides: tex(uwmjuo01.vf) = %{tl_version}
Provides: tex(uwmjuo02.vf) = %{tl_version}
Provides: tex(uwmjuo03.vf) = %{tl_version}
Provides: tex(uwmjuo04.vf) = %{tl_version}
Provides: tex(uwmjuo20.vf) = %{tl_version}
Provides: tex(uwmjuo21.vf) = %{tl_version}
Provides: tex(uwmjuo22.vf) = %{tl_version}
Provides: tex(uwmjuo23.vf) = %{tl_version}
Provides: tex(uwmjuo24.vf) = %{tl_version}
Provides: tex(uwmjuo25.vf) = %{tl_version}
Provides: tex(uwmjuo26.vf) = %{tl_version}
Provides: tex(uwmjuo30.vf) = %{tl_version}
Provides: tex(uwmjuo31.vf) = %{tl_version}
Provides: tex(uwmjuo32.vf) = %{tl_version}
Provides: tex(uwmjuo33.vf) = %{tl_version}
Provides: tex(uwmjuo4e.vf) = %{tl_version}
Provides: tex(uwmjuo4f.vf) = %{tl_version}
Provides: tex(uwmjuo50.vf) = %{tl_version}
Provides: tex(uwmjuo51.vf) = %{tl_version}
Provides: tex(uwmjuo52.vf) = %{tl_version}
Provides: tex(uwmjuo53.vf) = %{tl_version}
Provides: tex(uwmjuo54.vf) = %{tl_version}
Provides: tex(uwmjuo55.vf) = %{tl_version}
Provides: tex(uwmjuo56.vf) = %{tl_version}
Provides: tex(uwmjuo57.vf) = %{tl_version}
Provides: tex(uwmjuo58.vf) = %{tl_version}
Provides: tex(uwmjuo59.vf) = %{tl_version}
Provides: tex(uwmjuo5a.vf) = %{tl_version}
Provides: tex(uwmjuo5b.vf) = %{tl_version}
Provides: tex(uwmjuo5c.vf) = %{tl_version}
Provides: tex(uwmjuo5d.vf) = %{tl_version}
Provides: tex(uwmjuo5e.vf) = %{tl_version}
Provides: tex(uwmjuo5f.vf) = %{tl_version}
Provides: tex(uwmjuo60.vf) = %{tl_version}
Provides: tex(uwmjuo61.vf) = %{tl_version}
Provides: tex(uwmjuo62.vf) = %{tl_version}
Provides: tex(uwmjuo63.vf) = %{tl_version}
Provides: tex(uwmjuo64.vf) = %{tl_version}
Provides: tex(uwmjuo65.vf) = %{tl_version}
Provides: tex(uwmjuo66.vf) = %{tl_version}
Provides: tex(uwmjuo67.vf) = %{tl_version}
Provides: tex(uwmjuo68.vf) = %{tl_version}
Provides: tex(uwmjuo69.vf) = %{tl_version}
Provides: tex(uwmjuo6a.vf) = %{tl_version}
Provides: tex(uwmjuo6b.vf) = %{tl_version}
Provides: tex(uwmjuo6c.vf) = %{tl_version}
Provides: tex(uwmjuo6d.vf) = %{tl_version}
Provides: tex(uwmjuo6e.vf) = %{tl_version}
Provides: tex(uwmjuo6f.vf) = %{tl_version}
Provides: tex(uwmjuo70.vf) = %{tl_version}
Provides: tex(uwmjuo71.vf) = %{tl_version}
Provides: tex(uwmjuo72.vf) = %{tl_version}
Provides: tex(uwmjuo73.vf) = %{tl_version}
Provides: tex(uwmjuo74.vf) = %{tl_version}
Provides: tex(uwmjuo75.vf) = %{tl_version}
Provides: tex(uwmjuo76.vf) = %{tl_version}
Provides: tex(uwmjuo77.vf) = %{tl_version}
Provides: tex(uwmjuo78.vf) = %{tl_version}
Provides: tex(uwmjuo79.vf) = %{tl_version}
Provides: tex(uwmjuo7a.vf) = %{tl_version}
Provides: tex(uwmjuo7b.vf) = %{tl_version}
Provides: tex(uwmjuo7c.vf) = %{tl_version}
Provides: tex(uwmjuo7d.vf) = %{tl_version}
Provides: tex(uwmjuo7e.vf) = %{tl_version}
Provides: tex(uwmjuo7f.vf) = %{tl_version}
Provides: tex(uwmjuo80.vf) = %{tl_version}
Provides: tex(uwmjuo81.vf) = %{tl_version}
Provides: tex(uwmjuo82.vf) = %{tl_version}
Provides: tex(uwmjuo83.vf) = %{tl_version}
Provides: tex(uwmjuo84.vf) = %{tl_version}
Provides: tex(uwmjuo85.vf) = %{tl_version}
Provides: tex(uwmjuo86.vf) = %{tl_version}
Provides: tex(uwmjuo87.vf) = %{tl_version}
Provides: tex(uwmjuo88.vf) = %{tl_version}
Provides: tex(uwmjuo89.vf) = %{tl_version}
Provides: tex(uwmjuo8a.vf) = %{tl_version}
Provides: tex(uwmjuo8b.vf) = %{tl_version}
Provides: tex(uwmjuo8c.vf) = %{tl_version}
Provides: tex(uwmjuo8d.vf) = %{tl_version}
Provides: tex(uwmjuo8e.vf) = %{tl_version}
Provides: tex(uwmjuo8f.vf) = %{tl_version}
Provides: tex(uwmjuo90.vf) = %{tl_version}
Provides: tex(uwmjuo91.vf) = %{tl_version}
Provides: tex(uwmjuo92.vf) = %{tl_version}
Provides: tex(uwmjuo93.vf) = %{tl_version}
Provides: tex(uwmjuo94.vf) = %{tl_version}
Provides: tex(uwmjuo95.vf) = %{tl_version}
Provides: tex(uwmjuo96.vf) = %{tl_version}
Provides: tex(uwmjuo97.vf) = %{tl_version}
Provides: tex(uwmjuo98.vf) = %{tl_version}
Provides: tex(uwmjuo99.vf) = %{tl_version}
Provides: tex(uwmjuo9a.vf) = %{tl_version}
Provides: tex(uwmjuo9b.vf) = %{tl_version}
Provides: tex(uwmjuo9c.vf) = %{tl_version}
Provides: tex(uwmjuo9d.vf) = %{tl_version}
Provides: tex(uwmjuo9e.vf) = %{tl_version}
Provides: tex(uwmjuo9f.vf) = %{tl_version}
Provides: tex(uwmjuoac.vf) = %{tl_version}
Provides: tex(uwmjuoad.vf) = %{tl_version}
Provides: tex(uwmjuoae.vf) = %{tl_version}
Provides: tex(uwmjuoaf.vf) = %{tl_version}
Provides: tex(uwmjuob0.vf) = %{tl_version}
Provides: tex(uwmjuob1.vf) = %{tl_version}
Provides: tex(uwmjuob2.vf) = %{tl_version}
Provides: tex(uwmjuob3.vf) = %{tl_version}
Provides: tex(uwmjuob4.vf) = %{tl_version}
Provides: tex(uwmjuob5.vf) = %{tl_version}
Provides: tex(uwmjuob6.vf) = %{tl_version}
Provides: tex(uwmjuob7.vf) = %{tl_version}
Provides: tex(uwmjuob8.vf) = %{tl_version}
Provides: tex(uwmjuob9.vf) = %{tl_version}
Provides: tex(uwmjuoba.vf) = %{tl_version}
Provides: tex(uwmjuobb.vf) = %{tl_version}
Provides: tex(uwmjuobc.vf) = %{tl_version}
Provides: tex(uwmjuobd.vf) = %{tl_version}
Provides: tex(uwmjuobe.vf) = %{tl_version}
Provides: tex(uwmjuobf.vf) = %{tl_version}
Provides: tex(uwmjuoc0.vf) = %{tl_version}
Provides: tex(uwmjuoc1.vf) = %{tl_version}
Provides: tex(uwmjuoc2.vf) = %{tl_version}
Provides: tex(uwmjuoc3.vf) = %{tl_version}
Provides: tex(uwmjuoc4.vf) = %{tl_version}
Provides: tex(uwmjuoc5.vf) = %{tl_version}
Provides: tex(uwmjuoc6.vf) = %{tl_version}
Provides: tex(uwmjuoc7.vf) = %{tl_version}
Provides: tex(uwmjuoc8.vf) = %{tl_version}
Provides: tex(uwmjuoc9.vf) = %{tl_version}
Provides: tex(uwmjuoca.vf) = %{tl_version}
Provides: tex(uwmjuocb.vf) = %{tl_version}
Provides: tex(uwmjuocc.vf) = %{tl_version}
Provides: tex(uwmjuocd.vf) = %{tl_version}
Provides: tex(uwmjuoce.vf) = %{tl_version}
Provides: tex(uwmjuocf.vf) = %{tl_version}
Provides: tex(uwmjuod0.vf) = %{tl_version}
Provides: tex(uwmjuod1.vf) = %{tl_version}
Provides: tex(uwmjuod2.vf) = %{tl_version}
Provides: tex(uwmjuod3.vf) = %{tl_version}
Provides: tex(uwmjuod4.vf) = %{tl_version}
Provides: tex(uwmjuod5.vf) = %{tl_version}
Provides: tex(uwmjuod6.vf) = %{tl_version}
Provides: tex(uwmjuod7.vf) = %{tl_version}
Provides: tex(uwmjuof9.vf) = %{tl_version}
Provides: tex(uwmjuofa.vf) = %{tl_version}
Provides: tex(uwmjuoff.vf) = %{tl_version}
Provides: tex(uwmjx00.vf) = %{tl_version}
Provides: tex(uwmjx01.vf) = %{tl_version}
Provides: tex(uwmjx02.vf) = %{tl_version}
Provides: tex(uwmjx03.vf) = %{tl_version}
Provides: tex(uwmjx04.vf) = %{tl_version}
Provides: tex(uwmjx20.vf) = %{tl_version}
Provides: tex(uwmjx21.vf) = %{tl_version}
Provides: tex(uwmjx22.vf) = %{tl_version}
Provides: tex(uwmjx23.vf) = %{tl_version}
Provides: tex(uwmjx24.vf) = %{tl_version}
Provides: tex(uwmjx25.vf) = %{tl_version}
Provides: tex(uwmjx26.vf) = %{tl_version}
Provides: tex(uwmjx30.vf) = %{tl_version}
Provides: tex(uwmjx31.vf) = %{tl_version}
Provides: tex(uwmjx32.vf) = %{tl_version}
Provides: tex(uwmjx33.vf) = %{tl_version}
Provides: tex(uwmjx4e.vf) = %{tl_version}
Provides: tex(uwmjx4f.vf) = %{tl_version}
Provides: tex(uwmjx50.vf) = %{tl_version}
Provides: tex(uwmjx51.vf) = %{tl_version}
Provides: tex(uwmjx52.vf) = %{tl_version}
Provides: tex(uwmjx53.vf) = %{tl_version}
Provides: tex(uwmjx54.vf) = %{tl_version}
Provides: tex(uwmjx55.vf) = %{tl_version}
Provides: tex(uwmjx56.vf) = %{tl_version}
Provides: tex(uwmjx57.vf) = %{tl_version}
Provides: tex(uwmjx58.vf) = %{tl_version}
Provides: tex(uwmjx59.vf) = %{tl_version}
Provides: tex(uwmjx5a.vf) = %{tl_version}
Provides: tex(uwmjx5b.vf) = %{tl_version}
Provides: tex(uwmjx5c.vf) = %{tl_version}
Provides: tex(uwmjx5d.vf) = %{tl_version}
Provides: tex(uwmjx5e.vf) = %{tl_version}
Provides: tex(uwmjx5f.vf) = %{tl_version}
Provides: tex(uwmjx60.vf) = %{tl_version}
Provides: tex(uwmjx61.vf) = %{tl_version}
Provides: tex(uwmjx62.vf) = %{tl_version}
Provides: tex(uwmjx63.vf) = %{tl_version}
Provides: tex(uwmjx64.vf) = %{tl_version}
Provides: tex(uwmjx65.vf) = %{tl_version}
Provides: tex(uwmjx66.vf) = %{tl_version}
Provides: tex(uwmjx67.vf) = %{tl_version}
Provides: tex(uwmjx68.vf) = %{tl_version}
Provides: tex(uwmjx69.vf) = %{tl_version}
Provides: tex(uwmjx6a.vf) = %{tl_version}
Provides: tex(uwmjx6b.vf) = %{tl_version}
Provides: tex(uwmjx6c.vf) = %{tl_version}
Provides: tex(uwmjx6d.vf) = %{tl_version}
Provides: tex(uwmjx6e.vf) = %{tl_version}
Provides: tex(uwmjx6f.vf) = %{tl_version}
Provides: tex(uwmjx70.vf) = %{tl_version}
Provides: tex(uwmjx71.vf) = %{tl_version}
Provides: tex(uwmjx72.vf) = %{tl_version}
Provides: tex(uwmjx73.vf) = %{tl_version}
Provides: tex(uwmjx74.vf) = %{tl_version}
Provides: tex(uwmjx75.vf) = %{tl_version}
Provides: tex(uwmjx76.vf) = %{tl_version}
Provides: tex(uwmjx77.vf) = %{tl_version}
Provides: tex(uwmjx78.vf) = %{tl_version}
Provides: tex(uwmjx79.vf) = %{tl_version}
Provides: tex(uwmjx7a.vf) = %{tl_version}
Provides: tex(uwmjx7b.vf) = %{tl_version}
Provides: tex(uwmjx7c.vf) = %{tl_version}
Provides: tex(uwmjx7d.vf) = %{tl_version}
Provides: tex(uwmjx7e.vf) = %{tl_version}
Provides: tex(uwmjx7f.vf) = %{tl_version}
Provides: tex(uwmjx80.vf) = %{tl_version}
Provides: tex(uwmjx81.vf) = %{tl_version}
Provides: tex(uwmjx82.vf) = %{tl_version}
Provides: tex(uwmjx83.vf) = %{tl_version}
Provides: tex(uwmjx84.vf) = %{tl_version}
Provides: tex(uwmjx85.vf) = %{tl_version}
Provides: tex(uwmjx86.vf) = %{tl_version}
Provides: tex(uwmjx87.vf) = %{tl_version}
Provides: tex(uwmjx88.vf) = %{tl_version}
Provides: tex(uwmjx89.vf) = %{tl_version}
Provides: tex(uwmjx8a.vf) = %{tl_version}
Provides: tex(uwmjx8b.vf) = %{tl_version}
Provides: tex(uwmjx8c.vf) = %{tl_version}
Provides: tex(uwmjx8d.vf) = %{tl_version}
Provides: tex(uwmjx8e.vf) = %{tl_version}
Provides: tex(uwmjx8f.vf) = %{tl_version}
Provides: tex(uwmjx90.vf) = %{tl_version}
Provides: tex(uwmjx91.vf) = %{tl_version}
Provides: tex(uwmjx92.vf) = %{tl_version}
Provides: tex(uwmjx93.vf) = %{tl_version}
Provides: tex(uwmjx94.vf) = %{tl_version}
Provides: tex(uwmjx95.vf) = %{tl_version}
Provides: tex(uwmjx96.vf) = %{tl_version}
Provides: tex(uwmjx97.vf) = %{tl_version}
Provides: tex(uwmjx98.vf) = %{tl_version}
Provides: tex(uwmjx99.vf) = %{tl_version}
Provides: tex(uwmjx9a.vf) = %{tl_version}
Provides: tex(uwmjx9b.vf) = %{tl_version}
Provides: tex(uwmjx9c.vf) = %{tl_version}
Provides: tex(uwmjx9d.vf) = %{tl_version}
Provides: tex(uwmjx9e.vf) = %{tl_version}
Provides: tex(uwmjx9f.vf) = %{tl_version}
Provides: tex(uwmjxac.vf) = %{tl_version}
Provides: tex(uwmjxad.vf) = %{tl_version}
Provides: tex(uwmjxae.vf) = %{tl_version}
Provides: tex(uwmjxaf.vf) = %{tl_version}
Provides: tex(uwmjxb0.vf) = %{tl_version}
Provides: tex(uwmjxb1.vf) = %{tl_version}
Provides: tex(uwmjxb2.vf) = %{tl_version}
Provides: tex(uwmjxb3.vf) = %{tl_version}
Provides: tex(uwmjxb4.vf) = %{tl_version}
Provides: tex(uwmjxb5.vf) = %{tl_version}
Provides: tex(uwmjxb6.vf) = %{tl_version}
Provides: tex(uwmjxb7.vf) = %{tl_version}
Provides: tex(uwmjxb8.vf) = %{tl_version}
Provides: tex(uwmjxb9.vf) = %{tl_version}
Provides: tex(uwmjxba.vf) = %{tl_version}
Provides: tex(uwmjxbb.vf) = %{tl_version}
Provides: tex(uwmjxbc.vf) = %{tl_version}
Provides: tex(uwmjxbd.vf) = %{tl_version}
Provides: tex(uwmjxbe.vf) = %{tl_version}
Provides: tex(uwmjxbf.vf) = %{tl_version}
Provides: tex(uwmjxc0.vf) = %{tl_version}
Provides: tex(uwmjxc1.vf) = %{tl_version}
Provides: tex(uwmjxc2.vf) = %{tl_version}
Provides: tex(uwmjxc3.vf) = %{tl_version}
Provides: tex(uwmjxc4.vf) = %{tl_version}
Provides: tex(uwmjxc5.vf) = %{tl_version}
Provides: tex(uwmjxc6.vf) = %{tl_version}
Provides: tex(uwmjxc7.vf) = %{tl_version}
Provides: tex(uwmjxc8.vf) = %{tl_version}
Provides: tex(uwmjxc9.vf) = %{tl_version}
Provides: tex(uwmjxca.vf) = %{tl_version}
Provides: tex(uwmjxcb.vf) = %{tl_version}
Provides: tex(uwmjxcc.vf) = %{tl_version}
Provides: tex(uwmjxcd.vf) = %{tl_version}
Provides: tex(uwmjxce.vf) = %{tl_version}
Provides: tex(uwmjxcf.vf) = %{tl_version}
Provides: tex(uwmjxd0.vf) = %{tl_version}
Provides: tex(uwmjxd1.vf) = %{tl_version}
Provides: tex(uwmjxd2.vf) = %{tl_version}
Provides: tex(uwmjxd3.vf) = %{tl_version}
Provides: tex(uwmjxd4.vf) = %{tl_version}
Provides: tex(uwmjxd5.vf) = %{tl_version}
Provides: tex(uwmjxd6.vf) = %{tl_version}
Provides: tex(uwmjxd7.vf) = %{tl_version}
Provides: tex(uwmjxf9.vf) = %{tl_version}
Provides: tex(uwmjxfa.vf) = %{tl_version}
Provides: tex(uwmjxff.vf) = %{tl_version}
Provides: tex(uwmjxo00.vf) = %{tl_version}
Provides: tex(uwmjxo01.vf) = %{tl_version}
Provides: tex(uwmjxo02.vf) = %{tl_version}
Provides: tex(uwmjxo03.vf) = %{tl_version}
Provides: tex(uwmjxo04.vf) = %{tl_version}
Provides: tex(uwmjxo20.vf) = %{tl_version}
Provides: tex(uwmjxo21.vf) = %{tl_version}
Provides: tex(uwmjxo22.vf) = %{tl_version}
Provides: tex(uwmjxo23.vf) = %{tl_version}
Provides: tex(uwmjxo24.vf) = %{tl_version}
Provides: tex(uwmjxo25.vf) = %{tl_version}
Provides: tex(uwmjxo26.vf) = %{tl_version}
Provides: tex(uwmjxo30.vf) = %{tl_version}
Provides: tex(uwmjxo31.vf) = %{tl_version}
Provides: tex(uwmjxo32.vf) = %{tl_version}
Provides: tex(uwmjxo33.vf) = %{tl_version}
Provides: tex(uwmjxo4e.vf) = %{tl_version}
Provides: tex(uwmjxo4f.vf) = %{tl_version}
Provides: tex(uwmjxo50.vf) = %{tl_version}
Provides: tex(uwmjxo51.vf) = %{tl_version}
Provides: tex(uwmjxo52.vf) = %{tl_version}
Provides: tex(uwmjxo53.vf) = %{tl_version}
Provides: tex(uwmjxo54.vf) = %{tl_version}
Provides: tex(uwmjxo55.vf) = %{tl_version}
Provides: tex(uwmjxo56.vf) = %{tl_version}
Provides: tex(uwmjxo57.vf) = %{tl_version}
Provides: tex(uwmjxo58.vf) = %{tl_version}
Provides: tex(uwmjxo59.vf) = %{tl_version}
Provides: tex(uwmjxo5a.vf) = %{tl_version}
Provides: tex(uwmjxo5b.vf) = %{tl_version}
Provides: tex(uwmjxo5c.vf) = %{tl_version}
Provides: tex(uwmjxo5d.vf) = %{tl_version}
Provides: tex(uwmjxo5e.vf) = %{tl_version}
Provides: tex(uwmjxo5f.vf) = %{tl_version}
Provides: tex(uwmjxo60.vf) = %{tl_version}
Provides: tex(uwmjxo61.vf) = %{tl_version}
Provides: tex(uwmjxo62.vf) = %{tl_version}
Provides: tex(uwmjxo63.vf) = %{tl_version}
Provides: tex(uwmjxo64.vf) = %{tl_version}
Provides: tex(uwmjxo65.vf) = %{tl_version}
Provides: tex(uwmjxo66.vf) = %{tl_version}
Provides: tex(uwmjxo67.vf) = %{tl_version}
Provides: tex(uwmjxo68.vf) = %{tl_version}
Provides: tex(uwmjxo69.vf) = %{tl_version}
Provides: tex(uwmjxo6a.vf) = %{tl_version}
Provides: tex(uwmjxo6b.vf) = %{tl_version}
Provides: tex(uwmjxo6c.vf) = %{tl_version}
Provides: tex(uwmjxo6d.vf) = %{tl_version}
Provides: tex(uwmjxo6e.vf) = %{tl_version}
Provides: tex(uwmjxo6f.vf) = %{tl_version}
Provides: tex(uwmjxo70.vf) = %{tl_version}
Provides: tex(uwmjxo71.vf) = %{tl_version}
Provides: tex(uwmjxo72.vf) = %{tl_version}
Provides: tex(uwmjxo73.vf) = %{tl_version}
Provides: tex(uwmjxo74.vf) = %{tl_version}
Provides: tex(uwmjxo75.vf) = %{tl_version}
Provides: tex(uwmjxo76.vf) = %{tl_version}
Provides: tex(uwmjxo77.vf) = %{tl_version}
Provides: tex(uwmjxo78.vf) = %{tl_version}
Provides: tex(uwmjxo79.vf) = %{tl_version}
Provides: tex(uwmjxo7a.vf) = %{tl_version}
Provides: tex(uwmjxo7b.vf) = %{tl_version}
Provides: tex(uwmjxo7c.vf) = %{tl_version}
Provides: tex(uwmjxo7d.vf) = %{tl_version}
Provides: tex(uwmjxo7e.vf) = %{tl_version}
Provides: tex(uwmjxo7f.vf) = %{tl_version}
Provides: tex(uwmjxo80.vf) = %{tl_version}
Provides: tex(uwmjxo81.vf) = %{tl_version}
Provides: tex(uwmjxo82.vf) = %{tl_version}
Provides: tex(uwmjxo83.vf) = %{tl_version}
Provides: tex(uwmjxo84.vf) = %{tl_version}
Provides: tex(uwmjxo85.vf) = %{tl_version}
Provides: tex(uwmjxo86.vf) = %{tl_version}
Provides: tex(uwmjxo87.vf) = %{tl_version}
Provides: tex(uwmjxo88.vf) = %{tl_version}
Provides: tex(uwmjxo89.vf) = %{tl_version}
Provides: tex(uwmjxo8a.vf) = %{tl_version}
Provides: tex(uwmjxo8b.vf) = %{tl_version}
Provides: tex(uwmjxo8c.vf) = %{tl_version}
Provides: tex(uwmjxo8d.vf) = %{tl_version}
Provides: tex(uwmjxo8e.vf) = %{tl_version}
Provides: tex(uwmjxo8f.vf) = %{tl_version}
Provides: tex(uwmjxo90.vf) = %{tl_version}
Provides: tex(uwmjxo91.vf) = %{tl_version}
Provides: tex(uwmjxo92.vf) = %{tl_version}
Provides: tex(uwmjxo93.vf) = %{tl_version}
Provides: tex(uwmjxo94.vf) = %{tl_version}
Provides: tex(uwmjxo95.vf) = %{tl_version}
Provides: tex(uwmjxo96.vf) = %{tl_version}
Provides: tex(uwmjxo97.vf) = %{tl_version}
Provides: tex(uwmjxo98.vf) = %{tl_version}
Provides: tex(uwmjxo99.vf) = %{tl_version}
Provides: tex(uwmjxo9a.vf) = %{tl_version}
Provides: tex(uwmjxo9b.vf) = %{tl_version}
Provides: tex(uwmjxo9c.vf) = %{tl_version}
Provides: tex(uwmjxo9d.vf) = %{tl_version}
Provides: tex(uwmjxo9e.vf) = %{tl_version}
Provides: tex(uwmjxo9f.vf) = %{tl_version}
Provides: tex(uwmjxoac.vf) = %{tl_version}
Provides: tex(uwmjxoad.vf) = %{tl_version}
Provides: tex(uwmjxoae.vf) = %{tl_version}
Provides: tex(uwmjxoaf.vf) = %{tl_version}
Provides: tex(uwmjxob0.vf) = %{tl_version}
Provides: tex(uwmjxob1.vf) = %{tl_version}
Provides: tex(uwmjxob2.vf) = %{tl_version}
Provides: tex(uwmjxob3.vf) = %{tl_version}
Provides: tex(uwmjxob4.vf) = %{tl_version}
Provides: tex(uwmjxob5.vf) = %{tl_version}
Provides: tex(uwmjxob6.vf) = %{tl_version}
Provides: tex(uwmjxob7.vf) = %{tl_version}
Provides: tex(uwmjxob8.vf) = %{tl_version}
Provides: tex(uwmjxob9.vf) = %{tl_version}
Provides: tex(uwmjxoba.vf) = %{tl_version}
Provides: tex(uwmjxobb.vf) = %{tl_version}
Provides: tex(uwmjxobc.vf) = %{tl_version}
Provides: tex(uwmjxobd.vf) = %{tl_version}
Provides: tex(uwmjxobe.vf) = %{tl_version}
Provides: tex(uwmjxobf.vf) = %{tl_version}
Provides: tex(uwmjxoc0.vf) = %{tl_version}
Provides: tex(uwmjxoc1.vf) = %{tl_version}
Provides: tex(uwmjxoc2.vf) = %{tl_version}
Provides: tex(uwmjxoc3.vf) = %{tl_version}
Provides: tex(uwmjxoc4.vf) = %{tl_version}
Provides: tex(uwmjxoc5.vf) = %{tl_version}
Provides: tex(uwmjxoc6.vf) = %{tl_version}
Provides: tex(uwmjxoc7.vf) = %{tl_version}
Provides: tex(uwmjxoc8.vf) = %{tl_version}
Provides: tex(uwmjxoc9.vf) = %{tl_version}
Provides: tex(uwmjxoca.vf) = %{tl_version}
Provides: tex(uwmjxocb.vf) = %{tl_version}
Provides: tex(uwmjxocc.vf) = %{tl_version}
Provides: tex(uwmjxocd.vf) = %{tl_version}
Provides: tex(uwmjxoce.vf) = %{tl_version}
Provides: tex(uwmjxocf.vf) = %{tl_version}
Provides: tex(uwmjxod0.vf) = %{tl_version}
Provides: tex(uwmjxod1.vf) = %{tl_version}
Provides: tex(uwmjxod2.vf) = %{tl_version}
Provides: tex(uwmjxod3.vf) = %{tl_version}
Provides: tex(uwmjxod4.vf) = %{tl_version}
Provides: tex(uwmjxod5.vf) = %{tl_version}
Provides: tex(uwmjxod6.vf) = %{tl_version}
Provides: tex(uwmjxod7.vf) = %{tl_version}
Provides: tex(uwmjxof9.vf) = %{tl_version}
Provides: tex(uwmjxofa.vf) = %{tl_version}
Provides: tex(uwmjxoff.vf) = %{tl_version}
Provides: tex(wmj0.vf) = %{tl_version}
Provides: tex(wmj04.vf) = %{tl_version}
Provides: tex(wmj05.vf) = %{tl_version}
Provides: tex(wmj06.vf) = %{tl_version}
Provides: tex(wmj07.vf) = %{tl_version}
Provides: tex(wmj1.vf) = %{tl_version}
Provides: tex(wmj10.vf) = %{tl_version}
Provides: tex(wmj11.vf) = %{tl_version}
Provides: tex(wmj12.vf) = %{tl_version}
Provides: tex(wmj13.vf) = %{tl_version}
Provides: tex(wmj14.vf) = %{tl_version}
Provides: tex(wmj15.vf) = %{tl_version}
Provides: tex(wmj16.vf) = %{tl_version}
Provides: tex(wmj17.vf) = %{tl_version}
Provides: tex(wmj18.vf) = %{tl_version}
Provides: tex(wmj19.vf) = %{tl_version}
Provides: tex(wmj2.vf) = %{tl_version}
Provides: tex(wmj20.vf) = %{tl_version}
Provides: tex(wmj21.vf) = %{tl_version}
Provides: tex(wmj22.vf) = %{tl_version}
Provides: tex(wmj23.vf) = %{tl_version}
Provides: tex(wmj24.vf) = %{tl_version}
Provides: tex(wmj25.vf) = %{tl_version}
Provides: tex(wmj26.vf) = %{tl_version}
Provides: tex(wmj27.vf) = %{tl_version}
Provides: tex(wmj28.vf) = %{tl_version}
Provides: tex(wmj29.vf) = %{tl_version}
Provides: tex(wmj3.vf) = %{tl_version}
Provides: tex(wmj4.vf) = %{tl_version}
Provides: tex(wmj5.vf) = %{tl_version}
Provides: tex(wmj6.vf) = %{tl_version}
Provides: tex(wmj7.vf) = %{tl_version}
Provides: tex(wmj8.vf) = %{tl_version}
Provides: tex(wmj9.vf) = %{tl_version}
Provides: tex(wmjc0.vf) = %{tl_version}
Provides: tex(wmjc04.vf) = %{tl_version}
Provides: tex(wmjc05.vf) = %{tl_version}
Provides: tex(wmjc06.vf) = %{tl_version}
Provides: tex(wmjc07.vf) = %{tl_version}
Provides: tex(wmjc1.vf) = %{tl_version}
Provides: tex(wmjc10.vf) = %{tl_version}
Provides: tex(wmjc11.vf) = %{tl_version}
Provides: tex(wmjc12.vf) = %{tl_version}
Provides: tex(wmjc13.vf) = %{tl_version}
Provides: tex(wmjc14.vf) = %{tl_version}
Provides: tex(wmjc15.vf) = %{tl_version}
Provides: tex(wmjc16.vf) = %{tl_version}
Provides: tex(wmjc17.vf) = %{tl_version}
Provides: tex(wmjc18.vf) = %{tl_version}
Provides: tex(wmjc19.vf) = %{tl_version}
Provides: tex(wmjc2.vf) = %{tl_version}
Provides: tex(wmjc20.vf) = %{tl_version}
Provides: tex(wmjc21.vf) = %{tl_version}
Provides: tex(wmjc22.vf) = %{tl_version}
Provides: tex(wmjc23.vf) = %{tl_version}
Provides: tex(wmjc24.vf) = %{tl_version}
Provides: tex(wmjc25.vf) = %{tl_version}
Provides: tex(wmjc26.vf) = %{tl_version}
Provides: tex(wmjc27.vf) = %{tl_version}
Provides: tex(wmjc28.vf) = %{tl_version}
Provides: tex(wmjc29.vf) = %{tl_version}
Provides: tex(wmjc3.vf) = %{tl_version}
Provides: tex(wmjc4.vf) = %{tl_version}
Provides: tex(wmjc5.vf) = %{tl_version}
Provides: tex(wmjc6.vf) = %{tl_version}
Provides: tex(wmjc7.vf) = %{tl_version}
Provides: tex(wmjc8.vf) = %{tl_version}
Provides: tex(wmjc9.vf) = %{tl_version}
Provides: tex(wmjco0.vf) = %{tl_version}
Provides: tex(wmjco04.vf) = %{tl_version}
Provides: tex(wmjco05.vf) = %{tl_version}
Provides: tex(wmjco06.vf) = %{tl_version}
Provides: tex(wmjco07.vf) = %{tl_version}
Provides: tex(wmjco1.vf) = %{tl_version}
Provides: tex(wmjco10.vf) = %{tl_version}
Provides: tex(wmjco11.vf) = %{tl_version}
Provides: tex(wmjco12.vf) = %{tl_version}
Provides: tex(wmjco13.vf) = %{tl_version}
Provides: tex(wmjco14.vf) = %{tl_version}
Provides: tex(wmjco15.vf) = %{tl_version}
Provides: tex(wmjco16.vf) = %{tl_version}
Provides: tex(wmjco17.vf) = %{tl_version}
Provides: tex(wmjco18.vf) = %{tl_version}
Provides: tex(wmjco19.vf) = %{tl_version}
Provides: tex(wmjco2.vf) = %{tl_version}
Provides: tex(wmjco20.vf) = %{tl_version}
Provides: tex(wmjco21.vf) = %{tl_version}
Provides: tex(wmjco22.vf) = %{tl_version}
Provides: tex(wmjco23.vf) = %{tl_version}
Provides: tex(wmjco24.vf) = %{tl_version}
Provides: tex(wmjco25.vf) = %{tl_version}
Provides: tex(wmjco26.vf) = %{tl_version}
Provides: tex(wmjco27.vf) = %{tl_version}
Provides: tex(wmjco28.vf) = %{tl_version}
Provides: tex(wmjco29.vf) = %{tl_version}
Provides: tex(wmjco3.vf) = %{tl_version}
Provides: tex(wmjco4.vf) = %{tl_version}
Provides: tex(wmjco5.vf) = %{tl_version}
Provides: tex(wmjco6.vf) = %{tl_version}
Provides: tex(wmjco7.vf) = %{tl_version}
Provides: tex(wmjco8.vf) = %{tl_version}
Provides: tex(wmjco9.vf) = %{tl_version}
Provides: tex(wmjo0.vf) = %{tl_version}
Provides: tex(wmjo04.vf) = %{tl_version}
Provides: tex(wmjo05.vf) = %{tl_version}
Provides: tex(wmjo06.vf) = %{tl_version}
Provides: tex(wmjo07.vf) = %{tl_version}
Provides: tex(wmjo1.vf) = %{tl_version}
Provides: tex(wmjo10.vf) = %{tl_version}
Provides: tex(wmjo11.vf) = %{tl_version}
Provides: tex(wmjo12.vf) = %{tl_version}
Provides: tex(wmjo13.vf) = %{tl_version}
Provides: tex(wmjo14.vf) = %{tl_version}
Provides: tex(wmjo15.vf) = %{tl_version}
Provides: tex(wmjo16.vf) = %{tl_version}
Provides: tex(wmjo17.vf) = %{tl_version}
Provides: tex(wmjo18.vf) = %{tl_version}
Provides: tex(wmjo19.vf) = %{tl_version}
Provides: tex(wmjo2.vf) = %{tl_version}
Provides: tex(wmjo20.vf) = %{tl_version}
Provides: tex(wmjo21.vf) = %{tl_version}
Provides: tex(wmjo22.vf) = %{tl_version}
Provides: tex(wmjo23.vf) = %{tl_version}
Provides: tex(wmjo24.vf) = %{tl_version}
Provides: tex(wmjo25.vf) = %{tl_version}
Provides: tex(wmjo26.vf) = %{tl_version}
Provides: tex(wmjo27.vf) = %{tl_version}
Provides: tex(wmjo28.vf) = %{tl_version}
Provides: tex(wmjo29.vf) = %{tl_version}
Provides: tex(wmjo3.vf) = %{tl_version}
Provides: tex(wmjo4.vf) = %{tl_version}
Provides: tex(wmjo5.vf) = %{tl_version}
Provides: tex(wmjo6.vf) = %{tl_version}
Provides: tex(wmjo7.vf) = %{tl_version}
Provides: tex(wmjo8.vf) = %{tl_version}
Provides: tex(wmjo9.vf) = %{tl_version}
Provides: tex(wmju0.vf) = %{tl_version}
Provides: tex(wmju04.vf) = %{tl_version}
Provides: tex(wmju05.vf) = %{tl_version}
Provides: tex(wmju06.vf) = %{tl_version}
Provides: tex(wmju07.vf) = %{tl_version}
Provides: tex(wmju1.vf) = %{tl_version}
Provides: tex(wmju10.vf) = %{tl_version}
Provides: tex(wmju11.vf) = %{tl_version}
Provides: tex(wmju12.vf) = %{tl_version}
Provides: tex(wmju13.vf) = %{tl_version}
Provides: tex(wmju14.vf) = %{tl_version}
Provides: tex(wmju15.vf) = %{tl_version}
Provides: tex(wmju16.vf) = %{tl_version}
Provides: tex(wmju17.vf) = %{tl_version}
Provides: tex(wmju18.vf) = %{tl_version}
Provides: tex(wmju19.vf) = %{tl_version}
Provides: tex(wmju2.vf) = %{tl_version}
Provides: tex(wmju20.vf) = %{tl_version}
Provides: tex(wmju21.vf) = %{tl_version}
Provides: tex(wmju22.vf) = %{tl_version}
Provides: tex(wmju23.vf) = %{tl_version}
Provides: tex(wmju24.vf) = %{tl_version}
Provides: tex(wmju25.vf) = %{tl_version}
Provides: tex(wmju26.vf) = %{tl_version}
Provides: tex(wmju27.vf) = %{tl_version}
Provides: tex(wmju28.vf) = %{tl_version}
Provides: tex(wmju29.vf) = %{tl_version}
Provides: tex(wmju3.vf) = %{tl_version}
Provides: tex(wmju4.vf) = %{tl_version}
Provides: tex(wmju5.vf) = %{tl_version}
Provides: tex(wmju6.vf) = %{tl_version}
Provides: tex(wmju7.vf) = %{tl_version}
Provides: tex(wmju8.vf) = %{tl_version}
Provides: tex(wmju9.vf) = %{tl_version}
Provides: tex(wmjuo0.vf) = %{tl_version}
Provides: tex(wmjuo04.vf) = %{tl_version}
Provides: tex(wmjuo05.vf) = %{tl_version}
Provides: tex(wmjuo06.vf) = %{tl_version}
Provides: tex(wmjuo07.vf) = %{tl_version}
Provides: tex(wmjuo1.vf) = %{tl_version}
Provides: tex(wmjuo10.vf) = %{tl_version}
Provides: tex(wmjuo11.vf) = %{tl_version}
Provides: tex(wmjuo12.vf) = %{tl_version}
Provides: tex(wmjuo13.vf) = %{tl_version}
Provides: tex(wmjuo14.vf) = %{tl_version}
Provides: tex(wmjuo15.vf) = %{tl_version}
Provides: tex(wmjuo16.vf) = %{tl_version}
Provides: tex(wmjuo17.vf) = %{tl_version}
Provides: tex(wmjuo18.vf) = %{tl_version}
Provides: tex(wmjuo19.vf) = %{tl_version}
Provides: tex(wmjuo2.vf) = %{tl_version}
Provides: tex(wmjuo20.vf) = %{tl_version}
Provides: tex(wmjuo21.vf) = %{tl_version}
Provides: tex(wmjuo22.vf) = %{tl_version}
Provides: tex(wmjuo23.vf) = %{tl_version}
Provides: tex(wmjuo24.vf) = %{tl_version}
Provides: tex(wmjuo25.vf) = %{tl_version}
Provides: tex(wmjuo26.vf) = %{tl_version}
Provides: tex(wmjuo27.vf) = %{tl_version}
Provides: tex(wmjuo28.vf) = %{tl_version}
Provides: tex(wmjuo29.vf) = %{tl_version}
Provides: tex(wmjuo3.vf) = %{tl_version}
Provides: tex(wmjuo4.vf) = %{tl_version}
Provides: tex(wmjuo5.vf) = %{tl_version}
Provides: tex(wmjuo6.vf) = %{tl_version}
Provides: tex(wmjuo7.vf) = %{tl_version}
Provides: tex(wmjuo8.vf) = %{tl_version}
Provides: tex(wmjuo9.vf) = %{tl_version}
Provides: tex(wmjx0.vf) = %{tl_version}
Provides: tex(wmjx04.vf) = %{tl_version}
Provides: tex(wmjx05.vf) = %{tl_version}
Provides: tex(wmjx06.vf) = %{tl_version}
Provides: tex(wmjx07.vf) = %{tl_version}
Provides: tex(wmjx1.vf) = %{tl_version}
Provides: tex(wmjx10.vf) = %{tl_version}
Provides: tex(wmjx11.vf) = %{tl_version}
Provides: tex(wmjx12.vf) = %{tl_version}
Provides: tex(wmjx13.vf) = %{tl_version}
Provides: tex(wmjx14.vf) = %{tl_version}
Provides: tex(wmjx15.vf) = %{tl_version}
Provides: tex(wmjx16.vf) = %{tl_version}
Provides: tex(wmjx17.vf) = %{tl_version}
Provides: tex(wmjx18.vf) = %{tl_version}
Provides: tex(wmjx19.vf) = %{tl_version}
Provides: tex(wmjx2.vf) = %{tl_version}
Provides: tex(wmjx20.vf) = %{tl_version}
Provides: tex(wmjx21.vf) = %{tl_version}
Provides: tex(wmjx22.vf) = %{tl_version}
Provides: tex(wmjx23.vf) = %{tl_version}
Provides: tex(wmjx24.vf) = %{tl_version}
Provides: tex(wmjx25.vf) = %{tl_version}
Provides: tex(wmjx26.vf) = %{tl_version}
Provides: tex(wmjx27.vf) = %{tl_version}
Provides: tex(wmjx28.vf) = %{tl_version}
Provides: tex(wmjx29.vf) = %{tl_version}
Provides: tex(wmjx3.vf) = %{tl_version}
Provides: tex(wmjx4.vf) = %{tl_version}
Provides: tex(wmjx5.vf) = %{tl_version}
Provides: tex(wmjx6.vf) = %{tl_version}
Provides: tex(wmjx7.vf) = %{tl_version}
Provides: tex(wmjx8.vf) = %{tl_version}
Provides: tex(wmjx9.vf) = %{tl_version}
Provides: tex(wmjxo0.vf) = %{tl_version}
Provides: tex(wmjxo04.vf) = %{tl_version}
Provides: tex(wmjxo05.vf) = %{tl_version}
Provides: tex(wmjxo06.vf) = %{tl_version}
Provides: tex(wmjxo07.vf) = %{tl_version}
Provides: tex(wmjxo1.vf) = %{tl_version}
Provides: tex(wmjxo10.vf) = %{tl_version}
Provides: tex(wmjxo11.vf) = %{tl_version}
Provides: tex(wmjxo12.vf) = %{tl_version}
Provides: tex(wmjxo13.vf) = %{tl_version}
Provides: tex(wmjxo14.vf) = %{tl_version}
Provides: tex(wmjxo15.vf) = %{tl_version}
Provides: tex(wmjxo16.vf) = %{tl_version}
Provides: tex(wmjxo17.vf) = %{tl_version}
Provides: tex(wmjxo18.vf) = %{tl_version}
Provides: tex(wmjxo19.vf) = %{tl_version}
Provides: tex(wmjxo2.vf) = %{tl_version}
Provides: tex(wmjxo20.vf) = %{tl_version}
Provides: tex(wmjxo21.vf) = %{tl_version}
Provides: tex(wmjxo22.vf) = %{tl_version}
Provides: tex(wmjxo23.vf) = %{tl_version}
Provides: tex(wmjxo24.vf) = %{tl_version}
Provides: tex(wmjxo25.vf) = %{tl_version}
Provides: tex(wmjxo26.vf) = %{tl_version}
Provides: tex(wmjxo27.vf) = %{tl_version}
Provides: tex(wmjxo28.vf) = %{tl_version}
Provides: tex(wmjxo29.vf) = %{tl_version}
Provides: tex(wmjxo3.vf) = %{tl_version}
Provides: tex(wmjxo4.vf) = %{tl_version}
Provides: tex(wmjxo5.vf) = %{tl_version}
Provides: tex(wmjxo6.vf) = %{tl_version}
Provides: tex(wmjxo7.vf) = %{tl_version}
Provides: tex(wmjxo8.vf) = %{tl_version}
Provides: tex(wmjxo9.vf) = %{tl_version}

%description uhc
Support for Korean documents written in Korean standard KSC
codes for LaTeX2e.

%package uhc-doc
Summary: Documentation for uhc
Version: svn16791.0

Provides: tex-uhc-doc
AutoReqProv: No

%description uhc-doc
Documentation for uhc

%package wadalab
Provides: tex-wadalab = %{tl_version}
License: Wadalab
Summary: Wadalab (Japanese) font packages
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: tex(dgj.map) = %{tl_version}
Provides: tex(dmj.map) = %{tl_version}
Provides: tex(mc2j.map) = %{tl_version}
Provides: tex(mcj.map) = %{tl_version}
Provides: tex(mr2j.map) = %{tl_version}
Provides: tex(mrj.map) = %{tl_version}
Provides: tex(dgjgreek.tfm) = %{tl_version}
Provides: tex(dgjhira.tfm) = %{tl_version}
Provides: tex(dgjhw.tfm) = %{tl_version}
Provides: tex(dgjka.tfm) = %{tl_version}
Provides: tex(dgjkata.tfm) = %{tl_version}
Provides: tex(dgjkb.tfm) = %{tl_version}
Provides: tex(dgjkc.tfm) = %{tl_version}
Provides: tex(dgjkd.tfm) = %{tl_version}
Provides: tex(dgjke.tfm) = %{tl_version}
Provides: tex(dgjkeisen.tfm) = %{tl_version}
Provides: tex(dgjkf.tfm) = %{tl_version}
Provides: tex(dgjkg.tfm) = %{tl_version}
Provides: tex(dgjkh.tfm) = %{tl_version}
Provides: tex(dgjki.tfm) = %{tl_version}
Provides: tex(dgjkj.tfm) = %{tl_version}
Provides: tex(dgjkk.tfm) = %{tl_version}
Provides: tex(dgjkl.tfm) = %{tl_version}
Provides: tex(dgjkm.tfm) = %{tl_version}
Provides: tex(dgjkn.tfm) = %{tl_version}
Provides: tex(dgjko.tfm) = %{tl_version}
Provides: tex(dgjkp.tfm) = %{tl_version}
Provides: tex(dgjkq.tfm) = %{tl_version}
Provides: tex(dgjkr.tfm) = %{tl_version}
Provides: tex(dgjks.tfm) = %{tl_version}
Provides: tex(dgjkt.tfm) = %{tl_version}
Provides: tex(dgjku.tfm) = %{tl_version}
Provides: tex(dgjkv.tfm) = %{tl_version}
Provides: tex(dgjkw.tfm) = %{tl_version}
Provides: tex(dgjkx.tfm) = %{tl_version}
Provides: tex(dgjky.tfm) = %{tl_version}
Provides: tex(dgjkz.tfm) = %{tl_version}
Provides: tex(dgjroma.tfm) = %{tl_version}
Provides: tex(dgjrussian.tfm) = %{tl_version}
Provides: tex(dgjsy.tfm) = %{tl_version}
Provides: tex(dmjgreek.tfm) = %{tl_version}
Provides: tex(dmjhira.tfm) = %{tl_version}
Provides: tex(dmjhw.tfm) = %{tl_version}
Provides: tex(dmjka.tfm) = %{tl_version}
Provides: tex(dmjkata.tfm) = %{tl_version}
Provides: tex(dmjkb.tfm) = %{tl_version}
Provides: tex(dmjkc.tfm) = %{tl_version}
Provides: tex(dmjkd.tfm) = %{tl_version}
Provides: tex(dmjke.tfm) = %{tl_version}
Provides: tex(dmjkeisen.tfm) = %{tl_version}
Provides: tex(dmjkf.tfm) = %{tl_version}
Provides: tex(dmjkg.tfm) = %{tl_version}
Provides: tex(dmjkh.tfm) = %{tl_version}
Provides: tex(dmjki.tfm) = %{tl_version}
Provides: tex(dmjkj.tfm) = %{tl_version}
Provides: tex(dmjkk.tfm) = %{tl_version}
Provides: tex(dmjkl.tfm) = %{tl_version}
Provides: tex(dmjkm.tfm) = %{tl_version}
Provides: tex(dmjkn.tfm) = %{tl_version}
Provides: tex(dmjko.tfm) = %{tl_version}
Provides: tex(dmjkp.tfm) = %{tl_version}
Provides: tex(dmjkq.tfm) = %{tl_version}
Provides: tex(dmjkr.tfm) = %{tl_version}
Provides: tex(dmjks.tfm) = %{tl_version}
Provides: tex(dmjkt.tfm) = %{tl_version}
Provides: tex(dmjku.tfm) = %{tl_version}
Provides: tex(dmjkv.tfm) = %{tl_version}
Provides: tex(dmjkw.tfm) = %{tl_version}
Provides: tex(dmjkx.tfm) = %{tl_version}
Provides: tex(dmjky.tfm) = %{tl_version}
Provides: tex(dmjkz.tfm) = %{tl_version}
Provides: tex(dmjroma.tfm) = %{tl_version}
Provides: tex(dmjrussian.tfm) = %{tl_version}
Provides: tex(dmjsy.tfm) = %{tl_version}
Provides: tex(mc2jka.tfm) = %{tl_version}
Provides: tex(mc2jkb.tfm) = %{tl_version}
Provides: tex(mc2jkc.tfm) = %{tl_version}
Provides: tex(mc2jkd.tfm) = %{tl_version}
Provides: tex(mc2jke.tfm) = %{tl_version}
Provides: tex(mc2jkf.tfm) = %{tl_version}
Provides: tex(mc2jkg.tfm) = %{tl_version}
Provides: tex(mc2jkh.tfm) = %{tl_version}
Provides: tex(mc2jki.tfm) = %{tl_version}
Provides: tex(mc2jkj.tfm) = %{tl_version}
Provides: tex(mc2jkk.tfm) = %{tl_version}
Provides: tex(mc2jkl.tfm) = %{tl_version}
Provides: tex(mc2jkm.tfm) = %{tl_version}
Provides: tex(mc2jkn.tfm) = %{tl_version}
Provides: tex(mc2jko.tfm) = %{tl_version}
Provides: tex(mc2jkp.tfm) = %{tl_version}
Provides: tex(mc2jkq.tfm) = %{tl_version}
Provides: tex(mc2jkr.tfm) = %{tl_version}
Provides: tex(mc2jks.tfm) = %{tl_version}
Provides: tex(mc2jkt.tfm) = %{tl_version}
Provides: tex(mc2jku.tfm) = %{tl_version}
Provides: tex(mc2jkv.tfm) = %{tl_version}
Provides: tex(mc2jkw.tfm) = %{tl_version}
Provides: tex(mcjgreek.tfm) = %{tl_version}
Provides: tex(mcjhira.tfm) = %{tl_version}
Provides: tex(mcjhw.tfm) = %{tl_version}
Provides: tex(mcjka.tfm) = %{tl_version}
Provides: tex(mcjkata.tfm) = %{tl_version}
Provides: tex(mcjkb.tfm) = %{tl_version}
Provides: tex(mcjkc.tfm) = %{tl_version}
Provides: tex(mcjkd.tfm) = %{tl_version}
Provides: tex(mcjke.tfm) = %{tl_version}
Provides: tex(mcjkeisen.tfm) = %{tl_version}
Provides: tex(mcjkf.tfm) = %{tl_version}
Provides: tex(mcjkg.tfm) = %{tl_version}
Provides: tex(mcjkh.tfm) = %{tl_version}
Provides: tex(mcjki.tfm) = %{tl_version}
Provides: tex(mcjkj.tfm) = %{tl_version}
Provides: tex(mcjkk.tfm) = %{tl_version}
Provides: tex(mcjkl.tfm) = %{tl_version}
Provides: tex(mcjkm.tfm) = %{tl_version}
Provides: tex(mcjkn.tfm) = %{tl_version}
Provides: tex(mcjko.tfm) = %{tl_version}
Provides: tex(mcjkp.tfm) = %{tl_version}
Provides: tex(mcjkq.tfm) = %{tl_version}
Provides: tex(mcjkr.tfm) = %{tl_version}
Provides: tex(mcjks.tfm) = %{tl_version}
Provides: tex(mcjkt.tfm) = %{tl_version}
Provides: tex(mcjku.tfm) = %{tl_version}
Provides: tex(mcjkv.tfm) = %{tl_version}
Provides: tex(mcjkw.tfm) = %{tl_version}
Provides: tex(mcjkx.tfm) = %{tl_version}
Provides: tex(mcjky.tfm) = %{tl_version}
Provides: tex(mcjkz.tfm) = %{tl_version}
Provides: tex(mcjroma.tfm) = %{tl_version}
Provides: tex(mcjrussian.tfm) = %{tl_version}
Provides: tex(mcjsy.tfm) = %{tl_version}
Provides: tex(mr2jka.tfm) = %{tl_version}
Provides: tex(mr2jkb.tfm) = %{tl_version}
Provides: tex(mr2jkc.tfm) = %{tl_version}
Provides: tex(mr2jkd.tfm) = %{tl_version}
Provides: tex(mr2jke.tfm) = %{tl_version}
Provides: tex(mr2jkf.tfm) = %{tl_version}
Provides: tex(mr2jkg.tfm) = %{tl_version}
Provides: tex(mr2jkh.tfm) = %{tl_version}
Provides: tex(mr2jki.tfm) = %{tl_version}
Provides: tex(mr2jkj.tfm) = %{tl_version}
Provides: tex(mr2jkk.tfm) = %{tl_version}
Provides: tex(mr2jkl.tfm) = %{tl_version}
Provides: tex(mr2jkm.tfm) = %{tl_version}
Provides: tex(mr2jkn.tfm) = %{tl_version}
Provides: tex(mr2jko.tfm) = %{tl_version}
Provides: tex(mr2jkp.tfm) = %{tl_version}
Provides: tex(mr2jkq.tfm) = %{tl_version}
Provides: tex(mr2jkr.tfm) = %{tl_version}
Provides: tex(mr2jks.tfm) = %{tl_version}
Provides: tex(mr2jkt.tfm) = %{tl_version}
Provides: tex(mr2jku.tfm) = %{tl_version}
Provides: tex(mr2jkv.tfm) = %{tl_version}
Provides: tex(mr2jkw.tfm) = %{tl_version}
Provides: tex(mrjgreek.tfm) = %{tl_version}
Provides: tex(mrjhira.tfm) = %{tl_version}
Provides: tex(mrjhw.tfm) = %{tl_version}
Provides: tex(mrjka.tfm) = %{tl_version}
Provides: tex(mrjkata.tfm) = %{tl_version}
Provides: tex(mrjkb.tfm) = %{tl_version}
Provides: tex(mrjkc.tfm) = %{tl_version}
Provides: tex(mrjkd.tfm) = %{tl_version}
Provides: tex(mrjke.tfm) = %{tl_version}
Provides: tex(mrjkeisen.tfm) = %{tl_version}
Provides: tex(mrjkf.tfm) = %{tl_version}
Provides: tex(mrjkg.tfm) = %{tl_version}
Provides: tex(mrjkh.tfm) = %{tl_version}
Provides: tex(mrjki.tfm) = %{tl_version}
Provides: tex(mrjkj.tfm) = %{tl_version}
Provides: tex(mrjkk.tfm) = %{tl_version}
Provides: tex(mrjkl.tfm) = %{tl_version}
Provides: tex(mrjkm.tfm) = %{tl_version}
Provides: tex(mrjkn.tfm) = %{tl_version}
Provides: tex(mrjko.tfm) = %{tl_version}
Provides: tex(mrjkp.tfm) = %{tl_version}
Provides: tex(mrjkq.tfm) = %{tl_version}
Provides: tex(mrjkr.tfm) = %{tl_version}
Provides: tex(mrjks.tfm) = %{tl_version}
Provides: tex(mrjkt.tfm) = %{tl_version}
Provides: tex(mrjku.tfm) = %{tl_version}
Provides: tex(mrjkv.tfm) = %{tl_version}
Provides: tex(mrjkw.tfm) = %{tl_version}
Provides: tex(mrjkx.tfm) = %{tl_version}
Provides: tex(mrjky.tfm) = %{tl_version}
Provides: tex(mrjkz.tfm) = %{tl_version}
Provides: tex(mrjroma.tfm) = %{tl_version}
Provides: tex(mrjrussian.tfm) = %{tl_version}
Provides: tex(mrjsy.tfm) = %{tl_version}
Provides: tex(udgj00.tfm) = %{tl_version}
Provides: tex(udgj03.tfm) = %{tl_version}
Provides: tex(udgj04.tfm) = %{tl_version}
Provides: tex(udgj20.tfm) = %{tl_version}
Provides: tex(udgj21.tfm) = %{tl_version}
Provides: tex(udgj22.tfm) = %{tl_version}
Provides: tex(udgj23.tfm) = %{tl_version}
Provides: tex(udgj25.tfm) = %{tl_version}
Provides: tex(udgj26.tfm) = %{tl_version}
Provides: tex(udgj30.tfm) = %{tl_version}
Provides: tex(udgj4e.tfm) = %{tl_version}
Provides: tex(udgj4f.tfm) = %{tl_version}
Provides: tex(udgj50.tfm) = %{tl_version}
Provides: tex(udgj51.tfm) = %{tl_version}
Provides: tex(udgj52.tfm) = %{tl_version}
Provides: tex(udgj53.tfm) = %{tl_version}
Provides: tex(udgj54.tfm) = %{tl_version}
Provides: tex(udgj55.tfm) = %{tl_version}
Provides: tex(udgj56.tfm) = %{tl_version}
Provides: tex(udgj57.tfm) = %{tl_version}
Provides: tex(udgj58.tfm) = %{tl_version}
Provides: tex(udgj59.tfm) = %{tl_version}
Provides: tex(udgj5a.tfm) = %{tl_version}
Provides: tex(udgj5b.tfm) = %{tl_version}
Provides: tex(udgj5c.tfm) = %{tl_version}
Provides: tex(udgj5d.tfm) = %{tl_version}
Provides: tex(udgj5e.tfm) = %{tl_version}
Provides: tex(udgj5f.tfm) = %{tl_version}
Provides: tex(udgj60.tfm) = %{tl_version}
Provides: tex(udgj61.tfm) = %{tl_version}
Provides: tex(udgj62.tfm) = %{tl_version}
Provides: tex(udgj63.tfm) = %{tl_version}
Provides: tex(udgj64.tfm) = %{tl_version}
Provides: tex(udgj65.tfm) = %{tl_version}
Provides: tex(udgj66.tfm) = %{tl_version}
Provides: tex(udgj67.tfm) = %{tl_version}
Provides: tex(udgj68.tfm) = %{tl_version}
Provides: tex(udgj69.tfm) = %{tl_version}
Provides: tex(udgj6a.tfm) = %{tl_version}
Provides: tex(udgj6b.tfm) = %{tl_version}
Provides: tex(udgj6c.tfm) = %{tl_version}
Provides: tex(udgj6d.tfm) = %{tl_version}
Provides: tex(udgj6e.tfm) = %{tl_version}
Provides: tex(udgj6f.tfm) = %{tl_version}
Provides: tex(udgj70.tfm) = %{tl_version}
Provides: tex(udgj71.tfm) = %{tl_version}
Provides: tex(udgj72.tfm) = %{tl_version}
Provides: tex(udgj73.tfm) = %{tl_version}
Provides: tex(udgj74.tfm) = %{tl_version}
Provides: tex(udgj75.tfm) = %{tl_version}
Provides: tex(udgj76.tfm) = %{tl_version}
Provides: tex(udgj77.tfm) = %{tl_version}
Provides: tex(udgj78.tfm) = %{tl_version}
Provides: tex(udgj79.tfm) = %{tl_version}
Provides: tex(udgj7a.tfm) = %{tl_version}
Provides: tex(udgj7b.tfm) = %{tl_version}
Provides: tex(udgj7c.tfm) = %{tl_version}
Provides: tex(udgj7d.tfm) = %{tl_version}
Provides: tex(udgj7e.tfm) = %{tl_version}
Provides: tex(udgj7f.tfm) = %{tl_version}
Provides: tex(udgj80.tfm) = %{tl_version}
Provides: tex(udgj81.tfm) = %{tl_version}
Provides: tex(udgj82.tfm) = %{tl_version}
Provides: tex(udgj83.tfm) = %{tl_version}
Provides: tex(udgj84.tfm) = %{tl_version}
Provides: tex(udgj85.tfm) = %{tl_version}
Provides: tex(udgj86.tfm) = %{tl_version}
Provides: tex(udgj87.tfm) = %{tl_version}
Provides: tex(udgj88.tfm) = %{tl_version}
Provides: tex(udgj89.tfm) = %{tl_version}
Provides: tex(udgj8a.tfm) = %{tl_version}
Provides: tex(udgj8b.tfm) = %{tl_version}
Provides: tex(udgj8c.tfm) = %{tl_version}
Provides: tex(udgj8d.tfm) = %{tl_version}
Provides: tex(udgj8e.tfm) = %{tl_version}
Provides: tex(udgj8f.tfm) = %{tl_version}
Provides: tex(udgj90.tfm) = %{tl_version}
Provides: tex(udgj91.tfm) = %{tl_version}
Provides: tex(udgj92.tfm) = %{tl_version}
Provides: tex(udgj93.tfm) = %{tl_version}
Provides: tex(udgj94.tfm) = %{tl_version}
Provides: tex(udgj95.tfm) = %{tl_version}
Provides: tex(udgj96.tfm) = %{tl_version}
Provides: tex(udgj97.tfm) = %{tl_version}
Provides: tex(udgj98.tfm) = %{tl_version}
Provides: tex(udgj99.tfm) = %{tl_version}
Provides: tex(udgj9a.tfm) = %{tl_version}
Provides: tex(udgj9b.tfm) = %{tl_version}
Provides: tex(udgj9c.tfm) = %{tl_version}
Provides: tex(udgj9d.tfm) = %{tl_version}
Provides: tex(udgj9e.tfm) = %{tl_version}
Provides: tex(udgj9f.tfm) = %{tl_version}
Provides: tex(udgjff.tfm) = %{tl_version}
Provides: tex(udmj00.tfm) = %{tl_version}
Provides: tex(udmj03.tfm) = %{tl_version}
Provides: tex(udmj04.tfm) = %{tl_version}
Provides: tex(udmj20.tfm) = %{tl_version}
Provides: tex(udmj21.tfm) = %{tl_version}
Provides: tex(udmj22.tfm) = %{tl_version}
Provides: tex(udmj23.tfm) = %{tl_version}
Provides: tex(udmj25.tfm) = %{tl_version}
Provides: tex(udmj26.tfm) = %{tl_version}
Provides: tex(udmj30.tfm) = %{tl_version}
Provides: tex(udmj4e.tfm) = %{tl_version}
Provides: tex(udmj4f.tfm) = %{tl_version}
Provides: tex(udmj50.tfm) = %{tl_version}
Provides: tex(udmj51.tfm) = %{tl_version}
Provides: tex(udmj52.tfm) = %{tl_version}
Provides: tex(udmj53.tfm) = %{tl_version}
Provides: tex(udmj54.tfm) = %{tl_version}
Provides: tex(udmj55.tfm) = %{tl_version}
Provides: tex(udmj56.tfm) = %{tl_version}
Provides: tex(udmj57.tfm) = %{tl_version}
Provides: tex(udmj58.tfm) = %{tl_version}
Provides: tex(udmj59.tfm) = %{tl_version}
Provides: tex(udmj5a.tfm) = %{tl_version}
Provides: tex(udmj5b.tfm) = %{tl_version}
Provides: tex(udmj5c.tfm) = %{tl_version}
Provides: tex(udmj5d.tfm) = %{tl_version}
Provides: tex(udmj5e.tfm) = %{tl_version}
Provides: tex(udmj5f.tfm) = %{tl_version}
Provides: tex(udmj60.tfm) = %{tl_version}
Provides: tex(udmj61.tfm) = %{tl_version}
Provides: tex(udmj62.tfm) = %{tl_version}
Provides: tex(udmj63.tfm) = %{tl_version}
Provides: tex(udmj64.tfm) = %{tl_version}
Provides: tex(udmj65.tfm) = %{tl_version}
Provides: tex(udmj66.tfm) = %{tl_version}
Provides: tex(udmj67.tfm) = %{tl_version}
Provides: tex(udmj68.tfm) = %{tl_version}
Provides: tex(udmj69.tfm) = %{tl_version}
Provides: tex(udmj6a.tfm) = %{tl_version}
Provides: tex(udmj6b.tfm) = %{tl_version}
Provides: tex(udmj6c.tfm) = %{tl_version}
Provides: tex(udmj6d.tfm) = %{tl_version}
Provides: tex(udmj6e.tfm) = %{tl_version}
Provides: tex(udmj6f.tfm) = %{tl_version}
Provides: tex(udmj70.tfm) = %{tl_version}
Provides: tex(udmj71.tfm) = %{tl_version}
Provides: tex(udmj72.tfm) = %{tl_version}
Provides: tex(udmj73.tfm) = %{tl_version}
Provides: tex(udmj74.tfm) = %{tl_version}
Provides: tex(udmj75.tfm) = %{tl_version}
Provides: tex(udmj76.tfm) = %{tl_version}
Provides: tex(udmj77.tfm) = %{tl_version}
Provides: tex(udmj78.tfm) = %{tl_version}
Provides: tex(udmj79.tfm) = %{tl_version}
Provides: tex(udmj7a.tfm) = %{tl_version}
Provides: tex(udmj7b.tfm) = %{tl_version}
Provides: tex(udmj7c.tfm) = %{tl_version}
Provides: tex(udmj7d.tfm) = %{tl_version}
Provides: tex(udmj7e.tfm) = %{tl_version}
Provides: tex(udmj7f.tfm) = %{tl_version}
Provides: tex(udmj80.tfm) = %{tl_version}
Provides: tex(udmj81.tfm) = %{tl_version}
Provides: tex(udmj82.tfm) = %{tl_version}
Provides: tex(udmj83.tfm) = %{tl_version}
Provides: tex(udmj84.tfm) = %{tl_version}
Provides: tex(udmj85.tfm) = %{tl_version}
Provides: tex(udmj86.tfm) = %{tl_version}
Provides: tex(udmj87.tfm) = %{tl_version}
Provides: tex(udmj88.tfm) = %{tl_version}
Provides: tex(udmj89.tfm) = %{tl_version}
Provides: tex(udmj8a.tfm) = %{tl_version}
Provides: tex(udmj8b.tfm) = %{tl_version}
Provides: tex(udmj8c.tfm) = %{tl_version}
Provides: tex(udmj8d.tfm) = %{tl_version}
Provides: tex(udmj8e.tfm) = %{tl_version}
Provides: tex(udmj8f.tfm) = %{tl_version}
Provides: tex(udmj90.tfm) = %{tl_version}
Provides: tex(udmj91.tfm) = %{tl_version}
Provides: tex(udmj92.tfm) = %{tl_version}
Provides: tex(udmj93.tfm) = %{tl_version}
Provides: tex(udmj94.tfm) = %{tl_version}
Provides: tex(udmj95.tfm) = %{tl_version}
Provides: tex(udmj96.tfm) = %{tl_version}
Provides: tex(udmj97.tfm) = %{tl_version}
Provides: tex(udmj98.tfm) = %{tl_version}
Provides: tex(udmj99.tfm) = %{tl_version}
Provides: tex(udmj9a.tfm) = %{tl_version}
Provides: tex(udmj9b.tfm) = %{tl_version}
Provides: tex(udmj9c.tfm) = %{tl_version}
Provides: tex(udmj9d.tfm) = %{tl_version}
Provides: tex(udmj9e.tfm) = %{tl_version}
Provides: tex(udmj9f.tfm) = %{tl_version}
Provides: tex(udmjff.tfm) = %{tl_version}
Provides: tex(umcj00.tfm) = %{tl_version}
Provides: tex(umcj03.tfm) = %{tl_version}
Provides: tex(umcj04.tfm) = %{tl_version}
Provides: tex(umcj20.tfm) = %{tl_version}
Provides: tex(umcj21.tfm) = %{tl_version}
Provides: tex(umcj22.tfm) = %{tl_version}
Provides: tex(umcj23.tfm) = %{tl_version}
Provides: tex(umcj25.tfm) = %{tl_version}
Provides: tex(umcj26.tfm) = %{tl_version}
Provides: tex(umcj30.tfm) = %{tl_version}
Provides: tex(umcj4e.tfm) = %{tl_version}
Provides: tex(umcj4f.tfm) = %{tl_version}
Provides: tex(umcj50.tfm) = %{tl_version}
Provides: tex(umcj51.tfm) = %{tl_version}
Provides: tex(umcj52.tfm) = %{tl_version}
Provides: tex(umcj53.tfm) = %{tl_version}
Provides: tex(umcj54.tfm) = %{tl_version}
Provides: tex(umcj55.tfm) = %{tl_version}
Provides: tex(umcj56.tfm) = %{tl_version}
Provides: tex(umcj57.tfm) = %{tl_version}
Provides: tex(umcj58.tfm) = %{tl_version}
Provides: tex(umcj59.tfm) = %{tl_version}
Provides: tex(umcj5a.tfm) = %{tl_version}
Provides: tex(umcj5b.tfm) = %{tl_version}
Provides: tex(umcj5c.tfm) = %{tl_version}
Provides: tex(umcj5d.tfm) = %{tl_version}
Provides: tex(umcj5e.tfm) = %{tl_version}
Provides: tex(umcj5f.tfm) = %{tl_version}
Provides: tex(umcj60.tfm) = %{tl_version}
Provides: tex(umcj61.tfm) = %{tl_version}
Provides: tex(umcj62.tfm) = %{tl_version}
Provides: tex(umcj63.tfm) = %{tl_version}
Provides: tex(umcj64.tfm) = %{tl_version}
Provides: tex(umcj65.tfm) = %{tl_version}
Provides: tex(umcj66.tfm) = %{tl_version}
Provides: tex(umcj67.tfm) = %{tl_version}
Provides: tex(umcj68.tfm) = %{tl_version}
Provides: tex(umcj69.tfm) = %{tl_version}
Provides: tex(umcj6a.tfm) = %{tl_version}
Provides: tex(umcj6b.tfm) = %{tl_version}
Provides: tex(umcj6c.tfm) = %{tl_version}
Provides: tex(umcj6d.tfm) = %{tl_version}
Provides: tex(umcj6e.tfm) = %{tl_version}
Provides: tex(umcj6f.tfm) = %{tl_version}
Provides: tex(umcj70.tfm) = %{tl_version}
Provides: tex(umcj71.tfm) = %{tl_version}
Provides: tex(umcj72.tfm) = %{tl_version}
Provides: tex(umcj73.tfm) = %{tl_version}
Provides: tex(umcj74.tfm) = %{tl_version}
Provides: tex(umcj75.tfm) = %{tl_version}
Provides: tex(umcj76.tfm) = %{tl_version}
Provides: tex(umcj77.tfm) = %{tl_version}
Provides: tex(umcj78.tfm) = %{tl_version}
Provides: tex(umcj79.tfm) = %{tl_version}
Provides: tex(umcj7a.tfm) = %{tl_version}
Provides: tex(umcj7b.tfm) = %{tl_version}
Provides: tex(umcj7c.tfm) = %{tl_version}
Provides: tex(umcj7d.tfm) = %{tl_version}
Provides: tex(umcj7e.tfm) = %{tl_version}
Provides: tex(umcj7f.tfm) = %{tl_version}
Provides: tex(umcj80.tfm) = %{tl_version}
Provides: tex(umcj81.tfm) = %{tl_version}
Provides: tex(umcj82.tfm) = %{tl_version}
Provides: tex(umcj83.tfm) = %{tl_version}
Provides: tex(umcj84.tfm) = %{tl_version}
Provides: tex(umcj85.tfm) = %{tl_version}
Provides: tex(umcj86.tfm) = %{tl_version}
Provides: tex(umcj87.tfm) = %{tl_version}
Provides: tex(umcj88.tfm) = %{tl_version}
Provides: tex(umcj89.tfm) = %{tl_version}
Provides: tex(umcj8a.tfm) = %{tl_version}
Provides: tex(umcj8b.tfm) = %{tl_version}
Provides: tex(umcj8c.tfm) = %{tl_version}
Provides: tex(umcj8d.tfm) = %{tl_version}
Provides: tex(umcj8e.tfm) = %{tl_version}
Provides: tex(umcj8f.tfm) = %{tl_version}
Provides: tex(umcj90.tfm) = %{tl_version}
Provides: tex(umcj91.tfm) = %{tl_version}
Provides: tex(umcj92.tfm) = %{tl_version}
Provides: tex(umcj93.tfm) = %{tl_version}
Provides: tex(umcj94.tfm) = %{tl_version}
Provides: tex(umcj95.tfm) = %{tl_version}
Provides: tex(umcj96.tfm) = %{tl_version}
Provides: tex(umcj97.tfm) = %{tl_version}
Provides: tex(umcj98.tfm) = %{tl_version}
Provides: tex(umcj99.tfm) = %{tl_version}
Provides: tex(umcj9a.tfm) = %{tl_version}
Provides: tex(umcj9b.tfm) = %{tl_version}
Provides: tex(umcj9c.tfm) = %{tl_version}
Provides: tex(umcj9d.tfm) = %{tl_version}
Provides: tex(umcj9e.tfm) = %{tl_version}
Provides: tex(umcj9f.tfm) = %{tl_version}
Provides: tex(umcjff.tfm) = %{tl_version}
Provides: tex(umrj00.tfm) = %{tl_version}
Provides: tex(umrj03.tfm) = %{tl_version}
Provides: tex(umrj04.tfm) = %{tl_version}
Provides: tex(umrj20.tfm) = %{tl_version}
Provides: tex(umrj21.tfm) = %{tl_version}
Provides: tex(umrj22.tfm) = %{tl_version}
Provides: tex(umrj23.tfm) = %{tl_version}
Provides: tex(umrj25.tfm) = %{tl_version}
Provides: tex(umrj26.tfm) = %{tl_version}
Provides: tex(umrj30.tfm) = %{tl_version}
Provides: tex(umrj4e.tfm) = %{tl_version}
Provides: tex(umrj4f.tfm) = %{tl_version}
Provides: tex(umrj50.tfm) = %{tl_version}
Provides: tex(umrj51.tfm) = %{tl_version}
Provides: tex(umrj52.tfm) = %{tl_version}
Provides: tex(umrj53.tfm) = %{tl_version}
Provides: tex(umrj54.tfm) = %{tl_version}
Provides: tex(umrj55.tfm) = %{tl_version}
Provides: tex(umrj56.tfm) = %{tl_version}
Provides: tex(umrj57.tfm) = %{tl_version}
Provides: tex(umrj58.tfm) = %{tl_version}
Provides: tex(umrj59.tfm) = %{tl_version}
Provides: tex(umrj5a.tfm) = %{tl_version}
Provides: tex(umrj5b.tfm) = %{tl_version}
Provides: tex(umrj5c.tfm) = %{tl_version}
Provides: tex(umrj5d.tfm) = %{tl_version}
Provides: tex(umrj5e.tfm) = %{tl_version}
Provides: tex(umrj5f.tfm) = %{tl_version}
Provides: tex(umrj60.tfm) = %{tl_version}
Provides: tex(umrj61.tfm) = %{tl_version}
Provides: tex(umrj62.tfm) = %{tl_version}
Provides: tex(umrj63.tfm) = %{tl_version}
Provides: tex(umrj64.tfm) = %{tl_version}
Provides: tex(umrj65.tfm) = %{tl_version}
Provides: tex(umrj66.tfm) = %{tl_version}
Provides: tex(umrj67.tfm) = %{tl_version}
Provides: tex(umrj68.tfm) = %{tl_version}
Provides: tex(umrj69.tfm) = %{tl_version}
Provides: tex(umrj6a.tfm) = %{tl_version}
Provides: tex(umrj6b.tfm) = %{tl_version}
Provides: tex(umrj6c.tfm) = %{tl_version}
Provides: tex(umrj6d.tfm) = %{tl_version}
Provides: tex(umrj6e.tfm) = %{tl_version}
Provides: tex(umrj6f.tfm) = %{tl_version}
Provides: tex(umrj70.tfm) = %{tl_version}
Provides: tex(umrj71.tfm) = %{tl_version}
Provides: tex(umrj72.tfm) = %{tl_version}
Provides: tex(umrj73.tfm) = %{tl_version}
Provides: tex(umrj74.tfm) = %{tl_version}
Provides: tex(umrj75.tfm) = %{tl_version}
Provides: tex(umrj76.tfm) = %{tl_version}
Provides: tex(umrj77.tfm) = %{tl_version}
Provides: tex(umrj78.tfm) = %{tl_version}
Provides: tex(umrj79.tfm) = %{tl_version}
Provides: tex(umrj7a.tfm) = %{tl_version}
Provides: tex(umrj7b.tfm) = %{tl_version}
Provides: tex(umrj7c.tfm) = %{tl_version}
Provides: tex(umrj7d.tfm) = %{tl_version}
Provides: tex(umrj7e.tfm) = %{tl_version}
Provides: tex(umrj7f.tfm) = %{tl_version}
Provides: tex(umrj80.tfm) = %{tl_version}
Provides: tex(umrj81.tfm) = %{tl_version}
Provides: tex(umrj82.tfm) = %{tl_version}
Provides: tex(umrj83.tfm) = %{tl_version}
Provides: tex(umrj84.tfm) = %{tl_version}
Provides: tex(umrj85.tfm) = %{tl_version}
Provides: tex(umrj86.tfm) = %{tl_version}
Provides: tex(umrj87.tfm) = %{tl_version}
Provides: tex(umrj88.tfm) = %{tl_version}
Provides: tex(umrj89.tfm) = %{tl_version}
Provides: tex(umrj8a.tfm) = %{tl_version}
Provides: tex(umrj8b.tfm) = %{tl_version}
Provides: tex(umrj8c.tfm) = %{tl_version}
Provides: tex(umrj8d.tfm) = %{tl_version}
Provides: tex(umrj8e.tfm) = %{tl_version}
Provides: tex(umrj8f.tfm) = %{tl_version}
Provides: tex(umrj90.tfm) = %{tl_version}
Provides: tex(umrj91.tfm) = %{tl_version}
Provides: tex(umrj92.tfm) = %{tl_version}
Provides: tex(umrj93.tfm) = %{tl_version}
Provides: tex(umrj94.tfm) = %{tl_version}
Provides: tex(umrj95.tfm) = %{tl_version}
Provides: tex(umrj96.tfm) = %{tl_version}
Provides: tex(umrj97.tfm) = %{tl_version}
Provides: tex(umrj98.tfm) = %{tl_version}
Provides: tex(umrj99.tfm) = %{tl_version}
Provides: tex(umrj9a.tfm) = %{tl_version}
Provides: tex(umrj9b.tfm) = %{tl_version}
Provides: tex(umrj9c.tfm) = %{tl_version}
Provides: tex(umrj9d.tfm) = %{tl_version}
Provides: tex(umrj9e.tfm) = %{tl_version}
Provides: tex(umrj9f.tfm) = %{tl_version}
Provides: tex(umrjff.tfm) = %{tl_version}
Provides: tex(dgjgreek.pfb) = %{tl_version}
Provides: tex(dgjhira.pfb) = %{tl_version}
Provides: tex(dgjhw.pfb) = %{tl_version}
Provides: tex(dgjka.pfb) = %{tl_version}
Provides: tex(dgjkata.pfb) = %{tl_version}
Provides: tex(dgjkb.pfb) = %{tl_version}
Provides: tex(dgjkc.pfb) = %{tl_version}
Provides: tex(dgjkd.pfb) = %{tl_version}
Provides: tex(dgjke.pfb) = %{tl_version}
Provides: tex(dgjkeisen.pfb) = %{tl_version}
Provides: tex(dgjkf.pfb) = %{tl_version}
Provides: tex(dgjkg.pfb) = %{tl_version}
Provides: tex(dgjkh.pfb) = %{tl_version}
Provides: tex(dgjki.pfb) = %{tl_version}
Provides: tex(dgjkj.pfb) = %{tl_version}
Provides: tex(dgjkk.pfb) = %{tl_version}
Provides: tex(dgjkl.pfb) = %{tl_version}
Provides: tex(dgjkm.pfb) = %{tl_version}
Provides: tex(dgjkn.pfb) = %{tl_version}
Provides: tex(dgjko.pfb) = %{tl_version}
Provides: tex(dgjkp.pfb) = %{tl_version}
Provides: tex(dgjkq.pfb) = %{tl_version}
Provides: tex(dgjkr.pfb) = %{tl_version}
Provides: tex(dgjks.pfb) = %{tl_version}
Provides: tex(dgjkt.pfb) = %{tl_version}
Provides: tex(dgjku.pfb) = %{tl_version}
Provides: tex(dgjkv.pfb) = %{tl_version}
Provides: tex(dgjkw.pfb) = %{tl_version}
Provides: tex(dgjkx.pfb) = %{tl_version}
Provides: tex(dgjky.pfb) = %{tl_version}
Provides: tex(dgjkz.pfb) = %{tl_version}
Provides: tex(dgjroma.pfb) = %{tl_version}
Provides: tex(dgjrussian.pfb) = %{tl_version}
Provides: tex(dgjsy.pfb) = %{tl_version}
Provides: tex(dmjgreek.pfb) = %{tl_version}
Provides: tex(dmjhira.pfb) = %{tl_version}
Provides: tex(dmjhw.pfb) = %{tl_version}
Provides: tex(dmjka.pfb) = %{tl_version}
Provides: tex(dmjkata.pfb) = %{tl_version}
Provides: tex(dmjkb.pfb) = %{tl_version}
Provides: tex(dmjkc.pfb) = %{tl_version}
Provides: tex(dmjkd.pfb) = %{tl_version}
Provides: tex(dmjke.pfb) = %{tl_version}
Provides: tex(dmjkeisen.pfb) = %{tl_version}
Provides: tex(dmjkf.pfb) = %{tl_version}
Provides: tex(dmjkg.pfb) = %{tl_version}
Provides: tex(dmjkh.pfb) = %{tl_version}
Provides: tex(dmjki.pfb) = %{tl_version}
Provides: tex(dmjkj.pfb) = %{tl_version}
Provides: tex(dmjkk.pfb) = %{tl_version}
Provides: tex(dmjkl.pfb) = %{tl_version}
Provides: tex(dmjkm.pfb) = %{tl_version}
Provides: tex(dmjkn.pfb) = %{tl_version}
Provides: tex(dmjko.pfb) = %{tl_version}
Provides: tex(dmjkp.pfb) = %{tl_version}
Provides: tex(dmjkq.pfb) = %{tl_version}
Provides: tex(dmjkr.pfb) = %{tl_version}
Provides: tex(dmjks.pfb) = %{tl_version}
Provides: tex(dmjkt.pfb) = %{tl_version}
Provides: tex(dmjku.pfb) = %{tl_version}
Provides: tex(dmjkv.pfb) = %{tl_version}
Provides: tex(dmjkw.pfb) = %{tl_version}
Provides: tex(dmjkx.pfb) = %{tl_version}
Provides: tex(dmjky.pfb) = %{tl_version}
Provides: tex(dmjkz.pfb) = %{tl_version}
Provides: tex(dmjroma.pfb) = %{tl_version}
Provides: tex(dmjrussian.pfb) = %{tl_version}
Provides: tex(dmjsy.pfb) = %{tl_version}
Provides: tex(mc2jka.pfb) = %{tl_version}
Provides: tex(mc2jkb.pfb) = %{tl_version}
Provides: tex(mc2jkc.pfb) = %{tl_version}
Provides: tex(mc2jkd.pfb) = %{tl_version}
Provides: tex(mc2jke.pfb) = %{tl_version}
Provides: tex(mc2jkf.pfb) = %{tl_version}
Provides: tex(mc2jkg.pfb) = %{tl_version}
Provides: tex(mc2jkh.pfb) = %{tl_version}
Provides: tex(mc2jki.pfb) = %{tl_version}
Provides: tex(mc2jkj.pfb) = %{tl_version}
Provides: tex(mc2jkk.pfb) = %{tl_version}
Provides: tex(mc2jkl.pfb) = %{tl_version}
Provides: tex(mc2jkm.pfb) = %{tl_version}
Provides: tex(mc2jkn.pfb) = %{tl_version}
Provides: tex(mc2jko.pfb) = %{tl_version}
Provides: tex(mc2jkp.pfb) = %{tl_version}
Provides: tex(mc2jkq.pfb) = %{tl_version}
Provides: tex(mc2jkr.pfb) = %{tl_version}
Provides: tex(mc2jks.pfb) = %{tl_version}
Provides: tex(mc2jkt.pfb) = %{tl_version}
Provides: tex(mc2jku.pfb) = %{tl_version}
Provides: tex(mc2jkv.pfb) = %{tl_version}
Provides: tex(mc2jkw.pfb) = %{tl_version}
Provides: tex(mcjgreek.pfb) = %{tl_version}
Provides: tex(mcjhira.pfb) = %{tl_version}
Provides: tex(mcjhw.pfb) = %{tl_version}
Provides: tex(mcjka.pfb) = %{tl_version}
Provides: tex(mcjkata.pfb) = %{tl_version}
Provides: tex(mcjkb.pfb) = %{tl_version}
Provides: tex(mcjkc.pfb) = %{tl_version}
Provides: tex(mcjkd.pfb) = %{tl_version}
Provides: tex(mcjke.pfb) = %{tl_version}
Provides: tex(mcjkeisen.pfb) = %{tl_version}
Provides: tex(mcjkf.pfb) = %{tl_version}
Provides: tex(mcjkg.pfb) = %{tl_version}
Provides: tex(mcjkh.pfb) = %{tl_version}
Provides: tex(mcjki.pfb) = %{tl_version}
Provides: tex(mcjkj.pfb) = %{tl_version}
Provides: tex(mcjkk.pfb) = %{tl_version}
Provides: tex(mcjkl.pfb) = %{tl_version}
Provides: tex(mcjkm.pfb) = %{tl_version}
Provides: tex(mcjkn.pfb) = %{tl_version}
Provides: tex(mcjko.pfb) = %{tl_version}
Provides: tex(mcjkp.pfb) = %{tl_version}
Provides: tex(mcjkq.pfb) = %{tl_version}
Provides: tex(mcjkr.pfb) = %{tl_version}
Provides: tex(mcjks.pfb) = %{tl_version}
Provides: tex(mcjkt.pfb) = %{tl_version}
Provides: tex(mcjku.pfb) = %{tl_version}
Provides: tex(mcjkv.pfb) = %{tl_version}
Provides: tex(mcjkw.pfb) = %{tl_version}
Provides: tex(mcjkx.pfb) = %{tl_version}
Provides: tex(mcjky.pfb) = %{tl_version}
Provides: tex(mcjkz.pfb) = %{tl_version}
Provides: tex(mcjroma.pfb) = %{tl_version}
Provides: tex(mcjrussian.pfb) = %{tl_version}
Provides: tex(mcjsy.pfb) = %{tl_version}
Provides: tex(mr2jka.pfb) = %{tl_version}
Provides: tex(mr2jkb.pfb) = %{tl_version}
Provides: tex(mr2jkc.pfb) = %{tl_version}
Provides: tex(mr2jkd.pfb) = %{tl_version}
Provides: tex(mr2jke.pfb) = %{tl_version}
Provides: tex(mr2jkf.pfb) = %{tl_version}
Provides: tex(mr2jkg.pfb) = %{tl_version}
Provides: tex(mr2jkh.pfb) = %{tl_version}
Provides: tex(mr2jki.pfb) = %{tl_version}
Provides: tex(mr2jkj.pfb) = %{tl_version}
Provides: tex(mr2jkk.pfb) = %{tl_version}
Provides: tex(mr2jkl.pfb) = %{tl_version}
Provides: tex(mr2jkm.pfb) = %{tl_version}
Provides: tex(mr2jkn.pfb) = %{tl_version}
Provides: tex(mr2jko.pfb) = %{tl_version}
Provides: tex(mr2jkp.pfb) = %{tl_version}
Provides: tex(mr2jkq.pfb) = %{tl_version}
Provides: tex(mr2jkr.pfb) = %{tl_version}
Provides: tex(mr2jks.pfb) = %{tl_version}
Provides: tex(mr2jkt.pfb) = %{tl_version}
Provides: tex(mr2jku.pfb) = %{tl_version}
Provides: tex(mr2jkv.pfb) = %{tl_version}
Provides: tex(mr2jkw.pfb) = %{tl_version}
Provides: tex(mrjgreek.pfb) = %{tl_version}
Provides: tex(mrjhira.pfb) = %{tl_version}
Provides: tex(mrjhw.pfb) = %{tl_version}
Provides: tex(mrjka.pfb) = %{tl_version}
Provides: tex(mrjkata.pfb) = %{tl_version}
Provides: tex(mrjkb.pfb) = %{tl_version}
Provides: tex(mrjkc.pfb) = %{tl_version}
Provides: tex(mrjkd.pfb) = %{tl_version}
Provides: tex(mrjke.pfb) = %{tl_version}
Provides: tex(mrjkeisen.pfb) = %{tl_version}
Provides: tex(mrjkf.pfb) = %{tl_version}
Provides: tex(mrjkg.pfb) = %{tl_version}
Provides: tex(mrjkh.pfb) = %{tl_version}
Provides: tex(mrjki.pfb) = %{tl_version}
Provides: tex(mrjkj.pfb) = %{tl_version}
Provides: tex(mrjkk.pfb) = %{tl_version}
Provides: tex(mrjkl.pfb) = %{tl_version}
Provides: tex(mrjkm.pfb) = %{tl_version}
Provides: tex(mrjkn.pfb) = %{tl_version}
Provides: tex(mrjko.pfb) = %{tl_version}
Provides: tex(mrjkp.pfb) = %{tl_version}
Provides: tex(mrjkq.pfb) = %{tl_version}
Provides: tex(mrjkr.pfb) = %{tl_version}
Provides: tex(mrjks.pfb) = %{tl_version}
Provides: tex(mrjkt.pfb) = %{tl_version}
Provides: tex(mrjku.pfb) = %{tl_version}
Provides: tex(mrjkv.pfb) = %{tl_version}
Provides: tex(mrjkw.pfb) = %{tl_version}
Provides: tex(mrjkx.pfb) = %{tl_version}
Provides: tex(mrjky.pfb) = %{tl_version}
Provides: tex(mrjkz.pfb) = %{tl_version}
Provides: tex(mrjroma.pfb) = %{tl_version}
Provides: tex(mrjrussian.pfb) = %{tl_version}
Provides: tex(mrjsy.pfb) = %{tl_version}
Provides: tex(udgj00.vf) = %{tl_version}
Provides: tex(udgj03.vf) = %{tl_version}
Provides: tex(udgj04.vf) = %{tl_version}
Provides: tex(udgj20.vf) = %{tl_version}
Provides: tex(udgj21.vf) = %{tl_version}
Provides: tex(udgj22.vf) = %{tl_version}
Provides: tex(udgj23.vf) = %{tl_version}
Provides: tex(udgj25.vf) = %{tl_version}
Provides: tex(udgj26.vf) = %{tl_version}
Provides: tex(udgj30.vf) = %{tl_version}
Provides: tex(udgj4e.vf) = %{tl_version}
Provides: tex(udgj4f.vf) = %{tl_version}
Provides: tex(udgj50.vf) = %{tl_version}
Provides: tex(udgj51.vf) = %{tl_version}
Provides: tex(udgj52.vf) = %{tl_version}
Provides: tex(udgj53.vf) = %{tl_version}
Provides: tex(udgj54.vf) = %{tl_version}
Provides: tex(udgj55.vf) = %{tl_version}
Provides: tex(udgj56.vf) = %{tl_version}
Provides: tex(udgj57.vf) = %{tl_version}
Provides: tex(udgj58.vf) = %{tl_version}
Provides: tex(udgj59.vf) = %{tl_version}
Provides: tex(udgj5a.vf) = %{tl_version}
Provides: tex(udgj5b.vf) = %{tl_version}
Provides: tex(udgj5c.vf) = %{tl_version}
Provides: tex(udgj5d.vf) = %{tl_version}
Provides: tex(udgj5e.vf) = %{tl_version}
Provides: tex(udgj5f.vf) = %{tl_version}
Provides: tex(udgj60.vf) = %{tl_version}
Provides: tex(udgj61.vf) = %{tl_version}
Provides: tex(udgj62.vf) = %{tl_version}
Provides: tex(udgj63.vf) = %{tl_version}
Provides: tex(udgj64.vf) = %{tl_version}
Provides: tex(udgj65.vf) = %{tl_version}
Provides: tex(udgj66.vf) = %{tl_version}
Provides: tex(udgj67.vf) = %{tl_version}
Provides: tex(udgj68.vf) = %{tl_version}
Provides: tex(udgj69.vf) = %{tl_version}
Provides: tex(udgj6a.vf) = %{tl_version}
Provides: tex(udgj6b.vf) = %{tl_version}
Provides: tex(udgj6c.vf) = %{tl_version}
Provides: tex(udgj6d.vf) = %{tl_version}
Provides: tex(udgj6e.vf) = %{tl_version}
Provides: tex(udgj6f.vf) = %{tl_version}
Provides: tex(udgj70.vf) = %{tl_version}
Provides: tex(udgj71.vf) = %{tl_version}
Provides: tex(udgj72.vf) = %{tl_version}
Provides: tex(udgj73.vf) = %{tl_version}
Provides: tex(udgj74.vf) = %{tl_version}
Provides: tex(udgj75.vf) = %{tl_version}
Provides: tex(udgj76.vf) = %{tl_version}
Provides: tex(udgj77.vf) = %{tl_version}
Provides: tex(udgj78.vf) = %{tl_version}
Provides: tex(udgj79.vf) = %{tl_version}
Provides: tex(udgj7a.vf) = %{tl_version}
Provides: tex(udgj7b.vf) = %{tl_version}
Provides: tex(udgj7c.vf) = %{tl_version}
Provides: tex(udgj7d.vf) = %{tl_version}
Provides: tex(udgj7e.vf) = %{tl_version}
Provides: tex(udgj7f.vf) = %{tl_version}
Provides: tex(udgj80.vf) = %{tl_version}
Provides: tex(udgj81.vf) = %{tl_version}
Provides: tex(udgj82.vf) = %{tl_version}
Provides: tex(udgj83.vf) = %{tl_version}
Provides: tex(udgj84.vf) = %{tl_version}
Provides: tex(udgj85.vf) = %{tl_version}
Provides: tex(udgj86.vf) = %{tl_version}
Provides: tex(udgj87.vf) = %{tl_version}
Provides: tex(udgj88.vf) = %{tl_version}
Provides: tex(udgj89.vf) = %{tl_version}
Provides: tex(udgj8a.vf) = %{tl_version}
Provides: tex(udgj8b.vf) = %{tl_version}
Provides: tex(udgj8c.vf) = %{tl_version}
Provides: tex(udgj8d.vf) = %{tl_version}
Provides: tex(udgj8e.vf) = %{tl_version}
Provides: tex(udgj8f.vf) = %{tl_version}
Provides: tex(udgj90.vf) = %{tl_version}
Provides: tex(udgj91.vf) = %{tl_version}
Provides: tex(udgj92.vf) = %{tl_version}
Provides: tex(udgj93.vf) = %{tl_version}
Provides: tex(udgj94.vf) = %{tl_version}
Provides: tex(udgj95.vf) = %{tl_version}
Provides: tex(udgj96.vf) = %{tl_version}
Provides: tex(udgj97.vf) = %{tl_version}
Provides: tex(udgj98.vf) = %{tl_version}
Provides: tex(udgj99.vf) = %{tl_version}
Provides: tex(udgj9a.vf) = %{tl_version}
Provides: tex(udgj9b.vf) = %{tl_version}
Provides: tex(udgj9c.vf) = %{tl_version}
Provides: tex(udgj9d.vf) = %{tl_version}
Provides: tex(udgj9e.vf) = %{tl_version}
Provides: tex(udgj9f.vf) = %{tl_version}
Provides: tex(udgjff.vf) = %{tl_version}
Provides: tex(udmj00.vf) = %{tl_version}
Provides: tex(udmj03.vf) = %{tl_version}
Provides: tex(udmj04.vf) = %{tl_version}
Provides: tex(udmj20.vf) = %{tl_version}
Provides: tex(udmj21.vf) = %{tl_version}
Provides: tex(udmj22.vf) = %{tl_version}
Provides: tex(udmj23.vf) = %{tl_version}
Provides: tex(udmj25.vf) = %{tl_version}
Provides: tex(udmj26.vf) = %{tl_version}
Provides: tex(udmj30.vf) = %{tl_version}
Provides: tex(udmj4e.vf) = %{tl_version}
Provides: tex(udmj4f.vf) = %{tl_version}
Provides: tex(udmj50.vf) = %{tl_version}
Provides: tex(udmj51.vf) = %{tl_version}
Provides: tex(udmj52.vf) = %{tl_version}
Provides: tex(udmj53.vf) = %{tl_version}
Provides: tex(udmj54.vf) = %{tl_version}
Provides: tex(udmj55.vf) = %{tl_version}
Provides: tex(udmj56.vf) = %{tl_version}
Provides: tex(udmj57.vf) = %{tl_version}
Provides: tex(udmj58.vf) = %{tl_version}
Provides: tex(udmj59.vf) = %{tl_version}
Provides: tex(udmj5a.vf) = %{tl_version}
Provides: tex(udmj5b.vf) = %{tl_version}
Provides: tex(udmj5c.vf) = %{tl_version}
Provides: tex(udmj5d.vf) = %{tl_version}
Provides: tex(udmj5e.vf) = %{tl_version}
Provides: tex(udmj5f.vf) = %{tl_version}
Provides: tex(udmj60.vf) = %{tl_version}
Provides: tex(udmj61.vf) = %{tl_version}
Provides: tex(udmj62.vf) = %{tl_version}
Provides: tex(udmj63.vf) = %{tl_version}
Provides: tex(udmj64.vf) = %{tl_version}
Provides: tex(udmj65.vf) = %{tl_version}
Provides: tex(udmj66.vf) = %{tl_version}
Provides: tex(udmj67.vf) = %{tl_version}
Provides: tex(udmj68.vf) = %{tl_version}
Provides: tex(udmj69.vf) = %{tl_version}
Provides: tex(udmj6a.vf) = %{tl_version}
Provides: tex(udmj6b.vf) = %{tl_version}
Provides: tex(udmj6c.vf) = %{tl_version}
Provides: tex(udmj6d.vf) = %{tl_version}
Provides: tex(udmj6e.vf) = %{tl_version}
Provides: tex(udmj6f.vf) = %{tl_version}
Provides: tex(udmj70.vf) = %{tl_version}
Provides: tex(udmj71.vf) = %{tl_version}
Provides: tex(udmj72.vf) = %{tl_version}
Provides: tex(udmj73.vf) = %{tl_version}
Provides: tex(udmj74.vf) = %{tl_version}
Provides: tex(udmj75.vf) = %{tl_version}
Provides: tex(udmj76.vf) = %{tl_version}
Provides: tex(udmj77.vf) = %{tl_version}
Provides: tex(udmj78.vf) = %{tl_version}
Provides: tex(udmj79.vf) = %{tl_version}
Provides: tex(udmj7a.vf) = %{tl_version}
Provides: tex(udmj7b.vf) = %{tl_version}
Provides: tex(udmj7c.vf) = %{tl_version}
Provides: tex(udmj7d.vf) = %{tl_version}
Provides: tex(udmj7e.vf) = %{tl_version}
Provides: tex(udmj7f.vf) = %{tl_version}
Provides: tex(udmj80.vf) = %{tl_version}
Provides: tex(udmj81.vf) = %{tl_version}
Provides: tex(udmj82.vf) = %{tl_version}
Provides: tex(udmj83.vf) = %{tl_version}
Provides: tex(udmj84.vf) = %{tl_version}
Provides: tex(udmj85.vf) = %{tl_version}
Provides: tex(udmj86.vf) = %{tl_version}
Provides: tex(udmj87.vf) = %{tl_version}
Provides: tex(udmj88.vf) = %{tl_version}
Provides: tex(udmj89.vf) = %{tl_version}
Provides: tex(udmj8a.vf) = %{tl_version}
Provides: tex(udmj8b.vf) = %{tl_version}
Provides: tex(udmj8c.vf) = %{tl_version}
Provides: tex(udmj8d.vf) = %{tl_version}
Provides: tex(udmj8e.vf) = %{tl_version}
Provides: tex(udmj8f.vf) = %{tl_version}
Provides: tex(udmj90.vf) = %{tl_version}
Provides: tex(udmj91.vf) = %{tl_version}
Provides: tex(udmj92.vf) = %{tl_version}
Provides: tex(udmj93.vf) = %{tl_version}
Provides: tex(udmj94.vf) = %{tl_version}
Provides: tex(udmj95.vf) = %{tl_version}
Provides: tex(udmj96.vf) = %{tl_version}
Provides: tex(udmj97.vf) = %{tl_version}
Provides: tex(udmj98.vf) = %{tl_version}
Provides: tex(udmj99.vf) = %{tl_version}
Provides: tex(udmj9a.vf) = %{tl_version}
Provides: tex(udmj9b.vf) = %{tl_version}
Provides: tex(udmj9c.vf) = %{tl_version}
Provides: tex(udmj9d.vf) = %{tl_version}
Provides: tex(udmj9e.vf) = %{tl_version}
Provides: tex(udmj9f.vf) = %{tl_version}
Provides: tex(udmjff.vf) = %{tl_version}
Provides: tex(umcj00.vf) = %{tl_version}
Provides: tex(umcj03.vf) = %{tl_version}
Provides: tex(umcj04.vf) = %{tl_version}
Provides: tex(umcj20.vf) = %{tl_version}
Provides: tex(umcj21.vf) = %{tl_version}
Provides: tex(umcj22.vf) = %{tl_version}
Provides: tex(umcj23.vf) = %{tl_version}
Provides: tex(umcj25.vf) = %{tl_version}
Provides: tex(umcj26.vf) = %{tl_version}
Provides: tex(umcj30.vf) = %{tl_version}
Provides: tex(umcj4e.vf) = %{tl_version}
Provides: tex(umcj4f.vf) = %{tl_version}
Provides: tex(umcj50.vf) = %{tl_version}
Provides: tex(umcj51.vf) = %{tl_version}
Provides: tex(umcj52.vf) = %{tl_version}
Provides: tex(umcj53.vf) = %{tl_version}
Provides: tex(umcj54.vf) = %{tl_version}
Provides: tex(umcj55.vf) = %{tl_version}
Provides: tex(umcj56.vf) = %{tl_version}
Provides: tex(umcj57.vf) = %{tl_version}
Provides: tex(umcj58.vf) = %{tl_version}
Provides: tex(umcj59.vf) = %{tl_version}
Provides: tex(umcj5a.vf) = %{tl_version}
Provides: tex(umcj5b.vf) = %{tl_version}
Provides: tex(umcj5c.vf) = %{tl_version}
Provides: tex(umcj5d.vf) = %{tl_version}
Provides: tex(umcj5e.vf) = %{tl_version}
Provides: tex(umcj5f.vf) = %{tl_version}
Provides: tex(umcj60.vf) = %{tl_version}
Provides: tex(umcj61.vf) = %{tl_version}
Provides: tex(umcj62.vf) = %{tl_version}
Provides: tex(umcj63.vf) = %{tl_version}
Provides: tex(umcj64.vf) = %{tl_version}
Provides: tex(umcj65.vf) = %{tl_version}
Provides: tex(umcj66.vf) = %{tl_version}
Provides: tex(umcj67.vf) = %{tl_version}
Provides: tex(umcj68.vf) = %{tl_version}
Provides: tex(umcj69.vf) = %{tl_version}
Provides: tex(umcj6a.vf) = %{tl_version}
Provides: tex(umcj6b.vf) = %{tl_version}
Provides: tex(umcj6c.vf) = %{tl_version}
Provides: tex(umcj6d.vf) = %{tl_version}
Provides: tex(umcj6e.vf) = %{tl_version}
Provides: tex(umcj6f.vf) = %{tl_version}
Provides: tex(umcj70.vf) = %{tl_version}
Provides: tex(umcj71.vf) = %{tl_version}
Provides: tex(umcj72.vf) = %{tl_version}
Provides: tex(umcj73.vf) = %{tl_version}
Provides: tex(umcj74.vf) = %{tl_version}
Provides: tex(umcj75.vf) = %{tl_version}
Provides: tex(umcj76.vf) = %{tl_version}
Provides: tex(umcj77.vf) = %{tl_version}
Provides: tex(umcj78.vf) = %{tl_version}
Provides: tex(umcj79.vf) = %{tl_version}
Provides: tex(umcj7a.vf) = %{tl_version}
Provides: tex(umcj7b.vf) = %{tl_version}
Provides: tex(umcj7c.vf) = %{tl_version}
Provides: tex(umcj7d.vf) = %{tl_version}
Provides: tex(umcj7e.vf) = %{tl_version}
Provides: tex(umcj7f.vf) = %{tl_version}
Provides: tex(umcj80.vf) = %{tl_version}
Provides: tex(umcj81.vf) = %{tl_version}
Provides: tex(umcj82.vf) = %{tl_version}
Provides: tex(umcj83.vf) = %{tl_version}
Provides: tex(umcj84.vf) = %{tl_version}
Provides: tex(umcj85.vf) = %{tl_version}
Provides: tex(umcj86.vf) = %{tl_version}
Provides: tex(umcj87.vf) = %{tl_version}
Provides: tex(umcj88.vf) = %{tl_version}
Provides: tex(umcj89.vf) = %{tl_version}
Provides: tex(umcj8a.vf) = %{tl_version}
Provides: tex(umcj8b.vf) = %{tl_version}
Provides: tex(umcj8c.vf) = %{tl_version}
Provides: tex(umcj8d.vf) = %{tl_version}
Provides: tex(umcj8e.vf) = %{tl_version}
Provides: tex(umcj8f.vf) = %{tl_version}
Provides: tex(umcj90.vf) = %{tl_version}
Provides: tex(umcj91.vf) = %{tl_version}
Provides: tex(umcj92.vf) = %{tl_version}
Provides: tex(umcj93.vf) = %{tl_version}
Provides: tex(umcj94.vf) = %{tl_version}
Provides: tex(umcj95.vf) = %{tl_version}
Provides: tex(umcj96.vf) = %{tl_version}
Provides: tex(umcj97.vf) = %{tl_version}
Provides: tex(umcj98.vf) = %{tl_version}
Provides: tex(umcj99.vf) = %{tl_version}
Provides: tex(umcj9a.vf) = %{tl_version}
Provides: tex(umcj9b.vf) = %{tl_version}
Provides: tex(umcj9c.vf) = %{tl_version}
Provides: tex(umcj9d.vf) = %{tl_version}
Provides: tex(umcj9e.vf) = %{tl_version}
Provides: tex(umcj9f.vf) = %{tl_version}
Provides: tex(umcjff.vf) = %{tl_version}
Provides: tex(umrj00.vf) = %{tl_version}
Provides: tex(umrj03.vf) = %{tl_version}
Provides: tex(umrj04.vf) = %{tl_version}
Provides: tex(umrj20.vf) = %{tl_version}
Provides: tex(umrj21.vf) = %{tl_version}
Provides: tex(umrj22.vf) = %{tl_version}
Provides: tex(umrj23.vf) = %{tl_version}
Provides: tex(umrj25.vf) = %{tl_version}
Provides: tex(umrj26.vf) = %{tl_version}
Provides: tex(umrj30.vf) = %{tl_version}
Provides: tex(umrj4e.vf) = %{tl_version}
Provides: tex(umrj4f.vf) = %{tl_version}
Provides: tex(umrj50.vf) = %{tl_version}
Provides: tex(umrj51.vf) = %{tl_version}
Provides: tex(umrj52.vf) = %{tl_version}
Provides: tex(umrj53.vf) = %{tl_version}
Provides: tex(umrj54.vf) = %{tl_version}
Provides: tex(umrj55.vf) = %{tl_version}
Provides: tex(umrj56.vf) = %{tl_version}
Provides: tex(umrj57.vf) = %{tl_version}
Provides: tex(umrj58.vf) = %{tl_version}
Provides: tex(umrj59.vf) = %{tl_version}
Provides: tex(umrj5a.vf) = %{tl_version}
Provides: tex(umrj5b.vf) = %{tl_version}
Provides: tex(umrj5c.vf) = %{tl_version}
Provides: tex(umrj5d.vf) = %{tl_version}
Provides: tex(umrj5e.vf) = %{tl_version}
Provides: tex(umrj5f.vf) = %{tl_version}
Provides: tex(umrj60.vf) = %{tl_version}
Provides: tex(umrj61.vf) = %{tl_version}
Provides: tex(umrj62.vf) = %{tl_version}
Provides: tex(umrj63.vf) = %{tl_version}
Provides: tex(umrj64.vf) = %{tl_version}
Provides: tex(umrj65.vf) = %{tl_version}
Provides: tex(umrj66.vf) = %{tl_version}
Provides: tex(umrj67.vf) = %{tl_version}
Provides: tex(umrj68.vf) = %{tl_version}
Provides: tex(umrj69.vf) = %{tl_version}
Provides: tex(umrj6a.vf) = %{tl_version}
Provides: tex(umrj6b.vf) = %{tl_version}
Provides: tex(umrj6c.vf) = %{tl_version}
Provides: tex(umrj6d.vf) = %{tl_version}
Provides: tex(umrj6e.vf) = %{tl_version}
Provides: tex(umrj6f.vf) = %{tl_version}
Provides: tex(umrj70.vf) = %{tl_version}
Provides: tex(umrj71.vf) = %{tl_version}
Provides: tex(umrj72.vf) = %{tl_version}
Provides: tex(umrj73.vf) = %{tl_version}
Provides: tex(umrj74.vf) = %{tl_version}
Provides: tex(umrj75.vf) = %{tl_version}
Provides: tex(umrj76.vf) = %{tl_version}
Provides: tex(umrj77.vf) = %{tl_version}
Provides: tex(umrj78.vf) = %{tl_version}
Provides: tex(umrj79.vf) = %{tl_version}
Provides: tex(umrj7a.vf) = %{tl_version}
Provides: tex(umrj7b.vf) = %{tl_version}
Provides: tex(umrj7c.vf) = %{tl_version}
Provides: tex(umrj7d.vf) = %{tl_version}
Provides: tex(umrj7e.vf) = %{tl_version}
Provides: tex(umrj7f.vf) = %{tl_version}
Provides: tex(umrj80.vf) = %{tl_version}
Provides: tex(umrj81.vf) = %{tl_version}
Provides: tex(umrj82.vf) = %{tl_version}
Provides: tex(umrj83.vf) = %{tl_version}
Provides: tex(umrj84.vf) = %{tl_version}
Provides: tex(umrj85.vf) = %{tl_version}
Provides: tex(umrj86.vf) = %{tl_version}
Provides: tex(umrj87.vf) = %{tl_version}
Provides: tex(umrj88.vf) = %{tl_version}
Provides: tex(umrj89.vf) = %{tl_version}
Provides: tex(umrj8a.vf) = %{tl_version}
Provides: tex(umrj8b.vf) = %{tl_version}
Provides: tex(umrj8c.vf) = %{tl_version}
Provides: tex(umrj8d.vf) = %{tl_version}
Provides: tex(umrj8e.vf) = %{tl_version}
Provides: tex(umrj8f.vf) = %{tl_version}
Provides: tex(umrj90.vf) = %{tl_version}
Provides: tex(umrj91.vf) = %{tl_version}
Provides: tex(umrj92.vf) = %{tl_version}
Provides: tex(umrj93.vf) = %{tl_version}
Provides: tex(umrj94.vf) = %{tl_version}
Provides: tex(umrj95.vf) = %{tl_version}
Provides: tex(umrj96.vf) = %{tl_version}
Provides: tex(umrj97.vf) = %{tl_version}
Provides: tex(umrj98.vf) = %{tl_version}
Provides: tex(umrj99.vf) = %{tl_version}
Provides: tex(umrj9a.vf) = %{tl_version}
Provides: tex(umrj9b.vf) = %{tl_version}
Provides: tex(umrj9c.vf) = %{tl_version}
Provides: tex(umrj9d.vf) = %{tl_version}
Provides: tex(umrj9e.vf) = %{tl_version}
Provides: tex(umrj9f.vf) = %{tl_version}
Provides: tex(umrjff.vf) = %{tl_version}

%description wadalab
These are font bundles for the Japanese Wadalab fonts which
work with the CJK package. All subfonts now have glyph names
compliant to the Adobe Glyph List, making ToUnicode CMaps in
PDF documents (created automatically by dvipdfmx) work
correctly. All font bundles now contain virtual Unicode
subfonts.

%package wadalab-doc
Summary: Documentation for wadalab
Version: svn42428
Provides: tex-wadalab-doc
AutoReqProv: No

%description wadalab-doc
Documentation for wadalab

%package classics
Provides: tex-classics = %{tl_version}
License: LPPL 1.3
Summary: Cite classic works
Version: svn29018.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(classics.sty) = %{tl_version}

%description classics
The package provides a basic framework to cite classic works
(specially from authors such as Homer, Plato, Aristotle,
Descartes, Hume, and Kant) in accordance with traditional
pagination systems. It may be used in conjunction with other
citation packages.

%package classics-doc
Summary: Documentation for classics
Version: svn29018.0.1

Provides: tex-classics-doc
AutoReqProv: No

%description classics-doc
Documentation for classics

%package classicthesis
Provides: tex-classicthesis = %{tl_version}
License: GPLv2+
Summary: A "classically styled" thesis package
Version: svn45578
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(listings.sty)
Requires: tex(ifpdf.sty)
Requires: tex(hyperref.sty)
Requires: tex(ifxetex.sty)
Requires: tex(xcolor.sty)
Requires: tex(mathpazo.sty)
Requires: tex(beramono.sty)
Requires: tex(eulervm.sty)
Requires: tex(microtype.sty)
Requires: tex(typearea.sty)
Requires: tex(booktabs.sty)
Requires: tex(textcase.sty)
Requires: tex(soul.sty)
Requires: tex(scrlayer-scrpage.sty)
Requires: tex(titlesec.sty)
Requires: tex(tocloft.sty)
Requires: tex(footmisc.sty)
Requires: tex(scrtime.sty)
Requires: tex(prelim2e.sty)
Requires: tex(remreset.sty)
Provides: tex(classicthesis.sty) = %{tl_version}

%description classicthesis
The classicthesis package provides an elegant layout designed
in homage to Bringhurst's "The Elements of Typographic Style".
It makes use of a range of techniques to get the best results
achievable using TeX. Included in the bundle are templates to
make thesis writing easier.

%package classicthesis-doc
Summary: Documentation for classicthesis
Version: svn45578
Provides: tex-classicthesis-doc
AutoReqProv: No

%description classicthesis-doc
Documentation for classicthesis

%package classpack
Provides: tex-classpack = %{tl_version}
License: LPPL 1.3
Summary: XML mastering for LaTeX classes and packages
Version: svn33101.0.77

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(classpack.sty) = %{tl_version}

%description classpack
The package provides an experiment in using XML (specifically
DocBook 5) to mark up and maintain LaTeX classes and packages.
XSLT 2 styleheets generate the .dtx and .ins distribution files
expected by end users.

%package classpack-doc
Summary: Documentation for classpack
Version: svn33101.0.77

Provides: tex-classpack-doc
AutoReqProv: No

%description classpack-doc
Documentation for classpack

%package cleanthesis
Provides: tex-cleanthesis = %{tl_version}
License: LPPL 1.3
Summary: A clean LaTeX style for thesis documents
Version: svn38221.0.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(fontenc.sty)
Requires: tex(tgheros.sty)
Requires: tex(lmodern.sty)
Requires: tex(charter.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(microtype.sty)
Requires: tex(setspace.sty)
Requires: tex(graphicx.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(enumitem.sty)
Requires: tex(blindtext.sty)
Requires: tex(textcomp.sty)
Requires: tex(hyperref.sty)
Requires: tex(caption.sty)
Requires: tex(geometry.sty)
Requires: tex(csquotes.sty)
Requires: tex(biblatex.sty)
Requires: tex(titlesec.sty)
Requires: tex(tocloft.sty)
Provides: tex(cleanthesis.sty) = %{tl_version}

%description cleanthesis
The package offers a clean, simple, and elegant LaTeX style for
thesis documents.

%package cleanthesis-doc
Summary: Documentation for cleanthesis
Version: svn38221.0.3.1

Provides: tex-cleanthesis-doc
AutoReqProv: No

%description cleanthesis-doc
Documentation for cleanthesis

%package clearsans
Provides: tex-clearsans = %{tl_version}
License: ASL 2.0
Summary: Clear Sans fonts with LaTeX support
Version: svn34405.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(clr_er7w2x.enc) = %{tl_version}
Provides: tex(clr_nrghxx.enc) = %{tl_version}
Provides: tex(clr_y7ge35.enc) = %{tl_version}
Provides: tex(clr_zjpm5y.enc) = %{tl_version}
Provides: tex(ClearSans.map) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-lf-ly1.tfm) = %{tl_version}
Provides: tex(ClearSans-lf-ot1.tfm) = %{tl_version}
Provides: tex(ClearSans-lf-t1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-lf-t1.tfm) = %{tl_version}
Provides: tex(ClearSans-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(ClearSans-lf-ts1.tfm) = %{tl_version}
Provides: tex(ClearSans-Bold.ttf) = %{tl_version}
Provides: tex(ClearSans-BoldItalic.ttf) = %{tl_version}
Provides: tex(ClearSans-Italic.ttf) = %{tl_version}
Provides: tex(ClearSans-Light.ttf) = %{tl_version}
Provides: tex(ClearSans-Medium.ttf) = %{tl_version}
Provides: tex(ClearSans-MediumItalic.ttf) = %{tl_version}
Provides: tex(ClearSans-Regular.ttf) = %{tl_version}
Provides: tex(ClearSans-Thin.ttf) = %{tl_version}
Provides: tex(ClearSans-Bold.pfb) = %{tl_version}
Provides: tex(ClearSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(ClearSans-Italic.pfb) = %{tl_version}
Provides: tex(ClearSans-Light.pfb) = %{tl_version}
Provides: tex(ClearSans-Medium.pfb) = %{tl_version}
Provides: tex(ClearSans-MediumItalic.pfb) = %{tl_version}
Provides: tex(ClearSans-Regular.pfb) = %{tl_version}
Provides: tex(ClearSans-Thin.pfb) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-Light-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans-lf-ly1.vf) = %{tl_version}
Provides: tex(ClearSans-lf-t1.vf) = %{tl_version}
Provides: tex(ClearSans-lf-ts1.vf) = %{tl_version}
Provides: tex(ClearSans.sty) = %{tl_version}
Provides: tex(LY1ClearSans-LF.fd) = %{tl_version}
Provides: tex(LY1ClearSansLight-LF.fd) = %{tl_version}
Provides: tex(LY1ClearSansThin-LF.fd) = %{tl_version}
Provides: tex(OT1ClearSans-LF.fd) = %{tl_version}
Provides: tex(OT1ClearSansLight-LF.fd) = %{tl_version}
Provides: tex(OT1ClearSansThin-LF.fd) = %{tl_version}
Provides: tex(T1ClearSans-LF.fd) = %{tl_version}
Provides: tex(T1ClearSansLight-LF.fd) = %{tl_version}
Provides: tex(T1ClearSansThin-LF.fd) = %{tl_version}
Provides: tex(TS1ClearSans-LF.fd) = %{tl_version}
Provides: tex(TS1ClearSansLight-LF.fd) = %{tl_version}
Provides: tex(TS1ClearSansThin-LF.fd) = %{tl_version}

%description clearsans
Clear Sans was designed by Daniel Ratighan at Monotype under
the direction of the User Experience team at Intel's Open
Source Technology Center. Clear Sans is available in three
weights (regular, medium, and bold) with corresponding italics,
plus light and thin upright (without italics). Clear Sans has
minimized, unambiguous characters and slightly narrow
proportions, making it ideal for UI design. Its strong,
recognizable forms avoid distracting ambiguity, making Clear
Sans comfortable for reading short UI labels and long passages
in both screen and print. The fonts are available in both
TrueType and Type 1 formats.

%package clearsans-doc
Summary: Documentation for clearsans
Version: svn34405.0

Provides: tex-clearsans-doc
AutoReqProv: No

%description clearsans-doc
Documentation for clearsans

%package clefval
Provides: tex-clefval = %{tl_version}
License: LPPL
Summary: Key/value support with a hash
Version: svn16549.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(clefval.sty) = %{tl_version}

%description clefval
This package provides only two macros viz. \TheKey and
\TheValue to define then use pairs of key/value and gives a
semblance of a hash. Syntax: \TheKey{key}{value} to define the
value associated to the key, does not produce text;
\TheValue{key} to return the value linked to the key. Both
arguments of \TheKey are 'moving' as LaTeX defines the term and
we have sometimes to protect them.

%package clefval-doc
Summary: Documentation for clefval
Version: svn16549.0

Provides: tex-clefval-doc
AutoReqProv: No

%description clefval-doc
Documentation for clefval

%package cleveref
Provides: tex-cleveref = %{tl_version}
License: LPPL
Summary: Intelligent cross-referencing
Version: svn47525
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(cleveref.sty) = %{tl_version}

%description cleveref
The package enhances LaTeX's cross-referencing features,
allowing the format of references to be determined
automatically according to the type of reference. The formats
used may be customised in the preamble of a document; babel
support is available (though the choice of languages remains
limited: currently Danish, Dutch, English, French, German,
Italian, Norwegian, Russian, Spanish and Ukranian). The package
also offers a means of referencing a list of references, each
formatted according to its type. In such lists, it can collapse
sequences of numerically-consecutive labels to a reference
range.

%package cleveref-doc
Summary: Documentation for cleveref
Version: svn32513.0.19

Provides: tex-cleveref-doc
AutoReqProv: No

%description cleveref-doc
Documentation for cleveref

%package clipboard
Provides: tex-clipboard = %{tl_version}
License: LPPL 1.3
Summary: Copy and paste into and across documents
Version: svn28876.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(clipboard.sty) = %{tl_version}

%description clipboard
The clipboard package provides a basic framework for copying
and pasting text and commands into and across multiple
documents. It replaces the copypaste package.

%package clipboard-doc
Summary: Documentation for clipboard
Version: svn28876.0.2

Provides: tex-clipboard-doc
AutoReqProv: No

%description clipboard-doc
Documentation for clipboard

%package clock
Provides: tex-clock = %{tl_version}
License: GPL+
Summary: Graphical and textual clocks for TeX and LaTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(clock.tfm) = %{tl_version}
Provides: tex(clock.sty) = %{tl_version}
Provides: tex(clock.tex) = %{tl_version}

%description clock
Features graphical clocks (with a classical 12h dial and two
hands) and text clocks (in 24h format) which can show system
time or any time the user desires. Works with both TeX and
LaTeX. The clock faces (appearances of the dial) are easily
expandable; the default uses a custom Metafont font.

%package clock-doc
Summary: Documentation for clock
Version: svn15878.0

Provides: tex-clock-doc
AutoReqProv: No

%description clock-doc
Documentation for clock

%package cloze
Provides: tex-cloze = %{tl_version}
License: LPPL 1.3
Summary: A LuaLaTeX package for creating cloze texts
Version: svn41531
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(luatexbase-mcb.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xcolor.sty)
Provides: tex(cloze.sty) = %{tl_version}

%description cloze
This is a LuaLaTeX package for generating cloze texts. The main
feature of the package is that the formatting doesn't change
when using the hide and show options. There are three commands
and one environment to generate cloze texts: \cloze, \clozefix,
\closefil, and \closepar.

%package cloze-doc
Summary: Documentation for cloze
Version: svn41531
Provides: tex-cloze-doc
AutoReqProv: No

%description cloze-doc
Documentation for cloze

%package clrscode3e
Provides: tex-clrscode3e = %{tl_version}
License: LPPL
Summary: Typesets pseudocode as in Introduction to Algorithms
Version: svn34887.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(clrscode3e.sty) = %{tl_version}

%description clrscode3e
This package allows you to typeset pseudocode in the style of
Introduction to Algorithms, Third edition, by Cormen,
Leiserson, Rivest, and Stein. The package was written by the
authors. Use the commands the same way the package's author did
when writing the book, and your output will look just like the
pseudocode in the text.

%package clrscode3e-doc
Summary: Documentation for clrscode3e
Version: svn34887.0

Provides: tex-clrscode3e-doc
AutoReqProv: No

%description clrscode3e-doc
Documentation for clrscode3e

%package clrscode
Provides: tex-clrscode = %{tl_version}
License: LPPL
Summary: Typesets pseudocode as in Introduction to Algorithms
Version: svn15878.1.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(clrscode.sty) = %{tl_version}

%description clrscode
This package allows you to typeset pseudocode in the style of
Introduction to Algorithms, Second edition, by Cormen,
Leiserson, Rivest, and Stein. The package was written by the
authors. You use the commands the same way the package's author
did when writing the book, and your output will look just like
the pseudocode in the text.

%package clrscode-doc
Summary: Documentation for clrscode
Version: svn15878.1.7

Provides: tex-clrscode-doc
AutoReqProv: No

%description clrscode-doc
Documentation for clrscode

%package cmap
Provides: tex-cmap = %{tl_version}
License: LPPL
Summary: Make PDF files searchable and copyable
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(cmap.sty) = %{tl_version}

%description cmap
The cmap package provides character map tables, which make PDF
files generated by pdfLaTeX both searchable and copy-able in
acrobat reader and other compliant PDF viewers. Encodings
supported are OT1, T1, T2A, T2B, T2C and T5, together with LAE
(Arabic), LFE (Farsi) and LGR (Greek) and a variant OT1tt for
cmtt-like fonts. The package's main limitation currently is the
inability to work with virtual fonts, because of limitations of
pdfTeX. This restriction may be resolved in a future version of
pdfTeX.

%package cmap-doc
Summary: Documentation for cmap
Version: svn42428
Provides: tex-cmap-doc
AutoReqProv: No

%description cmap-doc
Documentation for cmap

%package cmarrows
Provides: tex-cmarrows = %{tl_version}
License: LPPL
Summary: MetaPost arrows and braces in the Computer Modern style
Version: svn24378.v0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description cmarrows
This MetaPost package contains macros to draw arrows and braces
in the Computer Modern style.

%package cmarrows-doc
Summary: Documentation for cmarrows
Version: svn24378.v0.9

Provides: tex-cmarrows-doc
AutoReqProv: No

%description cmarrows-doc
Documentation for cmarrows

%package cmbright
Provides: tex-cmbright = %{tl_version}
License: LPPL
Summary: Computer Modern Bright fonts
Version: svn21107.8.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmbr10.tfm) = %{tl_version}
Provides: tex(cmbr17.tfm) = %{tl_version}
Provides: tex(cmbr8.tfm) = %{tl_version}
Provides: tex(cmbr9.tfm) = %{tl_version}
Provides: tex(cmbras10.tfm) = %{tl_version}
Provides: tex(cmbras8.tfm) = %{tl_version}
Provides: tex(cmbras9.tfm) = %{tl_version}
Provides: tex(cmbrbs10.tfm) = %{tl_version}
Provides: tex(cmbrbs8.tfm) = %{tl_version}
Provides: tex(cmbrbs9.tfm) = %{tl_version}
Provides: tex(cmbrbx10.tfm) = %{tl_version}
Provides: tex(cmbrmb10.tfm) = %{tl_version}
Provides: tex(cmbrmi10.tfm) = %{tl_version}
Provides: tex(cmbrmi8.tfm) = %{tl_version}
Provides: tex(cmbrmi9.tfm) = %{tl_version}
Provides: tex(cmbrsl10.tfm) = %{tl_version}
Provides: tex(cmbrsl17.tfm) = %{tl_version}
Provides: tex(cmbrsl8.tfm) = %{tl_version}
Provides: tex(cmbrsl9.tfm) = %{tl_version}
Provides: tex(cmbrsy10.tfm) = %{tl_version}
Provides: tex(cmbrsy8.tfm) = %{tl_version}
Provides: tex(cmbrsy9.tfm) = %{tl_version}
Provides: tex(cmsltl10.tfm) = %{tl_version}
Provides: tex(cmtl10.tfm) = %{tl_version}
Provides: tex(ebbx10.tfm) = %{tl_version}
Provides: tex(ebmo10.tfm) = %{tl_version}
Provides: tex(ebmo17.tfm) = %{tl_version}
Provides: tex(ebmo8.tfm) = %{tl_version}
Provides: tex(ebmo9.tfm) = %{tl_version}
Provides: tex(ebmr10.tfm) = %{tl_version}
Provides: tex(ebmr17.tfm) = %{tl_version}
Provides: tex(ebmr8.tfm) = %{tl_version}
Provides: tex(ebmr9.tfm) = %{tl_version}
Provides: tex(ebso10.tfm) = %{tl_version}
Provides: tex(ebso17.tfm) = %{tl_version}
Provides: tex(ebso8.tfm) = %{tl_version}
Provides: tex(ebso9.tfm) = %{tl_version}
Provides: tex(ebsr10.tfm) = %{tl_version}
Provides: tex(ebsr17.tfm) = %{tl_version}
Provides: tex(ebsr8.tfm) = %{tl_version}
Provides: tex(ebsr9.tfm) = %{tl_version}
Provides: tex(ebtl10.tfm) = %{tl_version}
Provides: tex(ebto10.tfm) = %{tl_version}
Provides: tex(tbbx10.tfm) = %{tl_version}
Provides: tex(tbmo10.tfm) = %{tl_version}
Provides: tex(tbmo17.tfm) = %{tl_version}
Provides: tex(tbmo8.tfm) = %{tl_version}
Provides: tex(tbmo9.tfm) = %{tl_version}
Provides: tex(tbmr10.tfm) = %{tl_version}
Provides: tex(tbmr17.tfm) = %{tl_version}
Provides: tex(tbmr8.tfm) = %{tl_version}
Provides: tex(tbmr9.tfm) = %{tl_version}
Provides: tex(tbso10.tfm) = %{tl_version}
Provides: tex(tbso17.tfm) = %{tl_version}
Provides: tex(tbso8.tfm) = %{tl_version}
Provides: tex(tbso9.tfm) = %{tl_version}
Provides: tex(tbsr10.tfm) = %{tl_version}
Provides: tex(tbsr17.tfm) = %{tl_version}
Provides: tex(tbsr8.tfm) = %{tl_version}
Provides: tex(tbsr9.tfm) = %{tl_version}
Provides: tex(tbtl10.tfm) = %{tl_version}
Provides: tex(tbto10.tfm) = %{tl_version}
Provides: tex(cmbright.sty) = %{tl_version}
Provides: tex(omlcmbr.fd) = %{tl_version}
Provides: tex(omlcmbrm.fd) = %{tl_version}
Provides: tex(omscmbr.fd) = %{tl_version}
Provides: tex(omscmbrs.fd) = %{tl_version}
Provides: tex(ot1cmbr.fd) = %{tl_version}
Provides: tex(ot1cmtl.fd) = %{tl_version}
Provides: tex(t1cmbr.fd) = %{tl_version}
Provides: tex(t1cmtl.fd) = %{tl_version}
Provides: tex(ts1cmbr.fd) = %{tl_version}
Provides: tex(ts1cmtl.fd) = %{tl_version}

%description cmbright
A family of sans serif fonts for TeX and LaTeX, based on Donald
Knuth's CM fonts. It comprises OT1, T1 and TS1 encoded text
fonts of various shapes as well as all the fonts necessary for
mathematical typesetting, including AMS symbols. This
collection provides all the necessary files for using the fonts
with LaTeX. A commercial-quality Adobe Type 1 version of these
fonts is available from Micropress. Free versions are
available, in the cm-super font bundle (the T1 and TS1 encoded
part of the set), and in the hfbright package (the OT1 encoded
part, and the maths fonts).

%package cmbright-doc
Summary: Documentation for cmbright
Version: svn21107.8.1

Provides: tex-cmbright-doc
AutoReqProv: No

%description cmbright-doc
Documentation for cmbright

%package cmcyr
Provides: tex-cmcyr = %{tl_version}
License: Public Domain
Summary: Computer Modern fonts with cyrillic extensions
Version: svn39273

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(cmcyr.map) = %{tl_version}
Provides: tex(cmcb10.tfm) = %{tl_version}
Provides: tex(cmcbx10.tfm) = %{tl_version}
Provides: tex(cmcbx12.tfm) = %{tl_version}
Provides: tex(cmcbx5.tfm) = %{tl_version}
Provides: tex(cmcbx6.tfm) = %{tl_version}
Provides: tex(cmcbx7.tfm) = %{tl_version}
Provides: tex(cmcbx8.tfm) = %{tl_version}
Provides: tex(cmcbx9.tfm) = %{tl_version}
Provides: tex(cmcbxsl10.tfm) = %{tl_version}
Provides: tex(cmcbxti10.tfm) = %{tl_version}
Provides: tex(cmccsc10.tfm) = %{tl_version}
Provides: tex(cmccsc8.tfm) = %{tl_version}
Provides: tex(cmccsc9.tfm) = %{tl_version}
Provides: tex(cmcinch.tfm) = %{tl_version}
Provides: tex(cmcitt10.tfm) = %{tl_version}
Provides: tex(cmcsl10.tfm) = %{tl_version}
Provides: tex(cmcsl12.tfm) = %{tl_version}
Provides: tex(cmcsl8.tfm) = %{tl_version}
Provides: tex(cmcsl9.tfm) = %{tl_version}
Provides: tex(cmcsltt10.tfm) = %{tl_version}
Provides: tex(cmcss10.tfm) = %{tl_version}
Provides: tex(cmcss12.tfm) = %{tl_version}
Provides: tex(cmcss17.tfm) = %{tl_version}
Provides: tex(cmcss8.tfm) = %{tl_version}
Provides: tex(cmcss9.tfm) = %{tl_version}
Provides: tex(cmcssbx10.tfm) = %{tl_version}
Provides: tex(cmcssdc10.tfm) = %{tl_version}
Provides: tex(cmcssi10.tfm) = %{tl_version}
Provides: tex(cmcssi12.tfm) = %{tl_version}
Provides: tex(cmcssi17.tfm) = %{tl_version}
Provides: tex(cmcssi8.tfm) = %{tl_version}
Provides: tex(cmcssi9.tfm) = %{tl_version}
Provides: tex(cmcssq8.tfm) = %{tl_version}
Provides: tex(cmcssqi8.tfm) = %{tl_version}
Provides: tex(cmcti10.tfm) = %{tl_version}
Provides: tex(cmcti12.tfm) = %{tl_version}
Provides: tex(cmcti7.tfm) = %{tl_version}
Provides: tex(cmcti8.tfm) = %{tl_version}
Provides: tex(cmcti9.tfm) = %{tl_version}
Provides: tex(cmctt10.tfm) = %{tl_version}
Provides: tex(cmctt12.tfm) = %{tl_version}
Provides: tex(cmctt8.tfm) = %{tl_version}
Provides: tex(cmctt9.tfm) = %{tl_version}
Provides: tex(cmcu10.tfm) = %{tl_version}
Provides: tex(cmcyr10.tfm) = %{tl_version}
Provides: tex(cmcyr12.tfm) = %{tl_version}
Provides: tex(cmcyr17.tfm) = %{tl_version}
Provides: tex(cmcyr5.tfm) = %{tl_version}
Provides: tex(cmcyr6.tfm) = %{tl_version}
Provides: tex(cmcyr7.tfm) = %{tl_version}
Provides: tex(cmcyr8.tfm) = %{tl_version}
Provides: tex(cmcyr9.tfm) = %{tl_version}
Provides: tex(kcmb10.tfm) = %{tl_version}
Provides: tex(kcmbx10.tfm) = %{tl_version}
Provides: tex(kcmbx12.tfm) = %{tl_version}
Provides: tex(kcmbx5.tfm) = %{tl_version}
Provides: tex(kcmbx6.tfm) = %{tl_version}
Provides: tex(kcmbx7.tfm) = %{tl_version}
Provides: tex(kcmbx8.tfm) = %{tl_version}
Provides: tex(kcmbx9.tfm) = %{tl_version}
Provides: tex(kcmbxsl10.tfm) = %{tl_version}
Provides: tex(kcmbxti10.tfm) = %{tl_version}
Provides: tex(kcmcsc10.tfm) = %{tl_version}
Provides: tex(kcmcsc8.tfm) = %{tl_version}
Provides: tex(kcmcsc9.tfm) = %{tl_version}
Provides: tex(kcminch.tfm) = %{tl_version}
Provides: tex(kcmitt10.tfm) = %{tl_version}
Provides: tex(kcmmi10.tfm) = %{tl_version}
Provides: tex(kcmmi12.tfm) = %{tl_version}
Provides: tex(kcmmi5.tfm) = %{tl_version}
Provides: tex(kcmmi6.tfm) = %{tl_version}
Provides: tex(kcmmi7.tfm) = %{tl_version}
Provides: tex(kcmmi8.tfm) = %{tl_version}
Provides: tex(kcmmi9.tfm) = %{tl_version}
Provides: tex(kcmmib10.tfm) = %{tl_version}
Provides: tex(kcmr10.tfm) = %{tl_version}
Provides: tex(kcmr12.tfm) = %{tl_version}
Provides: tex(kcmr17.tfm) = %{tl_version}
Provides: tex(kcmr5.tfm) = %{tl_version}
Provides: tex(kcmr6.tfm) = %{tl_version}
Provides: tex(kcmr7.tfm) = %{tl_version}
Provides: tex(kcmr8.tfm) = %{tl_version}
Provides: tex(kcmr9.tfm) = %{tl_version}
Provides: tex(kcmsl10.tfm) = %{tl_version}
Provides: tex(kcmsl12.tfm) = %{tl_version}
Provides: tex(kcmsl8.tfm) = %{tl_version}
Provides: tex(kcmsl9.tfm) = %{tl_version}
Provides: tex(kcmsltt10.tfm) = %{tl_version}
Provides: tex(kcmss10.tfm) = %{tl_version}
Provides: tex(kcmss12.tfm) = %{tl_version}
Provides: tex(kcmss17.tfm) = %{tl_version}
Provides: tex(kcmss8.tfm) = %{tl_version}
Provides: tex(kcmss9.tfm) = %{tl_version}
Provides: tex(kcmssbx10.tfm) = %{tl_version}
Provides: tex(kcmssdc10.tfm) = %{tl_version}
Provides: tex(kcmssi10.tfm) = %{tl_version}
Provides: tex(kcmssi12.tfm) = %{tl_version}
Provides: tex(kcmssi17.tfm) = %{tl_version}
Provides: tex(kcmssi8.tfm) = %{tl_version}
Provides: tex(kcmssi9.tfm) = %{tl_version}
Provides: tex(kcmssq8.tfm) = %{tl_version}
Provides: tex(kcmssqi8.tfm) = %{tl_version}
Provides: tex(kcmti10.tfm) = %{tl_version}
Provides: tex(kcmti12.tfm) = %{tl_version}
Provides: tex(kcmti7.tfm) = %{tl_version}
Provides: tex(kcmti8.tfm) = %{tl_version}
Provides: tex(kcmti9.tfm) = %{tl_version}
Provides: tex(kcmtt10.tfm) = %{tl_version}
Provides: tex(kcmtt12.tfm) = %{tl_version}
Provides: tex(kcmtt8.tfm) = %{tl_version}
Provides: tex(kcmtt9.tfm) = %{tl_version}
Provides: tex(kcmu10.tfm) = %{tl_version}
Provides: tex(wcmb10.tfm) = %{tl_version}
Provides: tex(wcmbx10.tfm) = %{tl_version}
Provides: tex(wcmbx12.tfm) = %{tl_version}
Provides: tex(wcmbx5.tfm) = %{tl_version}
Provides: tex(wcmbx6.tfm) = %{tl_version}
Provides: tex(wcmbx7.tfm) = %{tl_version}
Provides: tex(wcmbx8.tfm) = %{tl_version}
Provides: tex(wcmbx9.tfm) = %{tl_version}
Provides: tex(wcmbxsl10.tfm) = %{tl_version}
Provides: tex(wcmbxti10.tfm) = %{tl_version}
Provides: tex(wcmcsc10.tfm) = %{tl_version}
Provides: tex(wcmcsc8.tfm) = %{tl_version}
Provides: tex(wcmcsc9.tfm) = %{tl_version}
Provides: tex(wcminch.tfm) = %{tl_version}
Provides: tex(wcmitt10.tfm) = %{tl_version}
Provides: tex(wcmmi10.tfm) = %{tl_version}
Provides: tex(wcmmi12.tfm) = %{tl_version}
Provides: tex(wcmmi5.tfm) = %{tl_version}
Provides: tex(wcmmi6.tfm) = %{tl_version}
Provides: tex(wcmmi7.tfm) = %{tl_version}
Provides: tex(wcmmi8.tfm) = %{tl_version}
Provides: tex(wcmmi9.tfm) = %{tl_version}
Provides: tex(wcmmib10.tfm) = %{tl_version}
Provides: tex(wcmr10.tfm) = %{tl_version}
Provides: tex(wcmr12.tfm) = %{tl_version}
Provides: tex(wcmr17.tfm) = %{tl_version}
Provides: tex(wcmr5.tfm) = %{tl_version}
Provides: tex(wcmr6.tfm) = %{tl_version}
Provides: tex(wcmr7.tfm) = %{tl_version}
Provides: tex(wcmr8.tfm) = %{tl_version}
Provides: tex(wcmr9.tfm) = %{tl_version}
Provides: tex(wcmsl10.tfm) = %{tl_version}
Provides: tex(wcmsl12.tfm) = %{tl_version}
Provides: tex(wcmsl8.tfm) = %{tl_version}
Provides: tex(wcmsl9.tfm) = %{tl_version}
Provides: tex(wcmsltt10.tfm) = %{tl_version}
Provides: tex(wcmss10.tfm) = %{tl_version}
Provides: tex(wcmss12.tfm) = %{tl_version}
Provides: tex(wcmss17.tfm) = %{tl_version}
Provides: tex(wcmss8.tfm) = %{tl_version}
Provides: tex(wcmss9.tfm) = %{tl_version}
Provides: tex(wcmssbx10.tfm) = %{tl_version}
Provides: tex(wcmssdc10.tfm) = %{tl_version}
Provides: tex(wcmssi10.tfm) = %{tl_version}
Provides: tex(wcmssi12.tfm) = %{tl_version}
Provides: tex(wcmssi17.tfm) = %{tl_version}
Provides: tex(wcmssi8.tfm) = %{tl_version}
Provides: tex(wcmssi9.tfm) = %{tl_version}
Provides: tex(wcmssq8.tfm) = %{tl_version}
Provides: tex(wcmssqi8.tfm) = %{tl_version}
Provides: tex(wcmti10.tfm) = %{tl_version}
Provides: tex(wcmti12.tfm) = %{tl_version}
Provides: tex(wcmti7.tfm) = %{tl_version}
Provides: tex(wcmti8.tfm) = %{tl_version}
Provides: tex(wcmti9.tfm) = %{tl_version}
Provides: tex(wcmtt10.tfm) = %{tl_version}
Provides: tex(wcmtt12.tfm) = %{tl_version}
Provides: tex(wcmtt8.tfm) = %{tl_version}
Provides: tex(wcmtt9.tfm) = %{tl_version}
Provides: tex(wcmu10.tfm) = %{tl_version}
Provides: tex(xcmb10.tfm) = %{tl_version}
Provides: tex(xcmbx10.tfm) = %{tl_version}
Provides: tex(xcmbx12.tfm) = %{tl_version}
Provides: tex(xcmbx5.tfm) = %{tl_version}
Provides: tex(xcmbx6.tfm) = %{tl_version}
Provides: tex(xcmbx7.tfm) = %{tl_version}
Provides: tex(xcmbx8.tfm) = %{tl_version}
Provides: tex(xcmbx9.tfm) = %{tl_version}
Provides: tex(xcmbxsl10.tfm) = %{tl_version}
Provides: tex(xcmbxti10.tfm) = %{tl_version}
Provides: tex(xcmcsc10.tfm) = %{tl_version}
Provides: tex(xcmcsc8.tfm) = %{tl_version}
Provides: tex(xcmcsc9.tfm) = %{tl_version}
Provides: tex(xcminch.tfm) = %{tl_version}
Provides: tex(xcmitt10.tfm) = %{tl_version}
Provides: tex(xcmmi10.tfm) = %{tl_version}
Provides: tex(xcmmi12.tfm) = %{tl_version}
Provides: tex(xcmmi5.tfm) = %{tl_version}
Provides: tex(xcmmi6.tfm) = %{tl_version}
Provides: tex(xcmmi7.tfm) = %{tl_version}
Provides: tex(xcmmi8.tfm) = %{tl_version}
Provides: tex(xcmmi9.tfm) = %{tl_version}
Provides: tex(xcmmib10.tfm) = %{tl_version}
Provides: tex(xcmr10.tfm) = %{tl_version}
Provides: tex(xcmr12.tfm) = %{tl_version}
Provides: tex(xcmr17.tfm) = %{tl_version}
Provides: tex(xcmr5.tfm) = %{tl_version}
Provides: tex(xcmr6.tfm) = %{tl_version}
Provides: tex(xcmr7.tfm) = %{tl_version}
Provides: tex(xcmr8.tfm) = %{tl_version}
Provides: tex(xcmr9.tfm) = %{tl_version}
Provides: tex(xcmsl10.tfm) = %{tl_version}
Provides: tex(xcmsl12.tfm) = %{tl_version}
Provides: tex(xcmsl8.tfm) = %{tl_version}
Provides: tex(xcmsl9.tfm) = %{tl_version}
Provides: tex(xcmsltt10.tfm) = %{tl_version}
Provides: tex(xcmss10.tfm) = %{tl_version}
Provides: tex(xcmss12.tfm) = %{tl_version}
Provides: tex(xcmss17.tfm) = %{tl_version}
Provides: tex(xcmss8.tfm) = %{tl_version}
Provides: tex(xcmss9.tfm) = %{tl_version}
Provides: tex(xcmssbx10.tfm) = %{tl_version}
Provides: tex(xcmssdc10.tfm) = %{tl_version}
Provides: tex(xcmssi10.tfm) = %{tl_version}
Provides: tex(xcmssi12.tfm) = %{tl_version}
Provides: tex(xcmssi17.tfm) = %{tl_version}
Provides: tex(xcmssi8.tfm) = %{tl_version}
Provides: tex(xcmssi9.tfm) = %{tl_version}
Provides: tex(xcmssq8.tfm) = %{tl_version}
Provides: tex(xcmssqi8.tfm) = %{tl_version}
Provides: tex(xcmti10.tfm) = %{tl_version}
Provides: tex(xcmti12.tfm) = %{tl_version}
Provides: tex(xcmti7.tfm) = %{tl_version}
Provides: tex(xcmti8.tfm) = %{tl_version}
Provides: tex(xcmti9.tfm) = %{tl_version}
Provides: tex(xcmtt10.tfm) = %{tl_version}
Provides: tex(xcmtt12.tfm) = %{tl_version}
Provides: tex(xcmtt8.tfm) = %{tl_version}
Provides: tex(xcmtt9.tfm) = %{tl_version}
Provides: tex(xcmu10.tfm) = %{tl_version}
Provides: tex(ycmb10.tfm) = %{tl_version}
Provides: tex(ycmbx10.tfm) = %{tl_version}
Provides: tex(ycmbx12.tfm) = %{tl_version}
Provides: tex(ycmbx5.tfm) = %{tl_version}
Provides: tex(ycmbx6.tfm) = %{tl_version}
Provides: tex(ycmbx7.tfm) = %{tl_version}
Provides: tex(ycmbx8.tfm) = %{tl_version}
Provides: tex(ycmbx9.tfm) = %{tl_version}
Provides: tex(ycmbxsl10.tfm) = %{tl_version}
Provides: tex(ycmbxti10.tfm) = %{tl_version}
Provides: tex(ycmcsc10.tfm) = %{tl_version}
Provides: tex(ycmcsc8.tfm) = %{tl_version}
Provides: tex(ycmcsc9.tfm) = %{tl_version}
Provides: tex(ycminch.tfm) = %{tl_version}
Provides: tex(ycmitt10.tfm) = %{tl_version}
Provides: tex(ycmmi10.tfm) = %{tl_version}
Provides: tex(ycmmi12.tfm) = %{tl_version}
Provides: tex(ycmmi5.tfm) = %{tl_version}
Provides: tex(ycmmi6.tfm) = %{tl_version}
Provides: tex(ycmmi7.tfm) = %{tl_version}
Provides: tex(ycmmi8.tfm) = %{tl_version}
Provides: tex(ycmmi9.tfm) = %{tl_version}
Provides: tex(ycmmib10.tfm) = %{tl_version}
Provides: tex(ycmr10.tfm) = %{tl_version}
Provides: tex(ycmr12.tfm) = %{tl_version}
Provides: tex(ycmr17.tfm) = %{tl_version}
Provides: tex(ycmr5.tfm) = %{tl_version}
Provides: tex(ycmr6.tfm) = %{tl_version}
Provides: tex(ycmr7.tfm) = %{tl_version}
Provides: tex(ycmr8.tfm) = %{tl_version}
Provides: tex(ycmr9.tfm) = %{tl_version}
Provides: tex(ycmsl10.tfm) = %{tl_version}
Provides: tex(ycmsl12.tfm) = %{tl_version}
Provides: tex(ycmsl8.tfm) = %{tl_version}
Provides: tex(ycmsl9.tfm) = %{tl_version}
Provides: tex(ycmsltt10.tfm) = %{tl_version}
Provides: tex(ycmss10.tfm) = %{tl_version}
Provides: tex(ycmss12.tfm) = %{tl_version}
Provides: tex(ycmss17.tfm) = %{tl_version}
Provides: tex(ycmss8.tfm) = %{tl_version}
Provides: tex(ycmss9.tfm) = %{tl_version}
Provides: tex(ycmssbx10.tfm) = %{tl_version}
Provides: tex(ycmssdc10.tfm) = %{tl_version}
Provides: tex(ycmssi10.tfm) = %{tl_version}
Provides: tex(ycmssi12.tfm) = %{tl_version}
Provides: tex(ycmssi17.tfm) = %{tl_version}
Provides: tex(ycmssi8.tfm) = %{tl_version}
Provides: tex(ycmssi9.tfm) = %{tl_version}
Provides: tex(ycmssq8.tfm) = %{tl_version}
Provides: tex(ycmssqi8.tfm) = %{tl_version}
Provides: tex(ycmti10.tfm) = %{tl_version}
Provides: tex(ycmti12.tfm) = %{tl_version}
Provides: tex(ycmti7.tfm) = %{tl_version}
Provides: tex(ycmti8.tfm) = %{tl_version}
Provides: tex(ycmti9.tfm) = %{tl_version}
Provides: tex(ycmtt10.tfm) = %{tl_version}
Provides: tex(ycmtt12.tfm) = %{tl_version}
Provides: tex(ycmtt8.tfm) = %{tl_version}
Provides: tex(ycmtt9.tfm) = %{tl_version}
Provides: tex(ycmu10.tfm) = %{tl_version}
Provides: tex(cmcb10.pfb) = %{tl_version}
Provides: tex(cmcbx10.pfb) = %{tl_version}
Provides: tex(cmcbx12.pfb) = %{tl_version}
Provides: tex(cmcbx5.pfb) = %{tl_version}
Provides: tex(cmcbx6.pfb) = %{tl_version}
Provides: tex(cmcbx7.pfb) = %{tl_version}
Provides: tex(cmcbx8.pfb) = %{tl_version}
Provides: tex(cmcbx9.pfb) = %{tl_version}
Provides: tex(cmcbxsl1.pfb) = %{tl_version}
Provides: tex(cmcbxti1.pfb) = %{tl_version}
Provides: tex(cmccsc10.pfb) = %{tl_version}
Provides: tex(cmccsc8.pfb) = %{tl_version}
Provides: tex(cmccsc9.pfb) = %{tl_version}
Provides: tex(cmcinch7.pfb) = %{tl_version}
Provides: tex(cmcitt10.pfb) = %{tl_version}
Provides: tex(cmcsl10.pfb) = %{tl_version}
Provides: tex(cmcsl12.pfb) = %{tl_version}
Provides: tex(cmcsl8.pfb) = %{tl_version}
Provides: tex(cmcsl9.pfb) = %{tl_version}
Provides: tex(cmcsltt1.pfb) = %{tl_version}
Provides: tex(cmcss10.pfb) = %{tl_version}
Provides: tex(cmcss12.pfb) = %{tl_version}
Provides: tex(cmcss17.pfb) = %{tl_version}
Provides: tex(cmcss8.pfb) = %{tl_version}
Provides: tex(cmcss9.pfb) = %{tl_version}
Provides: tex(cmcssbx1.pfb) = %{tl_version}
Provides: tex(cmcssdc1.pfb) = %{tl_version}
Provides: tex(cmcssi10.pfb) = %{tl_version}
Provides: tex(cmcssi12.pfb) = %{tl_version}
Provides: tex(cmcssi17.pfb) = %{tl_version}
Provides: tex(cmcssi8.pfb) = %{tl_version}
Provides: tex(cmcssi9.pfb) = %{tl_version}
Provides: tex(cmcssq8.pfb) = %{tl_version}
Provides: tex(cmcssqi8.pfb) = %{tl_version}
Provides: tex(cmcti10.pfb) = %{tl_version}
Provides: tex(cmcti12.pfb) = %{tl_version}
Provides: tex(cmcti7.pfb) = %{tl_version}
Provides: tex(cmcti8.pfb) = %{tl_version}
Provides: tex(cmcti9.pfb) = %{tl_version}
Provides: tex(cmctt10.pfb) = %{tl_version}
Provides: tex(cmctt12.pfb) = %{tl_version}
Provides: tex(cmctt8.pfb) = %{tl_version}
Provides: tex(cmctt9.pfb) = %{tl_version}
Provides: tex(cmcu10.pfb) = %{tl_version}
Provides: tex(cmcyr10.pfb) = %{tl_version}
Provides: tex(cmcyr12.pfb) = %{tl_version}
Provides: tex(cmcyr17.pfb) = %{tl_version}
Provides: tex(cmcyr5.pfb) = %{tl_version}
Provides: tex(cmcyr6.pfb) = %{tl_version}
Provides: tex(cmcyr7.pfb) = %{tl_version}
Provides: tex(cmcyr8.pfb) = %{tl_version}
Provides: tex(cmcyr9.pfb) = %{tl_version}
Provides: tex(kcmb10.vf) = %{tl_version}
Provides: tex(kcmbx10.vf) = %{tl_version}
Provides: tex(kcmbx12.vf) = %{tl_version}
Provides: tex(kcmbx5.vf) = %{tl_version}
Provides: tex(kcmbx6.vf) = %{tl_version}
Provides: tex(kcmbx7.vf) = %{tl_version}
Provides: tex(kcmbx8.vf) = %{tl_version}
Provides: tex(kcmbx9.vf) = %{tl_version}
Provides: tex(kcmbxsl10.vf) = %{tl_version}
Provides: tex(kcmbxti10.vf) = %{tl_version}
Provides: tex(kcmcsc10.vf) = %{tl_version}
Provides: tex(kcmcsc8.vf) = %{tl_version}
Provides: tex(kcmcsc9.vf) = %{tl_version}
Provides: tex(kcminch.vf) = %{tl_version}
Provides: tex(kcmitt10.vf) = %{tl_version}
Provides: tex(kcmmi10.vf) = %{tl_version}
Provides: tex(kcmmi12.vf) = %{tl_version}
Provides: tex(kcmmi5.vf) = %{tl_version}
Provides: tex(kcmmi6.vf) = %{tl_version}
Provides: tex(kcmmi7.vf) = %{tl_version}
Provides: tex(kcmmi8.vf) = %{tl_version}
Provides: tex(kcmmi9.vf) = %{tl_version}
Provides: tex(kcmmib10.vf) = %{tl_version}
Provides: tex(kcmr10.vf) = %{tl_version}
Provides: tex(kcmr12.vf) = %{tl_version}
Provides: tex(kcmr17.vf) = %{tl_version}
Provides: tex(kcmr5.vf) = %{tl_version}
Provides: tex(kcmr6.vf) = %{tl_version}
Provides: tex(kcmr7.vf) = %{tl_version}
Provides: tex(kcmr8.vf) = %{tl_version}
Provides: tex(kcmr9.vf) = %{tl_version}
Provides: tex(kcmsl10.vf) = %{tl_version}
Provides: tex(kcmsl12.vf) = %{tl_version}
Provides: tex(kcmsl8.vf) = %{tl_version}
Provides: tex(kcmsl9.vf) = %{tl_version}
Provides: tex(kcmsltt10.vf) = %{tl_version}
Provides: tex(kcmss10.vf) = %{tl_version}
Provides: tex(kcmss12.vf) = %{tl_version}
Provides: tex(kcmss17.vf) = %{tl_version}
Provides: tex(kcmss8.vf) = %{tl_version}
Provides: tex(kcmss9.vf) = %{tl_version}
Provides: tex(kcmssbx10.vf) = %{tl_version}
Provides: tex(kcmssdc10.vf) = %{tl_version}
Provides: tex(kcmssi10.vf) = %{tl_version}
Provides: tex(kcmssi12.vf) = %{tl_version}
Provides: tex(kcmssi17.vf) = %{tl_version}
Provides: tex(kcmssi8.vf) = %{tl_version}
Provides: tex(kcmssi9.vf) = %{tl_version}
Provides: tex(kcmssq8.vf) = %{tl_version}
Provides: tex(kcmssqi8.vf) = %{tl_version}
Provides: tex(kcmti10.vf) = %{tl_version}
Provides: tex(kcmti12.vf) = %{tl_version}
Provides: tex(kcmti7.vf) = %{tl_version}
Provides: tex(kcmti8.vf) = %{tl_version}
Provides: tex(kcmti9.vf) = %{tl_version}
Provides: tex(kcmtt10.vf) = %{tl_version}
Provides: tex(kcmtt12.vf) = %{tl_version}
Provides: tex(kcmtt8.vf) = %{tl_version}
Provides: tex(kcmtt9.vf) = %{tl_version}
Provides: tex(kcmu10.vf) = %{tl_version}
Provides: tex(wcmb10.vf) = %{tl_version}
Provides: tex(wcmbx10.vf) = %{tl_version}
Provides: tex(wcmbx12.vf) = %{tl_version}
Provides: tex(wcmbx5.vf) = %{tl_version}
Provides: tex(wcmbx6.vf) = %{tl_version}
Provides: tex(wcmbx7.vf) = %{tl_version}
Provides: tex(wcmbx8.vf) = %{tl_version}
Provides: tex(wcmbx9.vf) = %{tl_version}
Provides: tex(wcmbxsl10.vf) = %{tl_version}
Provides: tex(wcmbxti10.vf) = %{tl_version}
Provides: tex(wcmcsc10.vf) = %{tl_version}
Provides: tex(wcmcsc8.vf) = %{tl_version}
Provides: tex(wcmcsc9.vf) = %{tl_version}
Provides: tex(wcminch.vf) = %{tl_version}
Provides: tex(wcmitt10.vf) = %{tl_version}
Provides: tex(wcmmi10.vf) = %{tl_version}
Provides: tex(wcmmi12.vf) = %{tl_version}
Provides: tex(wcmmi5.vf) = %{tl_version}
Provides: tex(wcmmi6.vf) = %{tl_version}
Provides: tex(wcmmi7.vf) = %{tl_version}
Provides: tex(wcmmi8.vf) = %{tl_version}
Provides: tex(wcmmi9.vf) = %{tl_version}
Provides: tex(wcmmib10.vf) = %{tl_version}
Provides: tex(wcmr10.vf) = %{tl_version}
Provides: tex(wcmr12.vf) = %{tl_version}
Provides: tex(wcmr17.vf) = %{tl_version}
Provides: tex(wcmr5.vf) = %{tl_version}
Provides: tex(wcmr6.vf) = %{tl_version}
Provides: tex(wcmr7.vf) = %{tl_version}
Provides: tex(wcmr8.vf) = %{tl_version}
Provides: tex(wcmr9.vf) = %{tl_version}
Provides: tex(wcmsl10.vf) = %{tl_version}
Provides: tex(wcmsl12.vf) = %{tl_version}
Provides: tex(wcmsl8.vf) = %{tl_version}
Provides: tex(wcmsl9.vf) = %{tl_version}
Provides: tex(wcmsltt10.vf) = %{tl_version}
Provides: tex(wcmss10.vf) = %{tl_version}
Provides: tex(wcmss12.vf) = %{tl_version}
Provides: tex(wcmss17.vf) = %{tl_version}
Provides: tex(wcmss8.vf) = %{tl_version}
Provides: tex(wcmss9.vf) = %{tl_version}
Provides: tex(wcmssbx10.vf) = %{tl_version}
Provides: tex(wcmssdc10.vf) = %{tl_version}
Provides: tex(wcmssi10.vf) = %{tl_version}
Provides: tex(wcmssi12.vf) = %{tl_version}
Provides: tex(wcmssi17.vf) = %{tl_version}
Provides: tex(wcmssi8.vf) = %{tl_version}
Provides: tex(wcmssi9.vf) = %{tl_version}
Provides: tex(wcmssq8.vf) = %{tl_version}
Provides: tex(wcmssqi8.vf) = %{tl_version}
Provides: tex(wcmti10.vf) = %{tl_version}
Provides: tex(wcmti12.vf) = %{tl_version}
Provides: tex(wcmti7.vf) = %{tl_version}
Provides: tex(wcmti8.vf) = %{tl_version}
Provides: tex(wcmti9.vf) = %{tl_version}
Provides: tex(wcmtt10.vf) = %{tl_version}
Provides: tex(wcmtt12.vf) = %{tl_version}
Provides: tex(wcmtt8.vf) = %{tl_version}
Provides: tex(wcmtt9.vf) = %{tl_version}
Provides: tex(wcmu10.vf) = %{tl_version}
Provides: tex(xcmb10.vf) = %{tl_version}
Provides: tex(xcmbx10.vf) = %{tl_version}
Provides: tex(xcmbx12.vf) = %{tl_version}
Provides: tex(xcmbx5.vf) = %{tl_version}
Provides: tex(xcmbx6.vf) = %{tl_version}
Provides: tex(xcmbx7.vf) = %{tl_version}
Provides: tex(xcmbx8.vf) = %{tl_version}
Provides: tex(xcmbx9.vf) = %{tl_version}
Provides: tex(xcmbxsl10.vf) = %{tl_version}
Provides: tex(xcmbxti10.vf) = %{tl_version}
Provides: tex(xcmcsc10.vf) = %{tl_version}
Provides: tex(xcmcsc8.vf) = %{tl_version}
Provides: tex(xcmcsc9.vf) = %{tl_version}
Provides: tex(xcminch.vf) = %{tl_version}
Provides: tex(xcmitt10.vf) = %{tl_version}
Provides: tex(xcmmi10.vf) = %{tl_version}
Provides: tex(xcmmi12.vf) = %{tl_version}
Provides: tex(xcmmi5.vf) = %{tl_version}
Provides: tex(xcmmi6.vf) = %{tl_version}
Provides: tex(xcmmi7.vf) = %{tl_version}
Provides: tex(xcmmi8.vf) = %{tl_version}
Provides: tex(xcmmi9.vf) = %{tl_version}
Provides: tex(xcmmib10.vf) = %{tl_version}
Provides: tex(xcmr10.vf) = %{tl_version}
Provides: tex(xcmr12.vf) = %{tl_version}
Provides: tex(xcmr17.vf) = %{tl_version}
Provides: tex(xcmr5.vf) = %{tl_version}
Provides: tex(xcmr6.vf) = %{tl_version}
Provides: tex(xcmr7.vf) = %{tl_version}
Provides: tex(xcmr8.vf) = %{tl_version}
Provides: tex(xcmr9.vf) = %{tl_version}
Provides: tex(xcmsl10.vf) = %{tl_version}
Provides: tex(xcmsl12.vf) = %{tl_version}
Provides: tex(xcmsl8.vf) = %{tl_version}
Provides: tex(xcmsl9.vf) = %{tl_version}
Provides: tex(xcmsltt10.vf) = %{tl_version}
Provides: tex(xcmss10.vf) = %{tl_version}
Provides: tex(xcmss12.vf) = %{tl_version}
Provides: tex(xcmss17.vf) = %{tl_version}
Provides: tex(xcmss8.vf) = %{tl_version}
Provides: tex(xcmss9.vf) = %{tl_version}
Provides: tex(xcmssbx10.vf) = %{tl_version}
Provides: tex(xcmssdc10.vf) = %{tl_version}
Provides: tex(xcmssi10.vf) = %{tl_version}
Provides: tex(xcmssi12.vf) = %{tl_version}
Provides: tex(xcmssi17.vf) = %{tl_version}
Provides: tex(xcmssi8.vf) = %{tl_version}
Provides: tex(xcmssi9.vf) = %{tl_version}
Provides: tex(xcmssq8.vf) = %{tl_version}
Provides: tex(xcmssqi8.vf) = %{tl_version}
Provides: tex(xcmti10.vf) = %{tl_version}
Provides: tex(xcmti12.vf) = %{tl_version}
Provides: tex(xcmti7.vf) = %{tl_version}
Provides: tex(xcmti8.vf) = %{tl_version}
Provides: tex(xcmti9.vf) = %{tl_version}
Provides: tex(xcmtt10.vf) = %{tl_version}
Provides: tex(xcmtt12.vf) = %{tl_version}
Provides: tex(xcmtt8.vf) = %{tl_version}
Provides: tex(xcmtt9.vf) = %{tl_version}
Provides: tex(xcmu10.vf) = %{tl_version}
Provides: tex(ycmb10.vf) = %{tl_version}
Provides: tex(ycmbx10.vf) = %{tl_version}
Provides: tex(ycmbx12.vf) = %{tl_version}
Provides: tex(ycmbx5.vf) = %{tl_version}
Provides: tex(ycmbx6.vf) = %{tl_version}
Provides: tex(ycmbx7.vf) = %{tl_version}
Provides: tex(ycmbx8.vf) = %{tl_version}
Provides: tex(ycmbx9.vf) = %{tl_version}
Provides: tex(ycmbxsl10.vf) = %{tl_version}
Provides: tex(ycmbxti10.vf) = %{tl_version}
Provides: tex(ycmcsc10.vf) = %{tl_version}
Provides: tex(ycmcsc8.vf) = %{tl_version}
Provides: tex(ycmcsc9.vf) = %{tl_version}
Provides: tex(ycminch.vf) = %{tl_version}
Provides: tex(ycmitt10.vf) = %{tl_version}
Provides: tex(ycmmi10.vf) = %{tl_version}
Provides: tex(ycmmi12.vf) = %{tl_version}
Provides: tex(ycmmi5.vf) = %{tl_version}
Provides: tex(ycmmi6.vf) = %{tl_version}
Provides: tex(ycmmi7.vf) = %{tl_version}
Provides: tex(ycmmi8.vf) = %{tl_version}
Provides: tex(ycmmi9.vf) = %{tl_version}
Provides: tex(ycmmib10.vf) = %{tl_version}
Provides: tex(ycmr10.vf) = %{tl_version}
Provides: tex(ycmr12.vf) = %{tl_version}
Provides: tex(ycmr17.vf) = %{tl_version}
Provides: tex(ycmr5.vf) = %{tl_version}
Provides: tex(ycmr6.vf) = %{tl_version}
Provides: tex(ycmr7.vf) = %{tl_version}
Provides: tex(ycmr8.vf) = %{tl_version}
Provides: tex(ycmr9.vf) = %{tl_version}
Provides: tex(ycmsl10.vf) = %{tl_version}
Provides: tex(ycmsl12.vf) = %{tl_version}
Provides: tex(ycmsl8.vf) = %{tl_version}
Provides: tex(ycmsl9.vf) = %{tl_version}
Provides: tex(ycmsltt10.vf) = %{tl_version}
Provides: tex(ycmss10.vf) = %{tl_version}
Provides: tex(ycmss12.vf) = %{tl_version}
Provides: tex(ycmss17.vf) = %{tl_version}
Provides: tex(ycmss8.vf) = %{tl_version}
Provides: tex(ycmss9.vf) = %{tl_version}
Provides: tex(ycmssbx10.vf) = %{tl_version}
Provides: tex(ycmssdc10.vf) = %{tl_version}
Provides: tex(ycmssi10.vf) = %{tl_version}
Provides: tex(ycmssi12.vf) = %{tl_version}
Provides: tex(ycmssi17.vf) = %{tl_version}
Provides: tex(ycmssi8.vf) = %{tl_version}
Provides: tex(ycmssi9.vf) = %{tl_version}
Provides: tex(ycmssq8.vf) = %{tl_version}
Provides: tex(ycmssqi8.vf) = %{tl_version}
Provides: tex(ycmti10.vf) = %{tl_version}
Provides: tex(ycmti12.vf) = %{tl_version}
Provides: tex(ycmti7.vf) = %{tl_version}
Provides: tex(ycmti8.vf) = %{tl_version}
Provides: tex(ycmti9.vf) = %{tl_version}
Provides: tex(ycmtt10.vf) = %{tl_version}
Provides: tex(ycmtt12.vf) = %{tl_version}
Provides: tex(ycmtt8.vf) = %{tl_version}
Provides: tex(ycmtt9.vf) = %{tl_version}
Provides: tex(ycmu10.vf) = %{tl_version}

%description cmcyr
These are the Computer Modern fonts extended with Russian
letters, in Metafont sources and ATM Compatible Type 1 format.
The fonts are provided in KOI-7, but virtual fonts are
available to recode them to three other Russian 8-bit
encodings.

%package cmcyr-doc
Summary: Documentation for cmcyr
Version: svn39273

Provides: tex-cmcyr-doc
AutoReqProv: No

%description cmcyr-doc
Documentation for cmcyr

%package cmdstring
Provides: tex-cmdstring = %{tl_version}
License: LPPL
Summary: Get command name reliably
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmdstring.sty) = %{tl_version}

%description cmdstring
Extracts the letters of a command's name (e.g., foo for command
\foo), in a reliable way.

%package cmdstring-doc
Summary: Documentation for cmdstring
Version: svn15878.1.1

Provides: tex-cmdstring-doc
AutoReqProv: No

%description cmdstring-doc
Documentation for cmdstring

%package cmextra
Provides: tex-cmextra = %{tl_version}
License: Knuth
Summary: Knuth's local information
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bible12.tfm) = %{tl_version}
Provides: tex(cmbxcd10.tfm) = %{tl_version}
Provides: tex(cmbxti12.tfm) = %{tl_version}
Provides: tex(cmbxti7.tfm) = %{tl_version}
Provides: tex(cmcscsl10.tfm) = %{tl_version}
Provides: tex(cmfibs8.tfm) = %{tl_version}
Provides: tex(cmitt12.tfm) = %{tl_version}
Provides: tex(cmitt9.tfm) = %{tl_version}
Provides: tex(cmman.tfm) = %{tl_version}
Provides: tex(cmntex10.tfm) = %{tl_version}
Provides: tex(cmntt10.tfm) = %{tl_version}
Provides: tex(cmsl6.tfm) = %{tl_version}
Provides: tex(cmsltt9.tfm) = %{tl_version}
Provides: tex(cmssbxo10.tfm) = %{tl_version}
Provides: tex(cmsslu30.tfm) = %{tl_version}
Provides: tex(cmssu30.tfm) = %{tl_version}
Provides: tex(cmsytt10.tfm) = %{tl_version}
Provides: tex(cmtim.tfm) = %{tl_version}
Provides: tex(cmvtti10.tfm) = %{tl_version}
Provides: tex(diam12.tfm) = %{tl_version}
Provides: tex(gen10.tfm) = %{tl_version}
Provides: tex(gen8.tfm) = %{tl_version}
Provides: tex(gen9.tfm) = %{tl_version}

%description cmextra
A collection of experimental programs and developments based
on, or complementary to, the matter in his distribution
directories.

%package cm-lgc
Provides: tex-cm-lgc = %{tl_version}
License: GPL+
Summary: Type 1 CM-based fonts for Latin, Greek and Cyrillic
Version: svn28250.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(8r-mod.enc) = %{tl_version}
Provides: tex(cm-lgc.map) = %{tl_version}
Provides: tex(fcmb6a.tfm) = %{tl_version}
Provides: tex(fcmb6y.tfm) = %{tl_version}
Provides: tex(fcmb6z.tfm) = %{tl_version}
Provides: tex(fcmb7k.tfm) = %{tl_version}
Provides: tex(fcmb7t.tfm) = %{tl_version}
Provides: tex(fcmb8a.tfm) = %{tl_version}
Provides: tex(fcmb8c.tfm) = %{tl_version}
Provides: tex(fcmb8r.tfm) = %{tl_version}
Provides: tex(fcmb8t.tfm) = %{tl_version}
Provides: tex(fcmbc6a.tfm) = %{tl_version}
Provides: tex(fcmbc6y.tfm) = %{tl_version}
Provides: tex(fcmbc6z.tfm) = %{tl_version}
Provides: tex(fcmbc7k.tfm) = %{tl_version}
Provides: tex(fcmbc7t.tfm) = %{tl_version}
Provides: tex(fcmbc8a.tfm) = %{tl_version}
Provides: tex(fcmbc8r.tfm) = %{tl_version}
Provides: tex(fcmbc8t.tfm) = %{tl_version}
Provides: tex(fcmbcce.tfm) = %{tl_version}
Provides: tex(fcmbce.tfm) = %{tl_version}
Provides: tex(fcmbcgr.tfm) = %{tl_version}
Provides: tex(fcmbcpg.tfm) = %{tl_version}
Provides: tex(fcmbgr.tfm) = %{tl_version}
Provides: tex(fcmbi6a.tfm) = %{tl_version}
Provides: tex(fcmbi6y.tfm) = %{tl_version}
Provides: tex(fcmbi6z.tfm) = %{tl_version}
Provides: tex(fcmbi7k.tfm) = %{tl_version}
Provides: tex(fcmbi7t.tfm) = %{tl_version}
Provides: tex(fcmbi8a.tfm) = %{tl_version}
Provides: tex(fcmbi8c.tfm) = %{tl_version}
Provides: tex(fcmbi8r.tfm) = %{tl_version}
Provides: tex(fcmbi8t.tfm) = %{tl_version}
Provides: tex(fcmbice.tfm) = %{tl_version}
Provides: tex(fcmbigr.tfm) = %{tl_version}
Provides: tex(fcmbij8a.tfm) = %{tl_version}
Provides: tex(fcmbij8r.tfm) = %{tl_version}
Provides: tex(fcmbipg.tfm) = %{tl_version}
Provides: tex(fcmbo6a.tfm) = %{tl_version}
Provides: tex(fcmbo6y.tfm) = %{tl_version}
Provides: tex(fcmbo6z.tfm) = %{tl_version}
Provides: tex(fcmbo7k.tfm) = %{tl_version}
Provides: tex(fcmbo7t.tfm) = %{tl_version}
Provides: tex(fcmbo8c.tfm) = %{tl_version}
Provides: tex(fcmbo8r.tfm) = %{tl_version}
Provides: tex(fcmbo8t.tfm) = %{tl_version}
Provides: tex(fcmboc8r.tfm) = %{tl_version}
Provides: tex(fcmboce.tfm) = %{tl_version}
Provides: tex(fcmbogr.tfm) = %{tl_version}
Provides: tex(fcmbopg.tfm) = %{tl_version}
Provides: tex(fcmbpg.tfm) = %{tl_version}
Provides: tex(fcmbu6a.tfm) = %{tl_version}
Provides: tex(fcmbu6y.tfm) = %{tl_version}
Provides: tex(fcmbu6z.tfm) = %{tl_version}
Provides: tex(fcmbu7k.tfm) = %{tl_version}
Provides: tex(fcmbu7t.tfm) = %{tl_version}
Provides: tex(fcmbu8c.tfm) = %{tl_version}
Provides: tex(fcmbu8r.tfm) = %{tl_version}
Provides: tex(fcmbu8t.tfm) = %{tl_version}
Provides: tex(fcmbuce.tfm) = %{tl_version}
Provides: tex(fcmbugr.tfm) = %{tl_version}
Provides: tex(fcmbuj8r.tfm) = %{tl_version}
Provides: tex(fcmbupg.tfm) = %{tl_version}
Provides: tex(fcmr6a.tfm) = %{tl_version}
Provides: tex(fcmr6y.tfm) = %{tl_version}
Provides: tex(fcmr6z.tfm) = %{tl_version}
Provides: tex(fcmr7k.tfm) = %{tl_version}
Provides: tex(fcmr7t.tfm) = %{tl_version}
Provides: tex(fcmr8a.tfm) = %{tl_version}
Provides: tex(fcmr8c.tfm) = %{tl_version}
Provides: tex(fcmr8r.tfm) = %{tl_version}
Provides: tex(fcmr8t.tfm) = %{tl_version}
Provides: tex(fcmrc6a.tfm) = %{tl_version}
Provides: tex(fcmrc6y.tfm) = %{tl_version}
Provides: tex(fcmrc6z.tfm) = %{tl_version}
Provides: tex(fcmrc7k.tfm) = %{tl_version}
Provides: tex(fcmrc7t.tfm) = %{tl_version}
Provides: tex(fcmrc8a.tfm) = %{tl_version}
Provides: tex(fcmrc8r.tfm) = %{tl_version}
Provides: tex(fcmrc8t.tfm) = %{tl_version}
Provides: tex(fcmrcce.tfm) = %{tl_version}
Provides: tex(fcmrce.tfm) = %{tl_version}
Provides: tex(fcmrcgr.tfm) = %{tl_version}
Provides: tex(fcmrcpg.tfm) = %{tl_version}
Provides: tex(fcmrgr.tfm) = %{tl_version}
Provides: tex(fcmri6a.tfm) = %{tl_version}
Provides: tex(fcmri6y.tfm) = %{tl_version}
Provides: tex(fcmri6z.tfm) = %{tl_version}
Provides: tex(fcmri7k.tfm) = %{tl_version}
Provides: tex(fcmri7t.tfm) = %{tl_version}
Provides: tex(fcmri8a.tfm) = %{tl_version}
Provides: tex(fcmri8c.tfm) = %{tl_version}
Provides: tex(fcmri8r.tfm) = %{tl_version}
Provides: tex(fcmri8t.tfm) = %{tl_version}
Provides: tex(fcmrice.tfm) = %{tl_version}
Provides: tex(fcmrigr.tfm) = %{tl_version}
Provides: tex(fcmrij8a.tfm) = %{tl_version}
Provides: tex(fcmrij8r.tfm) = %{tl_version}
Provides: tex(fcmripg.tfm) = %{tl_version}
Provides: tex(fcmro6a.tfm) = %{tl_version}
Provides: tex(fcmro6y.tfm) = %{tl_version}
Provides: tex(fcmro6z.tfm) = %{tl_version}
Provides: tex(fcmro7k.tfm) = %{tl_version}
Provides: tex(fcmro7t.tfm) = %{tl_version}
Provides: tex(fcmro8c.tfm) = %{tl_version}
Provides: tex(fcmro8r.tfm) = %{tl_version}
Provides: tex(fcmro8t.tfm) = %{tl_version}
Provides: tex(fcmroc8r.tfm) = %{tl_version}
Provides: tex(fcmroce.tfm) = %{tl_version}
Provides: tex(fcmrogr.tfm) = %{tl_version}
Provides: tex(fcmropg.tfm) = %{tl_version}
Provides: tex(fcmrpg.tfm) = %{tl_version}
Provides: tex(fcmru6a.tfm) = %{tl_version}
Provides: tex(fcmru6y.tfm) = %{tl_version}
Provides: tex(fcmru6z.tfm) = %{tl_version}
Provides: tex(fcmru7k.tfm) = %{tl_version}
Provides: tex(fcmru7t.tfm) = %{tl_version}
Provides: tex(fcmru8c.tfm) = %{tl_version}
Provides: tex(fcmru8r.tfm) = %{tl_version}
Provides: tex(fcmru8t.tfm) = %{tl_version}
Provides: tex(fcmruce.tfm) = %{tl_version}
Provides: tex(fcmrugr.tfm) = %{tl_version}
Provides: tex(fcmruj8r.tfm) = %{tl_version}
Provides: tex(fcmrupg.tfm) = %{tl_version}
Provides: tex(fcsb6a.tfm) = %{tl_version}
Provides: tex(fcsb6y.tfm) = %{tl_version}
Provides: tex(fcsb6z.tfm) = %{tl_version}
Provides: tex(fcsb7k.tfm) = %{tl_version}
Provides: tex(fcsb7t.tfm) = %{tl_version}
Provides: tex(fcsb8a.tfm) = %{tl_version}
Provides: tex(fcsb8c.tfm) = %{tl_version}
Provides: tex(fcsb8r.tfm) = %{tl_version}
Provides: tex(fcsb8t.tfm) = %{tl_version}
Provides: tex(fcsbce.tfm) = %{tl_version}
Provides: tex(fcsbgr.tfm) = %{tl_version}
Provides: tex(fcsbo6a.tfm) = %{tl_version}
Provides: tex(fcsbo6y.tfm) = %{tl_version}
Provides: tex(fcsbo6z.tfm) = %{tl_version}
Provides: tex(fcsbo7k.tfm) = %{tl_version}
Provides: tex(fcsbo7t.tfm) = %{tl_version}
Provides: tex(fcsbo8a.tfm) = %{tl_version}
Provides: tex(fcsbo8c.tfm) = %{tl_version}
Provides: tex(fcsbo8r.tfm) = %{tl_version}
Provides: tex(fcsbo8t.tfm) = %{tl_version}
Provides: tex(fcsboce.tfm) = %{tl_version}
Provides: tex(fcsbogr.tfm) = %{tl_version}
Provides: tex(fcsbopg.tfm) = %{tl_version}
Provides: tex(fcsbpg.tfm) = %{tl_version}
Provides: tex(fcsr6a.tfm) = %{tl_version}
Provides: tex(fcsr6y.tfm) = %{tl_version}
Provides: tex(fcsr6z.tfm) = %{tl_version}
Provides: tex(fcsr7k.tfm) = %{tl_version}
Provides: tex(fcsr7t.tfm) = %{tl_version}
Provides: tex(fcsr8a.tfm) = %{tl_version}
Provides: tex(fcsr8c.tfm) = %{tl_version}
Provides: tex(fcsr8r.tfm) = %{tl_version}
Provides: tex(fcsr8t.tfm) = %{tl_version}
Provides: tex(fcsrce.tfm) = %{tl_version}
Provides: tex(fcsrgr.tfm) = %{tl_version}
Provides: tex(fcsro6a.tfm) = %{tl_version}
Provides: tex(fcsro6y.tfm) = %{tl_version}
Provides: tex(fcsro6z.tfm) = %{tl_version}
Provides: tex(fcsro7k.tfm) = %{tl_version}
Provides: tex(fcsro7t.tfm) = %{tl_version}
Provides: tex(fcsro8a.tfm) = %{tl_version}
Provides: tex(fcsro8c.tfm) = %{tl_version}
Provides: tex(fcsro8r.tfm) = %{tl_version}
Provides: tex(fcsro8t.tfm) = %{tl_version}
Provides: tex(fcsroce.tfm) = %{tl_version}
Provides: tex(fcsrogr.tfm) = %{tl_version}
Provides: tex(fcsropg.tfm) = %{tl_version}
Provides: tex(fcsrpg.tfm) = %{tl_version}
Provides: tex(fctr6a.tfm) = %{tl_version}
Provides: tex(fctr6y.tfm) = %{tl_version}
Provides: tex(fctr6z.tfm) = %{tl_version}
Provides: tex(fctr7k.tfm) = %{tl_version}
Provides: tex(fctr7t.tfm) = %{tl_version}
Provides: tex(fctr8a.tfm) = %{tl_version}
Provides: tex(fctr8c.tfm) = %{tl_version}
Provides: tex(fctr8r.tfm) = %{tl_version}
Provides: tex(fctr8t.tfm) = %{tl_version}
Provides: tex(fctrc6a.tfm) = %{tl_version}
Provides: tex(fctrc6y.tfm) = %{tl_version}
Provides: tex(fctrc6z.tfm) = %{tl_version}
Provides: tex(fctrc7k.tfm) = %{tl_version}
Provides: tex(fctrc7t.tfm) = %{tl_version}
Provides: tex(fctrc8a.tfm) = %{tl_version}
Provides: tex(fctrc8r.tfm) = %{tl_version}
Provides: tex(fctrc8t.tfm) = %{tl_version}
Provides: tex(fctrcce.tfm) = %{tl_version}
Provides: tex(fctrce.tfm) = %{tl_version}
Provides: tex(fctrcgr.tfm) = %{tl_version}
Provides: tex(fctrcpg.tfm) = %{tl_version}
Provides: tex(fctrgr.tfm) = %{tl_version}
Provides: tex(fctri6a.tfm) = %{tl_version}
Provides: tex(fctri6y.tfm) = %{tl_version}
Provides: tex(fctri6z.tfm) = %{tl_version}
Provides: tex(fctri7k.tfm) = %{tl_version}
Provides: tex(fctri7t.tfm) = %{tl_version}
Provides: tex(fctri8a.tfm) = %{tl_version}
Provides: tex(fctri8c.tfm) = %{tl_version}
Provides: tex(fctri8r.tfm) = %{tl_version}
Provides: tex(fctri8t.tfm) = %{tl_version}
Provides: tex(fctrice.tfm) = %{tl_version}
Provides: tex(fctrigr.tfm) = %{tl_version}
Provides: tex(fctrij8a.tfm) = %{tl_version}
Provides: tex(fctrij8r.tfm) = %{tl_version}
Provides: tex(fctripg.tfm) = %{tl_version}
Provides: tex(fctro6a.tfm) = %{tl_version}
Provides: tex(fctro6y.tfm) = %{tl_version}
Provides: tex(fctro6z.tfm) = %{tl_version}
Provides: tex(fctro7k.tfm) = %{tl_version}
Provides: tex(fctro7t.tfm) = %{tl_version}
Provides: tex(fctro8c.tfm) = %{tl_version}
Provides: tex(fctro8r.tfm) = %{tl_version}
Provides: tex(fctro8t.tfm) = %{tl_version}
Provides: tex(fctroc8r.tfm) = %{tl_version}
Provides: tex(fctroce.tfm) = %{tl_version}
Provides: tex(fctrogr.tfm) = %{tl_version}
Provides: tex(fctropg.tfm) = %{tl_version}
Provides: tex(fctrpg.tfm) = %{tl_version}
Provides: tex(fctru6a.tfm) = %{tl_version}
Provides: tex(fctru6y.tfm) = %{tl_version}
Provides: tex(fctru6z.tfm) = %{tl_version}
Provides: tex(fctru7k.tfm) = %{tl_version}
Provides: tex(fctru7t.tfm) = %{tl_version}
Provides: tex(fctru8c.tfm) = %{tl_version}
Provides: tex(fctru8r.tfm) = %{tl_version}
Provides: tex(fctru8t.tfm) = %{tl_version}
Provides: tex(fctruce.tfm) = %{tl_version}
Provides: tex(fctrugr.tfm) = %{tl_version}
Provides: tex(fctruj8r.tfm) = %{tl_version}
Provides: tex(fctrupg.tfm) = %{tl_version}
Provides: tex(fcmb6y.pfb) = %{tl_version}
Provides: tex(fcmb6z.pfb) = %{tl_version}
Provides: tex(fcmb8a.pfb) = %{tl_version}
Provides: tex(fcmbc6y.pfb) = %{tl_version}
Provides: tex(fcmbc6z.pfb) = %{tl_version}
Provides: tex(fcmbc8a.pfb) = %{tl_version}
Provides: tex(fcmbcce.pfb) = %{tl_version}
Provides: tex(fcmbce.pfb) = %{tl_version}
Provides: tex(fcmbcpg.pfb) = %{tl_version}
Provides: tex(fcmbi6y.pfb) = %{tl_version}
Provides: tex(fcmbi6z.pfb) = %{tl_version}
Provides: tex(fcmbi8a.pfb) = %{tl_version}
Provides: tex(fcmbice.pfb) = %{tl_version}
Provides: tex(fcmbij6y.pfb) = %{tl_version}
Provides: tex(fcmbij6z.pfb) = %{tl_version}
Provides: tex(fcmbij8a.pfb) = %{tl_version}
Provides: tex(fcmbijce.pfb) = %{tl_version}
Provides: tex(fcmbijpg.pfb) = %{tl_version}
Provides: tex(fcmbipg.pfb) = %{tl_version}
Provides: tex(fcmbpg.pfb) = %{tl_version}
Provides: tex(fcmr6y.pfb) = %{tl_version}
Provides: tex(fcmr6z.pfb) = %{tl_version}
Provides: tex(fcmr8a.pfb) = %{tl_version}
Provides: tex(fcmrc6y.pfb) = %{tl_version}
Provides: tex(fcmrc6z.pfb) = %{tl_version}
Provides: tex(fcmrc8a.pfb) = %{tl_version}
Provides: tex(fcmrcce.pfb) = %{tl_version}
Provides: tex(fcmrce.pfb) = %{tl_version}
Provides: tex(fcmrcpg.pfb) = %{tl_version}
Provides: tex(fcmri6y.pfb) = %{tl_version}
Provides: tex(fcmri6z.pfb) = %{tl_version}
Provides: tex(fcmri8a.pfb) = %{tl_version}
Provides: tex(fcmrice.pfb) = %{tl_version}
Provides: tex(fcmrij6y.pfb) = %{tl_version}
Provides: tex(fcmrij6z.pfb) = %{tl_version}
Provides: tex(fcmrij8a.pfb) = %{tl_version}
Provides: tex(fcmrijce.pfb) = %{tl_version}
Provides: tex(fcmrijpg.pfb) = %{tl_version}
Provides: tex(fcmripg.pfb) = %{tl_version}
Provides: tex(fcmrpg.pfb) = %{tl_version}
Provides: tex(fcsb6y.pfb) = %{tl_version}
Provides: tex(fcsb6z.pfb) = %{tl_version}
Provides: tex(fcsb8a.pfb) = %{tl_version}
Provides: tex(fcsbce.pfb) = %{tl_version}
Provides: tex(fcsbo6y.pfb) = %{tl_version}
Provides: tex(fcsbo6z.pfb) = %{tl_version}
Provides: tex(fcsbo8a.pfb) = %{tl_version}
Provides: tex(fcsboce.pfb) = %{tl_version}
Provides: tex(fcsbopg.pfb) = %{tl_version}
Provides: tex(fcsbpg.pfb) = %{tl_version}
Provides: tex(fcsr6y.pfb) = %{tl_version}
Provides: tex(fcsr6z.pfb) = %{tl_version}
Provides: tex(fcsr8a.pfb) = %{tl_version}
Provides: tex(fcsrce.pfb) = %{tl_version}
Provides: tex(fcsro6y.pfb) = %{tl_version}
Provides: tex(fcsro6z.pfb) = %{tl_version}
Provides: tex(fcsro8a.pfb) = %{tl_version}
Provides: tex(fcsroce.pfb) = %{tl_version}
Provides: tex(fcsropg.pfb) = %{tl_version}
Provides: tex(fcsrpg.pfb) = %{tl_version}
Provides: tex(fctr6y.pfb) = %{tl_version}
Provides: tex(fctr6z.pfb) = %{tl_version}
Provides: tex(fctr8a.pfb) = %{tl_version}
Provides: tex(fctrc6y.pfb) = %{tl_version}
Provides: tex(fctrc6z.pfb) = %{tl_version}
Provides: tex(fctrc8a.pfb) = %{tl_version}
Provides: tex(fctrcce.pfb) = %{tl_version}
Provides: tex(fctrce.pfb) = %{tl_version}
Provides: tex(fctrcpg.pfb) = %{tl_version}
Provides: tex(fctri6y.pfb) = %{tl_version}
Provides: tex(fctri6z.pfb) = %{tl_version}
Provides: tex(fctri8a.pfb) = %{tl_version}
Provides: tex(fctrice.pfb) = %{tl_version}
Provides: tex(fctrij6y.pfb) = %{tl_version}
Provides: tex(fctrij6z.pfb) = %{tl_version}
Provides: tex(fctrij8a.pfb) = %{tl_version}
Provides: tex(fctrijce.pfb) = %{tl_version}
Provides: tex(fctrijpg.pfb) = %{tl_version}
Provides: tex(fctripg.pfb) = %{tl_version}
Provides: tex(fctrpg.pfb) = %{tl_version}
Provides: tex(fcmb6a.vf) = %{tl_version}
Provides: tex(fcmb7k.vf) = %{tl_version}
Provides: tex(fcmb7t.vf) = %{tl_version}
Provides: tex(fcmb8c.vf) = %{tl_version}
Provides: tex(fcmb8t.vf) = %{tl_version}
Provides: tex(fcmbc6a.vf) = %{tl_version}
Provides: tex(fcmbc7k.vf) = %{tl_version}
Provides: tex(fcmbc7t.vf) = %{tl_version}
Provides: tex(fcmbc8t.vf) = %{tl_version}
Provides: tex(fcmbcgr.vf) = %{tl_version}
Provides: tex(fcmbgr.vf) = %{tl_version}
Provides: tex(fcmbi6a.vf) = %{tl_version}
Provides: tex(fcmbi7k.vf) = %{tl_version}
Provides: tex(fcmbi7t.vf) = %{tl_version}
Provides: tex(fcmbi8c.vf) = %{tl_version}
Provides: tex(fcmbi8t.vf) = %{tl_version}
Provides: tex(fcmbigr.vf) = %{tl_version}
Provides: tex(fcmbo6a.vf) = %{tl_version}
Provides: tex(fcmbo7k.vf) = %{tl_version}
Provides: tex(fcmbo7t.vf) = %{tl_version}
Provides: tex(fcmbo8c.vf) = %{tl_version}
Provides: tex(fcmbo8t.vf) = %{tl_version}
Provides: tex(fcmbogr.vf) = %{tl_version}
Provides: tex(fcmbu6a.vf) = %{tl_version}
Provides: tex(fcmbu7k.vf) = %{tl_version}
Provides: tex(fcmbu7t.vf) = %{tl_version}
Provides: tex(fcmbu8c.vf) = %{tl_version}
Provides: tex(fcmbu8t.vf) = %{tl_version}
Provides: tex(fcmbugr.vf) = %{tl_version}
Provides: tex(fcmr6a.vf) = %{tl_version}
Provides: tex(fcmr7k.vf) = %{tl_version}
Provides: tex(fcmr7t.vf) = %{tl_version}
Provides: tex(fcmr8c.vf) = %{tl_version}
Provides: tex(fcmr8t.vf) = %{tl_version}
Provides: tex(fcmrc6a.vf) = %{tl_version}
Provides: tex(fcmrc7k.vf) = %{tl_version}
Provides: tex(fcmrc7t.vf) = %{tl_version}
Provides: tex(fcmrc8t.vf) = %{tl_version}
Provides: tex(fcmrcgr.vf) = %{tl_version}
Provides: tex(fcmrgr.vf) = %{tl_version}
Provides: tex(fcmri6a.vf) = %{tl_version}
Provides: tex(fcmri7k.vf) = %{tl_version}
Provides: tex(fcmri7t.vf) = %{tl_version}
Provides: tex(fcmri8c.vf) = %{tl_version}
Provides: tex(fcmri8t.vf) = %{tl_version}
Provides: tex(fcmrigr.vf) = %{tl_version}
Provides: tex(fcmro6a.vf) = %{tl_version}
Provides: tex(fcmro7k.vf) = %{tl_version}
Provides: tex(fcmro7t.vf) = %{tl_version}
Provides: tex(fcmro8c.vf) = %{tl_version}
Provides: tex(fcmro8t.vf) = %{tl_version}
Provides: tex(fcmrogr.vf) = %{tl_version}
Provides: tex(fcmru6a.vf) = %{tl_version}
Provides: tex(fcmru7k.vf) = %{tl_version}
Provides: tex(fcmru7t.vf) = %{tl_version}
Provides: tex(fcmru8c.vf) = %{tl_version}
Provides: tex(fcmru8t.vf) = %{tl_version}
Provides: tex(fcmrugr.vf) = %{tl_version}
Provides: tex(fcsb6a.vf) = %{tl_version}
Provides: tex(fcsb7k.vf) = %{tl_version}
Provides: tex(fcsb7t.vf) = %{tl_version}
Provides: tex(fcsb8c.vf) = %{tl_version}
Provides: tex(fcsb8t.vf) = %{tl_version}
Provides: tex(fcsbgr.vf) = %{tl_version}
Provides: tex(fcsbo6a.vf) = %{tl_version}
Provides: tex(fcsbo7k.vf) = %{tl_version}
Provides: tex(fcsbo7t.vf) = %{tl_version}
Provides: tex(fcsbo8c.vf) = %{tl_version}
Provides: tex(fcsbo8t.vf) = %{tl_version}
Provides: tex(fcsbogr.vf) = %{tl_version}
Provides: tex(fcsr6a.vf) = %{tl_version}
Provides: tex(fcsr7k.vf) = %{tl_version}
Provides: tex(fcsr7t.vf) = %{tl_version}
Provides: tex(fcsr8c.vf) = %{tl_version}
Provides: tex(fcsr8t.vf) = %{tl_version}
Provides: tex(fcsrgr.vf) = %{tl_version}
Provides: tex(fcsro6a.vf) = %{tl_version}
Provides: tex(fcsro7k.vf) = %{tl_version}
Provides: tex(fcsro7t.vf) = %{tl_version}
Provides: tex(fcsro8c.vf) = %{tl_version}
Provides: tex(fcsro8t.vf) = %{tl_version}
Provides: tex(fcsrogr.vf) = %{tl_version}
Provides: tex(fctr6a.vf) = %{tl_version}
Provides: tex(fctr7k.vf) = %{tl_version}
Provides: tex(fctr7t.vf) = %{tl_version}
Provides: tex(fctr8c.vf) = %{tl_version}
Provides: tex(fctr8t.vf) = %{tl_version}
Provides: tex(fctrc6a.vf) = %{tl_version}
Provides: tex(fctrc7k.vf) = %{tl_version}
Provides: tex(fctrc7t.vf) = %{tl_version}
Provides: tex(fctrc8t.vf) = %{tl_version}
Provides: tex(fctrcgr.vf) = %{tl_version}
Provides: tex(fctrgr.vf) = %{tl_version}
Provides: tex(fctri6a.vf) = %{tl_version}
Provides: tex(fctri7k.vf) = %{tl_version}
Provides: tex(fctri7t.vf) = %{tl_version}
Provides: tex(fctri8c.vf) = %{tl_version}
Provides: tex(fctri8t.vf) = %{tl_version}
Provides: tex(fctrigr.vf) = %{tl_version}
Provides: tex(fctro6a.vf) = %{tl_version}
Provides: tex(fctro7k.vf) = %{tl_version}
Provides: tex(fctro7t.vf) = %{tl_version}
Provides: tex(fctro8c.vf) = %{tl_version}
Provides: tex(fctro8t.vf) = %{tl_version}
Provides: tex(fctrogr.vf) = %{tl_version}
Provides: tex(fctru6a.vf) = %{tl_version}
Provides: tex(fctru7k.vf) = %{tl_version}
Provides: tex(fctru7t.vf) = %{tl_version}
Provides: tex(fctru8c.vf) = %{tl_version}
Provides: tex(fctru8t.vf) = %{tl_version}
Provides: tex(fctrugr.vf) = %{tl_version}
Provides: tex(antcmlgc.sty) = %{tl_version}
Provides: tex(cmlgc.sty) = %{tl_version}
Provides: tex(lgrfcm.fd) = %{tl_version}
Provides: tex(lgrfcs.fd) = %{tl_version}
Provides: tex(lgrfct.fd) = %{tl_version}
Provides: tex(ot1fcm.fd) = %{tl_version}
Provides: tex(ot1fcs.fd) = %{tl_version}
Provides: tex(ot1fct.fd) = %{tl_version}
Provides: tex(ot2fcm.fd) = %{tl_version}
Provides: tex(ot2fcs.fd) = %{tl_version}
Provides: tex(ot2fct.fd) = %{tl_version}
Provides: tex(t1fcm.fd) = %{tl_version}
Provides: tex(t1fcs.fd) = %{tl_version}
Provides: tex(t1fct.fd) = %{tl_version}
Provides: tex(t2afcm.fd) = %{tl_version}
Provides: tex(t2afcs.fd) = %{tl_version}
Provides: tex(t2afct.fd) = %{tl_version}
Provides: tex(ts1fcm.fd) = %{tl_version}
Provides: tex(ts1fcs.fd) = %{tl_version}
Provides: tex(ts1fct.fd) = %{tl_version}
Provides: tex(ut1fcm.fd) = %{tl_version}
Provides: tex(ut1fcs.fd) = %{tl_version}
Provides: tex(ut1fct.fd) = %{tl_version}
Obsoletes: tex-cm-lgc < %{tl_version}

%description cm-lgc
The fonts are converted from Metafont sources of the Computer
Modern font families, using textrace. Supported encodings are:
T1 (Latin), T2A (Cyrillic), LGR (Greek) and TS1. The package
also includes Unicode virtual fonts for use with Omega. The
font set is not a replacement for any of the other Computer
Modern-based font sets (for example, cm-super for Latin and
Cyrillic, or cbgreek for Greek), since it is available at a
single size only; it offers a compact set for 'general'
working. The fonts themselves are encoded to external
standards, and virtual fonts are provided for use with TeX.

%package cm-lgc-doc
Summary: Documentation for cm-lgc
Version: svn28250.0.5

Provides: tex-cm-lgc-doc
AutoReqProv: No

%description cm-lgc-doc
Documentation for cm-lgc

%package cmll
Provides: tex-cmll = %{tl_version}
License: LPPL
Summary: Symbols for linear logic
Version: svn17964.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(relsize.sty)
Provides: tex(cmll.map) = %{tl_version}
Provides: tex(cmllbx10.tfm) = %{tl_version}
Provides: tex(cmllbx12.tfm) = %{tl_version}
Provides: tex(cmllbx5.tfm) = %{tl_version}
Provides: tex(cmllbx6.tfm) = %{tl_version}
Provides: tex(cmllbx7.tfm) = %{tl_version}
Provides: tex(cmllbx8.tfm) = %{tl_version}
Provides: tex(cmllbx9.tfm) = %{tl_version}
Provides: tex(cmllr10.tfm) = %{tl_version}
Provides: tex(cmllr12.tfm) = %{tl_version}
Provides: tex(cmllr17.tfm) = %{tl_version}
Provides: tex(cmllr5.tfm) = %{tl_version}
Provides: tex(cmllr6.tfm) = %{tl_version}
Provides: tex(cmllr7.tfm) = %{tl_version}
Provides: tex(cmllr8.tfm) = %{tl_version}
Provides: tex(cmllr9.tfm) = %{tl_version}
Provides: tex(cmllss10.tfm) = %{tl_version}
Provides: tex(cmllss12.tfm) = %{tl_version}
Provides: tex(cmllss17.tfm) = %{tl_version}
Provides: tex(cmllss8.tfm) = %{tl_version}
Provides: tex(cmllss9.tfm) = %{tl_version}
Provides: tex(cmllssbx10.tfm) = %{tl_version}
Provides: tex(eullbx10.tfm) = %{tl_version}
Provides: tex(eullbx5.tfm) = %{tl_version}
Provides: tex(eullbx6.tfm) = %{tl_version}
Provides: tex(eullbx7.tfm) = %{tl_version}
Provides: tex(eullbx8.tfm) = %{tl_version}
Provides: tex(eullbx9.tfm) = %{tl_version}
Provides: tex(eullr10.tfm) = %{tl_version}
Provides: tex(eullr5.tfm) = %{tl_version}
Provides: tex(eullr6.tfm) = %{tl_version}
Provides: tex(eullr7.tfm) = %{tl_version}
Provides: tex(eullr8.tfm) = %{tl_version}
Provides: tex(eullr9.tfm) = %{tl_version}
Provides: tex(cmllbx10.pfb) = %{tl_version}
Provides: tex(cmllbx12.pfb) = %{tl_version}
Provides: tex(cmllbx5.pfb) = %{tl_version}
Provides: tex(cmllbx6.pfb) = %{tl_version}
Provides: tex(cmllbx7.pfb) = %{tl_version}
Provides: tex(cmllbx8.pfb) = %{tl_version}
Provides: tex(cmllbx9.pfb) = %{tl_version}
Provides: tex(cmllr10.pfb) = %{tl_version}
Provides: tex(cmllr12.pfb) = %{tl_version}
Provides: tex(cmllr17.pfb) = %{tl_version}
Provides: tex(cmllr5.pfb) = %{tl_version}
Provides: tex(cmllr6.pfb) = %{tl_version}
Provides: tex(cmllr7.pfb) = %{tl_version}
Provides: tex(cmllr8.pfb) = %{tl_version}
Provides: tex(cmllr9.pfb) = %{tl_version}
Provides: tex(cmllss10.pfb) = %{tl_version}
Provides: tex(cmllss12.pfb) = %{tl_version}
Provides: tex(cmllss17.pfb) = %{tl_version}
Provides: tex(cmllss8.pfb) = %{tl_version}
Provides: tex(cmllss9.pfb) = %{tl_version}
Provides: tex(cmllssbx10.pfb) = %{tl_version}
Provides: tex(eullbx10.pfb) = %{tl_version}
Provides: tex(eullbx5.pfb) = %{tl_version}
Provides: tex(eullbx6.pfb) = %{tl_version}
Provides: tex(eullbx7.pfb) = %{tl_version}
Provides: tex(eullbx8.pfb) = %{tl_version}
Provides: tex(eullbx9.pfb) = %{tl_version}
Provides: tex(eullr10.pfb) = %{tl_version}
Provides: tex(eullr5.pfb) = %{tl_version}
Provides: tex(eullr6.pfb) = %{tl_version}
Provides: tex(eullr7.pfb) = %{tl_version}
Provides: tex(eullr8.pfb) = %{tl_version}
Provides: tex(eullr9.pfb) = %{tl_version}
Provides: tex(cmll.sty) = %{tl_version}
Provides: tex(ucmllr.fd) = %{tl_version}
Provides: tex(ucmllss.fd) = %{tl_version}
Provides: tex(ueull.fd) = %{tl_version}

%description cmll
This is a very small font set that contain some symbols useful
in linear logic, which are apparently not available elsewhere.
Variants are included for use with Computer Modern serif and
sans-serif and with the AMS Euler series. The font is provided
both as Metafont source, and in Adobe Type 1 format. LaTeX
support is provided.

%package cmll-doc
Summary: Documentation for cmll
Version: svn17964.0

Provides: tex-cmll-doc
AutoReqProv: No

%description cmll-doc
Documentation for cmll

%package cmpica
Provides: tex-cmpica = %{tl_version}
License: Public Domain
Summary: A Computer Modern Pica variant
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmpica.tfm) = %{tl_version}
Provides: tex(cmpicab.tfm) = %{tl_version}
Provides: tex(cmpicati.tfm) = %{tl_version}

%description cmpica
An approximate equivalent of the Xerox Pica typeface; the font
is optimised for submitting fiction manuscripts to mainline
publishers. The font is a fixed-width one, rather less heavy
than Computer Modern typewriter. Emphasis for bold-face comes
from a wavy underline of each letter. The two fonts are
supplied as Metafont source.

%package cmpica-doc
Summary: Documentation for cmpica
Version: svn15878.0

Provides: tex-cmpica-doc
AutoReqProv: No

%description cmpica-doc
Documentation for cmpica

%package cmpj
Provides: tex-cmpj = %{tl_version}
License: LPPL
Summary: Style for the journal Condensed Matter Physics
Version: svn44283
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fancyhdr.sty)
Requires: tex(graphicx.sty)
Requires: tex(natbib.sty)
Requires: tex(ifthen.sty)
Requires: tex(hyperref.sty)
Requires: tex(doi.sty)
Requires: tex(url.sty)
Requires: tex(txfonts.sty)
Requires: tex(fourier.sty)
Requires: tex(droidserif.sty)
Requires: tex(droidsans.sty)
Requires: tex(droidmono.sty)
Provides: tex(cmpj.sty) = %{tl_version}
Provides: tex(cmpj2.sty) = %{tl_version}

%description cmpj
The package contains macros and some documentation for
typesetting papers for submission to the Condensed Matter
Physics journal published by the Institute for Condensed Matter
Physics of the National Academy of Sciences of Ukraine.

%package cmpj-doc
Summary: Documentation for cmpj
Version: svn44283
Provides: tex-cmpj-doc
AutoReqProv: No

%description cmpj-doc
Documentation for cmpj

%package cmsd
Provides: tex-cmsd = %{tl_version}
License: LPPL
Summary: Interfaces to the CM Sans Serif Bold fonts
Version: svn18787.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmsd.sty) = %{tl_version}
Provides: tex(t1cmsd.fd) = %{tl_version}
Provides: tex(ts1cmsd.fd) = %{tl_version}

%description cmsd
Thr purpose of the package is to provide an alternative
interface to the CM Sans Serif boldface fonts. The EC (T1,
Cork) encoded versions of the 'CM Sans Serif boldface extended'
fonts differ considerably from the traditionally (OT1) encoded
ones: at large sizes, >10pt, they have thinner strokes and are
much wider. At 25pt they are hardly to be recognized as being
'boldface'. This package attempts to make these T1 fonts look
like the traditional ones did. You do not need any new fonts;
the package just changes the way LaTeX makes use of the current
ones.

%package cmsd-doc
Summary: Documentation for cmsd
Version: svn18787.0

Provides: tex-cmsd-doc
AutoReqProv: No

%description cmsd-doc
Documentation for cmsd

%package cm-super
Provides: tex-cm-super = %{tl_version}
License: GPL+
Summary: CM-Super family of fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(t1cmr.fd)
Provides: tex(cm-super-t1.enc) = %{tl_version}
Provides: tex(cm-super-t2a.enc) = %{tl_version}
Provides: tex(cm-super-t2b.enc) = %{tl_version}
Provides: tex(cm-super-t2c.enc) = %{tl_version}
Provides: tex(cm-super-ts1.enc) = %{tl_version}
Provides: tex(cm-super-x2.enc) = %{tl_version}
Provides: tex(cm-super-t1.map) = %{tl_version}
Provides: tex(cm-super-t2a.map) = %{tl_version}
Provides: tex(cm-super-t2b.map) = %{tl_version}
Provides: tex(cm-super-t2c.map) = %{tl_version}
Provides: tex(cm-super-ts1.map) = %{tl_version}
Provides: tex(cm-super-x2.map) = %{tl_version}
Provides: tex(isflb8.pfb) = %{tl_version}
Provides: tex(isfli8.pfb) = %{tl_version}
Provides: tex(isflo8.pfb) = %{tl_version}
Provides: tex(isflq8.pfb) = %{tl_version}
Provides: tex(isfltt8.pfb) = %{tl_version}
Provides: tex(sfbbx10.pfb) = %{tl_version}
Provides: tex(sfbi0500.pfb) = %{tl_version}
Provides: tex(sfbi0600.pfb) = %{tl_version}
Provides: tex(sfbi0700.pfb) = %{tl_version}
Provides: tex(sfbi0800.pfb) = %{tl_version}
Provides: tex(sfbi0900.pfb) = %{tl_version}
Provides: tex(sfbi1000.pfb) = %{tl_version}
Provides: tex(sfbi1095.pfb) = %{tl_version}
Provides: tex(sfbi1200.pfb) = %{tl_version}
Provides: tex(sfbi1440.pfb) = %{tl_version}
Provides: tex(sfbi1728.pfb) = %{tl_version}
Provides: tex(sfbi2074.pfb) = %{tl_version}
Provides: tex(sfbi2488.pfb) = %{tl_version}
Provides: tex(sfbi2986.pfb) = %{tl_version}
Provides: tex(sfbi3583.pfb) = %{tl_version}
Provides: tex(sfbl0500.pfb) = %{tl_version}
Provides: tex(sfbl0600.pfb) = %{tl_version}
Provides: tex(sfbl0700.pfb) = %{tl_version}
Provides: tex(sfbl0800.pfb) = %{tl_version}
Provides: tex(sfbl0900.pfb) = %{tl_version}
Provides: tex(sfbl1000.pfb) = %{tl_version}
Provides: tex(sfbl1095.pfb) = %{tl_version}
Provides: tex(sfbl1200.pfb) = %{tl_version}
Provides: tex(sfbl1440.pfb) = %{tl_version}
Provides: tex(sfbl1728.pfb) = %{tl_version}
Provides: tex(sfbl2074.pfb) = %{tl_version}
Provides: tex(sfbl2488.pfb) = %{tl_version}
Provides: tex(sfbl2986.pfb) = %{tl_version}
Provides: tex(sfbl3583.pfb) = %{tl_version}
Provides: tex(sfbm0500.pfb) = %{tl_version}
Provides: tex(sfbm0700.pfb) = %{tl_version}
Provides: tex(sfbm0900.pfb) = %{tl_version}
Provides: tex(sfbm1000.pfb) = %{tl_version}
Provides: tex(sfbm1095.pfb) = %{tl_version}
Provides: tex(sfbm1200.pfb) = %{tl_version}
Provides: tex(sfbm1440.pfb) = %{tl_version}
Provides: tex(sfbm1728.pfb) = %{tl_version}
Provides: tex(sfbm2074.pfb) = %{tl_version}
Provides: tex(sfbm2488.pfb) = %{tl_version}
Provides: tex(sfbm2986.pfb) = %{tl_version}
Provides: tex(sfbm3583.pfb) = %{tl_version}
Provides: tex(sfbmo10.pfb) = %{tl_version}
Provides: tex(sfbmo17.pfb) = %{tl_version}
Provides: tex(sfbmo8.pfb) = %{tl_version}
Provides: tex(sfbmo9.pfb) = %{tl_version}
Provides: tex(sfbmr10.pfb) = %{tl_version}
Provides: tex(sfbmr17.pfb) = %{tl_version}
Provides: tex(sfbmr8.pfb) = %{tl_version}
Provides: tex(sfbmr9.pfb) = %{tl_version}
Provides: tex(sfbso10.pfb) = %{tl_version}
Provides: tex(sfbso17.pfb) = %{tl_version}
Provides: tex(sfbso8.pfb) = %{tl_version}
Provides: tex(sfbso9.pfb) = %{tl_version}
Provides: tex(sfbsr10.pfb) = %{tl_version}
Provides: tex(sfbsr17.pfb) = %{tl_version}
Provides: tex(sfbsr8.pfb) = %{tl_version}
Provides: tex(sfbsr9.pfb) = %{tl_version}
Provides: tex(sfbtl10.pfb) = %{tl_version}
Provides: tex(sfbto10.pfb) = %{tl_version}
Provides: tex(sfbx0500.pfb) = %{tl_version}
Provides: tex(sfbx0600.pfb) = %{tl_version}
Provides: tex(sfbx0700.pfb) = %{tl_version}
Provides: tex(sfbx0800.pfb) = %{tl_version}
Provides: tex(sfbx0900.pfb) = %{tl_version}
Provides: tex(sfbx1000.pfb) = %{tl_version}
Provides: tex(sfbx1095.pfb) = %{tl_version}
Provides: tex(sfbx1200.pfb) = %{tl_version}
Provides: tex(sfbx1440.pfb) = %{tl_version}
Provides: tex(sfbx1728.pfb) = %{tl_version}
Provides: tex(sfbx2074.pfb) = %{tl_version}
Provides: tex(sfbx2488.pfb) = %{tl_version}
Provides: tex(sfbx2986.pfb) = %{tl_version}
Provides: tex(sfbx3583.pfb) = %{tl_version}
Provides: tex(sfcc0500.pfb) = %{tl_version}
Provides: tex(sfcc0600.pfb) = %{tl_version}
Provides: tex(sfcc0700.pfb) = %{tl_version}
Provides: tex(sfcc0800.pfb) = %{tl_version}
Provides: tex(sfcc0900.pfb) = %{tl_version}
Provides: tex(sfcc1000.pfb) = %{tl_version}
Provides: tex(sfcc1095.pfb) = %{tl_version}
Provides: tex(sfcc1200.pfb) = %{tl_version}
Provides: tex(sfcc1440.pfb) = %{tl_version}
Provides: tex(sfcc1728.pfb) = %{tl_version}
Provides: tex(sfcc2074.pfb) = %{tl_version}
Provides: tex(sfcc2488.pfb) = %{tl_version}
Provides: tex(sfcc2986.pfb) = %{tl_version}
Provides: tex(sfcc3583.pfb) = %{tl_version}
Provides: tex(sfci0500.pfb) = %{tl_version}
Provides: tex(sfci0600.pfb) = %{tl_version}
Provides: tex(sfci0700.pfb) = %{tl_version}
Provides: tex(sfci0800.pfb) = %{tl_version}
Provides: tex(sfci0900.pfb) = %{tl_version}
Provides: tex(sfci1000.pfb) = %{tl_version}
Provides: tex(sfci1095.pfb) = %{tl_version}
Provides: tex(sfci1200.pfb) = %{tl_version}
Provides: tex(sfci1440.pfb) = %{tl_version}
Provides: tex(sfci1728.pfb) = %{tl_version}
Provides: tex(sfci2074.pfb) = %{tl_version}
Provides: tex(sfci2488.pfb) = %{tl_version}
Provides: tex(sfci2986.pfb) = %{tl_version}
Provides: tex(sfci3583.pfb) = %{tl_version}
Provides: tex(sfdh0500.pfb) = %{tl_version}
Provides: tex(sfdh0600.pfb) = %{tl_version}
Provides: tex(sfdh0700.pfb) = %{tl_version}
Provides: tex(sfdh0800.pfb) = %{tl_version}
Provides: tex(sfdh0900.pfb) = %{tl_version}
Provides: tex(sfdh1000.pfb) = %{tl_version}
Provides: tex(sfdh1095.pfb) = %{tl_version}
Provides: tex(sfdh1200.pfb) = %{tl_version}
Provides: tex(sfdh1440.pfb) = %{tl_version}
Provides: tex(sfdh1728.pfb) = %{tl_version}
Provides: tex(sfdh2074.pfb) = %{tl_version}
Provides: tex(sfdh2488.pfb) = %{tl_version}
Provides: tex(sfdh2986.pfb) = %{tl_version}
Provides: tex(sfdh3583.pfb) = %{tl_version}
Provides: tex(sffb0500.pfb) = %{tl_version}
Provides: tex(sffb0600.pfb) = %{tl_version}
Provides: tex(sffb0700.pfb) = %{tl_version}
Provides: tex(sffb0800.pfb) = %{tl_version}
Provides: tex(sffb0900.pfb) = %{tl_version}
Provides: tex(sffb1000.pfb) = %{tl_version}
Provides: tex(sffb1095.pfb) = %{tl_version}
Provides: tex(sffb1200.pfb) = %{tl_version}
Provides: tex(sffb1440.pfb) = %{tl_version}
Provides: tex(sffb1728.pfb) = %{tl_version}
Provides: tex(sffb2074.pfb) = %{tl_version}
Provides: tex(sfff0900.pfb) = %{tl_version}
Provides: tex(sfff1000.pfb) = %{tl_version}
Provides: tex(sfff1095.pfb) = %{tl_version}
Provides: tex(sfff1200.pfb) = %{tl_version}
Provides: tex(sfff1440.pfb) = %{tl_version}
Provides: tex(sfff2488.pfb) = %{tl_version}
Provides: tex(sffi0900.pfb) = %{tl_version}
Provides: tex(sffi1000.pfb) = %{tl_version}
Provides: tex(sffi1095.pfb) = %{tl_version}
Provides: tex(sffi1200.pfb) = %{tl_version}
Provides: tex(sffi1440.pfb) = %{tl_version}
Provides: tex(sffi1728.pfb) = %{tl_version}
Provides: tex(sffi2074.pfb) = %{tl_version}
Provides: tex(sffs0500.pfb) = %{tl_version}
Provides: tex(sffs0600.pfb) = %{tl_version}
Provides: tex(sffs0700.pfb) = %{tl_version}
Provides: tex(sffs0800.pfb) = %{tl_version}
Provides: tex(sffs0900.pfb) = %{tl_version}
Provides: tex(sffs1000.pfb) = %{tl_version}
Provides: tex(sffs1095.pfb) = %{tl_version}
Provides: tex(sffs1200.pfb) = %{tl_version}
Provides: tex(sffs1440.pfb) = %{tl_version}
Provides: tex(sffs1728.pfb) = %{tl_version}
Provides: tex(sffs2074.pfb) = %{tl_version}
Provides: tex(sfit0800.pfb) = %{tl_version}
Provides: tex(sfit0900.pfb) = %{tl_version}
Provides: tex(sfit1000.pfb) = %{tl_version}
Provides: tex(sfit1095.pfb) = %{tl_version}
Provides: tex(sfit1200.pfb) = %{tl_version}
Provides: tex(sfit1440.pfb) = %{tl_version}
Provides: tex(sfit1728.pfb) = %{tl_version}
Provides: tex(sfit2074.pfb) = %{tl_version}
Provides: tex(sfit2488.pfb) = %{tl_version}
Provides: tex(sflb8.pfb) = %{tl_version}
Provides: tex(sfli8.pfb) = %{tl_version}
Provides: tex(sflo8.pfb) = %{tl_version}
Provides: tex(sflq8.pfb) = %{tl_version}
Provides: tex(sfltt8.pfb) = %{tl_version}
Provides: tex(sfoc0500.pfb) = %{tl_version}
Provides: tex(sfoc0600.pfb) = %{tl_version}
Provides: tex(sfoc0700.pfb) = %{tl_version}
Provides: tex(sfoc0800.pfb) = %{tl_version}
Provides: tex(sfoc0900.pfb) = %{tl_version}
Provides: tex(sfoc1000.pfb) = %{tl_version}
Provides: tex(sfoc1095.pfb) = %{tl_version}
Provides: tex(sfoc1200.pfb) = %{tl_version}
Provides: tex(sfoc1440.pfb) = %{tl_version}
Provides: tex(sfoc1728.pfb) = %{tl_version}
Provides: tex(sfoc2074.pfb) = %{tl_version}
Provides: tex(sfoc2488.pfb) = %{tl_version}
Provides: tex(sfoc2986.pfb) = %{tl_version}
Provides: tex(sfoc3583.pfb) = %{tl_version}
Provides: tex(sfocc10.pfb) = %{tl_version}
Provides: tex(sform10.pfb) = %{tl_version}
Provides: tex(sform5.pfb) = %{tl_version}
Provides: tex(sform6.pfb) = %{tl_version}
Provides: tex(sform7.pfb) = %{tl_version}
Provides: tex(sform8.pfb) = %{tl_version}
Provides: tex(sform9.pfb) = %{tl_version}
Provides: tex(sfosl10.pfb) = %{tl_version}
Provides: tex(sfosl5.pfb) = %{tl_version}
Provides: tex(sfosl6.pfb) = %{tl_version}
Provides: tex(sfosl7.pfb) = %{tl_version}
Provides: tex(sfosl8.pfb) = %{tl_version}
Provides: tex(sfosl9.pfb) = %{tl_version}
Provides: tex(sfoti10.pfb) = %{tl_version}
Provides: tex(sfqi8.pfb) = %{tl_version}
Provides: tex(sfrb0500.pfb) = %{tl_version}
Provides: tex(sfrb0600.pfb) = %{tl_version}
Provides: tex(sfrb0700.pfb) = %{tl_version}
Provides: tex(sfrb0800.pfb) = %{tl_version}
Provides: tex(sfrb0900.pfb) = %{tl_version}
Provides: tex(sfrb1000.pfb) = %{tl_version}
Provides: tex(sfrb1095.pfb) = %{tl_version}
Provides: tex(sfrb1200.pfb) = %{tl_version}
Provides: tex(sfrb1440.pfb) = %{tl_version}
Provides: tex(sfrb1728.pfb) = %{tl_version}
Provides: tex(sfrb2074.pfb) = %{tl_version}
Provides: tex(sfrb2488.pfb) = %{tl_version}
Provides: tex(sfrb2986.pfb) = %{tl_version}
Provides: tex(sfrb3583.pfb) = %{tl_version}
Provides: tex(sfrm0500.pfb) = %{tl_version}
Provides: tex(sfrm0600.pfb) = %{tl_version}
Provides: tex(sfrm0700.pfb) = %{tl_version}
Provides: tex(sfrm0800.pfb) = %{tl_version}
Provides: tex(sfrm0900.pfb) = %{tl_version}
Provides: tex(sfrm1000.pfb) = %{tl_version}
Provides: tex(sfrm1095.pfb) = %{tl_version}
Provides: tex(sfrm1200.pfb) = %{tl_version}
Provides: tex(sfrm1440.pfb) = %{tl_version}
Provides: tex(sfrm1728.pfb) = %{tl_version}
Provides: tex(sfrm2074.pfb) = %{tl_version}
Provides: tex(sfrm2488.pfb) = %{tl_version}
Provides: tex(sfrm2986.pfb) = %{tl_version}
Provides: tex(sfrm3583.pfb) = %{tl_version}
Provides: tex(sfsc0500.pfb) = %{tl_version}
Provides: tex(sfsc0600.pfb) = %{tl_version}
Provides: tex(sfsc0700.pfb) = %{tl_version}
Provides: tex(sfsc0800.pfb) = %{tl_version}
Provides: tex(sfsc0900.pfb) = %{tl_version}
Provides: tex(sfsc1000.pfb) = %{tl_version}
Provides: tex(sfsc1095.pfb) = %{tl_version}
Provides: tex(sfsc1200.pfb) = %{tl_version}
Provides: tex(sfsc1440.pfb) = %{tl_version}
Provides: tex(sfsc1728.pfb) = %{tl_version}
Provides: tex(sfsc2074.pfb) = %{tl_version}
Provides: tex(sfsc2488.pfb) = %{tl_version}
Provides: tex(sfsc2986.pfb) = %{tl_version}
Provides: tex(sfsc3583.pfb) = %{tl_version}
Provides: tex(sfsi0500.pfb) = %{tl_version}
Provides: tex(sfsi0600.pfb) = %{tl_version}
Provides: tex(sfsi0700.pfb) = %{tl_version}
Provides: tex(sfsi0800.pfb) = %{tl_version}
Provides: tex(sfsi0900.pfb) = %{tl_version}
Provides: tex(sfsi1000.pfb) = %{tl_version}
Provides: tex(sfsi1095.pfb) = %{tl_version}
Provides: tex(sfsi1200.pfb) = %{tl_version}
Provides: tex(sfsi1440.pfb) = %{tl_version}
Provides: tex(sfsi1728.pfb) = %{tl_version}
Provides: tex(sfsi2074.pfb) = %{tl_version}
Provides: tex(sfsi2488.pfb) = %{tl_version}
Provides: tex(sfsi2986.pfb) = %{tl_version}
Provides: tex(sfsi3583.pfb) = %{tl_version}
Provides: tex(sfsl0500.pfb) = %{tl_version}
Provides: tex(sfsl0600.pfb) = %{tl_version}
Provides: tex(sfsl0700.pfb) = %{tl_version}
Provides: tex(sfsl0800.pfb) = %{tl_version}
Provides: tex(sfsl0900.pfb) = %{tl_version}
Provides: tex(sfsl1000.pfb) = %{tl_version}
Provides: tex(sfsl1095.pfb) = %{tl_version}
Provides: tex(sfsl1200.pfb) = %{tl_version}
Provides: tex(sfsl1440.pfb) = %{tl_version}
Provides: tex(sfsl1728.pfb) = %{tl_version}
Provides: tex(sfsl2074.pfb) = %{tl_version}
Provides: tex(sfsl2488.pfb) = %{tl_version}
Provides: tex(sfsl2986.pfb) = %{tl_version}
Provides: tex(sfsl3583.pfb) = %{tl_version}
Provides: tex(sfso0500.pfb) = %{tl_version}
Provides: tex(sfso0600.pfb) = %{tl_version}
Provides: tex(sfso0700.pfb) = %{tl_version}
Provides: tex(sfso0800.pfb) = %{tl_version}
Provides: tex(sfso0900.pfb) = %{tl_version}
Provides: tex(sfso1000.pfb) = %{tl_version}
Provides: tex(sfso1095.pfb) = %{tl_version}
Provides: tex(sfso1200.pfb) = %{tl_version}
Provides: tex(sfso1440.pfb) = %{tl_version}
Provides: tex(sfso1728.pfb) = %{tl_version}
Provides: tex(sfso2074.pfb) = %{tl_version}
Provides: tex(sfso2488.pfb) = %{tl_version}
Provides: tex(sfso2986.pfb) = %{tl_version}
Provides: tex(sfso3583.pfb) = %{tl_version}
Provides: tex(sfsq8.pfb) = %{tl_version}
Provides: tex(sfss0500.pfb) = %{tl_version}
Provides: tex(sfss0600.pfb) = %{tl_version}
Provides: tex(sfss0700.pfb) = %{tl_version}
Provides: tex(sfss0800.pfb) = %{tl_version}
Provides: tex(sfss0900.pfb) = %{tl_version}
Provides: tex(sfss1000.pfb) = %{tl_version}
Provides: tex(sfss1095.pfb) = %{tl_version}
Provides: tex(sfss1200.pfb) = %{tl_version}
Provides: tex(sfss1440.pfb) = %{tl_version}
Provides: tex(sfss1728.pfb) = %{tl_version}
Provides: tex(sfss2074.pfb) = %{tl_version}
Provides: tex(sfss2488.pfb) = %{tl_version}
Provides: tex(sfss2986.pfb) = %{tl_version}
Provides: tex(sfss3583.pfb) = %{tl_version}
Provides: tex(sfssdc10.pfb) = %{tl_version}
Provides: tex(sfst0800.pfb) = %{tl_version}
Provides: tex(sfst0900.pfb) = %{tl_version}
Provides: tex(sfst1000.pfb) = %{tl_version}
Provides: tex(sfst1095.pfb) = %{tl_version}
Provides: tex(sfst1200.pfb) = %{tl_version}
Provides: tex(sfst1440.pfb) = %{tl_version}
Provides: tex(sfst1728.pfb) = %{tl_version}
Provides: tex(sfst2074.pfb) = %{tl_version}
Provides: tex(sfst2488.pfb) = %{tl_version}
Provides: tex(sfst2986.pfb) = %{tl_version}
Provides: tex(sfst3583.pfb) = %{tl_version}
Provides: tex(sfsx0500.pfb) = %{tl_version}
Provides: tex(sfsx0600.pfb) = %{tl_version}
Provides: tex(sfsx0700.pfb) = %{tl_version}
Provides: tex(sfsx0800.pfb) = %{tl_version}
Provides: tex(sfsx0900.pfb) = %{tl_version}
Provides: tex(sfsx1000.pfb) = %{tl_version}
Provides: tex(sfsx1095.pfb) = %{tl_version}
Provides: tex(sfsx1200.pfb) = %{tl_version}
Provides: tex(sfsx1440.pfb) = %{tl_version}
Provides: tex(sfsx1728.pfb) = %{tl_version}
Provides: tex(sfsx2074.pfb) = %{tl_version}
Provides: tex(sfsx2488.pfb) = %{tl_version}
Provides: tex(sfsx2986.pfb) = %{tl_version}
Provides: tex(sfsx3583.pfb) = %{tl_version}
Provides: tex(sftc0800.pfb) = %{tl_version}
Provides: tex(sftc0900.pfb) = %{tl_version}
Provides: tex(sftc1000.pfb) = %{tl_version}
Provides: tex(sftc1095.pfb) = %{tl_version}
Provides: tex(sftc1200.pfb) = %{tl_version}
Provides: tex(sftc1440.pfb) = %{tl_version}
Provides: tex(sftc1728.pfb) = %{tl_version}
Provides: tex(sftc2074.pfb) = %{tl_version}
Provides: tex(sftc2488.pfb) = %{tl_version}
Provides: tex(sftc2986.pfb) = %{tl_version}
Provides: tex(sftc3583.pfb) = %{tl_version}
Provides: tex(sfti0500.pfb) = %{tl_version}
Provides: tex(sfti0600.pfb) = %{tl_version}
Provides: tex(sfti0700.pfb) = %{tl_version}
Provides: tex(sfti0800.pfb) = %{tl_version}
Provides: tex(sfti0900.pfb) = %{tl_version}
Provides: tex(sfti1000.pfb) = %{tl_version}
Provides: tex(sfti1095.pfb) = %{tl_version}
Provides: tex(sfti1200.pfb) = %{tl_version}
Provides: tex(sfti1440.pfb) = %{tl_version}
Provides: tex(sfti1728.pfb) = %{tl_version}
Provides: tex(sfti2074.pfb) = %{tl_version}
Provides: tex(sfti2488.pfb) = %{tl_version}
Provides: tex(sfti2986.pfb) = %{tl_version}
Provides: tex(sfti3583.pfb) = %{tl_version}
Provides: tex(sftt0800.pfb) = %{tl_version}
Provides: tex(sftt0900.pfb) = %{tl_version}
Provides: tex(sftt1000.pfb) = %{tl_version}
Provides: tex(sftt1095.pfb) = %{tl_version}
Provides: tex(sftt1200.pfb) = %{tl_version}
Provides: tex(sftt1440.pfb) = %{tl_version}
Provides: tex(sftt1728.pfb) = %{tl_version}
Provides: tex(sftt2074.pfb) = %{tl_version}
Provides: tex(sftt2488.pfb) = %{tl_version}
Provides: tex(sftt2986.pfb) = %{tl_version}
Provides: tex(sftt3583.pfb) = %{tl_version}
Provides: tex(sfui0500.pfb) = %{tl_version}
Provides: tex(sfui0600.pfb) = %{tl_version}
Provides: tex(sfui0700.pfb) = %{tl_version}
Provides: tex(sfui0800.pfb) = %{tl_version}
Provides: tex(sfui0900.pfb) = %{tl_version}
Provides: tex(sfui1000.pfb) = %{tl_version}
Provides: tex(sfui1095.pfb) = %{tl_version}
Provides: tex(sfui1200.pfb) = %{tl_version}
Provides: tex(sfui1440.pfb) = %{tl_version}
Provides: tex(sfui1728.pfb) = %{tl_version}
Provides: tex(sfui2074.pfb) = %{tl_version}
Provides: tex(sfui2488.pfb) = %{tl_version}
Provides: tex(sfui2986.pfb) = %{tl_version}
Provides: tex(sfui3583.pfb) = %{tl_version}
Provides: tex(sfvi0800.pfb) = %{tl_version}
Provides: tex(sfvi0900.pfb) = %{tl_version}
Provides: tex(sfvi1000.pfb) = %{tl_version}
Provides: tex(sfvi1095.pfb) = %{tl_version}
Provides: tex(sfvi1200.pfb) = %{tl_version}
Provides: tex(sfvi1440.pfb) = %{tl_version}
Provides: tex(sfvi1728.pfb) = %{tl_version}
Provides: tex(sfvi2074.pfb) = %{tl_version}
Provides: tex(sfvi2488.pfb) = %{tl_version}
Provides: tex(sfvi2986.pfb) = %{tl_version}
Provides: tex(sfvi3583.pfb) = %{tl_version}
Provides: tex(sfvt0800.pfb) = %{tl_version}
Provides: tex(sfvt0900.pfb) = %{tl_version}
Provides: tex(sfvt1000.pfb) = %{tl_version}
Provides: tex(sfvt1095.pfb) = %{tl_version}
Provides: tex(sfvt1200.pfb) = %{tl_version}
Provides: tex(sfvt1440.pfb) = %{tl_version}
Provides: tex(sfvt1728.pfb) = %{tl_version}
Provides: tex(sfvt2074.pfb) = %{tl_version}
Provides: tex(sfvt2488.pfb) = %{tl_version}
Provides: tex(sfvt2986.pfb) = %{tl_version}
Provides: tex(sfvt3583.pfb) = %{tl_version}
Provides: tex(sfxc0500.pfb) = %{tl_version}
Provides: tex(sfxc0600.pfb) = %{tl_version}
Provides: tex(sfxc0700.pfb) = %{tl_version}
Provides: tex(sfxc0800.pfb) = %{tl_version}
Provides: tex(sfxc0900.pfb) = %{tl_version}
Provides: tex(sfxc1000.pfb) = %{tl_version}
Provides: tex(sfxc1095.pfb) = %{tl_version}
Provides: tex(sfxc1200.pfb) = %{tl_version}
Provides: tex(sfxc1440.pfb) = %{tl_version}
Provides: tex(sfxc1728.pfb) = %{tl_version}
Provides: tex(sfxc2074.pfb) = %{tl_version}
Provides: tex(sfxc2488.pfb) = %{tl_version}
Provides: tex(sfxc2986.pfb) = %{tl_version}
Provides: tex(sfxc3583.pfb) = %{tl_version}
Provides: tex(type1ec.sty) = %{tl_version}

%description cm-super
The CM-Super family provides Adobe Type 1 fonts that replace
the T1/TS1-encoded Computer Modern (EC/TC), T1/TS1-encoded
Concrete, T1/TS1-encoded CM bright and LH Cyrillic fonts (thus
supporting all European languages except Greek), and bringing
many ameliorations in typesetting quality. The fonts exhibit
the same metrics as the Metafont-encoded originals.

%package cm-super-doc
Summary: Documentation for cm-super
Version: svn15878.0

Provides: tex-cm-super-doc
AutoReqProv: No

%description cm-super-doc
Documentation for cm-super

%package cmtiup
Provides: tex-cmtiup = %{tl_version}
License: LPPL 1.3
Summary: Upright punctuation with CM italic
Version: svn39728

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmtiup10.tfm) = %{tl_version}
Provides: tex(cmtiup12.tfm) = %{tl_version}
Provides: tex(cmtiup7.tfm) = %{tl_version}
Provides: tex(cmtiup8.tfm) = %{tl_version}
Provides: tex(cmtiup9.tfm) = %{tl_version}
Provides: tex(cmtiup10.vf) = %{tl_version}
Provides: tex(cmtiup12.vf) = %{tl_version}
Provides: tex(cmtiup7.vf) = %{tl_version}
Provides: tex(cmtiup8.vf) = %{tl_version}
Provides: tex(cmtiup9.vf) = %{tl_version}
Provides: tex(cmtiup.sty) = %{tl_version}

%description cmtiup
The cmtiup fonts address a problem with the appearance of
punctuation in italic text in mathematical documents. To
achieve this, all punctuation characters are upright, and
kerning between letters and punctuation is adjusted to allow
for the italic correction. The fonts are implemented as a set
of vf files; a package for support in LaTeX 2e is provided.

%package cmtiup-doc
Summary: Documentation for cmtiup
Version: svn39728

Provides: tex-cmtiup-doc
AutoReqProv: No

%description cmtiup-doc
Documentation for cmtiup

%package cm
Provides: tex-cm = %{tl_version}
License: Knuth
Summary: Computer Modern fonts
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: tex(cmtext-bsr-interpolated.map) = %{tl_version}
Provides: tex(cmb10.tfm) = %{tl_version}
Provides: tex(cmbcsc10.tfm) = %{tl_version}
Provides: tex(cmbsy10.tfm) = %{tl_version}
Provides: tex(cmbx10.tfm) = %{tl_version}
Provides: tex(cmbx12.tfm) = %{tl_version}
Provides: tex(cmbx5.tfm) = %{tl_version}
Provides: tex(cmbx6.tfm) = %{tl_version}
Provides: tex(cmbx7.tfm) = %{tl_version}
Provides: tex(cmbx8.tfm) = %{tl_version}
Provides: tex(cmbx9.tfm) = %{tl_version}
Provides: tex(cmbxsl10.tfm) = %{tl_version}
Provides: tex(cmbxti10.tfm) = %{tl_version}
Provides: tex(cmcsc10.tfm) = %{tl_version}
Provides: tex(cmdunh10.tfm) = %{tl_version}
Provides: tex(cmex10.tfm) = %{tl_version}
Provides: tex(cmff10.tfm) = %{tl_version}
Provides: tex(cmfi10.tfm) = %{tl_version}
Provides: tex(cmfib8.tfm) = %{tl_version}
Provides: tex(cminch.tfm) = %{tl_version}
Provides: tex(cmitt10.tfm) = %{tl_version}
Provides: tex(cmmi10.tfm) = %{tl_version}
Provides: tex(cmmi12.tfm) = %{tl_version}
Provides: tex(cmmi5.tfm) = %{tl_version}
Provides: tex(cmmi6.tfm) = %{tl_version}
Provides: tex(cmmi7.tfm) = %{tl_version}
Provides: tex(cmmi8.tfm) = %{tl_version}
Provides: tex(cmmi9.tfm) = %{tl_version}
Provides: tex(cmmib10.tfm) = %{tl_version}
Provides: tex(cmr10.tfm) = %{tl_version}
Provides: tex(cmr12.tfm) = %{tl_version}
Provides: tex(cmr17.tfm) = %{tl_version}
Provides: tex(cmr5.tfm) = %{tl_version}
Provides: tex(cmr6.tfm) = %{tl_version}
Provides: tex(cmr7.tfm) = %{tl_version}
Provides: tex(cmr8.tfm) = %{tl_version}
Provides: tex(cmr9.tfm) = %{tl_version}
Provides: tex(cmsl10.tfm) = %{tl_version}
Provides: tex(cmsl12.tfm) = %{tl_version}
Provides: tex(cmsl8.tfm) = %{tl_version}
Provides: tex(cmsl9.tfm) = %{tl_version}
Provides: tex(cmsltt10.tfm) = %{tl_version}
Provides: tex(cmss10.tfm) = %{tl_version}
Provides: tex(cmss12.tfm) = %{tl_version}
Provides: tex(cmss17.tfm) = %{tl_version}
Provides: tex(cmss8.tfm) = %{tl_version}
Provides: tex(cmss9.tfm) = %{tl_version}
Provides: tex(cmssbx10.tfm) = %{tl_version}
Provides: tex(cmssdc10.tfm) = %{tl_version}
Provides: tex(cmssi10.tfm) = %{tl_version}
Provides: tex(cmssi12.tfm) = %{tl_version}
Provides: tex(cmssi17.tfm) = %{tl_version}
Provides: tex(cmssi8.tfm) = %{tl_version}
Provides: tex(cmssi9.tfm) = %{tl_version}
Provides: tex(cmssq8.tfm) = %{tl_version}
Provides: tex(cmssqi8.tfm) = %{tl_version}
Provides: tex(cmsy10.tfm) = %{tl_version}
Provides: tex(cmsy5.tfm) = %{tl_version}
Provides: tex(cmsy6.tfm) = %{tl_version}
Provides: tex(cmsy7.tfm) = %{tl_version}
Provides: tex(cmsy8.tfm) = %{tl_version}
Provides: tex(cmsy9.tfm) = %{tl_version}
Provides: tex(cmtcsc10.tfm) = %{tl_version}
Provides: tex(cmtex10.tfm) = %{tl_version}
Provides: tex(cmtex8.tfm) = %{tl_version}
Provides: tex(cmtex9.tfm) = %{tl_version}
Provides: tex(cmti10.tfm) = %{tl_version}
Provides: tex(cmti12.tfm) = %{tl_version}
Provides: tex(cmti7.tfm) = %{tl_version}
Provides: tex(cmti8.tfm) = %{tl_version}
Provides: tex(cmti9.tfm) = %{tl_version}
Provides: tex(cmtt10.tfm) = %{tl_version}
Provides: tex(cmtt12.tfm) = %{tl_version}
Provides: tex(cmtt8.tfm) = %{tl_version}
Provides: tex(cmtt9.tfm) = %{tl_version}
Provides: tex(cmu10.tfm) = %{tl_version}
Provides: tex(cmvtt10.tfm) = %{tl_version}

%description cm
Knuth's final iteration of his re-interpretation of a c.19
Modern-style font from Monotype. The family is comprehensive,
offering both sans and roman styles, and a monospaced font,
together with mathematics fonts closely integrated with the
mathematical facilities of TeX itself. The base fonts are
distributed as Metafont source, but autotraced PostScript Type
1 versions are available (one version in the AMS fonts
distribution, and also the BaKoMa distribution). The Computer
Modern fonts have inspired many later families, notably the
European Computer Modern and the Latin Modern families.

%package cm-doc
Summary: Documentation for cm
Version: svn42428
Provides: tex-cm-doc
AutoReqProv: No

%description cm-doc
Documentation for cm

%package cm-unicode
Provides: tex-cm-unicode = %{tl_version}
License: OFL
Summary: Computer Modern Unicode font family
Version: svn19445.0.7.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmu-ec.enc) = %{tl_version}
Provides: tex(cmu-ecsc.enc) = %{tl_version}
Provides: tex(cmu-g.enc) = %{tl_version}
Provides: tex(cmu-gsc.enc) = %{tl_version}
Provides: tex(cmu-la.enc) = %{tl_version}
Provides: tex(cmu-lasc.enc) = %{tl_version}
Provides: tex(cmu-lb.enc) = %{tl_version}
Provides: tex(cmu-lc.enc) = %{tl_version}
Provides: tex(cmu-ld.enc) = %{tl_version}
Provides: tex(cmu-rx.enc) = %{tl_version}
Provides: tex(cmu-tc.enc) = %{tl_version}
Provides: tex(cmu-tipa.enc) = %{tl_version}
Provides: tex(cmu-tipx.enc) = %{tl_version}
Provides: tex(cmu-ux.enc) = %{tl_version}
Provides: tex(cmu-uxsc.enc) = %{tl_version}
Provides: tex(cmu-vn.enc) = %{tl_version}
Provides: tex(cmu.map) = %{tl_version}
Provides: tex(cmunbbx.otf) = %{tl_version}
Provides: tex(cmunbi.otf) = %{tl_version}
Provides: tex(cmunbl.otf) = %{tl_version}
Provides: tex(cmunbmo.otf) = %{tl_version}
Provides: tex(cmunbmr.otf) = %{tl_version}
Provides: tex(cmunbso.otf) = %{tl_version}
Provides: tex(cmunbsr.otf) = %{tl_version}
Provides: tex(cmunbtl.otf) = %{tl_version}
Provides: tex(cmunbto.otf) = %{tl_version}
Provides: tex(cmunbx.otf) = %{tl_version}
Provides: tex(cmunbxo.otf) = %{tl_version}
Provides: tex(cmunci.otf) = %{tl_version}
Provides: tex(cmunit.otf) = %{tl_version}
Provides: tex(cmunobi.otf) = %{tl_version}
Provides: tex(cmunobx.otf) = %{tl_version}
Provides: tex(cmunorm.otf) = %{tl_version}
Provides: tex(cmunoti.otf) = %{tl_version}
Provides: tex(cmunrb.otf) = %{tl_version}
Provides: tex(cmunrm.otf) = %{tl_version}
Provides: tex(cmunsi.otf) = %{tl_version}
Provides: tex(cmunsl.otf) = %{tl_version}
Provides: tex(cmunso.otf) = %{tl_version}
Provides: tex(cmunss.otf) = %{tl_version}
Provides: tex(cmunssdc.otf) = %{tl_version}
Provides: tex(cmunst.otf) = %{tl_version}
Provides: tex(cmunsx.otf) = %{tl_version}
Provides: tex(cmuntb.otf) = %{tl_version}
Provides: tex(cmunti.otf) = %{tl_version}
Provides: tex(cmuntt.otf) = %{tl_version}
Provides: tex(cmuntx.otf) = %{tl_version}
Provides: tex(cmunui.otf) = %{tl_version}
Provides: tex(cmunvi.otf) = %{tl_version}
Provides: tex(cmunvt.otf) = %{tl_version}
Provides: tex(cmunbbx.pfb) = %{tl_version}
Provides: tex(cmunbi.pfb) = %{tl_version}
Provides: tex(cmunbl.pfb) = %{tl_version}
Provides: tex(cmunbmo.pfb) = %{tl_version}
Provides: tex(cmunbmr.pfb) = %{tl_version}
Provides: tex(cmunbso.pfb) = %{tl_version}
Provides: tex(cmunbsr.pfb) = %{tl_version}
Provides: tex(cmunbtl.pfb) = %{tl_version}
Provides: tex(cmunbto.pfb) = %{tl_version}
Provides: tex(cmunbx.pfb) = %{tl_version}
Provides: tex(cmunbxo.pfb) = %{tl_version}
Provides: tex(cmunci.pfb) = %{tl_version}
Provides: tex(cmunit.pfb) = %{tl_version}
Provides: tex(cmunobi.pfb) = %{tl_version}
Provides: tex(cmunobx.pfb) = %{tl_version}
Provides: tex(cmunorm.pfb) = %{tl_version}
Provides: tex(cmunoti.pfb) = %{tl_version}
Provides: tex(cmunrb.pfb) = %{tl_version}
Provides: tex(cmunrm.pfb) = %{tl_version}
Provides: tex(cmunsi.pfb) = %{tl_version}
Provides: tex(cmunsl.pfb) = %{tl_version}
Provides: tex(cmunso.pfb) = %{tl_version}
Provides: tex(cmunss.pfb) = %{tl_version}
Provides: tex(cmunssdc.pfb) = %{tl_version}
Provides: tex(cmunst.pfb) = %{tl_version}
Provides: tex(cmunsx.pfb) = %{tl_version}
Provides: tex(cmuntb.pfb) = %{tl_version}
Provides: tex(cmunti.pfb) = %{tl_version}
Provides: tex(cmuntt.pfb) = %{tl_version}
Provides: tex(cmuntx.pfb) = %{tl_version}
Provides: tex(cmunui.pfb) = %{tl_version}
Provides: tex(cmunvi.pfb) = %{tl_version}
Provides: tex(cmunvt.pfb) = %{tl_version}

%description cm-unicode
Computer Modern Unicode fonts, converted from Metafont sources
using mftrace with autotrace backend and fontforge. Some
characters in several fonts are copied from Blue Sky type 1
fonts released by AMS. Currently the fonts contain glyphs from
Latin (Metafont ec, tc, vnr), Cyrillic (lh), Greek (cbgreek
when available) code sets and IPA extensions (from tipa). This
font set contains 33 fonts. This archive contains AFM, PFB and
OTF versions; the OTF version of the Computer Modern Unicode
fonts works with TeX engines that directly support OpenType
features, such as XeTeX and LuaTeX.

%package cm-unicode-doc
Summary: Documentation for cm-unicode
Version: svn19445.0.7.0

Provides: tex-cm-unicode-doc
AutoReqProv: No

%description cm-unicode-doc
Documentation for cm-unicode

%package cnbwp
Provides: tex-cnbwp = %{tl_version}
License: LPPL
Summary: Typeset working papers of the Czech National Bank
Version: svn32550.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(url.sty)
Requires: tex(makeidx.sty)
Requires: tex(multicol.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(verbatim.sty)
Requires: tex(moreverb.sty)
Requires: tex(dcolumn.sty)
Requires: tex(rotating.sty)
Requires: tex(fontspec.sty)
Requires: tex(polyglossia.sty)
Requires: tex(zwpagelayout.sty)
Requires: tex(hyperref.sty)
Requires: tex(xevlna.sty)
Requires: tex(ifpdf.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(mathptmx.sty)
Requires: tex(natbib.sty)
Requires: tex(keyval.sty)
Provides: tex(cnbwp-manual.sty) = %{tl_version}
Provides: tex(cnbwp.cls) = %{tl_version}
Provides: tex(cnbwpsizes.clo) = %{tl_version}

%description cnbwp
The package supports proper formatting of Working Papers of the
Czech National Bank (WP CNB). The package was developed for CNB
but it is also intended for authors from outside CNB.

%package cnbwp-doc
Summary: Documentation for cnbwp
Version: svn32550.0

Provides: tex-cnbwp-doc
AutoReqProv: No

%description cnbwp-doc
Documentation for cnbwp

%package cnltx
Provides: tex-cnltx = %{tl_version}
License: LPPL 1.3
Summary: LaTeX tools and documenting facilities
Version: svn38138.0.13

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgfopts.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(xcolor.sty)
Requires: tex(trimspaces.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontspec.sty)
Requires: tex(libertine.sty)
Requires: tex(superiors.sty)
Requires: tex(microtype.sty)
Requires: tex(beramono.sty)
Requires: tex(fnpct.sty)
Requires: tex(scrlayer-scrpage.sty)
Requires: tex(biblatex.sty)
Requires: tex(imakeidx.sty)
Requires: tex(multicol.sty)
Requires: tex(marginnote.sty)
Requires: tex(ragged2e.sty)
Requires: tex(hyperref.sty)
Requires: tex(mdframed.sty)
Requires: tex(idxcmds.sty)
Requires: tex(textcomp.sty)
Requires: tex(adjustbox.sty)
Requires: tex(ulem.sty)
Requires: tex(listings.sty)
Requires: tex(catchfile.sty)
Requires: tex(accsupp.sty)
Requires: tex(translations.sty)
Requires: tex(alphabetic.bbx)
Requires: tex(alphabetic.cbx)
Provides: tex(cnltx-base.sty) = %{tl_version}
Provides: tex(cnltx-doc.cls) = %{tl_version}
Provides: tex(cnltx-example.sty) = %{tl_version}
Provides: tex(cnltx-listings.sty) = %{tl_version}
Provides: tex(cnltx-names.sty) = %{tl_version}
Provides: tex(cnltx-tools.sty) = %{tl_version}
Provides: tex(cnltx-translations.sty) = %{tl_version}
Provides: tex(cnltx.bbx) = %{tl_version}
Provides: tex(cnltx.cbx) = %{tl_version}
Provides: tex(cnltx.sty) = %{tl_version}

%description cnltx
This is a versatile bundle of packages and classes for
consistent formatting of control sequences, package options,
source code examples, and writing a package manual (including
an index containing the explained control sequences, options,
ldots). The bundle also provides several other small ideas of
mine such as a mechansim for providing abbreviations etc. Not
at least it provides a number of programming tools. The
intention behind this bundle mainly is a selfish one:
documenting my own packages. The bundle contains an index style
file cnltx.ist that should be placed in a directory in a TDS
makeindex directory.

%package cnltx-doc
Summary: Documentation for cnltx
Version: svn38138.0.13

Provides: tex-cnltx-doc
AutoReqProv: No

%description cnltx-doc
Documentation for cnltx

%package cntformats
Provides: tex-cntformats = %{tl_version}
License: LPPL 1.3
Summary: A different way to read counters
Version: svn34668.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(cnltx-base.sty)
Provides: tex(cntformats.sty) = %{tl_version}

%description cntformats
The package offers package or class authors a way to format
counters with 'patterns'. These patterns do not affect affect
'normal' LaTeX treatment of counters.

%package cntformats-doc
Summary: Documentation for cntformats
Version: svn34668.0.7

Provides: tex-cntformats-doc
AutoReqProv: No

%description cntformats-doc
Documentation for cntformats

%package cntperchap
Provides: tex-cntperchap = %{tl_version}
License: LPPL 1.3
Summary: Store counter values per chapter
Version: svn37572.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(assoccnt.sty)
Requires: tex(morewrites.sty)
Requires: tex(xpatch.sty)
Requires: tex(xparse.sty)
Provides: tex(cntperchap.sty) = %{tl_version}

%description cntperchap
This package stores values of counters (which have been
registered beforehand) on a per chapter base and provides the
values on demand in the 2nd LaTeX compilation run. In this way
it is possible to know how many sections etc. there are lying
ahead and to react to these counter values, if needed. This is
a preliminary version that has been tested with book.cls,
memoir.cls, and scrbook.cls. The packages assoccnt (by the same
author) and xparse are needed as well.

%package cntperchap-doc
Summary: Documentation for cntperchap
Version: svn37572.0.3

Provides: tex-cntperchap-doc
AutoReqProv: No

%description cntperchap-doc
Documentation for cntperchap

%package codedoc
Provides: tex-codedoc = %{tl_version}
License: LPPL
Summary: LaTeX code and documentation in LaTeX-format file
Version: svn17630.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(makeidx.sty)
Provides: tex(codedoc.cls) = %{tl_version}

%description codedoc
The CodeDoc class is an alternative to DocStrip (and others) to
produce LaTeX code along with its documentation without
departing from LaTeX's ordinary syntax. The documentation is
prepared like any other LaTeX document and the code to be
commented verbatim is simply delimited by an environment. When
an option is turned on in the class options, this code is
written to the desired file(s). The class also includes fully
customizable verbatim environments which provide the author
with separate commands to typeset the material and/or to
execute it.

%package codedoc-doc
Summary: Documentation for codedoc
Version: svn17630.0.3

Provides: tex-codedoc-doc
AutoReqProv: No

%description codedoc-doc
Documentation for codedoc

%package codepage
Provides: tex-codepage = %{tl_version}
License: BSD
Summary: Support for variant code pages
Version: svn21126.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(code437.tex) = %{tl_version}
Provides: tex(code850.tex) = %{tl_version}
Provides: tex(codeiso1.tex) = %{tl_version}
Provides: tex(codemac.tex) = %{tl_version}
Provides: tex(codepage.sty) = %{tl_version}
Provides: tex(initcar.tex) = %{tl_version}
Provides: tex(shapecm.tex) = %{tl_version}
Provides: tex(shapedc.tex) = %{tl_version}

%description codepage
The package provides a mechanism for inputting non-ASCII text.
Nowadays, the job is mostly done by the inputenc package in the
LaTeX distribution.

%package codepage-doc
Summary: Documentation for codepage
Version: svn21126.0

Provides: tex-codepage-doc
AutoReqProv: No

%description codepage-doc
Documentation for codepage

%package codesection
Provides: tex-codesection = %{tl_version}
License: LPPL 1.3
Summary: Provides an environment that may be conditionally included
Version: svn34481.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Provides: tex(codesection.sty) = %{tl_version}

%description codesection
This package provides an environment to switch a section of
code on or off. The code may be placed anywhere in the file (it
is not limited to the document or the preamble). The motivation
for this package was to have commands which allow preselection
based on whether sections of code in a preamble of a template
are executed.

%package codesection-doc
Summary: Documentation for codesection
Version: svn34481.0.1

Provides: tex-codesection-doc
AutoReqProv: No

%description codesection-doc
Documentation for codesection

%package codicefiscaleitaliano
Provides: tex-codicefiscaleitaliano = %{tl_version}
License: LPPL 1.3
Summary: Test the consistency of the Italian personal Fiscal Code
Version: svn29803.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(codicefiscaleitaliano.sty) = %{tl_version}

%description codicefiscaleitaliano
The alphanumeric string that forms the Italian personal Fiscal
Code is prone to be misspelled thus rendering a legal document
invalid. The package quickly verifies the consistency of the
fiscal code string, and can therefore be useful for lawyers and
accountants that use fiscal codes very frequently.

%package codicefiscaleitaliano-doc
Summary: Documentation for codicefiscaleitaliano
Version: svn29803.1.2

Provides: tex-codicefiscaleitaliano-doc
AutoReqProv: No

%description codicefiscaleitaliano-doc
Documentation for codicefiscaleitaliano

%package collcell
Provides: tex-collcell = %{tl_version}
License: LPPL 1.3
Summary: Collect contents of a tabular cell as argument to a macro
Version: svn21539.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(tabularx.sty)
Requires: tex(etoolbox.sty)
Provides: tex(collcell.sty) = %{tl_version}

%description collcell
The package provides macros that collect the content of a
tabular cell, and offer them as an argument to a macro. Special
care is taken to remove all aligning macros inserted by tabular
from the cell content. The macros also work in the last column
of a table, but do not support verbatim material inside the
cells.

%package collcell-doc
Summary: Documentation for collcell
Version: svn21539.0.5

Provides: tex-collcell-doc
AutoReqProv: No

%description collcell-doc
Documentation for collcell

%package collectbox
Provides: tex-collectbox = %{tl_version}
License: LPPL 1.3
Summary: Collect and process macro arguments as boxes
Version: svn26557.0.4b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(collectbox.sty) = %{tl_version}

%description collectbox
The package provides macros to collect and process a macro
argument (i.e., something which looks like a macro argument) as
a horizontal box rather than as a real macro argument. The
"arguments" are stored as if they had been saved by \savebox or
by the lrbox environment. Grouping tokens \bgroup and \egroup
may be used, which allows the user to have the beginning and
end of a group in different macro invocations, or to place them
in the begin and end code of an environment. Arguments may
contain verbatim material or other special use of characters.
The macros were designed for use within other macros.

%package collectbox-doc
Summary: Documentation for collectbox
Version: svn26557.0.4b

Provides: tex-collectbox-doc
AutoReqProv: No

%description collectbox-doc
Documentation for collectbox

%package collection-basic
Summary: Essential programs and files
Version: svn41616
Requires: texlive-base
Requires: texlive-texlive.infra
Requires: texlive-amsfonts
Requires: texlive-bibtex
Requires: texlive-cm
Requires: texlive-dvipdfmx
Requires: texlive-dvips
Requires: texlive-enctex
Requires: texlive-etex
Requires: texlive-etex-pkg
Requires: texlive-glyphlist
Requires: texlive-graphics-def
Requires: texlive-gsftopk
Requires: texlive-hyph-utf8
Requires: texlive-hyphen-base
Requires: texlive-ifluatex
Requires: texlive-ifxetex
Requires: texlive-knuth-lib
Requires: texlive-knuth-local
Requires: texlive-kpathsea
Requires: texlive-lua-alt-getopt
Requires: texlive-luatex
Requires: texlive-makeindex
Requires: texlive-metafont
Requires: texlive-mflogo
Requires: texlive-mfware
Requires: texlive-pdftex
Requires: texlive-plain
Requires: texlive-tetex
Requires: texlive-tex
Requires: texlive-tex-ini-files
Requires: texlive-texconfig
Requires: texlive-texlive-common-doc
Requires: texlive-texlive-docindex
Requires: texlive-texlive-en
Requires: texlive-texlive-msg-translations
Requires: texlive-texlive-scripts
Requires: texlive-unicode-data
Requires: texlive-updmap-map
Requires: texlive-xdvi
Provides: tex(tex) = %{tl_version}, tex = %{tl_version}
Requires: dvipdfmx, xdvik

%description collection-basic
These files are regarded as basic for any TeX system, covering
plain TeX macros, Computer Modern fonts, and configuration for
common drivers; no LaTeX.

%package enctex
Provides: tex-enctex = %{tl_version}
License: GPL+
Summary: A TeX extension that translates input on its way into TeX
Version: svn34957.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(1250-csf.tex) = %{tl_version}
Provides: tex(1250-il2.tex) = %{tl_version}
Provides: tex(1250-latex.tex) = %{tl_version}
Provides: tex(1250-t1.tex) = %{tl_version}
Provides: tex(852-csf.tex) = %{tl_version}
Provides: tex(852-il2.tex) = %{tl_version}
Provides: tex(852-latex.tex) = %{tl_version}
Provides: tex(852-t1.tex) = %{tl_version}
Provides: tex(csfmacro.tex) = %{tl_version}
Provides: tex(enc-u.tex) = %{tl_version}
Provides: tex(encmacro.tex) = %{tl_version}
Provides: tex(il2-1250.tex) = %{tl_version}
Provides: tex(il2-852.tex) = %{tl_version}
Provides: tex(il2-csf.tex) = %{tl_version}
Provides: tex(il2-kam.tex) = %{tl_version}
Provides: tex(il2-t1.tex) = %{tl_version}
Provides: tex(kam-csf.tex) = %{tl_version}
Provides: tex(kam-il2.tex) = %{tl_version}
Provides: tex(kam-latex.tex) = %{tl_version}
Provides: tex(kam-t1.tex) = %{tl_version}
Provides: tex(mixcodes.tex) = %{tl_version}
Provides: tex(noprefnt.tex) = %{tl_version}
Provides: tex(plain-1250-cs.tex) = %{tl_version}
Provides: tex(plain-852-cs.tex) = %{tl_version}
Provides: tex(plain-il2-cs.tex) = %{tl_version}
Provides: tex(plain-kam-cs.tex) = %{tl_version}
Provides: tex(plain-utf8-cs.tex) = %{tl_version}
Provides: tex(plain-utf8-ec.tex) = %{tl_version}
Provides: tex(polyset.tex) = %{tl_version}
Provides: tex(t1macro.tex) = %{tl_version}
Provides: tex(utf8-csf.tex) = %{tl_version}
Provides: tex(utf8-t1.tex) = %{tl_version}
Provides: tex(utf8cseq.tex) = %{tl_version}
Provides: tex(utf8lat1.tex) = %{tl_version}
Provides: tex(utf8lata.tex) = %{tl_version}
Provides: tex(utf8math.tex) = %{tl_version}
Provides: tex(utf8off.tex) = %{tl_version}
Provides: tex(utf8raw.tex) = %{tl_version}
Provides: tex(utf8unkn.tex) = %{tl_version}
Provides: tex(utf8warn.tex) = %{tl_version}

%description enctex
EncTeX is (another) TeX extension, written at the change-file
level. It provides means of translating input on the way into
TeX. It allows, for example, translation of multibyte
sequences, such as utf-8 encoding.

%package enctex-doc
Summary: Documentation for enctex
Version: svn34957.0

Provides: tex-enctex-doc
AutoReqProv: No

%description enctex-doc
Documentation for enctex

%package etex
Provides: tex-etex = %{tl_version}
License: Knuth
Summary: An extended version of TeX, from the NTS project
Version: svn37057.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(xbmc10.tfm) = %{tl_version}

%description etex
An extended version of TeX (which is capable of running as if
it were TeX unmodified). E-TeX has been specified by the LaTeX
team as the engine for the development of LaTeX 2e, in the
immediate future; as a result, LaTeX programmers may (in all
current TeX distributions) assume e-TeX functionality.
Development versions of e-TeX are to be found in the TeX live
source repository.

%package etex-doc
Summary: Documentation for etex
Version: svn37057.0
Provides: tex-etex-doc
AutoReqProv: No

%description etex-doc
Documentation for etex

%package etex-pkg
Provides: tex-etex-pkg = %{tl_version}
License: LPPL
Summary: E-TeX support package
Version: svn41784
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(etex.sty) = %{tl_version}

%description etex-pkg
The package provides support for LaTeX documents to use many of
the extensions offered by e-TeX; in particular, it modifies
LaTeX's register allocation macros to make use of the extended
register range. The etextools package provides macros that make
more sophisticated use of e-TeX's facilities.

%package etex-pkg-doc
Summary: Documentation for etex-pkg
Version: svn41784
Provides: tex-etex-pkg-doc
AutoReqProv: No

%description etex-pkg-doc
Documentation for etex-pkg

%package hyph-utf8
Provides: tex-hyph-utf8 = %{tl_version}
License: Copyright only
Summary: Hyphenation patterns expressed in UTF-8
Version: svn44401
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(conv-utf8-ec.tex) = %{tl_version}
Provides: tex(conv-utf8-il2.tex) = %{tl_version}
Provides: tex(conv-utf8-il3.tex) = %{tl_version}
Provides: tex(conv-utf8-l7x.tex) = %{tl_version}
Provides: tex(conv-utf8-lmc.tex) = %{tl_version}
Provides: tex(conv-utf8-lth.tex) = %{tl_version}
Provides: tex(conv-utf8-qx.tex) = %{tl_version}
Provides: tex(conv-utf8-t2a.tex) = %{tl_version}
Provides: tex(conv-utf8-t8m.tex) = %{tl_version}

%description hyph-utf8
Modern native UTF-8 engines such as XeTeX and LuaTeX need
hyphenation patterns in UTF-8 format, whereas older systems
require hyphenation patterns in the 8-bit encoding of the font
in use (such encodings are codified in the LaTeX scheme with
names like OT1, T2A, TS1, OML, LY1, etc). The present package
offers a collection of conversions of existing patterns to UTF-
8 format, together with converters for use with 8-bit fonts in
older systems. Since hyphenation patterns for Knuthian-style
TeX systems are only read at iniTeX time, it is hoped that the
UTF-8 patterns, with their converters, will completely supplant
the older patterns.

%package hyph-utf8-doc
Summary: Documentation for hyph-utf8
Version: svn44401
Provides: tex-hyph-utf8-doc
AutoReqProv: No

%description hyph-utf8-doc
Documentation for hyph-utf8

%package hyphen-base
Provides: tex-hyphen-base = %{tl_version}
License: LPPL
Summary: hyphen-base package
Version: svn44419
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(language.dat) = %{tl_version}
Provides: tex(language.def) = %{tl_version}
Provides: tex(language.us.def) = %{tl_version}
Provides: tex(dumyhyph.tex) = %{tl_version}
Provides: tex(hyphen.tex) = %{tl_version}
Provides: tex(hypht1.tex) = %{tl_version}
Provides: tex(zerohyph.tex) = %{tl_version}

%description hyphen-base
hyphen-base package

%package ifluatex
Provides: tex-ifluatex = %{tl_version}
License: LPPL 1.3
Summary: Provides the \ifluatex switch
Version: svn43610
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ifluatex.sty) = %{tl_version}

%description ifluatex
The package looks for LuaTeX regardless of its mode and
provides the switch \ifluatex; it works with Plain TeX or
LaTeX. The package is part of the oberdiek bundle.

%package ifluatex-doc
Summary: Documentation for ifluatex
Version: svn43610
Provides: tex-ifluatex-doc
AutoReqProv: No

%description ifluatex-doc
Documentation for ifluatex

%package ifxetex
Provides: tex-ifxetex = %{tl_version}
License: LPPL
Summary: Am I running under XeTeX?
Version: svn19685.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ifxetex.sty) = %{tl_version}

%description ifxetex
A simple package which provides an \ifxetex conditional, so
that other code can determine that it is running under XeTeX.
The package requires the e-TeX extensions to the TeX primitive
set.

%package ifxetex-doc
Summary: Documentation for ifxetex
Version: svn19685.0.5

Provides: tex-ifxetex-doc
AutoReqProv: No

%description ifxetex-doc
Documentation for ifxetex

%package knuth-lib
Provides: tex-knuth-lib = %{tl_version}
License: Knuth
Summary: A small library of MetaFont sources
Version: svn35820.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(logo10.tfm) = %{tl_version}
Provides: tex(logo8.tfm) = %{tl_version}
Provides: tex(logo9.tfm) = %{tl_version}
Provides: tex(logobf10.tfm) = %{tl_version}
Provides: tex(logosl10.tfm) = %{tl_version}
Provides: tex(manfnt.tfm) = %{tl_version}
Provides: tex(null.tex) = %{tl_version}
Provides: tex(manmac.tex) = %{tl_version}
Provides: tex(mftmac.tex) = %{tl_version}
Provides: tex(story.tex) = %{tl_version}
Provides: tex(testfont.tex) = %{tl_version}
Provides: tex(webmac.tex) = %{tl_version}

%description knuth-lib
A collection of miscellaneous MetaFont source, including the
means to generate the logo font that is used for MetaFont and
MetaPost.

%package knuth-local
Provides: tex-knuth-local = %{tl_version}
License: Knuth
Summary: Knuth's local information
Version: svn38627

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(domino.tfm) = %{tl_version}
Provides: tex(random.tfm) = %{tl_version}
Provides: tex(snfont.tfm) = %{tl_version}
Provides: tex(xepsf.tex) = %{tl_version}

%description knuth-local
A collection of experimental programs and developments based
on, or complementary to, the matter in his distribution
directories.

%package lua-alt-getopt
Provides: tex-lua-alt-getopt = %{tl_version}
License: MIT
Summary: Process application arguments the same way as getopt_long
Version: svn29349.0.7.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description lua-alt-getopt
lua_altgetopt is a MIT-licensed module for Lua, for processing
application arguments in the same way as BSD/GNU getopt_long(3)
functions do. This module is made available for lua script
writers to have consistent command line parsing routines.

%package lua-alt-getopt-doc
Summary: Documentation for lua-alt-getopt
Version: svn29349.0.7.0

Provides: tex-lua-alt-getopt-doc
AutoReqProv: No

%description lua-alt-getopt-doc
Documentation for lua-alt-getopt

%package mflogo
Provides: tex-mflogo = %{tl_version}
License: LPPL
Summary: LaTeX support for Metafont logo fonts
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(mflogo.sty) = %{tl_version}
Provides: tex(ulogo.fd) = %{tl_version}

%description mflogo
LaTeX package and font definition file to access the Knuthian
mflogo fonts described in 'The Metafontbook' and to typeset
Metafont logos in LaTeX documents.

%package mflogo-doc
Summary: Documentation for mflogo
Version: svn42428
Provides: tex-mflogo-doc
AutoReqProv: No

%description mflogo-doc
Documentation for mflogo

%package texlive-common-doc
Summary: Documentation for texlive-common
Version: svn44191
Provides: tex-texlive-common-doc
AutoReqProv: No

%description texlive-common-doc
Documentation for texlive-common

%package texlive-msg-translations
Provides: tex-texlive-msg-translations = %{tl_version}
License: LPPL
Summary: translations of the TeX Live installer and TeX Live Manager
Version: svn45376
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description texlive-msg-translations
This package contains the translated messages of the TeX Live
installer and TeX Live Manager.  For information on creating or
updating translations, see
http://tug.org/texlive/doc.html#install-tl-xlate.

%package collection-bibtexextra
Summary: BibTeX additional styles
Version: svn45569
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-aichej
Requires: texlive-ajl
Requires: texlive-amsrefs
Requires: texlive-apacite
Requires: texlive-apalike2
Requires: texlive-archaeologie
Requires: texlive-beebe
Requires: texlive-besjournals
Requires: texlive-bestpapers
Requires: texlive-bib2gls
Requires: texlive-bibarts
# Biber is Artistic 1.0, non-free
# Requires: tex-biber
Requires: texlive-bibexport
Requires: texlive-bibhtml
Requires: texlive-biblatex
Requires: texlive-biblatex-abnt
Requires: texlive-biblatex-anonymous
Requires: texlive-biblatex-apa
Requires: texlive-biblatex-bookinarticle
Requires: texlive-biblatex-bookinother
Requires: texlive-biblatex-bwl
Requires: texlive-biblatex-caspervector
Requires: texlive-biblatex-chem
Requires: texlive-biblatex-chicago
Requires: texlive-biblatex-claves
Requires: texlive-biblatex-dw
Requires: texlive-biblatex-enc
Requires: texlive-biblatex-fiwi
Requires: texlive-biblatex-gb7714-2015
Requires: texlive-biblatex-gost
Requires: texlive-biblatex-historian
Requires: texlive-biblatex-ieee
Requires: texlive-biblatex-ijsra
Requires: texlive-biblatex-iso690
Requires: texlive-biblatex-juradiss
Requires: texlive-biblatex-lni
Requires: texlive-biblatex-luh-ipw
Requires: texlive-biblatex-manuscripts-philology
Requires: texlive-biblatex-mla
Requires: texlive-biblatex-morenames
Requires: texlive-biblatex-multiple-dm
Requires: texlive-biblatex-musuos
Requires: texlive-biblatex-nature
Requires: texlive-biblatex-nejm
Requires: texlive-biblatex-nottsclassic
Requires: texlive-biblatex-opcit-booktitle
Requires: texlive-biblatex-oxref
Requires: texlive-biblatex-philosophy
Requires: texlive-biblatex-phys
Requires: texlive-biblatex-publist
Requires: texlive-biblatex-realauthor
Requires: texlive-biblatex-sbl
Requires: texlive-biblatex-science
Requires: texlive-biblatex-shortfields
Requires: texlive-biblatex-source-division
Requires: texlive-biblatex-subseries
Requires: texlive-biblatex-swiss-legal
Requires: texlive-biblatex-trad
Requires: texlive-biblatex-true-citepages-omit
Requires: texlive-biblist
Requires: texlive-bibtexperllibs
Requires: texlive-bibtopic
Requires: texlive-bibtopicprefix
Requires: texlive-bibunits
Requires: texlive-biolett-bst
Requires: texlive-bookdb
Requires: texlive-breakcites
Requires: texlive-cell
Requires: texlive-chbibref
Requires: texlive-chicago
Requires: texlive-chicago-annote
Requires: texlive-chembst
Requires: texlive-chscite
Requires: texlive-citeall
Requires: texlive-collref
Requires: texlive-compactbib
Requires: texlive-crossrefware
Requires: texlive-custom-bib
Requires: texlive-din1505
Requires: texlive-dk-bib
Requires: texlive-doipubmed
Requires: texlive-economic
Requires: texlive-fbs
Requires: texlive-figbib
Requires: texlive-footbib
Requires: texlive-francais-bst
Requires: texlive-geschichtsfrkl
Requires: texlive-harvard
Requires: texlive-harvmac
Requires: texlive-historische-zeitschrift
Requires: texlive-ietfbibs-doc
Requires: texlive-ijqc
Requires: texlive-inlinebib
Requires: texlive-iopart-num
Requires: texlive-jneurosci
Requires: texlive-jurabib
Requires: texlive-ksfh_nat
Requires: texlive-ltb2bib
Requires: texlive-listbib
Requires: texlive-logreq
Requires: texlive-luabibentry
Requires: texlive-margbib
Requires: texlive-multibib
Requires: texlive-multibibliography
Requires: texlive-munich
Requires: texlive-nar
Requires: texlive-nmbib
Requires: texlive-notes2bib
Requires: texlive-oscola
Requires: texlive-perception
Requires: texlive-pnas2009
Requires: texlive-rsc
Requires: texlive-showtags
Requires: texlive-sort-by-letters
Requires: texlive-splitbib
Requires: texlive-turabian-formatting
Requires: texlive-uni-wtal-ger
Requires: texlive-uni-wtal-lin
Requires: texlive-urlbst
Requires: texlive-usebib
Requires: texlive-vak
Requires: texlive-xcite

%description collection-bibtexextra
Additional BibTeX styles and bibliography data(bases), notably
including BibLaTeX.

%package collection-latex
Summary: LaTeX fundamental packages
Version: svn41614
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-ae
Requires: texlive-amscls
Requires: texlive-amsmath
Requires: texlive-babel
Requires: texlive-babel-english
Requires: texlive-babelbib
Requires: texlive-carlisle
Requires: texlive-colortbl
Requires: texlive-fancyhdr
Requires: texlive-fix2col
Requires: texlive-geometry
Requires: texlive-graphics
Requires: texlive-graphics-cfg
Requires: texlive-graphics-def
Requires: texlive-hyperref
Requires: texlive-latex
Requires: texlive-latex-bin
Requires: texlive-latex-fonts
Requires: texlive-latexconfig
Requires: texlive-ltxmisc
Requires: texlive-mfnfss
Requires: texlive-mptopdf
Requires: texlive-natbib
Requires: texlive-oberdiek
Requires: texlive-pslatex
Requires: texlive-psnfss
Requires: texlive-pspicture
Requires: texlive-tools
Requires: texlive-url
Provides: tex(latex-base) = %{tl_version}

%description collection-latex
These packages are either mandated by the core LaTeX team, or
very widely used and strongly recommended in practice.

%package colortbl
Provides: tex-colortbl = %{tl_version}
License: LPPL
Summary: Add colour to LaTeX tables
Version: svn29803.v1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(color.sty)
Provides: tex(colortbl.sty) = %{tl_version}

%description colortbl
The package allows rows and columns to be coloured, and even
individual cells.

%package colortbl-doc
Summary: Documentation for colortbl
Version: svn29803.v1.0a

Provides: tex-colortbl-doc
AutoReqProv: No

%description colortbl-doc
Documentation for colortbl

%package fancyhdr
Provides: tex-fancyhdr = %{tl_version}
License: LPPL
Summary: Extensive control of page headers and footers in LaTeX2e
Version: svn44730
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(extramarks.sty) = %{tl_version}
Provides: tex(fancyhdr.sty) = %{tl_version}
Provides: tex(fancyheadings.sty) = %{tl_version}

%description fancyhdr
The package provides extensive facilities, both for
constructing headers and footers, and for controlling their use
(for example, at times when LaTeX would automatically change
the heading style in use).

%package fancyhdr-doc
Summary: Documentation for fancyhdr
Version: svn44730
Provides: tex-fancyhdr-doc
AutoReqProv: No

%description fancyhdr-doc
Documentation for fancyhdr

%package fix2col
Provides: tex-fix2col = %{tl_version}
License: LPPL
Summary: Fix miscellaneous two column mode features
Version: svn38770

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fix2col.sty) = %{tl_version}

%description fix2col
Fix mark handling so that \firstmark is taken from the first
column if that column has any marks at all; keep two column
floats like figure* in sequence with single column floats like
figure.

%package fix2col-doc
Summary: Documentation for fix2col
Version: svn38770

Provides: tex-fix2col-doc
AutoReqProv: No

%description fix2col-doc
Documentation for fix2col

%package geometry
Provides: tex-geometry = %{tl_version}
License: LPPL
Summary: Flexible and complete interface to document dimensions
Version: svn19716.5.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifvtex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(atbegshi.sty)
Provides: tex(geometry.sty) = %{tl_version}

%description geometry
The package provides an easy and flexible user interface to
customize page layout, implementing auto-centering and auto-
balancing mechanisms so that the users have only to give the
least description for the page layout. For example, if you want
to set each margin 2cm without header space, what you need is
just \usepackage[margin=2cm,nohead]{geometry}. The package
knows about all the standard paper sizes, so that the user need
not know what the nominal 'real' dimensions of the paper are,
just its standard name (such as a4, letter, etc.). An important
feature is the package's ability to communicate the paper size
it's set up to the output (whether via DVI \specials or via
direct interaction with PDF(La)TeX).

%package geometry-doc
Summary: Documentation for geometry
Version: svn19716.5.6

Provides: tex-geometry-doc
AutoReqProv: No

%description geometry-doc
Documentation for geometry

%package graphics
Provides: tex-graphics = %{tl_version}
License: LPPL 1.3
Summary: Standard LaTeX graphics
Version: svn44703
Provides: texlive-rotating = %{epoch}:svn16832.2.16b.obsolete
Obsoletes: texlive-rotating <= 6:svn16832.2.16b
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-graphics-cfg
Requires: tex(trig.sty)
Provides: tex(color.sty) = %{tl_version}
Provides: tex(dvipdf.def) = %{tl_version}
Provides: tex(dvipsnam.def) = %{tl_version}
Provides: tex(dvipsone.def) = %{tl_version}
Provides: tex(dviwin.def) = %{tl_version}
Provides: tex(emtex.def) = %{tl_version}
Provides: tex(epsfig.sty) = %{tl_version}
Provides: tex(graphics.sty) = %{tl_version}
Provides: tex(graphicx.sty) = %{tl_version}
Provides: tex(keyval.sty) = %{tl_version}
Provides: tex(lscape.sty) = %{tl_version}
Provides: tex(pctex32.def) = %{tl_version}
Provides: tex(pctexhp.def) = %{tl_version}
Provides: tex(pctexps.def) = %{tl_version}
Provides: tex(pctexwin.def) = %{tl_version}
Provides: tex(rotating.sty) = %{tl_version}
Provides: tex(tcidvi.def) = %{tl_version}
Provides: tex(trig.sty) = %{tl_version}
Provides: tex(truetex.def) = %{tl_version}

%description graphics
The package was designed to accommodate all needs for inclusion
of graphics in LaTeX documents, replacing many earlier packages
used in LaTeX 2.09. The package aims to give a consistent
interface to including the file types that are understood in
your output, by use of 'printer drivers' (now known, simply, as
'drivers'). The distribtion of the package contains several
drivers, but others (for example, pdfTeX) are distributed
separately. The package also offers several means of
manipulating graphics in the course of inserting them into a
document (for example, rotation and scaling). For extended
documentation see epslatex. The package is part of the graphics
bundle, which is one of the collections in the LaTeX 'required'
set of packages.

%package graphics-doc
Summary: Documentation for graphics
Version: svn44703
Provides: texlive-rotating-doc = svn16832.2.16b.obsolete
Obsoletes: texlive-rotating-doc <= svn16832.2.16b
Provides: tex-graphics-doc
AutoReqProv: No

%description graphics-doc
Documentation for graphics

%package hyperref
Provides: tex-hyperref = %{tl_version}
License: LPPL
Summary: Extensive support for hypertext in LaTeX
Version: svn43547
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(kvsetkeys.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(rerunfilecheck.sty)
Requires: tex(hobsub-hyperref.sty)
Requires: tex(ifpdf.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(infwarerr.sty)
Requires: tex(keyval.sty)
Requires: tex(kvdefinekeys.sty)
Requires: tex(pdfescape.sty)
Requires: tex(ifvtex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(hycolor.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(auxhook.sty)
Requires: tex(intcalc.sty)
Requires: tex(etexcmds.sty)
Requires: tex(memhfixc.sty)
Requires: tex(stringenc.sty)
Requires: tex(color.sty)
Requires: tex(url.sty)
Requires: tex(bitset.sty)
Requires: tex(atbegshi.sty)
Requires: tex(refcount.sty)
Requires: tex(gettitlestring.sty)
Requires: tex(pzdr.tfm)
Provides: tex(backref.sty) = %{tl_version}
Provides: tex(hdvipdfm.def) = %{tl_version}
Provides: tex(hdvips.def) = %{tl_version}
Provides: tex(hdvipson.def) = %{tl_version}
Provides: tex(hdviwind.def) = %{tl_version}
Provides: tex(hpdftex.def) = %{tl_version}
Provides: tex(htex4ht.cfg) = %{tl_version}
Provides: tex(htex4ht.def) = %{tl_version}
Provides: tex(htexture.def) = %{tl_version}
Provides: tex(hvtex.def) = %{tl_version}
Provides: tex(hvtexhtm.def) = %{tl_version}
Provides: tex(hvtexmrk.def) = %{tl_version}
Provides: tex(hxetex.def) = %{tl_version}
Provides: tex(hyperref.sty) = %{tl_version}
Provides: tex(hypertex.def) = %{tl_version}
Provides: tex(minitoc-hyper.sty) = %{tl_version}
Provides: tex(minitoc.sty) = %{tl_version}
Provides: tex(nameref.sty) = %{tl_version}
Provides: tex(nohyperref.sty) = %{tl_version}
Provides: tex(ntheorem-hyper.sty) = %{tl_version}
Provides: tex(pd1enc.def) = %{tl_version}
Provides: tex(pdfmark.def) = %{tl_version}
Provides: tex(psdextra.def) = %{tl_version}
Provides: tex(puarenc.def) = %{tl_version}
Provides: tex(puenc.def) = %{tl_version}
Provides: tex(puvnenc.def) = %{tl_version}
Provides: tex(xr-hyper.sty) = %{tl_version}

%description hyperref
The hyperref package is used to handle cross-referencing
commands in LaTeX to produce hypertext links in the document.
The package provides backends for the \special set defined for
HyperTeX DVI processors; for embedded pdfmark commands for
processing by Acrobat Distiller (dvips and Y&Y's dvipsone); for
Y&Y's dviwindo; for PDF control within pdfTeX and dvipdfm; for
TeX4ht; and for VTeX's pdf and HTML backends. The package is
distributed with the backref and nameref packages, which make
use of the facilities of hyperref. The package depends on the
author's kvoptions, ltxcmdsand refcount packages.

%package hyperref-doc
Summary: Documentation for hyperref
Version: svn43547
Provides: tex-hyperref-doc
AutoReqProv: No

%description hyperref-doc
Documentation for hyperref

%package ltxmisc
Provides: tex-ltxmisc = %{tl_version}
License: Public Domain
Summary: Miscellaneous LaTeX packages, etc
Version: svn21927.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(makeidx.sty)
Requires: tex(graphicx.sty)
Requires: tex(minitoc.sty)
Requires: tex(beton.sty)
Requires: tex(euler.sty)
Requires: tex(calc.sty)
Requires: tex(natbib.sty)
Requires: tex(array.sty)
Requires: tex(pifont.sty)
Provides: tex(abstbook.cls) = %{tl_version}
Provides: tex(beletter.cls) = %{tl_version}
Provides: tex(bibcheck.sty) = %{tl_version}
Provides: tex(concrete.sty) = %{tl_version}
Provides: tex(flashcard.cls) = %{tl_version}
Provides: tex(iagproc.cls) = %{tl_version}
Provides: tex(linsys.sty) = %{tl_version}
Provides: tex(mitpress.sty) = %{tl_version}
Provides: tex(thrmappendix.sty) = %{tl_version}
Provides: tex(topcapt.sty) = %{tl_version}
Provides: tex(vrbexin.sty) = %{tl_version}

%description ltxmisc
ltxmisc package

%package mfnfss
Provides: tex-mfnfss = %{tl_version}
License: LPPL
Summary: Packages to typeset oldgerman and pandora fonts in LaTeX
Version: svn19410.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(oldgerm.sty) = %{tl_version}
Provides: tex(ot1panr.fd) = %{tl_version}
Provides: tex(ot1pss.fd) = %{tl_version}
Provides: tex(pandora.sty) = %{tl_version}
Provides: tex(uyfrak.fd) = %{tl_version}
Provides: tex(uygoth.fd) = %{tl_version}
Provides: tex(uyinit.fd) = %{tl_version}
Provides: tex(uyswab.fd) = %{tl_version}

%description mfnfss
This bundle contains two packages: - oldgerm, a package to
typeset with old german fonts designed by Yannis Haralambous. -
pandora, a package to typeset with Pandora fonts designed by
Neena Billawala. Note that support for the Pandora fonts is
also available via the pandora-latex package.

%package mfnfss-doc
Summary: Documentation for mfnfss
Version: svn19410.0

Provides: tex-mfnfss-doc
AutoReqProv: No

%description mfnfss-doc
Documentation for mfnfss

%package natbib
Provides: tex-natbib = %{tl_version}
License: LPPL
Summary: Flexible bibliography support
Version: svn20668.8.31b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bibentry.sty) = %{tl_version}
Provides: tex(natbib.sty) = %{tl_version}

%description natbib
The bundle provides a package that implements both author-year
and numbered references, as well as much detailed of support
for other bibliography use. Also Provided are versions of the
standard BibTeX styles that are compatible with natbib--
plainnat, unsrtnat, abbrnat. The bibliography styles produced
by custom-bib are designed from the start to be compatible with
natbib.

%package natbib-doc
Summary: Documentation for natbib
Version: svn20668.8.31b

Provides: tex-natbib-doc
AutoReqProv: No

%description natbib-doc
Documentation for natbib

%package pslatex
Provides: tex-pslatex = %{tl_version}
License: LPPL
Summary: Use PostScript fonts by default
Version: svn16416.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pcrr8rn.map) = %{tl_version}
Provides: tex(pcrr7tn.tfm) = %{tl_version}
Provides: tex(pcrr8rn.tfm) = %{tl_version}
Provides: tex(pcrr8tn.tfm) = %{tl_version}
Provides: tex(pcrr7tn.vf) = %{tl_version}
Provides: tex(pcrr8tn.vf) = %{tl_version}
Provides: tex(pslatex.sty) = %{tl_version}

%description pslatex
A small package that makes LaTeX default to 'standard'
PostScript fonts. It is basically a merger of the times and the
(obsolete) mathptm packages from the psnfss suite. You must
have installed standard LaTeX and the psnfss PostScript fonts
to use this package. The main novel feature is that the pslatex
package tries to compensate for the visual differences between
the Adobe fonts by scaling Helvetica by 90%, and 'condensing'
Courier (i.e. scaling horizontally) by 85%. The package is
supplied with a (unix) shell file for a 'pslatex' command that
allows standard LaTeX documents to be processed, without
needing to edit the file. Note that current psnfss uses a
different technique for scaling Helvetica, and treats Courier
as a lost cause (there are better free fixed-width available
now, than there were when pslatex was designed). As a result,
pslatex is widely considered obsolete.

%package psnfss
Provides: tex-psnfss = %{tl_version}
License: LPPL
Summary: Font support for common PostScript fonts
Version: svn33946.9.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-graphics
Requires: tex(keyval.sty)
Provides: tex(charter.map) = %{tl_version}
Provides: tex(fpls.map) = %{tl_version}
Provides: tex(pazo.map) = %{tl_version}
Provides: tex(psnfss.map) = %{tl_version}
Provides: tex(utopia.map) = %{tl_version}
Provides: tex(8rbch.fd) = %{tl_version}
Provides: tex(8rpag.fd) = %{tl_version}
Provides: tex(8rpbk.fd) = %{tl_version}
Provides: tex(8rpcr.fd) = %{tl_version}
Provides: tex(8rphv.fd) = %{tl_version}
Provides: tex(8rpnc.fd) = %{tl_version}
Provides: tex(8rppl.fd) = %{tl_version}
Provides: tex(8rptm.fd) = %{tl_version}
Provides: tex(8rput.fd) = %{tl_version}
Provides: tex(8rpzc.fd) = %{tl_version}
Provides: tex(avant.sty) = %{tl_version}
Provides: tex(bookman.sty) = %{tl_version}
Provides: tex(chancery.sty) = %{tl_version}
Provides: tex(charter.sty) = %{tl_version}
Provides: tex(courier.sty) = %{tl_version}
Provides: tex(helvet.sty) = %{tl_version}
Provides: tex(mathpazo.sty) = %{tl_version}
Provides: tex(mathpple.sty) = %{tl_version}
Provides: tex(mathptm.sty) = %{tl_version}
Provides: tex(mathptmx.sty) = %{tl_version}
Provides: tex(newcent.sty) = %{tl_version}
Provides: tex(omlbch.fd) = %{tl_version}
Provides: tex(omlpag.fd) = %{tl_version}
Provides: tex(omlpbk.fd) = %{tl_version}
Provides: tex(omlpcr.fd) = %{tl_version}
Provides: tex(omlphv.fd) = %{tl_version}
Provides: tex(omlpnc.fd) = %{tl_version}
Provides: tex(omlppl.fd) = %{tl_version}
Provides: tex(omlptm.fd) = %{tl_version}
Provides: tex(omlptmcm.fd) = %{tl_version}
Provides: tex(omlput.fd) = %{tl_version}
Provides: tex(omlpzc.fd) = %{tl_version}
Provides: tex(omlzplm.fd) = %{tl_version}
Provides: tex(omlzpple.fd) = %{tl_version}
Provides: tex(omlztmcm.fd) = %{tl_version}
Provides: tex(omsbch.fd) = %{tl_version}
Provides: tex(omspag.fd) = %{tl_version}
Provides: tex(omspbk.fd) = %{tl_version}
Provides: tex(omspcr.fd) = %{tl_version}
Provides: tex(omsphv.fd) = %{tl_version}
Provides: tex(omspnc.fd) = %{tl_version}
Provides: tex(omsppl.fd) = %{tl_version}
Provides: tex(omsptm.fd) = %{tl_version}
Provides: tex(omsput.fd) = %{tl_version}
Provides: tex(omspzc.fd) = %{tl_version}
Provides: tex(omspzccm.fd) = %{tl_version}
Provides: tex(omszplm.fd) = %{tl_version}
Provides: tex(omszpple.fd) = %{tl_version}
Provides: tex(omsztmcm.fd) = %{tl_version}
Provides: tex(omxpsycm.fd) = %{tl_version}
Provides: tex(omxzplm.fd) = %{tl_version}
Provides: tex(omxzpple.fd) = %{tl_version}
Provides: tex(omxztmcm.fd) = %{tl_version}
Provides: tex(ot1bch.fd) = %{tl_version}
Provides: tex(ot1pag.fd) = %{tl_version}
Provides: tex(ot1pbk.fd) = %{tl_version}
Provides: tex(ot1pcr.fd) = %{tl_version}
Provides: tex(ot1phv.fd) = %{tl_version}
Provides: tex(ot1pnc.fd) = %{tl_version}
Provides: tex(ot1ppl.fd) = %{tl_version}
Provides: tex(ot1pplj.fd) = %{tl_version}
Provides: tex(ot1pplx.fd) = %{tl_version}
Provides: tex(ot1ptm.fd) = %{tl_version}
Provides: tex(ot1ptmcm.fd) = %{tl_version}
Provides: tex(ot1put.fd) = %{tl_version}
Provides: tex(ot1pzc.fd) = %{tl_version}
Provides: tex(ot1zplm.fd) = %{tl_version}
Provides: tex(ot1zpple.fd) = %{tl_version}
Provides: tex(ot1ztmcm.fd) = %{tl_version}
Provides: tex(palatino.sty) = %{tl_version}
Provides: tex(pifont.sty) = %{tl_version}
Provides: tex(t1bch.fd) = %{tl_version}
Provides: tex(t1pag.fd) = %{tl_version}
Provides: tex(t1pbk.fd) = %{tl_version}
Provides: tex(t1pcr.fd) = %{tl_version}
Provides: tex(t1phv.fd) = %{tl_version}
Provides: tex(t1pnc.fd) = %{tl_version}
Provides: tex(t1ppl.fd) = %{tl_version}
Provides: tex(t1pplj.fd) = %{tl_version}
Provides: tex(t1pplx.fd) = %{tl_version}
Provides: tex(t1ptm.fd) = %{tl_version}
Provides: tex(t1put.fd) = %{tl_version}
Provides: tex(t1pzc.fd) = %{tl_version}
Provides: tex(times.sty) = %{tl_version}
Provides: tex(ts1bch.fd) = %{tl_version}
Provides: tex(ts1pag.fd) = %{tl_version}
Provides: tex(ts1pbk.fd) = %{tl_version}
Provides: tex(ts1pcr.fd) = %{tl_version}
Provides: tex(ts1phv.fd) = %{tl_version}
Provides: tex(ts1pnc.fd) = %{tl_version}
Provides: tex(ts1ppl.fd) = %{tl_version}
Provides: tex(ts1pplj.fd) = %{tl_version}
Provides: tex(ts1pplx.fd) = %{tl_version}
Provides: tex(ts1ptm.fd) = %{tl_version}
Provides: tex(ts1put.fd) = %{tl_version}
Provides: tex(ts1pzc.fd) = %{tl_version}
Provides: tex(ufplm.fd) = %{tl_version}
Provides: tex(ufplmbb.fd) = %{tl_version}
Provides: tex(upsy.fd) = %{tl_version}
Provides: tex(upzd.fd) = %{tl_version}
Provides: tex(utopia.sty) = %{tl_version}

%description psnfss
Font definition files, macros and font metrics for freely-
available Adobe Type 1 fonts. The font set consists of the
'LaserWriter 35' set (originally 'freely available' because
embedded in PostScript printers), and a variety of other free
fonts, together with some additions. Note that while many of
the fonts are available in PostScript (and other) printers,
most publishers require fonts embedded in documents, which
requires that you have the fonts in your TeX system.
Fortunately, there are free versions of the fonts from URW
(available in the URW base5 bundle). The base set of text fonts
covered by PSNFSS are: AvantGarde, Bookman, Courier, Helvetica,
New Century Schoolbook, Palatino, Symbol, Times Roman and Zapf
Dingbats. In addition, the fonts Bitstream Charter and Adobe
Utopia are covered (those fonts were contributed to the Public
Domain by their commercial foundries). Separate packages are
provided to load each font for use as main text font. The
packages helvet (which allows Helvetica to be loaded with its
size scaled to something more nearly appropriate for its use as
a Sans-Serif font to match Times) and pifont (which provides
the means to select single glyphs from symbol fonts) are
tailored to special requirements of their fonts. Mathematics
are covered by the mathptmx package, which constructs passable
mathematics from a combination of Times Roman, Symbol and some
glyphs from Computer Modern, and by Pazo Math (optionally
extended with the fpl small-caps and old-style figures fonts)
which uses Palatino as base font, with the mathpazo fonts. The
bundle as a whole is part of the LaTeX 'required' set of
packages.

%package psnfss-doc
Summary: Documentation for psnfss
Version: svn33946.9.2a

Provides: tex-psnfss-doc
AutoReqProv: No
Requires: tex-graphics-doc

%description psnfss-doc
Documentation for psnfss

%package pspicture
Provides: tex-pspicture = %{tl_version}
License: LPPL
Summary: PostScript picture support
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pspicture.sty) = %{tl_version}

%description pspicture
A replacement for LaTeX's picture macros, that uses PostScript
\special commands. The package is now largely superseded by
pict2e.

%package pspicture-doc
Summary: Documentation for pspicture
Version: svn15878.0

Provides: tex-pspicture-doc
AutoReqProv: No

%description pspicture-doc
Documentation for pspicture

%package tools
Provides: tex-tools = %{tl_version}
License: LPPL 1.3
Summary: The LaTeX standard tools bundle
Version: svn43813
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(color.sty)
Provides: tex(.tex) = %{tl_version}
Provides: tex(afterpage.sty) = %{tl_version}
Provides: tex(array.sty) = %{tl_version}
Provides: tex(bm.sty) = %{tl_version}
Provides: tex(calc.sty) = %{tl_version}
Provides: tex(dcolumn.sty) = %{tl_version}
Provides: tex(delarray.sty) = %{tl_version}
Provides: tex(e.tex) = %{tl_version}
Provides: tex(enumerate.sty) = %{tl_version}
Provides: tex(fontsmpl.sty) = %{tl_version}
Provides: tex(fontsmpl.tex) = %{tl_version}
Provides: tex(ftnright.sty) = %{tl_version}
Provides: tex(h.tex) = %{tl_version}
Provides: tex(hhline.sty) = %{tl_version}
Provides: tex(indentfirst.sty) = %{tl_version}
Provides: tex(layout.sty) = %{tl_version}
Provides: tex(longtable.sty) = %{tl_version}
Provides: tex(multicol.sty) = %{tl_version}
Provides: tex(q.tex) = %{tl_version}
Provides: tex(r.tex) = %{tl_version}
Provides: tex(rawfonts.sty) = %{tl_version}
Provides: tex(s.tex) = %{tl_version}
Provides: tex(showkeys.sty) = %{tl_version}
Provides: tex(somedefs.sty) = %{tl_version}
Provides: tex(tabularx.sty) = %{tl_version}
Provides: tex(thb.sty) = %{tl_version}
Provides: tex(thc.sty) = %{tl_version}
Provides: tex(thcb.sty) = %{tl_version}
Provides: tex(theorem.sty) = %{tl_version}
Provides: tex(thm.sty) = %{tl_version}
Provides: tex(thmb.sty) = %{tl_version}
Provides: tex(thp.sty) = %{tl_version}
Provides: tex(trace.sty) = %{tl_version}
Provides: tex(varioref.sty) = %{tl_version}
Provides: tex(verbatim.sty) = %{tl_version}
Provides: tex(verbtest.tex) = %{tl_version}
Provides: tex(x.tex) = %{tl_version}
Provides: tex(xr.sty) = %{tl_version}
Provides: tex(xspace.sty) = %{tl_version}

%description tools
A collection of (variously) simple tools provided as part of
the LaTeX required tools distribution, comprising the packages:
afterpage, array, bm, calc, dcolumn, delarray, enumerate,
fileerr, fontsmpl, ftnright, hhline, indentfirst, layout,
longtable, multicol, rawfonts, showkeys, somedefs, tabularx,
theorem, trace, varioref, verbatim, xr, and xspace.

%package tools-doc
Summary: Documentation for tools
Version: svn43813
Provides: tex-tools-doc
AutoReqProv: No

%description tools-doc
Documentation for tools

%package url
Provides: tex-url = %{tl_version}
License: LPPL
Summary: Verbatim with URL-sensitive line breaks
Version: svn32528.3.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(url.sty) = %{tl_version}

%description url
The command \url is a form of verbatim command that allows
linebreaks at certain characters or combinations of characters,
accepts reconfiguration, and can usually be used in the
argument to another command. (The \urldef command provides
robust commands that serve in cases when \url doesn't work in
an argument.) The command is intended for email addresses,
hypertext links, directories/paths, etc., which normally have
no spaces, so by default the package ignores spaces in its
argument. However, a package option "allows spaces", which is
useful for operating systems where spaces are a common part of
file names.

%package url-doc
Summary: Documentation for url
Version: svn32528.3.4

Provides: tex-url-doc
AutoReqProv: No

%description url-doc
Documentation for url

%package collref
Provides: tex-collref = %{tl_version}
License: LPPL 1.3
Summary: Collect blocks of references into a single reference
Version: svn35084.2.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(collref.sty) = %{tl_version}

%description collref
The package automatically collects multiple \bibitem
references, which always appear in the same sequence in \cite,
into a single \bibitem block.

%package collref-doc
Summary: Documentation for collref
Version: svn35084.2.0b

Provides: tex-collref-doc
AutoReqProv: No

%description collref-doc
Documentation for collref

%package compactbib
Provides: tex-compactbib = %{tl_version}
License: LPPL
Summary: Multiple thebibliography environments
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(compactbib.sty) = %{tl_version}

%description compactbib
Allows a second bibliography, optionally with a different
title, after the main bibliography.

%package custom-bib
Provides: tex-custom-bib = %{tl_version}
License: LPPL
Summary: Customised BibTeX styles
Version: svn24729.4.33

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(geophys.tex) = %{tl_version}
Provides: tex(makebst.tex) = %{tl_version}
Provides: tex(shorthnd.tex) = %{tl_version}

%description custom-bib
Package generating customized BibTeX bibliography styles from a
generic file using docstrip driven by parameters generated by a
menu application. Includes support for the Harvard style of
citations.

%package custom-bib-doc
Summary: Documentation for custom-bib
Version: svn24729.4.33

Provides: tex-custom-bib-doc
AutoReqProv: No

%description custom-bib-doc
Documentation for custom-bib

%package din1505
Provides: tex-din1505 = %{tl_version}
License: Bibtex
Summary: Bibliography styles for German texts
Version: svn19441.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description din1505
A set of bibliography styles that conformt to DIN 1505, and
match the original BibTeX standard set (plain, unsrt, alpha and
abbrv), together with a style natdin to work with natbib.

%package din1505-doc
Summary: Documentation for din1505
Version: svn19441.0

Provides: tex-din1505-doc
AutoReqProv: No

%description din1505-doc
Documentation for din1505

%package dk-bib
Provides: tex-dk-bib = %{tl_version}
License: GPLv2+
Summary: Danish variants of standard BibTeX styles
Version: svn15878.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(url.sty)
Provides: tex(dk-apali.sty) = %{tl_version}
Provides: tex(dk-bib.sty) = %{tl_version}

%description dk-bib
Dk-bib is a translation of the four standard BibTeX style files
(abbrv, alpha, plain and unsrt) and the apalike style file into
Danish. The files have been extended with URL, ISBN, ISSN,
annote and printing fields which can be enabled through a LaTeX
style file. Dk-bib also comes with a couple of Danish sorting
order files for BibTeX8.

%package dk-bib-doc
Summary: Documentation for dk-bib
Version: svn15878.0.6

Provides: tex-dk-bib-doc
AutoReqProv: No

%description dk-bib-doc
Documentation for dk-bib

%package doipubmed
Provides: tex-doipubmed = %{tl_version}
License: LPPL
Summary: Special commands for use in bibliographies
Version: svn15878.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(url.sty)
Provides: tex(doipubmed.sty) = %{tl_version}

%description doipubmed
The package provides the commands \doi, \pubmed and \citeurl.
These commands are primarily designed for use in
bibliographies. A LaTeX2HTML style file is also provided.

%package doipubmed-doc
Summary: Documentation for doipubmed
Version: svn15878.1.01

Provides: tex-doipubmed-doc
AutoReqProv: No

%description doipubmed-doc
Documentation for doipubmed

%package economic
Provides: tex-economic = %{tl_version}
License: LPPL
Summary: BibTeX support for submitting to Economics journals
Version: svn32639.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ulem.sty)
Requires: tex(ifthen.sty)
Requires: tex(babel.sty)
Requires: tex(geometry.sty)
Requires: tex(setspace.sty)
Requires: tex(titlesec.sty)
Requires: tex(lmodern.sty)
Requires: tex(amsmath.sty)
Requires: tex(url.sty)
Requires: tex(natbib.sty)
Requires: tex(endfloat.sty)
Requires: tex(mathptmx.sty)
Requires: tex(helvet.sty)
Requires: tex(courier.sty)
Requires: tex(bm.sty)
Requires: tex(endnotes.sty)
Requires: tex(textcomp.sty)
Requires: tex(stringstrings.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(soul.sty)
Requires: tex(verbatim.sty)
Provides: tex(aer.sty) = %{tl_version}
Provides: tex(aertt.sty) = %{tl_version}
Provides: tex(agecon.cls) = %{tl_version}
Provides: tex(ajae.cls) = %{tl_version}
Provides: tex(apecon.cls) = %{tl_version}
Provides: tex(cje.sty) = %{tl_version}
Provides: tex(ecca.cls) = %{tl_version}
Provides: tex(erae.cls) = %{tl_version}
Provides: tex(itaxpf.cls) = %{tl_version}
Provides: tex(jrurstud.cls) = %{tl_version}
Provides: tex(njf.cls) = %{tl_version}
Provides: tex(oegatb.cls) = %{tl_version}
Provides: tex(pocoec.cls) = %{tl_version}
Provides: tex(regstud.cls) = %{tl_version}
Provides: tex(worlddev.cls) = %{tl_version}

%description economic
The bundle offers macros and BibTeX styles for the American
Economic Review (AER), the American Journal of Agricultural
Economics (AJAE), the Canadian Journal of Economics (CJE), the
European Review of Agricultural Economics (ERAE), the
International Economic Review (IER) and Economica. The macro
sets are based on (and require) the harvard package, and all
provide variations of author-date styles of presentation.

%package economic-doc
Summary: Documentation for economic
Version: svn32639.0

Provides: tex-economic-doc
AutoReqProv: No

%description economic-doc
Documentation for economic

%package fbs
Provides: tex-fbs = %{tl_version}
License: LPPL
Summary: BibTeX style for Frontiers in Bioscience
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description fbs
A BibTeX style file made with custom-bib to fit Frontiers in
Bioscience requirements: all authors, no et al, full author
names, initials abbreviated; only abbreviated journal name
italicised, no abbreviation dots; only year, no month, at end
of reference; and DOI excluded, ISSN excluded.

%package figbib
Provides: tex-figbib = %{tl_version}
License: LPPL
Summary: Organize figure databases with BibTeX
Version: svn19388.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(figbib.sty) = %{tl_version}

%description figbib
FigBib lets you organize your figures in BibTeX databases. Some
FigBib features are: Store and manage figures in a BibTeX
database; Include figures in your LaTeX document with one short
command; Generate a List of Figures containing more/other
information than the figure captions; Control with one switch
where to output the figures, either as usual float objects or
in a separate part at the end of your document.

%package figbib-doc
Summary: Documentation for figbib
Version: svn19388.0

Provides: tex-figbib-doc
AutoReqProv: No

%description figbib-doc
Documentation for figbib

%package footbib
Provides: tex-footbib = %{tl_version}
License: LPPL
Summary: Bibliographic references as footnotes
Version: svn17115.2.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(footbib.sty) = %{tl_version}

%description footbib
The package makes bibliographic references appear as footnotes.
It defines a command \footcite which is similar to the LaTeX
\cite command but the references cited in this way appear at
the bottom of the pages. This 'foot bibliography' does not
conflict with the standard one and both may exist
simultaneously in a document. The command \cite may still be
used to produce the standard bibliography. The foot
bibliography uses its own style and bibliographic database
which may be specified independently of the standard one. Any
standard bibliography style may be used.

%package footbib-doc
Summary: Documentation for footbib
Version: svn17115.2.0.7

Provides: tex-footbib-doc
AutoReqProv: No

%description footbib-doc
Documentation for footbib

%package francais-bst
Provides: tex-francais-bst = %{tl_version}
License: LPPL 1.3
Summary: Bibliographies conforming to French typographic standards
Version: svn38922

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description francais-bst
The package provides bibliographies (in French) conforming to
the rules in "Guide de la communication ecrite" (Malo, M.,
Quebec Amerique, 1996. ISBN 978-2-8903-7875-9) The BibTeX
styles were generated using custom-bib and they are compatible
with natbib

%package francais-bst-doc
Summary: Documentation for francais-bst
Version: svn38922

Provides: tex-francais-bst-doc
AutoReqProv: No

%description francais-bst-doc
Documentation for francais-bst

%package geschichtsfrkl
Provides: tex-geschichtsfrkl = %{tl_version}
License: LPPL
Summary: BibLaTeX style for historians
Version: svn42121
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(standard.bbx)
Provides: tex(geschichtsfrkl.bbx) = %{tl_version}
Provides: tex(geschichtsfrkl.cbx) = %{tl_version}

%description geschichtsfrkl
The package provides a BibLaTeX style, (mostly) meeting the
requirements of the History Faculty of the University of
Freiburg (Germany).

%package geschichtsfrkl-doc
Summary: Documentation for geschichtsfrkl
Version: svn42121
Provides: tex-geschichtsfrkl-doc
AutoReqProv: No

%description geschichtsfrkl-doc
Documentation for geschichtsfrkl

%package harvard
Provides: tex-harvard = %{tl_version}
License: LPPL
Summary: Harvard citation package for use with LaTeX 2e
Version: svn15878.2.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(harvard.sty) = %{tl_version}

%description harvard
This is a re-implementation, for LaTeX 2e, of the original
Harvard package. The bundle contains the LaTeX package, several
BibTeX styles, and a 'Perl package' for use with LaTeX2HTML.
Harvard is an author-year citation style (all but the first
author are suppressed in second and subsequent citations of the
same entry); the package defines several variant styles:
apsr.bst for the American Political Science Review; agsm.bst
for Australian Government publications; dcu.bst from the Design
Computing Unit of the University of Sydney; kluwer.bstwhich
aims at the format preferred in Kluwer publications;
nederlands.bst which deals with sorting Dutch names with
prefixes (such as van) according to Dutch rules, together with
several styles whose authors offer no description of their
behaviour.

%package harvard-doc
Summary: Documentation for harvard
Version: svn15878.2.0.5

Provides: tex-harvard-doc
AutoReqProv: No

%description harvard-doc
Documentation for harvard

%package harvmac
Provides: tex-harvmac = %{tl_version}
License: CC-BY
Summary: Macros for scientific articles
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(harvmac.tex) = %{tl_version}

%description harvmac
Known as 'Harvard macros', since written at that University.

%package harvmac-doc
Summary: Documentation for harvmac
Version: svn15878.0

Provides: tex-harvmac-doc
AutoReqProv: No

%description harvmac-doc
Documentation for harvmac

%package historische-zeitschrift
Provides: tex-historische-zeitschrift = %{tl_version}
License: LPPL
Summary: Biblatex style for the journal 'Historische Zeitschrift'
Version: svn42635
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(historische-zeitschrift.bbx) = %{tl_version}
Provides: tex(historische-zeitschrift.cbx) = %{tl_version}

%description historische-zeitschrift
The package provides citations according with the house style
of the 'Historische Zeitschrift', a German historical journal.
The scheme is a fullcite for the first citation and 'Author,
Shorttitle (as note N, P)' for later citations (P being the
page number). For further details, see the description of the
house style at the journal's site. The package depends on
biblatex (version 0.8 or higher) as well as etoolbox (version
1.5 or higher).

%package historische-zeitschrift-doc
Summary: Documentation for historische-zeitschrift
Version: svn42635
Provides: tex-historische-zeitschrift-doc
AutoReqProv: No

%description historische-zeitschrift-doc
Documentation for historische-zeitschrift

%package ijqc
Provides: tex-ijqc = %{tl_version}
License: LPPL
Summary: BibTeX style file for the Intl. J. Quantum Chem
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description ijqc
ijqc.bst is a BibTeX style file to support publication in
Wiley's International Journal of Quantum Chemistry. It is not
in any way officially endorsed by the publisher or editors, and
is provided without any warranty one could ever think of.

%package ijqc-doc
Summary: Documentation for ijqc
Version: svn15878.1.2

Provides: tex-ijqc-doc
AutoReqProv: No

%description ijqc-doc
Documentation for ijqc

%package inlinebib
Provides: tex-inlinebib = %{tl_version}
License: LPPL
Summary: Citations in footnotes
Version: svn22018.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(inlinebib.sty) = %{tl_version}
Provides: tex(pageranges.sty) = %{tl_version}

%description inlinebib
A BibTeX style and a LaTeX package that allow for a full
bibliography at the end of the document as well as citation
details in footnotes. The footnote details include "op. cit."
and "ibid." contractions.

%package inlinebib-doc
Summary: Documentation for inlinebib
Version: svn22018.0

Provides: tex-inlinebib-doc
AutoReqProv: No

%description inlinebib-doc
Documentation for inlinebib

%package iopart-num
Provides: tex-iopart-num = %{tl_version}
License: LPPL
Summary: Numeric citation style for IOP journals
Version: svn15878.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description iopart-num
A BibTeX style providing numeric citation in Harvard-like
format. Intended for use with Institute of Physics (IOP)
journals, including Journal of Physics.

%package iopart-num-doc
Summary: Documentation for iopart-num
Version: svn15878.2.1

Provides: tex-iopart-num-doc
AutoReqProv: No

%description iopart-num-doc
Documentation for iopart-num

%package jneurosci
Provides: tex-jneurosci = %{tl_version}
License: LPPL
Summary: BibTeX style for the Journal of Neuroscience
Version: svn17346.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(jneurosci.sty) = %{tl_version}

%description jneurosci
This is a slightly modified version of the namedplus style,
which fully conforms with the Journal of Neuroscience citation
style. It should be characterised as an author-date citation
style; a BibTeX style and a LaTeX package are provided.

%package jneurosci-doc
Summary: Documentation for jneurosci
Version: svn17346.1.00

Provides: tex-jneurosci-doc
AutoReqProv: No

%description jneurosci-doc
Documentation for jneurosci

%package jurabib
Provides: tex-jurabib = %{tl_version}
License: GPL+
Summary: Extended BibTeX citation support for the humanities and legal texts
Version: svn15878.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Requires: tex(url.sty)
Requires: tex(array.sty)
Provides: tex(dajbbib.ldf) = %{tl_version}
Provides: tex(dejbbib.ldf) = %{tl_version}
Provides: tex(dujbbib.ldf) = %{tl_version}
Provides: tex(enjbbib.ldf) = %{tl_version}
Provides: tex(fijbbib.ldf) = %{tl_version}
Provides: tex(frjbbib.ldf) = %{tl_version}
Provides: tex(itjbbib.ldf) = %{tl_version}
Provides: tex(jblong.cfg) = %{tl_version}
Provides: tex(jurabib.cfg) = %{tl_version}
Provides: tex(jurabib.sty) = %{tl_version}
Provides: tex(nojbbib.ldf) = %{tl_version}
Provides: tex(ptjbbib.ldf) = %{tl_version}
Provides: tex(spjbbib.ldf) = %{tl_version}

%description jurabib
This package enables automated citation with BibTeX for legal
studies and the humanities. In addition, the package provides
commands for specifying editors in a commentary in a convenient
way. Simplified formatting of the citation as well as the
bibliography entry is also provided. It is possible to display
the (short) title of a work only if an authors is cited with
multiple works. Giving a full citation in the text, conforming
to the bibliography entry, is supported. Several options are
provided which might be of special interest for those outside
legal studies--for instance, displaying multiple full
citations. In addition, the format of last names and first
names of authors may be changed easily. Cross references to
other footnotes are possible. Language dependent handling of
bibliography entries is possible by the special language field.

%package jurabib-doc
Summary: Documentation for jurabib
Version: svn15878.0.6

Provides: tex-jurabib-doc
AutoReqProv: No

%description jurabib-doc
Documentation for jurabib

%package ksfh_nat
Provides: tex-ksfh_nat = %{tl_version}
License: LPPL 1.3
Summary: BibTeX style for KSFH Munich
Version: svn24825.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description ksfh_nat
The package supports bibliographies as standard for KSFH
(Katholische Stiftungsfachhochschule) Munich. BibTeX entries in
article, book, inbook, incollection and misc formats are
supported.

%package logreq
Provides: tex-logreq = %{tl_version}
License: LPPL 1.3
Summary: Support for automation of the LaTeX workflow
Version: svn19640.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(keyval.sty)
Provides: tex(logreq.def) = %{tl_version}
Provides: tex(logreq.sty) = %{tl_version}

%description logreq
The package helps to automate a typical LaTeX workflow that
involves running LaTeX several times, running tools such as
BibTeX or makeindex, and so on. It will log requests like
"please rerun LaTeX" or "please run BibTeX on file X" to an
external XML file which lists all open tasks in a machine-
readable format. Compiler scripts and integrated LaTeX editing
environments may parse this file to determine the next steps in
the workflow in a way that is more efficient than parsing the
main log file. In sum, the package will do two things: enable
package authors to use LaTeX commands to issue requests,
collect all requests from all packages and write them to an
external XML file at the end of the document.

%package logreq-doc
Summary: Documentation for logreq
Version: svn19640.1.0

Provides: tex-logreq-doc
AutoReqProv: No

%description logreq-doc
Documentation for logreq

%package margbib
Provides: tex-margbib = %{tl_version}
License: GPL+
Summary: Display bibitem tags in the margins
Version: svn15878.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(margbib.sty) = %{tl_version}

%description margbib
The package redefines the 'thebibliography' environment to
place the citation key into the margin.

%package margbib-doc
Summary: Documentation for margbib
Version: svn15878.1.0c

Provides: tex-margbib-doc
AutoReqProv: No

%description margbib-doc
Documentation for margbib

%package multibib
Provides: tex-multibib = %{tl_version}
License: LPPL
Summary: Multiple bibliographies within one document
Version: svn15878.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(multibib.sty) = %{tl_version}

%description multibib
The package the creation of references to multiple
bibliographies within one document. It thus provides
complementary functionality to packages like bibunits and
chapterbib, which allow the creation of one bibliography for
multiple, but different parts of the document. Multibib is
compatible with inlinebib, natbib, and koma-script.

%package multibib-doc
Summary: Documentation for multibib
Version: svn15878.1.4

Provides: tex-multibib-doc
AutoReqProv: No

%description multibib-doc
Documentation for multibib

%package munich
Provides: tex-munich = %{tl_version}
License: LPPL
Summary: An alternative authordate bibliography style
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description munich
The Munich BibTeX style is produced with custom-bib, as a
German (and, more generally, Continental European) alternative
to such author-date styles as harvard and oxford.

%package munich-doc
Summary: Documentation for munich
Version: svn15878.0

Provides: tex-munich-doc
AutoReqProv: No

%description munich-doc
Documentation for munich

%package nar
Provides: tex-nar = %{tl_version}
License: Bibtex
Summary: BibTeX style for Nucleic Acid Research
Version: svn38100.3.19

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description nar
This BibTeX bibliography style is for the journal Nucleic Acid
Research. It was adapted from the standard unsrt.bst style
file.

%package nmbib
Provides: tex-nmbib = %{tl_version}
License: LPPL 1.3
Summary: Multiple versions of a bibliography, with different sort orders
Version: svn37984.1.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(natbib.sty)
Provides: tex(nmbib.sty) = %{tl_version}

%description nmbib
This package is a rewrite of the multibibliography package
providing multiple bibliographies with different sorting. The
new version offers a number of citation commands, streamlines
the creation of bibliographies, ensures compatibility with the
natbib package, and provides other improvements.

%package nmbib-doc
Summary: Documentation for nmbib
Version: svn37984.1.04

Provides: tex-nmbib-doc
AutoReqProv: No

%description nmbib-doc
Documentation for nmbib

%package notes2bib
Provides: tex-notes2bib = %{tl_version}
License: LPPL
Summary: Integrating notes into the bibliography
Version: svn31162.2.0k

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Provides: tex(notes2bib.sty) = %{tl_version}

%description notes2bib
The package defines a new type of note, bibnote, which will
always be added to the bibliography. The package allows
footnotes and endnotes to be moved into the bibliography in the
same way. The package can be used with natbib and biblatex as
well as plain LaTeX citations. Both sorted and unsorted
bibliography styles are supported. The package uses the LaTeX 3
macros and the associated xpackages bundle. It also makes use
of the e-TeX extensions (any post-2005 LaTeX distribution will
provide these by default, but users of older systems may need
to use an elatex command or equivalent). The package relies on
LaTeX 3 support from the l3kernel and l3packages bundles.

%package notes2bib-doc
Summary: Documentation for notes2bib
Version: svn31162.2.0k

Provides: tex-notes2bib-doc
AutoReqProv: No

%description notes2bib-doc
Documentation for notes2bib

%package oscola
Provides: tex-oscola = %{tl_version}
License: LPPL 1.3
Summary: BibLaTeX style for the Oxford Standard for the Citation of Legal Authorities
Version: svn43599
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(authortitle.bbx)
Requires: tex(verbose-inote.cbx)
Provides: tex(oscola.bbx) = %{tl_version}
Provides: tex(oscola.cbx) = %{tl_version}

%description oscola
The package provides a set of style files for use with Biblatex
(v 2+) and Biber (v 1+) to produce citations and bibliographies
in accordance with the widely-used Oxford Standard for the
Citation of Legal Authorities. It also includes facilities for
constructing tables of cases and legislation from citations (in
conjunction with appropriate indexing packages).

%package oscola-doc
Summary: Documentation for oscola
Version: svn43599
Provides: tex-oscola-doc
AutoReqProv: No

%description oscola-doc
Documentation for oscola

%package perception
Provides: tex-perception = %{tl_version}
License: LPPL
Summary: BibTeX style for the journal Perception
Version: svn42683
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description perception
A product of custom-bib, provided simply to save others' time.

%package perception-doc
Summary: Documentation for perception
Version: svn42683
Provides: tex-perception-doc
AutoReqProv: No

%description perception-doc
Documentation for perception

%package pnas2009
Provides: tex-pnas2009 = %{tl_version}
License: Bibtex
Summary: Bibtex style for PNAS
Version: svn16287.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description pnas2009
This style produces bibliographies in the format of
"Proceedings of the National Academy of Sciences, USA". The
style was derived from the standard unsrt.bst and adapted to
the new (2009) formatting rules.

%package rsc
Provides: tex-rsc = %{tl_version}
License: GPL+
Summary: BibTeX style for use with RSC journals
Version: svn41923
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(natbib.sty)
Requires: tex(natmove.sty)
Requires: tex(mciteplus.sty)
Provides: tex(rsc.sty) = %{tl_version}

%description rsc
The rsc package provides a BibTeX style in accordance with the
requirements of the Royal Society of Chemistry. It was
originally based on the file pccp.bst, but also implements a
number of styles from the achemso package. The package is now a
stub for the chemstyle package, which the author developed to
unify the writing of articles with a chemistry content.

%package rsc-doc
Summary: Documentation for rsc
Version: svn41923
Provides: tex-rsc-doc
AutoReqProv: No

%description rsc-doc
Documentation for rsc

%package showtags
Provides: tex-showtags = %{tl_version}
License: Public Domain
Summary: Print the tags of bibliography entries
Version: svn20336.1.05

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(showtags.sty) = %{tl_version}

%description showtags
Prints the tag right-aligned on each line of the bibliography.

%package showtags-doc
Summary: Documentation for showtags
Version: svn20336.1.05

Provides: tex-showtags-doc
AutoReqProv: No

%description showtags-doc
Documentation for showtags

%package sort-by-letters
Provides: tex-sort-by-letters = %{tl_version}
License: Bibtex
Summary: Bibliography styles for alphabetic sorting
Version: svn27128.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description sort-by-letters
This bundle contains several bibliography styles for separating
a document's references by the first letter of the first
author/editor in the bibliography entry. The styles are adapted
from standard ones or from natbib ones.

%package sort-by-letters-doc
Summary: Documentation for sort-by-letters
Version: svn27128.0

Provides: tex-sort-by-letters-doc
AutoReqProv: No

%description sort-by-letters-doc
Documentation for sort-by-letters

%package splitbib
Provides: tex-splitbib = %{tl_version}
License: LPPL
Summary: Split and reorder your bibliography
Version: svn15878.1.17

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(splitbib.sty) = %{tl_version}

%description splitbib
This package enables you to split a bibliography into several
categories and subcategories. It does not depend on BibTeX: any
bibliography may be split and reordered.

%package splitbib-doc
Summary: Documentation for splitbib
Version: svn15878.1.17

Provides: tex-splitbib-doc
AutoReqProv: No

%description splitbib-doc
Documentation for splitbib

%package turabian-formatting
Provides: tex-turabian-formatting = %{tl_version}
License: LPPL 1.3
Summary: Formatting based on Turabian's Manual
Version: svn43537
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(setspace.sty)
Requires: tex(xifthen.sty)
Requires: tex(etoolbox.sty)
Requires: tex(geometry.sty)
Requires: tex(nowidow.sty)
Requires: tex(url.sty)
Requires: tex(footmisc.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(titlesec.sty)
Requires: tex(quoting.sty)
Requires: tex(flafter.sty)
Requires: tex(caption.sty)
Requires: tex(endnotes.sty)
Provides: tex(turabian-formatting.sty) = %{tl_version}
Provides: tex(turabian-researchpaper.cls) = %{tl_version}
Provides: tex(turabian-thesis.cls) = %{tl_version}

%description turabian-formatting
The turabian-formatting package provides Chicago-style
formatting based on Kate L. Turabian's "A Manual for Writers of
Research Papers, Theses, and Dissertations: Chicago Style for
Students and Researchers" (8th edition).

%package turabian-formatting-doc
Summary: Documentation for turabian-formatting
Version: svn43537
Provides: tex-turabian-formatting-doc
AutoReqProv: No

%description turabian-formatting-doc
Documentation for turabian-formatting

%package uni-wtal-ger
Provides: tex-uni-wtal-ger = %{tl_version}
License: LPPL 1.3
Summary: Citation style for literary studies at the University of Wuppertal
Version: svn31541.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(authortitle-dw.bbx)
Requires: tex(authortitle-dw.cbx)
Provides: tex(uni-wtal-ger.bbx) = %{tl_version}
Provides: tex(uni-wtal-ger.cbx) = %{tl_version}

%description uni-wtal-ger
The package defines a biblatex citation style based on the
author-title style of biblatex-dw. The citations are optimised
for literary studies in faculty of humanities at the Bergische
Universitat Wuppertal.

%package uni-wtal-ger-doc
Summary: Documentation for uni-wtal-ger
Version: svn31541.0.2

Provides: tex-uni-wtal-ger-doc
AutoReqProv: No

%description uni-wtal-ger-doc
Documentation for uni-wtal-ger

%package uni-wtal-lin
Provides: tex-uni-wtal-lin = %{tl_version}
License: LPPL 1.3
Summary: Citation style for linguistic studies at the University of Wuppertal
Version: svn31409.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(authoryear.bbx)
Requires: tex(authoryear.cbx)
Provides: tex(uni-wtal-lin.bbx) = %{tl_version}
Provides: tex(uni-wtal-lin.cbx) = %{tl_version}

%description uni-wtal-lin
The package defines a biblatex citation style based on the
standard author-year style. The citations are optimised for
linguistic studies at the Institute of Linguistics at the
Bergische Universitat Wuppertal.

%package uni-wtal-lin-doc
Summary: Documentation for uni-wtal-lin
Version: svn31409.0.2

Provides: tex-uni-wtal-lin-doc
AutoReqProv: No

%description uni-wtal-lin-doc
Documentation for uni-wtal-lin

%package usebib
Provides: tex-usebib = %{tl_version}
License: LPPL 1.3
Summary: A simple bibliography processor
Version: svn25969.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(url.sty)
Requires: tex(keyval.sty)
Provides: tex(usebib.sty) = %{tl_version}

%description usebib
The package is described by its author as "a poor person's
replacement for the more powerful methods provided by biblatex
to access data from a .bib file". Its principle commands are
\bibinput (which specifies a database to use) and \usebibdata
(which typesets a single field from a specified entry in that
database.

%package usebib-doc
Summary: Documentation for usebib
Version: svn25969.1.0a

Provides: tex-usebib-doc
AutoReqProv: No

%description usebib-doc
Documentation for usebib

%package vak
Provides: tex-vak = %{tl_version}
License: LPPL
Summary: BibTeX style for Russian Theses, books, etc
Version: svn23431.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description vak
The file can be used to format the bibliographies of PhD
theses, books etc., according to the latest Russian standards:
GOST 7.82 - 2001 and GOST 7.1 - 2003. It introduces the minimum
number of new entries and styles to cover all frequently used
situations. The style file provides an easy way to perform a
semiautomatic, or a completely manual sort of the list of the
references. Processing bibliographies produced by the style
requires a 8-bit BibTeX system.

%package vak-doc
Summary: Documentation for vak
Version: svn23431.0

Provides: tex-vak-doc
AutoReqProv: No

%description vak-doc
Documentation for vak

%package xcite
Provides: tex-xcite = %{tl_version}
License: LPPL 1.3
Summary: Use citation keys from a different document
Version: svn23783.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xcite.sty) = %{tl_version}

%description xcite
The package lets you use citation keys from another document,
just as the xr package allows cross-document use of labels.

%package xcite-doc
Summary: Documentation for xcite
Version: svn23783.1.0

Provides: tex-xcite-doc
AutoReqProv: No

%description xcite-doc
Documentation for xcite

%package collection-binextra
Summary: TeX auxiliary programs
Version: svn45125
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-a2ping
Requires: texlive-adhocfilelist
Requires: texlive-arara
Requires: asymptote
Requires: texlive-bibtex8
Requires: texlive-bibtexu
Requires: texlive-bundledoc
Requires: texlive-checklistings
Requires: texlive-chktex
Requires: texlive-ctan_chk-doc
Requires: texlive-ctanify
Requires: texlive-ctanupload
Requires: texlive-ctie
Requires: texlive-cweb
Requires: texlive-de-macro
Requires: texlive-detex
Requires: texlive-dtl
Requires: texlive-dtxgen
Requires: texlive-dvi2tty
Requires: texlive-dviasm
Requires: texlive-dvicopy
Requires: texlive-dvidvi
Requires: texlive-dviinfox
Requires: texlive-dviljk
Requires: texlive-dvipng
Requires: texlive-dvipos
Requires: texlive-dvisvgm
Requires: texlive-findhyph
Requires: texlive-fragmaster
Requires: texlive-hook-pre-commit-pkg-doc
Requires: texlive-hyphenex
Requires: texlive-installfont
Requires: texlive-lacheck
Requires: texlive-latex-git-log
Requires: texlive-latex-papersize
Requires: texlive-latex2man
Requires: texlive-latex2nemeth
Requires: texlive-latexdiff
Requires: texlive-latexfileversion
Requires: latexmk
Requires: texlive-latexpand
Requires: texlive-latexindent
Requires: texlive-ltxfileinfo
Requires: texlive-ltximg
Requires: texlive-listings-ext
Requires: texlive-make4ht
Requires: texlive-match_parens
Requires: texlive-mflua
Requires: texlive-mkjobtexmf
Requires: texlive-patgen
Requires: texlive-pdfbook2
Requires: texlive-pdfcrop
Requires: texlive-pdfjam
Requires: texlive-pdflatexpicscale
Requires: texlive-pdftools
Requires: texlive-pdfxup
Requires: texlive-pfarrei
Requires: texlive-pkfix
Requires: texlive-pkfix-helper
Requires: texlive-purifyeps
Requires: texlive-pythontex
Requires: texlive-seetexk
Requires: texlive-srcredact
Requires: texlive-sty2dtx
Requires: texlive-synctex
Requires: texlive-tex4ebook
Requires: texlive-texcount
Requires: texlive-texdef
Requires: texlive-texdiff
Requires: texlive-texdirflatten
Requires: texlive-texdoc
Requires: texlive-texfot
Requires: texlive-texliveonfly
Requires: texlive-texloganalyser
Requires: texlive-texosquery
Requires: texlive-texware
Requires: texlive-tie
# Requires: texlive-tlcockpit
# Requires: texlive-tlshell
Requires: texlive-tpic2pdftex
Requires: texlive-typeoutfileinfo
Requires: texlive-web
Requires: texlive-xindy
Obsoletes: texlive-utils < %{tl_version}
Requires: dvipng

%description collection-binextra
Various useful, but non-essential, support programs. Includes
programs and macros for DVI file manipulation, literate
programming, patgen, and the TeX Works Editor.

%package ctan_chk-doc
Summary: Documentation for ctan_chk
Version: svn36304.1.0

Provides: tex-ctan_chk-doc
AutoReqProv: No

%description ctan_chk-doc
Documentation for ctan_chk

%package hook-pre-commit-pkg-doc
Summary: Documentation for hook-pre-commit-pkg
Version: svn41378

Provides: tex-hook-pre-commit-pkg-doc
AutoReqProv: No

%description hook-pre-commit-pkg-doc
Documentation for hook-pre-commit-pkg

%package hyphenex
Provides: tex-hyphenex = %{tl_version}
License: Public Domain
Summary: US English hyphenation exceptions file
Version: svn37354.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ushyphex.tex) = %{tl_version}

%description hyphenex
Exceptions for American English hyphenation patterns are
occasionally published in the TeX User Group journal TUGboat.
This bundle provides alternative Perl and Bourne shell scripts
to convert the source of such an article into an exceptions
file, together with a recent copy of the article and machine-
readable files.

%package collection-context
Summary: ConTeXt and packages
Version: svn42330
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-context
Requires: texlive-jmn
Requires: texlive-context-account
Requires: texlive-context-algorithmic
Requires: texlive-context-animation
Requires: texlive-context-annotation
Requires: texlive-context-bnf
Requires: texlive-context-chromato
Requires: texlive-context-cmscbf
Requires: texlive-context-cmttbf
Requires: texlive-context-construction-plan
Requires: texlive-context-cyrillicnumbers
Requires: texlive-context-degrade
Requires: texlive-context-fancybreak
Requires: texlive-context-filter
Requires: texlive-context-french
Requires: texlive-context-fullpage
Requires: texlive-context-gantt
Requires: texlive-context-gnuplot
Requires: texlive-context-inifile
Requires: texlive-context-layout
Requires: texlive-context-letter
Requires: texlive-context-lettrine
Requires: texlive-context-mathsets
Requires: texlive-context-notes-zh-cn
Requires: texlive-context-rst
Requires: texlive-context-ruby
Requires: texlive-context-simplefonts
Requires: texlive-context-simpleslides
Requires: texlive-context-title
Requires: texlive-context-transliterator
Requires: texlive-context-typearea
Requires: texlive-context-typescripts
Requires: texlive-context-vim
Requires: texlive-context-visualcounter

%description collection-context
Hans Hagen's powerful ConTeXt system, http://pragma-ade.com.
Also includes third-party ConTeXt packages.

%package xetexconfig
Provides: tex-xetexconfig = %{tl_version}
License: LPPL
Summary: Configuration files for XeTeX
Version: svn41133

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(crop.cfg) = %{tl_version}

%description xetexconfig
special crop.cfg for XeTeX

%package lm
Provides: tex-lm = %{tl_version}
License: GFSL
Summary: Latin modern fonts in outline formats
Version: svn28119.2.004

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(lm-cs.enc) = %{tl_version}
Provides: tex(lm-cssc.enc) = %{tl_version}
Provides: tex(lm-cstt.enc) = %{tl_version}
Provides: tex(lm-ec.enc) = %{tl_version}
Provides: tex(lm-l7x.enc) = %{tl_version}
Provides: tex(lm-mathex.enc) = %{tl_version}
Provides: tex(lm-mathit.enc) = %{tl_version}
Provides: tex(lm-mathsy.enc) = %{tl_version}
Provides: tex(lm-qx.enc) = %{tl_version}
Provides: tex(lm-qxsc.enc) = %{tl_version}
Provides: tex(lm-qxtt.enc) = %{tl_version}
Provides: tex(lm-rep-cmin.enc) = %{tl_version}
Provides: tex(lm-rep-cmit.enc) = %{tl_version}
Provides: tex(lm-rep-cmitt.enc) = %{tl_version}
Provides: tex(lm-rep-cmrm.enc) = %{tl_version}
Provides: tex(lm-rep-cmsc.enc) = %{tl_version}
Provides: tex(lm-rep-cmtt.enc) = %{tl_version}
Provides: tex(lm-rep-csin.enc) = %{tl_version}
Provides: tex(lm-rep-csrm.enc) = %{tl_version}
Provides: tex(lm-rep-cssc.enc) = %{tl_version}
Provides: tex(lm-rep-cstt.enc) = %{tl_version}
Provides: tex(lm-rep-plin.enc) = %{tl_version}
Provides: tex(lm-rep-plit.enc) = %{tl_version}
Provides: tex(lm-rep-plitt.enc) = %{tl_version}
Provides: tex(lm-rep-plrm.enc) = %{tl_version}
Provides: tex(lm-rep-plsc.enc) = %{tl_version}
Provides: tex(lm-rep-pltt.enc) = %{tl_version}
Provides: tex(lm-rep-t5psn.enc) = %{tl_version}
Provides: tex(lm-rm.enc) = %{tl_version}
Provides: tex(lm-rmsc.enc) = %{tl_version}
Provides: tex(lm-rmtt.enc) = %{tl_version}
Provides: tex(lm-t5.enc) = %{tl_version}
Provides: tex(lm-texnansi.enc) = %{tl_version}
Provides: tex(lm-ts1.enc) = %{tl_version}
Provides: tex(lm-ec.map) = %{tl_version}
Provides: tex(lm-math.map) = %{tl_version}
Provides: tex(lm-rm.map) = %{tl_version}
Provides: tex(lm-texnansi.map) = %{tl_version}
Provides: tex(lm-cs.map) = %{tl_version}
Provides: tex(lm-ec.map) = %{tl_version}
Provides: tex(lm-l7x.map) = %{tl_version}
Provides: tex(lm-math.map) = %{tl_version}
Provides: tex(lm-qx.map) = %{tl_version}
Provides: tex(lm-rep-cmother.map) = %{tl_version}
Provides: tex(lm-rep-cmtext-interpolated.map) = %{tl_version}
Provides: tex(lm-rep-cmtext.map) = %{tl_version}
Provides: tex(lm-rep-cstext.map) = %{tl_version}
Provides: tex(lm-rep-pltext.map) = %{tl_version}
Provides: tex(lm-rep-vntext.map) = %{tl_version}
Provides: tex(lm-rm.map) = %{tl_version}
Provides: tex(lm-t5.map) = %{tl_version}
Provides: tex(lm-texnansi.map) = %{tl_version}
Provides: tex(lm-ts1.map) = %{tl_version}
Provides: tex(lm.map) = %{tl_version}
Provides: tex(lmmono10-italic.otf) = %{tl_version}
Provides: tex(lmmono10-regular.otf) = %{tl_version}
Provides: tex(lmmono12-regular.otf) = %{tl_version}
Provides: tex(lmmono8-regular.otf) = %{tl_version}
Provides: tex(lmmono9-regular.otf) = %{tl_version}
Provides: tex(lmmonocaps10-oblique.otf) = %{tl_version}
Provides: tex(lmmonocaps10-regular.otf) = %{tl_version}
Provides: tex(lmmonolt10-bold.otf) = %{tl_version}
Provides: tex(lmmonolt10-boldoblique.otf) = %{tl_version}
Provides: tex(lmmonolt10-oblique.otf) = %{tl_version}
Provides: tex(lmmonolt10-regular.otf) = %{tl_version}
Provides: tex(lmmonoltcond10-oblique.otf) = %{tl_version}
Provides: tex(lmmonoltcond10-regular.otf) = %{tl_version}
Provides: tex(lmmonoprop10-oblique.otf) = %{tl_version}
Provides: tex(lmmonoprop10-regular.otf) = %{tl_version}
Provides: tex(lmmonoproplt10-bold.otf) = %{tl_version}
Provides: tex(lmmonoproplt10-boldoblique.otf) = %{tl_version}
Provides: tex(lmmonoproplt10-oblique.otf) = %{tl_version}
Provides: tex(lmmonoproplt10-regular.otf) = %{tl_version}
Provides: tex(lmmonoslant10-regular.otf) = %{tl_version}
Provides: tex(lmroman10-bold.otf) = %{tl_version}
Provides: tex(lmroman10-bolditalic.otf) = %{tl_version}
Provides: tex(lmroman10-italic.otf) = %{tl_version}
Provides: tex(lmroman10-regular.otf) = %{tl_version}
Provides: tex(lmroman12-bold.otf) = %{tl_version}
Provides: tex(lmroman12-italic.otf) = %{tl_version}
Provides: tex(lmroman12-regular.otf) = %{tl_version}
Provides: tex(lmroman17-regular.otf) = %{tl_version}
Provides: tex(lmroman5-bold.otf) = %{tl_version}
Provides: tex(lmroman5-regular.otf) = %{tl_version}
Provides: tex(lmroman6-bold.otf) = %{tl_version}
Provides: tex(lmroman6-regular.otf) = %{tl_version}
Provides: tex(lmroman7-bold.otf) = %{tl_version}
Provides: tex(lmroman7-italic.otf) = %{tl_version}
Provides: tex(lmroman7-regular.otf) = %{tl_version}
Provides: tex(lmroman8-bold.otf) = %{tl_version}
Provides: tex(lmroman8-italic.otf) = %{tl_version}
Provides: tex(lmroman8-regular.otf) = %{tl_version}
Provides: tex(lmroman9-bold.otf) = %{tl_version}
Provides: tex(lmroman9-italic.otf) = %{tl_version}
Provides: tex(lmroman9-regular.otf) = %{tl_version}
Provides: tex(lmromancaps10-oblique.otf) = %{tl_version}
Provides: tex(lmromancaps10-regular.otf) = %{tl_version}
Provides: tex(lmromandemi10-oblique.otf) = %{tl_version}
Provides: tex(lmromandemi10-regular.otf) = %{tl_version}
Provides: tex(lmromandunh10-oblique.otf) = %{tl_version}
Provides: tex(lmromandunh10-regular.otf) = %{tl_version}
Provides: tex(lmromanslant10-bold.otf) = %{tl_version}
Provides: tex(lmromanslant10-regular.otf) = %{tl_version}
Provides: tex(lmromanslant12-regular.otf) = %{tl_version}
Provides: tex(lmromanslant17-regular.otf) = %{tl_version}
Provides: tex(lmromanslant8-regular.otf) = %{tl_version}
Provides: tex(lmromanslant9-regular.otf) = %{tl_version}
Provides: tex(lmromanunsl10-regular.otf) = %{tl_version}
Provides: tex(lmsans10-bold.otf) = %{tl_version}
Provides: tex(lmsans10-boldoblique.otf) = %{tl_version}
Provides: tex(lmsans10-oblique.otf) = %{tl_version}
Provides: tex(lmsans10-regular.otf) = %{tl_version}
Provides: tex(lmsans12-oblique.otf) = %{tl_version}
Provides: tex(lmsans12-regular.otf) = %{tl_version}
Provides: tex(lmsans17-oblique.otf) = %{tl_version}
Provides: tex(lmsans17-regular.otf) = %{tl_version}
Provides: tex(lmsans8-oblique.otf) = %{tl_version}
Provides: tex(lmsans8-regular.otf) = %{tl_version}
Provides: tex(lmsans9-oblique.otf) = %{tl_version}
Provides: tex(lmsans9-regular.otf) = %{tl_version}
Provides: tex(lmsansdemicond10-oblique.otf) = %{tl_version}
Provides: tex(lmsansdemicond10-regular.otf) = %{tl_version}
Provides: tex(lmsansquot8-bold.otf) = %{tl_version}
Provides: tex(lmsansquot8-boldoblique.otf) = %{tl_version}
Provides: tex(lmsansquot8-oblique.otf) = %{tl_version}
Provides: tex(lmsansquot8-regular.otf) = %{tl_version}
Provides: tex(cs-lmb10.tfm) = %{tl_version}
Provides: tex(cs-lmbo10.tfm) = %{tl_version}
Provides: tex(cs-lmbx10.tfm) = %{tl_version}
Provides: tex(cs-lmbx12.tfm) = %{tl_version}
Provides: tex(cs-lmbx5.tfm) = %{tl_version}
Provides: tex(cs-lmbx6.tfm) = %{tl_version}
Provides: tex(cs-lmbx7.tfm) = %{tl_version}
Provides: tex(cs-lmbx8.tfm) = %{tl_version}
Provides: tex(cs-lmbx9.tfm) = %{tl_version}
Provides: tex(cs-lmbxi10.tfm) = %{tl_version}
Provides: tex(cs-lmbxo10.tfm) = %{tl_version}
Provides: tex(cs-lmcsc10.tfm) = %{tl_version}
Provides: tex(cs-lmcsco10.tfm) = %{tl_version}
Provides: tex(cs-lmdunh10.tfm) = %{tl_version}
Provides: tex(cs-lmduno10.tfm) = %{tl_version}
Provides: tex(cs-lmr10.tfm) = %{tl_version}
Provides: tex(cs-lmr12.tfm) = %{tl_version}
Provides: tex(cs-lmr17.tfm) = %{tl_version}
Provides: tex(cs-lmr5.tfm) = %{tl_version}
Provides: tex(cs-lmr6.tfm) = %{tl_version}
Provides: tex(cs-lmr7.tfm) = %{tl_version}
Provides: tex(cs-lmr8.tfm) = %{tl_version}
Provides: tex(cs-lmr9.tfm) = %{tl_version}
Provides: tex(cs-lmri10.tfm) = %{tl_version}
Provides: tex(cs-lmri12.tfm) = %{tl_version}
Provides: tex(cs-lmri7.tfm) = %{tl_version}
Provides: tex(cs-lmri8.tfm) = %{tl_version}
Provides: tex(cs-lmri9.tfm) = %{tl_version}
Provides: tex(cs-lmro10.tfm) = %{tl_version}
Provides: tex(cs-lmro12.tfm) = %{tl_version}
Provides: tex(cs-lmro17.tfm) = %{tl_version}
Provides: tex(cs-lmro8.tfm) = %{tl_version}
Provides: tex(cs-lmro9.tfm) = %{tl_version}
Provides: tex(cs-lmss10.tfm) = %{tl_version}
Provides: tex(cs-lmss12.tfm) = %{tl_version}
Provides: tex(cs-lmss17.tfm) = %{tl_version}
Provides: tex(cs-lmss8.tfm) = %{tl_version}
Provides: tex(cs-lmss9.tfm) = %{tl_version}
Provides: tex(cs-lmssbo10.tfm) = %{tl_version}
Provides: tex(cs-lmssbx10.tfm) = %{tl_version}
Provides: tex(cs-lmssdc10.tfm) = %{tl_version}
Provides: tex(cs-lmssdo10.tfm) = %{tl_version}
Provides: tex(cs-lmsso10.tfm) = %{tl_version}
Provides: tex(cs-lmsso12.tfm) = %{tl_version}
Provides: tex(cs-lmsso17.tfm) = %{tl_version}
Provides: tex(cs-lmsso8.tfm) = %{tl_version}
Provides: tex(cs-lmsso9.tfm) = %{tl_version}
Provides: tex(cs-lmssq8.tfm) = %{tl_version}
Provides: tex(cs-lmssqbo8.tfm) = %{tl_version}
Provides: tex(cs-lmssqbx8.tfm) = %{tl_version}
Provides: tex(cs-lmssqo8.tfm) = %{tl_version}
Provides: tex(cs-lmtcsc10.tfm) = %{tl_version}
Provides: tex(cs-lmtcso10.tfm) = %{tl_version}
Provides: tex(cs-lmtk10.tfm) = %{tl_version}
Provides: tex(cs-lmtko10.tfm) = %{tl_version}
Provides: tex(cs-lmtl10.tfm) = %{tl_version}
Provides: tex(cs-lmtlc10.tfm) = %{tl_version}
Provides: tex(cs-lmtlco10.tfm) = %{tl_version}
Provides: tex(cs-lmtlo10.tfm) = %{tl_version}
Provides: tex(cs-lmtt10.tfm) = %{tl_version}
Provides: tex(cs-lmtt12.tfm) = %{tl_version}
Provides: tex(cs-lmtt8.tfm) = %{tl_version}
Provides: tex(cs-lmtt9.tfm) = %{tl_version}
Provides: tex(cs-lmtti10.tfm) = %{tl_version}
Provides: tex(cs-lmtto10.tfm) = %{tl_version}
Provides: tex(cs-lmu10.tfm) = %{tl_version}
Provides: tex(cs-lmvtk10.tfm) = %{tl_version}
Provides: tex(cs-lmvtko10.tfm) = %{tl_version}
Provides: tex(cs-lmvtl10.tfm) = %{tl_version}
Provides: tex(cs-lmvtlo10.tfm) = %{tl_version}
Provides: tex(cs-lmvtt10.tfm) = %{tl_version}
Provides: tex(cs-lmvtto10.tfm) = %{tl_version}
Provides: tex(ec-lmb10.tfm) = %{tl_version}
Provides: tex(ec-lmbo10.tfm) = %{tl_version}
Provides: tex(ec-lmbx10.tfm) = %{tl_version}
Provides: tex(ec-lmbx12.tfm) = %{tl_version}
Provides: tex(ec-lmbx5.tfm) = %{tl_version}
Provides: tex(ec-lmbx6.tfm) = %{tl_version}
Provides: tex(ec-lmbx7.tfm) = %{tl_version}
Provides: tex(ec-lmbx8.tfm) = %{tl_version}
Provides: tex(ec-lmbx9.tfm) = %{tl_version}
Provides: tex(ec-lmbxi10.tfm) = %{tl_version}
Provides: tex(ec-lmbxo10.tfm) = %{tl_version}
Provides: tex(ec-lmcsc10.tfm) = %{tl_version}
Provides: tex(ec-lmcsco10.tfm) = %{tl_version}
Provides: tex(ec-lmdunh10.tfm) = %{tl_version}
Provides: tex(ec-lmduno10.tfm) = %{tl_version}
Provides: tex(ec-lmr10.tfm) = %{tl_version}
Provides: tex(ec-lmr12.tfm) = %{tl_version}
Provides: tex(ec-lmr17.tfm) = %{tl_version}
Provides: tex(ec-lmr5.tfm) = %{tl_version}
Provides: tex(ec-lmr6.tfm) = %{tl_version}
Provides: tex(ec-lmr7.tfm) = %{tl_version}
Provides: tex(ec-lmr8.tfm) = %{tl_version}
Provides: tex(ec-lmr9.tfm) = %{tl_version}
Provides: tex(ec-lmri10.tfm) = %{tl_version}
Provides: tex(ec-lmri12.tfm) = %{tl_version}
Provides: tex(ec-lmri7.tfm) = %{tl_version}
Provides: tex(ec-lmri8.tfm) = %{tl_version}
Provides: tex(ec-lmri9.tfm) = %{tl_version}
Provides: tex(ec-lmro10.tfm) = %{tl_version}
Provides: tex(ec-lmro12.tfm) = %{tl_version}
Provides: tex(ec-lmro17.tfm) = %{tl_version}
Provides: tex(ec-lmro8.tfm) = %{tl_version}
Provides: tex(ec-lmro9.tfm) = %{tl_version}
Provides: tex(ec-lmss10.tfm) = %{tl_version}
Provides: tex(ec-lmss12.tfm) = %{tl_version}
Provides: tex(ec-lmss17.tfm) = %{tl_version}
Provides: tex(ec-lmss8.tfm) = %{tl_version}
Provides: tex(ec-lmss9.tfm) = %{tl_version}
Provides: tex(ec-lmssbo10.tfm) = %{tl_version}
Provides: tex(ec-lmssbx10.tfm) = %{tl_version}
Provides: tex(ec-lmssdc10.tfm) = %{tl_version}
Provides: tex(ec-lmssdo10.tfm) = %{tl_version}
Provides: tex(ec-lmsso10.tfm) = %{tl_version}
Provides: tex(ec-lmsso12.tfm) = %{tl_version}
Provides: tex(ec-lmsso17.tfm) = %{tl_version}
Provides: tex(ec-lmsso8.tfm) = %{tl_version}
Provides: tex(ec-lmsso9.tfm) = %{tl_version}
Provides: tex(ec-lmssq8.tfm) = %{tl_version}
Provides: tex(ec-lmssqbo8.tfm) = %{tl_version}
Provides: tex(ec-lmssqbx8.tfm) = %{tl_version}
Provides: tex(ec-lmssqo8.tfm) = %{tl_version}
Provides: tex(ec-lmtcsc10.tfm) = %{tl_version}
Provides: tex(ec-lmtcso10.tfm) = %{tl_version}
Provides: tex(ec-lmtk10.tfm) = %{tl_version}
Provides: tex(ec-lmtko10.tfm) = %{tl_version}
Provides: tex(ec-lmtl10.tfm) = %{tl_version}
Provides: tex(ec-lmtlc10.tfm) = %{tl_version}
Provides: tex(ec-lmtlco10.tfm) = %{tl_version}
Provides: tex(ec-lmtlo10.tfm) = %{tl_version}
Provides: tex(ec-lmtt10.tfm) = %{tl_version}
Provides: tex(ec-lmtt12.tfm) = %{tl_version}
Provides: tex(ec-lmtt8.tfm) = %{tl_version}
Provides: tex(ec-lmtt9.tfm) = %{tl_version}
Provides: tex(ec-lmtti10.tfm) = %{tl_version}
Provides: tex(ec-lmtto10.tfm) = %{tl_version}
Provides: tex(ec-lmu10.tfm) = %{tl_version}
Provides: tex(ec-lmvtk10.tfm) = %{tl_version}
Provides: tex(ec-lmvtko10.tfm) = %{tl_version}
Provides: tex(ec-lmvtl10.tfm) = %{tl_version}
Provides: tex(ec-lmvtlo10.tfm) = %{tl_version}
Provides: tex(ec-lmvtt10.tfm) = %{tl_version}
Provides: tex(ec-lmvtto10.tfm) = %{tl_version}
Provides: tex(l7x-lmb10.tfm) = %{tl_version}
Provides: tex(l7x-lmbo10.tfm) = %{tl_version}
Provides: tex(l7x-lmbx10.tfm) = %{tl_version}
Provides: tex(l7x-lmbx12.tfm) = %{tl_version}
Provides: tex(l7x-lmbx5.tfm) = %{tl_version}
Provides: tex(l7x-lmbx6.tfm) = %{tl_version}
Provides: tex(l7x-lmbx7.tfm) = %{tl_version}
Provides: tex(l7x-lmbx8.tfm) = %{tl_version}
Provides: tex(l7x-lmbx9.tfm) = %{tl_version}
Provides: tex(l7x-lmbxi10.tfm) = %{tl_version}
Provides: tex(l7x-lmbxo10.tfm) = %{tl_version}
Provides: tex(l7x-lmcsc10.tfm) = %{tl_version}
Provides: tex(l7x-lmcsco10.tfm) = %{tl_version}
Provides: tex(l7x-lmdunh10.tfm) = %{tl_version}
Provides: tex(l7x-lmduno10.tfm) = %{tl_version}
Provides: tex(l7x-lmr10.tfm) = %{tl_version}
Provides: tex(l7x-lmr12.tfm) = %{tl_version}
Provides: tex(l7x-lmr17.tfm) = %{tl_version}
Provides: tex(l7x-lmr5.tfm) = %{tl_version}
Provides: tex(l7x-lmr6.tfm) = %{tl_version}
Provides: tex(l7x-lmr7.tfm) = %{tl_version}
Provides: tex(l7x-lmr8.tfm) = %{tl_version}
Provides: tex(l7x-lmr9.tfm) = %{tl_version}
Provides: tex(l7x-lmri10.tfm) = %{tl_version}
Provides: tex(l7x-lmri12.tfm) = %{tl_version}
Provides: tex(l7x-lmri7.tfm) = %{tl_version}
Provides: tex(l7x-lmri8.tfm) = %{tl_version}
Provides: tex(l7x-lmri9.tfm) = %{tl_version}
Provides: tex(l7x-lmro10.tfm) = %{tl_version}
Provides: tex(l7x-lmro12.tfm) = %{tl_version}
Provides: tex(l7x-lmro17.tfm) = %{tl_version}
Provides: tex(l7x-lmro8.tfm) = %{tl_version}
Provides: tex(l7x-lmro9.tfm) = %{tl_version}
Provides: tex(l7x-lmss10.tfm) = %{tl_version}
Provides: tex(l7x-lmss12.tfm) = %{tl_version}
Provides: tex(l7x-lmss17.tfm) = %{tl_version}
Provides: tex(l7x-lmss8.tfm) = %{tl_version}
Provides: tex(l7x-lmss9.tfm) = %{tl_version}
Provides: tex(l7x-lmssbo10.tfm) = %{tl_version}
Provides: tex(l7x-lmssbx10.tfm) = %{tl_version}
Provides: tex(l7x-lmssdc10.tfm) = %{tl_version}
Provides: tex(l7x-lmssdo10.tfm) = %{tl_version}
Provides: tex(l7x-lmsso10.tfm) = %{tl_version}
Provides: tex(l7x-lmsso12.tfm) = %{tl_version}
Provides: tex(l7x-lmsso17.tfm) = %{tl_version}
Provides: tex(l7x-lmsso8.tfm) = %{tl_version}
Provides: tex(l7x-lmsso9.tfm) = %{tl_version}
Provides: tex(l7x-lmssq8.tfm) = %{tl_version}
Provides: tex(l7x-lmssqbo8.tfm) = %{tl_version}
Provides: tex(l7x-lmssqbx8.tfm) = %{tl_version}
Provides: tex(l7x-lmssqo8.tfm) = %{tl_version}
Provides: tex(l7x-lmtcsc10.tfm) = %{tl_version}
Provides: tex(l7x-lmtcso10.tfm) = %{tl_version}
Provides: tex(l7x-lmtk10.tfm) = %{tl_version}
Provides: tex(l7x-lmtko10.tfm) = %{tl_version}
Provides: tex(l7x-lmtl10.tfm) = %{tl_version}
Provides: tex(l7x-lmtlc10.tfm) = %{tl_version}
Provides: tex(l7x-lmtlco10.tfm) = %{tl_version}
Provides: tex(l7x-lmtlo10.tfm) = %{tl_version}
Provides: tex(l7x-lmtt10.tfm) = %{tl_version}
Provides: tex(l7x-lmtt12.tfm) = %{tl_version}
Provides: tex(l7x-lmtt8.tfm) = %{tl_version}
Provides: tex(l7x-lmtt9.tfm) = %{tl_version}
Provides: tex(l7x-lmtti10.tfm) = %{tl_version}
Provides: tex(l7x-lmtto10.tfm) = %{tl_version}
Provides: tex(l7x-lmu10.tfm) = %{tl_version}
Provides: tex(l7x-lmvtk10.tfm) = %{tl_version}
Provides: tex(l7x-lmvtko10.tfm) = %{tl_version}
Provides: tex(l7x-lmvtl10.tfm) = %{tl_version}
Provides: tex(l7x-lmvtlo10.tfm) = %{tl_version}
Provides: tex(l7x-lmvtt10.tfm) = %{tl_version}
Provides: tex(l7x-lmvtto10.tfm) = %{tl_version}
Provides: tex(lmbsy10.tfm) = %{tl_version}
Provides: tex(lmbsy5.tfm) = %{tl_version}
Provides: tex(lmbsy7.tfm) = %{tl_version}
Provides: tex(lmex10.tfm) = %{tl_version}
Provides: tex(lmmi10.tfm) = %{tl_version}
Provides: tex(lmmi12.tfm) = %{tl_version}
Provides: tex(lmmi5.tfm) = %{tl_version}
Provides: tex(lmmi6.tfm) = %{tl_version}
Provides: tex(lmmi7.tfm) = %{tl_version}
Provides: tex(lmmi8.tfm) = %{tl_version}
Provides: tex(lmmi9.tfm) = %{tl_version}
Provides: tex(lmmib10.tfm) = %{tl_version}
Provides: tex(lmmib5.tfm) = %{tl_version}
Provides: tex(lmmib7.tfm) = %{tl_version}
Provides: tex(lmsy10.tfm) = %{tl_version}
Provides: tex(lmsy5.tfm) = %{tl_version}
Provides: tex(lmsy6.tfm) = %{tl_version}
Provides: tex(lmsy7.tfm) = %{tl_version}
Provides: tex(lmsy8.tfm) = %{tl_version}
Provides: tex(lmsy9.tfm) = %{tl_version}
Provides: tex(qx-lmb10.tfm) = %{tl_version}
Provides: tex(qx-lmbo10.tfm) = %{tl_version}
Provides: tex(qx-lmbx10.tfm) = %{tl_version}
Provides: tex(qx-lmbx12.tfm) = %{tl_version}
Provides: tex(qx-lmbx5.tfm) = %{tl_version}
Provides: tex(qx-lmbx6.tfm) = %{tl_version}
Provides: tex(qx-lmbx7.tfm) = %{tl_version}
Provides: tex(qx-lmbx8.tfm) = %{tl_version}
Provides: tex(qx-lmbx9.tfm) = %{tl_version}
Provides: tex(qx-lmbxi10.tfm) = %{tl_version}
Provides: tex(qx-lmbxo10.tfm) = %{tl_version}
Provides: tex(qx-lmcsc10.tfm) = %{tl_version}
Provides: tex(qx-lmcsco10.tfm) = %{tl_version}
Provides: tex(qx-lmdunh10.tfm) = %{tl_version}
Provides: tex(qx-lmduno10.tfm) = %{tl_version}
Provides: tex(qx-lmr10.tfm) = %{tl_version}
Provides: tex(qx-lmr12.tfm) = %{tl_version}
Provides: tex(qx-lmr17.tfm) = %{tl_version}
Provides: tex(qx-lmr5.tfm) = %{tl_version}
Provides: tex(qx-lmr6.tfm) = %{tl_version}
Provides: tex(qx-lmr7.tfm) = %{tl_version}
Provides: tex(qx-lmr8.tfm) = %{tl_version}
Provides: tex(qx-lmr9.tfm) = %{tl_version}
Provides: tex(qx-lmri10.tfm) = %{tl_version}
Provides: tex(qx-lmri12.tfm) = %{tl_version}
Provides: tex(qx-lmri7.tfm) = %{tl_version}
Provides: tex(qx-lmri8.tfm) = %{tl_version}
Provides: tex(qx-lmri9.tfm) = %{tl_version}
Provides: tex(qx-lmro10.tfm) = %{tl_version}
Provides: tex(qx-lmro12.tfm) = %{tl_version}
Provides: tex(qx-lmro17.tfm) = %{tl_version}
Provides: tex(qx-lmro8.tfm) = %{tl_version}
Provides: tex(qx-lmro9.tfm) = %{tl_version}
Provides: tex(qx-lmss10.tfm) = %{tl_version}
Provides: tex(qx-lmss12.tfm) = %{tl_version}
Provides: tex(qx-lmss17.tfm) = %{tl_version}
Provides: tex(qx-lmss8.tfm) = %{tl_version}
Provides: tex(qx-lmss9.tfm) = %{tl_version}
Provides: tex(qx-lmssbo10.tfm) = %{tl_version}
Provides: tex(qx-lmssbx10.tfm) = %{tl_version}
Provides: tex(qx-lmssdc10.tfm) = %{tl_version}
Provides: tex(qx-lmssdo10.tfm) = %{tl_version}
Provides: tex(qx-lmsso10.tfm) = %{tl_version}
Provides: tex(qx-lmsso12.tfm) = %{tl_version}
Provides: tex(qx-lmsso17.tfm) = %{tl_version}
Provides: tex(qx-lmsso8.tfm) = %{tl_version}
Provides: tex(qx-lmsso9.tfm) = %{tl_version}
Provides: tex(qx-lmssq8.tfm) = %{tl_version}
Provides: tex(qx-lmssqbo8.tfm) = %{tl_version}
Provides: tex(qx-lmssqbx8.tfm) = %{tl_version}
Provides: tex(qx-lmssqo8.tfm) = %{tl_version}
Provides: tex(qx-lmtcsc10.tfm) = %{tl_version}
Provides: tex(qx-lmtcso10.tfm) = %{tl_version}
Provides: tex(qx-lmtk10.tfm) = %{tl_version}
Provides: tex(qx-lmtko10.tfm) = %{tl_version}
Provides: tex(qx-lmtl10.tfm) = %{tl_version}
Provides: tex(qx-lmtlc10.tfm) = %{tl_version}
Provides: tex(qx-lmtlco10.tfm) = %{tl_version}
Provides: tex(qx-lmtlo10.tfm) = %{tl_version}
Provides: tex(qx-lmtt10.tfm) = %{tl_version}
Provides: tex(qx-lmtt12.tfm) = %{tl_version}
Provides: tex(qx-lmtt8.tfm) = %{tl_version}
Provides: tex(qx-lmtt9.tfm) = %{tl_version}
Provides: tex(qx-lmtti10.tfm) = %{tl_version}
Provides: tex(qx-lmtto10.tfm) = %{tl_version}
Provides: tex(qx-lmu10.tfm) = %{tl_version}
Provides: tex(qx-lmvtk10.tfm) = %{tl_version}
Provides: tex(qx-lmvtko10.tfm) = %{tl_version}
Provides: tex(qx-lmvtl10.tfm) = %{tl_version}
Provides: tex(qx-lmvtlo10.tfm) = %{tl_version}
Provides: tex(qx-lmvtt10.tfm) = %{tl_version}
Provides: tex(qx-lmvtto10.tfm) = %{tl_version}
Provides: tex(rm-lmb10.tfm) = %{tl_version}
Provides: tex(rm-lmbo10.tfm) = %{tl_version}
Provides: tex(rm-lmbx10.tfm) = %{tl_version}
Provides: tex(rm-lmbx12.tfm) = %{tl_version}
Provides: tex(rm-lmbx5.tfm) = %{tl_version}
Provides: tex(rm-lmbx6.tfm) = %{tl_version}
Provides: tex(rm-lmbx7.tfm) = %{tl_version}
Provides: tex(rm-lmbx8.tfm) = %{tl_version}
Provides: tex(rm-lmbx9.tfm) = %{tl_version}
Provides: tex(rm-lmbxi10.tfm) = %{tl_version}
Provides: tex(rm-lmbxo10.tfm) = %{tl_version}
Provides: tex(rm-lmcsc10.tfm) = %{tl_version}
Provides: tex(rm-lmcsco10.tfm) = %{tl_version}
Provides: tex(rm-lmdunh10.tfm) = %{tl_version}
Provides: tex(rm-lmduno10.tfm) = %{tl_version}
Provides: tex(rm-lmr10.tfm) = %{tl_version}
Provides: tex(rm-lmr12.tfm) = %{tl_version}
Provides: tex(rm-lmr17.tfm) = %{tl_version}
Provides: tex(rm-lmr5.tfm) = %{tl_version}
Provides: tex(rm-lmr6.tfm) = %{tl_version}
Provides: tex(rm-lmr7.tfm) = %{tl_version}
Provides: tex(rm-lmr8.tfm) = %{tl_version}
Provides: tex(rm-lmr9.tfm) = %{tl_version}
Provides: tex(rm-lmri10.tfm) = %{tl_version}
Provides: tex(rm-lmri12.tfm) = %{tl_version}
Provides: tex(rm-lmri7.tfm) = %{tl_version}
Provides: tex(rm-lmri8.tfm) = %{tl_version}
Provides: tex(rm-lmri9.tfm) = %{tl_version}
Provides: tex(rm-lmro10.tfm) = %{tl_version}
Provides: tex(rm-lmro12.tfm) = %{tl_version}
Provides: tex(rm-lmro17.tfm) = %{tl_version}
Provides: tex(rm-lmro8.tfm) = %{tl_version}
Provides: tex(rm-lmro9.tfm) = %{tl_version}
Provides: tex(rm-lmss10.tfm) = %{tl_version}
Provides: tex(rm-lmss12.tfm) = %{tl_version}
Provides: tex(rm-lmss17.tfm) = %{tl_version}
Provides: tex(rm-lmss8.tfm) = %{tl_version}
Provides: tex(rm-lmss9.tfm) = %{tl_version}
Provides: tex(rm-lmssbo10.tfm) = %{tl_version}
Provides: tex(rm-lmssbx10.tfm) = %{tl_version}
Provides: tex(rm-lmssdc10.tfm) = %{tl_version}
Provides: tex(rm-lmssdo10.tfm) = %{tl_version}
Provides: tex(rm-lmsso10.tfm) = %{tl_version}
Provides: tex(rm-lmsso12.tfm) = %{tl_version}
Provides: tex(rm-lmsso17.tfm) = %{tl_version}
Provides: tex(rm-lmsso8.tfm) = %{tl_version}
Provides: tex(rm-lmsso9.tfm) = %{tl_version}
Provides: tex(rm-lmssq8.tfm) = %{tl_version}
Provides: tex(rm-lmssqbo8.tfm) = %{tl_version}
Provides: tex(rm-lmssqbx8.tfm) = %{tl_version}
Provides: tex(rm-lmssqo8.tfm) = %{tl_version}
Provides: tex(rm-lmtcsc10.tfm) = %{tl_version}
Provides: tex(rm-lmtcso10.tfm) = %{tl_version}
Provides: tex(rm-lmtk10.tfm) = %{tl_version}
Provides: tex(rm-lmtko10.tfm) = %{tl_version}
Provides: tex(rm-lmtl10.tfm) = %{tl_version}
Provides: tex(rm-lmtlc10.tfm) = %{tl_version}
Provides: tex(rm-lmtlco10.tfm) = %{tl_version}
Provides: tex(rm-lmtlo10.tfm) = %{tl_version}
Provides: tex(rm-lmtt10.tfm) = %{tl_version}
Provides: tex(rm-lmtt12.tfm) = %{tl_version}
Provides: tex(rm-lmtt8.tfm) = %{tl_version}
Provides: tex(rm-lmtt9.tfm) = %{tl_version}
Provides: tex(rm-lmtti10.tfm) = %{tl_version}
Provides: tex(rm-lmtto10.tfm) = %{tl_version}
Provides: tex(rm-lmu10.tfm) = %{tl_version}
Provides: tex(rm-lmvtk10.tfm) = %{tl_version}
Provides: tex(rm-lmvtko10.tfm) = %{tl_version}
Provides: tex(rm-lmvtl10.tfm) = %{tl_version}
Provides: tex(rm-lmvtlo10.tfm) = %{tl_version}
Provides: tex(rm-lmvtt10.tfm) = %{tl_version}
Provides: tex(rm-lmvtto10.tfm) = %{tl_version}
Provides: tex(t5-lmb10.tfm) = %{tl_version}
Provides: tex(t5-lmbo10.tfm) = %{tl_version}
Provides: tex(t5-lmbx10.tfm) = %{tl_version}
Provides: tex(t5-lmbx12.tfm) = %{tl_version}
Provides: tex(t5-lmbx5.tfm) = %{tl_version}
Provides: tex(t5-lmbx6.tfm) = %{tl_version}
Provides: tex(t5-lmbx7.tfm) = %{tl_version}
Provides: tex(t5-lmbx8.tfm) = %{tl_version}
Provides: tex(t5-lmbx9.tfm) = %{tl_version}
Provides: tex(t5-lmbxi10.tfm) = %{tl_version}
Provides: tex(t5-lmbxo10.tfm) = %{tl_version}
Provides: tex(t5-lmcsc10.tfm) = %{tl_version}
Provides: tex(t5-lmcsco10.tfm) = %{tl_version}
Provides: tex(t5-lmdunh10.tfm) = %{tl_version}
Provides: tex(t5-lmduno10.tfm) = %{tl_version}
Provides: tex(t5-lmr10.tfm) = %{tl_version}
Provides: tex(t5-lmr12.tfm) = %{tl_version}
Provides: tex(t5-lmr17.tfm) = %{tl_version}
Provides: tex(t5-lmr5.tfm) = %{tl_version}
Provides: tex(t5-lmr6.tfm) = %{tl_version}
Provides: tex(t5-lmr7.tfm) = %{tl_version}
Provides: tex(t5-lmr8.tfm) = %{tl_version}
Provides: tex(t5-lmr9.tfm) = %{tl_version}
Provides: tex(t5-lmri10.tfm) = %{tl_version}
Provides: tex(t5-lmri12.tfm) = %{tl_version}
Provides: tex(t5-lmri7.tfm) = %{tl_version}
Provides: tex(t5-lmri8.tfm) = %{tl_version}
Provides: tex(t5-lmri9.tfm) = %{tl_version}
Provides: tex(t5-lmro10.tfm) = %{tl_version}
Provides: tex(t5-lmro12.tfm) = %{tl_version}
Provides: tex(t5-lmro17.tfm) = %{tl_version}
Provides: tex(t5-lmro8.tfm) = %{tl_version}
Provides: tex(t5-lmro9.tfm) = %{tl_version}
Provides: tex(t5-lmss10.tfm) = %{tl_version}
Provides: tex(t5-lmss12.tfm) = %{tl_version}
Provides: tex(t5-lmss17.tfm) = %{tl_version}
Provides: tex(t5-lmss8.tfm) = %{tl_version}
Provides: tex(t5-lmss9.tfm) = %{tl_version}
Provides: tex(t5-lmssbo10.tfm) = %{tl_version}
Provides: tex(t5-lmssbx10.tfm) = %{tl_version}
Provides: tex(t5-lmssdc10.tfm) = %{tl_version}
Provides: tex(t5-lmssdo10.tfm) = %{tl_version}
Provides: tex(t5-lmsso10.tfm) = %{tl_version}
Provides: tex(t5-lmsso12.tfm) = %{tl_version}
Provides: tex(t5-lmsso17.tfm) = %{tl_version}
Provides: tex(t5-lmsso8.tfm) = %{tl_version}
Provides: tex(t5-lmsso9.tfm) = %{tl_version}
Provides: tex(t5-lmssq8.tfm) = %{tl_version}
Provides: tex(t5-lmssqbo8.tfm) = %{tl_version}
Provides: tex(t5-lmssqbx8.tfm) = %{tl_version}
Provides: tex(t5-lmssqo8.tfm) = %{tl_version}
Provides: tex(t5-lmtcsc10.tfm) = %{tl_version}
Provides: tex(t5-lmtcso10.tfm) = %{tl_version}
Provides: tex(t5-lmtk10.tfm) = %{tl_version}
Provides: tex(t5-lmtko10.tfm) = %{tl_version}
Provides: tex(t5-lmtl10.tfm) = %{tl_version}
Provides: tex(t5-lmtlc10.tfm) = %{tl_version}
Provides: tex(t5-lmtlco10.tfm) = %{tl_version}
Provides: tex(t5-lmtlo10.tfm) = %{tl_version}
Provides: tex(t5-lmtt10.tfm) = %{tl_version}
Provides: tex(t5-lmtt12.tfm) = %{tl_version}
Provides: tex(t5-lmtt8.tfm) = %{tl_version}
Provides: tex(t5-lmtt9.tfm) = %{tl_version}
Provides: tex(t5-lmtti10.tfm) = %{tl_version}
Provides: tex(t5-lmtto10.tfm) = %{tl_version}
Provides: tex(t5-lmu10.tfm) = %{tl_version}
Provides: tex(t5-lmvtk10.tfm) = %{tl_version}
Provides: tex(t5-lmvtko10.tfm) = %{tl_version}
Provides: tex(t5-lmvtl10.tfm) = %{tl_version}
Provides: tex(t5-lmvtlo10.tfm) = %{tl_version}
Provides: tex(t5-lmvtt10.tfm) = %{tl_version}
Provides: tex(t5-lmvtto10.tfm) = %{tl_version}
Provides: tex(texnansi-lmb10.tfm) = %{tl_version}
Provides: tex(texnansi-lmbo10.tfm) = %{tl_version}
Provides: tex(texnansi-lmbx10.tfm) = %{tl_version}
Provides: tex(texnansi-lmbx12.tfm) = %{tl_version}
Provides: tex(texnansi-lmbx5.tfm) = %{tl_version}
Provides: tex(texnansi-lmbx6.tfm) = %{tl_version}
Provides: tex(texnansi-lmbx7.tfm) = %{tl_version}
Provides: tex(texnansi-lmbx8.tfm) = %{tl_version}
Provides: tex(texnansi-lmbx9.tfm) = %{tl_version}
Provides: tex(texnansi-lmbxi10.tfm) = %{tl_version}
Provides: tex(texnansi-lmbxo10.tfm) = %{tl_version}
Provides: tex(texnansi-lmcsc10.tfm) = %{tl_version}
Provides: tex(texnansi-lmcsco10.tfm) = %{tl_version}
Provides: tex(texnansi-lmdunh10.tfm) = %{tl_version}
Provides: tex(texnansi-lmduno10.tfm) = %{tl_version}
Provides: tex(texnansi-lmr10.tfm) = %{tl_version}
Provides: tex(texnansi-lmr12.tfm) = %{tl_version}
Provides: tex(texnansi-lmr17.tfm) = %{tl_version}
Provides: tex(texnansi-lmr5.tfm) = %{tl_version}
Provides: tex(texnansi-lmr6.tfm) = %{tl_version}
Provides: tex(texnansi-lmr7.tfm) = %{tl_version}
Provides: tex(texnansi-lmr8.tfm) = %{tl_version}
Provides: tex(texnansi-lmr9.tfm) = %{tl_version}
Provides: tex(texnansi-lmri10.tfm) = %{tl_version}
Provides: tex(texnansi-lmri12.tfm) = %{tl_version}
Provides: tex(texnansi-lmri7.tfm) = %{tl_version}
Provides: tex(texnansi-lmri8.tfm) = %{tl_version}
Provides: tex(texnansi-lmri9.tfm) = %{tl_version}
Provides: tex(texnansi-lmro10.tfm) = %{tl_version}
Provides: tex(texnansi-lmro12.tfm) = %{tl_version}
Provides: tex(texnansi-lmro17.tfm) = %{tl_version}
Provides: tex(texnansi-lmro8.tfm) = %{tl_version}
Provides: tex(texnansi-lmro9.tfm) = %{tl_version}
Provides: tex(texnansi-lmss10.tfm) = %{tl_version}
Provides: tex(texnansi-lmss12.tfm) = %{tl_version}
Provides: tex(texnansi-lmss17.tfm) = %{tl_version}
Provides: tex(texnansi-lmss8.tfm) = %{tl_version}
Provides: tex(texnansi-lmss9.tfm) = %{tl_version}
Provides: tex(texnansi-lmssbo10.tfm) = %{tl_version}
Provides: tex(texnansi-lmssbx10.tfm) = %{tl_version}
Provides: tex(texnansi-lmssdc10.tfm) = %{tl_version}
Provides: tex(texnansi-lmssdo10.tfm) = %{tl_version}
Provides: tex(texnansi-lmsso10.tfm) = %{tl_version}
Provides: tex(texnansi-lmsso12.tfm) = %{tl_version}
Provides: tex(texnansi-lmsso17.tfm) = %{tl_version}
Provides: tex(texnansi-lmsso8.tfm) = %{tl_version}
Provides: tex(texnansi-lmsso9.tfm) = %{tl_version}
Provides: tex(texnansi-lmssq8.tfm) = %{tl_version}
Provides: tex(texnansi-lmssqbo8.tfm) = %{tl_version}
Provides: tex(texnansi-lmssqbx8.tfm) = %{tl_version}
Provides: tex(texnansi-lmssqo8.tfm) = %{tl_version}
Provides: tex(texnansi-lmtcsc10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtcso10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtk10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtko10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtl10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtlc10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtlco10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtlo10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtt10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtt12.tfm) = %{tl_version}
Provides: tex(texnansi-lmtt8.tfm) = %{tl_version}
Provides: tex(texnansi-lmtt9.tfm) = %{tl_version}
Provides: tex(texnansi-lmtti10.tfm) = %{tl_version}
Provides: tex(texnansi-lmtto10.tfm) = %{tl_version}
Provides: tex(texnansi-lmu10.tfm) = %{tl_version}
Provides: tex(texnansi-lmvtk10.tfm) = %{tl_version}
Provides: tex(texnansi-lmvtko10.tfm) = %{tl_version}
Provides: tex(texnansi-lmvtl10.tfm) = %{tl_version}
Provides: tex(texnansi-lmvtlo10.tfm) = %{tl_version}
Provides: tex(texnansi-lmvtt10.tfm) = %{tl_version}
Provides: tex(texnansi-lmvtto10.tfm) = %{tl_version}
Provides: tex(ts1-lmb10.tfm) = %{tl_version}
Provides: tex(ts1-lmbo10.tfm) = %{tl_version}
Provides: tex(ts1-lmbx10.tfm) = %{tl_version}
Provides: tex(ts1-lmbx12.tfm) = %{tl_version}
Provides: tex(ts1-lmbx5.tfm) = %{tl_version}
Provides: tex(ts1-lmbx6.tfm) = %{tl_version}
Provides: tex(ts1-lmbx7.tfm) = %{tl_version}
Provides: tex(ts1-lmbx8.tfm) = %{tl_version}
Provides: tex(ts1-lmbx9.tfm) = %{tl_version}
Provides: tex(ts1-lmbxi10.tfm) = %{tl_version}
Provides: tex(ts1-lmbxo10.tfm) = %{tl_version}
Provides: tex(ts1-lmcsc10.tfm) = %{tl_version}
Provides: tex(ts1-lmcsco10.tfm) = %{tl_version}
Provides: tex(ts1-lmdunh10.tfm) = %{tl_version}
Provides: tex(ts1-lmduno10.tfm) = %{tl_version}
Provides: tex(ts1-lmr10.tfm) = %{tl_version}
Provides: tex(ts1-lmr12.tfm) = %{tl_version}
Provides: tex(ts1-lmr17.tfm) = %{tl_version}
Provides: tex(ts1-lmr5.tfm) = %{tl_version}
Provides: tex(ts1-lmr6.tfm) = %{tl_version}
Provides: tex(ts1-lmr7.tfm) = %{tl_version}
Provides: tex(ts1-lmr8.tfm) = %{tl_version}
Provides: tex(ts1-lmr9.tfm) = %{tl_version}
Provides: tex(ts1-lmri10.tfm) = %{tl_version}
Provides: tex(ts1-lmri12.tfm) = %{tl_version}
Provides: tex(ts1-lmri7.tfm) = %{tl_version}
Provides: tex(ts1-lmri8.tfm) = %{tl_version}
Provides: tex(ts1-lmri9.tfm) = %{tl_version}
Provides: tex(ts1-lmro10.tfm) = %{tl_version}
Provides: tex(ts1-lmro12.tfm) = %{tl_version}
Provides: tex(ts1-lmro17.tfm) = %{tl_version}
Provides: tex(ts1-lmro8.tfm) = %{tl_version}
Provides: tex(ts1-lmro9.tfm) = %{tl_version}
Provides: tex(ts1-lmss10.tfm) = %{tl_version}
Provides: tex(ts1-lmss12.tfm) = %{tl_version}
Provides: tex(ts1-lmss17.tfm) = %{tl_version}
Provides: tex(ts1-lmss8.tfm) = %{tl_version}
Provides: tex(ts1-lmss9.tfm) = %{tl_version}
Provides: tex(ts1-lmssbo10.tfm) = %{tl_version}
Provides: tex(ts1-lmssbx10.tfm) = %{tl_version}
Provides: tex(ts1-lmssdc10.tfm) = %{tl_version}
Provides: tex(ts1-lmssdo10.tfm) = %{tl_version}
Provides: tex(ts1-lmsso10.tfm) = %{tl_version}
Provides: tex(ts1-lmsso12.tfm) = %{tl_version}
Provides: tex(ts1-lmsso17.tfm) = %{tl_version}
Provides: tex(ts1-lmsso8.tfm) = %{tl_version}
Provides: tex(ts1-lmsso9.tfm) = %{tl_version}
Provides: tex(ts1-lmssq8.tfm) = %{tl_version}
Provides: tex(ts1-lmssqbo8.tfm) = %{tl_version}
Provides: tex(ts1-lmssqbx8.tfm) = %{tl_version}
Provides: tex(ts1-lmssqo8.tfm) = %{tl_version}
Provides: tex(ts1-lmtcsc10.tfm) = %{tl_version}
Provides: tex(ts1-lmtcso10.tfm) = %{tl_version}
Provides: tex(ts1-lmtk10.tfm) = %{tl_version}
Provides: tex(ts1-lmtko10.tfm) = %{tl_version}
Provides: tex(ts1-lmtl10.tfm) = %{tl_version}
Provides: tex(ts1-lmtlc10.tfm) = %{tl_version}
Provides: tex(ts1-lmtlco10.tfm) = %{tl_version}
Provides: tex(ts1-lmtlo10.tfm) = %{tl_version}
Provides: tex(ts1-lmtt10.tfm) = %{tl_version}
Provides: tex(ts1-lmtt12.tfm) = %{tl_version}
Provides: tex(ts1-lmtt8.tfm) = %{tl_version}
Provides: tex(ts1-lmtt9.tfm) = %{tl_version}
Provides: tex(ts1-lmtti10.tfm) = %{tl_version}
Provides: tex(ts1-lmtto10.tfm) = %{tl_version}
Provides: tex(ts1-lmu10.tfm) = %{tl_version}
Provides: tex(ts1-lmvtk10.tfm) = %{tl_version}
Provides: tex(ts1-lmvtko10.tfm) = %{tl_version}
Provides: tex(ts1-lmvtl10.tfm) = %{tl_version}
Provides: tex(ts1-lmvtlo10.tfm) = %{tl_version}
Provides: tex(ts1-lmvtt10.tfm) = %{tl_version}
Provides: tex(ts1-lmvtto10.tfm) = %{tl_version}
Provides: tex(lmb10.pfb) = %{tl_version}
Provides: tex(lmbo10.pfb) = %{tl_version}
Provides: tex(lmbsy10.pfb) = %{tl_version}
Provides: tex(lmbsy5.pfb) = %{tl_version}
Provides: tex(lmbsy7.pfb) = %{tl_version}
Provides: tex(lmbx10.pfb) = %{tl_version}
Provides: tex(lmbx12.pfb) = %{tl_version}
Provides: tex(lmbx5.pfb) = %{tl_version}
Provides: tex(lmbx6.pfb) = %{tl_version}
Provides: tex(lmbx7.pfb) = %{tl_version}
Provides: tex(lmbx8.pfb) = %{tl_version}
Provides: tex(lmbx9.pfb) = %{tl_version}
Provides: tex(lmbxi10.pfb) = %{tl_version}
Provides: tex(lmbxo10.pfb) = %{tl_version}
Provides: tex(lmcsc10.pfb) = %{tl_version}
Provides: tex(lmcsco10.pfb) = %{tl_version}
Provides: tex(lmdunh10.pfb) = %{tl_version}
Provides: tex(lmduno10.pfb) = %{tl_version}
Provides: tex(lmex10.pfb) = %{tl_version}
Provides: tex(lmmi10.pfb) = %{tl_version}
Provides: tex(lmmi12.pfb) = %{tl_version}
Provides: tex(lmmi5.pfb) = %{tl_version}
Provides: tex(lmmi6.pfb) = %{tl_version}
Provides: tex(lmmi7.pfb) = %{tl_version}
Provides: tex(lmmi8.pfb) = %{tl_version}
Provides: tex(lmmi9.pfb) = %{tl_version}
Provides: tex(lmmib10.pfb) = %{tl_version}
Provides: tex(lmmib5.pfb) = %{tl_version}
Provides: tex(lmmib7.pfb) = %{tl_version}
Provides: tex(lmr10.pfb) = %{tl_version}
Provides: tex(lmr12.pfb) = %{tl_version}
Provides: tex(lmr17.pfb) = %{tl_version}
Provides: tex(lmr5.pfb) = %{tl_version}
Provides: tex(lmr6.pfb) = %{tl_version}
Provides: tex(lmr7.pfb) = %{tl_version}
Provides: tex(lmr8.pfb) = %{tl_version}
Provides: tex(lmr9.pfb) = %{tl_version}
Provides: tex(lmri10.pfb) = %{tl_version}
Provides: tex(lmri12.pfb) = %{tl_version}
Provides: tex(lmri7.pfb) = %{tl_version}
Provides: tex(lmri8.pfb) = %{tl_version}
Provides: tex(lmri9.pfb) = %{tl_version}
Provides: tex(lmro10.pfb) = %{tl_version}
Provides: tex(lmro12.pfb) = %{tl_version}
Provides: tex(lmro17.pfb) = %{tl_version}
Provides: tex(lmro8.pfb) = %{tl_version}
Provides: tex(lmro9.pfb) = %{tl_version}
Provides: tex(lmss10.pfb) = %{tl_version}
Provides: tex(lmss12.pfb) = %{tl_version}
Provides: tex(lmss17.pfb) = %{tl_version}
Provides: tex(lmss8.pfb) = %{tl_version}
Provides: tex(lmss9.pfb) = %{tl_version}
Provides: tex(lmssbo10.pfb) = %{tl_version}
Provides: tex(lmssbx10.pfb) = %{tl_version}
Provides: tex(lmssdc10.pfb) = %{tl_version}
Provides: tex(lmssdo10.pfb) = %{tl_version}
Provides: tex(lmsso10.pfb) = %{tl_version}
Provides: tex(lmsso12.pfb) = %{tl_version}
Provides: tex(lmsso17.pfb) = %{tl_version}
Provides: tex(lmsso8.pfb) = %{tl_version}
Provides: tex(lmsso9.pfb) = %{tl_version}
Provides: tex(lmssq8.pfb) = %{tl_version}
Provides: tex(lmssqbo8.pfb) = %{tl_version}
Provides: tex(lmssqbx8.pfb) = %{tl_version}
Provides: tex(lmssqo8.pfb) = %{tl_version}
Provides: tex(lmsy10.pfb) = %{tl_version}
Provides: tex(lmsy5.pfb) = %{tl_version}
Provides: tex(lmsy6.pfb) = %{tl_version}
Provides: tex(lmsy7.pfb) = %{tl_version}
Provides: tex(lmsy8.pfb) = %{tl_version}
Provides: tex(lmsy9.pfb) = %{tl_version}
Provides: tex(lmtcsc10.pfb) = %{tl_version}
Provides: tex(lmtcso10.pfb) = %{tl_version}
Provides: tex(lmtk10.pfb) = %{tl_version}
Provides: tex(lmtko10.pfb) = %{tl_version}
Provides: tex(lmtl10.pfb) = %{tl_version}
Provides: tex(lmtlc10.pfb) = %{tl_version}
Provides: tex(lmtlco10.pfb) = %{tl_version}
Provides: tex(lmtlo10.pfb) = %{tl_version}
Provides: tex(lmtt10.pfb) = %{tl_version}
Provides: tex(lmtt12.pfb) = %{tl_version}
Provides: tex(lmtt8.pfb) = %{tl_version}
Provides: tex(lmtt9.pfb) = %{tl_version}
Provides: tex(lmtti10.pfb) = %{tl_version}
Provides: tex(lmtto10.pfb) = %{tl_version}
Provides: tex(lmu10.pfb) = %{tl_version}
Provides: tex(lmvtk10.pfb) = %{tl_version}
Provides: tex(lmvtko10.pfb) = %{tl_version}
Provides: tex(lmvtl10.pfb) = %{tl_version}
Provides: tex(lmvtlo10.pfb) = %{tl_version}
Provides: tex(lmvtt10.pfb) = %{tl_version}
Provides: tex(lmvtto10.pfb) = %{tl_version}
Provides: tex(il2lmdh.fd) = %{tl_version}
Provides: tex(il2lmr.fd) = %{tl_version}
Provides: tex(il2lmss.fd) = %{tl_version}
Provides: tex(il2lmssq.fd) = %{tl_version}
Provides: tex(il2lmtt.fd) = %{tl_version}
Provides: tex(il2lmvtt.fd) = %{tl_version}
Provides: tex(l7xlmdh.fd) = %{tl_version}
Provides: tex(l7xlmr.fd) = %{tl_version}
Provides: tex(l7xlmss.fd) = %{tl_version}
Provides: tex(l7xlmssq.fd) = %{tl_version}
Provides: tex(l7xlmtt.fd) = %{tl_version}
Provides: tex(l7xlmvtt.fd) = %{tl_version}
Provides: tex(lmodern.sty) = %{tl_version}
Provides: tex(ly1lmdh.fd) = %{tl_version}
Provides: tex(ly1lmr.fd) = %{tl_version}
Provides: tex(ly1lmss.fd) = %{tl_version}
Provides: tex(ly1lmssq.fd) = %{tl_version}
Provides: tex(ly1lmtt.fd) = %{tl_version}
Provides: tex(ly1lmvtt.fd) = %{tl_version}
Provides: tex(omllmm.fd) = %{tl_version}
Provides: tex(omllmr.fd) = %{tl_version}
Provides: tex(omslmr.fd) = %{tl_version}
Provides: tex(omslmsy.fd) = %{tl_version}
Provides: tex(omxlmex.fd) = %{tl_version}
Provides: tex(ot1lmdh.fd) = %{tl_version}
Provides: tex(ot1lmr.fd) = %{tl_version}
Provides: tex(ot1lmss.fd) = %{tl_version}
Provides: tex(ot1lmssq.fd) = %{tl_version}
Provides: tex(ot1lmtt.fd) = %{tl_version}
Provides: tex(ot1lmvtt.fd) = %{tl_version}
Provides: tex(ot4lmdh.fd) = %{tl_version}
Provides: tex(ot4lmr.fd) = %{tl_version}
Provides: tex(ot4lmss.fd) = %{tl_version}
Provides: tex(ot4lmssq.fd) = %{tl_version}
Provides: tex(ot4lmtt.fd) = %{tl_version}
Provides: tex(ot4lmvtt.fd) = %{tl_version}
Provides: tex(qxlmdh.fd) = %{tl_version}
Provides: tex(qxlmr.fd) = %{tl_version}
Provides: tex(qxlmss.fd) = %{tl_version}
Provides: tex(qxlmssq.fd) = %{tl_version}
Provides: tex(qxlmtt.fd) = %{tl_version}
Provides: tex(qxlmvtt.fd) = %{tl_version}
Provides: tex(t1lmdh.fd) = %{tl_version}
Provides: tex(t1lmr.fd) = %{tl_version}
Provides: tex(t1lmss.fd) = %{tl_version}
Provides: tex(t1lmssq.fd) = %{tl_version}
Provides: tex(t1lmtt.fd) = %{tl_version}
Provides: tex(t1lmvtt.fd) = %{tl_version}
Provides: tex(t5lmdh.fd) = %{tl_version}
Provides: tex(t5lmr.fd) = %{tl_version}
Provides: tex(t5lmss.fd) = %{tl_version}
Provides: tex(t5lmssq.fd) = %{tl_version}
Provides: tex(t5lmtt.fd) = %{tl_version}
Provides: tex(t5lmvtt.fd) = %{tl_version}
Provides: tex(ts1lmdh.fd) = %{tl_version}
Provides: tex(ts1lmr.fd) = %{tl_version}
Provides: tex(ts1lmss.fd) = %{tl_version}
Provides: tex(ts1lmssq.fd) = %{tl_version}
Provides: tex(ts1lmtt.fd) = %{tl_version}
Provides: tex(ts1lmvtt.fd) = %{tl_version}

%description lm
The Latin Modern family of fonts consists of 72 text fonts and
20 mathematics fonts, and is based on the Computer Modern fonts
released into public domain by AMS (copyright (c) 1997 AMS).
The lm font set contains a lot of additional characters, mainly
accented ones, but not exclusively. There is one set of fonts,
available both in Adobe Type 1 format (*.pfb) and in OpenType
format (*.otf). There are five sets of TeX Font Metric files,
corresponding to: Cork encoding (cork-*.tfm); QX encoding (qx-
*.tfm); TeX'n'ANSI aka LY1 encoding (texnansi-*.tfm); T5
(Vietnamese) encoding (t5-*.tfm); and Text Companion for EC
fonts aka TS1 (ts1-*.tfm).

%package lm-doc
Summary: Documentation for lm
Version: svn28119.2.004

Provides: tex-lm-doc
AutoReqProv: No

%description lm-doc
Documentation for lm

%package lm-math
Provides: tex-lm-math = %{tl_version}
License: LPPL
Summary: OpenType maths fonts for Latin Modern
Version: svn36915.1.959

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(latinmodern-math.otf) = %{tl_version}

%description lm-math
Latin Modern Math is a maths companion for the Latin Modern
family of fonts, in OpenType format. For use with LuaLaTeX or
XeLaTeX, support is available from the unicode-math package.

%package lm-math-doc
Summary: Documentation for lm-math
Version: svn36915.1.959

Provides: tex-lm-math-doc
AutoReqProv: No

%description lm-math-doc
Documentation for lm-math

%package manfnt-font
Provides: tex-manfnt-font = %{tl_version}
License: LPPL
Summary: manfnt-font package
Version: svn35799.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(manfnt.map) = %{tl_version}
Provides: tex(manfnt.pfb) = %{tl_version}

%description manfnt-font
manfnt-font package

%package mflogo-font
Provides: tex-mflogo-font = %{tl_version}
License: Knuth
Summary: Metafont logo font
Version: svn36898.1.002

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(mflogo.map) = %{tl_version}
Provides: tex(logo10.pfb) = %{tl_version}
Provides: tex(logo8.pfb) = %{tl_version}
Provides: tex(logo9.pfb) = %{tl_version}
Provides: tex(logobf10.pfb) = %{tl_version}
Provides: tex(logod10.pfb) = %{tl_version}
Provides: tex(logosl10.pfb) = %{tl_version}
Provides: tex(logosl8.pfb) = %{tl_version}
Provides: tex(logosl9.pfb) = %{tl_version}

%description mflogo-font
These fonts were created in Metafont by Knuth, for his own
publications. At some stage, the letters 'P' and 'S' were
added, so that the MetaPost logo could also be expressed. The
fonts were originally issued (of course) as Metafont source;
they have since been autotraced and reissued in Adobe Type 1
format by Taco Hoekwater.

%package mflogo-font-doc
Summary: Documentation for mflogo-font
Version: svn36898.1.002

Provides: tex-mflogo-font-doc
AutoReqProv: No

%description mflogo-font-doc
Documentation for mflogo-font

%package stmaryrd
Provides: tex-stmaryrd = %{tl_version}
License: LPPL
Summary: St Mary Road symbols for theoretical computer science
Version: svn22027.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(stmaryrd.map) = %{tl_version}
Provides: tex(stmary10.tfm) = %{tl_version}
Provides: tex(stmary5.tfm) = %{tl_version}
Provides: tex(stmary6.tfm) = %{tl_version}
Provides: tex(stmary7.tfm) = %{tl_version}
Provides: tex(stmary8.tfm) = %{tl_version}
Provides: tex(stmary9.tfm) = %{tl_version}
Provides: tex(stmary10.pfb) = %{tl_version}
Provides: tex(stmary5.pfb) = %{tl_version}
Provides: tex(stmary6.pfb) = %{tl_version}
Provides: tex(stmary7.pfb) = %{tl_version}
Provides: tex(stmary8.pfb) = %{tl_version}
Provides: tex(stmary9.pfb) = %{tl_version}
Provides: tex(Ustmry.fd) = %{tl_version}
Provides: tex(stmaryrd.sty) = %{tl_version}

%description stmaryrd
The fonts were originally distributed as Metafont sources only,
but Adobe Type 1 versions are also now available. Macro support
is provided for use under LaTeX; the package supports the
"only" option (provided by the somedefs package) to restrict
what is loaded, for those who don't need the whole font.

%package stmaryrd-doc
Summary: Documentation for stmaryrd
Version: svn22027.0

Provides: tex-stmaryrd-doc
AutoReqProv: No

%description stmaryrd-doc
Documentation for stmaryrd

%package jmn
Provides: tex-jmn = %{tl_version}
License: LPPL
Summary: jmn package
Version: svn22719.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hans.enc) = %{tl_version}
Provides: tex(hans.map) = %{tl_version}
Provides: tex(hans-sh.tfm) = %{tl_version}
Provides: tex(hans.tfm) = %{tl_version}
Provides: tex(hans-sh.pfb) = %{tl_version}
Provides: tex(hans.pfb) = %{tl_version}

%description jmn
jmn package

%package context-account
Provides: tex-context-account = %{tl_version}
License: Public Domain
Summary: A simple accounting package
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-account.tex) = %{tl_version}
Provides: tex(t-floatnumber.tex) = %{tl_version}

%description context-account
The package deals with "accounts" of its own specification.

%package context-account-doc
Summary: Documentation for context-account
Version: svn23167.0

Provides: tex-context-account-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-account-doc
Documentation for context-account

%package context-algorithmic
Provides: tex-context-algorithmic = %{tl_version}
License: GPL+
Summary: Algorithm handling in ConTeXt
Version: svn31026.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-algorithmic
Support for typesetting algorithms (a port of the LaTeX package
algorithmic, which was a predecessor of algorithmicx).

%package context-animation
Provides: tex-context-animation = %{tl_version}
License: GPLv3+
Summary: Generate fieldstack based animation with ConTeXt
Version: svn36188.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-animation
The package is a port, to Context (mkvi), of the corresponding
LaTeX package.

%package context-animation-doc
Summary: Documentation for context-animation
Version: svn36188.0

Provides: tex-context-animation-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-animation-doc
Documentation for context-animation

%package context-annotation
Provides: tex-context-annotation = %{tl_version}
License: LPPL
Summary: context-annotation package
Version: svn36188.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-annotation
context-annotation package

%package context-annotation-doc
Summary: Documentation for context-annotation
Version: svn36188.0

Provides: tex-context-annotation-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-annotation-doc
Documentation for context-annotation

%package context-bnf
Provides: tex-context-bnf = %{tl_version}
License: GPL+
Summary: A BNF module for Context
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-bnf.tex) = %{tl_version}

%description context-bnf
The module provides a simple way to write good-looking BNF-
style grammars in ConTeXt. Grammars are written using the BNF
syntax right in your ConTeXt documents, so there is a clear
separation between content and layout. This allows the user to
decide exactly how the grammar is to be displayed, while also
allowing the gist of the grammar to be understood from simply
looking at the source ConTeXt document.

%package context-bnf-doc
Summary: Documentation for context-bnf
Version: svn23167.0

Provides: tex-context-bnf-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-bnf-doc
Documentation for context-bnf

%package context-chromato
Provides: tex-context-chromato = %{tl_version}
License: GPL+
Summary: ConTeXt macros for chromatograms
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-chromato.tex) = %{tl_version}

%description context-chromato
The module provides macros for drawing chromatograms.

%package context-chromato-doc
Summary: Documentation for context-chromato
Version: svn23167.0

Provides: tex-context-chromato-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-chromato-doc
Documentation for context-chromato

%package context-construction-plan
Provides: tex-context-construction-plan = %{tl_version}
License: GPL+
Summary: Construction plans in ConTeXt
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-construction-plan.tex) = %{tl_version}

%description context-construction-plan
Generate a page with a figure at a well-defined scale.

%package context-construction-plan-doc
Summary: Documentation for context-construction-plan
Version: svn23167.0

Provides: tex-context-construction-plan-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-construction-plan-doc
Documentation for context-construction-plan

%package context-cyrillicnumbers
Provides: tex-context-cyrillicnumbers = %{tl_version}
License: BSD
Summary: Write numbers as cyrillic glyphs
Version: svn29905.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-cyrillicnumbers
The package extends Context's system of number conversion, by
adding numeration using cyrillic letters.

%package context-cyrillicnumbers-doc
Summary: Documentation for context-cyrillicnumbers
Version: svn29905.0

Provides: tex-context-cyrillicnumbers-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-cyrillicnumbers-doc
Documentation for context-cyrillicnumbers

%package context-degrade
Provides: tex-context-degrade = %{tl_version}
License: GPL+
Summary: Degrading JPEG images in ConTeXt
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-degrade.tex) = %{tl_version}

%description context-degrade
context-degrade package

%package context-degrade-doc
Summary: Documentation for context-degrade
Version: svn23167.0

Provides: tex-context-degrade-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-degrade-doc
Documentation for context-degrade

%package context-fancybreak
Provides: tex-context-fancybreak = %{tl_version}
License: GPL+
Summary: Overfull pages with ConTeXt
Version: svn36948.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-fancybreak
The (ConTeXt) module allows insertion of thought breaks in
texts. With parameters one can adjust the spacing around the
content and set a default symbol.

%package context-fancybreak-doc
Summary: Documentation for context-fancybreak
Version: svn36948.0

Provides: tex-context-fancybreak-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-fancybreak-doc
Documentation for context-fancybreak

%package context-filter
Provides: tex-context-filter = %{tl_version}
License: BSD
Summary: Run external programs on the contents of a start-stop environment
Version: svn42326
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-context
Provides: tex(t-module-catcodes.tex) = %{tl_version}

%description context-filter
The filter module provides a simple interface to run external
programs on the contents of a start-stop environment. Options
are available to run the external program only if the content
of the environment has changed, to specify how the program
output should be read back, and to choose the name of the
temporary files that are created. The module is compatible with
both MkII and MkIV.

%package context-filter-doc
Summary: Documentation for context-filter
Version: svn42326
Provides: tex-context-filter-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-filter-doc
Documentation for context-filter

%package context-french
Provides: tex-context-french = %{tl_version}
License: GPL+
Summary: Support for writing French in ConTeXt
Version: svn24582.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-french
Deals with spacing around French punctuation; the package is
distributed for ConTeXt Mark iv only.

%package context-french-doc
Summary: Documentation for context-french
Version: svn24582.0

Provides: tex-context-french-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-french-doc
Documentation for context-french

%package context-fullpage
Provides: tex-context-fullpage = %{tl_version}
License: GPL+
Summary: Overfull pages with ConTeXt
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-fullpage
The (ConTeXt) module copies the functionality of the fullpage,
and adds a styling parameter, given in the \usemodule command

%package context-fullpage-doc
Summary: Documentation for context-fullpage
Version: svn23167.0

Provides: tex-context-fullpage-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-fullpage-doc
Documentation for context-fullpage

%package skaknew
Provides: tex-skaknew = %{tl_version}
License: LPPL
Summary: The skak chess fonts redone in Adobe Type 1
Version: svn20031.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(SkakNew.map) = %{tl_version}
Provides: tex(AlphaDia.otf) = %{tl_version}
Provides: tex(SkakNew-Diagram.otf) = %{tl_version}
Provides: tex(SkakNew-DiagramT.otf) = %{tl_version}
Provides: tex(SkakNew-Figurine.otf) = %{tl_version}
Provides: tex(SkakNew-FigurineBold.otf) = %{tl_version}
Provides: tex(AlphaDia.tfm) = %{tl_version}
Provides: tex(SkakNew-Diagram.tfm) = %{tl_version}
Provides: tex(SkakNew-DiagramT.tfm) = %{tl_version}
Provides: tex(SkakNew-Figurine.tfm) = %{tl_version}
Provides: tex(SkakNew-FigurineBold.tfm) = %{tl_version}
Provides: tex(AlphaDia.pfb) = %{tl_version}
Provides: tex(SkakNew-Diagram.pfb) = %{tl_version}
Provides: tex(SkakNew-DiagramT.pfb) = %{tl_version}
Provides: tex(SkakNew-Figurine.pfb) = %{tl_version}
Provides: tex(SkakNew-FigurineBold.pfb) = %{tl_version}

%description skaknew
This package offers Adobe Type 1 versions of the fonts provided
as Metafont source by the skak bundle.

%package skaknew-doc
Summary: Documentation for skaknew
Version: svn20031.0

Provides: tex-skaknew-doc
AutoReqProv: No

%description skaknew-doc
Documentation for skaknew

%package context-gantt
Provides: tex-context-gantt = %{tl_version}
License: Public Domain
Summary: GANTT module for ConTeXt
Version: svn27472.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Requires: tex-hatching
Provides: tex(gantt-s-mp.tex) = %{tl_version}
Provides: tex(gantt-s-tikz.tex) = %{tl_version}
Provides: tex(t-gantt.tex) = %{tl_version}

%description context-gantt
Gantt is a module for drawing Gantt charts via metapost or
pgf/tikz.

%package context-gantt-doc
Summary: Documentation for context-gantt
Version: svn27472.0

Provides: tex-context-gantt-doc
AutoReqProv: No
Requires: tex-context-doc
Requires: tex-hatching-doc

%description context-gantt-doc
Documentation for context-gantt

%package hatching
Provides: tex-hatching = %{tl_version}
License: Public Domain
Summary: MetaPost macros for hatching interior of closed paths
Version: svn23818.0.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description hatching
The file hatching.mp contains a set of MetaPost macros for
hatching interior of closed paths. Examples of usage are
included.

%package hatching-doc
Summary: Documentation for hatching
Version: svn23818.0.11

Provides: tex-hatching-doc
AutoReqProv: No

%description hatching-doc
Documentation for hatching

%package context-gnuplot
Provides: tex-context-gnuplot = %{tl_version}
License: GPL+
Summary: Inclusion of Gnuplot graphs in ConTeXt
Version: svn30380.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-gnuplot
Enables simple creation and inclusion of graphs with Gnuplot.
The package writes a script into temporary file, runs Gnuplot
and includes the resulting graphic directly into the document.
See the ConTeXt Garden package page for further details.

%package context-gnuplot-doc
Summary: Documentation for context-gnuplot
Version: svn30380.0

Provides: tex-context-gnuplot-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-gnuplot-doc
Documentation for context-gnuplot

%package context-letter
Provides: tex-context-letter = %{tl_version}
License: GPL+
Summary: ConTeXt package for writing letters
Version: svn38202.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-letter
A means of writing 'vanilla' letters and memos is provided,
with support covering ConTeXt Mkii and Mkiv. The design of
letters may be amended by a wide range of style specifications.

%package context-letter-doc
Summary: Documentation for context-letter
Version: svn38202.0

Provides: tex-context-letter-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-letter-doc
Documentation for context-letter

%package context-lettrine
Provides: tex-context-lettrine = %{tl_version}
License: Public Domain
Summary: A ConTeXt implementation of lettrines
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-lettrine.tex) = %{tl_version}

%description context-lettrine
This is a re-implementation of the LaTeX package lettrine.

%package context-lettrine-doc
Summary: Documentation for context-lettrine
Version: svn23167.0

Provides: tex-context-lettrine-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-lettrine-doc
Documentation for context-lettrine

%package context-mathsets
Provides: tex-context-mathsets = %{tl_version}
License: BSD
Summary: Set notation in ConTeXt
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-mathsets.tex) = %{tl_version}

%description context-mathsets
Typeset good-looking set notation (e.g., {x|x \in Y}), as well
as similar things such as Dirac bra-ket notation, conditional
probabilities, etc. The package is at least inspired by braket.

%package context-mathsets-doc
Summary: Documentation for context-mathsets
Version: svn23167.0

Provides: tex-context-mathsets-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-mathsets-doc
Documentation for context-mathsets

%package context-notes-zh-cn
Provides: tex-context-notes-zh-cn = %{tl_version}
License: GPL+
Summary: Notes on using ConTeXt MkIV
Version: svn23171.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-context

%description context-notes-zh-cn
An introductory tutorial on ConTeXt, in Chinese. The document
covers ConTeXt installation, fonts, layout design, cross-
reference, project structure, metafun and presentation design.

%package context-notes-zh-cn-doc
Summary: Documentation for context-notes-zh-cn
Version: svn23171.0

Provides: tex-context-notes-zh-cn-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-notes-zh-cn-doc
Documentation for context-notes-zh-cn

%package context-rst
Provides: tex-context-rst = %{tl_version}
License: BSD
Summary: Process reStructuredText with ConTeXt
Version: svn33092.0.6c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-rst
The package provides a converter and module for typesetting
reStructuredText with ConTeXt. The module uses several lua
scripts in doing its work. Documentation is supplied in rst,
which seems to be readable as text, but...

%package context-rst-doc
Summary: Documentation for context-rst
Version: svn33092.0.6c

Provides: tex-context-rst-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-rst-doc
Documentation for context-rst

%package context-ruby
Provides: tex-context-ruby = %{tl_version}
License: Public Domain
Summary: Ruby annotations in ConTeXt
Version: svn28434.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-ruby
Ruby markup (aka furigana in Japan) are inline annotations
above or below a word to indicate the reading of ideographic
characters. The module implements the W3C specification for
simple ruby in ConTeXt. The position and layout of the base
text and the ruby text can becontrolled by parameters.

%package context-ruby-doc
Summary: Documentation for context-ruby
Version: svn28434.0

Provides: tex-context-ruby-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-ruby-doc
Documentation for context-ruby

%package context-simplefonts
Provides: tex-context-simplefonts = %{tl_version}
License: GPL+
Summary: Simplified font usage for ConTeXt
Version: svn29229.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-simplefonts
The package defines a set of commands for loading and using
fonts in ConTeXt.

%package context-simplefonts-doc
Summary: Documentation for context-simplefonts
Version: svn29229.0

Provides: tex-context-simplefonts-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-simplefonts-doc
Documentation for context-simplefonts

%package context-simpleslides
Provides: tex-context-simpleslides = %{tl_version}
License: LPPL
Summary: context-simpleslides package
Version: svn34438.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(s-simpleslides-BigNumber.tex) = %{tl_version}
Provides: tex(s-simpleslides-BlackBoard.tex) = %{tl_version}
Provides: tex(s-simpleslides-BottomSquares.tex) = %{tl_version}
Provides: tex(s-simpleslides-Boxed.tex) = %{tl_version}
Provides: tex(s-simpleslides-BoxedTitle.tex) = %{tl_version}
Provides: tex(s-simpleslides-Ellipse.tex) = %{tl_version}
Provides: tex(s-simpleslides-Embossed.tex) = %{tl_version}
Provides: tex(s-simpleslides-Framed.tex) = %{tl_version}
Provides: tex(s-simpleslides-FramedTitle.tex) = %{tl_version}
Provides: tex(s-simpleslides-FuzzyFrame.tex) = %{tl_version}
Provides: tex(s-simpleslides-FuzzyTopic.tex) = %{tl_version}
Provides: tex(s-simpleslides-HorizontalStripes.tex) = %{tl_version}
Provides: tex(s-simpleslides-NarrowStripes.tex) = %{tl_version}
Provides: tex(s-simpleslides-PlainCounter.tex) = %{tl_version}
Provides: tex(s-simpleslides-RainbowStripe.tex) = %{tl_version}
Provides: tex(s-simpleslides-Rounded.tex) = %{tl_version}
Provides: tex(s-simpleslides-Shaded.tex) = %{tl_version}
Provides: tex(s-simpleslides-SideSquares.tex) = %{tl_version}
Provides: tex(s-simpleslides-SideToc.tex) = %{tl_version}
Provides: tex(s-simpleslides-Split.tex) = %{tl_version}
Provides: tex(s-simpleslides-Sunrise.tex) = %{tl_version}
Provides: tex(s-simpleslides-Swoosh.tex) = %{tl_version}
Provides: tex(s-simpleslides-ThickStripes.tex) = %{tl_version}
Provides: tex(s-simpleslides-default.tex) = %{tl_version}

%description context-simpleslides
context-simpleslides package

%package context-simpleslides-doc
Summary: Documentation for context-simpleslides
Version: svn34438.0

Provides: tex-context-simpleslides-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-simpleslides-doc
Documentation for context-simpleslides

%package context-title
Provides: tex-context-title = %{tl_version}
License: LPPL
Summary: context-title package
Version: svn36189.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-title
context-title package

%package context-title-doc
Summary: Documentation for context-title
Version: svn36189.0

Provides: tex-context-title-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-title-doc
Documentation for context-title

%package context-transliterator
Provides: tex-context-transliterator = %{tl_version}
License: BSD
Summary: Transliterate text from 'other' alphabets
Version: svn29801.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-transliterator.tex) = %{tl_version}

%description context-transliterator
The package will read text in one alphabet, and provide a
transliterated version in another; this is useful for readers
who cannot read the original alphabet. The package can make
allowance for hyphenation.

%package context-transliterator-doc
Summary: Documentation for context-transliterator
Version: svn29801.0

Provides: tex-context-transliterator-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-transliterator-doc
Documentation for context-transliterator

%package context-typearea
Provides: tex-context-typearea = %{tl_version}
License: GPL+
Summary: Something like Koma-Script typearea
Version: svn23167.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context
Provides: tex(t-typearea.tex) = %{tl_version}

%description context-typearea
The module provides a command that calculates the page layout
as the LaTeX package typearea does.

%package context-typearea-doc
Summary: Documentation for context-typearea
Version: svn23167.0

Provides: tex-context-typearea-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-typearea-doc
Documentation for context-typearea

%package context-typescripts
Provides: tex-context-typescripts = %{tl_version}
License: GPLv2+
Summary: Small modules to load various fonts for use in ConTeXt
Version: svn25411.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-typescripts
The package provides files offering interfaces to 33 publicly
available fonts (or collections of fonts from the same
foundry); each is available in a .mkii and a .mkiv version.

%package context-typescripts-doc
Summary: Documentation for context-typescripts
Version: svn25411.0

Provides: tex-context-typescripts-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-typescripts-doc
Documentation for context-typescripts

%package context-vim
Provides: tex-context-vim = %{tl_version}
License: BSD
Summary: Generate Context syntax highlighting code from vim
Version: svn37413.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context-filter
Requires: tex-context
Provides: tex(t-syntax-groups.tex) = %{tl_version}
Provides: tex(t-vim.tex) = %{tl_version}

%description context-vim
ConTeXt has excellent pretty printing capabilities for many
languages. The code for pretty printing is written in TeX, and
due to catcode juggling, such verbatim typesetting is perhaps
the trickiest part of TeX. This makes it difficult for a
"normal" user to define syntax highlighting rules for a new
language. This module takes the onus of defining syntax
highlighting rules away from the user and uses ViM editor to
generate the syntax highlighting. There is a helper
2context.vim script to do the syntax parsing in ViM.

%package context-vim-doc
Summary: Documentation for context-vim
Version: svn37413.0

Provides: tex-context-vim-doc
AutoReqProv: No
Requires: tex-context-filter-doc
Requires: tex-context-doc

%description context-vim-doc
Documentation for context-vim

%package context-visualcounter
Provides: tex-context-visualcounter = %{tl_version}
License: LPPL
Summary: context-visualcounter package
Version: svn36190.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-context

%description context-visualcounter
context-visualcounter package

%package context-visualcounter-doc
Summary: Documentation for context-visualcounter
Version: svn36190.0

Provides: tex-context-visualcounter-doc
AutoReqProv: No
Requires: tex-context-doc

%description context-visualcounter-doc
Documentation for context-visualcounter

%package collection-fontsextra
Summary: Additional fonts
Version: svn45445
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-asana-math
Requires: texlive-academicons
Requires: texlive-accanthis
Requires: texlive-adforn
Requires: texlive-adfsymbols
Requires: texlive-aecc
Requires: texlive-alegreya
Requires: texlive-algolrevived
Requires: texlive-allrunes
Requires: texlive-almfixed
Requires: texlive-anonymouspro
Requires: texlive-antiqua
Requires: texlive-antt
Requires: texlive-archaic
Requires: texlive-arev
Requires: texlive-arimo
Requires: texlive-asapsym
Requires: texlive-ascii-font
Requires: texlive-aspectratio
Requires: texlive-astro
Requires: texlive-augie
Requires: texlive-auncial-new
Requires: texlive-aurical
Requires: texlive-b1encoding
Requires: texlive-barcodes
Requires: texlive-baskervald
Requires: texlive-baskervaldx
Requires: texlive-baskervillef
Requires: texlive-bbding
Requires: texlive-bbm
Requires: texlive-bbm-macros
Requires: texlive-bbold
Requires: texlive-bbold-type1
Requires: texlive-belleek
Requires: texlive-bera
Requires: texlive-berenisadf
Requires: texlive-beuron
Requires: texlive-bguq
Requires: texlive-blacklettert1
Requires: texlive-boisik
Requires: texlive-bookhands
Requires: texlive-boondox
Requires: texlive-braille
Requires: texlive-brushscr
Requires: texlive-cabin
Requires: texlive-caladea
Requires: texlive-calligra
Requires: texlive-calligra-type1
Requires: texlive-cantarell
Requires: texlive-carlito
Requires: texlive-carolmin-ps
Requires: texlive-ccicons
Requires: texlive-cfr-initials
Requires: texlive-cfr-lm
Requires: texlive-cherokee
Requires: texlive-chivo
Requires: texlive-cinzel
Requires: texlive-clearsans
Requires: texlive-cm-lgc
Requires: texlive-cm-unicode
Requires: texlive-cmbright
Requires: texlive-cmexb
Requires: texlive-cmll
Requires: texlive-cmpica
Requires: texlive-cmtiup
Requires: texlive-cochineal
Requires: texlive-comfortaa
Requires: texlive-comicneue
Requires: texlive-concmath-fonts
Requires: texlive-cookingsymbols
Requires: texlive-cormorantgaramond
Requires: texlive-countriesofeurope
Requires: texlive-courier-scaled
Requires: texlive-crimson
Requires: texlive-cryst
Requires: texlive-cyklop
Requires: texlive-dancers
Requires: texlive-dantelogo
Requires: texlive-dejavu
Requires: texlive-dice
Requires: texlive-dictsym
Requires: texlive-dingbat
Requires: texlive-doublestroke
Requires: texlive-dozenal
Requires: texlive-drm
Requires: texlive-droid
Requires: texlive-duerer
Requires: texlive-duerer-latex
Requires: texlive-dutchcal
Requires: texlive-ean
Requires: texlive-ebgaramond
Requires: texlive-ebgaramond-maths
Requires: texlive-ecc
Requires: texlive-eco
Requires: texlive-eiad
Requires: texlive-eiad-ltx
Requires: texlive-electrum
Requires: texlive-elvish
Requires: texlive-epigrafica
Requires: texlive-epsdice
Requires: texlive-erewhon
Requires: texlive-esrelation
Requires: texlive-esstix
Requires: texlive-esvect
Requires: texlive-eulervm
Requires: texlive-euxm
Requires: texlive-fbb
Requires: texlive-fdsymbol
Requires: texlive-fetamont
Requires: texlive-feyn
Requires: texlive-fge
Requires: texlive-fira
Requires: texlive-foekfont
Requires: texlive-fonetika
Requires: texlive-fontawesome
Requires: texlive-fontmfizz
Requires: texlive-fonts-churchslavonic
Requires: texlive-fourier
Requires: texlive-fouriernc
Requires: texlive-frcursive
Requires: texlive-frederika2016
Requires: texlive-genealogy
Requires: texlive-gentium-tug
Requires: texlive-gfsartemisia
Requires: texlive-gfsbodoni
Requires: texlive-gfscomplutum
Requires: texlive-gfsdidot
Requires: texlive-gfsneohellenic
Requires: texlive-gfssolomos
Requires: texlive-gillcm
Requires: texlive-gillius
Requires: texlive-gnu-freefont
Requires: texlive-gofonts
Requires: texlive-gothic
Requires: texlive-greenpoint
Requires: texlive-grotesq
Requires: texlive-hacm
Requires: texlive-hands
Requires: texlive-heuristica
Requires: texlive-hfbright
Requires: texlive-hfoldsty
Requires: texlive-ifsym
Requires: texlive-imfellenglish
Requires: texlive-inconsolata
Requires: texlive-initials
Requires: texlive-ipaex-type1
Requires: texlive-iwona
Requires: texlive-jablantile
Requires: texlive-jamtimes
Requires: texlive-junicode
Requires: texlive-kixfont
# Requires: tex-knuthotherfonts
Requires: texlive-kpfonts
Requires: texlive-kurier
Requires: texlive-lato
Requires: texlive-lfb
Requires: texlive-libertine
Requires: texlive-libertinegc
Requires: texlive-libertinus
Requires: texlive-libertinust1math
Requires: texlive-librebaskerville
Requires: texlive-librebodoni
Requires: texlive-librecaslon
Requires: texlive-libris
Requires: texlive-lineara
Requires: texlive-lobster2
Requires: texlive-lxfonts
Requires: texlive-ly1
Requires: texlive-mathabx
Requires: texlive-mathabx-type1
Requires: texlive-mathdesign
Requires: texlive-mdputu
Requires: texlive-mdsymbol
Requires: texlive-merriweather
Requires: texlive-miama
Requires: texlive-mintspirit
Requires: texlive-missaali
Requires: texlive-mnsymbol
Requires: texlive-montserrat
Requires: texlive-mweights
Requires: texlive-newpx
Requires: texlive-newtx
Requires: texlive-newtxsf
Requires: texlive-newtxtt
Requires: texlive-niceframe-type1
Requires: texlive-nimbus15
Requires: texlive-nkarta
Requires: texlive-noto
Requires: texlive-obnov
Requires: texlive-ocherokee
Requires: texlive-ocr-b
Requires: texlive-ocr-b-outline
Requires: texlive-ogham
Requires: texlive-oinuit
Requires: texlive-old-arrows
Requires: texlive-oldlatin
Requires: texlive-oldstandard
Requires: texlive-opensans
Requires: texlive-orkhun
Requires: texlive-overlock
Requires: texlive-pacioli
Requires: texlive-paratype
Requires: texlive-phaistos
Requires: texlive-phonetic
Requires: texlive-pigpen
Requires: texlive-playfair
Requires: texlive-poltawski
Requires: texlive-prodint
Requires: texlive-punk
Requires: texlive-punk-latex
Requires: texlive-punknova
Requires: texlive-pxtxalfa
Requires: texlive-quattrocento
Requires: texlive-raleway
Requires: texlive-recycle
Requires: texlive-roboto
Requires: texlive-romande
Requires: texlive-rosario
Requires: texlive-rsfso
Requires: texlive-sansmathaccent
Requires: texlive-sansmathfonts
Requires: texlive-sauter
Requires: texlive-sauterfonts
Requires: texlive-schulschriften
Requires: texlive-semaphor
Requires: texlive-shobhika
Requires: texlive-skull
Requires: texlive-sourcecodepro
Requires: texlive-sourcesanspro
Requires: texlive-sourceserifpro
Requires: texlive-starfont
Requires: texlive-staves
Requires: texlive-stix
Requires: texlive-superiors
Requires: texlive-svrsymbols
Requires: texlive-tapir
Requires: texlive-tempora
Requires: texlive-tengwarscript
Requires: texlive-tfrupee
Requires: texlive-tpslifonts
Requires: texlive-trajan
Requires: texlive-txfontsb
Requires: texlive-txuprcal
Requires: texlive-typicons
Requires: texlive-umtypewriter
Requires: texlive-universa
Requires: texlive-universalis
Requires: texlive-urwchancal
Requires: texlive-venturisadf
Requires: texlive-wsuipa
Requires: texlive-xcharter
Requires: texlive-xits
Requires: texlive-yfonts
Requires: texlive-yfonts-t1
Requires: texlive-yinit-otf
Requires: texlive-zlmtt

%description collection-fontsextra
collection-fontsextra package

%package comfortaa
Provides: tex-comfortaa = %{tl_version}
License: LPPL 1.3
Summary: Sans serif font, with LaTeX support
Version: svn27536.2.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Requires: tex(slantsc.sty)
Provides: tex(comfortaa-01.enc) = %{tl_version}
Provides: tex(comfortaa-02.enc) = %{tl_version}
Provides: tex(comfortaa-03.enc) = %{tl_version}
Provides: tex(comfortaa-dotlessj.enc) = %{tl_version}
Provides: tex(comfortaa.map) = %{tl_version}
Provides: tex(Comfortaa-Bold-01.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-02.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-03.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-01.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-02.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-03.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-dotlessj.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-dotlessj.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-ts1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-01.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-02.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-03.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-01.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-02.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-03.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-dotlessj.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-dotlessj.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-ts1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Light-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-01.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-02.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-03.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-01.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-02.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-03.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-dotlessj.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-dotlessj.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-lgr.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-ot1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-t1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-t2a.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-t2b.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-t2c.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-ts1.tfm) = %{tl_version}
Provides: tex(Comfortaa-Regular-x2.tfm) = %{tl_version}
Provides: tex(Comfortaa-Bold.ttf) = %{tl_version}
Provides: tex(Comfortaa-Light.ttf) = %{tl_version}
Provides: tex(Comfortaa-Regular.ttf) = %{tl_version}
Provides: tex(Comfortaa-Bold-LCDFJ.pfb) = %{tl_version}
Provides: tex(Comfortaa-Bold.pfb) = %{tl_version}
Provides: tex(Comfortaa-Light-LCDFJ.pfb) = %{tl_version}
Provides: tex(Comfortaa-Light.pfb) = %{tl_version}
Provides: tex(Comfortaa-Regular-LCDFJ.pfb) = %{tl_version}
Provides: tex(Comfortaa-Regular.pfb) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-ts1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-Slanted-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-ts1.vf) = %{tl_version}
Provides: tex(Comfortaa-Bold-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-ts1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-Slanted-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-ts1.vf) = %{tl_version}
Provides: tex(Comfortaa-Light-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-ts1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-Slanted-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-lgr.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-ot1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-t1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-t2a.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-t2b.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-t2c.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-ts1.vf) = %{tl_version}
Provides: tex(Comfortaa-Regular-x2.vf) = %{tl_version}
Provides: tex(comfortaa.sty) = %{tl_version}
Provides: tex(lgrfco.fd) = %{tl_version}
Provides: tex(ot1fco.fd) = %{tl_version}
Provides: tex(t1fco.fd) = %{tl_version}
Provides: tex(t2afco.fd) = %{tl_version}
Provides: tex(t2bfco.fd) = %{tl_version}
Provides: tex(t2cfco.fd) = %{tl_version}
Provides: tex(ts1fco.fd) = %{tl_version}
Provides: tex(x2fco.fd) = %{tl_version}

%description comfortaa
Comfortaa is a sans-serif font, comfortable in every aspect,
designed by Johan Aakerlund. The font, which includes three
weights (thin, regular and bold), is available on Johan's
deviantArt web page as TrueType files under the Open Font
License version 1.1. This package provides support for this
font in LaTeX, and includes both the TrueType fonts, and
conversions to Adobe Type 1 format.

%package comfortaa-doc
Summary: Documentation for comfortaa
Version: svn27536.2.3

Provides: tex-comfortaa-doc
AutoReqProv: No

%description comfortaa-doc
Documentation for comfortaa

%package comicneue
Provides: tex-comicneue = %{tl_version}
License: OFL
Summary: Use Comic Neue with TeX(-alike) systems
Version: svn42851
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(mweights.sty)
Provides: tex(a_bs6yxn.enc) = %{tl_version}
Provides: tex(a_lfux4u.enc) = %{tl_version}
Provides: tex(a_t3s7zg.enc) = %{tl_version}
Provides: tex(a_yvpaqy.enc) = %{tl_version}
Provides: tex(ComicNeue.map) = %{tl_version}
Provides: tex(ComicNeueAngular.map) = %{tl_version}
Provides: tex(ComicNeue-Angular_Bold.otf) = %{tl_version}
Provides: tex(ComicNeue-Angular_Bold_Oblique.otf) = %{tl_version}
Provides: tex(ComicNeue-Angular_Light.otf) = %{tl_version}
Provides: tex(ComicNeue-Angular_Light_Oblique.otf) = %{tl_version}
Provides: tex(ComicNeue-Angular_Regular.otf) = %{tl_version}
Provides: tex(ComicNeue-Angular_Regular_Oblique.otf) = %{tl_version}
Provides: tex(ComicNeue_Bold.otf) = %{tl_version}
Provides: tex(ComicNeue_Bold_Oblique.otf) = %{tl_version}
Provides: tex(ComicNeue_Light.otf) = %{tl_version}
Provides: tex(ComicNeue_Light_Oblique.otf) = %{tl_version}
Provides: tex(ComicNeue_Regular.otf) = %{tl_version}
Provides: tex(ComicNeue_Regular_Oblique.otf) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeue-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-t1.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(ComicNeue-Bold.pfb) = %{tl_version}
Provides: tex(ComicNeue-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique.pfb) = %{tl_version}
Provides: tex(ComicNeue-BoldObliqueLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeue-Light.pfb) = %{tl_version}
Provides: tex(ComicNeue-LightLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeue-LightOblique.pfb) = %{tl_version}
Provides: tex(ComicNeue-LightObliqueLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeue-Oblique.pfb) = %{tl_version}
Provides: tex(ComicNeue-ObliqueLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeue.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldObliqueLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-Light.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-LightLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-LightObliqueLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular-ObliqueLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeueAngular.pfb) = %{tl_version}
Provides: tex(ComicNeueAngularLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeueLCDFJ.pfb) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeue-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeue-BoldOblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeue-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeue-LightOblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeue-Oblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeue-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeue-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeue-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeue-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-BoldOblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-LightOblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-Oblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ly1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ot1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-t1.vf) = %{tl_version}
Provides: tex(ComicNeueAngular-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1ComicNeue-TLF.fd) = %{tl_version}
Provides: tex(LY1ComicNeueAngular-TLF.fd) = %{tl_version}
Provides: tex(OT1ComicNeue-TLF.fd) = %{tl_version}
Provides: tex(OT1ComicNeueAngular-TLF.fd) = %{tl_version}
Provides: tex(T1ComicNeue-TLF.fd) = %{tl_version}
Provides: tex(T1ComicNeueAngular-TLF.fd) = %{tl_version}
Provides: tex(TS1ComicNeue-TLF.fd) = %{tl_version}
Provides: tex(TS1ComicNeueAngular-TLF.fd) = %{tl_version}
Provides: tex(comicneue.sty) = %{tl_version}

%description comicneue
Comic Neue is a well-known redesign of the (in)famous Comic
Sans font. The package provides the original OpenType font for
XeTeX and LuaTeX users, and also has converted Type1 files for
pdfTeX users. Issues with this package can be reported on
GitHub or emailed to tex@slxh.nl.

%package comicneue-doc
Summary: Documentation for comicneue
Version: svn42851
Provides: tex-comicneue-doc
AutoReqProv: No

%description comicneue-doc
Documentation for comicneue

%package concmath-fonts
Provides: tex-concmath-fonts = %{tl_version}
License: LPPL
Summary: Concrete mathematics fonts
Version: svn17218.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xccam10.tfm) = %{tl_version}
Provides: tex(xccam5.tfm) = %{tl_version}
Provides: tex(xccam6.tfm) = %{tl_version}
Provides: tex(xccam7.tfm) = %{tl_version}
Provides: tex(xccam8.tfm) = %{tl_version}
Provides: tex(xccam9.tfm) = %{tl_version}
Provides: tex(xccbm10.tfm) = %{tl_version}
Provides: tex(xccbm5.tfm) = %{tl_version}
Provides: tex(xccbm6.tfm) = %{tl_version}
Provides: tex(xccbm7.tfm) = %{tl_version}
Provides: tex(xccbm8.tfm) = %{tl_version}
Provides: tex(xccbm9.tfm) = %{tl_version}
Provides: tex(xccex10.tfm) = %{tl_version}
Provides: tex(xccex7.tfm) = %{tl_version}
Provides: tex(xccex8.tfm) = %{tl_version}
Provides: tex(xccex9.tfm) = %{tl_version}
Provides: tex(xccmi10.tfm) = %{tl_version}
Provides: tex(xccmi5.tfm) = %{tl_version}
Provides: tex(xccmi6.tfm) = %{tl_version}
Provides: tex(xccmi7.tfm) = %{tl_version}
Provides: tex(xccmi8.tfm) = %{tl_version}
Provides: tex(xccmi9.tfm) = %{tl_version}
Provides: tex(xccsy10.tfm) = %{tl_version}
Provides: tex(xccsy5.tfm) = %{tl_version}
Provides: tex(xccsy6.tfm) = %{tl_version}
Provides: tex(xccsy7.tfm) = %{tl_version}
Provides: tex(xccsy8.tfm) = %{tl_version}
Provides: tex(xccsy9.tfm) = %{tl_version}

%description concmath-fonts
The fonts are derived from the computer modern mathematics
fonts and from Knuth's Concrete Roman fonts; they are
distributed as Metafont source. LaTeX support is offered by the
concmath package.

%package concmath-fonts-doc
Summary: Documentation for concmath-fonts
Version: svn17218.0

Provides: tex-concmath-fonts-doc
AutoReqProv: No

%description concmath-fonts-doc
Documentation for concmath-fonts

%package cookingsymbols
Provides: tex-cookingsymbols = %{tl_version}
License: LPPL
Summary: Symbols for recipes
Version: svn35929.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cookingsymbols.tfm) = %{tl_version}
Provides: tex(cookingsymbols.sty) = %{tl_version}

%description cookingsymbols
The package provides 11 symbols for typesetting recipes: oven,
gasstove, topheat, fanoven, gloves and dish symbol (among
others). The symbols are defined using Metafont.

%package cookingsymbols-doc
Summary: Documentation for cookingsymbols
Version: svn35929.1.1

Provides: tex-cookingsymbols-doc
AutoReqProv: No

%description cookingsymbols-doc
Documentation for cookingsymbols

%package countriesofeurope
Provides: tex-countriesofeurope = %{tl_version}
License: LPPL
Summary: A font with the images of the countries of Europe
Version: svn26042.0.21

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Provides: tex(CountriesOfEurope.enc) = %{tl_version}
Provides: tex(CountriesOfEurope.map) = %{tl_version}
Provides: tex(CountriesOfEurope.tfm) = %{tl_version}
Provides: tex(CountriesOfEurope.pfb) = %{tl_version}
Provides: tex(CountriesOfEurope.sty) = %{tl_version}

%description countriesofeurope
The bundle provides a font "CountriesOfEurope" (in Adobe Type 1
format) and the necessary metrics, together with LaTeX macros
for its use. The font provides glyphs with a filled outline of
the shape of each country; each glyph is at the same
cartographic scale.

%package countriesofeurope-doc
Summary: Documentation for countriesofeurope
Version: svn26042.0.21

Provides: tex-countriesofeurope-doc
AutoReqProv: No

%description countriesofeurope-doc
Documentation for countriesofeurope

%package courier-scaled
Provides: tex-courier-scaled = %{tl_version}
License: LPPL 1.2
Summary: Provides a scaled Courier font
Version: svn24940.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(8rpcrs.fd) = %{tl_version}
Provides: tex(couriers.sty) = %{tl_version}
Provides: tex(il2pcrs.fd) = %{tl_version}
Provides: tex(ly1pcrs.fd) = %{tl_version}
Provides: tex(omlpcrs.fd) = %{tl_version}
Provides: tex(omspcrs.fd) = %{tl_version}
Provides: tex(ot1pcrs.fd) = %{tl_version}
Provides: tex(t1pcrs.fd) = %{tl_version}
Provides: tex(t5pcrs.fd) = %{tl_version}
Provides: tex(ts1pcrs.fd) = %{tl_version}
Provides: tex(xl2pcrs.fd) = %{tl_version}

%description courier-scaled
This package sets the default typewriter font to Courier with a
possible scale factor (in the same way as the helvet package
for Helvetica works for sans serif).

%package courier-scaled-doc
Summary: Documentation for courier-scaled
Version: svn24940.0

Provides: tex-courier-scaled-doc
AutoReqProv: No

%description courier-scaled-doc
Documentation for courier-scaled

%package cryst
Provides: tex-cryst = %{tl_version}
License: LPPL
Summary: Font for graphical symbols used in crystallography
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cryst.tfm) = %{tl_version}
Provides: tex(cryst.pfb) = %{tl_version}

%description cryst
The font is provided as an Adobe Type 1 font, and as Metafont
source. Instructions for use are available both in the README
file and (with a font diagram) in the documentation.

%package cryst-doc
Summary: Documentation for cryst
Version: svn15878.0

Provides: tex-cryst-doc
AutoReqProv: No

%description cryst-doc
Documentation for cryst

%package cyklop
Provides: tex-cyklop = %{tl_version}
License: LPPL
Summary: The Cyclop typeface
Version: svn18651.0.915

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(cs-cyklop-sc.enc) = %{tl_version}
Provides: tex(cs-cyklop.enc) = %{tl_version}
Provides: tex(ec-cyklop-sc.enc) = %{tl_version}
Provides: tex(ec-cyklop.enc) = %{tl_version}
Provides: tex(l7x-cyklop-sc.enc) = %{tl_version}
Provides: tex(l7x-cyklop.enc) = %{tl_version}
Provides: tex(ly1-cyklop-sc.enc) = %{tl_version}
Provides: tex(ly1-cyklop.enc) = %{tl_version}
Provides: tex(qx-cyklop-sc.enc) = %{tl_version}
Provides: tex(qx-cyklop.enc) = %{tl_version}
Provides: tex(t5-cyklop-sc.enc) = %{tl_version}
Provides: tex(t5-cyklop.enc) = %{tl_version}
Provides: tex(cyklop-cs.map) = %{tl_version}
Provides: tex(cyklop-ec.map) = %{tl_version}
Provides: tex(cyklop-l7x.map) = %{tl_version}
Provides: tex(cyklop-ly1.map) = %{tl_version}
Provides: tex(cyklop-qx.map) = %{tl_version}
Provides: tex(cyklop-t5.map) = %{tl_version}
Provides: tex(cyklop.map) = %{tl_version}
Provides: tex(cyklop-italic.otf) = %{tl_version}
Provides: tex(cyklop-regular.otf) = %{tl_version}
Provides: tex(cs-cyklopi-sc.tfm) = %{tl_version}
Provides: tex(cs-cyklopi.tfm) = %{tl_version}
Provides: tex(cs-cyklopr-sc.tfm) = %{tl_version}
Provides: tex(cs-cyklopr.tfm) = %{tl_version}
Provides: tex(ec-cyklopi-sc.tfm) = %{tl_version}
Provides: tex(ec-cyklopi.tfm) = %{tl_version}
Provides: tex(ec-cyklopr-sc.tfm) = %{tl_version}
Provides: tex(ec-cyklopr.tfm) = %{tl_version}
Provides: tex(l7x-cyklopi-sc.tfm) = %{tl_version}
Provides: tex(l7x-cyklopi.tfm) = %{tl_version}
Provides: tex(l7x-cyklopr-sc.tfm) = %{tl_version}
Provides: tex(l7x-cyklopr.tfm) = %{tl_version}
Provides: tex(ly1-cyklopi-sc.tfm) = %{tl_version}
Provides: tex(ly1-cyklopi.tfm) = %{tl_version}
Provides: tex(ly1-cyklopr-sc.tfm) = %{tl_version}
Provides: tex(ly1-cyklopr.tfm) = %{tl_version}
Provides: tex(qx-cyklopi-sc.tfm) = %{tl_version}
Provides: tex(qx-cyklopi.tfm) = %{tl_version}
Provides: tex(qx-cyklopr-sc.tfm) = %{tl_version}
Provides: tex(qx-cyklopr.tfm) = %{tl_version}
Provides: tex(t5-cyklopi-sc.tfm) = %{tl_version}
Provides: tex(t5-cyklopi.tfm) = %{tl_version}
Provides: tex(t5-cyklopr-sc.tfm) = %{tl_version}
Provides: tex(t5-cyklopr.tfm) = %{tl_version}
Provides: tex(cyklopi.pfb) = %{tl_version}
Provides: tex(cyklopr.pfb) = %{tl_version}
Provides: tex(cyklop.sty) = %{tl_version}
Provides: tex(il2cyklop.fd) = %{tl_version}
Provides: tex(l7xcyklop.fd) = %{tl_version}
Provides: tex(ly1cyklop.fd) = %{tl_version}
Provides: tex(ot1cyklop.fd) = %{tl_version}
Provides: tex(ot4cyklop.fd) = %{tl_version}
Provides: tex(qxcyklop.fd) = %{tl_version}
Provides: tex(t1cyklop.fd) = %{tl_version}
Provides: tex(t5cyklop.fd) = %{tl_version}

%description cyklop
The Cyclop typeface was designed in the 1920s at the workshop
of Warsaw type foundry "Odlewnia Czcionek J. Idzkowski i S-ka".
This sans serif typeface has a highly modulated stroke so it
has high typographic contrast. The vertical stems are much
heavier then horizontal ones. Most characters have thin
rectangles as additional counters giving the unique shape of
the characters. The lead types of Cyclop typeface were produced
in slanted variant at sizes 8-48 pt. It was heavily used for
heads in newspapers and accidents prints. Typesetters used
Cyclop in the inter-war period, during the occupation in the
underground press. The typeface was used until the beginnings
of the offset print and computer typesetting era. Nowadays it
is hard to find the metal types of this typeface. The font was
generated using the Metatype1 package. Then the original set of
characters was completed by adding the full set of accented
letters and characters of the modern Latin alphabets (including
Vietnamese). The upright variant was generated and it was more
complicated task than it appeared at the beginning. 11 upright
letters of the Cyclop typeface were presented in the book by
Filip Trzaska, "Podstawy techniki wydawniczej" ("Foundation of
the publishing techonology"), Warsaw 1967. But even the author
of the book does not know what was the source of the presented
examples. The fonts are distributed in the Type1 and OpenType
formats along with the files necessary for use these fonts in
TeX and LaTeX including encoding definition files: T1 (ec), T5
(Vietnamese), OT4, QX, texnansi and nonstandard ones (IL2 for
Czech fonts).

%package cyklop-doc
Summary: Documentation for cyklop
Version: svn18651.0.915

Provides: tex-cyklop-doc
AutoReqProv: No

%description cyklop-doc
Documentation for cyklop

%package dancers
Provides: tex-dancers = %{tl_version}
License: Copyright only
Summary: Font for Conan Doyle'ss "The Dancing Men"
Version: svn13293.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dancers.tfm) = %{tl_version}

%description dancers
The (Sherlock Holmes) book contains a code which uses dancing
men as glyphs. The alphabet as given is not complete, lacking
f, j, k, q, u, w, x and z, so those letters in the font are not
due to Conan Doyle. The code required word endings to be marked
by the dancing man representing the last letter to be holding a
flag: these are coded as A-Z.
thaTiStOsaYsentenceSiNthEcodElooKlikEthiS. In some cases, the
man has no arms, making it impossible for him to hold a flag.
In these cases, he is wearing a flag on his hat in the
'character'. The font is distributed as Metafont source; it
works poorly in modern environments, and could do with expert
attention (if you are interested, please contact the CTAN team
for details).

%package dantelogo
Provides: tex-dantelogo = %{tl_version}
License: LPPL
Summary: A font for DANTE's logo
Version: svn38599

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(iftex.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontspec.sty)
Provides: tex(dante.enc) = %{tl_version}
Provides: tex(dante.map) = %{tl_version}
Provides: tex(DANTE-Bold-Italic.otf) = %{tl_version}
Provides: tex(DANTE-Bold.otf) = %{tl_version}
Provides: tex(DANTE-Italic.otf) = %{tl_version}
Provides: tex(DANTE.otf) = %{tl_version}
Provides: tex(DANTE-Bold--texnansx--base.tfm) = %{tl_version}
Provides: tex(DANTE-Bold--texnansx.tfm) = %{tl_version}
Provides: tex(DANTE-Bold-Italic--texnansx--base.tfm) = %{tl_version}
Provides: tex(DANTE-Bold-Italic--texnansx.tfm) = %{tl_version}
Provides: tex(DANTE-Bold.tfm) = %{tl_version}
Provides: tex(DANTE-Italic--texnansx--base.tfm) = %{tl_version}
Provides: tex(DANTE-Italic--texnansx.tfm) = %{tl_version}
Provides: tex(DANTE.tfm) = %{tl_version}
Provides: tex(DANTE-Bold-Italic.pfb) = %{tl_version}
Provides: tex(DANTE-Bold.pfb) = %{tl_version}
Provides: tex(DANTE-Italic.pfb) = %{tl_version}
Provides: tex(DANTE.pfb) = %{tl_version}
Provides: tex(DANTE-Bold--texnansx.vf) = %{tl_version}
Provides: tex(DANTE-Bold-Italic--texnansx.vf) = %{tl_version}
Provides: tex(DANTE-Italic--texnansx.vf) = %{tl_version}
Provides: tex(dantelogo.sty) = %{tl_version}
Provides: tex(OT1DANTE.fd) = %{tl_version}
Provides: tex(T1DANTE.fd) = %{tl_version}

%description dantelogo
The DANTE font for the logo of DANTE (http://www.dante.de), the
German speaking TeX users group. The font includes only the
five characters d, a, n, t, and e. dantelogo.sty provides an
interface for LuaLaTeX/XeLaTeX/pdfLaTeX.

%package dantelogo-doc
Summary: Documentation for dantelogo
Version: svn38599

Provides: tex-dantelogo-doc
AutoReqProv: No

%description dantelogo-doc
Documentation for dantelogo

%package dejavu
Provides: tex-dejavu = %{tl_version}
License: LPPL
Summary: LaTeX support for the DejaVu fonts
Version: svn31771.2.34

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Provides: tex(dejavumono_il2.enc) = %{tl_version}
Provides: tex(dejavumono_lgr.enc) = %{tl_version}
Provides: tex(dejavumono_ot1.enc) = %{tl_version}
Provides: tex(dejavumono_qx.enc) = %{tl_version}
Provides: tex(dejavumono_t1-truetype.enc) = %{tl_version}
Provides: tex(dejavumono_t1-type1.enc) = %{tl_version}
Provides: tex(dejavumono_t2a.enc) = %{tl_version}
Provides: tex(dejavumono_t2b.enc) = %{tl_version}
Provides: tex(dejavumono_t2c.enc) = %{tl_version}
Provides: tex(dejavumono_ts1.enc) = %{tl_version}
Provides: tex(dejavumono_x2.enc) = %{tl_version}
Provides: tex(dejavusans_il2.enc) = %{tl_version}
Provides: tex(dejavusans_lgr.enc) = %{tl_version}
Provides: tex(dejavusans_ot1.enc) = %{tl_version}
Provides: tex(dejavusans_qx.enc) = %{tl_version}
Provides: tex(dejavusans_t1-truetype.enc) = %{tl_version}
Provides: tex(dejavusans_t1-type1.enc) = %{tl_version}
Provides: tex(dejavusans_t2a.enc) = %{tl_version}
Provides: tex(dejavusans_t2b.enc) = %{tl_version}
Provides: tex(dejavusans_t2c.enc) = %{tl_version}
Provides: tex(dejavusans_ts1.enc) = %{tl_version}
Provides: tex(dejavusans_x2.enc) = %{tl_version}
Provides: tex(dejavusanslight_il2.enc) = %{tl_version}
Provides: tex(dejavusanslight_lgr.enc) = %{tl_version}
Provides: tex(dejavusanslight_ot1.enc) = %{tl_version}
Provides: tex(dejavusanslight_qx.enc) = %{tl_version}
Provides: tex(dejavusanslight_t1-truetype.enc) = %{tl_version}
Provides: tex(dejavusanslight_t1-type1.enc) = %{tl_version}
Provides: tex(dejavusanslight_t2a.enc) = %{tl_version}
Provides: tex(dejavusanslight_t2b.enc) = %{tl_version}
Provides: tex(dejavusanslight_t2c.enc) = %{tl_version}
Provides: tex(dejavusanslight_ts1.enc) = %{tl_version}
Provides: tex(dejavusanslight_x2.enc) = %{tl_version}
Provides: tex(dejavuserif_il2.enc) = %{tl_version}
Provides: tex(dejavuserif_lgr.enc) = %{tl_version}
Provides: tex(dejavuserif_ot1.enc) = %{tl_version}
Provides: tex(dejavuserif_qx.enc) = %{tl_version}
Provides: tex(dejavuserif_t1-truetype.enc) = %{tl_version}
Provides: tex(dejavuserif_t1-type1.enc) = %{tl_version}
Provides: tex(dejavuserif_t2a.enc) = %{tl_version}
Provides: tex(dejavuserif_t2b.enc) = %{tl_version}
Provides: tex(dejavuserif_t2c.enc) = %{tl_version}
Provides: tex(dejavuserif_ts1.enc) = %{tl_version}
Provides: tex(dejavuserif_x2.enc) = %{tl_version}
Provides: tex(dejavu-truetype.map) = %{tl_version}
Provides: tex(dejavu-type1.map) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSans-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-lgr--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-lgr--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-lgr--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-lgr--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-il2.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-lgr.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-ot1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-qx--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-qx.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-t1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-t2a.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-t2b.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-t2c.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-ts1.tfm) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-x2.tfm) = %{tl_version}
Provides: tex(DejaVuSans-Bold.ttf) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique.ttf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight.ttf) = %{tl_version}
Provides: tex(DejaVuSans-Oblique.ttf) = %{tl_version}
Provides: tex(DejaVuSans.ttf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold.ttf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique.ttf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique.ttf) = %{tl_version}
Provides: tex(DejaVuSansCondensed.ttf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold.ttf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique.ttf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique.ttf) = %{tl_version}
Provides: tex(DejaVuSansMono.ttf) = %{tl_version}
Provides: tex(DejaVuSerif-Bold.ttf) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic.ttf) = %{tl_version}
Provides: tex(DejaVuSerif-Italic.ttf) = %{tl_version}
Provides: tex(DejaVuSerif.ttf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold.ttf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic.ttf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic.ttf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed.ttf) = %{tl_version}
Provides: tex(DejaVuSans-Bold.pfb) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique.pfb) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight.pfb) = %{tl_version}
Provides: tex(DejaVuSans-Oblique.pfb) = %{tl_version}
Provides: tex(DejaVuSans.pfb) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold.pfb) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique.pfb) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique.pfb) = %{tl_version}
Provides: tex(DejaVuSansCondensed.pfb) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold.pfb) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique.pfb) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique.pfb) = %{tl_version}
Provides: tex(DejaVuSansMono.pfb) = %{tl_version}
Provides: tex(DejaVuSerif-Bold.pfb) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic.pfb) = %{tl_version}
Provides: tex(DejaVuSerif-Italic.pfb) = %{tl_version}
Provides: tex(DejaVuSerif.pfb) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold.pfb) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic.pfb) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic.pfb) = %{tl_version}
Provides: tex(DejaVuSerifCondensed.pfb) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSans-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSans-BoldOblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2a.vf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2b.vf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-t2c.vf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSans-ExtraLight-tlf-x2.vf) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSans-Oblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSans-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSans-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSans-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-BoldOblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-Oblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansCondensed-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-lgr.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2a.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2b.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-t2c.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Bold-tlf-x2.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-lgr.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2a.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2b.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-t2c.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-BoldOblique-tlf-x2.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-lgr.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2a.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2b.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-t2c.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-Oblique-tlf-x2.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-lgr.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2a.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2b.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-t2c.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSansMono-tlf-x2.vf) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerif-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerif-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerif-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerif-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-qx.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-t1.vf) = %{tl_version}
Provides: tex(DejaVuSerifCondensed-tlf-ts1.vf) = %{tl_version}
Provides: tex(DejaVuSans.sty) = %{tl_version}
Provides: tex(DejaVuSansCondensed.sty) = %{tl_version}
Provides: tex(DejaVuSansMono.sty) = %{tl_version}
Provides: tex(DejaVuSerif.sty) = %{tl_version}
Provides: tex(DejaVuSerifCondensed.sty) = %{tl_version}
Provides: tex(IL2DejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(IL2DejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(IL2DejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(IL2DejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(IL2DejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(LGRDejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(LGRDejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(LGRDejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(LGRDejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(LGRDejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(OT1DejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(OT1DejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(OT1DejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(OT1DejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(OT1DejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(QXDejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(QXDejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(QXDejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(QXDejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(QXDejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(T1DejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(T1DejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(T1DejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(T1DejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(T1DejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(T2ADejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(T2ADejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(T2ADejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(T2ADejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(T2ADejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(T2BDejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(T2BDejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(T2BDejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(T2BDejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(T2BDejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(T2CDejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(T2CDejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(T2CDejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(T2CDejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(T2CDejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(TS1DejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(TS1DejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(TS1DejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(TS1DejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(TS1DejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(X2DejaVuSans-TLF.fd) = %{tl_version}
Provides: tex(X2DejaVuSansCondensed-TLF.fd) = %{tl_version}
Provides: tex(X2DejaVuSansMono-TLF.fd) = %{tl_version}
Provides: tex(X2DejaVuSerif-TLF.fd) = %{tl_version}
Provides: tex(X2DejaVuSerifCondensed-TLF.fd) = %{tl_version}
Provides: tex(dejavu.sty) = %{tl_version}

%description dejavu
The package contains LaTeX support for the DejaVu fonts, which
are derived from the Vera fonts but contain more characters and
styles. The fonts are included in the original TrueType format,
and in converted Type 1 format. The (currently) supported
encodings are: OT1, T1, IL2, TS1, T2*, X2, QX, and LGR. The
package doesn't (currently) support mathematics. More encodings
and/or features are expected.

%package dejavu-doc
Summary: Documentation for dejavu
Version: svn31771.2.34

Provides: tex-dejavu-doc
AutoReqProv: No

%description dejavu-doc
Documentation for dejavu

%package dice
Provides: tex-dice = %{tl_version}
License: LPPL
Summary: A font for die faces
Version: svn28501.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dice3d.tfm) = %{tl_version}

%description dice
A Metafont font that can produce die faces in 2D or with
various 3D effects.

%package dice-doc
Summary: Documentation for dice
Version: svn28501.0

Provides: tex-dice-doc
AutoReqProv: No

%description dice-doc
Documentation for dice

%package dictsym
Provides: tex-dictsym = %{tl_version}
License: LPPL
Summary: DictSym font and macro package
Version: svn20031.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(pifont.sty)
Requires: tex(keyval.sty)
Provides: tex(dictsym.map) = %{tl_version}
Provides: tex(dictsym.tfm) = %{tl_version}
Provides: tex(dictsym.pfb) = %{tl_version}
Provides: tex(dictsym.sty) = %{tl_version}

%description dictsym
This directory contains the DictSym Type1 font designed by
Georg Verweyen and all files required to use it with LaTeX on
the Unix or PC platforms. The font provides a number of symbols
commonly used in dictionaries. The accompanying macro package
makes the symbols accessible as LaTeX commands.

%package dictsym-doc
Summary: Documentation for dictsym
Version: svn20031.0

Provides: tex-dictsym-doc
AutoReqProv: No

%description dictsym-doc
Documentation for dictsym

%package dingbat
Provides: tex-dingbat = %{tl_version}
License: LPPL
Summary: Two dingbat symbol fonts
Version: svn27918.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ark10.tfm) = %{tl_version}
Provides: tex(dingbat.tfm) = %{tl_version}
Provides: tex(dingbat.sty) = %{tl_version}
Provides: tex(uark.fd) = %{tl_version}
Provides: tex(udingbat.fd) = %{tl_version}

%description dingbat
The fonts (ark10 and dingbat) are specified in Metafont;
support macros are provided for use in LaTeX. An Adobe Type 1
version of the fonts is available in the niceframe fonts
bundle.

%package dingbat-doc
Summary: Documentation for dingbat
Version: svn27918.1.0

Provides: tex-dingbat-doc
AutoReqProv: No

%description dingbat-doc
Documentation for dingbat

%package doublestroke
Provides: tex-doublestroke = %{tl_version}
License: Doublestroke
Summary: Typeset mathematical double stroke symbols
Version: svn15878.1.111

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(dstroke.map) = %{tl_version}
Provides: tex(dsrom10.tfm) = %{tl_version}
Provides: tex(dsrom12.tfm) = %{tl_version}
Provides: tex(dsrom8.tfm) = %{tl_version}
Provides: tex(dsss10.tfm) = %{tl_version}
Provides: tex(dsss12.tfm) = %{tl_version}
Provides: tex(dsss8.tfm) = %{tl_version}
Provides: tex(dsrom10.pfb) = %{tl_version}
Provides: tex(dsrom12.pfb) = %{tl_version}
Provides: tex(dsrom8.pfb) = %{tl_version}
Provides: tex(dsss10.pfb) = %{tl_version}
Provides: tex(dsss12.pfb) = %{tl_version}
Provides: tex(dsss8.pfb) = %{tl_version}
Provides: tex(Udsrom.fd) = %{tl_version}
Provides: tex(Udsss.fd) = %{tl_version}
Provides: tex(dsfont.sty) = %{tl_version}

%description doublestroke
A font based on Computer Modern Roman useful for typesetting
the mathematical symbols for the natural numbers (N), whole
numbers (Z), rational numbers (Q), real numbers (R) and complex
numbers (C); coverage includes all Roman capital letters, '1',
'h' and 'k'. The font is available both as Metafont source and
in Adobe Type 1 format, and LaTeX macros for its use are
provided. The fonts appear in the blackboard bold sampler.

%package doublestroke-doc
Summary: Documentation for doublestroke
Version: svn15878.1.111

Provides: tex-doublestroke-doc
AutoReqProv: No

%description doublestroke-doc
Documentation for doublestroke

%package dozenal
Provides: tex-dozenal = %{tl_version}
License: LPPL 1.3
Summary: Typeset documents using base twelve numbering (also called "dozenal")
Version: svn44740
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fixltx2e.sty)
Requires: tex(xstring.sty)
Requires: tex(ifpdf.sty)
Requires: tex(mfirstuc.sty)
Provides: tex(dozenal.map) = %{tl_version}
Provides: tex(dozchars10.tfm) = %{tl_version}
Provides: tex(dozchars12.tfm) = %{tl_version}
Provides: tex(dozchars17.tfm) = %{tl_version}
Provides: tex(dozchars6.tfm) = %{tl_version}
Provides: tex(dozchars7.tfm) = %{tl_version}
Provides: tex(dozchars8.tfm) = %{tl_version}
Provides: tex(dozchars9.tfm) = %{tl_version}
Provides: tex(dozchb10.tfm) = %{tl_version}
Provides: tex(dozchbx10.tfm) = %{tl_version}
Provides: tex(dozchbx12.tfm) = %{tl_version}
Provides: tex(dozchbx5.tfm) = %{tl_version}
Provides: tex(dozchbx6.tfm) = %{tl_version}
Provides: tex(dozchbx7.tfm) = %{tl_version}
Provides: tex(dozchbx8.tfm) = %{tl_version}
Provides: tex(dozchbx9.tfm) = %{tl_version}
Provides: tex(dozchbxi10.tfm) = %{tl_version}
Provides: tex(dozchbxsl10.tfm) = %{tl_version}
Provides: tex(dozchit10.tfm) = %{tl_version}
Provides: tex(dozchit12.tfm) = %{tl_version}
Provides: tex(dozchit7.tfm) = %{tl_version}
Provides: tex(dozchit8.tfm) = %{tl_version}
Provides: tex(dozchit9.tfm) = %{tl_version}
Provides: tex(dozchsl10.tfm) = %{tl_version}
Provides: tex(dozchsl12.tfm) = %{tl_version}
Provides: tex(dozchsl8.tfm) = %{tl_version}
Provides: tex(dozchsl9.tfm) = %{tl_version}
Provides: tex(dozchars10.pfb) = %{tl_version}
Provides: tex(dozchars12.pfb) = %{tl_version}
Provides: tex(dozchars17.pfb) = %{tl_version}
Provides: tex(dozchars6.pfb) = %{tl_version}
Provides: tex(dozchars7.pfb) = %{tl_version}
Provides: tex(dozchars8.pfb) = %{tl_version}
Provides: tex(dozchars9.pfb) = %{tl_version}
Provides: tex(dozchb10.pfb) = %{tl_version}
Provides: tex(dozchbx10.pfb) = %{tl_version}
Provides: tex(dozchbx12.pfb) = %{tl_version}
Provides: tex(dozchbx5.pfb) = %{tl_version}
Provides: tex(dozchbx6.pfb) = %{tl_version}
Provides: tex(dozchbx7.pfb) = %{tl_version}
Provides: tex(dozchbx8.pfb) = %{tl_version}
Provides: tex(dozchbx9.pfb) = %{tl_version}
Provides: tex(dozchbxi10.pfb) = %{tl_version}
Provides: tex(dozchbxsl10.pfb) = %{tl_version}
Provides: tex(dozchit10.pfb) = %{tl_version}
Provides: tex(dozchit12.pfb) = %{tl_version}
Provides: tex(dozchit7.pfb) = %{tl_version}
Provides: tex(dozchit8.pfb) = %{tl_version}
Provides: tex(dozchit9.pfb) = %{tl_version}
Provides: tex(dozchsl10.pfb) = %{tl_version}
Provides: tex(dozchsl12.pfb) = %{tl_version}
Provides: tex(dozchsl8.pfb) = %{tl_version}
Provides: tex(dozchsl9.pfb) = %{tl_version}
Provides: tex(dozenal.sty) = %{tl_version}

%description dozenal
The package supports typesetting documents whose counters are
represented in base twelve, also called "dozenal". It includes
a macro by David Kastrup for converting positive whole numbers
to dozenal from decimal (base ten) representation. The package
also includes a few other macros and redefines all the standard
counters to produce dozenal output. Fonts, in Roman, italic,
slanted, and boldface versions, provide ten and eleven (the
Pitman characters preferred by the Dozenal Society of Great
Britain). The fonts were designed to blend well with the
Computer Modern fonts, and are available both as Metafont
source and in Adobe Type 1 format.

%package dozenal-doc
Summary: Documentation for dozenal
Version: svn44740
Provides: tex-dozenal-doc
AutoReqProv: No

%description dozenal-doc
Documentation for dozenal

%package drm
Provides: tex-drm = %{tl_version}
License: LPPL 1.3
Summary: A complete family of fonts written in Metafont
Version: svn38157.4.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(modroman.sty)
Requires: tex(amsmath.sty)
Requires: tex(gmp.sty)
Requires: tex(ifpdf.sty)
Provides: tex(drm.map) = %{tl_version}
Provides: tex(drm10.otf) = %{tl_version}
Provides: tex(drm11.otf) = %{tl_version}
Provides: tex(drm12.otf) = %{tl_version}
Provides: tex(drm14.otf) = %{tl_version}
Provides: tex(drm17.otf) = %{tl_version}
Provides: tex(drm24.otf) = %{tl_version}
Provides: tex(drm6.otf) = %{tl_version}
Provides: tex(drm7.otf) = %{tl_version}
Provides: tex(drm8.otf) = %{tl_version}
Provides: tex(drm9.otf) = %{tl_version}
Provides: tex(drmb10.otf) = %{tl_version}
Provides: tex(drmb11.otf) = %{tl_version}
Provides: tex(drmb12.otf) = %{tl_version}
Provides: tex(drmb14.otf) = %{tl_version}
Provides: tex(drmb17.otf) = %{tl_version}
Provides: tex(drmb24.otf) = %{tl_version}
Provides: tex(drmb6.otf) = %{tl_version}
Provides: tex(drmb7.otf) = %{tl_version}
Provides: tex(drmb8.otf) = %{tl_version}
Provides: tex(drmb9.otf) = %{tl_version}
Provides: tex(drmbx10.otf) = %{tl_version}
Provides: tex(drmbx11.otf) = %{tl_version}
Provides: tex(drmbx12.otf) = %{tl_version}
Provides: tex(drmbx14.otf) = %{tl_version}
Provides: tex(drmbx17.otf) = %{tl_version}
Provides: tex(drmbx24.otf) = %{tl_version}
Provides: tex(drmbx6.otf) = %{tl_version}
Provides: tex(drmbx7.otf) = %{tl_version}
Provides: tex(drmbx8.otf) = %{tl_version}
Provides: tex(drmbx9.otf) = %{tl_version}
Provides: tex(drmdoz10.otf) = %{tl_version}
Provides: tex(drmdoz11.otf) = %{tl_version}
Provides: tex(drmdoz12.otf) = %{tl_version}
Provides: tex(drmdoz14.otf) = %{tl_version}
Provides: tex(drmdoz17.otf) = %{tl_version}
Provides: tex(drmdoz24.otf) = %{tl_version}
Provides: tex(drmdoz6.otf) = %{tl_version}
Provides: tex(drmdoz7.otf) = %{tl_version}
Provides: tex(drmdoz8.otf) = %{tl_version}
Provides: tex(drmdoz9.otf) = %{tl_version}
Provides: tex(drmdozb10.otf) = %{tl_version}
Provides: tex(drmdozb11.otf) = %{tl_version}
Provides: tex(drmdozb12.otf) = %{tl_version}
Provides: tex(drmdozb14.otf) = %{tl_version}
Provides: tex(drmdozb17.otf) = %{tl_version}
Provides: tex(drmdozb24.otf) = %{tl_version}
Provides: tex(drmdozb6.otf) = %{tl_version}
Provides: tex(drmdozb7.otf) = %{tl_version}
Provides: tex(drmdozb8.otf) = %{tl_version}
Provides: tex(drmdozb9.otf) = %{tl_version}
Provides: tex(drmdozbx10.otf) = %{tl_version}
Provides: tex(drmdozbx11.otf) = %{tl_version}
Provides: tex(drmdozbx12.otf) = %{tl_version}
Provides: tex(drmdozbx14.otf) = %{tl_version}
Provides: tex(drmdozbx17.otf) = %{tl_version}
Provides: tex(drmdozbx24.otf) = %{tl_version}
Provides: tex(drmdozbx6.otf) = %{tl_version}
Provides: tex(drmdozbx7.otf) = %{tl_version}
Provides: tex(drmdozbx8.otf) = %{tl_version}
Provides: tex(drmdozbx9.otf) = %{tl_version}
Provides: tex(drmdozit10.otf) = %{tl_version}
Provides: tex(drmdozit11.otf) = %{tl_version}
Provides: tex(drmdozit12.otf) = %{tl_version}
Provides: tex(drmdozit14.otf) = %{tl_version}
Provides: tex(drmdozit17.otf) = %{tl_version}
Provides: tex(drmdozit24.otf) = %{tl_version}
Provides: tex(drmdozit6.otf) = %{tl_version}
Provides: tex(drmdozit7.otf) = %{tl_version}
Provides: tex(drmdozit8.otf) = %{tl_version}
Provides: tex(drmdozit9.otf) = %{tl_version}
Provides: tex(drmdozitbx10.otf) = %{tl_version}
Provides: tex(drmdozitbx11.otf) = %{tl_version}
Provides: tex(drmdozitbx12.otf) = %{tl_version}
Provides: tex(drmdozitbx14.otf) = %{tl_version}
Provides: tex(drmdozitbx17.otf) = %{tl_version}
Provides: tex(drmdozitbx24.otf) = %{tl_version}
Provides: tex(drmdozitbx6.otf) = %{tl_version}
Provides: tex(drmdozitbx7.otf) = %{tl_version}
Provides: tex(drmdozitbx8.otf) = %{tl_version}
Provides: tex(drmdozitbx9.otf) = %{tl_version}
Provides: tex(drmdozitsc10.otf) = %{tl_version}
Provides: tex(drmdozitsc11.otf) = %{tl_version}
Provides: tex(drmdozitsc12.otf) = %{tl_version}
Provides: tex(drmdozitsc14.otf) = %{tl_version}
Provides: tex(drmdozitsc17.otf) = %{tl_version}
Provides: tex(drmdozitsc24.otf) = %{tl_version}
Provides: tex(drmdozitsc6.otf) = %{tl_version}
Provides: tex(drmdozitsc7.otf) = %{tl_version}
Provides: tex(drmdozitsc8.otf) = %{tl_version}
Provides: tex(drmdozitsc9.otf) = %{tl_version}
Provides: tex(drmdozittc10.otf) = %{tl_version}
Provides: tex(drmdozittc11.otf) = %{tl_version}
Provides: tex(drmdozittc12.otf) = %{tl_version}
Provides: tex(drmdozittc14.otf) = %{tl_version}
Provides: tex(drmdozittc17.otf) = %{tl_version}
Provides: tex(drmdozittc24.otf) = %{tl_version}
Provides: tex(drmdozittc6.otf) = %{tl_version}
Provides: tex(drmdozittc7.otf) = %{tl_version}
Provides: tex(drmdozittc8.otf) = %{tl_version}
Provides: tex(drmdozittc9.otf) = %{tl_version}
Provides: tex(drmdozl10.otf) = %{tl_version}
Provides: tex(drmdozl11.otf) = %{tl_version}
Provides: tex(drmdozl12.otf) = %{tl_version}
Provides: tex(drmdozl14.otf) = %{tl_version}
Provides: tex(drmdozl17.otf) = %{tl_version}
Provides: tex(drmdozl24.otf) = %{tl_version}
Provides: tex(drmdozl6.otf) = %{tl_version}
Provides: tex(drmdozl7.otf) = %{tl_version}
Provides: tex(drmdozl8.otf) = %{tl_version}
Provides: tex(drmdozl9.otf) = %{tl_version}
Provides: tex(drmdozsc10.otf) = %{tl_version}
Provides: tex(drmdozsc11.otf) = %{tl_version}
Provides: tex(drmdozsc12.otf) = %{tl_version}
Provides: tex(drmdozsc14.otf) = %{tl_version}
Provides: tex(drmdozsc17.otf) = %{tl_version}
Provides: tex(drmdozsc24.otf) = %{tl_version}
Provides: tex(drmdozsc6.otf) = %{tl_version}
Provides: tex(drmdozsc7.otf) = %{tl_version}
Provides: tex(drmdozsc8.otf) = %{tl_version}
Provides: tex(drmdozsc9.otf) = %{tl_version}
Provides: tex(drmdozscbx10.otf) = %{tl_version}
Provides: tex(drmdozscbx11.otf) = %{tl_version}
Provides: tex(drmdozscbx12.otf) = %{tl_version}
Provides: tex(drmdozscbx14.otf) = %{tl_version}
Provides: tex(drmdozscbx17.otf) = %{tl_version}
Provides: tex(drmdozscbx24.otf) = %{tl_version}
Provides: tex(drmdozscbx6.otf) = %{tl_version}
Provides: tex(drmdozscbx7.otf) = %{tl_version}
Provides: tex(drmdozscbx8.otf) = %{tl_version}
Provides: tex(drmdozscbx9.otf) = %{tl_version}
Provides: tex(drmdozsl10.otf) = %{tl_version}
Provides: tex(drmdozsl11.otf) = %{tl_version}
Provides: tex(drmdozsl12.otf) = %{tl_version}
Provides: tex(drmdozsl14.otf) = %{tl_version}
Provides: tex(drmdozsl17.otf) = %{tl_version}
Provides: tex(drmdozsl24.otf) = %{tl_version}
Provides: tex(drmdozsl6.otf) = %{tl_version}
Provides: tex(drmdozsl7.otf) = %{tl_version}
Provides: tex(drmdozsl8.otf) = %{tl_version}
Provides: tex(drmdozsl9.otf) = %{tl_version}
Provides: tex(drmdoztc10.otf) = %{tl_version}
Provides: tex(drmdoztc11.otf) = %{tl_version}
Provides: tex(drmdoztc12.otf) = %{tl_version}
Provides: tex(drmdoztc14.otf) = %{tl_version}
Provides: tex(drmdoztc17.otf) = %{tl_version}
Provides: tex(drmdoztc24.otf) = %{tl_version}
Provides: tex(drmdoztc6.otf) = %{tl_version}
Provides: tex(drmdoztc7.otf) = %{tl_version}
Provides: tex(drmdoztc8.otf) = %{tl_version}
Provides: tex(drmdoztc9.otf) = %{tl_version}
Provides: tex(drmdoztcbx10.otf) = %{tl_version}
Provides: tex(drmdoztcbx11.otf) = %{tl_version}
Provides: tex(drmdoztcbx12.otf) = %{tl_version}
Provides: tex(drmdoztcbx14.otf) = %{tl_version}
Provides: tex(drmdoztcbx17.otf) = %{tl_version}
Provides: tex(drmdoztcbx24.otf) = %{tl_version}
Provides: tex(drmdoztcbx6.otf) = %{tl_version}
Provides: tex(drmdoztcbx7.otf) = %{tl_version}
Provides: tex(drmdoztcbx8.otf) = %{tl_version}
Provides: tex(drmdoztcbx9.otf) = %{tl_version}
Provides: tex(drmdozui10.otf) = %{tl_version}
Provides: tex(drmdozui11.otf) = %{tl_version}
Provides: tex(drmdozui12.otf) = %{tl_version}
Provides: tex(drmdozui14.otf) = %{tl_version}
Provides: tex(drmdozui17.otf) = %{tl_version}
Provides: tex(drmdozui24.otf) = %{tl_version}
Provides: tex(drmdozui6.otf) = %{tl_version}
Provides: tex(drmdozui7.otf) = %{tl_version}
Provides: tex(drmdozui8.otf) = %{tl_version}
Provides: tex(drmdozui9.otf) = %{tl_version}
Provides: tex(drmdozuibx10.otf) = %{tl_version}
Provides: tex(drmdozuibx11.otf) = %{tl_version}
Provides: tex(drmdozuibx12.otf) = %{tl_version}
Provides: tex(drmdozuibx14.otf) = %{tl_version}
Provides: tex(drmdozuibx17.otf) = %{tl_version}
Provides: tex(drmdozuibx24.otf) = %{tl_version}
Provides: tex(drmdozuibx6.otf) = %{tl_version}
Provides: tex(drmdozuibx7.otf) = %{tl_version}
Provides: tex(drmdozuibx8.otf) = %{tl_version}
Provides: tex(drmdozuibx9.otf) = %{tl_version}
Provides: tex(drmfigs10.otf) = %{tl_version}
Provides: tex(drmfigs11.otf) = %{tl_version}
Provides: tex(drmfigs12.otf) = %{tl_version}
Provides: tex(drmfigs14.otf) = %{tl_version}
Provides: tex(drmfigs17.otf) = %{tl_version}
Provides: tex(drmfigs24.otf) = %{tl_version}
Provides: tex(drmfigs6.otf) = %{tl_version}
Provides: tex(drmfigs7.otf) = %{tl_version}
Provides: tex(drmfigs8.otf) = %{tl_version}
Provides: tex(drmfigs9.otf) = %{tl_version}
Provides: tex(drmgrk10.otf) = %{tl_version}
Provides: tex(drminf10.otf) = %{tl_version}
Provides: tex(drminf11.otf) = %{tl_version}
Provides: tex(drminf12.otf) = %{tl_version}
Provides: tex(drminf14.otf) = %{tl_version}
Provides: tex(drminf17.otf) = %{tl_version}
Provides: tex(drminf24.otf) = %{tl_version}
Provides: tex(drminf6.otf) = %{tl_version}
Provides: tex(drminf7.otf) = %{tl_version}
Provides: tex(drminf8.otf) = %{tl_version}
Provides: tex(drminf9.otf) = %{tl_version}
Provides: tex(drmit10.otf) = %{tl_version}
Provides: tex(drmit11.otf) = %{tl_version}
Provides: tex(drmit12.otf) = %{tl_version}
Provides: tex(drmit14.otf) = %{tl_version}
Provides: tex(drmit17.otf) = %{tl_version}
Provides: tex(drmit24.otf) = %{tl_version}
Provides: tex(drmit6.otf) = %{tl_version}
Provides: tex(drmit7.otf) = %{tl_version}
Provides: tex(drmit8.otf) = %{tl_version}
Provides: tex(drmit9.otf) = %{tl_version}
Provides: tex(drmitbx10.otf) = %{tl_version}
Provides: tex(drmitbx11.otf) = %{tl_version}
Provides: tex(drmitbx12.otf) = %{tl_version}
Provides: tex(drmitbx14.otf) = %{tl_version}
Provides: tex(drmitbx17.otf) = %{tl_version}
Provides: tex(drmitbx24.otf) = %{tl_version}
Provides: tex(drmitbx6.otf) = %{tl_version}
Provides: tex(drmitbx7.otf) = %{tl_version}
Provides: tex(drmitbx8.otf) = %{tl_version}
Provides: tex(drmitbx9.otf) = %{tl_version}
Provides: tex(drmitsc10.otf) = %{tl_version}
Provides: tex(drmitsc11.otf) = %{tl_version}
Provides: tex(drmitsc12.otf) = %{tl_version}
Provides: tex(drmitsc14.otf) = %{tl_version}
Provides: tex(drmitsc17.otf) = %{tl_version}
Provides: tex(drmitsc24.otf) = %{tl_version}
Provides: tex(drmitsc6.otf) = %{tl_version}
Provides: tex(drmitsc7.otf) = %{tl_version}
Provides: tex(drmitsc8.otf) = %{tl_version}
Provides: tex(drmitsc9.otf) = %{tl_version}
Provides: tex(drmittc10.otf) = %{tl_version}
Provides: tex(drmittc11.otf) = %{tl_version}
Provides: tex(drmittc12.otf) = %{tl_version}
Provides: tex(drmittc14.otf) = %{tl_version}
Provides: tex(drmittc17.otf) = %{tl_version}
Provides: tex(drmittc24.otf) = %{tl_version}
Provides: tex(drmittc6.otf) = %{tl_version}
Provides: tex(drmittc7.otf) = %{tl_version}
Provides: tex(drmittc8.otf) = %{tl_version}
Provides: tex(drmittc9.otf) = %{tl_version}
Provides: tex(drml10.otf) = %{tl_version}
Provides: tex(drml11.otf) = %{tl_version}
Provides: tex(drml12.otf) = %{tl_version}
Provides: tex(drml14.otf) = %{tl_version}
Provides: tex(drml17.otf) = %{tl_version}
Provides: tex(drml24.otf) = %{tl_version}
Provides: tex(drml6.otf) = %{tl_version}
Provides: tex(drml7.otf) = %{tl_version}
Provides: tex(drml8.otf) = %{tl_version}
Provides: tex(drml9.otf) = %{tl_version}
Provides: tex(drmmi10.otf) = %{tl_version}
Provides: tex(drmsc10.otf) = %{tl_version}
Provides: tex(drmsc11.otf) = %{tl_version}
Provides: tex(drmsc12.otf) = %{tl_version}
Provides: tex(drmsc14.otf) = %{tl_version}
Provides: tex(drmsc17.otf) = %{tl_version}
Provides: tex(drmsc24.otf) = %{tl_version}
Provides: tex(drmsc6.otf) = %{tl_version}
Provides: tex(drmsc7.otf) = %{tl_version}
Provides: tex(drmsc8.otf) = %{tl_version}
Provides: tex(drmsc9.otf) = %{tl_version}
Provides: tex(drmscbx10.otf) = %{tl_version}
Provides: tex(drmscbx11.otf) = %{tl_version}
Provides: tex(drmscbx12.otf) = %{tl_version}
Provides: tex(drmscbx14.otf) = %{tl_version}
Provides: tex(drmscbx17.otf) = %{tl_version}
Provides: tex(drmscbx24.otf) = %{tl_version}
Provides: tex(drmscbx6.otf) = %{tl_version}
Provides: tex(drmscbx7.otf) = %{tl_version}
Provides: tex(drmscbx8.otf) = %{tl_version}
Provides: tex(drmscbx9.otf) = %{tl_version}
Provides: tex(drmsl10.otf) = %{tl_version}
Provides: tex(drmsl11.otf) = %{tl_version}
Provides: tex(drmsl12.otf) = %{tl_version}
Provides: tex(drmsl14.otf) = %{tl_version}
Provides: tex(drmsl17.otf) = %{tl_version}
Provides: tex(drmsl24.otf) = %{tl_version}
Provides: tex(drmsl6.otf) = %{tl_version}
Provides: tex(drmsl7.otf) = %{tl_version}
Provides: tex(drmsl8.otf) = %{tl_version}
Provides: tex(drmsl9.otf) = %{tl_version}
Provides: tex(drmsy10.otf) = %{tl_version}
Provides: tex(drmsym10.otf) = %{tl_version}
Provides: tex(drmsym11.otf) = %{tl_version}
Provides: tex(drmsym12.otf) = %{tl_version}
Provides: tex(drmsym14.otf) = %{tl_version}
Provides: tex(drmsym17.otf) = %{tl_version}
Provides: tex(drmsym24.otf) = %{tl_version}
Provides: tex(drmsym7.otf) = %{tl_version}
Provides: tex(drmsym8.otf) = %{tl_version}
Provides: tex(drmsym9.otf) = %{tl_version}
Provides: tex(drmtc10.otf) = %{tl_version}
Provides: tex(drmtc11.otf) = %{tl_version}
Provides: tex(drmtc12.otf) = %{tl_version}
Provides: tex(drmtc14.otf) = %{tl_version}
Provides: tex(drmtc17.otf) = %{tl_version}
Provides: tex(drmtc24.otf) = %{tl_version}
Provides: tex(drmtc6.otf) = %{tl_version}
Provides: tex(drmtc7.otf) = %{tl_version}
Provides: tex(drmtc8.otf) = %{tl_version}
Provides: tex(drmtc9.otf) = %{tl_version}
Provides: tex(drmtcbx10.otf) = %{tl_version}
Provides: tex(drmtcbx11.otf) = %{tl_version}
Provides: tex(drmtcbx12.otf) = %{tl_version}
Provides: tex(drmtcbx14.otf) = %{tl_version}
Provides: tex(drmtcbx17.otf) = %{tl_version}
Provides: tex(drmtcbx24.otf) = %{tl_version}
Provides: tex(drmtcbx6.otf) = %{tl_version}
Provides: tex(drmtcbx7.otf) = %{tl_version}
Provides: tex(drmtcbx8.otf) = %{tl_version}
Provides: tex(drmtcbx9.otf) = %{tl_version}
Provides: tex(drmui10.otf) = %{tl_version}
Provides: tex(drmui11.otf) = %{tl_version}
Provides: tex(drmui12.otf) = %{tl_version}
Provides: tex(drmui14.otf) = %{tl_version}
Provides: tex(drmui17.otf) = %{tl_version}
Provides: tex(drmui24.otf) = %{tl_version}
Provides: tex(drmui6.otf) = %{tl_version}
Provides: tex(drmui7.otf) = %{tl_version}
Provides: tex(drmui8.otf) = %{tl_version}
Provides: tex(drmui9.otf) = %{tl_version}
Provides: tex(drmuibx10.otf) = %{tl_version}
Provides: tex(drmuibx11.otf) = %{tl_version}
Provides: tex(drmuibx12.otf) = %{tl_version}
Provides: tex(drmuibx14.otf) = %{tl_version}
Provides: tex(drmuibx17.otf) = %{tl_version}
Provides: tex(drmuibx24.otf) = %{tl_version}
Provides: tex(drmuibx6.otf) = %{tl_version}
Provides: tex(drmuibx7.otf) = %{tl_version}
Provides: tex(drmuibx8.otf) = %{tl_version}
Provides: tex(drmuibx9.otf) = %{tl_version}
Provides: tex(drm10.tfm) = %{tl_version}
Provides: tex(drm100.tfm) = %{tl_version}
Provides: tex(drm11.tfm) = %{tl_version}
Provides: tex(drm12.tfm) = %{tl_version}
Provides: tex(drm14.tfm) = %{tl_version}
Provides: tex(drm17.tfm) = %{tl_version}
Provides: tex(drm24.tfm) = %{tl_version}
Provides: tex(drm6.tfm) = %{tl_version}
Provides: tex(drm7.tfm) = %{tl_version}
Provides: tex(drm8.tfm) = %{tl_version}
Provides: tex(drm9.tfm) = %{tl_version}
Provides: tex(drmb10.tfm) = %{tl_version}
Provides: tex(drmb11.tfm) = %{tl_version}
Provides: tex(drmb12.tfm) = %{tl_version}
Provides: tex(drmb14.tfm) = %{tl_version}
Provides: tex(drmb17.tfm) = %{tl_version}
Provides: tex(drmb24.tfm) = %{tl_version}
Provides: tex(drmb6.tfm) = %{tl_version}
Provides: tex(drmb7.tfm) = %{tl_version}
Provides: tex(drmb8.tfm) = %{tl_version}
Provides: tex(drmb9.tfm) = %{tl_version}
Provides: tex(drmbs10.tfm) = %{tl_version}
Provides: tex(drmbx10.tfm) = %{tl_version}
Provides: tex(drmbx11.tfm) = %{tl_version}
Provides: tex(drmbx12.tfm) = %{tl_version}
Provides: tex(drmbx14.tfm) = %{tl_version}
Provides: tex(drmbx17.tfm) = %{tl_version}
Provides: tex(drmbx24.tfm) = %{tl_version}
Provides: tex(drmbx6.tfm) = %{tl_version}
Provides: tex(drmbx7.tfm) = %{tl_version}
Provides: tex(drmbx8.tfm) = %{tl_version}
Provides: tex(drmbx9.tfm) = %{tl_version}
Provides: tex(drmdoz10.tfm) = %{tl_version}
Provides: tex(drmdoz11.tfm) = %{tl_version}
Provides: tex(drmdoz12.tfm) = %{tl_version}
Provides: tex(drmdoz14.tfm) = %{tl_version}
Provides: tex(drmdoz17.tfm) = %{tl_version}
Provides: tex(drmdoz24.tfm) = %{tl_version}
Provides: tex(drmdoz6.tfm) = %{tl_version}
Provides: tex(drmdoz7.tfm) = %{tl_version}
Provides: tex(drmdoz8.tfm) = %{tl_version}
Provides: tex(drmdoz9.tfm) = %{tl_version}
Provides: tex(drmdozb10.tfm) = %{tl_version}
Provides: tex(drmdozb11.tfm) = %{tl_version}
Provides: tex(drmdozb12.tfm) = %{tl_version}
Provides: tex(drmdozb14.tfm) = %{tl_version}
Provides: tex(drmdozb17.tfm) = %{tl_version}
Provides: tex(drmdozb24.tfm) = %{tl_version}
Provides: tex(drmdozb6.tfm) = %{tl_version}
Provides: tex(drmdozb7.tfm) = %{tl_version}
Provides: tex(drmdozb8.tfm) = %{tl_version}
Provides: tex(drmdozb9.tfm) = %{tl_version}
Provides: tex(drmdozbx10.tfm) = %{tl_version}
Provides: tex(drmdozbx11.tfm) = %{tl_version}
Provides: tex(drmdozbx12.tfm) = %{tl_version}
Provides: tex(drmdozbx14.tfm) = %{tl_version}
Provides: tex(drmdozbx17.tfm) = %{tl_version}
Provides: tex(drmdozbx24.tfm) = %{tl_version}
Provides: tex(drmdozbx6.tfm) = %{tl_version}
Provides: tex(drmdozbx7.tfm) = %{tl_version}
Provides: tex(drmdozbx8.tfm) = %{tl_version}
Provides: tex(drmdozbx9.tfm) = %{tl_version}
Provides: tex(drmdozit10.tfm) = %{tl_version}
Provides: tex(drmdozit11.tfm) = %{tl_version}
Provides: tex(drmdozit12.tfm) = %{tl_version}
Provides: tex(drmdozit14.tfm) = %{tl_version}
Provides: tex(drmdozit17.tfm) = %{tl_version}
Provides: tex(drmdozit24.tfm) = %{tl_version}
Provides: tex(drmdozit6.tfm) = %{tl_version}
Provides: tex(drmdozit7.tfm) = %{tl_version}
Provides: tex(drmdozit8.tfm) = %{tl_version}
Provides: tex(drmdozit9.tfm) = %{tl_version}
Provides: tex(drmdozitbx10.tfm) = %{tl_version}
Provides: tex(drmdozitbx11.tfm) = %{tl_version}
Provides: tex(drmdozitbx12.tfm) = %{tl_version}
Provides: tex(drmdozitbx14.tfm) = %{tl_version}
Provides: tex(drmdozitbx17.tfm) = %{tl_version}
Provides: tex(drmdozitbx24.tfm) = %{tl_version}
Provides: tex(drmdozitbx6.tfm) = %{tl_version}
Provides: tex(drmdozitbx7.tfm) = %{tl_version}
Provides: tex(drmdozitbx8.tfm) = %{tl_version}
Provides: tex(drmdozitbx9.tfm) = %{tl_version}
Provides: tex(drmdozitsc10.tfm) = %{tl_version}
Provides: tex(drmdozitsc11.tfm) = %{tl_version}
Provides: tex(drmdozitsc12.tfm) = %{tl_version}
Provides: tex(drmdozitsc14.tfm) = %{tl_version}
Provides: tex(drmdozitsc17.tfm) = %{tl_version}
Provides: tex(drmdozitsc24.tfm) = %{tl_version}
Provides: tex(drmdozitsc6.tfm) = %{tl_version}
Provides: tex(drmdozitsc7.tfm) = %{tl_version}
Provides: tex(drmdozitsc8.tfm) = %{tl_version}
Provides: tex(drmdozitsc9.tfm) = %{tl_version}
Provides: tex(drmdozittc10.tfm) = %{tl_version}
Provides: tex(drmdozittc11.tfm) = %{tl_version}
Provides: tex(drmdozittc12.tfm) = %{tl_version}
Provides: tex(drmdozittc14.tfm) = %{tl_version}
Provides: tex(drmdozittc17.tfm) = %{tl_version}
Provides: tex(drmdozittc24.tfm) = %{tl_version}
Provides: tex(drmdozittc6.tfm) = %{tl_version}
Provides: tex(drmdozittc7.tfm) = %{tl_version}
Provides: tex(drmdozittc8.tfm) = %{tl_version}
Provides: tex(drmdozittc9.tfm) = %{tl_version}
Provides: tex(drmdozl10.tfm) = %{tl_version}
Provides: tex(drmdozl11.tfm) = %{tl_version}
Provides: tex(drmdozl12.tfm) = %{tl_version}
Provides: tex(drmdozl14.tfm) = %{tl_version}
Provides: tex(drmdozl17.tfm) = %{tl_version}
Provides: tex(drmdozl24.tfm) = %{tl_version}
Provides: tex(drmdozl6.tfm) = %{tl_version}
Provides: tex(drmdozl7.tfm) = %{tl_version}
Provides: tex(drmdozl8.tfm) = %{tl_version}
Provides: tex(drmdozl9.tfm) = %{tl_version}
Provides: tex(drmdozsc10.tfm) = %{tl_version}
Provides: tex(drmdozsc11.tfm) = %{tl_version}
Provides: tex(drmdozsc12.tfm) = %{tl_version}
Provides: tex(drmdozsc14.tfm) = %{tl_version}
Provides: tex(drmdozsc17.tfm) = %{tl_version}
Provides: tex(drmdozsc24.tfm) = %{tl_version}
Provides: tex(drmdozsc6.tfm) = %{tl_version}
Provides: tex(drmdozsc7.tfm) = %{tl_version}
Provides: tex(drmdozsc8.tfm) = %{tl_version}
Provides: tex(drmdozsc9.tfm) = %{tl_version}
Provides: tex(drmdozscbx10.tfm) = %{tl_version}
Provides: tex(drmdozscbx11.tfm) = %{tl_version}
Provides: tex(drmdozscbx12.tfm) = %{tl_version}
Provides: tex(drmdozscbx14.tfm) = %{tl_version}
Provides: tex(drmdozscbx17.tfm) = %{tl_version}
Provides: tex(drmdozscbx24.tfm) = %{tl_version}
Provides: tex(drmdozscbx6.tfm) = %{tl_version}
Provides: tex(drmdozscbx7.tfm) = %{tl_version}
Provides: tex(drmdozscbx8.tfm) = %{tl_version}
Provides: tex(drmdozscbx9.tfm) = %{tl_version}
Provides: tex(drmdozsl10.tfm) = %{tl_version}
Provides: tex(drmdozsl11.tfm) = %{tl_version}
Provides: tex(drmdozsl12.tfm) = %{tl_version}
Provides: tex(drmdozsl14.tfm) = %{tl_version}
Provides: tex(drmdozsl17.tfm) = %{tl_version}
Provides: tex(drmdozsl24.tfm) = %{tl_version}
Provides: tex(drmdozsl6.tfm) = %{tl_version}
Provides: tex(drmdozsl7.tfm) = %{tl_version}
Provides: tex(drmdozsl8.tfm) = %{tl_version}
Provides: tex(drmdozsl9.tfm) = %{tl_version}
Provides: tex(drmdoztc10.tfm) = %{tl_version}
Provides: tex(drmdoztc11.tfm) = %{tl_version}
Provides: tex(drmdoztc12.tfm) = %{tl_version}
Provides: tex(drmdoztc14.tfm) = %{tl_version}
Provides: tex(drmdoztc17.tfm) = %{tl_version}
Provides: tex(drmdoztc24.tfm) = %{tl_version}
Provides: tex(drmdoztc6.tfm) = %{tl_version}
Provides: tex(drmdoztc7.tfm) = %{tl_version}
Provides: tex(drmdoztc8.tfm) = %{tl_version}
Provides: tex(drmdoztc9.tfm) = %{tl_version}
Provides: tex(drmdoztcbx10.tfm) = %{tl_version}
Provides: tex(drmdoztcbx11.tfm) = %{tl_version}
Provides: tex(drmdoztcbx12.tfm) = %{tl_version}
Provides: tex(drmdoztcbx14.tfm) = %{tl_version}
Provides: tex(drmdoztcbx17.tfm) = %{tl_version}
Provides: tex(drmdoztcbx24.tfm) = %{tl_version}
Provides: tex(drmdoztcbx6.tfm) = %{tl_version}
Provides: tex(drmdoztcbx7.tfm) = %{tl_version}
Provides: tex(drmdoztcbx8.tfm) = %{tl_version}
Provides: tex(drmdoztcbx9.tfm) = %{tl_version}
Provides: tex(drmdozui10.tfm) = %{tl_version}
Provides: tex(drmdozui11.tfm) = %{tl_version}
Provides: tex(drmdozui12.tfm) = %{tl_version}
Provides: tex(drmdozui14.tfm) = %{tl_version}
Provides: tex(drmdozui17.tfm) = %{tl_version}
Provides: tex(drmdozui24.tfm) = %{tl_version}
Provides: tex(drmdozui6.tfm) = %{tl_version}
Provides: tex(drmdozui7.tfm) = %{tl_version}
Provides: tex(drmdozui8.tfm) = %{tl_version}
Provides: tex(drmdozui9.tfm) = %{tl_version}
Provides: tex(drmdozuibx10.tfm) = %{tl_version}
Provides: tex(drmdozuibx11.tfm) = %{tl_version}
Provides: tex(drmdozuibx12.tfm) = %{tl_version}
Provides: tex(drmdozuibx14.tfm) = %{tl_version}
Provides: tex(drmdozuibx17.tfm) = %{tl_version}
Provides: tex(drmdozuibx24.tfm) = %{tl_version}
Provides: tex(drmdozuibx6.tfm) = %{tl_version}
Provides: tex(drmdozuibx7.tfm) = %{tl_version}
Provides: tex(drmdozuibx8.tfm) = %{tl_version}
Provides: tex(drmdozuibx9.tfm) = %{tl_version}
Provides: tex(drmfigs10.tfm) = %{tl_version}
Provides: tex(drmfigs11.tfm) = %{tl_version}
Provides: tex(drmfigs12.tfm) = %{tl_version}
Provides: tex(drmfigs14.tfm) = %{tl_version}
Provides: tex(drmfigs17.tfm) = %{tl_version}
Provides: tex(drmfigs24.tfm) = %{tl_version}
Provides: tex(drmfigs6.tfm) = %{tl_version}
Provides: tex(drmfigs7.tfm) = %{tl_version}
Provides: tex(drmfigs8.tfm) = %{tl_version}
Provides: tex(drmfigs9.tfm) = %{tl_version}
Provides: tex(drmgrk10.tfm) = %{tl_version}
Provides: tex(drminf10.tfm) = %{tl_version}
Provides: tex(drminf11.tfm) = %{tl_version}
Provides: tex(drminf12.tfm) = %{tl_version}
Provides: tex(drminf14.tfm) = %{tl_version}
Provides: tex(drminf17.tfm) = %{tl_version}
Provides: tex(drminf24.tfm) = %{tl_version}
Provides: tex(drminf6.tfm) = %{tl_version}
Provides: tex(drminf7.tfm) = %{tl_version}
Provides: tex(drminf8.tfm) = %{tl_version}
Provides: tex(drminf9.tfm) = %{tl_version}
Provides: tex(drmit10.tfm) = %{tl_version}
Provides: tex(drmit11.tfm) = %{tl_version}
Provides: tex(drmit12.tfm) = %{tl_version}
Provides: tex(drmit14.tfm) = %{tl_version}
Provides: tex(drmit17.tfm) = %{tl_version}
Provides: tex(drmit24.tfm) = %{tl_version}
Provides: tex(drmit6.tfm) = %{tl_version}
Provides: tex(drmit7.tfm) = %{tl_version}
Provides: tex(drmit8.tfm) = %{tl_version}
Provides: tex(drmit9.tfm) = %{tl_version}
Provides: tex(drmitbx10.tfm) = %{tl_version}
Provides: tex(drmitbx11.tfm) = %{tl_version}
Provides: tex(drmitbx12.tfm) = %{tl_version}
Provides: tex(drmitbx14.tfm) = %{tl_version}
Provides: tex(drmitbx17.tfm) = %{tl_version}
Provides: tex(drmitbx24.tfm) = %{tl_version}
Provides: tex(drmitbx6.tfm) = %{tl_version}
Provides: tex(drmitbx7.tfm) = %{tl_version}
Provides: tex(drmitbx8.tfm) = %{tl_version}
Provides: tex(drmitbx9.tfm) = %{tl_version}
Provides: tex(drmitsc10.tfm) = %{tl_version}
Provides: tex(drmitsc11.tfm) = %{tl_version}
Provides: tex(drmitsc12.tfm) = %{tl_version}
Provides: tex(drmitsc14.tfm) = %{tl_version}
Provides: tex(drmitsc17.tfm) = %{tl_version}
Provides: tex(drmitsc24.tfm) = %{tl_version}
Provides: tex(drmitsc6.tfm) = %{tl_version}
Provides: tex(drmitsc7.tfm) = %{tl_version}
Provides: tex(drmitsc8.tfm) = %{tl_version}
Provides: tex(drmitsc9.tfm) = %{tl_version}
Provides: tex(drmittc10.tfm) = %{tl_version}
Provides: tex(drmittc11.tfm) = %{tl_version}
Provides: tex(drmittc12.tfm) = %{tl_version}
Provides: tex(drmittc14.tfm) = %{tl_version}
Provides: tex(drmittc17.tfm) = %{tl_version}
Provides: tex(drmittc24.tfm) = %{tl_version}
Provides: tex(drmittc6.tfm) = %{tl_version}
Provides: tex(drmittc7.tfm) = %{tl_version}
Provides: tex(drmittc8.tfm) = %{tl_version}
Provides: tex(drmittc9.tfm) = %{tl_version}
Provides: tex(drml10.tfm) = %{tl_version}
Provides: tex(drml11.tfm) = %{tl_version}
Provides: tex(drml12.tfm) = %{tl_version}
Provides: tex(drml14.tfm) = %{tl_version}
Provides: tex(drml17.tfm) = %{tl_version}
Provides: tex(drml24.tfm) = %{tl_version}
Provides: tex(drml6.tfm) = %{tl_version}
Provides: tex(drml7.tfm) = %{tl_version}
Provides: tex(drml8.tfm) = %{tl_version}
Provides: tex(drml9.tfm) = %{tl_version}
Provides: tex(drmmi10.tfm) = %{tl_version}
Provides: tex(drmomx10.tfm) = %{tl_version}
Provides: tex(drmorns.tfm) = %{tl_version}
Provides: tex(drmsc10.tfm) = %{tl_version}
Provides: tex(drmsc11.tfm) = %{tl_version}
Provides: tex(drmsc12.tfm) = %{tl_version}
Provides: tex(drmsc14.tfm) = %{tl_version}
Provides: tex(drmsc17.tfm) = %{tl_version}
Provides: tex(drmsc24.tfm) = %{tl_version}
Provides: tex(drmsc6.tfm) = %{tl_version}
Provides: tex(drmsc7.tfm) = %{tl_version}
Provides: tex(drmsc8.tfm) = %{tl_version}
Provides: tex(drmsc9.tfm) = %{tl_version}
Provides: tex(drmscbx10.tfm) = %{tl_version}
Provides: tex(drmscbx11.tfm) = %{tl_version}
Provides: tex(drmscbx12.tfm) = %{tl_version}
Provides: tex(drmscbx14.tfm) = %{tl_version}
Provides: tex(drmscbx17.tfm) = %{tl_version}
Provides: tex(drmscbx24.tfm) = %{tl_version}
Provides: tex(drmscbx6.tfm) = %{tl_version}
Provides: tex(drmscbx7.tfm) = %{tl_version}
Provides: tex(drmscbx8.tfm) = %{tl_version}
Provides: tex(drmscbx9.tfm) = %{tl_version}
Provides: tex(drmsl10.tfm) = %{tl_version}
Provides: tex(drmsl11.tfm) = %{tl_version}
Provides: tex(drmsl12.tfm) = %{tl_version}
Provides: tex(drmsl14.tfm) = %{tl_version}
Provides: tex(drmsl17.tfm) = %{tl_version}
Provides: tex(drmsl24.tfm) = %{tl_version}
Provides: tex(drmsl6.tfm) = %{tl_version}
Provides: tex(drmsl7.tfm) = %{tl_version}
Provides: tex(drmsl8.tfm) = %{tl_version}
Provides: tex(drmsl9.tfm) = %{tl_version}
Provides: tex(drmsy10.tfm) = %{tl_version}
Provides: tex(drmsym10.tfm) = %{tl_version}
Provides: tex(drmsym11.tfm) = %{tl_version}
Provides: tex(drmsym12.tfm) = %{tl_version}
Provides: tex(drmsym14.tfm) = %{tl_version}
Provides: tex(drmsym17.tfm) = %{tl_version}
Provides: tex(drmsym24.tfm) = %{tl_version}
Provides: tex(drmsym7.tfm) = %{tl_version}
Provides: tex(drmsym8.tfm) = %{tl_version}
Provides: tex(drmsym9.tfm) = %{tl_version}
Provides: tex(drmtc10.tfm) = %{tl_version}
Provides: tex(drmtc11.tfm) = %{tl_version}
Provides: tex(drmtc12.tfm) = %{tl_version}
Provides: tex(drmtc14.tfm) = %{tl_version}
Provides: tex(drmtc17.tfm) = %{tl_version}
Provides: tex(drmtc24.tfm) = %{tl_version}
Provides: tex(drmtc6.tfm) = %{tl_version}
Provides: tex(drmtc7.tfm) = %{tl_version}
Provides: tex(drmtc8.tfm) = %{tl_version}
Provides: tex(drmtc9.tfm) = %{tl_version}
Provides: tex(drmtcbx10.tfm) = %{tl_version}
Provides: tex(drmtcbx11.tfm) = %{tl_version}
Provides: tex(drmtcbx12.tfm) = %{tl_version}
Provides: tex(drmtcbx14.tfm) = %{tl_version}
Provides: tex(drmtcbx17.tfm) = %{tl_version}
Provides: tex(drmtcbx24.tfm) = %{tl_version}
Provides: tex(drmtcbx6.tfm) = %{tl_version}
Provides: tex(drmtcbx7.tfm) = %{tl_version}
Provides: tex(drmtcbx8.tfm) = %{tl_version}
Provides: tex(drmtcbx9.tfm) = %{tl_version}
Provides: tex(drmui10.tfm) = %{tl_version}
Provides: tex(drmui11.tfm) = %{tl_version}
Provides: tex(drmui12.tfm) = %{tl_version}
Provides: tex(drmui14.tfm) = %{tl_version}
Provides: tex(drmui17.tfm) = %{tl_version}
Provides: tex(drmui24.tfm) = %{tl_version}
Provides: tex(drmui6.tfm) = %{tl_version}
Provides: tex(drmui7.tfm) = %{tl_version}
Provides: tex(drmui8.tfm) = %{tl_version}
Provides: tex(drmui9.tfm) = %{tl_version}
Provides: tex(drmuibx10.tfm) = %{tl_version}
Provides: tex(drmuibx11.tfm) = %{tl_version}
Provides: tex(drmuibx12.tfm) = %{tl_version}
Provides: tex(drmuibx14.tfm) = %{tl_version}
Provides: tex(drmuibx17.tfm) = %{tl_version}
Provides: tex(drmuibx24.tfm) = %{tl_version}
Provides: tex(drmuibx6.tfm) = %{tl_version}
Provides: tex(drmuibx7.tfm) = %{tl_version}
Provides: tex(drmuibx8.tfm) = %{tl_version}
Provides: tex(drmuibx9.tfm) = %{tl_version}
Provides: tex(drm10.pfb) = %{tl_version}
Provides: tex(drm11.pfb) = %{tl_version}
Provides: tex(drm12.pfb) = %{tl_version}
Provides: tex(drm14.pfb) = %{tl_version}
Provides: tex(drm17.pfb) = %{tl_version}
Provides: tex(drm24.pfb) = %{tl_version}
Provides: tex(drm6.pfb) = %{tl_version}
Provides: tex(drm7.pfb) = %{tl_version}
Provides: tex(drm8.pfb) = %{tl_version}
Provides: tex(drm9.pfb) = %{tl_version}
Provides: tex(drmb10.pfb) = %{tl_version}
Provides: tex(drmb11.pfb) = %{tl_version}
Provides: tex(drmb12.pfb) = %{tl_version}
Provides: tex(drmb14.pfb) = %{tl_version}
Provides: tex(drmb17.pfb) = %{tl_version}
Provides: tex(drmb24.pfb) = %{tl_version}
Provides: tex(drmb6.pfb) = %{tl_version}
Provides: tex(drmb7.pfb) = %{tl_version}
Provides: tex(drmb8.pfb) = %{tl_version}
Provides: tex(drmb9.pfb) = %{tl_version}
Provides: tex(drmbx10.pfb) = %{tl_version}
Provides: tex(drmbx11.pfb) = %{tl_version}
Provides: tex(drmbx12.pfb) = %{tl_version}
Provides: tex(drmbx14.pfb) = %{tl_version}
Provides: tex(drmbx17.pfb) = %{tl_version}
Provides: tex(drmbx24.pfb) = %{tl_version}
Provides: tex(drmbx6.pfb) = %{tl_version}
Provides: tex(drmbx7.pfb) = %{tl_version}
Provides: tex(drmbx8.pfb) = %{tl_version}
Provides: tex(drmbx9.pfb) = %{tl_version}
Provides: tex(drmdoz10.pfb) = %{tl_version}
Provides: tex(drmdoz11.pfb) = %{tl_version}
Provides: tex(drmdoz12.pfb) = %{tl_version}
Provides: tex(drmdoz14.pfb) = %{tl_version}
Provides: tex(drmdoz17.pfb) = %{tl_version}
Provides: tex(drmdoz24.pfb) = %{tl_version}
Provides: tex(drmdoz6.pfb) = %{tl_version}
Provides: tex(drmdoz7.pfb) = %{tl_version}
Provides: tex(drmdoz8.pfb) = %{tl_version}
Provides: tex(drmdoz9.pfb) = %{tl_version}
Provides: tex(drmdozb10.pfb) = %{tl_version}
Provides: tex(drmdozb11.pfb) = %{tl_version}
Provides: tex(drmdozb12.pfb) = %{tl_version}
Provides: tex(drmdozb14.pfb) = %{tl_version}
Provides: tex(drmdozb17.pfb) = %{tl_version}
Provides: tex(drmdozb24.pfb) = %{tl_version}
Provides: tex(drmdozb6.pfb) = %{tl_version}
Provides: tex(drmdozb7.pfb) = %{tl_version}
Provides: tex(drmdozb8.pfb) = %{tl_version}
Provides: tex(drmdozb9.pfb) = %{tl_version}
Provides: tex(drmdozbx10.pfb) = %{tl_version}
Provides: tex(drmdozbx11.pfb) = %{tl_version}
Provides: tex(drmdozbx12.pfb) = %{tl_version}
Provides: tex(drmdozbx14.pfb) = %{tl_version}
Provides: tex(drmdozbx17.pfb) = %{tl_version}
Provides: tex(drmdozbx24.pfb) = %{tl_version}
Provides: tex(drmdozbx6.pfb) = %{tl_version}
Provides: tex(drmdozbx7.pfb) = %{tl_version}
Provides: tex(drmdozbx8.pfb) = %{tl_version}
Provides: tex(drmdozbx9.pfb) = %{tl_version}
Provides: tex(drmdozit10.pfb) = %{tl_version}
Provides: tex(drmdozit11.pfb) = %{tl_version}
Provides: tex(drmdozit12.pfb) = %{tl_version}
Provides: tex(drmdozit14.pfb) = %{tl_version}
Provides: tex(drmdozit17.pfb) = %{tl_version}
Provides: tex(drmdozit24.pfb) = %{tl_version}
Provides: tex(drmdozit6.pfb) = %{tl_version}
Provides: tex(drmdozit7.pfb) = %{tl_version}
Provides: tex(drmdozit8.pfb) = %{tl_version}
Provides: tex(drmdozit9.pfb) = %{tl_version}
Provides: tex(drmdozitbx10.pfb) = %{tl_version}
Provides: tex(drmdozitbx11.pfb) = %{tl_version}
Provides: tex(drmdozitbx12.pfb) = %{tl_version}
Provides: tex(drmdozitbx14.pfb) = %{tl_version}
Provides: tex(drmdozitbx17.pfb) = %{tl_version}
Provides: tex(drmdozitbx24.pfb) = %{tl_version}
Provides: tex(drmdozitbx6.pfb) = %{tl_version}
Provides: tex(drmdozitbx7.pfb) = %{tl_version}
Provides: tex(drmdozitbx8.pfb) = %{tl_version}
Provides: tex(drmdozitbx9.pfb) = %{tl_version}
Provides: tex(drmdozitsc10.pfb) = %{tl_version}
Provides: tex(drmdozitsc11.pfb) = %{tl_version}
Provides: tex(drmdozitsc12.pfb) = %{tl_version}
Provides: tex(drmdozitsc14.pfb) = %{tl_version}
Provides: tex(drmdozitsc17.pfb) = %{tl_version}
Provides: tex(drmdozitsc24.pfb) = %{tl_version}
Provides: tex(drmdozitsc6.pfb) = %{tl_version}
Provides: tex(drmdozitsc7.pfb) = %{tl_version}
Provides: tex(drmdozitsc8.pfb) = %{tl_version}
Provides: tex(drmdozitsc9.pfb) = %{tl_version}
Provides: tex(drmdozittc10.pfb) = %{tl_version}
Provides: tex(drmdozittc11.pfb) = %{tl_version}
Provides: tex(drmdozittc12.pfb) = %{tl_version}
Provides: tex(drmdozittc14.pfb) = %{tl_version}
Provides: tex(drmdozittc17.pfb) = %{tl_version}
Provides: tex(drmdozittc24.pfb) = %{tl_version}
Provides: tex(drmdozittc6.pfb) = %{tl_version}
Provides: tex(drmdozittc7.pfb) = %{tl_version}
Provides: tex(drmdozittc8.pfb) = %{tl_version}
Provides: tex(drmdozittc9.pfb) = %{tl_version}
Provides: tex(drmdozl10.pfb) = %{tl_version}
Provides: tex(drmdozl11.pfb) = %{tl_version}
Provides: tex(drmdozl12.pfb) = %{tl_version}
Provides: tex(drmdozl14.pfb) = %{tl_version}
Provides: tex(drmdozl17.pfb) = %{tl_version}
Provides: tex(drmdozl24.pfb) = %{tl_version}
Provides: tex(drmdozl6.pfb) = %{tl_version}
Provides: tex(drmdozl7.pfb) = %{tl_version}
Provides: tex(drmdozl8.pfb) = %{tl_version}
Provides: tex(drmdozl9.pfb) = %{tl_version}
Provides: tex(drmdozsc10.pfb) = %{tl_version}
Provides: tex(drmdozsc11.pfb) = %{tl_version}
Provides: tex(drmdozsc12.pfb) = %{tl_version}
Provides: tex(drmdozsc14.pfb) = %{tl_version}
Provides: tex(drmdozsc17.pfb) = %{tl_version}
Provides: tex(drmdozsc24.pfb) = %{tl_version}
Provides: tex(drmdozsc6.pfb) = %{tl_version}
Provides: tex(drmdozsc7.pfb) = %{tl_version}
Provides: tex(drmdozsc8.pfb) = %{tl_version}
Provides: tex(drmdozsc9.pfb) = %{tl_version}
Provides: tex(drmdozscbx10.pfb) = %{tl_version}
Provides: tex(drmdozscbx11.pfb) = %{tl_version}
Provides: tex(drmdozscbx12.pfb) = %{tl_version}
Provides: tex(drmdozscbx14.pfb) = %{tl_version}
Provides: tex(drmdozscbx17.pfb) = %{tl_version}
Provides: tex(drmdozscbx24.pfb) = %{tl_version}
Provides: tex(drmdozscbx6.pfb) = %{tl_version}
Provides: tex(drmdozscbx7.pfb) = %{tl_version}
Provides: tex(drmdozscbx8.pfb) = %{tl_version}
Provides: tex(drmdozscbx9.pfb) = %{tl_version}
Provides: tex(drmdozsl10.pfb) = %{tl_version}
Provides: tex(drmdozsl11.pfb) = %{tl_version}
Provides: tex(drmdozsl12.pfb) = %{tl_version}
Provides: tex(drmdozsl14.pfb) = %{tl_version}
Provides: tex(drmdozsl17.pfb) = %{tl_version}
Provides: tex(drmdozsl24.pfb) = %{tl_version}
Provides: tex(drmdozsl6.pfb) = %{tl_version}
Provides: tex(drmdozsl7.pfb) = %{tl_version}
Provides: tex(drmdozsl8.pfb) = %{tl_version}
Provides: tex(drmdozsl9.pfb) = %{tl_version}
Provides: tex(drmdoztc10.pfb) = %{tl_version}
Provides: tex(drmdoztc11.pfb) = %{tl_version}
Provides: tex(drmdoztc12.pfb) = %{tl_version}
Provides: tex(drmdoztc14.pfb) = %{tl_version}
Provides: tex(drmdoztc17.pfb) = %{tl_version}
Provides: tex(drmdoztc24.pfb) = %{tl_version}
Provides: tex(drmdoztc6.pfb) = %{tl_version}
Provides: tex(drmdoztc7.pfb) = %{tl_version}
Provides: tex(drmdoztc8.pfb) = %{tl_version}
Provides: tex(drmdoztc9.pfb) = %{tl_version}
Provides: tex(drmdoztcbx10.pfb) = %{tl_version}
Provides: tex(drmdoztcbx11.pfb) = %{tl_version}
Provides: tex(drmdoztcbx12.pfb) = %{tl_version}
Provides: tex(drmdoztcbx14.pfb) = %{tl_version}
Provides: tex(drmdoztcbx17.pfb) = %{tl_version}
Provides: tex(drmdoztcbx24.pfb) = %{tl_version}
Provides: tex(drmdoztcbx6.pfb) = %{tl_version}
Provides: tex(drmdoztcbx7.pfb) = %{tl_version}
Provides: tex(drmdoztcbx8.pfb) = %{tl_version}
Provides: tex(drmdoztcbx9.pfb) = %{tl_version}
Provides: tex(drmdozui10.pfb) = %{tl_version}
Provides: tex(drmdozui11.pfb) = %{tl_version}
Provides: tex(drmdozui12.pfb) = %{tl_version}
Provides: tex(drmdozui14.pfb) = %{tl_version}
Provides: tex(drmdozui17.pfb) = %{tl_version}
Provides: tex(drmdozui24.pfb) = %{tl_version}
Provides: tex(drmdozui6.pfb) = %{tl_version}
Provides: tex(drmdozui7.pfb) = %{tl_version}
Provides: tex(drmdozui8.pfb) = %{tl_version}
Provides: tex(drmdozui9.pfb) = %{tl_version}
Provides: tex(drmdozuibx10.pfb) = %{tl_version}
Provides: tex(drmdozuibx11.pfb) = %{tl_version}
Provides: tex(drmdozuibx12.pfb) = %{tl_version}
Provides: tex(drmdozuibx14.pfb) = %{tl_version}
Provides: tex(drmdozuibx17.pfb) = %{tl_version}
Provides: tex(drmdozuibx24.pfb) = %{tl_version}
Provides: tex(drmdozuibx6.pfb) = %{tl_version}
Provides: tex(drmdozuibx7.pfb) = %{tl_version}
Provides: tex(drmdozuibx8.pfb) = %{tl_version}
Provides: tex(drmdozuibx9.pfb) = %{tl_version}
Provides: tex(drmfigs10.pfb) = %{tl_version}
Provides: tex(drmfigs11.pfb) = %{tl_version}
Provides: tex(drmfigs12.pfb) = %{tl_version}
Provides: tex(drmfigs14.pfb) = %{tl_version}
Provides: tex(drmfigs17.pfb) = %{tl_version}
Provides: tex(drmfigs24.pfb) = %{tl_version}
Provides: tex(drmfigs6.pfb) = %{tl_version}
Provides: tex(drmfigs7.pfb) = %{tl_version}
Provides: tex(drmfigs8.pfb) = %{tl_version}
Provides: tex(drmfigs9.pfb) = %{tl_version}
Provides: tex(drmgrk10.pfb) = %{tl_version}
Provides: tex(drminf10.pfb) = %{tl_version}
Provides: tex(drminf11.pfb) = %{tl_version}
Provides: tex(drminf12.pfb) = %{tl_version}
Provides: tex(drminf14.pfb) = %{tl_version}
Provides: tex(drminf17.pfb) = %{tl_version}
Provides: tex(drminf24.pfb) = %{tl_version}
Provides: tex(drminf6.pfb) = %{tl_version}
Provides: tex(drminf7.pfb) = %{tl_version}
Provides: tex(drminf8.pfb) = %{tl_version}
Provides: tex(drminf9.pfb) = %{tl_version}
Provides: tex(drmit10.pfb) = %{tl_version}
Provides: tex(drmit11.pfb) = %{tl_version}
Provides: tex(drmit12.pfb) = %{tl_version}
Provides: tex(drmit14.pfb) = %{tl_version}
Provides: tex(drmit17.pfb) = %{tl_version}
Provides: tex(drmit24.pfb) = %{tl_version}
Provides: tex(drmit6.pfb) = %{tl_version}
Provides: tex(drmit7.pfb) = %{tl_version}
Provides: tex(drmit8.pfb) = %{tl_version}
Provides: tex(drmit9.pfb) = %{tl_version}
Provides: tex(drmitbx10.pfb) = %{tl_version}
Provides: tex(drmitbx11.pfb) = %{tl_version}
Provides: tex(drmitbx12.pfb) = %{tl_version}
Provides: tex(drmitbx14.pfb) = %{tl_version}
Provides: tex(drmitbx17.pfb) = %{tl_version}
Provides: tex(drmitbx24.pfb) = %{tl_version}
Provides: tex(drmitbx6.pfb) = %{tl_version}
Provides: tex(drmitbx7.pfb) = %{tl_version}
Provides: tex(drmitbx8.pfb) = %{tl_version}
Provides: tex(drmitbx9.pfb) = %{tl_version}
Provides: tex(drmitsc10.pfb) = %{tl_version}
Provides: tex(drmitsc11.pfb) = %{tl_version}
Provides: tex(drmitsc12.pfb) = %{tl_version}
Provides: tex(drmitsc14.pfb) = %{tl_version}
Provides: tex(drmitsc17.pfb) = %{tl_version}
Provides: tex(drmitsc24.pfb) = %{tl_version}
Provides: tex(drmitsc6.pfb) = %{tl_version}
Provides: tex(drmitsc7.pfb) = %{tl_version}
Provides: tex(drmitsc8.pfb) = %{tl_version}
Provides: tex(drmitsc9.pfb) = %{tl_version}
Provides: tex(drmittc10.pfb) = %{tl_version}
Provides: tex(drmittc11.pfb) = %{tl_version}
Provides: tex(drmittc12.pfb) = %{tl_version}
Provides: tex(drmittc14.pfb) = %{tl_version}
Provides: tex(drmittc17.pfb) = %{tl_version}
Provides: tex(drmittc24.pfb) = %{tl_version}
Provides: tex(drmittc6.pfb) = %{tl_version}
Provides: tex(drmittc7.pfb) = %{tl_version}
Provides: tex(drmittc8.pfb) = %{tl_version}
Provides: tex(drmittc9.pfb) = %{tl_version}
Provides: tex(drml10.pfb) = %{tl_version}
Provides: tex(drml11.pfb) = %{tl_version}
Provides: tex(drml12.pfb) = %{tl_version}
Provides: tex(drml14.pfb) = %{tl_version}
Provides: tex(drml17.pfb) = %{tl_version}
Provides: tex(drml24.pfb) = %{tl_version}
Provides: tex(drml6.pfb) = %{tl_version}
Provides: tex(drml7.pfb) = %{tl_version}
Provides: tex(drml8.pfb) = %{tl_version}
Provides: tex(drml9.pfb) = %{tl_version}
Provides: tex(drmmi10.pfb) = %{tl_version}
Provides: tex(drmsc10.pfb) = %{tl_version}
Provides: tex(drmsc11.pfb) = %{tl_version}
Provides: tex(drmsc12.pfb) = %{tl_version}
Provides: tex(drmsc14.pfb) = %{tl_version}
Provides: tex(drmsc17.pfb) = %{tl_version}
Provides: tex(drmsc24.pfb) = %{tl_version}
Provides: tex(drmsc6.pfb) = %{tl_version}
Provides: tex(drmsc7.pfb) = %{tl_version}
Provides: tex(drmsc8.pfb) = %{tl_version}
Provides: tex(drmsc9.pfb) = %{tl_version}
Provides: tex(drmscbx10.pfb) = %{tl_version}
Provides: tex(drmscbx11.pfb) = %{tl_version}
Provides: tex(drmscbx12.pfb) = %{tl_version}
Provides: tex(drmscbx14.pfb) = %{tl_version}
Provides: tex(drmscbx17.pfb) = %{tl_version}
Provides: tex(drmscbx24.pfb) = %{tl_version}
Provides: tex(drmscbx6.pfb) = %{tl_version}
Provides: tex(drmscbx7.pfb) = %{tl_version}
Provides: tex(drmscbx8.pfb) = %{tl_version}
Provides: tex(drmscbx9.pfb) = %{tl_version}
Provides: tex(drmsl10.pfb) = %{tl_version}
Provides: tex(drmsl11.pfb) = %{tl_version}
Provides: tex(drmsl12.pfb) = %{tl_version}
Provides: tex(drmsl14.pfb) = %{tl_version}
Provides: tex(drmsl17.pfb) = %{tl_version}
Provides: tex(drmsl24.pfb) = %{tl_version}
Provides: tex(drmsl6.pfb) = %{tl_version}
Provides: tex(drmsl7.pfb) = %{tl_version}
Provides: tex(drmsl8.pfb) = %{tl_version}
Provides: tex(drmsl9.pfb) = %{tl_version}
Provides: tex(drmsy10.pfb) = %{tl_version}
Provides: tex(drmsym10.pfb) = %{tl_version}
Provides: tex(drmsym11.pfb) = %{tl_version}
Provides: tex(drmsym12.pfb) = %{tl_version}
Provides: tex(drmsym14.pfb) = %{tl_version}
Provides: tex(drmsym17.pfb) = %{tl_version}
Provides: tex(drmsym24.pfb) = %{tl_version}
Provides: tex(drmsym7.pfb) = %{tl_version}
Provides: tex(drmsym8.pfb) = %{tl_version}
Provides: tex(drmsym9.pfb) = %{tl_version}
Provides: tex(drmtc10.pfb) = %{tl_version}
Provides: tex(drmtc11.pfb) = %{tl_version}
Provides: tex(drmtc12.pfb) = %{tl_version}
Provides: tex(drmtc14.pfb) = %{tl_version}
Provides: tex(drmtc17.pfb) = %{tl_version}
Provides: tex(drmtc24.pfb) = %{tl_version}
Provides: tex(drmtc6.pfb) = %{tl_version}
Provides: tex(drmtc7.pfb) = %{tl_version}
Provides: tex(drmtc8.pfb) = %{tl_version}
Provides: tex(drmtc9.pfb) = %{tl_version}
Provides: tex(drmtcbx10.pfb) = %{tl_version}
Provides: tex(drmtcbx11.pfb) = %{tl_version}
Provides: tex(drmtcbx12.pfb) = %{tl_version}
Provides: tex(drmtcbx14.pfb) = %{tl_version}
Provides: tex(drmtcbx17.pfb) = %{tl_version}
Provides: tex(drmtcbx24.pfb) = %{tl_version}
Provides: tex(drmtcbx6.pfb) = %{tl_version}
Provides: tex(drmtcbx7.pfb) = %{tl_version}
Provides: tex(drmtcbx8.pfb) = %{tl_version}
Provides: tex(drmtcbx9.pfb) = %{tl_version}
Provides: tex(drmui10.pfb) = %{tl_version}
Provides: tex(drmui11.pfb) = %{tl_version}
Provides: tex(drmui12.pfb) = %{tl_version}
Provides: tex(drmui14.pfb) = %{tl_version}
Provides: tex(drmui17.pfb) = %{tl_version}
Provides: tex(drmui24.pfb) = %{tl_version}
Provides: tex(drmui6.pfb) = %{tl_version}
Provides: tex(drmui7.pfb) = %{tl_version}
Provides: tex(drmui8.pfb) = %{tl_version}
Provides: tex(drmui9.pfb) = %{tl_version}
Provides: tex(drmuibx10.pfb) = %{tl_version}
Provides: tex(drmuibx11.pfb) = %{tl_version}
Provides: tex(drmuibx12.pfb) = %{tl_version}
Provides: tex(drmuibx14.pfb) = %{tl_version}
Provides: tex(drmuibx17.pfb) = %{tl_version}
Provides: tex(drmuibx24.pfb) = %{tl_version}
Provides: tex(drmuibx6.pfb) = %{tl_version}
Provides: tex(drmuibx7.pfb) = %{tl_version}
Provides: tex(drmuibx8.pfb) = %{tl_version}
Provides: tex(drmuibx9.pfb) = %{tl_version}
Provides: tex(drm.sty) = %{tl_version}

%description drm
The package provides access to the DRM (Don's Revised Modern)
family of fonts, which includes a variety of optical sizes in
Roman (in four weights), italic, and small caps, among other
shapes, along with a set of symbols and ornaments. It is
intended to be a full-body text font, but its larger sizes can
also be used for simple display purposes, and its significant
body of symbols can stand on its own. It comes complete with
textual ("old-style") and lining figures, and even has small-
caps figures. It also comes with extensible decorative rules to
be used with ornaments from itself or other fonts, along with
an extremely flexible ellipsis package.

%package drm-doc
Summary: Documentation for drm
Version: svn38157.4.4

Provides: tex-drm-doc
AutoReqProv: No

%description drm-doc
Documentation for drm

%package droid
Provides: tex-droid = %{tl_version}
License: LPPL 1.3
Summary: LaTeX support for the Droid font families
Version: svn23912.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(droidsans.sty)
Requires: tex(keyval.sty)
Requires: tex(slantsc.sty)
Provides: tex(droid-01.enc) = %{tl_version}
Provides: tex(droid-02.enc) = %{tl_version}
Provides: tex(droid-03.enc) = %{tl_version}
Provides: tex(droid-04.enc) = %{tl_version}
Provides: tex(droid.map) = %{tl_version}
Provides: tex(DroidSans-01.tfm) = %{tl_version}
Provides: tex(DroidSans-02.tfm) = %{tl_version}
Provides: tex(DroidSans-03.tfm) = %{tl_version}
Provides: tex(DroidSans-04.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-01.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-02.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-03.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-04.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-01.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-02.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-03.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-04.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-ts1.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-01.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-02.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-03.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-04.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(DroidSans-Slanted-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-lgr.tfm) = %{tl_version}
Provides: tex(DroidSans-ot1.tfm) = %{tl_version}
Provides: tex(DroidSans-t1.tfm) = %{tl_version}
Provides: tex(DroidSans-t2a.tfm) = %{tl_version}
Provides: tex(DroidSans-t2b.tfm) = %{tl_version}
Provides: tex(DroidSans-t2c.tfm) = %{tl_version}
Provides: tex(DroidSans-ts1.tfm) = %{tl_version}
Provides: tex(DroidSans-x2.tfm) = %{tl_version}
Provides: tex(DroidSansMono-01.tfm) = %{tl_version}
Provides: tex(DroidSansMono-02.tfm) = %{tl_version}
Provides: tex(DroidSansMono-03.tfm) = %{tl_version}
Provides: tex(DroidSansMono-04.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-01.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-02.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-03.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-04.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-x2.tfm) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSansMono-lgr.tfm) = %{tl_version}
Provides: tex(DroidSansMono-ot1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-t1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-t2a.tfm) = %{tl_version}
Provides: tex(DroidSansMono-t2b.tfm) = %{tl_version}
Provides: tex(DroidSansMono-t2c.tfm) = %{tl_version}
Provides: tex(DroidSansMono-ts1.tfm) = %{tl_version}
Provides: tex(DroidSansMono-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Bold-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Italic-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-01.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-02.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-03.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-04.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-lgr.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-ot1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-t1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-t2a.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-t2b.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-t2c.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-ts1.tfm) = %{tl_version}
Provides: tex(DroidSerif-Regular-x2.tfm) = %{tl_version}
Provides: tex(DroidSans-Bold.ttf) = %{tl_version}
Provides: tex(DroidSans.ttf) = %{tl_version}
Provides: tex(DroidSansMono.ttf) = %{tl_version}
Provides: tex(DroidSerif-Bold.ttf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic.ttf) = %{tl_version}
Provides: tex(DroidSerif-Italic.ttf) = %{tl_version}
Provides: tex(DroidSerif-Regular.ttf) = %{tl_version}
Provides: tex(DroidSans-Bold.pfb) = %{tl_version}
Provides: tex(DroidSans.pfb) = %{tl_version}
Provides: tex(DroidSansMono.pfb) = %{tl_version}
Provides: tex(DroidSerif-Bold.pfb) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic.pfb) = %{tl_version}
Provides: tex(DroidSerif-Italic.pfb) = %{tl_version}
Provides: tex(DroidSerif-Regular.pfb) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-ts1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-Slanted-x2.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-t1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-ts1.vf) = %{tl_version}
Provides: tex(DroidSans-Bold-x2.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-t1.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-ts1.vf) = %{tl_version}
Provides: tex(DroidSans-Slanted-x2.vf) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSans-lgr.vf) = %{tl_version}
Provides: tex(DroidSans-ot1.vf) = %{tl_version}
Provides: tex(DroidSans-t1.vf) = %{tl_version}
Provides: tex(DroidSans-t2a.vf) = %{tl_version}
Provides: tex(DroidSans-t2b.vf) = %{tl_version}
Provides: tex(DroidSans-t2c.vf) = %{tl_version}
Provides: tex(DroidSans-ts1.vf) = %{tl_version}
Provides: tex(DroidSans-x2.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-lgr.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-ot1.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t1.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t2a.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t2b.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-t2c.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-ts1.vf) = %{tl_version}
Provides: tex(DroidSansMono-Slanted-x2.vf) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSansMono-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSansMono-lgr.vf) = %{tl_version}
Provides: tex(DroidSansMono-ot1.vf) = %{tl_version}
Provides: tex(DroidSansMono-t1.vf) = %{tl_version}
Provides: tex(DroidSansMono-t2a.vf) = %{tl_version}
Provides: tex(DroidSansMono-t2b.vf) = %{tl_version}
Provides: tex(DroidSansMono-t2c.vf) = %{tl_version}
Provides: tex(DroidSansMono-ts1.vf) = %{tl_version}
Provides: tex(DroidSansMono-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-Slanted-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-Bold-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-Upright-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-BoldItalic-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-Upright-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-Italic-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-Slanted-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-lgr.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-ot1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-t1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-t2a.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-t2b.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-t2c.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-ts1.vf) = %{tl_version}
Provides: tex(DroidSerif-Regular-x2.vf) = %{tl_version}
Provides: tex(droid.sty) = %{tl_version}
Provides: tex(droidmono.sty) = %{tl_version}
Provides: tex(droidsans.sty) = %{tl_version}
Provides: tex(droidserif.sty) = %{tl_version}
Provides: tex(lgrfdm.fd) = %{tl_version}
Provides: tex(lgrfdr.fd) = %{tl_version}
Provides: tex(lgrfds.fd) = %{tl_version}
Provides: tex(ot1fdm.fd) = %{tl_version}
Provides: tex(ot1fdr.fd) = %{tl_version}
Provides: tex(ot1fds.fd) = %{tl_version}
Provides: tex(t1fdm.fd) = %{tl_version}
Provides: tex(t1fdr.fd) = %{tl_version}
Provides: tex(t1fds.fd) = %{tl_version}
Provides: tex(t2afdm.fd) = %{tl_version}
Provides: tex(t2afdr.fd) = %{tl_version}
Provides: tex(t2afds.fd) = %{tl_version}
Provides: tex(t2bfdm.fd) = %{tl_version}
Provides: tex(t2bfdr.fd) = %{tl_version}
Provides: tex(t2bfds.fd) = %{tl_version}
Provides: tex(t2cfdm.fd) = %{tl_version}
Provides: tex(t2cfdr.fd) = %{tl_version}
Provides: tex(t2cfds.fd) = %{tl_version}
Provides: tex(ts1fdm.fd) = %{tl_version}
Provides: tex(ts1fdr.fd) = %{tl_version}
Provides: tex(ts1fds.fd) = %{tl_version}
Provides: tex(x2fdm.fd) = %{tl_version}
Provides: tex(x2fdr.fd) = %{tl_version}
Provides: tex(x2fds.fd) = %{tl_version}

%description droid
The Droid typeface family was designed in the fall of 2006 by
Steve Matteson, as a commission from Google to create a set of
system fonts for its Android platform. The goal was to provide
optimal quality and comfort on a mobile handset when rendered
in application menus, web browsers and for other screen text.
The Droid family consists of Droid Serif, Droid Sans and Droid
Sans Mono fonts, licensed under the Apache License Version 2.0.
The bundle includes the fonts in both TrueType and Adobe Type 1
formats. The package does not support the Droid Pro family of
fonts, available for purchase from the Ascender foundry.

%package droid-doc
Summary: Documentation for droid
Version: svn23912.2.1

Provides: tex-droid-doc
AutoReqProv: No

%description droid-doc
Documentation for droid

%package duerer
Provides: tex-duerer = %{tl_version}
License: Public Domain
Summary: Computer Duerer fonts
Version: svn20741.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cdb10.tfm) = %{tl_version}
Provides: tex(cdi10.tfm) = %{tl_version}
Provides: tex(cdr10.tfm) = %{tl_version}
Provides: tex(cdsl10.tfm) = %{tl_version}
Provides: tex(cdss10.tfm) = %{tl_version}
Provides: tex(cdtt10.tfm) = %{tl_version}

%description duerer
These fonts are designed for titling use, and consist of
capital roman letters only. Together with the normal set of
base shapes, the family also offers an informal shape. The
distribution is as Metafont source. LaTeX support is available
in the duerer-latex bundle.

%package duerer-doc
Summary: Documentation for duerer
Version: svn20741.0

Provides: tex-duerer-doc
AutoReqProv: No

%description duerer-doc
Documentation for duerer

%package duerer-latex
Provides: tex-duerer-latex = %{tl_version}
License: GPL+
Summary: LaTeX support for the Duerer fonts
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(duerer.sty) = %{tl_version}
Provides: tex(ot1cdin.fd) = %{tl_version}
Provides: tex(ot1cdr.fd) = %{tl_version}
Provides: tex(ot1cdss.fd) = %{tl_version}
Provides: tex(ot1cdtt.fd) = %{tl_version}

%description duerer-latex
LaTeX support for Hoenig's Computer Duerer fonts, using their
standard fontname names.

%package duerer-latex-doc
Summary: Documentation for duerer-latex
Version: svn15878.1.1

Provides: tex-duerer-latex-doc
AutoReqProv: No

%description duerer-latex-doc
Documentation for duerer-latex

%package dutchcal
Provides: tex-dutchcal = %{tl_version}
License: LPPL
Summary: A reworking of ESSTIX13, adding a bold version
Version: svn23448.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Provides: tex(dutchcal.map) = %{tl_version}
Provides: tex(dutchcal-b.tfm) = %{tl_version}
Provides: tex(dutchcal-r.tfm) = %{tl_version}
Provides: tex(rdutchcalb.tfm) = %{tl_version}
Provides: tex(rdutchcalr.tfm) = %{tl_version}
Provides: tex(DutchCalBold.pfb) = %{tl_version}
Provides: tex(DutchCalReg.pfb) = %{tl_version}
Provides: tex(dutchcal-b.vf) = %{tl_version}
Provides: tex(dutchcal-r.vf) = %{tl_version}
Provides: tex(dutchcal.sty) = %{tl_version}
Provides: tex(udutchcal.fd) = %{tl_version}

%description dutchcal
This package reworks the mathematical calligraphic font
ESSTIX13, adding a bold version. LaTeX support files are
included. The new fonts may also be accessed from the most
recent version of mathalfa. The fonts themselves are subject to
the SIL OPEN FONT LICENSE, version 1.1.

%package dutchcal-doc
Summary: Documentation for dutchcal
Version: svn23448.1.0

Provides: tex-dutchcal-doc
AutoReqProv: No

%description dutchcal-doc
Documentation for dutchcal

%package ean
Provides: tex-ean = %{tl_version}
License: GPL+
Summary: Macros for making EAN barcodes
Version: svn20851.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ean13.tex) = %{tl_version}
Provides: tex(ean8.tex) = %{tl_version}

%description ean
Provides EAN-8 and EAN-13 forms. The package needs the ocr-b
fonts; note that the fonts are not available under a free
licence, as the macros are.

%package ean-doc
Summary: Documentation for ean
Version: svn20851.0

Provides: tex-ean-doc
AutoReqProv: No

%description ean-doc
Documentation for ean

%package ebgaramond
Provides: tex-ebgaramond = %{tl_version}
License: OFL
Summary: LaTeX support for EBGaramond fonts
Version: svn35662.0.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(ebgm_2ahwji.enc) = %{tl_version}
Provides: tex(ebgm_2cg6vv.enc) = %{tl_version}
Provides: tex(ebgm_2jdbaj.enc) = %{tl_version}
Provides: tex(ebgm_2qji24.enc) = %{tl_version}
Provides: tex(ebgm_2s43qf.enc) = %{tl_version}
Provides: tex(ebgm_2z5l6v.enc) = %{tl_version}
Provides: tex(ebgm_3rwz74.enc) = %{tl_version}
Provides: tex(ebgm_4bz7gr.enc) = %{tl_version}
Provides: tex(ebgm_4o5twj.enc) = %{tl_version}
Provides: tex(ebgm_6qsdbg.enc) = %{tl_version}
Provides: tex(ebgm_73unsq.enc) = %{tl_version}
Provides: tex(ebgm_73usqg.enc) = %{tl_version}
Provides: tex(ebgm_7qoeji.enc) = %{tl_version}
Provides: tex(ebgm_7vyzed.enc) = %{tl_version}
Provides: tex(ebgm_afjqor.enc) = %{tl_version}
Provides: tex(ebgm_anxopp.enc) = %{tl_version}
Provides: tex(ebgm_apg365.enc) = %{tl_version}
Provides: tex(ebgm_bm4jeu.enc) = %{tl_version}
Provides: tex(ebgm_cx2on6.enc) = %{tl_version}
Provides: tex(ebgm_dx53yq.enc) = %{tl_version}
Provides: tex(ebgm_e7e6uz.enc) = %{tl_version}
Provides: tex(ebgm_evsh4b.enc) = %{tl_version}
Provides: tex(ebgm_fn43k6.enc) = %{tl_version}
Provides: tex(ebgm_g7yatv.enc) = %{tl_version}
Provides: tex(ebgm_gk35hz.enc) = %{tl_version}
Provides: tex(ebgm_gmvmrc.enc) = %{tl_version}
Provides: tex(ebgm_gsqhuu.enc) = %{tl_version}
Provides: tex(ebgm_gzwq56.enc) = %{tl_version}
Provides: tex(ebgm_hbc3re.enc) = %{tl_version}
Provides: tex(ebgm_hjfzcx.enc) = %{tl_version}
Provides: tex(ebgm_i7zvqf.enc) = %{tl_version}
Provides: tex(ebgm_iymieh.enc) = %{tl_version}
Provides: tex(ebgm_j3s3oh.enc) = %{tl_version}
Provides: tex(ebgm_jf2v6g.enc) = %{tl_version}
Provides: tex(ebgm_jwyujo.enc) = %{tl_version}
Provides: tex(ebgm_kmvlni.enc) = %{tl_version}
Provides: tex(ebgm_ku4qmh.enc) = %{tl_version}
Provides: tex(ebgm_kzajuf.enc) = %{tl_version}
Provides: tex(ebgm_l5duak.enc) = %{tl_version}
Provides: tex(ebgm_l6jy5u.enc) = %{tl_version}
Provides: tex(ebgm_liamow.enc) = %{tl_version}
Provides: tex(ebgm_lz6s54.enc) = %{tl_version}
Provides: tex(ebgm_m4xdvf.enc) = %{tl_version}
Provides: tex(ebgm_mqmdo5.enc) = %{tl_version}
Provides: tex(ebgm_mvmxzb.enc) = %{tl_version}
Provides: tex(ebgm_n5uvbv.enc) = %{tl_version}
Provides: tex(ebgm_n6g2jk.enc) = %{tl_version}
Provides: tex(ebgm_ny6sxo.enc) = %{tl_version}
Provides: tex(ebgm_o6elnt.enc) = %{tl_version}
Provides: tex(ebgm_q57nnl.enc) = %{tl_version}
Provides: tex(ebgm_qgwbgp.enc) = %{tl_version}
Provides: tex(ebgm_qjlp7p.enc) = %{tl_version}
Provides: tex(ebgm_qrhapd.enc) = %{tl_version}
Provides: tex(ebgm_r7l7q7.enc) = %{tl_version}
Provides: tex(ebgm_rcjgcc.enc) = %{tl_version}
Provides: tex(ebgm_suwt22.enc) = %{tl_version}
Provides: tex(ebgm_twdjbv.enc) = %{tl_version}
Provides: tex(ebgm_uroaj5.enc) = %{tl_version}
Provides: tex(ebgm_vhiyif.enc) = %{tl_version}
Provides: tex(ebgm_voynk7.enc) = %{tl_version}
Provides: tex(ebgm_w43j3l.enc) = %{tl_version}
Provides: tex(ebgm_wqntdr.enc) = %{tl_version}
Provides: tex(ebgm_xbjzpk.enc) = %{tl_version}
Provides: tex(ebgm_xfziqt.enc) = %{tl_version}
Provides: tex(ebgm_xkuggc.enc) = %{tl_version}
Provides: tex(ebgm_y3lrq6.enc) = %{tl_version}
Provides: tex(ebgm_yhoxvo.enc) = %{tl_version}
Provides: tex(ebgm_zf3ijx.enc) = %{tl_version}
Provides: tex(ebgm_zu3eah.enc) = %{tl_version}
Provides: tex(EBGaramond.map) = %{tl_version}
Provides: tex(EBGaramond12-Italic.otf) = %{tl_version}
Provides: tex(EBGaramond12-Regular.otf) = %{tl_version}
Provides: tex(EBGaramondInitials.otf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-ot1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-ly1.tfm) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-ot1.tfm) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-t1.tfm) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-ts1.tfm) = %{tl_version}
Provides: tex(EBGaramond12-Italic.pfb) = %{tl_version}
Provides: tex(EBGaramond12-Regular.pfb) = %{tl_version}
Provides: tex(EBGaramondInitials.pfb) = %{tl_version}
Provides: tex(EBGaramond12-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-ot1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(EBGaramond12-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-ly1.vf) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-t1.vf) = %{tl_version}
Provides: tex(EBGaramondInitials-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1EBGaramond-Inf.fd) = %{tl_version}
Provides: tex(LY1EBGaramond-LF.fd) = %{tl_version}
Provides: tex(LY1EBGaramond-OsF.fd) = %{tl_version}
Provides: tex(LY1EBGaramond-Sup.fd) = %{tl_version}
Provides: tex(LY1EBGaramond-TLF.fd) = %{tl_version}
Provides: tex(LY1EBGaramond-TOsF.fd) = %{tl_version}
Provides: tex(LY1EBGaramondInitials-TLF.fd) = %{tl_version}
Provides: tex(OT1EBGaramond-Inf.fd) = %{tl_version}
Provides: tex(OT1EBGaramond-LF.fd) = %{tl_version}
Provides: tex(OT1EBGaramond-OsF.fd) = %{tl_version}
Provides: tex(OT1EBGaramond-Sup.fd) = %{tl_version}
Provides: tex(OT1EBGaramond-TLF.fd) = %{tl_version}
Provides: tex(OT1EBGaramond-TOsF.fd) = %{tl_version}
Provides: tex(OT1EBGaramondInitials-TLF.fd) = %{tl_version}
Provides: tex(T1EBGaramond-Inf.fd) = %{tl_version}
Provides: tex(T1EBGaramond-LF.fd) = %{tl_version}
Provides: tex(T1EBGaramond-OsF.fd) = %{tl_version}
Provides: tex(T1EBGaramond-Sup.fd) = %{tl_version}
Provides: tex(T1EBGaramond-TLF.fd) = %{tl_version}
Provides: tex(T1EBGaramond-TOsF.fd) = %{tl_version}
Provides: tex(T1EBGaramondInitials-TLF.fd) = %{tl_version}
Provides: tex(TS1EBGaramond-LF.fd) = %{tl_version}
Provides: tex(TS1EBGaramond-OsF.fd) = %{tl_version}
Provides: tex(TS1EBGaramond-TLF.fd) = %{tl_version}
Provides: tex(TS1EBGaramond-TOsF.fd) = %{tl_version}
Provides: tex(TS1EBGaramondInitials-TLF.fd) = %{tl_version}
Provides: tex(ebgaramond.sty) = %{tl_version}
Provides: tex(mt-EBGaramond.cfg) = %{tl_version}

%description ebgaramond
EB Garamond is a revival by Georg Duffner of the 16th century
fonts designed by Claude Garamond. The LaTeX support package
works for (pdf)LaTeX, xeLaTeX and luaLaTeX users; configuration
files for use with microtype are provided.

%package ebgaramond-doc
Summary: Documentation for ebgaramond
Version: svn35662.0.16

Provides: tex-ebgaramond-doc
AutoReqProv: No

%description ebgaramond-doc
Documentation for ebgaramond

%package ebgaramond-maths
Provides: tex-ebgaramond-maths = %{tl_version}
License: LPPL 1.3
Summary: LaTeX support for EBGaramond fonts in mathematics
Version: svn35701.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ebgaramond.sty)
Provides: tex(a_42pejf.enc) = %{tl_version}
Provides: tex(EBGaramond-Maths.map) = %{tl_version}
Provides: tex(EBGaramond12-Italic--oml-ebgaramond.tfm) = %{tl_version}
Provides: tex(OMLEBGaramond-Maths.fd) = %{tl_version}
Provides: tex(ebgaramond-maths.sty) = %{tl_version}

%description ebgaramond-maths
This package provides some LaTeX support for the use of
EBGaramond12 in mathematics. It is based on, and requires,
ebgaramond. The package was created in response to a question
at TeX-stackexchange. and tested in the form of an answer in
the same forum.

%package ebgaramond-maths-doc
Summary: Documentation for ebgaramond-maths
Version: svn35701.1.1

Provides: tex-ebgaramond-maths-doc
AutoReqProv: No

%description ebgaramond-maths-doc
Documentation for ebgaramond-maths

%package ecc
Provides: tex-ecc = %{tl_version}
License: LPPL
Summary: Sources for the European Concrete fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eocc10.tfm) = %{tl_version}
Provides: tex(eorm10.tfm) = %{tl_version}
Provides: tex(eorm5.tfm) = %{tl_version}
Provides: tex(eorm6.tfm) = %{tl_version}
Provides: tex(eorm7.tfm) = %{tl_version}
Provides: tex(eorm8.tfm) = %{tl_version}
Provides: tex(eorm9.tfm) = %{tl_version}
Provides: tex(eosl10.tfm) = %{tl_version}
Provides: tex(eosl5.tfm) = %{tl_version}
Provides: tex(eosl6.tfm) = %{tl_version}
Provides: tex(eosl7.tfm) = %{tl_version}
Provides: tex(eosl8.tfm) = %{tl_version}
Provides: tex(eosl9.tfm) = %{tl_version}
Provides: tex(eoti10.tfm) = %{tl_version}
Provides: tex(tcssdc10.tfm) = %{tl_version}
Provides: tex(torm10.tfm) = %{tl_version}
Provides: tex(torm5.tfm) = %{tl_version}
Provides: tex(torm6.tfm) = %{tl_version}
Provides: tex(torm7.tfm) = %{tl_version}
Provides: tex(torm8.tfm) = %{tl_version}
Provides: tex(torm9.tfm) = %{tl_version}
Provides: tex(tosl10.tfm) = %{tl_version}
Provides: tex(tosl5.tfm) = %{tl_version}
Provides: tex(tosl6.tfm) = %{tl_version}
Provides: tex(tosl7.tfm) = %{tl_version}
Provides: tex(tosl8.tfm) = %{tl_version}
Provides: tex(tosl9.tfm) = %{tl_version}
Provides: tex(toti10.tfm) = %{tl_version}

%description ecc
The Metafont sources and TFM files of the European Concrete
Fonts. This is the T1-encoded extension of Knuth's Concrete
fonts, including also the corresponding text companion fonts.
Adobe Type 1 versions of the fonts are available as part of the
cm-super font bundle.

%package ecc-doc
Summary: Documentation for ecc
Version: svn15878.0

Provides: tex-ecc-doc
AutoReqProv: No

%description ecc-doc
Documentation for ecc

%package eco
Provides: tex-eco = %{tl_version}
License: GPL+
Summary: Oldstyle numerals using EC fonts
Version: svn29349.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(ifthen.sty)
Provides: tex(ecobi0500.tfm) = %{tl_version}
Provides: tex(ecobi0600.tfm) = %{tl_version}
Provides: tex(ecobi0700.tfm) = %{tl_version}
Provides: tex(ecobi0800.tfm) = %{tl_version}
Provides: tex(ecobi0900.tfm) = %{tl_version}
Provides: tex(ecobi1000.tfm) = %{tl_version}
Provides: tex(ecobi1095.tfm) = %{tl_version}
Provides: tex(ecobi1200.tfm) = %{tl_version}
Provides: tex(ecobi1440.tfm) = %{tl_version}
Provides: tex(ecobi1728.tfm) = %{tl_version}
Provides: tex(ecobi2074.tfm) = %{tl_version}
Provides: tex(ecobi2488.tfm) = %{tl_version}
Provides: tex(ecobi2986.tfm) = %{tl_version}
Provides: tex(ecobi3583.tfm) = %{tl_version}
Provides: tex(ecobl0500.tfm) = %{tl_version}
Provides: tex(ecobl0600.tfm) = %{tl_version}
Provides: tex(ecobl0700.tfm) = %{tl_version}
Provides: tex(ecobl0800.tfm) = %{tl_version}
Provides: tex(ecobl0900.tfm) = %{tl_version}
Provides: tex(ecobl1000.tfm) = %{tl_version}
Provides: tex(ecobl1095.tfm) = %{tl_version}
Provides: tex(ecobl1200.tfm) = %{tl_version}
Provides: tex(ecobl1440.tfm) = %{tl_version}
Provides: tex(ecobl1728.tfm) = %{tl_version}
Provides: tex(ecobl2074.tfm) = %{tl_version}
Provides: tex(ecobl2488.tfm) = %{tl_version}
Provides: tex(ecobl2986.tfm) = %{tl_version}
Provides: tex(ecobl3583.tfm) = %{tl_version}
Provides: tex(ecobx0500.tfm) = %{tl_version}
Provides: tex(ecobx0600.tfm) = %{tl_version}
Provides: tex(ecobx0700.tfm) = %{tl_version}
Provides: tex(ecobx0800.tfm) = %{tl_version}
Provides: tex(ecobx0900.tfm) = %{tl_version}
Provides: tex(ecobx1000.tfm) = %{tl_version}
Provides: tex(ecobx1095.tfm) = %{tl_version}
Provides: tex(ecobx1200.tfm) = %{tl_version}
Provides: tex(ecobx1440.tfm) = %{tl_version}
Provides: tex(ecobx1728.tfm) = %{tl_version}
Provides: tex(ecobx2074.tfm) = %{tl_version}
Provides: tex(ecobx2488.tfm) = %{tl_version}
Provides: tex(ecobx2986.tfm) = %{tl_version}
Provides: tex(ecobx3583.tfm) = %{tl_version}
Provides: tex(ecodh0500.tfm) = %{tl_version}
Provides: tex(ecodh0600.tfm) = %{tl_version}
Provides: tex(ecodh0700.tfm) = %{tl_version}
Provides: tex(ecodh0800.tfm) = %{tl_version}
Provides: tex(ecodh0900.tfm) = %{tl_version}
Provides: tex(ecodh1000.tfm) = %{tl_version}
Provides: tex(ecodh1095.tfm) = %{tl_version}
Provides: tex(ecodh1200.tfm) = %{tl_version}
Provides: tex(ecodh1440.tfm) = %{tl_version}
Provides: tex(ecodh1728.tfm) = %{tl_version}
Provides: tex(ecodh2074.tfm) = %{tl_version}
Provides: tex(ecodh2488.tfm) = %{tl_version}
Provides: tex(ecodh2986.tfm) = %{tl_version}
Provides: tex(ecodh3583.tfm) = %{tl_version}
Provides: tex(ecoit0600.tfm) = %{tl_version}
Provides: tex(ecoit0700.tfm) = %{tl_version}
Provides: tex(ecoit0800.tfm) = %{tl_version}
Provides: tex(ecoit0900.tfm) = %{tl_version}
Provides: tex(ecoit1000.tfm) = %{tl_version}
Provides: tex(ecoit1095.tfm) = %{tl_version}
Provides: tex(ecoit1200.tfm) = %{tl_version}
Provides: tex(ecoit1440.tfm) = %{tl_version}
Provides: tex(ecoit1728.tfm) = %{tl_version}
Provides: tex(ecoit2074.tfm) = %{tl_version}
Provides: tex(ecoit2488.tfm) = %{tl_version}
Provides: tex(ecoit2986.tfm) = %{tl_version}
Provides: tex(ecoit3583.tfm) = %{tl_version}
Provides: tex(ecorb0500.tfm) = %{tl_version}
Provides: tex(ecorb0600.tfm) = %{tl_version}
Provides: tex(ecorb0700.tfm) = %{tl_version}
Provides: tex(ecorb0800.tfm) = %{tl_version}
Provides: tex(ecorb0900.tfm) = %{tl_version}
Provides: tex(ecorb1000.tfm) = %{tl_version}
Provides: tex(ecorb1095.tfm) = %{tl_version}
Provides: tex(ecorb1200.tfm) = %{tl_version}
Provides: tex(ecorb1440.tfm) = %{tl_version}
Provides: tex(ecorb1728.tfm) = %{tl_version}
Provides: tex(ecorb2074.tfm) = %{tl_version}
Provides: tex(ecorb2488.tfm) = %{tl_version}
Provides: tex(ecorb2986.tfm) = %{tl_version}
Provides: tex(ecorb3583.tfm) = %{tl_version}
Provides: tex(ecorm0500.tfm) = %{tl_version}
Provides: tex(ecorm0600.tfm) = %{tl_version}
Provides: tex(ecorm0700.tfm) = %{tl_version}
Provides: tex(ecorm0800.tfm) = %{tl_version}
Provides: tex(ecorm0900.tfm) = %{tl_version}
Provides: tex(ecorm1000.tfm) = %{tl_version}
Provides: tex(ecorm1095.tfm) = %{tl_version}
Provides: tex(ecorm1200.tfm) = %{tl_version}
Provides: tex(ecorm1440.tfm) = %{tl_version}
Provides: tex(ecorm1728.tfm) = %{tl_version}
Provides: tex(ecorm2074.tfm) = %{tl_version}
Provides: tex(ecorm2488.tfm) = %{tl_version}
Provides: tex(ecorm2986.tfm) = %{tl_version}
Provides: tex(ecorm3583.tfm) = %{tl_version}
Provides: tex(ecosi0500.tfm) = %{tl_version}
Provides: tex(ecosi0600.tfm) = %{tl_version}
Provides: tex(ecosi0700.tfm) = %{tl_version}
Provides: tex(ecosi0800.tfm) = %{tl_version}
Provides: tex(ecosi0900.tfm) = %{tl_version}
Provides: tex(ecosi1000.tfm) = %{tl_version}
Provides: tex(ecosi1095.tfm) = %{tl_version}
Provides: tex(ecosi1200.tfm) = %{tl_version}
Provides: tex(ecosi1440.tfm) = %{tl_version}
Provides: tex(ecosi1728.tfm) = %{tl_version}
Provides: tex(ecosi2074.tfm) = %{tl_version}
Provides: tex(ecosi2488.tfm) = %{tl_version}
Provides: tex(ecosi2986.tfm) = %{tl_version}
Provides: tex(ecosi3583.tfm) = %{tl_version}
Provides: tex(ecosl0500.tfm) = %{tl_version}
Provides: tex(ecosl0600.tfm) = %{tl_version}
Provides: tex(ecosl0700.tfm) = %{tl_version}
Provides: tex(ecosl0800.tfm) = %{tl_version}
Provides: tex(ecosl0900.tfm) = %{tl_version}
Provides: tex(ecosl1000.tfm) = %{tl_version}
Provides: tex(ecosl1095.tfm) = %{tl_version}
Provides: tex(ecosl1200.tfm) = %{tl_version}
Provides: tex(ecosl1440.tfm) = %{tl_version}
Provides: tex(ecosl1728.tfm) = %{tl_version}
Provides: tex(ecosl2074.tfm) = %{tl_version}
Provides: tex(ecosl2488.tfm) = %{tl_version}
Provides: tex(ecosl2986.tfm) = %{tl_version}
Provides: tex(ecosl3583.tfm) = %{tl_version}
Provides: tex(ecoso0500.tfm) = %{tl_version}
Provides: tex(ecoso0600.tfm) = %{tl_version}
Provides: tex(ecoso0700.tfm) = %{tl_version}
Provides: tex(ecoso0800.tfm) = %{tl_version}
Provides: tex(ecoso0900.tfm) = %{tl_version}
Provides: tex(ecoso1000.tfm) = %{tl_version}
Provides: tex(ecoso1095.tfm) = %{tl_version}
Provides: tex(ecoso1200.tfm) = %{tl_version}
Provides: tex(ecoso1440.tfm) = %{tl_version}
Provides: tex(ecoso1728.tfm) = %{tl_version}
Provides: tex(ecoso2074.tfm) = %{tl_version}
Provides: tex(ecoso2488.tfm) = %{tl_version}
Provides: tex(ecoso2986.tfm) = %{tl_version}
Provides: tex(ecoso3583.tfm) = %{tl_version}
Provides: tex(ecoss0500.tfm) = %{tl_version}
Provides: tex(ecoss0600.tfm) = %{tl_version}
Provides: tex(ecoss0700.tfm) = %{tl_version}
Provides: tex(ecoss0800.tfm) = %{tl_version}
Provides: tex(ecoss0900.tfm) = %{tl_version}
Provides: tex(ecoss1000.tfm) = %{tl_version}
Provides: tex(ecoss1095.tfm) = %{tl_version}
Provides: tex(ecoss1200.tfm) = %{tl_version}
Provides: tex(ecoss1440.tfm) = %{tl_version}
Provides: tex(ecoss1728.tfm) = %{tl_version}
Provides: tex(ecoss2074.tfm) = %{tl_version}
Provides: tex(ecoss2488.tfm) = %{tl_version}
Provides: tex(ecoss2986.tfm) = %{tl_version}
Provides: tex(ecoss3583.tfm) = %{tl_version}
Provides: tex(ecost0600.tfm) = %{tl_version}
Provides: tex(ecost0700.tfm) = %{tl_version}
Provides: tex(ecost0800.tfm) = %{tl_version}
Provides: tex(ecost0900.tfm) = %{tl_version}
Provides: tex(ecost1000.tfm) = %{tl_version}
Provides: tex(ecost1095.tfm) = %{tl_version}
Provides: tex(ecost1200.tfm) = %{tl_version}
Provides: tex(ecost1440.tfm) = %{tl_version}
Provides: tex(ecost1728.tfm) = %{tl_version}
Provides: tex(ecost2074.tfm) = %{tl_version}
Provides: tex(ecost2488.tfm) = %{tl_version}
Provides: tex(ecost2986.tfm) = %{tl_version}
Provides: tex(ecost3583.tfm) = %{tl_version}
Provides: tex(ecosx0500.tfm) = %{tl_version}
Provides: tex(ecosx0600.tfm) = %{tl_version}
Provides: tex(ecosx0700.tfm) = %{tl_version}
Provides: tex(ecosx0800.tfm) = %{tl_version}
Provides: tex(ecosx0900.tfm) = %{tl_version}
Provides: tex(ecosx1000.tfm) = %{tl_version}
Provides: tex(ecosx1095.tfm) = %{tl_version}
Provides: tex(ecosx1200.tfm) = %{tl_version}
Provides: tex(ecosx1440.tfm) = %{tl_version}
Provides: tex(ecosx1728.tfm) = %{tl_version}
Provides: tex(ecosx2074.tfm) = %{tl_version}
Provides: tex(ecosx2488.tfm) = %{tl_version}
Provides: tex(ecosx2986.tfm) = %{tl_version}
Provides: tex(ecosx3583.tfm) = %{tl_version}
Provides: tex(ecoti0500.tfm) = %{tl_version}
Provides: tex(ecoti0600.tfm) = %{tl_version}
Provides: tex(ecoti0700.tfm) = %{tl_version}
Provides: tex(ecoti0800.tfm) = %{tl_version}
Provides: tex(ecoti0900.tfm) = %{tl_version}
Provides: tex(ecoti1000.tfm) = %{tl_version}
Provides: tex(ecoti1095.tfm) = %{tl_version}
Provides: tex(ecoti1200.tfm) = %{tl_version}
Provides: tex(ecoti1440.tfm) = %{tl_version}
Provides: tex(ecoti1728.tfm) = %{tl_version}
Provides: tex(ecoti2074.tfm) = %{tl_version}
Provides: tex(ecoti2488.tfm) = %{tl_version}
Provides: tex(ecoti2986.tfm) = %{tl_version}
Provides: tex(ecoti3583.tfm) = %{tl_version}
Provides: tex(ecott0600.tfm) = %{tl_version}
Provides: tex(ecott0700.tfm) = %{tl_version}
Provides: tex(ecott0800.tfm) = %{tl_version}
Provides: tex(ecott0900.tfm) = %{tl_version}
Provides: tex(ecott1000.tfm) = %{tl_version}
Provides: tex(ecott1095.tfm) = %{tl_version}
Provides: tex(ecott1200.tfm) = %{tl_version}
Provides: tex(ecott1440.tfm) = %{tl_version}
Provides: tex(ecott1728.tfm) = %{tl_version}
Provides: tex(ecott2074.tfm) = %{tl_version}
Provides: tex(ecott2488.tfm) = %{tl_version}
Provides: tex(ecott2986.tfm) = %{tl_version}
Provides: tex(ecott3583.tfm) = %{tl_version}
Provides: tex(ecoui0500.tfm) = %{tl_version}
Provides: tex(ecoui0600.tfm) = %{tl_version}
Provides: tex(ecoui0700.tfm) = %{tl_version}
Provides: tex(ecoui0800.tfm) = %{tl_version}
Provides: tex(ecoui0900.tfm) = %{tl_version}
Provides: tex(ecoui1000.tfm) = %{tl_version}
Provides: tex(ecoui1095.tfm) = %{tl_version}
Provides: tex(ecoui1200.tfm) = %{tl_version}
Provides: tex(ecoui1440.tfm) = %{tl_version}
Provides: tex(ecoui1728.tfm) = %{tl_version}
Provides: tex(ecoui2074.tfm) = %{tl_version}
Provides: tex(ecoui2488.tfm) = %{tl_version}
Provides: tex(ecoui2986.tfm) = %{tl_version}
Provides: tex(ecoui3583.tfm) = %{tl_version}
Provides: tex(ecovi0600.tfm) = %{tl_version}
Provides: tex(ecovi0700.tfm) = %{tl_version}
Provides: tex(ecovi0800.tfm) = %{tl_version}
Provides: tex(ecovi0900.tfm) = %{tl_version}
Provides: tex(ecovi1000.tfm) = %{tl_version}
Provides: tex(ecovi1095.tfm) = %{tl_version}
Provides: tex(ecovi1200.tfm) = %{tl_version}
Provides: tex(ecovi1440.tfm) = %{tl_version}
Provides: tex(ecovi1728.tfm) = %{tl_version}
Provides: tex(ecovi2074.tfm) = %{tl_version}
Provides: tex(ecovi2488.tfm) = %{tl_version}
Provides: tex(ecovi2986.tfm) = %{tl_version}
Provides: tex(ecovi3583.tfm) = %{tl_version}
Provides: tex(ecovt0600.tfm) = %{tl_version}
Provides: tex(ecovt0700.tfm) = %{tl_version}
Provides: tex(ecovt0800.tfm) = %{tl_version}
Provides: tex(ecovt0900.tfm) = %{tl_version}
Provides: tex(ecovt1000.tfm) = %{tl_version}
Provides: tex(ecovt1095.tfm) = %{tl_version}
Provides: tex(ecovt1200.tfm) = %{tl_version}
Provides: tex(ecovt1440.tfm) = %{tl_version}
Provides: tex(ecovt1728.tfm) = %{tl_version}
Provides: tex(ecovt2074.tfm) = %{tl_version}
Provides: tex(ecovt2488.tfm) = %{tl_version}
Provides: tex(ecovt2986.tfm) = %{tl_version}
Provides: tex(ecovt3583.tfm) = %{tl_version}
Provides: tex(ecobi0500.vf) = %{tl_version}
Provides: tex(ecobi0600.vf) = %{tl_version}
Provides: tex(ecobi0700.vf) = %{tl_version}
Provides: tex(ecobi0800.vf) = %{tl_version}
Provides: tex(ecobi0900.vf) = %{tl_version}
Provides: tex(ecobi1000.vf) = %{tl_version}
Provides: tex(ecobi1095.vf) = %{tl_version}
Provides: tex(ecobi1200.vf) = %{tl_version}
Provides: tex(ecobi1440.vf) = %{tl_version}
Provides: tex(ecobi1728.vf) = %{tl_version}
Provides: tex(ecobi2074.vf) = %{tl_version}
Provides: tex(ecobi2488.vf) = %{tl_version}
Provides: tex(ecobi2986.vf) = %{tl_version}
Provides: tex(ecobi3583.vf) = %{tl_version}
Provides: tex(ecobl0500.vf) = %{tl_version}
Provides: tex(ecobl0600.vf) = %{tl_version}
Provides: tex(ecobl0700.vf) = %{tl_version}
Provides: tex(ecobl0800.vf) = %{tl_version}
Provides: tex(ecobl0900.vf) = %{tl_version}
Provides: tex(ecobl1000.vf) = %{tl_version}
Provides: tex(ecobl1095.vf) = %{tl_version}
Provides: tex(ecobl1200.vf) = %{tl_version}
Provides: tex(ecobl1440.vf) = %{tl_version}
Provides: tex(ecobl1728.vf) = %{tl_version}
Provides: tex(ecobl2074.vf) = %{tl_version}
Provides: tex(ecobl2488.vf) = %{tl_version}
Provides: tex(ecobl2986.vf) = %{tl_version}
Provides: tex(ecobl3583.vf) = %{tl_version}
Provides: tex(ecobx0500.vf) = %{tl_version}
Provides: tex(ecobx0600.vf) = %{tl_version}
Provides: tex(ecobx0700.vf) = %{tl_version}
Provides: tex(ecobx0800.vf) = %{tl_version}
Provides: tex(ecobx0900.vf) = %{tl_version}
Provides: tex(ecobx1000.vf) = %{tl_version}
Provides: tex(ecobx1095.vf) = %{tl_version}
Provides: tex(ecobx1200.vf) = %{tl_version}
Provides: tex(ecobx1440.vf) = %{tl_version}
Provides: tex(ecobx1728.vf) = %{tl_version}
Provides: tex(ecobx2074.vf) = %{tl_version}
Provides: tex(ecobx2488.vf) = %{tl_version}
Provides: tex(ecobx2986.vf) = %{tl_version}
Provides: tex(ecobx3583.vf) = %{tl_version}
Provides: tex(ecodh0500.vf) = %{tl_version}
Provides: tex(ecodh0600.vf) = %{tl_version}
Provides: tex(ecodh0700.vf) = %{tl_version}
Provides: tex(ecodh0800.vf) = %{tl_version}
Provides: tex(ecodh0900.vf) = %{tl_version}
Provides: tex(ecodh1000.vf) = %{tl_version}
Provides: tex(ecodh1095.vf) = %{tl_version}
Provides: tex(ecodh1200.vf) = %{tl_version}
Provides: tex(ecodh1440.vf) = %{tl_version}
Provides: tex(ecodh1728.vf) = %{tl_version}
Provides: tex(ecodh2074.vf) = %{tl_version}
Provides: tex(ecodh2488.vf) = %{tl_version}
Provides: tex(ecodh2986.vf) = %{tl_version}
Provides: tex(ecodh3583.vf) = %{tl_version}
Provides: tex(ecoit0600.vf) = %{tl_version}
Provides: tex(ecoit0700.vf) = %{tl_version}
Provides: tex(ecoit0800.vf) = %{tl_version}
Provides: tex(ecoit0900.vf) = %{tl_version}
Provides: tex(ecoit1000.vf) = %{tl_version}
Provides: tex(ecoit1095.vf) = %{tl_version}
Provides: tex(ecoit1200.vf) = %{tl_version}
Provides: tex(ecoit1440.vf) = %{tl_version}
Provides: tex(ecoit1728.vf) = %{tl_version}
Provides: tex(ecoit2074.vf) = %{tl_version}
Provides: tex(ecoit2488.vf) = %{tl_version}
Provides: tex(ecoit2986.vf) = %{tl_version}
Provides: tex(ecoit3583.vf) = %{tl_version}
Provides: tex(ecorb0500.vf) = %{tl_version}
Provides: tex(ecorb0600.vf) = %{tl_version}
Provides: tex(ecorb0700.vf) = %{tl_version}
Provides: tex(ecorb0800.vf) = %{tl_version}
Provides: tex(ecorb0900.vf) = %{tl_version}
Provides: tex(ecorb1000.vf) = %{tl_version}
Provides: tex(ecorb1095.vf) = %{tl_version}
Provides: tex(ecorb1200.vf) = %{tl_version}
Provides: tex(ecorb1440.vf) = %{tl_version}
Provides: tex(ecorb1728.vf) = %{tl_version}
Provides: tex(ecorb2074.vf) = %{tl_version}
Provides: tex(ecorb2488.vf) = %{tl_version}
Provides: tex(ecorb2986.vf) = %{tl_version}
Provides: tex(ecorb3583.vf) = %{tl_version}
Provides: tex(ecorm0500.vf) = %{tl_version}
Provides: tex(ecorm0600.vf) = %{tl_version}
Provides: tex(ecorm0700.vf) = %{tl_version}
Provides: tex(ecorm0800.vf) = %{tl_version}
Provides: tex(ecorm0900.vf) = %{tl_version}
Provides: tex(ecorm1000.vf) = %{tl_version}
Provides: tex(ecorm1095.vf) = %{tl_version}
Provides: tex(ecorm1200.vf) = %{tl_version}
Provides: tex(ecorm1440.vf) = %{tl_version}
Provides: tex(ecorm1728.vf) = %{tl_version}
Provides: tex(ecorm2074.vf) = %{tl_version}
Provides: tex(ecorm2488.vf) = %{tl_version}
Provides: tex(ecorm2986.vf) = %{tl_version}
Provides: tex(ecorm3583.vf) = %{tl_version}
Provides: tex(ecosi0500.vf) = %{tl_version}
Provides: tex(ecosi0600.vf) = %{tl_version}
Provides: tex(ecosi0700.vf) = %{tl_version}
Provides: tex(ecosi0800.vf) = %{tl_version}
Provides: tex(ecosi0900.vf) = %{tl_version}
Provides: tex(ecosi1000.vf) = %{tl_version}
Provides: tex(ecosi1095.vf) = %{tl_version}
Provides: tex(ecosi1200.vf) = %{tl_version}
Provides: tex(ecosi1440.vf) = %{tl_version}
Provides: tex(ecosi1728.vf) = %{tl_version}
Provides: tex(ecosi2074.vf) = %{tl_version}
Provides: tex(ecosi2488.vf) = %{tl_version}
Provides: tex(ecosi2986.vf) = %{tl_version}
Provides: tex(ecosi3583.vf) = %{tl_version}
Provides: tex(ecosl0500.vf) = %{tl_version}
Provides: tex(ecosl0600.vf) = %{tl_version}
Provides: tex(ecosl0700.vf) = %{tl_version}
Provides: tex(ecosl0800.vf) = %{tl_version}
Provides: tex(ecosl0900.vf) = %{tl_version}
Provides: tex(ecosl1000.vf) = %{tl_version}
Provides: tex(ecosl1095.vf) = %{tl_version}
Provides: tex(ecosl1200.vf) = %{tl_version}
Provides: tex(ecosl1440.vf) = %{tl_version}
Provides: tex(ecosl1728.vf) = %{tl_version}
Provides: tex(ecosl2074.vf) = %{tl_version}
Provides: tex(ecosl2488.vf) = %{tl_version}
Provides: tex(ecosl2986.vf) = %{tl_version}
Provides: tex(ecosl3583.vf) = %{tl_version}
Provides: tex(ecoso0500.vf) = %{tl_version}
Provides: tex(ecoso0600.vf) = %{tl_version}
Provides: tex(ecoso0700.vf) = %{tl_version}
Provides: tex(ecoso0800.vf) = %{tl_version}
Provides: tex(ecoso0900.vf) = %{tl_version}
Provides: tex(ecoso1000.vf) = %{tl_version}
Provides: tex(ecoso1095.vf) = %{tl_version}
Provides: tex(ecoso1200.vf) = %{tl_version}
Provides: tex(ecoso1440.vf) = %{tl_version}
Provides: tex(ecoso1728.vf) = %{tl_version}
Provides: tex(ecoso2074.vf) = %{tl_version}
Provides: tex(ecoso2488.vf) = %{tl_version}
Provides: tex(ecoso2986.vf) = %{tl_version}
Provides: tex(ecoso3583.vf) = %{tl_version}
Provides: tex(ecoss0500.vf) = %{tl_version}
Provides: tex(ecoss0600.vf) = %{tl_version}
Provides: tex(ecoss0700.vf) = %{tl_version}
Provides: tex(ecoss0800.vf) = %{tl_version}
Provides: tex(ecoss0900.vf) = %{tl_version}
Provides: tex(ecoss1000.vf) = %{tl_version}
Provides: tex(ecoss1095.vf) = %{tl_version}
Provides: tex(ecoss1200.vf) = %{tl_version}
Provides: tex(ecoss1440.vf) = %{tl_version}
Provides: tex(ecoss1728.vf) = %{tl_version}
Provides: tex(ecoss2074.vf) = %{tl_version}
Provides: tex(ecoss2488.vf) = %{tl_version}
Provides: tex(ecoss2986.vf) = %{tl_version}
Provides: tex(ecoss3583.vf) = %{tl_version}
Provides: tex(ecost0600.vf) = %{tl_version}
Provides: tex(ecost0700.vf) = %{tl_version}
Provides: tex(ecost0800.vf) = %{tl_version}
Provides: tex(ecost0900.vf) = %{tl_version}
Provides: tex(ecost1000.vf) = %{tl_version}
Provides: tex(ecost1095.vf) = %{tl_version}
Provides: tex(ecost1200.vf) = %{tl_version}
Provides: tex(ecost1440.vf) = %{tl_version}
Provides: tex(ecost1728.vf) = %{tl_version}
Provides: tex(ecost2074.vf) = %{tl_version}
Provides: tex(ecost2488.vf) = %{tl_version}
Provides: tex(ecost2986.vf) = %{tl_version}
Provides: tex(ecost3583.vf) = %{tl_version}
Provides: tex(ecosx0500.vf) = %{tl_version}
Provides: tex(ecosx0600.vf) = %{tl_version}
Provides: tex(ecosx0700.vf) = %{tl_version}
Provides: tex(ecosx0800.vf) = %{tl_version}
Provides: tex(ecosx0900.vf) = %{tl_version}
Provides: tex(ecosx1000.vf) = %{tl_version}
Provides: tex(ecosx1095.vf) = %{tl_version}
Provides: tex(ecosx1200.vf) = %{tl_version}
Provides: tex(ecosx1440.vf) = %{tl_version}
Provides: tex(ecosx1728.vf) = %{tl_version}
Provides: tex(ecosx2074.vf) = %{tl_version}
Provides: tex(ecosx2488.vf) = %{tl_version}
Provides: tex(ecosx2986.vf) = %{tl_version}
Provides: tex(ecosx3583.vf) = %{tl_version}
Provides: tex(ecoti0500.vf) = %{tl_version}
Provides: tex(ecoti0600.vf) = %{tl_version}
Provides: tex(ecoti0700.vf) = %{tl_version}
Provides: tex(ecoti0800.vf) = %{tl_version}
Provides: tex(ecoti0900.vf) = %{tl_version}
Provides: tex(ecoti1000.vf) = %{tl_version}
Provides: tex(ecoti1095.vf) = %{tl_version}
Provides: tex(ecoti1200.vf) = %{tl_version}
Provides: tex(ecoti1440.vf) = %{tl_version}
Provides: tex(ecoti1728.vf) = %{tl_version}
Provides: tex(ecoti2074.vf) = %{tl_version}
Provides: tex(ecoti2488.vf) = %{tl_version}
Provides: tex(ecoti2986.vf) = %{tl_version}
Provides: tex(ecoti3583.vf) = %{tl_version}
Provides: tex(ecott0600.vf) = %{tl_version}
Provides: tex(ecott0700.vf) = %{tl_version}
Provides: tex(ecott0800.vf) = %{tl_version}
Provides: tex(ecott0900.vf) = %{tl_version}
Provides: tex(ecott1000.vf) = %{tl_version}
Provides: tex(ecott1095.vf) = %{tl_version}
Provides: tex(ecott1200.vf) = %{tl_version}
Provides: tex(ecott1440.vf) = %{tl_version}
Provides: tex(ecott1728.vf) = %{tl_version}
Provides: tex(ecott2074.vf) = %{tl_version}
Provides: tex(ecott2488.vf) = %{tl_version}
Provides: tex(ecott2986.vf) = %{tl_version}
Provides: tex(ecott3583.vf) = %{tl_version}
Provides: tex(ecoui0500.vf) = %{tl_version}
Provides: tex(ecoui0600.vf) = %{tl_version}
Provides: tex(ecoui0700.vf) = %{tl_version}
Provides: tex(ecoui0800.vf) = %{tl_version}
Provides: tex(ecoui0900.vf) = %{tl_version}
Provides: tex(ecoui1000.vf) = %{tl_version}
Provides: tex(ecoui1095.vf) = %{tl_version}
Provides: tex(ecoui1200.vf) = %{tl_version}
Provides: tex(ecoui1440.vf) = %{tl_version}
Provides: tex(ecoui1728.vf) = %{tl_version}
Provides: tex(ecoui2074.vf) = %{tl_version}
Provides: tex(ecoui2488.vf) = %{tl_version}
Provides: tex(ecoui2986.vf) = %{tl_version}
Provides: tex(ecoui3583.vf) = %{tl_version}
Provides: tex(ecovi0600.vf) = %{tl_version}
Provides: tex(ecovi0700.vf) = %{tl_version}
Provides: tex(ecovi0800.vf) = %{tl_version}
Provides: tex(ecovi0900.vf) = %{tl_version}
Provides: tex(ecovi1000.vf) = %{tl_version}
Provides: tex(ecovi1095.vf) = %{tl_version}
Provides: tex(ecovi1200.vf) = %{tl_version}
Provides: tex(ecovi1440.vf) = %{tl_version}
Provides: tex(ecovi1728.vf) = %{tl_version}
Provides: tex(ecovi2074.vf) = %{tl_version}
Provides: tex(ecovi2488.vf) = %{tl_version}
Provides: tex(ecovi2986.vf) = %{tl_version}
Provides: tex(ecovi3583.vf) = %{tl_version}
Provides: tex(ecovt0600.vf) = %{tl_version}
Provides: tex(ecovt0700.vf) = %{tl_version}
Provides: tex(ecovt0800.vf) = %{tl_version}
Provides: tex(ecovt0900.vf) = %{tl_version}
Provides: tex(ecovt1000.vf) = %{tl_version}
Provides: tex(ecovt1095.vf) = %{tl_version}
Provides: tex(ecovt1200.vf) = %{tl_version}
Provides: tex(ecovt1440.vf) = %{tl_version}
Provides: tex(ecovt1728.vf) = %{tl_version}
Provides: tex(ecovt2074.vf) = %{tl_version}
Provides: tex(ecovt2488.vf) = %{tl_version}
Provides: tex(ecovt2986.vf) = %{tl_version}
Provides: tex(ecovt3583.vf) = %{tl_version}
Provides: tex(T1cmodh.fd) = %{tl_version}
Provides: tex(T1cmor.fd) = %{tl_version}
Provides: tex(T1cmoss.fd) = %{tl_version}
Provides: tex(T1cmott.fd) = %{tl_version}
Provides: tex(T1cmovt.fd) = %{tl_version}
Provides: tex(eco.sty) = %{tl_version}

%description eco
A set of font metric files and virtual fonts for using the EC
fonts with oldstyle numerals. These files can only be used
together with the standard ec fonts. The style file eco.sty is
sufficient to use the eco fonts but if you intend to use other
font families as well, e.g., PostScript fonts, try altfont.

%package eco-doc
Summary: Documentation for eco
Version: svn29349.1.3

Provides: tex-eco-doc
AutoReqProv: No

%description eco-doc
Documentation for eco

%package eiad
Provides: tex-eiad = %{tl_version}
License: Public Domain
Summary: Traditional style Irish fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eiadb10.tfm) = %{tl_version}
Provides: tex(eiadbx10.tfm) = %{tl_version}
Provides: tex(eiadbxi10.tfm) = %{tl_version}
Provides: tex(eiadbxsl10.tfm) = %{tl_version}
Provides: tex(eiadccsc10.tfm) = %{tl_version}
Provides: tex(eiadci10.tfm) = %{tl_version}
Provides: tex(eiadcr10.tfm) = %{tl_version}
Provides: tex(eiadcsc10.tfm) = %{tl_version}
Provides: tex(eiadcsl10.tfm) = %{tl_version}
Provides: tex(eiadcslc9.tfm) = %{tl_version}
Provides: tex(eiaddunh10.tfm) = %{tl_version}
Provides: tex(eiadff10.tfm) = %{tl_version}
Provides: tex(eiadfi10.tfm) = %{tl_version}
Provides: tex(eiadfib8.tfm) = %{tl_version}
Provides: tex(eiadi10.tfm) = %{tl_version}
Provides: tex(eiaditt10.tfm) = %{tl_version}
Provides: tex(eiadr10.tfm) = %{tl_version}
Provides: tex(eiadr12.tfm) = %{tl_version}
Provides: tex(eiadr17.tfm) = %{tl_version}
Provides: tex(eiadsl10.tfm) = %{tl_version}
Provides: tex(eiadsltt10.tfm) = %{tl_version}
Provides: tex(eiadss10.tfm) = %{tl_version}
Provides: tex(eiadssbx10.tfm) = %{tl_version}
Provides: tex(eiadssdc10.tfm) = %{tl_version}
Provides: tex(eiadssi10.tfm) = %{tl_version}
Provides: tex(eiadssq8.tfm) = %{tl_version}
Provides: tex(eiadssqi8.tfm) = %{tl_version}
Provides: tex(eiadtcsc10.tfm) = %{tl_version}
Provides: tex(eiadtt10.tfm) = %{tl_version}
Provides: tex(eiadvtt10.tfm) = %{tl_version}
Provides: tex(OT1eiad.fd) = %{tl_version}
Provides: tex(OT1eiadcc.fd) = %{tl_version}
Provides: tex(OT1eiadss.fd) = %{tl_version}
Provides: tex(OT1eiadtt.fd) = %{tl_version}

%description eiad
In both lower and upper case 32 letters are defined (18 'plain'
ones, 5 long vowels and 9 aspirated consonants). The ligature
'agus' is also made available. The remaining characters
(digits, punctuation and accents) are inherited from the
Computer Modern family of fonts. The font definitions use code
from the sauter fonts, so those fonts have to be installed
before using eiad. OT1*.fd files are provided for use with
LaTeX.

%package eiad-doc
Summary: Documentation for eiad
Version: svn15878.0

Provides: tex-eiad-doc
AutoReqProv: No

%description eiad-doc
Documentation for eiad

%package eiad-ltx
Provides: tex-eiad-ltx = %{tl_version}
License: LPPL
Summary: LaTeX support for the eiad font
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eiad.sty) = %{tl_version}

%description eiad-ltx
The package provides macros to support use of the eiad fonts in
OT1 encoding. Also offered are a couple of Metafont files
described in the font package, but not provided there.

%package eiad-ltx-doc
Summary: Documentation for eiad-ltx
Version: svn15878.1.0

Provides: tex-eiad-ltx-doc
AutoReqProv: No

%description eiad-ltx-doc
Documentation for eiad-ltx

%package electrum
Provides: tex-electrum = %{tl_version}
License: GPLv2+ with exceptions and LPPL
Summary: Electrum ADF fonts collection
Version: svn19705.1.005_b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(nfssext-cfr.sty)
Provides: tex(supp-yes.enc) = %{tl_version}
Provides: tex(yes.map) = %{tl_version}
Provides: tex(yesb08c.tfm) = %{tl_version}
Provides: tex(yesb08t.tfm) = %{tl_version}
Provides: tex(yesb0o8c.tfm) = %{tl_version}
Provides: tex(yesb0o8t.tfm) = %{tl_version}
Provides: tex(yesb18c.tfm) = %{tl_version}
Provides: tex(yesb18t.tfm) = %{tl_version}
Provides: tex(yesb1o8c.tfm) = %{tl_version}
Provides: tex(yesb1o8t.tfm) = %{tl_version}
Provides: tex(yesb8c.tfm) = %{tl_version}
Provides: tex(yesb8r.tfm) = %{tl_version}
Provides: tex(yesb8s.tfm) = %{tl_version}
Provides: tex(yesb8t.tfm) = %{tl_version}
Provides: tex(yesbc8t.tfm) = %{tl_version}
Provides: tex(yesbcj8t.tfm) = %{tl_version}
Provides: tex(yesbcjo8t.tfm) = %{tl_version}
Provides: tex(yesbcjow8t.tfm) = %{tl_version}
Provides: tex(yesbcjw8t.tfm) = %{tl_version}
Provides: tex(yesbco8t.tfm) = %{tl_version}
Provides: tex(yesbcow8t.tfm) = %{tl_version}
Provides: tex(yesbcw8t.tfm) = %{tl_version}
Provides: tex(yesbj8c.tfm) = %{tl_version}
Provides: tex(yesbj8t.tfm) = %{tl_version}
Provides: tex(yesbjo8c.tfm) = %{tl_version}
Provides: tex(yesbjo8t.tfm) = %{tl_version}
Provides: tex(yesbjow8t.tfm) = %{tl_version}
Provides: tex(yesbjw8t.tfm) = %{tl_version}
Provides: tex(yesbo8c.tfm) = %{tl_version}
Provides: tex(yesbo8r.tfm) = %{tl_version}
Provides: tex(yesbo8s.tfm) = %{tl_version}
Provides: tex(yesbo8t.tfm) = %{tl_version}
Provides: tex(yesbow8t.tfm) = %{tl_version}
Provides: tex(yesbw8t.tfm) = %{tl_version}
Provides: tex(yesl08c.tfm) = %{tl_version}
Provides: tex(yesl08t.tfm) = %{tl_version}
Provides: tex(yesl0o8c.tfm) = %{tl_version}
Provides: tex(yesl0o8t.tfm) = %{tl_version}
Provides: tex(yesl18c.tfm) = %{tl_version}
Provides: tex(yesl18t.tfm) = %{tl_version}
Provides: tex(yesl1o8c.tfm) = %{tl_version}
Provides: tex(yesl1o8t.tfm) = %{tl_version}
Provides: tex(yesl8c.tfm) = %{tl_version}
Provides: tex(yesl8r.tfm) = %{tl_version}
Provides: tex(yesl8s.tfm) = %{tl_version}
Provides: tex(yesl8t.tfm) = %{tl_version}
Provides: tex(yeslc8t.tfm) = %{tl_version}
Provides: tex(yeslcj8t.tfm) = %{tl_version}
Provides: tex(yeslcjo8t.tfm) = %{tl_version}
Provides: tex(yeslcjow8t.tfm) = %{tl_version}
Provides: tex(yeslcjw8t.tfm) = %{tl_version}
Provides: tex(yeslco8t.tfm) = %{tl_version}
Provides: tex(yeslcow8t.tfm) = %{tl_version}
Provides: tex(yeslcw8t.tfm) = %{tl_version}
Provides: tex(yeslj8c.tfm) = %{tl_version}
Provides: tex(yeslj8t.tfm) = %{tl_version}
Provides: tex(yesljo8c.tfm) = %{tl_version}
Provides: tex(yesljo8t.tfm) = %{tl_version}
Provides: tex(yesljow8t.tfm) = %{tl_version}
Provides: tex(yesljw8t.tfm) = %{tl_version}
Provides: tex(yeslo8c.tfm) = %{tl_version}
Provides: tex(yeslo8r.tfm) = %{tl_version}
Provides: tex(yeslo8s.tfm) = %{tl_version}
Provides: tex(yeslo8t.tfm) = %{tl_version}
Provides: tex(yeslow8t.tfm) = %{tl_version}
Provides: tex(yeslw8t.tfm) = %{tl_version}
Provides: tex(yesr08c.tfm) = %{tl_version}
Provides: tex(yesr08t.tfm) = %{tl_version}
Provides: tex(yesr0o8c.tfm) = %{tl_version}
Provides: tex(yesr0o8t.tfm) = %{tl_version}
Provides: tex(yesr18c.tfm) = %{tl_version}
Provides: tex(yesr18t.tfm) = %{tl_version}
Provides: tex(yesr1o8c.tfm) = %{tl_version}
Provides: tex(yesr1o8t.tfm) = %{tl_version}
Provides: tex(yesr8c.tfm) = %{tl_version}
Provides: tex(yesr8r.tfm) = %{tl_version}
Provides: tex(yesr8s.tfm) = %{tl_version}
Provides: tex(yesr8t.tfm) = %{tl_version}
Provides: tex(yesrc8t.tfm) = %{tl_version}
Provides: tex(yesrcj8t.tfm) = %{tl_version}
Provides: tex(yesrcjo8t.tfm) = %{tl_version}
Provides: tex(yesrcjow8t.tfm) = %{tl_version}
Provides: tex(yesrcjw8t.tfm) = %{tl_version}
Provides: tex(yesrco8t.tfm) = %{tl_version}
Provides: tex(yesrcow8t.tfm) = %{tl_version}
Provides: tex(yesrcw8t.tfm) = %{tl_version}
Provides: tex(yesrj8c.tfm) = %{tl_version}
Provides: tex(yesrj8t.tfm) = %{tl_version}
Provides: tex(yesrjo8c.tfm) = %{tl_version}
Provides: tex(yesrjo8t.tfm) = %{tl_version}
Provides: tex(yesrjow8t.tfm) = %{tl_version}
Provides: tex(yesrjw8t.tfm) = %{tl_version}
Provides: tex(yesro8c.tfm) = %{tl_version}
Provides: tex(yesro8r.tfm) = %{tl_version}
Provides: tex(yesro8s.tfm) = %{tl_version}
Provides: tex(yesro8t.tfm) = %{tl_version}
Provides: tex(yesrow8t.tfm) = %{tl_version}
Provides: tex(yesrw8t.tfm) = %{tl_version}
Provides: tex(yess08c.tfm) = %{tl_version}
Provides: tex(yess08t.tfm) = %{tl_version}
Provides: tex(yess0o8c.tfm) = %{tl_version}
Provides: tex(yess0o8t.tfm) = %{tl_version}
Provides: tex(yess18c.tfm) = %{tl_version}
Provides: tex(yess18t.tfm) = %{tl_version}
Provides: tex(yess1o8c.tfm) = %{tl_version}
Provides: tex(yess1o8t.tfm) = %{tl_version}
Provides: tex(yess8c.tfm) = %{tl_version}
Provides: tex(yess8r.tfm) = %{tl_version}
Provides: tex(yess8s.tfm) = %{tl_version}
Provides: tex(yess8t.tfm) = %{tl_version}
Provides: tex(yessc8t.tfm) = %{tl_version}
Provides: tex(yesscj8t.tfm) = %{tl_version}
Provides: tex(yesscjo8t.tfm) = %{tl_version}
Provides: tex(yesscjow8t.tfm) = %{tl_version}
Provides: tex(yesscjw8t.tfm) = %{tl_version}
Provides: tex(yessco8t.tfm) = %{tl_version}
Provides: tex(yesscow8t.tfm) = %{tl_version}
Provides: tex(yesscw8t.tfm) = %{tl_version}
Provides: tex(yessj8c.tfm) = %{tl_version}
Provides: tex(yessj8t.tfm) = %{tl_version}
Provides: tex(yessjo8c.tfm) = %{tl_version}
Provides: tex(yessjo8t.tfm) = %{tl_version}
Provides: tex(yessjow8t.tfm) = %{tl_version}
Provides: tex(yessjw8t.tfm) = %{tl_version}
Provides: tex(yesso8c.tfm) = %{tl_version}
Provides: tex(yesso8r.tfm) = %{tl_version}
Provides: tex(yesso8s.tfm) = %{tl_version}
Provides: tex(yesso8t.tfm) = %{tl_version}
Provides: tex(yessow8t.tfm) = %{tl_version}
Provides: tex(yessw8t.tfm) = %{tl_version}
Provides: tex(yesb8a.pfb) = %{tl_version}
Provides: tex(yesbo8a.pfb) = %{tl_version}
Provides: tex(yesl8a.pfb) = %{tl_version}
Provides: tex(yeslo8a.pfb) = %{tl_version}
Provides: tex(yesr8a.pfb) = %{tl_version}
Provides: tex(yesro8a.pfb) = %{tl_version}
Provides: tex(yess8a.pfb) = %{tl_version}
Provides: tex(yesso8a.pfb) = %{tl_version}
Provides: tex(yesb08c.vf) = %{tl_version}
Provides: tex(yesb08t.vf) = %{tl_version}
Provides: tex(yesb0o8c.vf) = %{tl_version}
Provides: tex(yesb0o8t.vf) = %{tl_version}
Provides: tex(yesb18c.vf) = %{tl_version}
Provides: tex(yesb18t.vf) = %{tl_version}
Provides: tex(yesb1o8c.vf) = %{tl_version}
Provides: tex(yesb1o8t.vf) = %{tl_version}
Provides: tex(yesb8c.vf) = %{tl_version}
Provides: tex(yesb8t.vf) = %{tl_version}
Provides: tex(yesbc8t.vf) = %{tl_version}
Provides: tex(yesbcj8t.vf) = %{tl_version}
Provides: tex(yesbcjo8t.vf) = %{tl_version}
Provides: tex(yesbcjow8t.vf) = %{tl_version}
Provides: tex(yesbcjw8t.vf) = %{tl_version}
Provides: tex(yesbco8t.vf) = %{tl_version}
Provides: tex(yesbcow8t.vf) = %{tl_version}
Provides: tex(yesbcw8t.vf) = %{tl_version}
Provides: tex(yesbj8c.vf) = %{tl_version}
Provides: tex(yesbj8t.vf) = %{tl_version}
Provides: tex(yesbjo8c.vf) = %{tl_version}
Provides: tex(yesbjo8t.vf) = %{tl_version}
Provides: tex(yesbjow8t.vf) = %{tl_version}
Provides: tex(yesbjw8t.vf) = %{tl_version}
Provides: tex(yesbo8c.vf) = %{tl_version}
Provides: tex(yesbo8t.vf) = %{tl_version}
Provides: tex(yesbow8t.vf) = %{tl_version}
Provides: tex(yesbw8t.vf) = %{tl_version}
Provides: tex(yesl08c.vf) = %{tl_version}
Provides: tex(yesl08t.vf) = %{tl_version}
Provides: tex(yesl0o8c.vf) = %{tl_version}
Provides: tex(yesl0o8t.vf) = %{tl_version}
Provides: tex(yesl18c.vf) = %{tl_version}
Provides: tex(yesl18t.vf) = %{tl_version}
Provides: tex(yesl1o8c.vf) = %{tl_version}
Provides: tex(yesl1o8t.vf) = %{tl_version}
Provides: tex(yesl8c.vf) = %{tl_version}
Provides: tex(yesl8t.vf) = %{tl_version}
Provides: tex(yeslc8t.vf) = %{tl_version}
Provides: tex(yeslcj8t.vf) = %{tl_version}
Provides: tex(yeslcjo8t.vf) = %{tl_version}
Provides: tex(yeslcjow8t.vf) = %{tl_version}
Provides: tex(yeslcjw8t.vf) = %{tl_version}
Provides: tex(yeslco8t.vf) = %{tl_version}
Provides: tex(yeslcow8t.vf) = %{tl_version}
Provides: tex(yeslcw8t.vf) = %{tl_version}
Provides: tex(yeslj8c.vf) = %{tl_version}
Provides: tex(yeslj8t.vf) = %{tl_version}
Provides: tex(yesljo8c.vf) = %{tl_version}
Provides: tex(yesljo8t.vf) = %{tl_version}
Provides: tex(yesljow8t.vf) = %{tl_version}
Provides: tex(yesljw8t.vf) = %{tl_version}
Provides: tex(yeslo8c.vf) = %{tl_version}
Provides: tex(yeslo8t.vf) = %{tl_version}
Provides: tex(yeslow8t.vf) = %{tl_version}
Provides: tex(yeslw8t.vf) = %{tl_version}
Provides: tex(yesr08c.vf) = %{tl_version}
Provides: tex(yesr08t.vf) = %{tl_version}
Provides: tex(yesr0o8c.vf) = %{tl_version}
Provides: tex(yesr0o8t.vf) = %{tl_version}
Provides: tex(yesr18c.vf) = %{tl_version}
Provides: tex(yesr18t.vf) = %{tl_version}
Provides: tex(yesr1o8c.vf) = %{tl_version}
Provides: tex(yesr1o8t.vf) = %{tl_version}
Provides: tex(yesr8c.vf) = %{tl_version}
Provides: tex(yesr8t.vf) = %{tl_version}
Provides: tex(yesrc8t.vf) = %{tl_version}
Provides: tex(yesrcj8t.vf) = %{tl_version}
Provides: tex(yesrcjo8t.vf) = %{tl_version}
Provides: tex(yesrcjow8t.vf) = %{tl_version}
Provides: tex(yesrcjw8t.vf) = %{tl_version}
Provides: tex(yesrco8t.vf) = %{tl_version}
Provides: tex(yesrcow8t.vf) = %{tl_version}
Provides: tex(yesrcw8t.vf) = %{tl_version}
Provides: tex(yesrj8c.vf) = %{tl_version}
Provides: tex(yesrj8t.vf) = %{tl_version}
Provides: tex(yesrjo8c.vf) = %{tl_version}
Provides: tex(yesrjo8t.vf) = %{tl_version}
Provides: tex(yesrjow8t.vf) = %{tl_version}
Provides: tex(yesrjw8t.vf) = %{tl_version}
Provides: tex(yesro8c.vf) = %{tl_version}
Provides: tex(yesro8t.vf) = %{tl_version}
Provides: tex(yesrow8t.vf) = %{tl_version}
Provides: tex(yesrw8t.vf) = %{tl_version}
Provides: tex(yess08c.vf) = %{tl_version}
Provides: tex(yess08t.vf) = %{tl_version}
Provides: tex(yess0o8c.vf) = %{tl_version}
Provides: tex(yess0o8t.vf) = %{tl_version}
Provides: tex(yess18c.vf) = %{tl_version}
Provides: tex(yess18t.vf) = %{tl_version}
Provides: tex(yess1o8c.vf) = %{tl_version}
Provides: tex(yess1o8t.vf) = %{tl_version}
Provides: tex(yess8c.vf) = %{tl_version}
Provides: tex(yess8t.vf) = %{tl_version}
Provides: tex(yessc8t.vf) = %{tl_version}
Provides: tex(yesscj8t.vf) = %{tl_version}
Provides: tex(yesscjo8t.vf) = %{tl_version}
Provides: tex(yesscjow8t.vf) = %{tl_version}
Provides: tex(yesscjw8t.vf) = %{tl_version}
Provides: tex(yessco8t.vf) = %{tl_version}
Provides: tex(yesscow8t.vf) = %{tl_version}
Provides: tex(yesscw8t.vf) = %{tl_version}
Provides: tex(yessj8c.vf) = %{tl_version}
Provides: tex(yessj8t.vf) = %{tl_version}
Provides: tex(yessjo8c.vf) = %{tl_version}
Provides: tex(yessjo8t.vf) = %{tl_version}
Provides: tex(yessjow8t.vf) = %{tl_version}
Provides: tex(yessjw8t.vf) = %{tl_version}
Provides: tex(yesso8c.vf) = %{tl_version}
Provides: tex(yesso8t.vf) = %{tl_version}
Provides: tex(yessow8t.vf) = %{tl_version}
Provides: tex(yessw8t.vf) = %{tl_version}
Provides: tex(electrum.sty) = %{tl_version}
Provides: tex(t1yes.fd) = %{tl_version}
Provides: tex(t1yes0.fd) = %{tl_version}
Provides: tex(t1yes1.fd) = %{tl_version}
Provides: tex(t1yesj.fd) = %{tl_version}
Provides: tex(t1yesjw.fd) = %{tl_version}
Provides: tex(t1yesw.fd) = %{tl_version}
Provides: tex(ts1yes.fd) = %{tl_version}
Provides: tex(ts1yes0.fd) = %{tl_version}
Provides: tex(ts1yes1.fd) = %{tl_version}
Provides: tex(ts1yesj.fd) = %{tl_version}
Provides: tex(ts1yesjw.fd) = %{tl_version}
Provides: tex(ts1yesw.fd) = %{tl_version}

%description electrum
Electrum ADF is a slab-serif font featuring optical and italic
small-caps; additional ligatures and an alternate Q; lining,
hanging, inferior and superior digits; and four weights. The
fonts are provided in Adobe Type 1 format and the support
material enables use with LaTeX. Licence is mixed: LPPL for
LaTeX support; GPL with font exception for the fonts.

%package electrum-doc
Summary: Documentation for electrum
Version: svn19705.1.005_b

Provides: tex-electrum-doc
AutoReqProv: No

%description electrum-doc
Documentation for electrum

%package elvish
Provides: tex-elvish = %{tl_version}
License: Elvish
Summary: Fonts for typesetting Tolkien Elvish scripts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cirth.tfm) = %{tl_version}
Provides: tex(teng10.tfm) = %{tl_version}

%description elvish
The bundle provides fonts for Cirth (cirth.mf, etc.) and for
Tengwar (teng10.mf). The Tengwar fonts are supported by macros
in teng.tex, or by the (better documented) tengtex package.

%package elvish-doc
Summary: Documentation for elvish
Version: svn15878.0

Provides: tex-elvish-doc
AutoReqProv: No

%description elvish-doc
Documentation for elvish

%package epigrafica
Provides: tex-epigrafica = %{tl_version}
License: GPL+
Summary: A Greek and Latin font
Version: svn17210.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(pxfonts.sty)
Provides: tex(epigraficahellenic.enc) = %{tl_version}
Provides: tex(epigrafica.map) = %{tl_version}
Provides: tex(epigraficab8a.tfm) = %{tl_version}
Provides: tex(epigraficab8r.tfm) = %{tl_version}
Provides: tex(epigraficabi8a.tfm) = %{tl_version}
Provides: tex(epigraficabi8r.tfm) = %{tl_version}
Provides: tex(epigraficabo8a.tfm) = %{tl_version}
Provides: tex(epigraficabo8r.tfm) = %{tl_version}
Provides: tex(epigraficac8a.tfm) = %{tl_version}
Provides: tex(epigraficac8r.tfm) = %{tl_version}
Provides: tex(epigraficahb7a.tfm) = %{tl_version}
Provides: tex(epigraficahb7r.tfm) = %{tl_version}
Provides: tex(epigraficahbi7a.tfm) = %{tl_version}
Provides: tex(epigraficahbi7r.tfm) = %{tl_version}
Provides: tex(epigraficahbo7a.tfm) = %{tl_version}
Provides: tex(epigraficahbo7r.tfm) = %{tl_version}
Provides: tex(epigraficahc7a.tfm) = %{tl_version}
Provides: tex(epigraficahc7r.tfm) = %{tl_version}
Provides: tex(epigraficahi7a.tfm) = %{tl_version}
Provides: tex(epigraficahi7r.tfm) = %{tl_version}
Provides: tex(epigraficahn7r.tfm) = %{tl_version}
Provides: tex(epigraficaho7a.tfm) = %{tl_version}
Provides: tex(epigraficaho7r.tfm) = %{tl_version}
Provides: tex(epigraficai8a.tfm) = %{tl_version}
Provides: tex(epigraficai8r.tfm) = %{tl_version}
Provides: tex(epigrafican8a.tfm) = %{tl_version}
Provides: tex(epigrafican8r.tfm) = %{tl_version}
Provides: tex(epigraficao8a.tfm) = %{tl_version}
Provides: tex(epigraficao8r.tfm) = %{tl_version}
Provides: tex(gepigraficahn7a.tfm) = %{tl_version}
Provides: tex(Epigrafica-Entona.pfb) = %{tl_version}
Provides: tex(Epigrafica-EntonaReonta.pfb) = %{tl_version}
Provides: tex(Epigrafica-Ortha.pfb) = %{tl_version}
Provides: tex(Epigrafica-Pezokefalaia.pfb) = %{tl_version}
Provides: tex(Epigrafica-Reonta.pfb) = %{tl_version}
Provides: tex(epigraficab8r.vf) = %{tl_version}
Provides: tex(epigraficabi8r.vf) = %{tl_version}
Provides: tex(epigraficabo8r.vf) = %{tl_version}
Provides: tex(epigraficac8r.vf) = %{tl_version}
Provides: tex(epigraficahb7r.vf) = %{tl_version}
Provides: tex(epigraficahbi7r.vf) = %{tl_version}
Provides: tex(epigraficahbo7r.vf) = %{tl_version}
Provides: tex(epigraficahc7r.vf) = %{tl_version}
Provides: tex(epigraficahi7r.vf) = %{tl_version}
Provides: tex(epigraficahn7r.vf) = %{tl_version}
Provides: tex(epigraficaho7r.vf) = %{tl_version}
Provides: tex(epigraficai8r.vf) = %{tl_version}
Provides: tex(epigrafican8r.vf) = %{tl_version}
Provides: tex(epigraficao8r.vf) = %{tl_version}
Provides: tex(epigrafica.sty) = %{tl_version}
Provides: tex(lgrepigrafica.fd) = %{tl_version}
Provides: tex(ot1epigrafica.fd) = %{tl_version}

%description epigrafica
Epigrafica is forked from the development of the MgOpen font
Cosmetica, which is a similar design to Optima and includes
Greek. Development has been supported by the Laboratory of
Digital Typography and Mathematical Software, of the Department
of Mathematics of the University of the Aegean, Greece.

%package epigrafica-doc
Summary: Documentation for epigrafica
Version: svn17210.1.01

Provides: tex-epigrafica-doc
AutoReqProv: No

%description epigrafica-doc
Documentation for epigrafica

%package epsdice
Provides: tex-epsdice = %{tl_version}
License: LPPL
Summary: A scalable dice "font"
Version: svn15878.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(ifthen.sty)
Provides: tex(epsdice.cfg) = %{tl_version}
Provides: tex(epsdice.sty) = %{tl_version}

%description epsdice
The epsdice package defines a single command \epsdice that
takes a numeric argument (in the range 1-6), and selects a face
image from a file that contains each of the 6 possible die
faces. The graphic file is provided in both Encapsulated
PostScript and PDF formats.

%package epsdice-doc
Summary: Documentation for epsdice
Version: svn15878.2.1

Provides: tex-epsdice-doc
AutoReqProv: No

%description epsdice-doc
Documentation for epsdice

%package erewhon
Provides: tex-erewhon = %{tl_version}
License: OFL
Summary: Font package derived from Heuristica and Utopia
Version: svn43506
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Provides: tex(zut1_23adt6.enc) = %{tl_version}
Provides: tex(zut1_26fc24.enc) = %{tl_version}
Provides: tex(zut1_2pdzb4.enc) = %{tl_version}
Provides: tex(zut1_2rsg4x.enc) = %{tl_version}
Provides: tex(zut1_33qyrq.enc) = %{tl_version}
Provides: tex(zut1_36wkbs.enc) = %{tl_version}
Provides: tex(zut1_3qes6a.enc) = %{tl_version}
Provides: tex(zut1_3sdh4x.enc) = %{tl_version}
Provides: tex(zut1_3zzbgn.enc) = %{tl_version}
Provides: tex(zut1_46udvc.enc) = %{tl_version}
Provides: tex(zut1_4gejho.enc) = %{tl_version}
Provides: tex(zut1_55od57.enc) = %{tl_version}
Provides: tex(zut1_55vlpj.enc) = %{tl_version}
Provides: tex(zut1_5gd3w7.enc) = %{tl_version}
Provides: tex(zut1_5osyhn.enc) = %{tl_version}
Provides: tex(zut1_5qg2z3.enc) = %{tl_version}
Provides: tex(zut1_5uug7k.enc) = %{tl_version}
Provides: tex(zut1_5vzi2j.enc) = %{tl_version}
Provides: tex(zut1_6fbto3.enc) = %{tl_version}
Provides: tex(zut1_6ff2fp.enc) = %{tl_version}
Provides: tex(zut1_6hpp45.enc) = %{tl_version}
Provides: tex(zut1_6odewi.enc) = %{tl_version}
Provides: tex(zut1_6qui4c.enc) = %{tl_version}
Provides: tex(zut1_6zm6gs.enc) = %{tl_version}
Provides: tex(zut1_72r2qm.enc) = %{tl_version}
Provides: tex(zut1_7cvson.enc) = %{tl_version}
Provides: tex(zut1_7il5js.enc) = %{tl_version}
Provides: tex(zut1_7whbrd.enc) = %{tl_version}
Provides: tex(zut1_a5mbkd.enc) = %{tl_version}
Provides: tex(zut1_aboxub.enc) = %{tl_version}
Provides: tex(zut1_agkjyb.enc) = %{tl_version}
Provides: tex(zut1_akndxy.enc) = %{tl_version}
Provides: tex(zut1_asyhxx.enc) = %{tl_version}
Provides: tex(zut1_b66crt.enc) = %{tl_version}
Provides: tex(zut1_bhrl5o.enc) = %{tl_version}
Provides: tex(zut1_buav3i.enc) = %{tl_version}
Provides: tex(zut1_c4updo.enc) = %{tl_version}
Provides: tex(zut1_cd75bx.enc) = %{tl_version}
Provides: tex(zut1_diubwb.enc) = %{tl_version}
Provides: tex(zut1_dmu6i6.enc) = %{tl_version}
Provides: tex(zut1_ebpzys.enc) = %{tl_version}
Provides: tex(zut1_efqq6z.enc) = %{tl_version}
Provides: tex(zut1_egk5ui.enc) = %{tl_version}
Provides: tex(zut1_emma2w.enc) = %{tl_version}
Provides: tex(zut1_enosfl.enc) = %{tl_version}
Provides: tex(zut1_enxj7r.enc) = %{tl_version}
Provides: tex(zut1_erfmsm.enc) = %{tl_version}
Provides: tex(zut1_fs7nm6.enc) = %{tl_version}
Provides: tex(zut1_g4aneu.enc) = %{tl_version}
Provides: tex(zut1_gdnnr3.enc) = %{tl_version}
Provides: tex(zut1_gmwaxb.enc) = %{tl_version}
Provides: tex(zut1_hbrlcj.enc) = %{tl_version}
Provides: tex(zut1_io433z.enc) = %{tl_version}
Provides: tex(zut1_izhoij.enc) = %{tl_version}
Provides: tex(zut1_j2yrpr.enc) = %{tl_version}
Provides: tex(zut1_jlgnzs.enc) = %{tl_version}
Provides: tex(zut1_kqgewl.enc) = %{tl_version}
Provides: tex(zut1_mb3zuf.enc) = %{tl_version}
Provides: tex(zut1_mczjfg.enc) = %{tl_version}
Provides: tex(zut1_mnqfpi.enc) = %{tl_version}
Provides: tex(zut1_namll4.enc) = %{tl_version}
Provides: tex(zut1_okgrmm.enc) = %{tl_version}
Provides: tex(zut1_opwl73.enc) = %{tl_version}
Provides: tex(zut1_p3lteh.enc) = %{tl_version}
Provides: tex(zut1_p3smp3.enc) = %{tl_version}
Provides: tex(zut1_p725ca.enc) = %{tl_version}
Provides: tex(zut1_pdw4cs.enc) = %{tl_version}
Provides: tex(zut1_plclts.enc) = %{tl_version}
Provides: tex(zut1_ppbl3l.enc) = %{tl_version}
Provides: tex(zut1_pt32q7.enc) = %{tl_version}
Provides: tex(zut1_pua4mh.enc) = %{tl_version}
Provides: tex(zut1_q4fsp5.enc) = %{tl_version}
Provides: tex(zut1_qpgbnz.enc) = %{tl_version}
Provides: tex(zut1_qytqkd.enc) = %{tl_version}
Provides: tex(zut1_qzlrfe.enc) = %{tl_version}
Provides: tex(zut1_sodton.enc) = %{tl_version}
Provides: tex(zut1_sxnwby.enc) = %{tl_version}
Provides: tex(zut1_szqr4x.enc) = %{tl_version}
Provides: tex(zut1_tyrjhz.enc) = %{tl_version}
Provides: tex(zut1_u4kfm3.enc) = %{tl_version}
Provides: tex(zut1_uaoxy2.enc) = %{tl_version}
Provides: tex(zut1_uxztme.enc) = %{tl_version}
Provides: tex(zut1_vgtdgz.enc) = %{tl_version}
Provides: tex(zut1_vz5ynf.enc) = %{tl_version}
Provides: tex(zut1_vzlxgj.enc) = %{tl_version}
Provides: tex(zut1_wft4nn.enc) = %{tl_version}
Provides: tex(zut1_x5g3l6.enc) = %{tl_version}
Provides: tex(zut1_x6jwsz.enc) = %{tl_version}
Provides: tex(zut1_yat6q4.enc) = %{tl_version}
Provides: tex(zut1_ympoog.enc) = %{tl_version}
Provides: tex(zut1_ynhtih.enc) = %{tl_version}
Provides: tex(zut1_ytwp45.enc) = %{tl_version}
Provides: tex(zut1_z2p4l2.enc) = %{tl_version}
Provides: tex(zut1_z3xbwl.enc) = %{tl_version}
Provides: tex(zut1_zm7h5z.enc) = %{tl_version}
Provides: tex(erewhon.map) = %{tl_version}
Provides: tex(Erewhon-Bold.otf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic.otf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted.otf) = %{tl_version}
Provides: tex(Erewhon-Italic.otf) = %{tl_version}
Provides: tex(Erewhon-Regular.otf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted.otf) = %{tl_version}
Provides: tex(Erewhon-Bold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-dnom-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-dnom-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-dnom-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-dnom-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-inf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-inf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-inf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-numr-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-numr-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-numr-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-numr-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-numr-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-sup-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-sup-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-sup-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-dnom-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-dnom-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-dnom-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-inf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-inf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-inf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-numr-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-numr-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-numr-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-sup-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-sup-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-sup-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-dnom-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-dnom-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-dnom-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-dnom-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-inf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-inf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-inf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-inf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-inf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-numr-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-numr-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-numr-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-numr-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-numr-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-sup-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-sup-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-sup-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-sup-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-sup-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-dnom-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-dnom-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-dnom-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-inf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-inf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-inf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-numr-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-numr-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-numr-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-numr-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-sup-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-sup-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-sup-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-dnom-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-dnom-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-dnom-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-dnom-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-inf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-inf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-inf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-numr-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-numr-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-numr-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-numr-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-numr-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-sup-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-sup-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-sup-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-dnom-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-dnom-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-dnom-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-dnom-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-inf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-inf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-inf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-inf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-inf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-numr-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-numr-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-numr-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-numr-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-numr-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-sup-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-sup-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-sup-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-sup-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-sup-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-t1.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Erewhon-Bold.pfb) = %{tl_version}
Provides: tex(Erewhon-BoldItalic.pfb) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted.pfb) = %{tl_version}
Provides: tex(Erewhon-Italic.pfb) = %{tl_version}
Provides: tex(Erewhon-Regular.pfb) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted.pfb) = %{tl_version}
Provides: tex(Erewhon-Bold-dnom-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-numr-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-dnom-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-inf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-lf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-numr-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-osf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-sup-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-BoldSlanted-tosf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-dnom-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-numr-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-dnom-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-numr-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-dnom-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-inf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-lf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-numr-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-osf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-sup-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-t1.vf) = %{tl_version}
Provides: tex(Erewhon-RegularSlanted-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1erewhon-Dnom.fd) = %{tl_version}
Provides: tex(LY1erewhon-Inf.fd) = %{tl_version}
Provides: tex(LY1erewhon-LF.fd) = %{tl_version}
Provides: tex(LY1erewhon-Numr.fd) = %{tl_version}
Provides: tex(LY1erewhon-OsF.fd) = %{tl_version}
Provides: tex(LY1erewhon-Sup.fd) = %{tl_version}
Provides: tex(LY1erewhon-TLF.fd) = %{tl_version}
Provides: tex(LY1erewhon-TOsF.fd) = %{tl_version}
Provides: tex(T1erewhon-Dnom.fd) = %{tl_version}
Provides: tex(T1erewhon-Inf.fd) = %{tl_version}
Provides: tex(T1erewhon-LF.fd) = %{tl_version}
Provides: tex(T1erewhon-Numr.fd) = %{tl_version}
Provides: tex(T1erewhon-OsF.fd) = %{tl_version}
Provides: tex(T1erewhon-Sup.fd) = %{tl_version}
Provides: tex(T1erewhon-TLF.fd) = %{tl_version}
Provides: tex(T1erewhon-TOsF.fd) = %{tl_version}
Provides: tex(T2Aerewhon-Dnom.fd) = %{tl_version}
Provides: tex(T2Aerewhon-Inf.fd) = %{tl_version}
Provides: tex(T2Aerewhon-LF.fd) = %{tl_version}
Provides: tex(T2Aerewhon-Numr.fd) = %{tl_version}
Provides: tex(T2Aerewhon-OsF.fd) = %{tl_version}
Provides: tex(T2Aerewhon-Sup.fd) = %{tl_version}
Provides: tex(T2Aerewhon-TLF.fd) = %{tl_version}
Provides: tex(T2Aerewhon-TOsF.fd) = %{tl_version}
Provides: tex(T2Berewhon-Dnom.fd) = %{tl_version}
Provides: tex(T2Berewhon-Inf.fd) = %{tl_version}
Provides: tex(T2Berewhon-LF.fd) = %{tl_version}
Provides: tex(T2Berewhon-Numr.fd) = %{tl_version}
Provides: tex(T2Berewhon-OsF.fd) = %{tl_version}
Provides: tex(T2Berewhon-Sup.fd) = %{tl_version}
Provides: tex(T2Berewhon-TLF.fd) = %{tl_version}
Provides: tex(T2Berewhon-TOsF.fd) = %{tl_version}
Provides: tex(T2Cerewhon-Dnom.fd) = %{tl_version}
Provides: tex(T2Cerewhon-Inf.fd) = %{tl_version}
Provides: tex(T2Cerewhon-LF.fd) = %{tl_version}
Provides: tex(T2Cerewhon-Numr.fd) = %{tl_version}
Provides: tex(T2Cerewhon-OsF.fd) = %{tl_version}
Provides: tex(T2Cerewhon-Sup.fd) = %{tl_version}
Provides: tex(T2Cerewhon-TLF.fd) = %{tl_version}
Provides: tex(T2Cerewhon-TOsF.fd) = %{tl_version}
Provides: tex(TS1erewhon-LF.fd) = %{tl_version}
Provides: tex(TS1erewhon-OsF.fd) = %{tl_version}
Provides: tex(TS1erewhon-TLF.fd) = %{tl_version}
Provides: tex(TS1erewhon-TOsF.fd) = %{tl_version}
Provides: tex(erewhon.sty) = %{tl_version}

%description erewhon
Erewhon is based on the Heuristica package, which is based in
turn on Utopia. Erewhon adds a number of new features -- small
caps in all styles rather than just regular, added figure
styles (proportional, inferior, numerator, denominator) and
superior letters. The size is 6% smaller than Heuristica,
matching that of UtopiaStd.

%package erewhon-doc
Summary: Documentation for erewhon
Version: svn43506
Provides: tex-erewhon-doc
AutoReqProv: No

%description erewhon-doc
Documentation for erewhon

%package esrelation
Provides: tex-esrelation = %{tl_version}
License: LPPL 1.3
Summary: Provides a symbol set for describing relations between ordered pairs
Version: svn37236.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(esrelation.map) = %{tl_version}
Provides: tex(esrelation10.tfm) = %{tl_version}
Provides: tex(esrelation10.pfb) = %{tl_version}
Provides: tex(esrelation.sty) = %{tl_version}
Provides: tex(uesrelation.fd) = %{tl_version}

%description esrelation
Around 2008, researcher Byron Cook and several colleagues began
developing a new set of interrelated algorithms capable of
automatically reasoning about the behavior of computer programs
and other systems (such as biological systems, circuit designs,
etc). At the center of these algorithms were new ideas about
the relationships between structures expressable as
mathematical sets and relations. Using the language of
mathematics and logic, the researchers communicated these new
results to others in their community via published papers,
research talks, etc. Unfortunately, they found the symbols
already available for reasoning about relations lacking (in
contrast to sets, which have a long-ago developed and robust
symbol vocabulary). Early presentations were unnecessarily
cluttered. To more elegantly express these ideas around
relations, Cook recruited artist Tauba Auerbach to help develop
a set of symbols. This package provides an math symbol font for
describing relations between ordered pairs by using Metafont.

%package esrelation-doc
Summary: Documentation for esrelation
Version: svn37236.0

Provides: tex-esrelation-doc
AutoReqProv: No

%description esrelation-doc
Documentation for esrelation

%package esstix
Provides: tex-esstix = %{tl_version}
License: OFL
Summary: PostScript versions of the ESSTIX, with macro support
Version: svn22426.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Provides: tex(ESSTIX.map) = %{tl_version}
Provides: tex(esstixbb.tfm) = %{tl_version}
Provides: tex(esstixcal.tfm) = %{tl_version}
Provides: tex(esstixfrak.tfm) = %{tl_version}
Provides: tex(rESSTIX13.tfm) = %{tl_version}
Provides: tex(rESSTIX14.tfm) = %{tl_version}
Provides: tex(rESSTIX15.tfm) = %{tl_version}
Provides: tex(ESSTIX10.pfb) = %{tl_version}
Provides: tex(ESSTIX11.pfb) = %{tl_version}
Provides: tex(ESSTIX12.pfb) = %{tl_version}
Provides: tex(ESSTIX13.pfb) = %{tl_version}
Provides: tex(ESSTIX14.pfb) = %{tl_version}
Provides: tex(ESSTIX15.pfb) = %{tl_version}
Provides: tex(ESSTIX16.pfb) = %{tl_version}
Provides: tex(ESSTIX17.pfb) = %{tl_version}
Provides: tex(ESSTIX1_.pfb) = %{tl_version}
Provides: tex(ESSTIX2_.pfb) = %{tl_version}
Provides: tex(ESSTIX3_.pfb) = %{tl_version}
Provides: tex(ESSTIX4_.pfb) = %{tl_version}
Provides: tex(ESSTIX5_.pfb) = %{tl_version}
Provides: tex(ESSTIX6_.pfb) = %{tl_version}
Provides: tex(ESSTIX7_.pfb) = %{tl_version}
Provides: tex(ESSTIX8_.pfb) = %{tl_version}
Provides: tex(ESSTIX9_.pfb) = %{tl_version}
Provides: tex(esstixbb.vf) = %{tl_version}
Provides: tex(esstixcal.vf) = %{tl_version}
Provides: tex(esstixfrak.vf) = %{tl_version}
Provides: tex(esstixbb.sty) = %{tl_version}
Provides: tex(esstixcal.sty) = %{tl_version}
Provides: tex(esstixfrak.sty) = %{tl_version}
Provides: tex(uesstixbb.fd) = %{tl_version}
Provides: tex(uesstixcal.fd) = %{tl_version}
Provides: tex(uesstixfrak.fd) = %{tl_version}

%description esstix
These fonts represent translation to PostScript Type 1 of the
ESSTIX fonts. ESSTIX seem to have been a precursor to the STIX
project, and were donated by Elsevier to that project. The
accompanying virtual fonts with customized metrics and LaTeX
support files allow their use as calligraphic, fraktur and
double-struck (blackboard bold) in maths mode.

%package esstix-doc
Summary: Documentation for esstix
Version: svn22426.1.0

Provides: tex-esstix-doc
AutoReqProv: No

%description esstix-doc
Documentation for esstix

%package esvect
Provides: tex-esvect = %{tl_version}
License: GPL+
Summary: Vector arrows
Version: svn32098.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(esvect.map) = %{tl_version}
Provides: tex(vect10.tfm) = %{tl_version}
Provides: tex(vect5.tfm) = %{tl_version}
Provides: tex(vect6.tfm) = %{tl_version}
Provides: tex(vect7.tfm) = %{tl_version}
Provides: tex(vect8.tfm) = %{tl_version}
Provides: tex(vect9.tfm) = %{tl_version}
Provides: tex(vect10.pfb) = %{tl_version}
Provides: tex(vect5.pfb) = %{tl_version}
Provides: tex(vect6.pfb) = %{tl_version}
Provides: tex(vect7.pfb) = %{tl_version}
Provides: tex(vect8.pfb) = %{tl_version}
Provides: tex(vect9.pfb) = %{tl_version}
Provides: tex(esvect.sty) = %{tl_version}
Provides: tex(uesvect.fd) = %{tl_version}

%description esvect
Write vectors using an arrow which differs from the Computer
Modern one. You have the choice between several kinds of
arrows. The package consists of the relevant Metafont code and
a package to use it.

%package esvect-doc
Summary: Documentation for esvect
Version: svn32098.1.3

Provides: tex-esvect-doc
AutoReqProv: No

%description esvect-doc
Documentation for esvect

%package eulervm
Provides: tex-eulervm = %{tl_version}
License: LPPL
Summary: Euler virtual math fonts
Version: svn15878.4.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(zeuex10.tfm) = %{tl_version}
Provides: tex(zeurb10.tfm) = %{tl_version}
Provides: tex(zeurb5.tfm) = %{tl_version}
Provides: tex(zeurb7.tfm) = %{tl_version}
Provides: tex(zeurm10.tfm) = %{tl_version}
Provides: tex(zeurm5.tfm) = %{tl_version}
Provides: tex(zeurm7.tfm) = %{tl_version}
Provides: tex(zeusb10.tfm) = %{tl_version}
Provides: tex(zeusb5.tfm) = %{tl_version}
Provides: tex(zeusb7.tfm) = %{tl_version}
Provides: tex(zeusm10.tfm) = %{tl_version}
Provides: tex(zeusm5.tfm) = %{tl_version}
Provides: tex(zeusm7.tfm) = %{tl_version}
Provides: tex(zeuex10.vf) = %{tl_version}
Provides: tex(zeurb10.vf) = %{tl_version}
Provides: tex(zeurb5.vf) = %{tl_version}
Provides: tex(zeurb7.vf) = %{tl_version}
Provides: tex(zeurm10.vf) = %{tl_version}
Provides: tex(zeurm5.vf) = %{tl_version}
Provides: tex(zeurm7.vf) = %{tl_version}
Provides: tex(zeusb10.vf) = %{tl_version}
Provides: tex(zeusb5.vf) = %{tl_version}
Provides: tex(zeusb7.vf) = %{tl_version}
Provides: tex(zeusm10.vf) = %{tl_version}
Provides: tex(zeusm5.vf) = %{tl_version}
Provides: tex(zeusm7.vf) = %{tl_version}
Provides: tex(eulervm.sty) = %{tl_version}
Provides: tex(uzeuex.fd) = %{tl_version}
Provides: tex(uzeur.fd) = %{tl_version}
Provides: tex(uzeus.fd) = %{tl_version}

%description eulervm
The well-known Euler fonts are suitable for typsetting
mathematics in conjunction with a variety of text fonts which
do not provide mathematical character sets of their own. Euler-
VM is a set of virtual mathematics fonts based on Euler and CM.
This approach has several advantages over immediately using the
real Euler fonts: Most noticeably, less TeX resources are
consumed, the quality of various math symbols is improved and a
usable \hslash symbol can be provided. The virtual fonts are
accompanied by a LaTeX package which makes them easy to use,
particularly in conjunction with Type1 PostScript text fonts.
They are compatible with amsmath. A package option allows the
fonts to be loaded at 95% of their nominal size, thus blending
better with certain text fonts, e.g., Minion.

%package eulervm-doc
Summary: Documentation for eulervm
Version: svn15878.4.0

Provides: tex-eulervm-doc
AutoReqProv: No

%description eulervm-doc
Documentation for eulervm

%package euxm
Provides: tex-euxm = %{tl_version}
License: LPPL
Summary: euxm package
Version: svn20202.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(euxm10.tfm) = %{tl_version}
Provides: tex(euxm5.tfm) = %{tl_version}
Provides: tex(euxm7.tfm) = %{tl_version}

%description euxm
euxm package

%package fbb
Provides: tex-fbb = %{tl_version}
License: OFL
Summary: A free Bembo-like font
Version: svn45277
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(ifetex.sty)
Requires: tex(etoolbox.sty)
Requires: tex(mweights.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Provides: tex(fbb_2xteu2.enc) = %{tl_version}
Provides: tex(fbb_3pafo2.enc) = %{tl_version}
Provides: tex(fbb_3q7523.enc) = %{tl_version}
Provides: tex(fbb_3szmnl.enc) = %{tl_version}
Provides: tex(fbb_3t72qi.enc) = %{tl_version}
Provides: tex(fbb_47nzug.enc) = %{tl_version}
Provides: tex(fbb_4eykqf.enc) = %{tl_version}
Provides: tex(fbb_4fm2lh.enc) = %{tl_version}
Provides: tex(fbb_4phrex.enc) = %{tl_version}
Provides: tex(fbb_5kfdlm.enc) = %{tl_version}
Provides: tex(fbb_5yuftp.enc) = %{tl_version}
Provides: tex(fbb_646rxv.enc) = %{tl_version}
Provides: tex(fbb_6wf2yd.enc) = %{tl_version}
Provides: tex(fbb_7ftbhc.enc) = %{tl_version}
Provides: tex(fbb_bbqv4h.enc) = %{tl_version}
Provides: tex(fbb_bjcd27.enc) = %{tl_version}
Provides: tex(fbb_cglacz.enc) = %{tl_version}
Provides: tex(fbb_ciz6qs.enc) = %{tl_version}
Provides: tex(fbb_dfjaoq.enc) = %{tl_version}
Provides: tex(fbb_dli7xt.enc) = %{tl_version}
Provides: tex(fbb_do4apa.enc) = %{tl_version}
Provides: tex(fbb_dppuce.enc) = %{tl_version}
Provides: tex(fbb_eaddwb.enc) = %{tl_version}
Provides: tex(fbb_fefik6.enc) = %{tl_version}
Provides: tex(fbb_fmiu37.enc) = %{tl_version}
Provides: tex(fbb_gia3f7.enc) = %{tl_version}
Provides: tex(fbb_gti7xr.enc) = %{tl_version}
Provides: tex(fbb_h4gxkq.enc) = %{tl_version}
Provides: tex(fbb_h4yzgv.enc) = %{tl_version}
Provides: tex(fbb_icb62t.enc) = %{tl_version}
Provides: tex(fbb_iqrulf.enc) = %{tl_version}
Provides: tex(fbb_k4t5oa.enc) = %{tl_version}
Provides: tex(fbb_k67ydz.enc) = %{tl_version}
Provides: tex(fbb_k6hjgp.enc) = %{tl_version}
Provides: tex(fbb_lahflm.enc) = %{tl_version}
Provides: tex(fbb_lqd7qz.enc) = %{tl_version}
Provides: tex(fbb_ms7h4m.enc) = %{tl_version}
Provides: tex(fbb_nakqlt.enc) = %{tl_version}
Provides: tex(fbb_nyched.enc) = %{tl_version}
Provides: tex(fbb_p2khiw.enc) = %{tl_version}
Provides: tex(fbb_p6sgcp.enc) = %{tl_version}
Provides: tex(fbb_pg3xpw.enc) = %{tl_version}
Provides: tex(fbb_pjzzzk.enc) = %{tl_version}
Provides: tex(fbb_pkrngd.enc) = %{tl_version}
Provides: tex(fbb_pqcug3.enc) = %{tl_version}
Provides: tex(fbb_q44qkc.enc) = %{tl_version}
Provides: tex(fbb_qxzlqe.enc) = %{tl_version}
Provides: tex(fbb_r5yodg.enc) = %{tl_version}
Provides: tex(fbb_tizue6.enc) = %{tl_version}
Provides: tex(fbb_tpadeo.enc) = %{tl_version}
Provides: tex(fbb_u3ego5.enc) = %{tl_version}
Provides: tex(fbb_uqncc5.enc) = %{tl_version}
Provides: tex(fbb_vokwwj.enc) = %{tl_version}
Provides: tex(fbb_vvs2t7.enc) = %{tl_version}
Provides: tex(fbb_w6cgkc.enc) = %{tl_version}
Provides: tex(fbb_wmfgc4.enc) = %{tl_version}
Provides: tex(fbb_wmijbz.enc) = %{tl_version}
Provides: tex(fbb_xcuijf.enc) = %{tl_version}
Provides: tex(fbb_xmsf7g.enc) = %{tl_version}
Provides: tex(fbb_yr6epv.enc) = %{tl_version}
Provides: tex(fbb_zac64m.enc) = %{tl_version}
Provides: tex(fbb_zxsywv.enc) = %{tl_version}
Provides: tex(fbb.map) = %{tl_version}
Provides: tex(fbb-Bold.otf) = %{tl_version}
Provides: tex(fbb-BoldItalic.otf) = %{tl_version}
Provides: tex(fbb-Italic.otf) = %{tl_version}
Provides: tex(fbb-Regular.otf) = %{tl_version}
Provides: tex(fbb-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(fbb-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(fbb-Bold.pfb) = %{tl_version}
Provides: tex(fbb-BoldItalic.pfb) = %{tl_version}
Provides: tex(fbb-Italic.pfb) = %{tl_version}
Provides: tex(fbb-Regular.pfb) = %{tl_version}
Provides: tex(fbb-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(fbb-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(fbb-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(fbb-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(fbb-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1fbb-LF.fd) = %{tl_version}
Provides: tex(LY1fbb-OsF.fd) = %{tl_version}
Provides: tex(LY1fbb-Sup.fd) = %{tl_version}
Provides: tex(LY1fbb-TLF.fd) = %{tl_version}
Provides: tex(LY1fbb-TOsF.fd) = %{tl_version}
Provides: tex(OT1fbb-LF.fd) = %{tl_version}
Provides: tex(OT1fbb-OsF.fd) = %{tl_version}
Provides: tex(OT1fbb-Sup.fd) = %{tl_version}
Provides: tex(OT1fbb-TLF.fd) = %{tl_version}
Provides: tex(OT1fbb-TOsF.fd) = %{tl_version}
Provides: tex(T1fbb-LF.fd) = %{tl_version}
Provides: tex(T1fbb-OsF.fd) = %{tl_version}
Provides: tex(T1fbb-Sup.fd) = %{tl_version}
Provides: tex(T1fbb-TLF.fd) = %{tl_version}
Provides: tex(T1fbb-TOsF.fd) = %{tl_version}
Provides: tex(TS1fbb-LF.fd) = %{tl_version}
Provides: tex(TS1fbb-OsF.fd) = %{tl_version}
Provides: tex(TS1fbb-TLF.fd) = %{tl_version}
Provides: tex(TS1fbb-TOsF.fd) = %{tl_version}
Provides: tex(fbb.sty) = %{tl_version}

%description fbb
The package provides a Bembo-like font package based on Cardo
but with many modifications, adding Bold Italic, small caps in
all styles, six figure choices in all styles, updated kerning
tables, added figure tables and corrected f-ligatures. Both
OpenType and Adobe Type 1 versions are provided; all necessary
support files are provided. The font works well with
newtxmath's libertine option.

%package fbb-doc
Summary: Documentation for fbb
Version: svn45277
Provides: tex-fbb-doc
AutoReqProv: No

%description fbb-doc
Documentation for fbb

%package fdsymbol
Provides: tex-fdsymbol = %{tl_version}
License: OFL
Summary: A maths symbol font
Version: svn26722.0.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(amsmath.sty)
Requires: tex(textcomp.sty)
Provides: tex(fdsymbol-a.enc) = %{tl_version}
Provides: tex(fdsymbol-b.enc) = %{tl_version}
Provides: tex(fdsymbol-c.enc) = %{tl_version}
Provides: tex(fdsymbol-d.enc) = %{tl_version}
Provides: tex(fdsymbol-e.enc) = %{tl_version}
Provides: tex(fdsymbol-f.enc) = %{tl_version}
Provides: tex(fdsymbol.map) = %{tl_version}
Provides: tex(FdSymbol-Bold.otf) = %{tl_version}
Provides: tex(FdSymbol-Book.otf) = %{tl_version}
Provides: tex(FdSymbol-Medium.otf) = %{tl_version}
Provides: tex(FdSymbol-Regular.otf) = %{tl_version}
Provides: tex(FdSymbolA-Bold.tfm) = %{tl_version}
Provides: tex(FdSymbolA-Book.tfm) = %{tl_version}
Provides: tex(FdSymbolA-Medium.tfm) = %{tl_version}
Provides: tex(FdSymbolA-Regular.tfm) = %{tl_version}
Provides: tex(FdSymbolB-Bold.tfm) = %{tl_version}
Provides: tex(FdSymbolB-Book.tfm) = %{tl_version}
Provides: tex(FdSymbolB-Medium.tfm) = %{tl_version}
Provides: tex(FdSymbolB-Regular.tfm) = %{tl_version}
Provides: tex(FdSymbolC-Bold.tfm) = %{tl_version}
Provides: tex(FdSymbolC-Book.tfm) = %{tl_version}
Provides: tex(FdSymbolC-Medium.tfm) = %{tl_version}
Provides: tex(FdSymbolC-Regular.tfm) = %{tl_version}
Provides: tex(FdSymbolD-Bold.tfm) = %{tl_version}
Provides: tex(FdSymbolD-Book.tfm) = %{tl_version}
Provides: tex(FdSymbolD-Medium.tfm) = %{tl_version}
Provides: tex(FdSymbolD-Regular.tfm) = %{tl_version}
Provides: tex(FdSymbolE-Bold.tfm) = %{tl_version}
Provides: tex(FdSymbolE-Book.tfm) = %{tl_version}
Provides: tex(FdSymbolE-Medium.tfm) = %{tl_version}
Provides: tex(FdSymbolE-Regular.tfm) = %{tl_version}
Provides: tex(FdSymbolF-Bold.tfm) = %{tl_version}
Provides: tex(FdSymbolF-Book.tfm) = %{tl_version}
Provides: tex(FdSymbolF-Medium.tfm) = %{tl_version}
Provides: tex(FdSymbolF-Regular.tfm) = %{tl_version}
Provides: tex(FdSymbolA-Bold.pfb) = %{tl_version}
Provides: tex(FdSymbolA-Book.pfb) = %{tl_version}
Provides: tex(FdSymbolA-Medium.pfb) = %{tl_version}
Provides: tex(FdSymbolA-Regular.pfb) = %{tl_version}
Provides: tex(FdSymbolB-Bold.pfb) = %{tl_version}
Provides: tex(FdSymbolB-Book.pfb) = %{tl_version}
Provides: tex(FdSymbolB-Medium.pfb) = %{tl_version}
Provides: tex(FdSymbolB-Regular.pfb) = %{tl_version}
Provides: tex(FdSymbolC-Bold.pfb) = %{tl_version}
Provides: tex(FdSymbolC-Book.pfb) = %{tl_version}
Provides: tex(FdSymbolC-Medium.pfb) = %{tl_version}
Provides: tex(FdSymbolC-Regular.pfb) = %{tl_version}
Provides: tex(FdSymbolD-Bold.pfb) = %{tl_version}
Provides: tex(FdSymbolD-Book.pfb) = %{tl_version}
Provides: tex(FdSymbolD-Medium.pfb) = %{tl_version}
Provides: tex(FdSymbolD-Regular.pfb) = %{tl_version}
Provides: tex(FdSymbolE-Bold.pfb) = %{tl_version}
Provides: tex(FdSymbolE-Book.pfb) = %{tl_version}
Provides: tex(FdSymbolE-Medium.pfb) = %{tl_version}
Provides: tex(FdSymbolE-Regular.pfb) = %{tl_version}
Provides: tex(FdSymbolF-Bold.pfb) = %{tl_version}
Provides: tex(FdSymbolF-Book.pfb) = %{tl_version}
Provides: tex(FdSymbolF-Medium.pfb) = %{tl_version}
Provides: tex(FdSymbolF-Regular.pfb) = %{tl_version}
Provides: tex(fdsymbol.sty) = %{tl_version}

%description fdsymbol
FdSymbol is a maths symbol font, designed as a companion to the
Fedra family by Typotheque, but it might also fit other
contemporary typefaces.

%package fdsymbol-doc
Summary: Documentation for fdsymbol
Version: svn26722.0.8

Provides: tex-fdsymbol-doc
AutoReqProv: No

%description fdsymbol-doc
Documentation for fdsymbol

%package fetamont
Provides: tex-fetamont = %{tl_version}
License: LPPL 1.3
Summary: Extended version of Knuth's logo typeface
Version: svn43812
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: tex(fetamont.map) = %{tl_version}
Provides: tex(ffmb10.otf) = %{tl_version}
Provides: tex(ffmb8.otf) = %{tl_version}
Provides: tex(ffmb9.otf) = %{tl_version}
Provides: tex(ffmbc40.otf) = %{tl_version}
Provides: tex(ffmbco40.otf) = %{tl_version}
Provides: tex(ffmbo10.otf) = %{tl_version}
Provides: tex(ffmbo8.otf) = %{tl_version}
Provides: tex(ffmbo9.otf) = %{tl_version}
Provides: tex(ffmbw10.otf) = %{tl_version}
Provides: tex(ffmbwo10.otf) = %{tl_version}
Provides: tex(ffmc10.otf) = %{tl_version}
Provides: tex(ffmco10.otf) = %{tl_version}
Provides: tex(ffmh10.otf) = %{tl_version}
Provides: tex(ffmh8.otf) = %{tl_version}
Provides: tex(ffmh9.otf) = %{tl_version}
Provides: tex(ffmho10.otf) = %{tl_version}
Provides: tex(ffmho8.otf) = %{tl_version}
Provides: tex(ffmho9.otf) = %{tl_version}
Provides: tex(ffmhw10.otf) = %{tl_version}
Provides: tex(ffmhwo10.otf) = %{tl_version}
Provides: tex(ffml10.otf) = %{tl_version}
Provides: tex(ffmlc10.otf) = %{tl_version}
Provides: tex(ffmlco10.otf) = %{tl_version}
Provides: tex(ffmlo10.otf) = %{tl_version}
Provides: tex(ffmlq10.otf) = %{tl_version}
Provides: tex(ffmlqo10.otf) = %{tl_version}
Provides: tex(ffmlw10.otf) = %{tl_version}
Provides: tex(ffmlwo10.otf) = %{tl_version}
Provides: tex(ffmo10.otf) = %{tl_version}
Provides: tex(ffmo8.otf) = %{tl_version}
Provides: tex(ffmo9.otf) = %{tl_version}
Provides: tex(ffmr10.otf) = %{tl_version}
Provides: tex(ffmr8.otf) = %{tl_version}
Provides: tex(ffmr9.otf) = %{tl_version}
Provides: tex(ffmw10.otf) = %{tl_version}
Provides: tex(ffmwo10.otf) = %{tl_version}
Provides: tex(ffmb10.tfm) = %{tl_version}
Provides: tex(ffmb8.tfm) = %{tl_version}
Provides: tex(ffmb9.tfm) = %{tl_version}
Provides: tex(ffmbc40.tfm) = %{tl_version}
Provides: tex(ffmbco40.tfm) = %{tl_version}
Provides: tex(ffmbo10.tfm) = %{tl_version}
Provides: tex(ffmbo8.tfm) = %{tl_version}
Provides: tex(ffmbo9.tfm) = %{tl_version}
Provides: tex(ffmbw10.tfm) = %{tl_version}
Provides: tex(ffmbwo10.tfm) = %{tl_version}
Provides: tex(ffmc10.tfm) = %{tl_version}
Provides: tex(ffmco10.tfm) = %{tl_version}
Provides: tex(ffmh10.tfm) = %{tl_version}
Provides: tex(ffmh8.tfm) = %{tl_version}
Provides: tex(ffmh9.tfm) = %{tl_version}
Provides: tex(ffmho10.tfm) = %{tl_version}
Provides: tex(ffmho8.tfm) = %{tl_version}
Provides: tex(ffmho9.tfm) = %{tl_version}
Provides: tex(ffmhw10.tfm) = %{tl_version}
Provides: tex(ffmhwo10.tfm) = %{tl_version}
Provides: tex(ffml10.tfm) = %{tl_version}
Provides: tex(ffmlc10.tfm) = %{tl_version}
Provides: tex(ffmlco10.tfm) = %{tl_version}
Provides: tex(ffmlo10.tfm) = %{tl_version}
Provides: tex(ffmlq10.tfm) = %{tl_version}
Provides: tex(ffmlqo10.tfm) = %{tl_version}
Provides: tex(ffmlw10.tfm) = %{tl_version}
Provides: tex(ffmlwo10.tfm) = %{tl_version}
Provides: tex(ffmo10.tfm) = %{tl_version}
Provides: tex(ffmo8.tfm) = %{tl_version}
Provides: tex(ffmo9.tfm) = %{tl_version}
Provides: tex(ffmr10.tfm) = %{tl_version}
Provides: tex(ffmr8.tfm) = %{tl_version}
Provides: tex(ffmr9.tfm) = %{tl_version}
Provides: tex(ffmw10.tfm) = %{tl_version}
Provides: tex(ffmwo10.tfm) = %{tl_version}
Provides: tex(ffmb10.pfb) = %{tl_version}
Provides: tex(ffmb8.pfb) = %{tl_version}
Provides: tex(ffmb9.pfb) = %{tl_version}
Provides: tex(ffmbc40.pfb) = %{tl_version}
Provides: tex(ffmbco40.pfb) = %{tl_version}
Provides: tex(ffmbo10.pfb) = %{tl_version}
Provides: tex(ffmbo8.pfb) = %{tl_version}
Provides: tex(ffmbo9.pfb) = %{tl_version}
Provides: tex(ffmbw10.pfb) = %{tl_version}
Provides: tex(ffmbwo10.pfb) = %{tl_version}
Provides: tex(ffmc10.pfb) = %{tl_version}
Provides: tex(ffmco10.pfb) = %{tl_version}
Provides: tex(ffmh10.pfb) = %{tl_version}
Provides: tex(ffmh8.pfb) = %{tl_version}
Provides: tex(ffmh9.pfb) = %{tl_version}
Provides: tex(ffmho10.pfb) = %{tl_version}
Provides: tex(ffmho8.pfb) = %{tl_version}
Provides: tex(ffmho9.pfb) = %{tl_version}
Provides: tex(ffmhw10.pfb) = %{tl_version}
Provides: tex(ffmhwo10.pfb) = %{tl_version}
Provides: tex(ffml10.pfb) = %{tl_version}
Provides: tex(ffmlc10.pfb) = %{tl_version}
Provides: tex(ffmlco10.pfb) = %{tl_version}
Provides: tex(ffmlo10.pfb) = %{tl_version}
Provides: tex(ffmlq10.pfb) = %{tl_version}
Provides: tex(ffmlqo10.pfb) = %{tl_version}
Provides: tex(ffmlw10.pfb) = %{tl_version}
Provides: tex(ffmlwo10.pfb) = %{tl_version}
Provides: tex(ffmo10.pfb) = %{tl_version}
Provides: tex(ffmo8.pfb) = %{tl_version}
Provides: tex(ffmo9.pfb) = %{tl_version}
Provides: tex(ffmr10.pfb) = %{tl_version}
Provides: tex(ffmr8.pfb) = %{tl_version}
Provides: tex(ffmr9.pfb) = %{tl_version}
Provides: tex(ffmw10.pfb) = %{tl_version}
Provides: tex(ffmwo10.pfb) = %{tl_version}
Provides: tex(T1ffm.fd) = %{tl_version}
Provides: tex(T1ffmw.fd) = %{tl_version}
Provides: tex(fetamont.sty) = %{tl_version}

%description fetamont
The fetamont typeface was designed in METAFONT and extends the
Logo fonts to complete the T1 encoding. The designs of the
glyphs A, E, F, M, N, O, P, S and T are based on the METAFONT
constructions by D. E. Knuth. The glyphs Y and 1 imitate the
shapes of the corresponding glyphs in the METATYPE1 logo.

%package fetamont-doc
Summary: Documentation for fetamont
Version: svn43812
Provides: tex-fetamont-doc
AutoReqProv: No

%description fetamont-doc
Documentation for fetamont

%package feyn
Provides: tex-feyn = %{tl_version}
License: GPL+
Summary: A font for in-text Feynman diagrams
Version: svn15878.0.3.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(feyn10.tfm) = %{tl_version}
Provides: tex(feyn11.tfm) = %{tl_version}
Provides: tex(feyn12.tfm) = %{tl_version}
Provides: tex(feyn18.tfm) = %{tl_version}
Provides: tex(feyn24.tfm) = %{tl_version}
Provides: tex(feyntext10.tfm) = %{tl_version}
Provides: tex(feyntext11.tfm) = %{tl_version}
Provides: tex(feyntext12.tfm) = %{tl_version}
Provides: tex(feyntext18.tfm) = %{tl_version}
Provides: tex(feyntext24.tfm) = %{tl_version}
Provides: tex(feyn.sty) = %{tl_version}

%description feyn
Feyn may be used to produce relatively simple Feynman diagrams
within equations in a LaTeX document. While the feynmf package
is good at drawing large diagrams for figures, the present
package and its fonts allow diagrams within equations or text,
at a matching size. The fonts are distributed as Metafont
source, and macros for their use are also provided.

%package feyn-doc
Summary: Documentation for feyn
Version: svn15878.0.3.3

Provides: tex-feyn-doc
AutoReqProv: No

%description feyn-doc
Documentation for feyn

%package fge
Provides: tex-fge = %{tl_version}
License: LPPL
Summary: A font for Frege's Grundgesetze der Arithmetik
Version: svn37628.1.25

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(fge.map) = %{tl_version}
Provides: tex(fgeit10.tfm) = %{tl_version}
Provides: tex(fgerm10.tfm) = %{tl_version}
Provides: tex(fgeit10.pfb) = %{tl_version}
Provides: tex(fgerm10.pfb) = %{tl_version}
Provides: tex(Ufgeit.fd) = %{tl_version}
Provides: tex(Ufgerm.fd) = %{tl_version}
Provides: tex(fge.cfg) = %{tl_version}
Provides: tex(fge.sty) = %{tl_version}

%description fge
The fonts are provided as Metafont source and Adobe Type 1
(pfb) files. A small LaTeX package (fge) is included.

%package fge-doc
Summary: Documentation for fge
Version: svn37628.1.25

Provides: tex-fge-doc
AutoReqProv: No

%description fge-doc
Documentation for fge

%package fira
Provides: tex-fira = %{tl_version}
License: OFL
Summary: Fira fonts with LaTeX support
Version: svn42501
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(mweights.sty)
Requires: tex(fontaxes.sty)
Provides: tex(fir_4k5dce.enc) = %{tl_version}
Provides: tex(fir_4vuazg.enc) = %{tl_version}
Provides: tex(fir_53mytn.enc) = %{tl_version}
Provides: tex(fir_5bzluk.enc) = %{tl_version}
Provides: tex(fir_6j4iko.enc) = %{tl_version}
Provides: tex(fir_6jvuba.enc) = %{tl_version}
Provides: tex(fir_6lpfuz.enc) = %{tl_version}
Provides: tex(fir_75hvjh.enc) = %{tl_version}
Provides: tex(fir_765q6w.enc) = %{tl_version}
Provides: tex(fir_ah2d2f.enc) = %{tl_version}
Provides: tex(fir_cvh4ps.enc) = %{tl_version}
Provides: tex(fir_ekigrt.enc) = %{tl_version}
Provides: tex(fir_f2p3ju.enc) = %{tl_version}
Provides: tex(fir_ggv6fu.enc) = %{tl_version}
Provides: tex(fir_jbldwq.enc) = %{tl_version}
Provides: tex(fir_k64qxk.enc) = %{tl_version}
Provides: tex(fir_kinqlf.enc) = %{tl_version}
Provides: tex(fir_ljq7ir.enc) = %{tl_version}
Provides: tex(fir_mmg3bv.enc) = %{tl_version}
Provides: tex(fir_mpt7xh.enc) = %{tl_version}
Provides: tex(fir_mxpi7y.enc) = %{tl_version}
Provides: tex(fir_ou66re.enc) = %{tl_version}
Provides: tex(fir_qeo2k2.enc) = %{tl_version}
Provides: tex(fir_qudyll.enc) = %{tl_version}
Provides: tex(fir_sekxdc.enc) = %{tl_version}
Provides: tex(fir_tg6zf6.enc) = %{tl_version}
Provides: tex(fir_ufojbl.enc) = %{tl_version}
Provides: tex(fir_wfjhwq.enc) = %{tl_version}
Provides: tex(fir_wx5a6m.enc) = %{tl_version}
Provides: tex(fir_xbqiro.enc) = %{tl_version}
Provides: tex(fir_xeq6li.enc) = %{tl_version}
Provides: tex(fir_xrafnf.enc) = %{tl_version}
Provides: tex(fir_xsutkk.enc) = %{tl_version}
Provides: tex(fir_yhyk3t.enc) = %{tl_version}
Provides: tex(fir_yow4fl.enc) = %{tl_version}
Provides: tex(fir_zei36n.enc) = %{tl_version}
Provides: tex(fir_zrx7he.enc) = %{tl_version}
Provides: tex(fira.map) = %{tl_version}
Provides: tex(FiraMono-Bold.otf) = %{tl_version}
Provides: tex(FiraMono-Medium.otf) = %{tl_version}
Provides: tex(FiraMono-Regular.otf) = %{tl_version}
Provides: tex(FiraSans-Bold.otf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic.otf) = %{tl_version}
Provides: tex(FiraSans-Book.otf) = %{tl_version}
Provides: tex(FiraSans-BookItalic.otf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold.otf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic.otf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight.otf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic.otf) = %{tl_version}
Provides: tex(FiraSans-Heavy.otf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic.otf) = %{tl_version}
Provides: tex(FiraSans-Light.otf) = %{tl_version}
Provides: tex(FiraSans-LightItalic.otf) = %{tl_version}
Provides: tex(FiraSans-Medium.otf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic.otf) = %{tl_version}
Provides: tex(FiraSans-Regular.otf) = %{tl_version}
Provides: tex(FiraSans-RegularItalic.otf) = %{tl_version}
Provides: tex(FiraSans-SemiBold.otf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic.otf) = %{tl_version}
Provides: tex(FiraSans-Thin.otf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic.otf) = %{tl_version}
Provides: tex(FiraSans-UltraLight.otf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic.otf) = %{tl_version}
Provides: tex(FiraMono-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(FiraMono-Bold.pfb) = %{tl_version}
Provides: tex(FiraMono-Medium.pfb) = %{tl_version}
Provides: tex(FiraMono-Regular.pfb) = %{tl_version}
Provides: tex(FiraSans-Bold.pfb) = %{tl_version}
Provides: tex(FiraSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-Book.pfb) = %{tl_version}
Provides: tex(FiraSans-BookItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-ExtraBold.pfb) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-ExtraLight.pfb) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-Heavy.pfb) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-Light.pfb) = %{tl_version}
Provides: tex(FiraSans-LightItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-Medium.pfb) = %{tl_version}
Provides: tex(FiraSans-MediumItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-Regular.pfb) = %{tl_version}
Provides: tex(FiraSans-RegularItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-SemiBold.pfb) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-Thin.pfb) = %{tl_version}
Provides: tex(FiraSans-ThinItalic.pfb) = %{tl_version}
Provides: tex(FiraSans-UltraLight.pfb) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic.pfb) = %{tl_version}
Provides: tex(FiraMono-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-sup-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraMono-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Book-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-BookItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ExtraLightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Heavy-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-HeavyItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-SemiBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-Thin-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-ThinItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(FiraSans-UltraLightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(FiraMono.sty) = %{tl_version}
Provides: tex(FiraSans.sty) = %{tl_version}
Provides: tex(LY1FiraMono-Sup.fd) = %{tl_version}
Provides: tex(LY1FiraMono-TLF.fd) = %{tl_version}
Provides: tex(LY1FiraMono-TOsF.fd) = %{tl_version}
Provides: tex(LY1FiraSans-LF.fd) = %{tl_version}
Provides: tex(LY1FiraSans-OsF.fd) = %{tl_version}
Provides: tex(LY1FiraSans-Sup.fd) = %{tl_version}
Provides: tex(LY1FiraSans-TLF.fd) = %{tl_version}
Provides: tex(LY1FiraSans-TOsF.fd) = %{tl_version}
Provides: tex(OT1FiraMono-Sup.fd) = %{tl_version}
Provides: tex(OT1FiraMono-TLF.fd) = %{tl_version}
Provides: tex(OT1FiraMono-TOsF.fd) = %{tl_version}
Provides: tex(OT1FiraSans-LF.fd) = %{tl_version}
Provides: tex(OT1FiraSans-OsF.fd) = %{tl_version}
Provides: tex(OT1FiraSans-Sup.fd) = %{tl_version}
Provides: tex(OT1FiraSans-TLF.fd) = %{tl_version}
Provides: tex(OT1FiraSans-TOsF.fd) = %{tl_version}
Provides: tex(T1FiraMono-Sup.fd) = %{tl_version}
Provides: tex(T1FiraMono-TLF.fd) = %{tl_version}
Provides: tex(T1FiraMono-TOsF.fd) = %{tl_version}
Provides: tex(T1FiraSans-LF.fd) = %{tl_version}
Provides: tex(T1FiraSans-OsF.fd) = %{tl_version}
Provides: tex(T1FiraSans-Sup.fd) = %{tl_version}
Provides: tex(T1FiraSans-TLF.fd) = %{tl_version}
Provides: tex(T1FiraSans-TOsF.fd) = %{tl_version}
Provides: tex(TS1FiraMono-TLF.fd) = %{tl_version}
Provides: tex(TS1FiraMono-TOsF.fd) = %{tl_version}
Provides: tex(TS1FiraSans-LF.fd) = %{tl_version}
Provides: tex(TS1FiraSans-OsF.fd) = %{tl_version}
Provides: tex(TS1FiraSans-TLF.fd) = %{tl_version}
Provides: tex(TS1FiraSans-TOsF.fd) = %{tl_version}

%description fira
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the Fira Sans family of fonts designed by Erik
Spiekermann and Ralph du Carrois of Carrois Type Design. Fira
Sans is available in eleven weights with corresponding italics:
light, regular, medium, bold, ...

%package fira-doc
Summary: Documentation for fira
Version: svn42501
Provides: tex-fira-doc
AutoReqProv: No

%description fira-doc
Documentation for fira

%package foekfont
Provides: tex-foekfont = %{tl_version}
License: GPL+
Summary: The title font of the Mads Fok magazine
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(foekfont.map) = %{tl_version}
Provides: tex(foekfont.tfm) = %{tl_version}
Provides: tex(FoekFont.pfb) = %{tl_version}
Provides: tex(foekfont.sty) = %{tl_version}
Provides: tex(ot1foekfont.fd) = %{tl_version}
Provides: tex(t1foekfont.fd) = %{tl_version}

%description foekfont
The bundle provides an Adobe Type 1 font, and LaTeX support for
its use. The magazine web site shows the font in use in a few
places.

%package foekfont-doc
Summary: Documentation for foekfont
Version: svn15878.0

Provides: tex-foekfont-doc
AutoReqProv: No

%description foekfont-doc
Documentation for foekfont

%package fonetika
Provides: tex-fonetika = %{tl_version}
License: GPL+ and LPPL
Summary: Support for the Danish "Dania" phonetic system
Version: svn21326.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Provides: tex(fonetika.map) = %{tl_version}
Provides: tex(fonetika.tfm) = %{tl_version}
Provides: tex(fonetikabold.tfm) = %{tl_version}
Provides: tex(fonetikasans.tfm) = %{tl_version}
Provides: tex(fonetikasansbold.tfm) = %{tl_version}
Provides: tex(FonetikaDaniaIwonaeBold.ttf) = %{tl_version}
Provides: tex(FonetikaDaniaIwonaeRegular.ttf) = %{tl_version}
Provides: tex(FonetikaDaniaPallaeBold.ttf) = %{tl_version}
Provides: tex(FonetikaDaniaPallaeRegular.ttf) = %{tl_version}
Provides: tex(FonetikaDaniaIwonaeBold.pfb) = %{tl_version}
Provides: tex(FonetikaDaniaIwonaeRegular.pfb) = %{tl_version}
Provides: tex(FonetikaDaniaPallaeBold.pfb) = %{tl_version}
Provides: tex(FonetikaDaniaPallaeRegular.pfb) = %{tl_version}
Provides: tex(fonetika.sty) = %{tl_version}
Provides: tex(t1fonetika.fd) = %{tl_version}

%description fonetika
Fonetika Dania is a font bundle with a serif font and a sans
serif font for the danish phonetic system Dania. Both fonts
exist in regular and bold weights. LaTeX support is provided.
The fonts are based on URW Palladio and Iwona Condensed, and
were created using FontForge.

%package fonetika-doc
Summary: Documentation for fonetika
Version: svn21326.0

Provides: tex-fonetika-doc
AutoReqProv: No

%description fonetika-doc
Documentation for fonetika

%package fontawesome
Provides: tex-fontawesome = %{tl_version}
License: LPPL 1.3
Summary: Font containing web-related icons
Version: svn41412

# This is a bit of a lie, but I don't want someone who installs texlive-fontawesome to wonder where their 
# system fonts are.
Requires: fontawesome-fonts
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(fontawesomeone.enc) = %{tl_version}
Provides: tex(fontawesomethree.enc) = %{tl_version}
Provides: tex(fontawesometwo.enc) = %{tl_version}
Provides: tex(fontawesome.map) = %{tl_version}
Provides: tex(FontAwesome.otf) = %{tl_version}
Provides: tex(FontAwesome--fontawesomeone.tfm) = %{tl_version}
Provides: tex(FontAwesome--fontawesomethree.tfm) = %{tl_version}
Provides: tex(FontAwesome--fontawesometwo.tfm) = %{tl_version}
Provides: tex(FontAwesome.pfb) = %{tl_version}
Provides: tex(fontawesome.sty) = %{tl_version}
Provides: tex(fontawesomesymbols-generic.tex) = %{tl_version}
Provides: tex(fontawesomesymbols-pdftex.tex) = %{tl_version}
Provides: tex(fontawesomesymbols-xeluatex.tex) = %{tl_version}
Provides: tex(ufontawesomeone.fd) = %{tl_version}
Provides: tex(ufontawesomethree.fd) = %{tl_version}
Provides: tex(ufontawesometwo.fd) = %{tl_version}

%description fontawesome
The package offers access to the large number of web-related
icons provided by the included font. The package requires the
package, fontspec, if run with XeTeX or LuaTeX.

%package fontawesome-doc
Summary: Documentation for fontawesome
Version: svn41412

Provides: tex-fontawesome-doc
AutoReqProv: No

%description fontawesome-doc
Documentation for fontawesome

%package fontmfizz
Provides: tex-fontmfizz = %{tl_version}
License: MIT
Summary: Font Mfizz icons for use in LaTeX
Version: svn43546
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(font-mfizz.ttf) = %{tl_version}
Provides: tex(fontmfizz.sty) = %{tl_version}

%description fontmfizz
The MFizz font provides scalable vector icons representing
programming languages, operating systems, software engineering,
and technology. It can be seen as an extension to FontAwesome.
This package requires the fontspec package and either the
Xe(La)TeX or Lua(La)TeX engine to load the included ttf font.

%package fontmfizz-doc
Summary: Documentation for fontmfizz
Version: svn43546
Provides: tex-fontmfizz-doc
AutoReqProv: No

%description fontmfizz-doc
Documentation for fontmfizz

%package old-arrows
Provides: tex-old-arrows = %{tl_version}
License: LPPL 1.3
Summary: Computer Modern old-style arrows with smaller arrowheads
Version: svn42872
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: tex(oasy.enc) = %{tl_version}
Provides: tex(oasy.map) = %{tl_version}
Provides: tex(oabsy10.tfm) = %{tl_version}
Provides: tex(oabsy5.tfm) = %{tl_version}
Provides: tex(oabsy6.tfm) = %{tl_version}
Provides: tex(oabsy7.tfm) = %{tl_version}
Provides: tex(oabsy8.tfm) = %{tl_version}
Provides: tex(oabsy9.tfm) = %{tl_version}
Provides: tex(oasy10.tfm) = %{tl_version}
Provides: tex(oasy5.tfm) = %{tl_version}
Provides: tex(oasy6.tfm) = %{tl_version}
Provides: tex(oasy7.tfm) = %{tl_version}
Provides: tex(oasy8.tfm) = %{tl_version}
Provides: tex(oasy9.tfm) = %{tl_version}
Provides: tex(oabsy10.pfb) = %{tl_version}
Provides: tex(oabsy5.pfb) = %{tl_version}
Provides: tex(oabsy7.pfb) = %{tl_version}
Provides: tex(oasy10.pfb) = %{tl_version}
Provides: tex(oasy5.pfb) = %{tl_version}
Provides: tex(oasy6.pfb) = %{tl_version}
Provides: tex(oasy7.pfb) = %{tl_version}
Provides: tex(oasy8.pfb) = %{tl_version}
Provides: tex(oasy9.pfb) = %{tl_version}
Provides: tex(old-arrows.sty) = %{tl_version}

%description old-arrows
This package provides Computer Modern old-style arrows with
smaller arrowheads, associated with the usual LaTeX commands.
It can be used in documents that contain other amssymb arrow
characters that also have small arrowheads. It is also possible
to use the usual new-style Computer Modern arrows together with
the old-style ones.

%package old-arrows-doc
Summary: Documentation for old-arrows
Version: svn42872
Provides: tex-old-arrows-doc
AutoReqProv: No

%description old-arrows-doc
Documentation for old-arrows

%package fourier
Provides: tex-fourier = %{tl_version}
License: LPPL
Summary: Using Utopia fonts in LaTeX documents
Version: svn15878.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Provides: tex(fourier-utopia-expert.map) = %{tl_version}
Provides: tex(fourier.map) = %{tl_version}
Provides: tex(fourier-alt-black.tfm) = %{tl_version}
Provides: tex(fourier-alt-bold-sl.tfm) = %{tl_version}
Provides: tex(fourier-alt-bold.tfm) = %{tl_version}
Provides: tex(fourier-alt-boldita.tfm) = %{tl_version}
Provides: tex(fourier-alt-ita.tfm) = %{tl_version}
Provides: tex(fourier-alt-semi-sl.tfm) = %{tl_version}
Provides: tex(fourier-alt-semi.tfm) = %{tl_version}
Provides: tex(fourier-alt-semiita.tfm) = %{tl_version}
Provides: tex(fourier-alt-sl.tfm) = %{tl_version}
Provides: tex(fourier-alt.tfm) = %{tl_version}
Provides: tex(fourier-bb.tfm) = %{tl_version}
Provides: tex(fourier-mcl.tfm) = %{tl_version}
Provides: tex(fourier-mex.tfm) = %{tl_version}
Provides: tex(fourier-ml.tfm) = %{tl_version}
Provides: tex(fourier-mlb.tfm) = %{tl_version}
Provides: tex(fourier-mlit.tfm) = %{tl_version}
Provides: tex(fourier-mlitb.tfm) = %{tl_version}
Provides: tex(fourier-ms.tfm) = %{tl_version}
Provides: tex(fourier-orns.tfm) = %{tl_version}
Provides: tex(futb8c.tfm) = %{tl_version}
Provides: tex(futb8r.tfm) = %{tl_version}
Provides: tex(futb8t.tfm) = %{tl_version}
Provides: tex(futb8x.tfm) = %{tl_version}
Provides: tex(futb9c.tfm) = %{tl_version}
Provides: tex(futb9d.tfm) = %{tl_version}
Provides: tex(futb9e.tfm) = %{tl_version}
Provides: tex(futbc8t.tfm) = %{tl_version}
Provides: tex(futbi8c.tfm) = %{tl_version}
Provides: tex(futbi8r.tfm) = %{tl_version}
Provides: tex(futbi8t.tfm) = %{tl_version}
Provides: tex(futbi8x.tfm) = %{tl_version}
Provides: tex(futbi9c.tfm) = %{tl_version}
Provides: tex(futbi9d.tfm) = %{tl_version}
Provides: tex(futbi9e.tfm) = %{tl_version}
Provides: tex(futbo8c.tfm) = %{tl_version}
Provides: tex(futbo8r.tfm) = %{tl_version}
Provides: tex(futbo8t.tfm) = %{tl_version}
Provides: tex(futbo8x.tfm) = %{tl_version}
Provides: tex(futbo9c.tfm) = %{tl_version}
Provides: tex(futbo9d.tfm) = %{tl_version}
Provides: tex(futbo9e.tfm) = %{tl_version}
Provides: tex(futboorn.tfm) = %{tl_version}
Provides: tex(futborn.tfm) = %{tl_version}
Provides: tex(futc8r.tfm) = %{tl_version}
Provides: tex(futc8x.tfm) = %{tl_version}
Provides: tex(futc9c.tfm) = %{tl_version}
Provides: tex(futc9d.tfm) = %{tl_version}
Provides: tex(futc9e.tfm) = %{tl_version}
Provides: tex(futcorn.tfm) = %{tl_version}
Provides: tex(futmi.tfm) = %{tl_version}
Provides: tex(futmib.tfm) = %{tl_version}
Provides: tex(futmii.tfm) = %{tl_version}
Provides: tex(futmiib.tfm) = %{tl_version}
Provides: tex(futr8c.tfm) = %{tl_version}
Provides: tex(futr8r.tfm) = %{tl_version}
Provides: tex(futr8t.tfm) = %{tl_version}
Provides: tex(futr8x.tfm) = %{tl_version}
Provides: tex(futr9c.tfm) = %{tl_version}
Provides: tex(futr9d.tfm) = %{tl_version}
Provides: tex(futr9e.tfm) = %{tl_version}
Provides: tex(futrc8r.tfm) = %{tl_version}
Provides: tex(futrc8t.tfm) = %{tl_version}
Provides: tex(futrc9d.tfm) = %{tl_version}
Provides: tex(futrc9e.tfm) = %{tl_version}
Provides: tex(futrd8r.tfm) = %{tl_version}
Provides: tex(futrd8t.tfm) = %{tl_version}
Provides: tex(futri8c.tfm) = %{tl_version}
Provides: tex(futri8r.tfm) = %{tl_version}
Provides: tex(futri8t.tfm) = %{tl_version}
Provides: tex(futri8x.tfm) = %{tl_version}
Provides: tex(futri9c.tfm) = %{tl_version}
Provides: tex(futri9d.tfm) = %{tl_version}
Provides: tex(futri9e.tfm) = %{tl_version}
Provides: tex(futro8c.tfm) = %{tl_version}
Provides: tex(futro8r.tfm) = %{tl_version}
Provides: tex(futro8t.tfm) = %{tl_version}
Provides: tex(futro8x.tfm) = %{tl_version}
Provides: tex(futro9c.tfm) = %{tl_version}
Provides: tex(futro9d.tfm) = %{tl_version}
Provides: tex(futro9e.tfm) = %{tl_version}
Provides: tex(futroorn.tfm) = %{tl_version}
Provides: tex(futrorn.tfm) = %{tl_version}
Provides: tex(futs8r.tfm) = %{tl_version}
Provides: tex(futs8x.tfm) = %{tl_version}
Provides: tex(futs9c.tfm) = %{tl_version}
Provides: tex(futs9d.tfm) = %{tl_version}
Provides: tex(futs9e.tfm) = %{tl_version}
Provides: tex(futsc8r.tfm) = %{tl_version}
Provides: tex(futsc9d.tfm) = %{tl_version}
Provides: tex(futsc9e.tfm) = %{tl_version}
Provides: tex(futsi8r.tfm) = %{tl_version}
Provides: tex(futsi8x.tfm) = %{tl_version}
Provides: tex(futsi9c.tfm) = %{tl_version}
Provides: tex(futsi9d.tfm) = %{tl_version}
Provides: tex(futsi9e.tfm) = %{tl_version}
Provides: tex(futso8r.tfm) = %{tl_version}
Provides: tex(futso8x.tfm) = %{tl_version}
Provides: tex(futso9c.tfm) = %{tl_version}
Provides: tex(futso9d.tfm) = %{tl_version}
Provides: tex(futso9e.tfm) = %{tl_version}
Provides: tex(futsoorn.tfm) = %{tl_version}
Provides: tex(futsorn.tfm) = %{tl_version}
Provides: tex(futsy.tfm) = %{tl_version}
Provides: tex(fourier-alt-black.pfb) = %{tl_version}
Provides: tex(fourier-alt-bold.pfb) = %{tl_version}
Provides: tex(fourier-alt-boldita.pfb) = %{tl_version}
Provides: tex(fourier-alt-ita.pfb) = %{tl_version}
Provides: tex(fourier-alt-semi.pfb) = %{tl_version}
Provides: tex(fourier-alt-semiita.pfb) = %{tl_version}
Provides: tex(fourier-alt.pfb) = %{tl_version}
Provides: tex(fourier-bb.pfb) = %{tl_version}
Provides: tex(fourier-mcl.pfb) = %{tl_version}
Provides: tex(fourier-mex.pfb) = %{tl_version}
Provides: tex(fourier-ml.pfb) = %{tl_version}
Provides: tex(fourier-mlb.pfb) = %{tl_version}
Provides: tex(fourier-mlit.pfb) = %{tl_version}
Provides: tex(fourier-mlitb.pfb) = %{tl_version}
Provides: tex(fourier-ms.pfb) = %{tl_version}
Provides: tex(fourier-orns.pfb) = %{tl_version}
Provides: tex(futb8c.vf) = %{tl_version}
Provides: tex(futb8t.vf) = %{tl_version}
Provides: tex(futb9c.vf) = %{tl_version}
Provides: tex(futb9d.vf) = %{tl_version}
Provides: tex(futb9e.vf) = %{tl_version}
Provides: tex(futbc8t.vf) = %{tl_version}
Provides: tex(futbi8c.vf) = %{tl_version}
Provides: tex(futbi8t.vf) = %{tl_version}
Provides: tex(futbi9c.vf) = %{tl_version}
Provides: tex(futbi9d.vf) = %{tl_version}
Provides: tex(futbi9e.vf) = %{tl_version}
Provides: tex(futbo8c.vf) = %{tl_version}
Provides: tex(futbo8t.vf) = %{tl_version}
Provides: tex(futbo9c.vf) = %{tl_version}
Provides: tex(futbo9d.vf) = %{tl_version}
Provides: tex(futbo9e.vf) = %{tl_version}
Provides: tex(futboorn.vf) = %{tl_version}
Provides: tex(futborn.vf) = %{tl_version}
Provides: tex(futc9c.vf) = %{tl_version}
Provides: tex(futc9d.vf) = %{tl_version}
Provides: tex(futc9e.vf) = %{tl_version}
Provides: tex(futcorn.vf) = %{tl_version}
Provides: tex(futmi.vf) = %{tl_version}
Provides: tex(futmib.vf) = %{tl_version}
Provides: tex(futmii.vf) = %{tl_version}
Provides: tex(futmiib.vf) = %{tl_version}
Provides: tex(futr8c.vf) = %{tl_version}
Provides: tex(futr8t.vf) = %{tl_version}
Provides: tex(futr9c.vf) = %{tl_version}
Provides: tex(futr9d.vf) = %{tl_version}
Provides: tex(futr9e.vf) = %{tl_version}
Provides: tex(futrc8t.vf) = %{tl_version}
Provides: tex(futrc9d.vf) = %{tl_version}
Provides: tex(futrc9e.vf) = %{tl_version}
Provides: tex(futrd8t.vf) = %{tl_version}
Provides: tex(futri8c.vf) = %{tl_version}
Provides: tex(futri8t.vf) = %{tl_version}
Provides: tex(futri9c.vf) = %{tl_version}
Provides: tex(futri9d.vf) = %{tl_version}
Provides: tex(futri9e.vf) = %{tl_version}
Provides: tex(futro8c.vf) = %{tl_version}
Provides: tex(futro8t.vf) = %{tl_version}
Provides: tex(futro9c.vf) = %{tl_version}
Provides: tex(futro9d.vf) = %{tl_version}
Provides: tex(futro9e.vf) = %{tl_version}
Provides: tex(futroorn.vf) = %{tl_version}
Provides: tex(futrorn.vf) = %{tl_version}
Provides: tex(futs9c.vf) = %{tl_version}
Provides: tex(futs9d.vf) = %{tl_version}
Provides: tex(futs9e.vf) = %{tl_version}
Provides: tex(futsc9d.vf) = %{tl_version}
Provides: tex(futsc9e.vf) = %{tl_version}
Provides: tex(futsi9c.vf) = %{tl_version}
Provides: tex(futsi9d.vf) = %{tl_version}
Provides: tex(futsi9e.vf) = %{tl_version}
Provides: tex(futso9c.vf) = %{tl_version}
Provides: tex(futso9d.vf) = %{tl_version}
Provides: tex(futso9e.vf) = %{tl_version}
Provides: tex(futsoorn.vf) = %{tl_version}
Provides: tex(futsorn.vf) = %{tl_version}
Provides: tex(futsy.vf) = %{tl_version}
Provides: tex(fmlfutm.fd) = %{tl_version}
Provides: tex(fmlfutmi.fd) = %{tl_version}
Provides: tex(fmsfutm.fd) = %{tl_version}
Provides: tex(fmxfutm.fd) = %{tl_version}
Provides: tex(fourier-orns.sty) = %{tl_version}
Provides: tex(fourier.sty) = %{tl_version}
Provides: tex(t1futj.fd) = %{tl_version}
Provides: tex(t1futs.fd) = %{tl_version}
Provides: tex(t1futx.fd) = %{tl_version}
Provides: tex(ts1futj.fd) = %{tl_version}
Provides: tex(ts1futs.fd) = %{tl_version}
Provides: tex(ts1futx.fd) = %{tl_version}
Provides: tex(ufuts.fd) = %{tl_version}

%description fourier
Fourier-GUTenberg is a LaTeX typesetting system which uses
Adobe Utopia as its standard base font. Fourier-GUTenberg
provides all complementary typefaces needed to allow Utopia
based TeX typesetting, including an extensive mathematics set
and several other symbols. The system is absolutely stand-
alone: apart from Utopia and Fourier, no other typefaces are
required. The fourier fonts will also work with Adobe Utopia
Expert fonts, which are only available for purchase. Utopia is
a registered trademark of Adobe Systems Incorporated

%package fourier-doc
Summary: Documentation for fourier
Version: svn15878.1.3

Provides: tex-fourier-doc
AutoReqProv: No

%description fourier-doc
Documentation for fourier

%package fouriernc
Provides: tex-fouriernc = %{tl_version}
License: LPPL
Summary: Use New Century Schoolbook text with Fourier maths fonts
Version: svn29646.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fourier.sty)
Provides: tex(fncmi.tfm) = %{tl_version}
Provides: tex(fncmib.tfm) = %{tl_version}
Provides: tex(fncmii.tfm) = %{tl_version}
Provides: tex(fncmiib.tfm) = %{tl_version}
Provides: tex(fncsy.tfm) = %{tl_version}
Provides: tex(fncmi.vf) = %{tl_version}
Provides: tex(fncmib.vf) = %{tl_version}
Provides: tex(fncmii.vf) = %{tl_version}
Provides: tex(fncmiib.vf) = %{tl_version}
Provides: tex(fncsy.vf) = %{tl_version}
Provides: tex(fmlfncm.fd) = %{tl_version}
Provides: tex(fmlfncmi.fd) = %{tl_version}
Provides: tex(fmsfncm.fd) = %{tl_version}
Provides: tex(fouriernc.sty) = %{tl_version}
Provides: tex(t1fnc.fd) = %{tl_version}
Provides: tex(ts1fnc.fd) = %{tl_version}

%description fouriernc
This package provides a LaTeX mathematics font setup for use
with New Century Schoolbook text. In order to use it you need
to have the Fourier-GUTenberg fonts installed.

%package fouriernc-doc
Summary: Documentation for fouriernc
Version: svn29646.0

Provides: tex-fouriernc-doc
AutoReqProv: No

%description fouriernc-doc
Documentation for fouriernc

%package frcursive
Provides: tex-frcursive = %{tl_version}
License: LPPL 1.2
Summary: French cursive hand fonts
Version: svn24559.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Provides: tex(frcursive.map) = %{tl_version}
Provides: tex(frca10.tfm) = %{tl_version}
Provides: tex(frcbx10.tfm) = %{tl_version}
Provides: tex(frcbx14.tfm) = %{tl_version}
Provides: tex(frcbx6.tfm) = %{tl_version}
Provides: tex(frcc10.tfm) = %{tl_version}
Provides: tex(frcc14.tfm) = %{tl_version}
Provides: tex(frcc6.tfm) = %{tl_version}
Provides: tex(frcf10.tfm) = %{tl_version}
Provides: tex(frcf14.tfm) = %{tl_version}
Provides: tex(frcf6.tfm) = %{tl_version}
Provides: tex(frcr10.tfm) = %{tl_version}
Provides: tex(frcr14.tfm) = %{tl_version}
Provides: tex(frcr6.tfm) = %{tl_version}
Provides: tex(frcsl10.tfm) = %{tl_version}
Provides: tex(frcsl14.tfm) = %{tl_version}
Provides: tex(frcsl6.tfm) = %{tl_version}
Provides: tex(frcslbx10.tfm) = %{tl_version}
Provides: tex(frcslbx14.tfm) = %{tl_version}
Provides: tex(frcslbx6.tfm) = %{tl_version}
Provides: tex(frcslc10.tfm) = %{tl_version}
Provides: tex(frcslc14.tfm) = %{tl_version}
Provides: tex(frcslc6.tfm) = %{tl_version}
Provides: tex(frcw10.tfm) = %{tl_version}
Provides: tex(frca10.pfb) = %{tl_version}
Provides: tex(frcbx10.pfb) = %{tl_version}
Provides: tex(frcbx14.pfb) = %{tl_version}
Provides: tex(frcbx6.pfb) = %{tl_version}
Provides: tex(frcc10.pfb) = %{tl_version}
Provides: tex(frcc14.pfb) = %{tl_version}
Provides: tex(frcc6.pfb) = %{tl_version}
Provides: tex(frcf10.pfb) = %{tl_version}
Provides: tex(frcf14.pfb) = %{tl_version}
Provides: tex(frcf6.pfb) = %{tl_version}
Provides: tex(frcr10.pfb) = %{tl_version}
Provides: tex(frcr14.pfb) = %{tl_version}
Provides: tex(frcr6.pfb) = %{tl_version}
Provides: tex(frcsl10.pfb) = %{tl_version}
Provides: tex(frcsl14.pfb) = %{tl_version}
Provides: tex(frcsl6.pfb) = %{tl_version}
Provides: tex(frcslbx10.pfb) = %{tl_version}
Provides: tex(frcslbx14.pfb) = %{tl_version}
Provides: tex(frcslbx6.pfb) = %{tl_version}
Provides: tex(frcslc10.pfb) = %{tl_version}
Provides: tex(frcslc14.pfb) = %{tl_version}
Provides: tex(frcslc6.pfb) = %{tl_version}
Provides: tex(frcw10.pfb) = %{tl_version}
Provides: tex(frcursive.sty) = %{tl_version}
Provides: tex(ot1frc.fd) = %{tl_version}
Provides: tex(t1frc.fd) = %{tl_version}

%description frcursive
A hand-writing font in the style of the French academic running-
hand. The font was written in Metafont and and has been
converted to Adobe Type 1 format. LaTeX support (NFFS fd files,
and a package) and font maps are provided.

%package frcursive-doc
Summary: Documentation for frcursive
Version: svn24559.0

Provides: tex-frcursive-doc
AutoReqProv: No

%description frcursive-doc
Documentation for frcursive

%package genealogy
Provides: tex-genealogy = %{tl_version}
License: LPPL
Summary: A compilation genealogy font
Version: svn25112.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(drgen10.tfm) = %{tl_version}

%description genealogy
A simple compilation of the genealogical symbols found in the
wasy and gen fonts, adding the male and female symbols to
Knuth's 'gen' font, and so avoiding loading two fonts when you
need only genealogical symbols. The font is distributed as
Metafont source.

%package genealogy-doc
Summary: Documentation for genealogy
Version: svn25112.0

Provides: tex-genealogy-doc
AutoReqProv: No

%description genealogy-doc
Documentation for genealogy

%package gentium-tug
Provides: tex-gentium-tug = %{tl_version}
License: MIT and OFL
Summary: Gentium fonts (in two formats) and support files
Version: svn37378.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Provides: tex(gentium-agr.enc) = %{tl_version}
Provides: tex(gentium-ec-sc.enc) = %{tl_version}
Provides: tex(gentium-ec-ttf-sc.enc) = %{tl_version}
Provides: tex(gentium-ec-ttf.enc) = %{tl_version}
Provides: tex(gentium-ec.enc) = %{tl_version}
Provides: tex(gentium-l7x-sc.enc) = %{tl_version}
Provides: tex(gentium-l7x.enc) = %{tl_version}
Provides: tex(gentium-lgr.enc) = %{tl_version}
Provides: tex(gentium-ot1-sc.enc) = %{tl_version}
Provides: tex(gentium-ot1.enc) = %{tl_version}
Provides: tex(gentium-qx-sc.enc) = %{tl_version}
Provides: tex(gentium-qx.enc) = %{tl_version}
Provides: tex(gentium-t2a-sc.enc) = %{tl_version}
Provides: tex(gentium-t2a.enc) = %{tl_version}
Provides: tex(gentium-t2b-sc.enc) = %{tl_version}
Provides: tex(gentium-t2b.enc) = %{tl_version}
Provides: tex(gentium-t2c-sc.enc) = %{tl_version}
Provides: tex(gentium-t2c.enc) = %{tl_version}
Provides: tex(gentium-t5-sc.enc) = %{tl_version}
Provides: tex(gentium-t5-ttf.enc) = %{tl_version}
Provides: tex(gentium-t5.enc) = %{tl_version}
Provides: tex(gentium-texnansi-sc.enc) = %{tl_version}
Provides: tex(gentium-texnansi.enc) = %{tl_version}
Provides: tex(gentium-ts1.enc) = %{tl_version}
Provides: tex(gentium-x2-sc.enc) = %{tl_version}
Provides: tex(gentium-x2.enc) = %{tl_version}
Provides: tex(gentium-type1.map) = %{tl_version}
Provides: tex(gentium-agr.map) = %{tl_version}
Provides: tex(gentium-ec.map) = %{tl_version}
Provides: tex(gentium-l7x.map) = %{tl_version}
Provides: tex(gentium-lgr.map) = %{tl_version}
Provides: tex(gentium-ot1.map) = %{tl_version}
Provides: tex(gentium-qx.map) = %{tl_version}
Provides: tex(gentium-t2a.map) = %{tl_version}
Provides: tex(gentium-t2b.map) = %{tl_version}
Provides: tex(gentium-t2c.map) = %{tl_version}
Provides: tex(gentium-t5.map) = %{tl_version}
Provides: tex(gentium-texnansi.map) = %{tl_version}
Provides: tex(gentium-truetype.map) = %{tl_version}
Provides: tex(gentium-ts1.map) = %{tl_version}
Provides: tex(gentium-x2.map) = %{tl_version}
Provides: tex(agr-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(agr-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(ec-gentiumbasic-bold.tfm) = %{tl_version}
Provides: tex(ec-gentiumbasic-bolditalic.tfm) = %{tl_version}
Provides: tex(ec-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(ec-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(ec-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(ec-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(l7x-gentiumbasic-bold.tfm) = %{tl_version}
Provides: tex(l7x-gentiumbasic-bolditalic.tfm) = %{tl_version}
Provides: tex(l7x-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(l7x-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(l7x-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(l7x-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(lgr-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(lgr-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(ot1-gentiumbasic-bold.tfm) = %{tl_version}
Provides: tex(ot1-gentiumbasic-bolditalic.tfm) = %{tl_version}
Provides: tex(ot1-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(ot1-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(ot1-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(ot1-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(qx-gentiumbasic-bold.tfm) = %{tl_version}
Provides: tex(qx-gentiumbasic-bolditalic.tfm) = %{tl_version}
Provides: tex(qx-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(qx-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(qx-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(qx-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(t2a-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(t2a-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(t2a-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(t2a-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(t2b-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(t2b-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(t2b-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(t2b-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(t2c-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(t2c-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(t2c-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(t2c-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(t5-gentiumbasic-bold.tfm) = %{tl_version}
Provides: tex(t5-gentiumbasic-bolditalic.tfm) = %{tl_version}
Provides: tex(t5-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(t5-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(t5-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(t5-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(texnansi-gentiumbasic-bold.tfm) = %{tl_version}
Provides: tex(texnansi-gentiumbasic-bolditalic.tfm) = %{tl_version}
Provides: tex(texnansi-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(texnansi-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(texnansi-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(texnansi-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(ts1-gentiumbasic-bold.tfm) = %{tl_version}
Provides: tex(ts1-gentiumbasic-bolditalic.tfm) = %{tl_version}
Provides: tex(ts1-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(ts1-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(x2-gentiumplus-italic-sc.tfm) = %{tl_version}
Provides: tex(x2-gentiumplus-italic.tfm) = %{tl_version}
Provides: tex(x2-gentiumplus-regular-sc.tfm) = %{tl_version}
Provides: tex(x2-gentiumplus-regular.tfm) = %{tl_version}
Provides: tex(GenBasB.ttf) = %{tl_version}
Provides: tex(GenBasBI.ttf) = %{tl_version}
Provides: tex(GenBasI.ttf) = %{tl_version}
Provides: tex(GenBasR.ttf) = %{tl_version}
Provides: tex(GenBkBasB.ttf) = %{tl_version}
Provides: tex(GenBkBasBI.ttf) = %{tl_version}
Provides: tex(GenBkBasI.ttf) = %{tl_version}
Provides: tex(GenBkBasR.ttf) = %{tl_version}
Provides: tex(Gentium-I.ttf) = %{tl_version}
Provides: tex(Gentium-R.ttf) = %{tl_version}
Provides: tex(GentiumAlt-I.ttf) = %{tl_version}
Provides: tex(GentiumAlt-R.ttf) = %{tl_version}
Provides: tex(GentiumPlus-I.ttf) = %{tl_version}
Provides: tex(GentiumPlus-R.ttf) = %{tl_version}
Provides: tex(GentiumPlusCompact-I.ttf) = %{tl_version}
Provides: tex(GentiumPlusCompact-R.ttf) = %{tl_version}
Provides: tex(GenBasB.pfb) = %{tl_version}
Provides: tex(GenBasBI.pfb) = %{tl_version}
Provides: tex(GentiumPlus-I.pfb) = %{tl_version}
Provides: tex(GentiumPlus-R.pfb) = %{tl_version}
Provides: tex(gentium.sty) = %{tl_version}
Provides: tex(l7xgentium.fd) = %{tl_version}
Provides: tex(lgrgentium.fd) = %{tl_version}
Provides: tex(ly1gentium.fd) = %{tl_version}
Provides: tex(ot1gentium.fd) = %{tl_version}
Provides: tex(qxgentium.fd) = %{tl_version}
Provides: tex(t1gentium.fd) = %{tl_version}
Provides: tex(t2agentium.fd) = %{tl_version}
Provides: tex(t2bgentium.fd) = %{tl_version}
Provides: tex(t2cgentium.fd) = %{tl_version}
Provides: tex(t5gentium.fd) = %{tl_version}
Provides: tex(ts1gentium.fd) = %{tl_version}
Provides: tex(x2gentium.fd) = %{tl_version}

%description gentium-tug
Gentium is a typeface family designed to enable the diverse
ethnic groups around the world who use the Latin, Cyrillic and
Greek scripts to produce readable, high-quality publications.
It supports a wide range of Latin- and Cyrillic-based
alphabets. The package consists of: The original (unaltered)
GentiumPlus, GentiumBook, and other Gentium-family fonts in
TrueType format, as developed by SIL and released under the OFL
(see OFL.txt and OFL-FAQ.txt); Converted fonts in PostScript
Type 1 format, released under the same terms. These incorporate
the name "Gentium" by permission of SIL given to the TeX Users
Group; ConTeXt, LaTeX and other supporting files; TeX-related
documentation, and the SIL documentation and other files.

%package gentium-tug-doc
Summary: Documentation for gentium-tug
Version: svn37378.1.1

Provides: tex-gentium-tug-doc
AutoReqProv: No

%description gentium-tug-doc
Documentation for gentium-tug

%package gfsartemisia
Provides: tex-gfsartemisia = %{tl_version}
License: LPPL
Summary: A modern Greek font design
Version: svn19469.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(euler.sty)
Requires: tex(txfonts.sty)
Provides: tex(artemisia.enc) = %{tl_version}
Provides: tex(artemisiadenomnums.enc) = %{tl_version}
Provides: tex(artemisiaec.enc) = %{tl_version}
Provides: tex(artemisiaecsc.enc) = %{tl_version}
Provides: tex(artemisiael.enc) = %{tl_version}
Provides: tex(artemisiaelsc.enc) = %{tl_version}
Provides: tex(artemisiamath.enc) = %{tl_version}
Provides: tex(artemisianumnums.enc) = %{tl_version}
Provides: tex(artemisiasc.enc) = %{tl_version}
Provides: tex(artemisiatabnums.enc) = %{tl_version}
Provides: tex(gfsartemisia.map) = %{tl_version}
Provides: tex(GFSArtemisia.otf) = %{tl_version}
Provides: tex(GFSArtemisiaBold.otf) = %{tl_version}
Provides: tex(GFSArtemisiaBoldIt.otf) = %{tl_version}
Provides: tex(GFSArtemisiaIt.otf) = %{tl_version}
Provides: tex(artemisiab8a.tfm) = %{tl_version}
Provides: tex(artemisiab8r.tfm) = %{tl_version}
Provides: tex(artemisiab9a.tfm) = %{tl_version}
Provides: tex(artemisiab9r.tfm) = %{tl_version}
Provides: tex(artemisiabi8a.tfm) = %{tl_version}
Provides: tex(artemisiabi8r.tfm) = %{tl_version}
Provides: tex(artemisiabi9a.tfm) = %{tl_version}
Provides: tex(artemisiabi9r.tfm) = %{tl_version}
Provides: tex(artemisiabo8a.tfm) = %{tl_version}
Provides: tex(artemisiabo8r.tfm) = %{tl_version}
Provides: tex(artemisiabo9a.tfm) = %{tl_version}
Provides: tex(artemisiabo9r.tfm) = %{tl_version}
Provides: tex(artemisiadenomnums8a.tfm) = %{tl_version}
Provides: tex(artemisiadenomnums8r.tfm) = %{tl_version}
Provides: tex(artemisiai8a.tfm) = %{tl_version}
Provides: tex(artemisiai8r.tfm) = %{tl_version}
Provides: tex(artemisiai9a.tfm) = %{tl_version}
Provides: tex(artemisiai9r.tfm) = %{tl_version}
Provides: tex(artemisiamath8a.tfm) = %{tl_version}
Provides: tex(artemisiamath8r.tfm) = %{tl_version}
Provides: tex(artemisianumnums8a.tfm) = %{tl_version}
Provides: tex(artemisianumnums8r.tfm) = %{tl_version}
Provides: tex(artemisiao8a.tfm) = %{tl_version}
Provides: tex(artemisiao8r.tfm) = %{tl_version}
Provides: tex(artemisiao9a.tfm) = %{tl_version}
Provides: tex(artemisiao9r.tfm) = %{tl_version}
Provides: tex(artemisiarg8a.tfm) = %{tl_version}
Provides: tex(artemisiarg8r.tfm) = %{tl_version}
Provides: tex(artemisiarg9a.tfm) = %{tl_version}
Provides: tex(artemisiarg9r.tfm) = %{tl_version}
Provides: tex(artemisiasc8a.tfm) = %{tl_version}
Provides: tex(artemisiasc8r.tfm) = %{tl_version}
Provides: tex(artemisiasc9a.tfm) = %{tl_version}
Provides: tex(artemisiasc9r.tfm) = %{tl_version}
Provides: tex(artemisiasco8a.tfm) = %{tl_version}
Provides: tex(artemisiasco8r.tfm) = %{tl_version}
Provides: tex(artemisiasco9a.tfm) = %{tl_version}
Provides: tex(artemisiasco9r.tfm) = %{tl_version}
Provides: tex(artemisiatabnums8a.tfm) = %{tl_version}
Provides: tex(artemisiatabnums8r.tfm) = %{tl_version}
Provides: tex(gartemisiab6a.tfm) = %{tl_version}
Provides: tex(gartemisiab6r.tfm) = %{tl_version}
Provides: tex(gartemisiabi6a.tfm) = %{tl_version}
Provides: tex(gartemisiabi6r.tfm) = %{tl_version}
Provides: tex(gartemisiabo6a.tfm) = %{tl_version}
Provides: tex(gartemisiabo6r.tfm) = %{tl_version}
Provides: tex(gartemisiai6a.tfm) = %{tl_version}
Provides: tex(gartemisiai6r.tfm) = %{tl_version}
Provides: tex(gartemisiao6a.tfm) = %{tl_version}
Provides: tex(gartemisiao6r.tfm) = %{tl_version}
Provides: tex(gartemisiarg6a.tfm) = %{tl_version}
Provides: tex(gartemisiarg6r.tfm) = %{tl_version}
Provides: tex(gartemisiasc6a.tfm) = %{tl_version}
Provides: tex(gartemisiasc6r.tfm) = %{tl_version}
Provides: tex(gartemisiasco6a.tfm) = %{tl_version}
Provides: tex(gartemisiasco6r.tfm) = %{tl_version}
Provides: tex(GFSArtemisia-Bold.pfb) = %{tl_version}
Provides: tex(GFSArtemisia-BoldItalic.pfb) = %{tl_version}
Provides: tex(GFSArtemisia-Italic.pfb) = %{tl_version}
Provides: tex(GFSArtemisia-Regular.pfb) = %{tl_version}
Provides: tex(artemisiab8a.vf) = %{tl_version}
Provides: tex(artemisiab9a.vf) = %{tl_version}
Provides: tex(artemisiabi8a.vf) = %{tl_version}
Provides: tex(artemisiabi9a.vf) = %{tl_version}
Provides: tex(artemisiabo8a.vf) = %{tl_version}
Provides: tex(artemisiabo9a.vf) = %{tl_version}
Provides: tex(artemisiadenomnums8a.vf) = %{tl_version}
Provides: tex(artemisiai8a.vf) = %{tl_version}
Provides: tex(artemisiai9a.vf) = %{tl_version}
Provides: tex(artemisiamath8a.vf) = %{tl_version}
Provides: tex(artemisianumnums8a.vf) = %{tl_version}
Provides: tex(artemisiao8a.vf) = %{tl_version}
Provides: tex(artemisiao9a.vf) = %{tl_version}
Provides: tex(artemisiarg8a.vf) = %{tl_version}
Provides: tex(artemisiarg9a.vf) = %{tl_version}
Provides: tex(artemisiasc8a.vf) = %{tl_version}
Provides: tex(artemisiasc9a.vf) = %{tl_version}
Provides: tex(artemisiasco8a.vf) = %{tl_version}
Provides: tex(artemisiasco9a.vf) = %{tl_version}
Provides: tex(artemisiatabnums8a.vf) = %{tl_version}
Provides: tex(gartemisiab6a.vf) = %{tl_version}
Provides: tex(gartemisiabi6a.vf) = %{tl_version}
Provides: tex(gartemisiabo6a.vf) = %{tl_version}
Provides: tex(gartemisiai6a.vf) = %{tl_version}
Provides: tex(gartemisiao6a.vf) = %{tl_version}
Provides: tex(gartemisiarg6a.vf) = %{tl_version}
Provides: tex(gartemisiasc6a.vf) = %{tl_version}
Provides: tex(gartemisiasco6a.vf) = %{tl_version}
Provides: tex(gfsartemisia-euler.sty) = %{tl_version}
Provides: tex(gfsartemisia.sty) = %{tl_version}
Provides: tex(lgrartemisia.fd) = %{tl_version}
Provides: tex(lgrartemisiaeuler.fd) = %{tl_version}
Provides: tex(ot1artemisia.fd) = %{tl_version}
Provides: tex(ot1artemisiaeuler.fd) = %{tl_version}
Provides: tex(t1artemisia.fd) = %{tl_version}
Provides: tex(t1artemisiaeuler.fd) = %{tl_version}
Provides: tex(uartemisiaeulernums.fd) = %{tl_version}
Provides: tex(uartemisianums.fd) = %{tl_version}

%description gfsartemisia
GFS Artemisia is a relatively modern font, designed as a
'general purpose' font in the same sense as Times is nowadays
treated. The present version has been provided by the Greek
Font Society. The font supports the Greek and Latin alphabets.
LaTeX support is provided, using the OT1, T1 and LGR encodings.

%package gfsartemisia-doc
Summary: Documentation for gfsartemisia
Version: svn19469.1.0

Provides: tex-gfsartemisia-doc
AutoReqProv: No

%description gfsartemisia-doc
Documentation for gfsartemisia

%package gfsbodoni
Provides: tex-gfsbodoni = %{tl_version}
License: OFL
Summary: A Greek and Latin font based on Bodoni
Version: svn28484.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(bodoni.enc) = %{tl_version}
Provides: tex(bodonidenomnums.enc) = %{tl_version}
Provides: tex(bodoniec.enc) = %{tl_version}
Provides: tex(bodoniecsc.enc) = %{tl_version}
Provides: tex(bodoniel.enc) = %{tl_version}
Provides: tex(bodonielsc.enc) = %{tl_version}
Provides: tex(bodoninumnums.enc) = %{tl_version}
Provides: tex(bodonisc.enc) = %{tl_version}
Provides: tex(bodonitabnums.enc) = %{tl_version}
Provides: tex(gfsbodoni.map) = %{tl_version}
Provides: tex(GFSBodoni.otf) = %{tl_version}
Provides: tex(GFSBodoniBold.otf) = %{tl_version}
Provides: tex(GFSBodoniBoldIt.otf) = %{tl_version}
Provides: tex(GFSBodoniIt.otf) = %{tl_version}
Provides: tex(bodonib8a.tfm) = %{tl_version}
Provides: tex(bodonib8r.tfm) = %{tl_version}
Provides: tex(bodonib9a.tfm) = %{tl_version}
Provides: tex(bodonib9r.tfm) = %{tl_version}
Provides: tex(bodonibi8a.tfm) = %{tl_version}
Provides: tex(bodonibi8r.tfm) = %{tl_version}
Provides: tex(bodonibi9a.tfm) = %{tl_version}
Provides: tex(bodonibi9r.tfm) = %{tl_version}
Provides: tex(bodonibo8a.tfm) = %{tl_version}
Provides: tex(bodonibo8r.tfm) = %{tl_version}
Provides: tex(bodonibo9a.tfm) = %{tl_version}
Provides: tex(bodonibo9r.tfm) = %{tl_version}
Provides: tex(bodonidenomnums8a.tfm) = %{tl_version}
Provides: tex(bodonidenomnums8r.tfm) = %{tl_version}
Provides: tex(bodonii8a.tfm) = %{tl_version}
Provides: tex(bodonii8r.tfm) = %{tl_version}
Provides: tex(bodonii9a.tfm) = %{tl_version}
Provides: tex(bodonii9r.tfm) = %{tl_version}
Provides: tex(bodoninumnums8a.tfm) = %{tl_version}
Provides: tex(bodoninumnums8r.tfm) = %{tl_version}
Provides: tex(bodonio8a.tfm) = %{tl_version}
Provides: tex(bodonio8r.tfm) = %{tl_version}
Provides: tex(bodonio9a.tfm) = %{tl_version}
Provides: tex(bodonio9r.tfm) = %{tl_version}
Provides: tex(bodonirg8a.tfm) = %{tl_version}
Provides: tex(bodonirg8r.tfm) = %{tl_version}
Provides: tex(bodonirg9a.tfm) = %{tl_version}
Provides: tex(bodonirg9r.tfm) = %{tl_version}
Provides: tex(bodonisc8a.tfm) = %{tl_version}
Provides: tex(bodonisc8r.tfm) = %{tl_version}
Provides: tex(bodonisc9a.tfm) = %{tl_version}
Provides: tex(bodonisc9r.tfm) = %{tl_version}
Provides: tex(bodonisco8a.tfm) = %{tl_version}
Provides: tex(bodonisco8r.tfm) = %{tl_version}
Provides: tex(bodonisco9a.tfm) = %{tl_version}
Provides: tex(bodonisco9r.tfm) = %{tl_version}
Provides: tex(bodonitabnums8a.tfm) = %{tl_version}
Provides: tex(bodonitabnums8r.tfm) = %{tl_version}
Provides: tex(gbodonib6a.tfm) = %{tl_version}
Provides: tex(gbodonib6r.tfm) = %{tl_version}
Provides: tex(gbodonibi6a.tfm) = %{tl_version}
Provides: tex(gbodonibi6r.tfm) = %{tl_version}
Provides: tex(gbodonibo6a.tfm) = %{tl_version}
Provides: tex(gbodonibo6r.tfm) = %{tl_version}
Provides: tex(gbodonii6a.tfm) = %{tl_version}
Provides: tex(gbodonii6r.tfm) = %{tl_version}
Provides: tex(gbodonio6a.tfm) = %{tl_version}
Provides: tex(gbodonio6r.tfm) = %{tl_version}
Provides: tex(gbodonio9a.tfm) = %{tl_version}
Provides: tex(gbodonirg6a.tfm) = %{tl_version}
Provides: tex(gbodonirg6r.tfm) = %{tl_version}
Provides: tex(gbodonisc6a.tfm) = %{tl_version}
Provides: tex(gbodonisc6r.tfm) = %{tl_version}
Provides: tex(gbodonisco6a.tfm) = %{tl_version}
Provides: tex(gbodonisco6r.tfm) = %{tl_version}
Provides: tex(GFSBodoni-Bold.pfb) = %{tl_version}
Provides: tex(GFSBodoni-BoldItalic.pfb) = %{tl_version}
Provides: tex(GFSBodoni-Italic.pfb) = %{tl_version}
Provides: tex(GFSBodoni-Regular.pfb) = %{tl_version}
Provides: tex(bodonib8a.vf) = %{tl_version}
Provides: tex(bodonib9a.vf) = %{tl_version}
Provides: tex(bodonibi8a.vf) = %{tl_version}
Provides: tex(bodonibi9a.vf) = %{tl_version}
Provides: tex(bodonibo8a.vf) = %{tl_version}
Provides: tex(bodonibo9a.vf) = %{tl_version}
Provides: tex(bodonidenomnums8a.vf) = %{tl_version}
Provides: tex(bodonii8a.vf) = %{tl_version}
Provides: tex(bodonii9a.vf) = %{tl_version}
Provides: tex(bodoninumnums8a.vf) = %{tl_version}
Provides: tex(bodonio8a.vf) = %{tl_version}
Provides: tex(bodonio9a.vf) = %{tl_version}
Provides: tex(bodonirg8a.vf) = %{tl_version}
Provides: tex(bodonirg9a.vf) = %{tl_version}
Provides: tex(bodonisc8a.vf) = %{tl_version}
Provides: tex(bodonisc9a.vf) = %{tl_version}
Provides: tex(bodonisco8a.vf) = %{tl_version}
Provides: tex(bodonisco9a.vf) = %{tl_version}
Provides: tex(bodonitabnums8a.vf) = %{tl_version}
Provides: tex(gbodonib6a.vf) = %{tl_version}
Provides: tex(gbodonibi6a.vf) = %{tl_version}
Provides: tex(gbodonibo6a.vf) = %{tl_version}
Provides: tex(gbodonii6a.vf) = %{tl_version}
Provides: tex(gbodonio6a.vf) = %{tl_version}
Provides: tex(gbodonio9a.vf) = %{tl_version}
Provides: tex(gbodonirg6a.vf) = %{tl_version}
Provides: tex(gbodonisc6a.vf) = %{tl_version}
Provides: tex(gbodonisco6a.vf) = %{tl_version}
Provides: tex(gfsbodoni.sty) = %{tl_version}
Provides: tex(lgrbodoni.fd) = %{tl_version}
Provides: tex(ot1bodoni.fd) = %{tl_version}
Provides: tex(t1bodoni.fd) = %{tl_version}
Provides: tex(ubodoninums.fd) = %{tl_version}

%description gfsbodoni
Bodoni's Greek fonts in the 18th century broke, for the first
time, with the Byzantine cursive tradition of Greek fonts. GFS
Bodoni resurrects his work for general use. The font family
supports both Greek and Latin letters. LaTeX support of the
fonts is provided, offering OT1, T1 and LGR encodings. The
fonts themselves are provided in Adobe Type 1 and OpenType
formats.

%package gfsbodoni-doc
Summary: Documentation for gfsbodoni
Version: svn28484.1.01

Provides: tex-gfsbodoni-doc
AutoReqProv: No

%description gfsbodoni-doc
Documentation for gfsbodoni

%package gfscomplutum
Provides: tex-gfscomplutum = %{tl_version}
License: OFL
Summary: A Greek font with a long history
Version: svn19469.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(gpcomplutum.enc) = %{tl_version}
Provides: tex(gfscomplutum.map) = %{tl_version}
Provides: tex(GFSPolyglot.otf) = %{tl_version}
Provides: tex(gcomplutum8a.tfm) = %{tl_version}
Provides: tex(gcomplutum8r.tfm) = %{tl_version}
Provides: tex(gcomplutumo8a.tfm) = %{tl_version}
Provides: tex(gcomplutumo8r.tfm) = %{tl_version}
Provides: tex(GFSComplutum-Regular.pfb) = %{tl_version}
Provides: tex(gcomplutum8a.vf) = %{tl_version}
Provides: tex(gcomplutumo8a.vf) = %{tl_version}
Provides: tex(gfscomplutum.sty) = %{tl_version}
Provides: tex(lgrcomplutum.fd) = %{tl_version}

%description gfscomplutum
GFS Complutum derives, via a long development, from a minuscule-
only font cut in the 16th century. An unsatisfactory set of
majuscules were added in the early 20th century, but its author
died before he could complete the revival of the font. The
Greek Font Society has released this version, which has a new
set of majuscules.

%package gfscomplutum-doc
Summary: Documentation for gfscomplutum
Version: svn19469.1.0

Provides: tex-gfscomplutum-doc
AutoReqProv: No

%description gfscomplutum-doc
Documentation for gfscomplutum

%package gfsdidot
Provides: tex-gfsdidot = %{tl_version}
License: LPPL
Summary: A Greek font based on Didot's work
Version: svn31978.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(pxfonts.sty)
Provides: tex(didot.enc) = %{tl_version}
Provides: tex(didotdenomnums.enc) = %{tl_version}
Provides: tex(didotec.enc) = %{tl_version}
Provides: tex(didotnumnums.enc) = %{tl_version}
Provides: tex(didottabnums.enc) = %{tl_version}
Provides: tex(didotuecsc.enc) = %{tl_version}
Provides: tex(didotusc.enc) = %{tl_version}
Provides: tex(gfsudidotmath.enc) = %{tl_version}
Provides: tex(gpdidot.enc) = %{tl_version}
Provides: tex(gpdidoti.enc) = %{tl_version}
Provides: tex(gpdidotusc.enc) = %{tl_version}
Provides: tex(gpolga.enc) = %{tl_version}
Provides: tex(gfsdidot.map) = %{tl_version}
Provides: tex(GFSDidot.otf) = %{tl_version}
Provides: tex(GFSDidotBold.otf) = %{tl_version}
Provides: tex(GFSDidotBoldItalic.otf) = %{tl_version}
Provides: tex(GFSDidotItalic.otf) = %{tl_version}
Provides: tex(GFSOlga.otf) = %{tl_version}
Provides: tex(didotb8a.tfm) = %{tl_version}
Provides: tex(didotb8r.tfm) = %{tl_version}
Provides: tex(didotb9a.tfm) = %{tl_version}
Provides: tex(didotb9r.tfm) = %{tl_version}
Provides: tex(didotbi8a.tfm) = %{tl_version}
Provides: tex(didotbi8r.tfm) = %{tl_version}
Provides: tex(didotbi9a.tfm) = %{tl_version}
Provides: tex(didotbi9r.tfm) = %{tl_version}
Provides: tex(didotbo8a.tfm) = %{tl_version}
Provides: tex(didotbo8r.tfm) = %{tl_version}
Provides: tex(didotbo9a.tfm) = %{tl_version}
Provides: tex(didotbo9r.tfm) = %{tl_version}
Provides: tex(didotdenomnums8a.tfm) = %{tl_version}
Provides: tex(didotdenomnums8r.tfm) = %{tl_version}
Provides: tex(didoti8a.tfm) = %{tl_version}
Provides: tex(didoti8r.tfm) = %{tl_version}
Provides: tex(didoti9a.tfm) = %{tl_version}
Provides: tex(didoti9r.tfm) = %{tl_version}
Provides: tex(didotnumnums8a.tfm) = %{tl_version}
Provides: tex(didotnumnums8r.tfm) = %{tl_version}
Provides: tex(didoto8a.tfm) = %{tl_version}
Provides: tex(didoto8r.tfm) = %{tl_version}
Provides: tex(didoto9a.tfm) = %{tl_version}
Provides: tex(didoto9r.tfm) = %{tl_version}
Provides: tex(didotrg8a.tfm) = %{tl_version}
Provides: tex(didotrg8r.tfm) = %{tl_version}
Provides: tex(didotrg9a.tfm) = %{tl_version}
Provides: tex(didotrg9r.tfm) = %{tl_version}
Provides: tex(didotsc8a.tfm) = %{tl_version}
Provides: tex(didotsc8r.tfm) = %{tl_version}
Provides: tex(didotsc9a.tfm) = %{tl_version}
Provides: tex(didotsc9r.tfm) = %{tl_version}
Provides: tex(didotsco8a.tfm) = %{tl_version}
Provides: tex(didotsco8r.tfm) = %{tl_version}
Provides: tex(didotsco9a.tfm) = %{tl_version}
Provides: tex(didotsco9r.tfm) = %{tl_version}
Provides: tex(didottabnums8a.tfm) = %{tl_version}
Provides: tex(didottabnums8r.tfm) = %{tl_version}
Provides: tex(didotui8a.tfm) = %{tl_version}
Provides: tex(didotui8r.tfm) = %{tl_version}
Provides: tex(didotui9a.tfm) = %{tl_version}
Provides: tex(didotui9r.tfm) = %{tl_version}
Provides: tex(gdidotb6a.tfm) = %{tl_version}
Provides: tex(gdidotb6r.tfm) = %{tl_version}
Provides: tex(gdidotbi6a.tfm) = %{tl_version}
Provides: tex(gdidotbi6r.tfm) = %{tl_version}
Provides: tex(gdidoti6a.tfm) = %{tl_version}
Provides: tex(gdidoti6r.tfm) = %{tl_version}
Provides: tex(gdidotrg6a.tfm) = %{tl_version}
Provides: tex(gdidotrg6r.tfm) = %{tl_version}
Provides: tex(gdidotsc6a.tfm) = %{tl_version}
Provides: tex(gdidotsc6r.tfm) = %{tl_version}
Provides: tex(gdidotsco6a.tfm) = %{tl_version}
Provides: tex(gdidotsco6r.tfm) = %{tl_version}
Provides: tex(gfsudidotmath8a.tfm) = %{tl_version}
Provides: tex(gfsudidotmath8r.tfm) = %{tl_version}
Provides: tex(golgai6a.tfm) = %{tl_version}
Provides: tex(golgai6r.tfm) = %{tl_version}
Provides: tex(golgaui6a.tfm) = %{tl_version}
Provides: tex(golgaui6r.tfm) = %{tl_version}
Provides: tex(GFSDidot-Bold.pfb) = %{tl_version}
Provides: tex(GFSDidot-BoldItalic.pfb) = %{tl_version}
Provides: tex(GFSDidot-Italic.pfb) = %{tl_version}
Provides: tex(GFSDidot.pfb) = %{tl_version}
Provides: tex(GFSOlga.pfb) = %{tl_version}
Provides: tex(didotb8a.vf) = %{tl_version}
Provides: tex(didotb9a.vf) = %{tl_version}
Provides: tex(didotbi8a.vf) = %{tl_version}
Provides: tex(didotbi9a.vf) = %{tl_version}
Provides: tex(didotbo8a.vf) = %{tl_version}
Provides: tex(didotbo9a.vf) = %{tl_version}
Provides: tex(didotdenomnums8a.vf) = %{tl_version}
Provides: tex(didoti8a.vf) = %{tl_version}
Provides: tex(didoti9a.vf) = %{tl_version}
Provides: tex(didotnumnums8a.vf) = %{tl_version}
Provides: tex(didoto8a.vf) = %{tl_version}
Provides: tex(didoto9a.vf) = %{tl_version}
Provides: tex(didotrg8a.vf) = %{tl_version}
Provides: tex(didotrg9a.vf) = %{tl_version}
Provides: tex(didotsc8a.vf) = %{tl_version}
Provides: tex(didotsc9a.vf) = %{tl_version}
Provides: tex(didotsco8a.vf) = %{tl_version}
Provides: tex(didotsco9a.vf) = %{tl_version}
Provides: tex(didottabnums8a.vf) = %{tl_version}
Provides: tex(didotui8a.vf) = %{tl_version}
Provides: tex(didotui9a.vf) = %{tl_version}
Provides: tex(gdidotb6a.vf) = %{tl_version}
Provides: tex(gdidotbi6a.vf) = %{tl_version}
Provides: tex(gdidoti6a.vf) = %{tl_version}
Provides: tex(gdidotrg6a.vf) = %{tl_version}
Provides: tex(gdidotsc6a.vf) = %{tl_version}
Provides: tex(gdidotsco6a.vf) = %{tl_version}
Provides: tex(gfsudidotmath8a.vf) = %{tl_version}
Provides: tex(golgai6a.vf) = %{tl_version}
Provides: tex(golgaui6a.vf) = %{tl_version}
Provides: tex(gfsdidot.sty) = %{tl_version}
Provides: tex(lgrudidot.fd) = %{tl_version}
Provides: tex(omludidot.fd) = %{tl_version}
Provides: tex(ot1udidot.fd) = %{tl_version}
Provides: tex(t1udidot.fd) = %{tl_version}
Provides: tex(uudidotnums.fd) = %{tl_version}

%description gfsdidot
The design of Didot's 1805 Greek typeface was influenced by the
neoclassical ideals of the late 18th century. The font was
brought to Greece at the time of the 1821 Greek Revolution, by
Didot's son, and was very widely used. The present version is
provided by the Greek Font Society. The font supports the Greek
alphabet, and is accompanied by a matching Latin alphabet based
on Zapf's Palatino. LaTeX support is provided, using the OT1,
T1 and LGR encodings.

%package gfsdidot-doc
Summary: Documentation for gfsdidot
Version: svn31978.0

Provides: tex-gfsdidot-doc
AutoReqProv: No

%description gfsdidot-doc
Documentation for gfsdidot

%package gfsneohellenic
Provides: tex-gfsneohellenic = %{tl_version}
License: LPPL
Summary: A Greek font in the Neo-Hellenic style
Version: svn31979.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(neohellenic.enc) = %{tl_version}
Provides: tex(neohellenicdenomnums.enc) = %{tl_version}
Provides: tex(neohellenicec.enc) = %{tl_version}
Provides: tex(neohellenicecsc.enc) = %{tl_version}
Provides: tex(neohellenicel.enc) = %{tl_version}
Provides: tex(neohellenicelsc.enc) = %{tl_version}
Provides: tex(neohellenicmath.enc) = %{tl_version}
Provides: tex(neohellenicnumnums.enc) = %{tl_version}
Provides: tex(neohellenicsc.enc) = %{tl_version}
Provides: tex(neohellenictabnums.enc) = %{tl_version}
Provides: tex(gfsneohellenic.map) = %{tl_version}
Provides: tex(GFSNeohellenic.otf) = %{tl_version}
Provides: tex(GFSNeohellenicBold.otf) = %{tl_version}
Provides: tex(GFSNeohellenicBoldIt.otf) = %{tl_version}
Provides: tex(GFSNeohellenicIt.otf) = %{tl_version}
Provides: tex(gfsneohellenicmath8a.tfm) = %{tl_version}
Provides: tex(gfsneohellenicmath8r.tfm) = %{tl_version}
Provides: tex(gneohellenicb6a.tfm) = %{tl_version}
Provides: tex(gneohellenicb6r.tfm) = %{tl_version}
Provides: tex(gneohellenicbi6a.tfm) = %{tl_version}
Provides: tex(gneohellenicbi6r.tfm) = %{tl_version}
Provides: tex(gneohellenicbo6a.tfm) = %{tl_version}
Provides: tex(gneohellenicbo6r.tfm) = %{tl_version}
Provides: tex(gneohellenici6a.tfm) = %{tl_version}
Provides: tex(gneohellenici6r.tfm) = %{tl_version}
Provides: tex(gneohellenico6a.tfm) = %{tl_version}
Provides: tex(gneohellenico6r.tfm) = %{tl_version}
Provides: tex(gneohellenicrg6a.tfm) = %{tl_version}
Provides: tex(gneohellenicrg6r.tfm) = %{tl_version}
Provides: tex(gneohellenicsc6a.tfm) = %{tl_version}
Provides: tex(gneohellenicsc6r.tfm) = %{tl_version}
Provides: tex(gneohellenicsco6a.tfm) = %{tl_version}
Provides: tex(gneohellenicsco6r.tfm) = %{tl_version}
Provides: tex(neohellenicb8a.tfm) = %{tl_version}
Provides: tex(neohellenicb8r.tfm) = %{tl_version}
Provides: tex(neohellenicb9a.tfm) = %{tl_version}
Provides: tex(neohellenicb9r.tfm) = %{tl_version}
Provides: tex(neohellenicbi8a.tfm) = %{tl_version}
Provides: tex(neohellenicbi8r.tfm) = %{tl_version}
Provides: tex(neohellenicbi9a.tfm) = %{tl_version}
Provides: tex(neohellenicbi9r.tfm) = %{tl_version}
Provides: tex(neohellenicbo8a.tfm) = %{tl_version}
Provides: tex(neohellenicbo8r.tfm) = %{tl_version}
Provides: tex(neohellenicbo9a.tfm) = %{tl_version}
Provides: tex(neohellenicbo9r.tfm) = %{tl_version}
Provides: tex(neohellenicdenomnums8a.tfm) = %{tl_version}
Provides: tex(neohellenicdenomnums8r.tfm) = %{tl_version}
Provides: tex(neohellenici8a.tfm) = %{tl_version}
Provides: tex(neohellenici8r.tfm) = %{tl_version}
Provides: tex(neohellenici9a.tfm) = %{tl_version}
Provides: tex(neohellenici9r.tfm) = %{tl_version}
Provides: tex(neohellenicnumnums8a.tfm) = %{tl_version}
Provides: tex(neohellenicnumnums8r.tfm) = %{tl_version}
Provides: tex(neohellenico8a.tfm) = %{tl_version}
Provides: tex(neohellenico8r.tfm) = %{tl_version}
Provides: tex(neohellenico9a.tfm) = %{tl_version}
Provides: tex(neohellenico9r.tfm) = %{tl_version}
Provides: tex(neohellenicrg8a.tfm) = %{tl_version}
Provides: tex(neohellenicrg8r.tfm) = %{tl_version}
Provides: tex(neohellenicrg9a.tfm) = %{tl_version}
Provides: tex(neohellenicrg9r.tfm) = %{tl_version}
Provides: tex(neohellenicsc8a.tfm) = %{tl_version}
Provides: tex(neohellenicsc8r.tfm) = %{tl_version}
Provides: tex(neohellenicsc9a.tfm) = %{tl_version}
Provides: tex(neohellenicsc9r.tfm) = %{tl_version}
Provides: tex(neohellenicsco8a.tfm) = %{tl_version}
Provides: tex(neohellenicsco8r.tfm) = %{tl_version}
Provides: tex(neohellenicsco9a.tfm) = %{tl_version}
Provides: tex(neohellenicsco9r.tfm) = %{tl_version}
Provides: tex(neohellenictabnums8a.tfm) = %{tl_version}
Provides: tex(neohellenictabnums8r.tfm) = %{tl_version}
Provides: tex(GFSNeohellenic-Bold.pfb) = %{tl_version}
Provides: tex(GFSNeohellenic-BoldItalic.pfb) = %{tl_version}
Provides: tex(GFSNeohellenic-Italic.pfb) = %{tl_version}
Provides: tex(GFSNeohellenic-Regular.pfb) = %{tl_version}
Provides: tex(gfsneohellenicmath8a.vf) = %{tl_version}
Provides: tex(gneohellenicb6a.vf) = %{tl_version}
Provides: tex(gneohellenicbi6a.vf) = %{tl_version}
Provides: tex(gneohellenicbo6a.vf) = %{tl_version}
Provides: tex(gneohellenici6a.vf) = %{tl_version}
Provides: tex(gneohellenico6a.vf) = %{tl_version}
Provides: tex(gneohellenicrg6a.vf) = %{tl_version}
Provides: tex(gneohellenicsc6a.vf) = %{tl_version}
Provides: tex(gneohellenicsco6a.vf) = %{tl_version}
Provides: tex(neohellenicb8a.vf) = %{tl_version}
Provides: tex(neohellenicb9a.vf) = %{tl_version}
Provides: tex(neohellenicbi8a.vf) = %{tl_version}
Provides: tex(neohellenicbi9a.vf) = %{tl_version}
Provides: tex(neohellenicbo8a.vf) = %{tl_version}
Provides: tex(neohellenicbo9a.vf) = %{tl_version}
Provides: tex(neohellenicdenomnums8a.vf) = %{tl_version}
Provides: tex(neohellenici8a.vf) = %{tl_version}
Provides: tex(neohellenici9a.vf) = %{tl_version}
Provides: tex(neohellenicnumnums8a.vf) = %{tl_version}
Provides: tex(neohellenico8a.vf) = %{tl_version}
Provides: tex(neohellenico9a.vf) = %{tl_version}
Provides: tex(neohellenicrg8a.vf) = %{tl_version}
Provides: tex(neohellenicrg9a.vf) = %{tl_version}
Provides: tex(neohellenicsc8a.vf) = %{tl_version}
Provides: tex(neohellenicsc9a.vf) = %{tl_version}
Provides: tex(neohellenicsco8a.vf) = %{tl_version}
Provides: tex(neohellenicsco9a.vf) = %{tl_version}
Provides: tex(neohellenictabnums8a.vf) = %{tl_version}
Provides: tex(gfsneohellenic.sty) = %{tl_version}
Provides: tex(lgrneohellenic.fd) = %{tl_version}
Provides: tex(omlneohellenic.fd) = %{tl_version}
Provides: tex(ot1neohellenic.fd) = %{tl_version}
Provides: tex(t1neohellenic.fd) = %{tl_version}
Provides: tex(uneohellenicnums.fd) = %{tl_version}

%description gfsneohellenic
The NeoHellenic style evolved in academic circles in the 19th
and 20th century; the present font follows a cut commissioned
from Monotype in 1927. The present version was provided by the
Greek Font Society. The font supports both Greek and Latin
characters, and has been adjusted to work well with the
cmbright fonts for mathematics support. LaTeX support of the
fonts is provided, offering OT1, T1 and LGR encodings.

%package gfsneohellenic-doc
Summary: Documentation for gfsneohellenic
Version: svn31979.0

Provides: tex-gfsneohellenic-doc
AutoReqProv: No

%description gfsneohellenic-doc
Documentation for gfsneohellenic

%package gfssolomos
Provides: tex-gfssolomos = %{tl_version}
License: OFL
Summary: A Greek-alphabet font
Version: svn18651.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(gpsolomos.enc) = %{tl_version}
Provides: tex(gfssolomos.map) = %{tl_version}
Provides: tex(GFSSolomos.otf) = %{tl_version}
Provides: tex(gsolomos8a.tfm) = %{tl_version}
Provides: tex(gsolomos8r.tfm) = %{tl_version}
Provides: tex(GFSSolomos-Regular.pfb) = %{tl_version}
Provides: tex(gsolomos8a.vf) = %{tl_version}
Provides: tex(gfssolomos.sty) = %{tl_version}
Provides: tex(lgrsolomos.fd) = %{tl_version}

%description gfssolomos
Solomos is a font which traces its descent from a
calligraphically-inspired font of the mid-19th century. LaTeX
support, for use with the LGR encoding only, is provided.

%package gfssolomos-doc
Summary: Documentation for gfssolomos
Version: svn18651.1.0

Provides: tex-gfssolomos-doc
AutoReqProv: No

%description gfssolomos-doc
Documentation for gfssolomos

%package gillcm
Provides: tex-gillcm = %{tl_version}
License: BSD
Summary: Alternative unslanted italic Computer Modern fonts
Version: svn19878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmg.map) = %{tl_version}
Provides: tex(cmgb8r.tfm) = %{tl_version}
Provides: tex(cmgbi7t.tfm) = %{tl_version}
Provides: tex(cmgbi8c.tfm) = %{tl_version}
Provides: tex(cmgbi8r.tfm) = %{tl_version}
Provides: tex(cmgbi8t.tfm) = %{tl_version}
Provides: tex(cmgbiu7t.tfm) = %{tl_version}
Provides: tex(cmgbiu8c.tfm) = %{tl_version}
Provides: tex(cmgbiu8r.tfm) = %{tl_version}
Provides: tex(cmgbiu8t.tfm) = %{tl_version}
Provides: tex(cmgm8r.tfm) = %{tl_version}
Provides: tex(cmgmi7t.tfm) = %{tl_version}
Provides: tex(cmgmi8c.tfm) = %{tl_version}
Provides: tex(cmgmi8r.tfm) = %{tl_version}
Provides: tex(cmgmi8t.tfm) = %{tl_version}
Provides: tex(cmgmiu7t.tfm) = %{tl_version}
Provides: tex(cmgmiu8c.tfm) = %{tl_version}
Provides: tex(cmgmiu8r.tfm) = %{tl_version}
Provides: tex(cmgmiu8t.tfm) = %{tl_version}
Provides: tex(cmgbi7t.vf) = %{tl_version}
Provides: tex(cmgbi8c.vf) = %{tl_version}
Provides: tex(cmgbi8t.vf) = %{tl_version}
Provides: tex(cmgbiu7t.vf) = %{tl_version}
Provides: tex(cmgbiu8c.vf) = %{tl_version}
Provides: tex(cmgbiu8t.vf) = %{tl_version}
Provides: tex(cmgmi7t.vf) = %{tl_version}
Provides: tex(cmgmi8c.vf) = %{tl_version}
Provides: tex(cmgmi8t.vf) = %{tl_version}
Provides: tex(cmgmiu7t.vf) = %{tl_version}
Provides: tex(cmgmiu8c.vf) = %{tl_version}
Provides: tex(cmgmiu8t.vf) = %{tl_version}
Provides: tex(gillcm.sty) = %{tl_version}
Provides: tex(ot1cmg.fd) = %{tl_version}
Provides: tex(t1cmg.fd) = %{tl_version}
Provides: tex(ts1cmg.fd) = %{tl_version}

%description gillcm
This is a demonstration of the use of virtual fonts for unusual
effects: the package implements an old idea of Eric Gill. The
package was written for the author's talk at TUG 2010.

%package gillcm-doc
Summary: Documentation for gillcm
Version: svn19878.1.1

Provides: tex-gillcm-doc
AutoReqProv: No

%description gillcm-doc
Documentation for gillcm

%package gillius
Provides: tex-gillius = %{tl_version}
License: GPLv2+
Summary: Gillius fonts with LaTeX support
Version: svn32068.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(gls_4bsedw.enc) = %{tl_version}
Provides: tex(gls_a6mi7n.enc) = %{tl_version}
Provides: tex(gls_az7pev.enc) = %{tl_version}
Provides: tex(gls_bg5e7z.enc) = %{tl_version}
Provides: tex(gls_efuo7w.enc) = %{tl_version}
Provides: tex(gls_lf6eoq.enc) = %{tl_version}
Provides: tex(gls_pqq4vh.enc) = %{tl_version}
Provides: tex(gls_shb4ap.enc) = %{tl_version}
Provides: tex(gillius.map) = %{tl_version}
Provides: tex(GilliusADF-Bold.otf) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic.otf) = %{tl_version}
Provides: tex(GilliusADF-Italic.otf) = %{tl_version}
Provides: tex(GilliusADF-Regular.otf) = %{tl_version}
Provides: tex(GilliusADFCond-Bold.otf) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic.otf) = %{tl_version}
Provides: tex(GilliusADFCond-Italic.otf) = %{tl_version}
Provides: tex(GilliusADFCond-Regular.otf) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold.otf) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic.otf) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic.otf) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular.otf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold.otf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic.otf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic.otf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular.otf) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(GilliusADF-Bold.pfb) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic.pfb) = %{tl_version}
Provides: tex(GilliusADF-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADF-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADF-Italic.pfb) = %{tl_version}
Provides: tex(GilliusADF-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADF-Regular.pfb) = %{tl_version}
Provides: tex(GilliusADF-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-Bold.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-Italic.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-Regular.pfb) = %{tl_version}
Provides: tex(GilliusADFCond-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular.pfb) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADF-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADF-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADF-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADF-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFCond-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(GilliusADFNo2Cond-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(LY1GilliusADF-LF.fd) = %{tl_version}
Provides: tex(LY1GilliusADFCond-LF.fd) = %{tl_version}
Provides: tex(LY1GilliusADFNoTwo-LF.fd) = %{tl_version}
Provides: tex(LY1GilliusADFNoTwoCond-LF.fd) = %{tl_version}
Provides: tex(OT1GilliusADF-LF.fd) = %{tl_version}
Provides: tex(OT1GilliusADFCond-LF.fd) = %{tl_version}
Provides: tex(OT1GilliusADFNoTwo-LF.fd) = %{tl_version}
Provides: tex(OT1GilliusADFNoTwoCond-LF.fd) = %{tl_version}
Provides: tex(T1GilliusADF-LF.fd) = %{tl_version}
Provides: tex(T1GilliusADFCond-LF.fd) = %{tl_version}
Provides: tex(T1GilliusADFNoTwo-LF.fd) = %{tl_version}
Provides: tex(T1GilliusADFNoTwoCond-LF.fd) = %{tl_version}
Provides: tex(TS1GilliusADF-LF.fd) = %{tl_version}
Provides: tex(TS1GilliusADFCond-LF.fd) = %{tl_version}
Provides: tex(TS1GilliusADFNoTwo-LF.fd) = %{tl_version}
Provides: tex(TS1GilliusADFNoTwoCond-LF.fd) = %{tl_version}
Provides: tex(gillius.sty) = %{tl_version}
Provides: tex(gillius2.sty) = %{tl_version}

%description gillius
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the Gillius and Gillius No. 2 families of sans
serif fonts and condensed versions of them, designed by Hirwen
Harendal. According to the designer, the fonts were inspired by
Gill Sans.

%package gillius-doc
Summary: Documentation for gillius
Version: svn32068.0

Provides: tex-gillius-doc
AutoReqProv: No

%description gillius-doc
Documentation for gillius

%package gnu-freefont
Provides: tex-gnu-freefont = %{tl_version}
License: GPLv3+
Summary: A Unicode font, with rather wide coverage
Version: svn29349.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(FreeMono.otf) = %{tl_version}
Provides: tex(FreeMonoBold.otf) = %{tl_version}
Provides: tex(FreeMonoBoldOblique.otf) = %{tl_version}
Provides: tex(FreeMonoOblique.otf) = %{tl_version}
Provides: tex(FreeSans.otf) = %{tl_version}
Provides: tex(FreeSansBold.otf) = %{tl_version}
Provides: tex(FreeSansBoldOblique.otf) = %{tl_version}
Provides: tex(FreeSansOblique.otf) = %{tl_version}
Provides: tex(FreeSerif.otf) = %{tl_version}
Provides: tex(FreeSerifBold.otf) = %{tl_version}
Provides: tex(FreeSerifBoldItalic.otf) = %{tl_version}
Provides: tex(FreeSerifItalic.otf) = %{tl_version}
Provides: tex(FreeMono.ttf) = %{tl_version}
Provides: tex(FreeMonoBold.ttf) = %{tl_version}
Provides: tex(FreeMonoBoldOblique.ttf) = %{tl_version}
Provides: tex(FreeMonoOblique.ttf) = %{tl_version}
Provides: tex(FreeSans.ttf) = %{tl_version}
Provides: tex(FreeSansBold.ttf) = %{tl_version}
Provides: tex(FreeSansBoldOblique.ttf) = %{tl_version}
Provides: tex(FreeSansOblique.ttf) = %{tl_version}
Provides: tex(FreeSerif.ttf) = %{tl_version}
Provides: tex(FreeSerifBold.ttf) = %{tl_version}
Provides: tex(FreeSerifBoldItalic.ttf) = %{tl_version}
Provides: tex(FreeSerifItalic.ttf) = %{tl_version}

%description gnu-freefont
The package provides a set of outline (i.e. OpenType) fonts
covering as much as possible of the Unicode character set. The
set consists of three typefaces: one monospaced and two
proportional (one with uniform and one with modulated stroke).

%package gnu-freefont-doc
Summary: Documentation for gnu-freefont
Version: svn29349.0

Provides: tex-gnu-freefont-doc
AutoReqProv: No

%description gnu-freefont-doc
Documentation for gnu-freefont

%package gothic
Provides: tex-gothic = %{tl_version}
License: Public Domain
Summary: A collection of old German-style fonts
Version: svn38263.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmfrak.tfm) = %{tl_version}
Provides: tex(schwell.tfm) = %{tl_version}
Provides: tex(suet14.tfm) = %{tl_version}
Provides: tex(yfrak.tfm) = %{tl_version}
Provides: tex(ygoth.tfm) = %{tl_version}
Provides: tex(yinit.tfm) = %{tl_version}
Provides: tex(ysmfrak.tfm) = %{tl_version}
Provides: tex(yswab.tfm) = %{tl_version}

%description gothic
A collection of fonts that reproduce those used in "old German"
printing and handwriting. The set comprises Gothic, Schwabacher
and Fraktur fonts, a pair of handwriting fonts, Sutterlin and
Schwell, and a font containing decorative initials. In
addition, there are two re-encoding packages for Haralambous's
fonts, providing T1, using virtual fonts, and OT1 and T1, using
Metafont.

%package gothic-doc
Summary: Documentation for gothic
Version: svn38263.0

Provides: tex-gothic-doc
AutoReqProv: No

%description gothic-doc
Documentation for gothic

%package greenpoint
Provides: tex-greenpoint = %{tl_version}
License: GPL+
Summary: The Green Point logo
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(greenpoint.tfm) = %{tl_version}

%description greenpoint
A Metafont-implementation of the logo commonly known as 'Der
Grune Punkt' ('The Green Point'). In Austria, it can be found
on nearly every bottle. It should not be confused with the
'Recycle'-logo, implemented by Ian Green.

%package greenpoint-doc
Summary: Documentation for greenpoint
Version: svn15878.0

Provides: tex-greenpoint-doc
AutoReqProv: No

%description greenpoint-doc
Documentation for greenpoint

%package grotesq
Provides: tex-grotesq = %{tl_version}
License: GPL+
Summary: URW Grotesq font pack for LaTeX
Version: svn35859.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(ugq.map) = %{tl_version}
Provides: tex(ugqb7t.tfm) = %{tl_version}
Provides: tex(ugqb8a.tfm) = %{tl_version}
Provides: tex(ugqb8c.tfm) = %{tl_version}
Provides: tex(ugqb8r.tfm) = %{tl_version}
Provides: tex(ugqb8t.tfm) = %{tl_version}
Provides: tex(ugqbo7t.tfm) = %{tl_version}
Provides: tex(ugqbo8c.tfm) = %{tl_version}
Provides: tex(ugqbo8r.tfm) = %{tl_version}
Provides: tex(ugqbo8t.tfm) = %{tl_version}
Provides: tex(ugqb8a.pfb) = %{tl_version}
Provides: tex(ugqb7t.vf) = %{tl_version}
Provides: tex(ugqb8c.vf) = %{tl_version}
Provides: tex(ugqb8t.vf) = %{tl_version}
Provides: tex(ugqbo7t.vf) = %{tl_version}
Provides: tex(ugqbo8c.vf) = %{tl_version}
Provides: tex(ugqbo8t.vf) = %{tl_version}
Provides: tex(ot1ugq.fd) = %{tl_version}
Provides: tex(t1ugq.fd) = %{tl_version}
Provides: tex(ts1ugq.fd) = %{tl_version}

%description grotesq
The directory contains a copy of the Type 1 font "URW Grotesq
2031 Bold' released under the GPL by URW, with supporting files
for use with (La)TeX.

%package grotesq-doc
Summary: Documentation for grotesq
Version: svn35859.0

Provides: tex-grotesq-doc
AutoReqProv: No

%description grotesq-doc
Documentation for grotesq

%package hacm
Provides: tex-hacm = %{tl_version}
License: LPPL 1.3
Summary: Font support for the Arka language
Version: svn27671.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(hacm.map) = %{tl_version}
Provides: tex(alblant.tfm) = %{tl_version}
Provides: tex(defans.tfm) = %{tl_version}
Provides: tex(fenlil.tfm) = %{tl_version}
Provides: tex(fialis.tfm) = %{tl_version}
Provides: tex(inje.tfm) = %{tl_version}
Provides: tex(kardinal.tfm) = %{tl_version}
Provides: tex(lantia.tfm) = %{tl_version}
Provides: tex(nalnia.tfm) = %{tl_version}
Provides: tex(olivia.tfm) = %{tl_version}
Provides: tex(ralblant.tfm) = %{tl_version}
Provides: tex(rdefans.tfm) = %{tl_version}
Provides: tex(rfenlil.tfm) = %{tl_version}
Provides: tex(rfialis.tfm) = %{tl_version}
Provides: tex(rinje.tfm) = %{tl_version}
Provides: tex(rkardinal.tfm) = %{tl_version}
Provides: tex(rlantia.tfm) = %{tl_version}
Provides: tex(rnalnia.tfm) = %{tl_version}
Provides: tex(rolivia.tfm) = %{tl_version}
Provides: tex(alblant.pfb) = %{tl_version}
Provides: tex(defans.pfb) = %{tl_version}
Provides: tex(fenlil.pfb) = %{tl_version}
Provides: tex(fialis.pfb) = %{tl_version}
Provides: tex(inje.pfb) = %{tl_version}
Provides: tex(kardinal.pfb) = %{tl_version}
Provides: tex(lantia.pfb) = %{tl_version}
Provides: tex(nalnia.pfb) = %{tl_version}
Provides: tex(olivia.pfb) = %{tl_version}
Provides: tex(alblant.vf) = %{tl_version}
Provides: tex(defans.vf) = %{tl_version}
Provides: tex(fenlil.vf) = %{tl_version}
Provides: tex(fialis.vf) = %{tl_version}
Provides: tex(inje.vf) = %{tl_version}
Provides: tex(kardinal.vf) = %{tl_version}
Provides: tex(lantia.vf) = %{tl_version}
Provides: tex(nalnia.vf) = %{tl_version}
Provides: tex(olivia.vf) = %{tl_version}
Provides: tex(hacm.sty) = %{tl_version}
Provides: tex(ot1halb.fd) = %{tl_version}
Provides: tex(ot1hdef.fd) = %{tl_version}
Provides: tex(ot1hfen.fd) = %{tl_version}
Provides: tex(ot1hfia.fd) = %{tl_version}
Provides: tex(ot1hinj.fd) = %{tl_version}
Provides: tex(ot1hkar.fd) = %{tl_version}
Provides: tex(ot1hlan.fd) = %{tl_version}

%description hacm
The package supports typesetting hacm, the alphabet of the
constructed language Arka. The bundle provides nine official
fonts, in Adobe Type 1 format.

%package hacm-doc
Summary: Documentation for hacm
Version: svn27671.0.1

Provides: tex-hacm-doc
AutoReqProv: No

%description hacm-doc
Documentation for hacm

%package hands
Provides: tex-hands = %{tl_version}
License: Public Domain
Summary: Pointing hand font
Version: svn13293.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hands.tfm) = %{tl_version}

%description hands
Provides right- and left-pointing hands in both black-on-white
and white-on-black realisation. The font is distributed as
Metafont source.

%package heuristica
Provides: tex-heuristica = %{tl_version}
License: OFL
Summary: Fonts extending Utopia, with LaTeX support files
Version: svn43507
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Provides: tex(zut_5b7xz5.enc) = %{tl_version}
Provides: tex(zut_bavnqe.enc) = %{tl_version}
Provides: tex(zut_ckaykl.enc) = %{tl_version}
Provides: tex(zut_cq6rqq.enc) = %{tl_version}
Provides: tex(zut_cvig5d.enc) = %{tl_version}
Provides: tex(zut_d3dvo4.enc) = %{tl_version}
Provides: tex(zut_dcwkkw.enc) = %{tl_version}
Provides: tex(zut_dhvb6d.enc) = %{tl_version}
Provides: tex(zut_dvh2xl.enc) = %{tl_version}
Provides: tex(zut_e7tlds.enc) = %{tl_version}
Provides: tex(zut_edf5gu.enc) = %{tl_version}
Provides: tex(zut_etrbro.enc) = %{tl_version}
Provides: tex(zut_evgarn.enc) = %{tl_version}
Provides: tex(zut_f5n2rf.enc) = %{tl_version}
Provides: tex(zut_fc3mov.enc) = %{tl_version}
Provides: tex(zut_flhghs.enc) = %{tl_version}
Provides: tex(zut_g4w54e.enc) = %{tl_version}
Provides: tex(zut_geqeyh.enc) = %{tl_version}
Provides: tex(zut_hbxdik.enc) = %{tl_version}
Provides: tex(zut_hln2hy.enc) = %{tl_version}
Provides: tex(zut_hvy566.enc) = %{tl_version}
Provides: tex(zut_ijw3px.enc) = %{tl_version}
Provides: tex(zut_it5nv3.enc) = %{tl_version}
Provides: tex(zut_j3hjx2.enc) = %{tl_version}
Provides: tex(zut_k42udk.enc) = %{tl_version}
Provides: tex(zut_n2gc2n.enc) = %{tl_version}
Provides: tex(zut_nvi5ys.enc) = %{tl_version}
Provides: tex(zut_qy67bk.enc) = %{tl_version}
Provides: tex(zut_rhmrtx.enc) = %{tl_version}
Provides: tex(zut_rutxxy.enc) = %{tl_version}
Provides: tex(zut_tfeu3y.enc) = %{tl_version}
Provides: tex(zut_thxlbm.enc) = %{tl_version}
Provides: tex(zut_tsvs4d.enc) = %{tl_version}
Provides: tex(zut_u7pc6m.enc) = %{tl_version}
Provides: tex(zut_ul3ofd.enc) = %{tl_version}
Provides: tex(zut_v7it2w.enc) = %{tl_version}
Provides: tex(zut_vaioc2.enc) = %{tl_version}
Provides: tex(zut_vtjod4.enc) = %{tl_version}
Provides: tex(zut_ysltpx.enc) = %{tl_version}
Provides: tex(zut_zk7stm.enc) = %{tl_version}
Provides: tex(zut_zl5g24.enc) = %{tl_version}
Provides: tex(Heuristica.map) = %{tl_version}
Provides: tex(Heuristica-Bold.otf) = %{tl_version}
Provides: tex(Heuristica-BoldItalic.otf) = %{tl_version}
Provides: tex(Heuristica-Italic.otf) = %{tl_version}
Provides: tex(Heuristica-Regular.otf) = %{tl_version}
Provides: tex(Heuristica-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-inf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-inf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-inf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-sup-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-sup-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-sup-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-inf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-inf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-inf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-sup-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-sup-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-sup-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-inf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-inf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-inf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-sup-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-sup-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-sup-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-inf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-inf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-inf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-sup-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-sup-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-sup-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-t2b.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-t2c.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Heuristica-Bold.pfb) = %{tl_version}
Provides: tex(Heuristica-BoldItalic.pfb) = %{tl_version}
Provides: tex(Heuristica-Italic.pfb) = %{tl_version}
Provides: tex(Heuristica-Regular.pfb) = %{tl_version}
Provides: tex(Heuristica-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Heuristica-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(Heuristica-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1Heuristica-Inf.fd) = %{tl_version}
Provides: tex(LY1Heuristica-Sup.fd) = %{tl_version}
Provides: tex(LY1Heuristica-TLF.fd) = %{tl_version}
Provides: tex(LY1Heuristica-TOsF.fd) = %{tl_version}
Provides: tex(T1Heuristica-Inf.fd) = %{tl_version}
Provides: tex(T1Heuristica-Sup.fd) = %{tl_version}
Provides: tex(T1Heuristica-TLF.fd) = %{tl_version}
Provides: tex(T1Heuristica-TOsF.fd) = %{tl_version}
Provides: tex(T2AHeuristica-Inf.fd) = %{tl_version}
Provides: tex(T2AHeuristica-Sup.fd) = %{tl_version}
Provides: tex(T2AHeuristica-TLF.fd) = %{tl_version}
Provides: tex(T2AHeuristica-TOsF.fd) = %{tl_version}
Provides: tex(T2BHeuristica-Inf.fd) = %{tl_version}
Provides: tex(T2BHeuristica-Sup.fd) = %{tl_version}
Provides: tex(T2BHeuristica-TLF.fd) = %{tl_version}
Provides: tex(T2BHeuristica-TOsF.fd) = %{tl_version}
Provides: tex(T2CHeuristica-Inf.fd) = %{tl_version}
Provides: tex(T2CHeuristica-Sup.fd) = %{tl_version}
Provides: tex(T2CHeuristica-TLF.fd) = %{tl_version}
Provides: tex(T2CHeuristica-TOsF.fd) = %{tl_version}
Provides: tex(TS1Heuristica-TLF.fd) = %{tl_version}
Provides: tex(TS1Heuristica-TOsF.fd) = %{tl_version}
Provides: tex(heuristica.sty) = %{tl_version}

%description heuristica
The fonts extend the utopia set with Cyrillic glyphs,
additional figure styles, ligatures and Small Caps in Regular
style only. Macro support, and maths fonts that match the
Utopia family, are provided by the Fourier and the Mathdesign
font packages.

%package heuristica-doc
Summary: Documentation for heuristica
Version: svn43507
Provides: tex-heuristica-doc
AutoReqProv: No

%description heuristica-doc
Documentation for heuristica

%package hfbright
Provides: tex-hfbright = %{tl_version}
License: LPPL
Summary: The hfbright fonts
Version: svn29349.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(hfmital.enc) = %{tl_version}
Provides: tex(hfmsa.enc) = %{tl_version}
Provides: tex(hfmsb.enc) = %{tl_version}
Provides: tex(hfmsym.enc) = %{tl_version}
Provides: tex(hfot1.enc) = %{tl_version}
Provides: tex(hfbright.map) = %{tl_version}
Provides: tex(hfbr10.pfb) = %{tl_version}
Provides: tex(hfbr17.pfb) = %{tl_version}
Provides: tex(hfbr8.pfb) = %{tl_version}
Provides: tex(hfbr9.pfb) = %{tl_version}
Provides: tex(hfbras10.pfb) = %{tl_version}
Provides: tex(hfbras8.pfb) = %{tl_version}
Provides: tex(hfbras9.pfb) = %{tl_version}
Provides: tex(hfbrbs10.pfb) = %{tl_version}
Provides: tex(hfbrbs8.pfb) = %{tl_version}
Provides: tex(hfbrbs9.pfb) = %{tl_version}
Provides: tex(hfbrbx10.pfb) = %{tl_version}
Provides: tex(hfbrmb10.pfb) = %{tl_version}
Provides: tex(hfbrmi10.pfb) = %{tl_version}
Provides: tex(hfbrmi8.pfb) = %{tl_version}
Provides: tex(hfbrmi9.pfb) = %{tl_version}
Provides: tex(hfbrsl10.pfb) = %{tl_version}
Provides: tex(hfbrsl17.pfb) = %{tl_version}
Provides: tex(hfbrsl8.pfb) = %{tl_version}
Provides: tex(hfbrsl9.pfb) = %{tl_version}
Provides: tex(hfbrsy10.pfb) = %{tl_version}
Provides: tex(hfbrsy8.pfb) = %{tl_version}
Provides: tex(hfbrsy9.pfb) = %{tl_version}
Provides: tex(hfsltl10.pfb) = %{tl_version}
Provides: tex(hftl10.pfb) = %{tl_version}

%description hfbright
These are Adobe Type 1 versions of the OT1-encoded and maths
parts of the Computer Modern Bright fonts.

%package hfbright-doc
Summary: Documentation for hfbright
Version: svn29349.0

Provides: tex-hfbright-doc
AutoReqProv: No

%description hfbright-doc
Documentation for hfbright

%package hfoldsty
Provides: tex-hfoldsty = %{tl_version}
License: GPL+
Summary: Old style numerals with EC fonts
Version: svn29349.1.15

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(fix-cm.sty)
Requires: tex(ifthen.sty)
Provides: tex(hfobi0500.tfm) = %{tl_version}
Provides: tex(hfobi0600.tfm) = %{tl_version}
Provides: tex(hfobi0700.tfm) = %{tl_version}
Provides: tex(hfobi0800.tfm) = %{tl_version}
Provides: tex(hfobi0900.tfm) = %{tl_version}
Provides: tex(hfobi1000.tfm) = %{tl_version}
Provides: tex(hfobi1095.tfm) = %{tl_version}
Provides: tex(hfobi1200.tfm) = %{tl_version}
Provides: tex(hfobi1440.tfm) = %{tl_version}
Provides: tex(hfobi1728.tfm) = %{tl_version}
Provides: tex(hfobi2074.tfm) = %{tl_version}
Provides: tex(hfobi2488.tfm) = %{tl_version}
Provides: tex(hfobi2986.tfm) = %{tl_version}
Provides: tex(hfobi3583.tfm) = %{tl_version}
Provides: tex(hfobl0500.tfm) = %{tl_version}
Provides: tex(hfobl0600.tfm) = %{tl_version}
Provides: tex(hfobl0700.tfm) = %{tl_version}
Provides: tex(hfobl0800.tfm) = %{tl_version}
Provides: tex(hfobl0900.tfm) = %{tl_version}
Provides: tex(hfobl1000.tfm) = %{tl_version}
Provides: tex(hfobl1095.tfm) = %{tl_version}
Provides: tex(hfobl1200.tfm) = %{tl_version}
Provides: tex(hfobl1440.tfm) = %{tl_version}
Provides: tex(hfobl1728.tfm) = %{tl_version}
Provides: tex(hfobl2074.tfm) = %{tl_version}
Provides: tex(hfobl2488.tfm) = %{tl_version}
Provides: tex(hfobl2986.tfm) = %{tl_version}
Provides: tex(hfobl3583.tfm) = %{tl_version}
Provides: tex(hfobx0500.tfm) = %{tl_version}
Provides: tex(hfobx0600.tfm) = %{tl_version}
Provides: tex(hfobx0700.tfm) = %{tl_version}
Provides: tex(hfobx0800.tfm) = %{tl_version}
Provides: tex(hfobx0900.tfm) = %{tl_version}
Provides: tex(hfobx1000.tfm) = %{tl_version}
Provides: tex(hfobx1095.tfm) = %{tl_version}
Provides: tex(hfobx1200.tfm) = %{tl_version}
Provides: tex(hfobx1440.tfm) = %{tl_version}
Provides: tex(hfobx1728.tfm) = %{tl_version}
Provides: tex(hfobx2074.tfm) = %{tl_version}
Provides: tex(hfobx2488.tfm) = %{tl_version}
Provides: tex(hfobx2986.tfm) = %{tl_version}
Provides: tex(hfobx3583.tfm) = %{tl_version}
Provides: tex(hfocc0500.tfm) = %{tl_version}
Provides: tex(hfocc0600.tfm) = %{tl_version}
Provides: tex(hfocc0700.tfm) = %{tl_version}
Provides: tex(hfocc0800.tfm) = %{tl_version}
Provides: tex(hfocc0900.tfm) = %{tl_version}
Provides: tex(hfocc1000.tfm) = %{tl_version}
Provides: tex(hfocc1095.tfm) = %{tl_version}
Provides: tex(hfocc1200.tfm) = %{tl_version}
Provides: tex(hfocc1440.tfm) = %{tl_version}
Provides: tex(hfocc1728.tfm) = %{tl_version}
Provides: tex(hfocc2074.tfm) = %{tl_version}
Provides: tex(hfocc2488.tfm) = %{tl_version}
Provides: tex(hfocc2986.tfm) = %{tl_version}
Provides: tex(hfocc3583.tfm) = %{tl_version}
Provides: tex(hfodh0500.tfm) = %{tl_version}
Provides: tex(hfodh0600.tfm) = %{tl_version}
Provides: tex(hfodh0700.tfm) = %{tl_version}
Provides: tex(hfodh0800.tfm) = %{tl_version}
Provides: tex(hfodh0900.tfm) = %{tl_version}
Provides: tex(hfodh1000.tfm) = %{tl_version}
Provides: tex(hfodh1095.tfm) = %{tl_version}
Provides: tex(hfodh1200.tfm) = %{tl_version}
Provides: tex(hfodh1440.tfm) = %{tl_version}
Provides: tex(hfodh1728.tfm) = %{tl_version}
Provides: tex(hfodh2074.tfm) = %{tl_version}
Provides: tex(hfodh2488.tfm) = %{tl_version}
Provides: tex(hfodh2986.tfm) = %{tl_version}
Provides: tex(hfodh3583.tfm) = %{tl_version}
Provides: tex(hfoit0600.tfm) = %{tl_version}
Provides: tex(hfoit0700.tfm) = %{tl_version}
Provides: tex(hfoit0800.tfm) = %{tl_version}
Provides: tex(hfoit0900.tfm) = %{tl_version}
Provides: tex(hfoit1000.tfm) = %{tl_version}
Provides: tex(hfoit1095.tfm) = %{tl_version}
Provides: tex(hfoit1200.tfm) = %{tl_version}
Provides: tex(hfoit1440.tfm) = %{tl_version}
Provides: tex(hfoit1728.tfm) = %{tl_version}
Provides: tex(hfoit2074.tfm) = %{tl_version}
Provides: tex(hfoit2488.tfm) = %{tl_version}
Provides: tex(hfoit2986.tfm) = %{tl_version}
Provides: tex(hfoit3583.tfm) = %{tl_version}
Provides: tex(hfooc0500.tfm) = %{tl_version}
Provides: tex(hfooc0600.tfm) = %{tl_version}
Provides: tex(hfooc0700.tfm) = %{tl_version}
Provides: tex(hfooc0800.tfm) = %{tl_version}
Provides: tex(hfooc0900.tfm) = %{tl_version}
Provides: tex(hfooc1000.tfm) = %{tl_version}
Provides: tex(hfooc1095.tfm) = %{tl_version}
Provides: tex(hfooc1200.tfm) = %{tl_version}
Provides: tex(hfooc1440.tfm) = %{tl_version}
Provides: tex(hfooc1728.tfm) = %{tl_version}
Provides: tex(hfooc2074.tfm) = %{tl_version}
Provides: tex(hfooc2488.tfm) = %{tl_version}
Provides: tex(hfooc2986.tfm) = %{tl_version}
Provides: tex(hfooc3583.tfm) = %{tl_version}
Provides: tex(hforb0500.tfm) = %{tl_version}
Provides: tex(hforb0600.tfm) = %{tl_version}
Provides: tex(hforb0700.tfm) = %{tl_version}
Provides: tex(hforb0800.tfm) = %{tl_version}
Provides: tex(hforb0900.tfm) = %{tl_version}
Provides: tex(hforb1000.tfm) = %{tl_version}
Provides: tex(hforb1095.tfm) = %{tl_version}
Provides: tex(hforb1200.tfm) = %{tl_version}
Provides: tex(hforb1440.tfm) = %{tl_version}
Provides: tex(hforb1728.tfm) = %{tl_version}
Provides: tex(hforb2074.tfm) = %{tl_version}
Provides: tex(hforb2488.tfm) = %{tl_version}
Provides: tex(hforb2986.tfm) = %{tl_version}
Provides: tex(hforb3583.tfm) = %{tl_version}
Provides: tex(hform0500.tfm) = %{tl_version}
Provides: tex(hform0600.tfm) = %{tl_version}
Provides: tex(hform0700.tfm) = %{tl_version}
Provides: tex(hform0800.tfm) = %{tl_version}
Provides: tex(hform0900.tfm) = %{tl_version}
Provides: tex(hform1000.tfm) = %{tl_version}
Provides: tex(hform1095.tfm) = %{tl_version}
Provides: tex(hform1200.tfm) = %{tl_version}
Provides: tex(hform1440.tfm) = %{tl_version}
Provides: tex(hform1728.tfm) = %{tl_version}
Provides: tex(hform2074.tfm) = %{tl_version}
Provides: tex(hform2488.tfm) = %{tl_version}
Provides: tex(hform2986.tfm) = %{tl_version}
Provides: tex(hform3583.tfm) = %{tl_version}
Provides: tex(hfosc0500.tfm) = %{tl_version}
Provides: tex(hfosc0600.tfm) = %{tl_version}
Provides: tex(hfosc0700.tfm) = %{tl_version}
Provides: tex(hfosc0800.tfm) = %{tl_version}
Provides: tex(hfosc0900.tfm) = %{tl_version}
Provides: tex(hfosc1000.tfm) = %{tl_version}
Provides: tex(hfosc1095.tfm) = %{tl_version}
Provides: tex(hfosc1200.tfm) = %{tl_version}
Provides: tex(hfosc1440.tfm) = %{tl_version}
Provides: tex(hfosc1728.tfm) = %{tl_version}
Provides: tex(hfosc2074.tfm) = %{tl_version}
Provides: tex(hfosc2488.tfm) = %{tl_version}
Provides: tex(hfosc2986.tfm) = %{tl_version}
Provides: tex(hfosc3583.tfm) = %{tl_version}
Provides: tex(hfosi0500.tfm) = %{tl_version}
Provides: tex(hfosi0600.tfm) = %{tl_version}
Provides: tex(hfosi0700.tfm) = %{tl_version}
Provides: tex(hfosi0800.tfm) = %{tl_version}
Provides: tex(hfosi0900.tfm) = %{tl_version}
Provides: tex(hfosi1000.tfm) = %{tl_version}
Provides: tex(hfosi1095.tfm) = %{tl_version}
Provides: tex(hfosi1200.tfm) = %{tl_version}
Provides: tex(hfosi1440.tfm) = %{tl_version}
Provides: tex(hfosi1728.tfm) = %{tl_version}
Provides: tex(hfosi2074.tfm) = %{tl_version}
Provides: tex(hfosi2488.tfm) = %{tl_version}
Provides: tex(hfosi2986.tfm) = %{tl_version}
Provides: tex(hfosi3583.tfm) = %{tl_version}
Provides: tex(hfosl0500.tfm) = %{tl_version}
Provides: tex(hfosl0600.tfm) = %{tl_version}
Provides: tex(hfosl0700.tfm) = %{tl_version}
Provides: tex(hfosl0800.tfm) = %{tl_version}
Provides: tex(hfosl0900.tfm) = %{tl_version}
Provides: tex(hfosl1000.tfm) = %{tl_version}
Provides: tex(hfosl1095.tfm) = %{tl_version}
Provides: tex(hfosl1200.tfm) = %{tl_version}
Provides: tex(hfosl1440.tfm) = %{tl_version}
Provides: tex(hfosl1728.tfm) = %{tl_version}
Provides: tex(hfosl2074.tfm) = %{tl_version}
Provides: tex(hfosl2488.tfm) = %{tl_version}
Provides: tex(hfosl2986.tfm) = %{tl_version}
Provides: tex(hfosl3583.tfm) = %{tl_version}
Provides: tex(hfoso0500.tfm) = %{tl_version}
Provides: tex(hfoso0600.tfm) = %{tl_version}
Provides: tex(hfoso0700.tfm) = %{tl_version}
Provides: tex(hfoso0800.tfm) = %{tl_version}
Provides: tex(hfoso0900.tfm) = %{tl_version}
Provides: tex(hfoso1000.tfm) = %{tl_version}
Provides: tex(hfoso1095.tfm) = %{tl_version}
Provides: tex(hfoso1200.tfm) = %{tl_version}
Provides: tex(hfoso1440.tfm) = %{tl_version}
Provides: tex(hfoso1728.tfm) = %{tl_version}
Provides: tex(hfoso2074.tfm) = %{tl_version}
Provides: tex(hfoso2488.tfm) = %{tl_version}
Provides: tex(hfoso2986.tfm) = %{tl_version}
Provides: tex(hfoso3583.tfm) = %{tl_version}
Provides: tex(hfoss0500.tfm) = %{tl_version}
Provides: tex(hfoss0600.tfm) = %{tl_version}
Provides: tex(hfoss0700.tfm) = %{tl_version}
Provides: tex(hfoss0800.tfm) = %{tl_version}
Provides: tex(hfoss0900.tfm) = %{tl_version}
Provides: tex(hfoss1000.tfm) = %{tl_version}
Provides: tex(hfoss1095.tfm) = %{tl_version}
Provides: tex(hfoss1200.tfm) = %{tl_version}
Provides: tex(hfoss1440.tfm) = %{tl_version}
Provides: tex(hfoss1728.tfm) = %{tl_version}
Provides: tex(hfoss2074.tfm) = %{tl_version}
Provides: tex(hfoss2488.tfm) = %{tl_version}
Provides: tex(hfoss2986.tfm) = %{tl_version}
Provides: tex(hfoss3583.tfm) = %{tl_version}
Provides: tex(hfost0600.tfm) = %{tl_version}
Provides: tex(hfost0700.tfm) = %{tl_version}
Provides: tex(hfost0800.tfm) = %{tl_version}
Provides: tex(hfost0900.tfm) = %{tl_version}
Provides: tex(hfost1000.tfm) = %{tl_version}
Provides: tex(hfost1095.tfm) = %{tl_version}
Provides: tex(hfost1200.tfm) = %{tl_version}
Provides: tex(hfost1440.tfm) = %{tl_version}
Provides: tex(hfost1728.tfm) = %{tl_version}
Provides: tex(hfost2074.tfm) = %{tl_version}
Provides: tex(hfost2488.tfm) = %{tl_version}
Provides: tex(hfost2986.tfm) = %{tl_version}
Provides: tex(hfost3583.tfm) = %{tl_version}
Provides: tex(hfosx0500.tfm) = %{tl_version}
Provides: tex(hfosx0600.tfm) = %{tl_version}
Provides: tex(hfosx0700.tfm) = %{tl_version}
Provides: tex(hfosx0800.tfm) = %{tl_version}
Provides: tex(hfosx0900.tfm) = %{tl_version}
Provides: tex(hfosx1000.tfm) = %{tl_version}
Provides: tex(hfosx1095.tfm) = %{tl_version}
Provides: tex(hfosx1200.tfm) = %{tl_version}
Provides: tex(hfosx1440.tfm) = %{tl_version}
Provides: tex(hfosx1728.tfm) = %{tl_version}
Provides: tex(hfosx2074.tfm) = %{tl_version}
Provides: tex(hfosx2488.tfm) = %{tl_version}
Provides: tex(hfosx2986.tfm) = %{tl_version}
Provides: tex(hfosx3583.tfm) = %{tl_version}
Provides: tex(hfotc0600.tfm) = %{tl_version}
Provides: tex(hfotc0700.tfm) = %{tl_version}
Provides: tex(hfotc0800.tfm) = %{tl_version}
Provides: tex(hfotc0900.tfm) = %{tl_version}
Provides: tex(hfotc1000.tfm) = %{tl_version}
Provides: tex(hfotc1095.tfm) = %{tl_version}
Provides: tex(hfotc1200.tfm) = %{tl_version}
Provides: tex(hfotc1440.tfm) = %{tl_version}
Provides: tex(hfotc1728.tfm) = %{tl_version}
Provides: tex(hfotc2074.tfm) = %{tl_version}
Provides: tex(hfotc2488.tfm) = %{tl_version}
Provides: tex(hfotc2986.tfm) = %{tl_version}
Provides: tex(hfotc3583.tfm) = %{tl_version}
Provides: tex(hfoti0500.tfm) = %{tl_version}
Provides: tex(hfoti0600.tfm) = %{tl_version}
Provides: tex(hfoti0700.tfm) = %{tl_version}
Provides: tex(hfoti0800.tfm) = %{tl_version}
Provides: tex(hfoti0900.tfm) = %{tl_version}
Provides: tex(hfoti1000.tfm) = %{tl_version}
Provides: tex(hfoti1095.tfm) = %{tl_version}
Provides: tex(hfoti1200.tfm) = %{tl_version}
Provides: tex(hfoti1440.tfm) = %{tl_version}
Provides: tex(hfoti1728.tfm) = %{tl_version}
Provides: tex(hfoti2074.tfm) = %{tl_version}
Provides: tex(hfoti2488.tfm) = %{tl_version}
Provides: tex(hfoti2986.tfm) = %{tl_version}
Provides: tex(hfoti3583.tfm) = %{tl_version}
Provides: tex(hfott0600.tfm) = %{tl_version}
Provides: tex(hfott0700.tfm) = %{tl_version}
Provides: tex(hfott0800.tfm) = %{tl_version}
Provides: tex(hfott0900.tfm) = %{tl_version}
Provides: tex(hfott1000.tfm) = %{tl_version}
Provides: tex(hfott1095.tfm) = %{tl_version}
Provides: tex(hfott1200.tfm) = %{tl_version}
Provides: tex(hfott1440.tfm) = %{tl_version}
Provides: tex(hfott1728.tfm) = %{tl_version}
Provides: tex(hfott2074.tfm) = %{tl_version}
Provides: tex(hfott2488.tfm) = %{tl_version}
Provides: tex(hfott2986.tfm) = %{tl_version}
Provides: tex(hfott3583.tfm) = %{tl_version}
Provides: tex(hfoui0500.tfm) = %{tl_version}
Provides: tex(hfoui0600.tfm) = %{tl_version}
Provides: tex(hfoui0700.tfm) = %{tl_version}
Provides: tex(hfoui0800.tfm) = %{tl_version}
Provides: tex(hfoui0900.tfm) = %{tl_version}
Provides: tex(hfoui1000.tfm) = %{tl_version}
Provides: tex(hfoui1095.tfm) = %{tl_version}
Provides: tex(hfoui1200.tfm) = %{tl_version}
Provides: tex(hfoui1440.tfm) = %{tl_version}
Provides: tex(hfoui1728.tfm) = %{tl_version}
Provides: tex(hfoui2074.tfm) = %{tl_version}
Provides: tex(hfoui2488.tfm) = %{tl_version}
Provides: tex(hfoui2986.tfm) = %{tl_version}
Provides: tex(hfoui3583.tfm) = %{tl_version}
Provides: tex(hfovi0600.tfm) = %{tl_version}
Provides: tex(hfovi0700.tfm) = %{tl_version}
Provides: tex(hfovi0800.tfm) = %{tl_version}
Provides: tex(hfovi0900.tfm) = %{tl_version}
Provides: tex(hfovi1000.tfm) = %{tl_version}
Provides: tex(hfovi1095.tfm) = %{tl_version}
Provides: tex(hfovi1200.tfm) = %{tl_version}
Provides: tex(hfovi1440.tfm) = %{tl_version}
Provides: tex(hfovi1728.tfm) = %{tl_version}
Provides: tex(hfovi2074.tfm) = %{tl_version}
Provides: tex(hfovi2488.tfm) = %{tl_version}
Provides: tex(hfovi2986.tfm) = %{tl_version}
Provides: tex(hfovi3583.tfm) = %{tl_version}
Provides: tex(hfovt0600.tfm) = %{tl_version}
Provides: tex(hfovt0700.tfm) = %{tl_version}
Provides: tex(hfovt0800.tfm) = %{tl_version}
Provides: tex(hfovt0900.tfm) = %{tl_version}
Provides: tex(hfovt1000.tfm) = %{tl_version}
Provides: tex(hfovt1095.tfm) = %{tl_version}
Provides: tex(hfovt1200.tfm) = %{tl_version}
Provides: tex(hfovt1440.tfm) = %{tl_version}
Provides: tex(hfovt1728.tfm) = %{tl_version}
Provides: tex(hfovt2074.tfm) = %{tl_version}
Provides: tex(hfovt2488.tfm) = %{tl_version}
Provides: tex(hfovt2986.tfm) = %{tl_version}
Provides: tex(hfovt3583.tfm) = %{tl_version}
Provides: tex(hfoxc0500.tfm) = %{tl_version}
Provides: tex(hfoxc0600.tfm) = %{tl_version}
Provides: tex(hfoxc0700.tfm) = %{tl_version}
Provides: tex(hfoxc0800.tfm) = %{tl_version}
Provides: tex(hfoxc0900.tfm) = %{tl_version}
Provides: tex(hfoxc1000.tfm) = %{tl_version}
Provides: tex(hfoxc1095.tfm) = %{tl_version}
Provides: tex(hfoxc1200.tfm) = %{tl_version}
Provides: tex(hfoxc1440.tfm) = %{tl_version}
Provides: tex(hfoxc1728.tfm) = %{tl_version}
Provides: tex(hfoxc2074.tfm) = %{tl_version}
Provides: tex(hfoxc2488.tfm) = %{tl_version}
Provides: tex(hfoxc2986.tfm) = %{tl_version}
Provides: tex(hfoxc3583.tfm) = %{tl_version}
Provides: tex(hfobi0500.vf) = %{tl_version}
Provides: tex(hfobi0600.vf) = %{tl_version}
Provides: tex(hfobi0700.vf) = %{tl_version}
Provides: tex(hfobi0800.vf) = %{tl_version}
Provides: tex(hfobi0900.vf) = %{tl_version}
Provides: tex(hfobi1000.vf) = %{tl_version}
Provides: tex(hfobi1095.vf) = %{tl_version}
Provides: tex(hfobi1200.vf) = %{tl_version}
Provides: tex(hfobi1440.vf) = %{tl_version}
Provides: tex(hfobi1728.vf) = %{tl_version}
Provides: tex(hfobi2074.vf) = %{tl_version}
Provides: tex(hfobi2488.vf) = %{tl_version}
Provides: tex(hfobi2986.vf) = %{tl_version}
Provides: tex(hfobi3583.vf) = %{tl_version}
Provides: tex(hfobl0500.vf) = %{tl_version}
Provides: tex(hfobl0600.vf) = %{tl_version}
Provides: tex(hfobl0700.vf) = %{tl_version}
Provides: tex(hfobl0800.vf) = %{tl_version}
Provides: tex(hfobl0900.vf) = %{tl_version}
Provides: tex(hfobl1000.vf) = %{tl_version}
Provides: tex(hfobl1095.vf) = %{tl_version}
Provides: tex(hfobl1200.vf) = %{tl_version}
Provides: tex(hfobl1440.vf) = %{tl_version}
Provides: tex(hfobl1728.vf) = %{tl_version}
Provides: tex(hfobl2074.vf) = %{tl_version}
Provides: tex(hfobl2488.vf) = %{tl_version}
Provides: tex(hfobl2986.vf) = %{tl_version}
Provides: tex(hfobl3583.vf) = %{tl_version}
Provides: tex(hfobx0500.vf) = %{tl_version}
Provides: tex(hfobx0600.vf) = %{tl_version}
Provides: tex(hfobx0700.vf) = %{tl_version}
Provides: tex(hfobx0800.vf) = %{tl_version}
Provides: tex(hfobx0900.vf) = %{tl_version}
Provides: tex(hfobx1000.vf) = %{tl_version}
Provides: tex(hfobx1095.vf) = %{tl_version}
Provides: tex(hfobx1200.vf) = %{tl_version}
Provides: tex(hfobx1440.vf) = %{tl_version}
Provides: tex(hfobx1728.vf) = %{tl_version}
Provides: tex(hfobx2074.vf) = %{tl_version}
Provides: tex(hfobx2488.vf) = %{tl_version}
Provides: tex(hfobx2986.vf) = %{tl_version}
Provides: tex(hfobx3583.vf) = %{tl_version}
Provides: tex(hfocc0500.vf) = %{tl_version}
Provides: tex(hfocc0600.vf) = %{tl_version}
Provides: tex(hfocc0700.vf) = %{tl_version}
Provides: tex(hfocc0800.vf) = %{tl_version}
Provides: tex(hfocc0900.vf) = %{tl_version}
Provides: tex(hfocc1000.vf) = %{tl_version}
Provides: tex(hfocc1095.vf) = %{tl_version}
Provides: tex(hfocc1200.vf) = %{tl_version}
Provides: tex(hfocc1440.vf) = %{tl_version}
Provides: tex(hfocc1728.vf) = %{tl_version}
Provides: tex(hfocc2074.vf) = %{tl_version}
Provides: tex(hfocc2488.vf) = %{tl_version}
Provides: tex(hfocc2986.vf) = %{tl_version}
Provides: tex(hfocc3583.vf) = %{tl_version}
Provides: tex(hfodh0500.vf) = %{tl_version}
Provides: tex(hfodh0600.vf) = %{tl_version}
Provides: tex(hfodh0700.vf) = %{tl_version}
Provides: tex(hfodh0800.vf) = %{tl_version}
Provides: tex(hfodh0900.vf) = %{tl_version}
Provides: tex(hfodh1000.vf) = %{tl_version}
Provides: tex(hfodh1095.vf) = %{tl_version}
Provides: tex(hfodh1200.vf) = %{tl_version}
Provides: tex(hfodh1440.vf) = %{tl_version}
Provides: tex(hfodh1728.vf) = %{tl_version}
Provides: tex(hfodh2074.vf) = %{tl_version}
Provides: tex(hfodh2488.vf) = %{tl_version}
Provides: tex(hfodh2986.vf) = %{tl_version}
Provides: tex(hfodh3583.vf) = %{tl_version}
Provides: tex(hfoit0600.vf) = %{tl_version}
Provides: tex(hfoit0700.vf) = %{tl_version}
Provides: tex(hfoit0800.vf) = %{tl_version}
Provides: tex(hfoit0900.vf) = %{tl_version}
Provides: tex(hfoit1000.vf) = %{tl_version}
Provides: tex(hfoit1095.vf) = %{tl_version}
Provides: tex(hfoit1200.vf) = %{tl_version}
Provides: tex(hfoit1440.vf) = %{tl_version}
Provides: tex(hfoit1728.vf) = %{tl_version}
Provides: tex(hfoit2074.vf) = %{tl_version}
Provides: tex(hfoit2488.vf) = %{tl_version}
Provides: tex(hfoit2986.vf) = %{tl_version}
Provides: tex(hfoit3583.vf) = %{tl_version}
Provides: tex(hfooc0500.vf) = %{tl_version}
Provides: tex(hfooc0600.vf) = %{tl_version}
Provides: tex(hfooc0700.vf) = %{tl_version}
Provides: tex(hfooc0800.vf) = %{tl_version}
Provides: tex(hfooc0900.vf) = %{tl_version}
Provides: tex(hfooc1000.vf) = %{tl_version}
Provides: tex(hfooc1095.vf) = %{tl_version}
Provides: tex(hfooc1200.vf) = %{tl_version}
Provides: tex(hfooc1440.vf) = %{tl_version}
Provides: tex(hfooc1728.vf) = %{tl_version}
Provides: tex(hfooc2074.vf) = %{tl_version}
Provides: tex(hfooc2488.vf) = %{tl_version}
Provides: tex(hfooc2986.vf) = %{tl_version}
Provides: tex(hfooc3583.vf) = %{tl_version}
Provides: tex(hforb0500.vf) = %{tl_version}
Provides: tex(hforb0600.vf) = %{tl_version}
Provides: tex(hforb0700.vf) = %{tl_version}
Provides: tex(hforb0800.vf) = %{tl_version}
Provides: tex(hforb0900.vf) = %{tl_version}
Provides: tex(hforb1000.vf) = %{tl_version}
Provides: tex(hforb1095.vf) = %{tl_version}
Provides: tex(hforb1200.vf) = %{tl_version}
Provides: tex(hforb1440.vf) = %{tl_version}
Provides: tex(hforb1728.vf) = %{tl_version}
Provides: tex(hforb2074.vf) = %{tl_version}
Provides: tex(hforb2488.vf) = %{tl_version}
Provides: tex(hforb2986.vf) = %{tl_version}
Provides: tex(hforb3583.vf) = %{tl_version}
Provides: tex(hform0500.vf) = %{tl_version}
Provides: tex(hform0600.vf) = %{tl_version}
Provides: tex(hform0700.vf) = %{tl_version}
Provides: tex(hform0800.vf) = %{tl_version}
Provides: tex(hform0900.vf) = %{tl_version}
Provides: tex(hform1000.vf) = %{tl_version}
Provides: tex(hform1095.vf) = %{tl_version}
Provides: tex(hform1200.vf) = %{tl_version}
Provides: tex(hform1440.vf) = %{tl_version}
Provides: tex(hform1728.vf) = %{tl_version}
Provides: tex(hform2074.vf) = %{tl_version}
Provides: tex(hform2488.vf) = %{tl_version}
Provides: tex(hform2986.vf) = %{tl_version}
Provides: tex(hform3583.vf) = %{tl_version}
Provides: tex(hfosc0500.vf) = %{tl_version}
Provides: tex(hfosc0600.vf) = %{tl_version}
Provides: tex(hfosc0700.vf) = %{tl_version}
Provides: tex(hfosc0800.vf) = %{tl_version}
Provides: tex(hfosc0900.vf) = %{tl_version}
Provides: tex(hfosc1000.vf) = %{tl_version}
Provides: tex(hfosc1095.vf) = %{tl_version}
Provides: tex(hfosc1200.vf) = %{tl_version}
Provides: tex(hfosc1440.vf) = %{tl_version}
Provides: tex(hfosc1728.vf) = %{tl_version}
Provides: tex(hfosc2074.vf) = %{tl_version}
Provides: tex(hfosc2488.vf) = %{tl_version}
Provides: tex(hfosc2986.vf) = %{tl_version}
Provides: tex(hfosc3583.vf) = %{tl_version}
Provides: tex(hfosi0500.vf) = %{tl_version}
Provides: tex(hfosi0600.vf) = %{tl_version}
Provides: tex(hfosi0700.vf) = %{tl_version}
Provides: tex(hfosi0800.vf) = %{tl_version}
Provides: tex(hfosi0900.vf) = %{tl_version}
Provides: tex(hfosi1000.vf) = %{tl_version}
Provides: tex(hfosi1095.vf) = %{tl_version}
Provides: tex(hfosi1200.vf) = %{tl_version}
Provides: tex(hfosi1440.vf) = %{tl_version}
Provides: tex(hfosi1728.vf) = %{tl_version}
Provides: tex(hfosi2074.vf) = %{tl_version}
Provides: tex(hfosi2488.vf) = %{tl_version}
Provides: tex(hfosi2986.vf) = %{tl_version}
Provides: tex(hfosi3583.vf) = %{tl_version}
Provides: tex(hfosl0500.vf) = %{tl_version}
Provides: tex(hfosl0600.vf) = %{tl_version}
Provides: tex(hfosl0700.vf) = %{tl_version}
Provides: tex(hfosl0800.vf) = %{tl_version}
Provides: tex(hfosl0900.vf) = %{tl_version}
Provides: tex(hfosl1000.vf) = %{tl_version}
Provides: tex(hfosl1095.vf) = %{tl_version}
Provides: tex(hfosl1200.vf) = %{tl_version}
Provides: tex(hfosl1440.vf) = %{tl_version}
Provides: tex(hfosl1728.vf) = %{tl_version}
Provides: tex(hfosl2074.vf) = %{tl_version}
Provides: tex(hfosl2488.vf) = %{tl_version}
Provides: tex(hfosl2986.vf) = %{tl_version}
Provides: tex(hfosl3583.vf) = %{tl_version}
Provides: tex(hfoso0500.vf) = %{tl_version}
Provides: tex(hfoso0600.vf) = %{tl_version}
Provides: tex(hfoso0700.vf) = %{tl_version}
Provides: tex(hfoso0800.vf) = %{tl_version}
Provides: tex(hfoso0900.vf) = %{tl_version}
Provides: tex(hfoso1000.vf) = %{tl_version}
Provides: tex(hfoso1095.vf) = %{tl_version}
Provides: tex(hfoso1200.vf) = %{tl_version}
Provides: tex(hfoso1440.vf) = %{tl_version}
Provides: tex(hfoso1728.vf) = %{tl_version}
Provides: tex(hfoso2074.vf) = %{tl_version}
Provides: tex(hfoso2488.vf) = %{tl_version}
Provides: tex(hfoso2986.vf) = %{tl_version}
Provides: tex(hfoso3583.vf) = %{tl_version}
Provides: tex(hfoss0500.vf) = %{tl_version}
Provides: tex(hfoss0600.vf) = %{tl_version}
Provides: tex(hfoss0700.vf) = %{tl_version}
Provides: tex(hfoss0800.vf) = %{tl_version}
Provides: tex(hfoss0900.vf) = %{tl_version}
Provides: tex(hfoss1000.vf) = %{tl_version}
Provides: tex(hfoss1095.vf) = %{tl_version}
Provides: tex(hfoss1200.vf) = %{tl_version}
Provides: tex(hfoss1440.vf) = %{tl_version}
Provides: tex(hfoss1728.vf) = %{tl_version}
Provides: tex(hfoss2074.vf) = %{tl_version}
Provides: tex(hfoss2488.vf) = %{tl_version}
Provides: tex(hfoss2986.vf) = %{tl_version}
Provides: tex(hfoss3583.vf) = %{tl_version}
Provides: tex(hfost0600.vf) = %{tl_version}
Provides: tex(hfost0700.vf) = %{tl_version}
Provides: tex(hfost0800.vf) = %{tl_version}
Provides: tex(hfost0900.vf) = %{tl_version}
Provides: tex(hfost1000.vf) = %{tl_version}
Provides: tex(hfost1095.vf) = %{tl_version}
Provides: tex(hfost1200.vf) = %{tl_version}
Provides: tex(hfost1440.vf) = %{tl_version}
Provides: tex(hfost1728.vf) = %{tl_version}
Provides: tex(hfost2074.vf) = %{tl_version}
Provides: tex(hfost2488.vf) = %{tl_version}
Provides: tex(hfost2986.vf) = %{tl_version}
Provides: tex(hfost3583.vf) = %{tl_version}
Provides: tex(hfosx0500.vf) = %{tl_version}
Provides: tex(hfosx0600.vf) = %{tl_version}
Provides: tex(hfosx0700.vf) = %{tl_version}
Provides: tex(hfosx0800.vf) = %{tl_version}
Provides: tex(hfosx0900.vf) = %{tl_version}
Provides: tex(hfosx1000.vf) = %{tl_version}
Provides: tex(hfosx1095.vf) = %{tl_version}
Provides: tex(hfosx1200.vf) = %{tl_version}
Provides: tex(hfosx1440.vf) = %{tl_version}
Provides: tex(hfosx1728.vf) = %{tl_version}
Provides: tex(hfosx2074.vf) = %{tl_version}
Provides: tex(hfosx2488.vf) = %{tl_version}
Provides: tex(hfosx2986.vf) = %{tl_version}
Provides: tex(hfosx3583.vf) = %{tl_version}
Provides: tex(hfotc0600.vf) = %{tl_version}
Provides: tex(hfotc0700.vf) = %{tl_version}
Provides: tex(hfotc0800.vf) = %{tl_version}
Provides: tex(hfotc0900.vf) = %{tl_version}
Provides: tex(hfotc1000.vf) = %{tl_version}
Provides: tex(hfotc1095.vf) = %{tl_version}
Provides: tex(hfotc1200.vf) = %{tl_version}
Provides: tex(hfotc1440.vf) = %{tl_version}
Provides: tex(hfotc1728.vf) = %{tl_version}
Provides: tex(hfotc2074.vf) = %{tl_version}
Provides: tex(hfotc2488.vf) = %{tl_version}
Provides: tex(hfotc2986.vf) = %{tl_version}
Provides: tex(hfotc3583.vf) = %{tl_version}
Provides: tex(hfoti0500.vf) = %{tl_version}
Provides: tex(hfoti0600.vf) = %{tl_version}
Provides: tex(hfoti0700.vf) = %{tl_version}
Provides: tex(hfoti0800.vf) = %{tl_version}
Provides: tex(hfoti0900.vf) = %{tl_version}
Provides: tex(hfoti1000.vf) = %{tl_version}
Provides: tex(hfoti1095.vf) = %{tl_version}
Provides: tex(hfoti1200.vf) = %{tl_version}
Provides: tex(hfoti1440.vf) = %{tl_version}
Provides: tex(hfoti1728.vf) = %{tl_version}
Provides: tex(hfoti2074.vf) = %{tl_version}
Provides: tex(hfoti2488.vf) = %{tl_version}
Provides: tex(hfoti2986.vf) = %{tl_version}
Provides: tex(hfoti3583.vf) = %{tl_version}
Provides: tex(hfott0600.vf) = %{tl_version}
Provides: tex(hfott0700.vf) = %{tl_version}
Provides: tex(hfott0800.vf) = %{tl_version}
Provides: tex(hfott0900.vf) = %{tl_version}
Provides: tex(hfott1000.vf) = %{tl_version}
Provides: tex(hfott1095.vf) = %{tl_version}
Provides: tex(hfott1200.vf) = %{tl_version}
Provides: tex(hfott1440.vf) = %{tl_version}
Provides: tex(hfott1728.vf) = %{tl_version}
Provides: tex(hfott2074.vf) = %{tl_version}
Provides: tex(hfott2488.vf) = %{tl_version}
Provides: tex(hfott2986.vf) = %{tl_version}
Provides: tex(hfott3583.vf) = %{tl_version}
Provides: tex(hfoui0500.vf) = %{tl_version}
Provides: tex(hfoui0600.vf) = %{tl_version}
Provides: tex(hfoui0700.vf) = %{tl_version}
Provides: tex(hfoui0800.vf) = %{tl_version}
Provides: tex(hfoui0900.vf) = %{tl_version}
Provides: tex(hfoui1000.vf) = %{tl_version}
Provides: tex(hfoui1095.vf) = %{tl_version}
Provides: tex(hfoui1200.vf) = %{tl_version}
Provides: tex(hfoui1440.vf) = %{tl_version}
Provides: tex(hfoui1728.vf) = %{tl_version}
Provides: tex(hfoui2074.vf) = %{tl_version}
Provides: tex(hfoui2488.vf) = %{tl_version}
Provides: tex(hfoui2986.vf) = %{tl_version}
Provides: tex(hfoui3583.vf) = %{tl_version}
Provides: tex(hfovi0600.vf) = %{tl_version}
Provides: tex(hfovi0700.vf) = %{tl_version}
Provides: tex(hfovi0800.vf) = %{tl_version}
Provides: tex(hfovi0900.vf) = %{tl_version}
Provides: tex(hfovi1000.vf) = %{tl_version}
Provides: tex(hfovi1095.vf) = %{tl_version}
Provides: tex(hfovi1200.vf) = %{tl_version}
Provides: tex(hfovi1440.vf) = %{tl_version}
Provides: tex(hfovi1728.vf) = %{tl_version}
Provides: tex(hfovi2074.vf) = %{tl_version}
Provides: tex(hfovi2488.vf) = %{tl_version}
Provides: tex(hfovi2986.vf) = %{tl_version}
Provides: tex(hfovi3583.vf) = %{tl_version}
Provides: tex(hfovt0600.vf) = %{tl_version}
Provides: tex(hfovt0700.vf) = %{tl_version}
Provides: tex(hfovt0800.vf) = %{tl_version}
Provides: tex(hfovt0900.vf) = %{tl_version}
Provides: tex(hfovt1000.vf) = %{tl_version}
Provides: tex(hfovt1095.vf) = %{tl_version}
Provides: tex(hfovt1200.vf) = %{tl_version}
Provides: tex(hfovt1440.vf) = %{tl_version}
Provides: tex(hfovt1728.vf) = %{tl_version}
Provides: tex(hfovt2074.vf) = %{tl_version}
Provides: tex(hfovt2488.vf) = %{tl_version}
Provides: tex(hfovt2986.vf) = %{tl_version}
Provides: tex(hfovt3583.vf) = %{tl_version}
Provides: tex(hfoxc0500.vf) = %{tl_version}
Provides: tex(hfoxc0600.vf) = %{tl_version}
Provides: tex(hfoxc0700.vf) = %{tl_version}
Provides: tex(hfoxc0800.vf) = %{tl_version}
Provides: tex(hfoxc0900.vf) = %{tl_version}
Provides: tex(hfoxc1000.vf) = %{tl_version}
Provides: tex(hfoxc1095.vf) = %{tl_version}
Provides: tex(hfoxc1200.vf) = %{tl_version}
Provides: tex(hfoxc1440.vf) = %{tl_version}
Provides: tex(hfoxc1728.vf) = %{tl_version}
Provides: tex(hfoxc2074.vf) = %{tl_version}
Provides: tex(hfoxc2488.vf) = %{tl_version}
Provides: tex(hfoxc2986.vf) = %{tl_version}
Provides: tex(hfoxc3583.vf) = %{tl_version}
Provides: tex(hfoldsty.sty) = %{tl_version}
Provides: tex(omlhfor.fd) = %{tl_version}
Provides: tex(omshfor.fd) = %{tl_version}
Provides: tex(t1hfodh.fd) = %{tl_version}
Provides: tex(t1hfor.fd) = %{tl_version}
Provides: tex(t1hfoss.fd) = %{tl_version}
Provides: tex(t1hfott.fd) = %{tl_version}
Provides: tex(t1hfovt.fd) = %{tl_version}
Provides: tex(ts1hfor.fd) = %{tl_version}
Provides: tex(ts1hfoss.fd) = %{tl_version}
Provides: tex(ts1hfott.fd) = %{tl_version}
Provides: tex(ts1hfovtt.fd) = %{tl_version}

%description hfoldsty
The hfoldsty package provides virtual fonts for using oldstyle
(0123456789) figures with the European Computer Modern fonts.
It does a similar job as the eco package by Sebastian Kirsch
but includes a couple of improvements, i.e., better kerning
with guillemets, and support for character protruding using the
pdfcprot package.

%package hfoldsty-doc
Summary: Documentation for hfoldsty
Version: svn29349.1.15

Provides: tex-hfoldsty-doc
AutoReqProv: No

%description hfoldsty-doc
Documentation for hfoldsty

%package ifsym
Provides: tex-ifsym = %{tl_version}
License: LPPL
Summary: A collection of symbols
Version: svn24868.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Provides: tex(ifclk10.tfm) = %{tl_version}
Provides: tex(ifclkb10.tfm) = %{tl_version}
Provides: tex(ifgeo10.tfm) = %{tl_version}
Provides: tex(ifgeob10.tfm) = %{tl_version}
Provides: tex(ifgeobn10.tfm) = %{tl_version}
Provides: tex(ifgeobw10.tfm) = %{tl_version}
Provides: tex(ifgeon10.tfm) = %{tl_version}
Provides: tex(ifgeow10.tfm) = %{tl_version}
Provides: tex(ifsym10.tfm) = %{tl_version}
Provides: tex(ifsymb10.tfm) = %{tl_version}
Provides: tex(ifsymbi10.tfm) = %{tl_version}
Provides: tex(ifsymi10.tfm) = %{tl_version}
Provides: tex(ifwea10.tfm) = %{tl_version}
Provides: tex(ifweab10.tfm) = %{tl_version}
Provides: tex(ifsym.sty) = %{tl_version}
Provides: tex(uifblk.fd) = %{tl_version}
Provides: tex(uifclk.fd) = %{tl_version}
Provides: tex(uifgeo.fd) = %{tl_version}
Provides: tex(uifsym.fd) = %{tl_version}
Provides: tex(uifwea.fd) = %{tl_version}

%description ifsym
A set of symbol fonts, written in Metafont, offering
(respectively) clock-face symbols, geometrical symbols, weather
symbols, mountaineering symbols, electronic circuit symbols and
a set of miscellaneous symbols. A LaTeX package is provided,
that allows the user to load only those symbols needed in a
document.

%package ifsym-doc
Summary: Documentation for ifsym
Version: svn24868.0

Provides: tex-ifsym-doc
AutoReqProv: No

%description ifsym-doc
Documentation for ifsym

%package inconsolata
Provides: tex-inconsolata = %{tl_version}
License: OFL
Summary: A monospaced font, with support files for use with TeX
Version: svn45505
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(textcomp.sty)
Requires: tex(keyval.sty)
Provides: tex(i4-ly1-0.enc) = %{tl_version}
Provides: tex(i4-ly1-1.enc) = %{tl_version}
Provides: tex(i4-ly1-2.enc) = %{tl_version}
Provides: tex(i4-ly1-3.enc) = %{tl_version}
Provides: tex(i4-ly1-4.enc) = %{tl_version}
Provides: tex(i4-ly1-5.enc) = %{tl_version}
Provides: tex(i4-ly1-6.enc) = %{tl_version}
Provides: tex(i4-ly1-7.enc) = %{tl_version}
Provides: tex(i4-ot1-0.enc) = %{tl_version}
Provides: tex(i4-ot1-1.enc) = %{tl_version}
Provides: tex(i4-ot1-2.enc) = %{tl_version}
Provides: tex(i4-ot1-3.enc) = %{tl_version}
Provides: tex(i4-ot1-4.enc) = %{tl_version}
Provides: tex(i4-ot1-5.enc) = %{tl_version}
Provides: tex(i4-ot1-6.enc) = %{tl_version}
Provides: tex(i4-ot1-7.enc) = %{tl_version}
Provides: tex(i4-qx-0.enc) = %{tl_version}
Provides: tex(i4-qx-1.enc) = %{tl_version}
Provides: tex(i4-qx-2.enc) = %{tl_version}
Provides: tex(i4-qx-3.enc) = %{tl_version}
Provides: tex(i4-qx-4.enc) = %{tl_version}
Provides: tex(i4-qx-5.enc) = %{tl_version}
Provides: tex(i4-qx-6.enc) = %{tl_version}
Provides: tex(i4-qx-7.enc) = %{tl_version}
Provides: tex(i4-t1-0.enc) = %{tl_version}
Provides: tex(i4-t1-1.enc) = %{tl_version}
Provides: tex(i4-t1-2.enc) = %{tl_version}
Provides: tex(i4-t1-3.enc) = %{tl_version}
Provides: tex(i4-t1-4.enc) = %{tl_version}
Provides: tex(i4-t1-5.enc) = %{tl_version}
Provides: tex(i4-t1-6.enc) = %{tl_version}
Provides: tex(i4-t1-7.enc) = %{tl_version}
Provides: tex(i4-ts1.enc) = %{tl_version}
Provides: tex(zi4.map) = %{tl_version}
Provides: tex(Inconsolatazi4-Bold.otf) = %{tl_version}
Provides: tex(Inconsolatazi4-Regular.otf) = %{tl_version}
Provides: tex(ly1-zi4b-0.tfm) = %{tl_version}
Provides: tex(ly1-zi4b-1.tfm) = %{tl_version}
Provides: tex(ly1-zi4b-2.tfm) = %{tl_version}
Provides: tex(ly1-zi4b-3.tfm) = %{tl_version}
Provides: tex(ly1-zi4b-4.tfm) = %{tl_version}
Provides: tex(ly1-zi4b-5.tfm) = %{tl_version}
Provides: tex(ly1-zi4b-6.tfm) = %{tl_version}
Provides: tex(ly1-zi4b-7.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-0.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-1.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-2.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-3.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-4.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-5.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-6.tfm) = %{tl_version}
Provides: tex(ly1-zi4r-7.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-0.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-1.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-2.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-3.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-4.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-5.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-6.tfm) = %{tl_version}
Provides: tex(ot1-zi4b-7.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-0.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-1.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-2.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-3.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-4.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-5.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-6.tfm) = %{tl_version}
Provides: tex(ot1-zi4r-7.tfm) = %{tl_version}
Provides: tex(qx-zi4b-0.tfm) = %{tl_version}
Provides: tex(qx-zi4b-1.tfm) = %{tl_version}
Provides: tex(qx-zi4b-2.tfm) = %{tl_version}
Provides: tex(qx-zi4b-3.tfm) = %{tl_version}
Provides: tex(qx-zi4b-4.tfm) = %{tl_version}
Provides: tex(qx-zi4b-5.tfm) = %{tl_version}
Provides: tex(qx-zi4b-6.tfm) = %{tl_version}
Provides: tex(qx-zi4b-7.tfm) = %{tl_version}
Provides: tex(qx-zi4r-0.tfm) = %{tl_version}
Provides: tex(qx-zi4r-1.tfm) = %{tl_version}
Provides: tex(qx-zi4r-2.tfm) = %{tl_version}
Provides: tex(qx-zi4r-3.tfm) = %{tl_version}
Provides: tex(qx-zi4r-4.tfm) = %{tl_version}
Provides: tex(qx-zi4r-5.tfm) = %{tl_version}
Provides: tex(qx-zi4r-6.tfm) = %{tl_version}
Provides: tex(qx-zi4r-7.tfm) = %{tl_version}
Provides: tex(t1-zi4b-0.tfm) = %{tl_version}
Provides: tex(t1-zi4b-1.tfm) = %{tl_version}
Provides: tex(t1-zi4b-2.tfm) = %{tl_version}
Provides: tex(t1-zi4b-3.tfm) = %{tl_version}
Provides: tex(t1-zi4b-4.tfm) = %{tl_version}
Provides: tex(t1-zi4b-5.tfm) = %{tl_version}
Provides: tex(t1-zi4b-6.tfm) = %{tl_version}
Provides: tex(t1-zi4b-7.tfm) = %{tl_version}
Provides: tex(t1-zi4r-0.tfm) = %{tl_version}
Provides: tex(t1-zi4r-1.tfm) = %{tl_version}
Provides: tex(t1-zi4r-2.tfm) = %{tl_version}
Provides: tex(t1-zi4r-3.tfm) = %{tl_version}
Provides: tex(t1-zi4r-4.tfm) = %{tl_version}
Provides: tex(t1-zi4r-5.tfm) = %{tl_version}
Provides: tex(t1-zi4r-6.tfm) = %{tl_version}
Provides: tex(t1-zi4r-7.tfm) = %{tl_version}
Provides: tex(ts1-zi4b.tfm) = %{tl_version}
Provides: tex(ts1-zi4r.tfm) = %{tl_version}
Provides: tex(Inconsolata-zi4b.pfb) = %{tl_version}
Provides: tex(Inconsolata-zi4r.pfb) = %{tl_version}
Provides: tex(inconsolata.sty) = %{tl_version}
Provides: tex(ly1zi4.fd) = %{tl_version}
Provides: tex(ot1zi4.fd) = %{tl_version}
Provides: tex(qxzi4.fd) = %{tl_version}
Provides: tex(t1zi4.fd) = %{tl_version}
Provides: tex(ts1zi4.fd) = %{tl_version}
Provides: tex(zi4.sty) = %{tl_version}

%description inconsolata
Inconsolata is a monospaced font designed by Raph Levien. This
package contains the font (in both Adobe Type 1 and OpenType
formats) in regular and bold weights, with additional glyphs
and options to control slashed zero, upright quotes and a
shapelier lower-case L, plus metric files for use with TeX, and
LaTeX font definition and other relevant files.

%package inconsolata-doc
Summary: Documentation for inconsolata
Version: svn45505
Provides: tex-inconsolata-doc
AutoReqProv: No

%description inconsolata-doc
Documentation for inconsolata

%package initials
Provides: tex-initials = %{tl_version}
License: LPPL
Summary: Adobe Type 1 decorative initial fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(Acorn.map) = %{tl_version}
Provides: tex(AnnSton.map) = %{tl_version}
Provides: tex(ArtNouv.map) = %{tl_version}
Provides: tex(ArtNouvc.map) = %{tl_version}
Provides: tex(Carrickc.map) = %{tl_version}
Provides: tex(Eichenla.map) = %{tl_version}
Provides: tex(Eileen.map) = %{tl_version}
Provides: tex(EileenBl.map) = %{tl_version}
Provides: tex(Elzevier.map) = %{tl_version}
Provides: tex(GotIn.map) = %{tl_version}
Provides: tex(GoudyIn.map) = %{tl_version}
Provides: tex(Kinigcap.map) = %{tl_version}
Provides: tex(Konanur.map) = %{tl_version}
Provides: tex(Kramer.map) = %{tl_version}
Provides: tex(MorrisIn.map) = %{tl_version}
Provides: tex(Nouveaud.map) = %{tl_version}
Provides: tex(Romantik.map) = %{tl_version}
Provides: tex(Rothdn.map) = %{tl_version}
Provides: tex(RoyalIn.map) = %{tl_version}
Provides: tex(Sanremo.map) = %{tl_version}
Provides: tex(Starburst.map) = %{tl_version}
Provides: tex(Typocaps.map) = %{tl_version}
Provides: tex(Zallman.map) = %{tl_version}
Provides: tex(Acorn.tfm) = %{tl_version}
Provides: tex(AnnSton.tfm) = %{tl_version}
Provides: tex(ArtNouv.tfm) = %{tl_version}
Provides: tex(ArtNouvc.tfm) = %{tl_version}
Provides: tex(Carrickc.tfm) = %{tl_version}
Provides: tex(Eichenla.tfm) = %{tl_version}
Provides: tex(Eileen.tfm) = %{tl_version}
Provides: tex(EileenBl.tfm) = %{tl_version}
Provides: tex(Elzevier.tfm) = %{tl_version}
Provides: tex(GotIn.tfm) = %{tl_version}
Provides: tex(GoudyIn.tfm) = %{tl_version}
Provides: tex(Kinigcap.tfm) = %{tl_version}
Provides: tex(Konanur.tfm) = %{tl_version}
Provides: tex(Kramer.tfm) = %{tl_version}
Provides: tex(MorrisIn.tfm) = %{tl_version}
Provides: tex(Nouveaud.tfm) = %{tl_version}
Provides: tex(Romantik.tfm) = %{tl_version}
Provides: tex(Rothdn.tfm) = %{tl_version}
Provides: tex(RoyalIn.tfm) = %{tl_version}
Provides: tex(Sanremo.tfm) = %{tl_version}
Provides: tex(Starburst.tfm) = %{tl_version}
Provides: tex(Typocaps.tfm) = %{tl_version}
Provides: tex(Zallman.tfm) = %{tl_version}
Provides: tex(Acorn.pfb) = %{tl_version}
Provides: tex(AnnSton.pfb) = %{tl_version}
Provides: tex(ArtNouv.pfb) = %{tl_version}
Provides: tex(ArtNouvc.pfb) = %{tl_version}
Provides: tex(Carrickc.pfb) = %{tl_version}
Provides: tex(Eichenla.pfb) = %{tl_version}
Provides: tex(Eileen.pfb) = %{tl_version}
Provides: tex(EileenBl.pfb) = %{tl_version}
Provides: tex(Elzevier.pfb) = %{tl_version}
Provides: tex(GotIn.pfb) = %{tl_version}
Provides: tex(GoudyIn.pfb) = %{tl_version}
Provides: tex(Kinigcap.pfb) = %{tl_version}
Provides: tex(Konanur.pfb) = %{tl_version}
Provides: tex(Kramer.pfb) = %{tl_version}
Provides: tex(MorrisIn.pfb) = %{tl_version}
Provides: tex(Nouveaud.pfb) = %{tl_version}
Provides: tex(Romantik.pfb) = %{tl_version}
Provides: tex(Rothdn.pfb) = %{tl_version}
Provides: tex(RoyalIn.pfb) = %{tl_version}
Provides: tex(Sanremo.pfb) = %{tl_version}
Provides: tex(Starburst.pfb) = %{tl_version}
Provides: tex(Typocaps.pfb) = %{tl_version}
Provides: tex(Zallman.pfb) = %{tl_version}
Provides: tex(Acorn.fd) = %{tl_version}
Provides: tex(AnnSton.fd) = %{tl_version}
Provides: tex(ArtNouv.fd) = %{tl_version}
Provides: tex(ArtNouvc.fd) = %{tl_version}
Provides: tex(Carrickc.fd) = %{tl_version}
Provides: tex(Eichenla.fd) = %{tl_version}
Provides: tex(Eileen.fd) = %{tl_version}
Provides: tex(EileenBl.fd) = %{tl_version}
Provides: tex(Elzevier.fd) = %{tl_version}
Provides: tex(GotIn.fd) = %{tl_version}
Provides: tex(GoudyIn.fd) = %{tl_version}
Provides: tex(Kinigcap.fd) = %{tl_version}
Provides: tex(Konanur.fd) = %{tl_version}
Provides: tex(Kramer.fd) = %{tl_version}
Provides: tex(MorrisIn.fd) = %{tl_version}
Provides: tex(Nouveaud.fd) = %{tl_version}
Provides: tex(Romantik.fd) = %{tl_version}
Provides: tex(Rothdn.fd) = %{tl_version}
Provides: tex(RoyalIn.fd) = %{tl_version}
Provides: tex(Sanremo.fd) = %{tl_version}
Provides: tex(Starburst.fd) = %{tl_version}
Provides: tex(Typocaps.fd) = %{tl_version}
Provides: tex(Zallman.fd) = %{tl_version}

%description initials
For each font, at least an .pfb and .tfm file is provided, with
a .fd file for use with LaTeX.

%package initials-doc
Summary: Documentation for initials
Version: svn15878.0

Provides: tex-initials-doc
AutoReqProv: No

%description initials-doc
Documentation for initials

%package ipaex-type1
Provides: tex-ipaex-type1 = %{tl_version}
License: IPA
Summary: IPAex fonts converted to Type-1 format Unicode subfonts
Version: svn42403
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: tex(ipaex-type1.map) = %{tl_version}
Provides: tex(ipxg-r-ot1.tfm) = %{tl_version}
Provides: tex(ipxg-r-t1.tfm) = %{tl_version}
Provides: tex(ipxg-r-ts1.tfm) = %{tl_version}
Provides: tex(ipxg-r-u00.tfm) = %{tl_version}
Provides: tex(ipxg-r-u01.tfm) = %{tl_version}
Provides: tex(ipxg-r-u02.tfm) = %{tl_version}
Provides: tex(ipxg-r-u03.tfm) = %{tl_version}
Provides: tex(ipxg-r-u04.tfm) = %{tl_version}
Provides: tex(ipxg-r-u1e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u1f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u20.tfm) = %{tl_version}
Provides: tex(ipxg-r-u21.tfm) = %{tl_version}
Provides: tex(ipxg-r-u22.tfm) = %{tl_version}
Provides: tex(ipxg-r-u23.tfm) = %{tl_version}
Provides: tex(ipxg-r-u24.tfm) = %{tl_version}
Provides: tex(ipxg-r-u25.tfm) = %{tl_version}
Provides: tex(ipxg-r-u26.tfm) = %{tl_version}
Provides: tex(ipxg-r-u27.tfm) = %{tl_version}
Provides: tex(ipxg-r-u29.tfm) = %{tl_version}
Provides: tex(ipxg-r-u2e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u2f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u30.tfm) = %{tl_version}
Provides: tex(ipxg-r-u31.tfm) = %{tl_version}
Provides: tex(ipxg-r-u32.tfm) = %{tl_version}
Provides: tex(ipxg-r-u33.tfm) = %{tl_version}
Provides: tex(ipxg-r-u34.tfm) = %{tl_version}
Provides: tex(ipxg-r-u35.tfm) = %{tl_version}
Provides: tex(ipxg-r-u36.tfm) = %{tl_version}
Provides: tex(ipxg-r-u37.tfm) = %{tl_version}
Provides: tex(ipxg-r-u38.tfm) = %{tl_version}
Provides: tex(ipxg-r-u39.tfm) = %{tl_version}
Provides: tex(ipxg-r-u3a.tfm) = %{tl_version}
Provides: tex(ipxg-r-u3b.tfm) = %{tl_version}
Provides: tex(ipxg-r-u3c.tfm) = %{tl_version}
Provides: tex(ipxg-r-u3d.tfm) = %{tl_version}
Provides: tex(ipxg-r-u3e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u3f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u40.tfm) = %{tl_version}
Provides: tex(ipxg-r-u41.tfm) = %{tl_version}
Provides: tex(ipxg-r-u42.tfm) = %{tl_version}
Provides: tex(ipxg-r-u43.tfm) = %{tl_version}
Provides: tex(ipxg-r-u44.tfm) = %{tl_version}
Provides: tex(ipxg-r-u45.tfm) = %{tl_version}
Provides: tex(ipxg-r-u46.tfm) = %{tl_version}
Provides: tex(ipxg-r-u47.tfm) = %{tl_version}
Provides: tex(ipxg-r-u48.tfm) = %{tl_version}
Provides: tex(ipxg-r-u49.tfm) = %{tl_version}
Provides: tex(ipxg-r-u4a.tfm) = %{tl_version}
Provides: tex(ipxg-r-u4b.tfm) = %{tl_version}
Provides: tex(ipxg-r-u4c.tfm) = %{tl_version}
Provides: tex(ipxg-r-u4d.tfm) = %{tl_version}
Provides: tex(ipxg-r-u4e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u4f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u50.tfm) = %{tl_version}
Provides: tex(ipxg-r-u51.tfm) = %{tl_version}
Provides: tex(ipxg-r-u52.tfm) = %{tl_version}
Provides: tex(ipxg-r-u53.tfm) = %{tl_version}
Provides: tex(ipxg-r-u54.tfm) = %{tl_version}
Provides: tex(ipxg-r-u55.tfm) = %{tl_version}
Provides: tex(ipxg-r-u56.tfm) = %{tl_version}
Provides: tex(ipxg-r-u57.tfm) = %{tl_version}
Provides: tex(ipxg-r-u58.tfm) = %{tl_version}
Provides: tex(ipxg-r-u59.tfm) = %{tl_version}
Provides: tex(ipxg-r-u5a.tfm) = %{tl_version}
Provides: tex(ipxg-r-u5b.tfm) = %{tl_version}
Provides: tex(ipxg-r-u5c.tfm) = %{tl_version}
Provides: tex(ipxg-r-u5d.tfm) = %{tl_version}
Provides: tex(ipxg-r-u5e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u5f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u60.tfm) = %{tl_version}
Provides: tex(ipxg-r-u61.tfm) = %{tl_version}
Provides: tex(ipxg-r-u62.tfm) = %{tl_version}
Provides: tex(ipxg-r-u63.tfm) = %{tl_version}
Provides: tex(ipxg-r-u64.tfm) = %{tl_version}
Provides: tex(ipxg-r-u65.tfm) = %{tl_version}
Provides: tex(ipxg-r-u66.tfm) = %{tl_version}
Provides: tex(ipxg-r-u67.tfm) = %{tl_version}
Provides: tex(ipxg-r-u68.tfm) = %{tl_version}
Provides: tex(ipxg-r-u69.tfm) = %{tl_version}
Provides: tex(ipxg-r-u6a.tfm) = %{tl_version}
Provides: tex(ipxg-r-u6b.tfm) = %{tl_version}
Provides: tex(ipxg-r-u6c.tfm) = %{tl_version}
Provides: tex(ipxg-r-u6d.tfm) = %{tl_version}
Provides: tex(ipxg-r-u6e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u6f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u70.tfm) = %{tl_version}
Provides: tex(ipxg-r-u71.tfm) = %{tl_version}
Provides: tex(ipxg-r-u72.tfm) = %{tl_version}
Provides: tex(ipxg-r-u73.tfm) = %{tl_version}
Provides: tex(ipxg-r-u74.tfm) = %{tl_version}
Provides: tex(ipxg-r-u75.tfm) = %{tl_version}
Provides: tex(ipxg-r-u76.tfm) = %{tl_version}
Provides: tex(ipxg-r-u77.tfm) = %{tl_version}
Provides: tex(ipxg-r-u78.tfm) = %{tl_version}
Provides: tex(ipxg-r-u79.tfm) = %{tl_version}
Provides: tex(ipxg-r-u7a.tfm) = %{tl_version}
Provides: tex(ipxg-r-u7b.tfm) = %{tl_version}
Provides: tex(ipxg-r-u7c.tfm) = %{tl_version}
Provides: tex(ipxg-r-u7d.tfm) = %{tl_version}
Provides: tex(ipxg-r-u7e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u7f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u80.tfm) = %{tl_version}
Provides: tex(ipxg-r-u81.tfm) = %{tl_version}
Provides: tex(ipxg-r-u82.tfm) = %{tl_version}
Provides: tex(ipxg-r-u83.tfm) = %{tl_version}
Provides: tex(ipxg-r-u84.tfm) = %{tl_version}
Provides: tex(ipxg-r-u85.tfm) = %{tl_version}
Provides: tex(ipxg-r-u86.tfm) = %{tl_version}
Provides: tex(ipxg-r-u87.tfm) = %{tl_version}
Provides: tex(ipxg-r-u88.tfm) = %{tl_version}
Provides: tex(ipxg-r-u89.tfm) = %{tl_version}
Provides: tex(ipxg-r-u8a.tfm) = %{tl_version}
Provides: tex(ipxg-r-u8b.tfm) = %{tl_version}
Provides: tex(ipxg-r-u8c.tfm) = %{tl_version}
Provides: tex(ipxg-r-u8d.tfm) = %{tl_version}
Provides: tex(ipxg-r-u8e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u8f.tfm) = %{tl_version}
Provides: tex(ipxg-r-u90.tfm) = %{tl_version}
Provides: tex(ipxg-r-u91.tfm) = %{tl_version}
Provides: tex(ipxg-r-u92.tfm) = %{tl_version}
Provides: tex(ipxg-r-u93.tfm) = %{tl_version}
Provides: tex(ipxg-r-u94.tfm) = %{tl_version}
Provides: tex(ipxg-r-u95.tfm) = %{tl_version}
Provides: tex(ipxg-r-u96.tfm) = %{tl_version}
Provides: tex(ipxg-r-u97.tfm) = %{tl_version}
Provides: tex(ipxg-r-u98.tfm) = %{tl_version}
Provides: tex(ipxg-r-u99.tfm) = %{tl_version}
Provides: tex(ipxg-r-u9a.tfm) = %{tl_version}
Provides: tex(ipxg-r-u9b.tfm) = %{tl_version}
Provides: tex(ipxg-r-u9c.tfm) = %{tl_version}
Provides: tex(ipxg-r-u9d.tfm) = %{tl_version}
Provides: tex(ipxg-r-u9e.tfm) = %{tl_version}
Provides: tex(ipxg-r-u9f.tfm) = %{tl_version}
Provides: tex(ipxg-r-uf0.tfm) = %{tl_version}
Provides: tex(ipxg-r-uf8.tfm) = %{tl_version}
Provides: tex(ipxg-r-uf9.tfm) = %{tl_version}
Provides: tex(ipxg-r-ufa.tfm) = %{tl_version}
Provides: tex(ipxg-r-ufe.tfm) = %{tl_version}
Provides: tex(ipxg-r-uff.tfm) = %{tl_version}
Provides: tex(ipxg-ro-ot1.tfm) = %{tl_version}
Provides: tex(ipxg-ro-t1.tfm) = %{tl_version}
Provides: tex(ipxg-ro-ts1.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u00.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u01.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u02.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u03.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u04.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u1e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u1f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u20.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u21.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u22.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u23.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u24.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u25.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u26.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u27.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u29.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u2e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u2f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u30.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u31.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u32.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u33.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u34.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u35.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u36.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u37.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u38.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u39.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u3a.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u3b.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u3c.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u3d.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u3e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u3f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u40.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u41.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u42.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u43.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u44.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u45.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u46.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u47.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u48.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u49.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u4a.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u4b.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u4c.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u4d.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u4e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u4f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u50.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u51.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u52.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u53.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u54.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u55.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u56.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u57.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u58.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u59.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u5a.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u5b.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u5c.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u5d.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u5e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u5f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u60.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u61.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u62.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u63.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u64.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u65.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u66.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u67.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u68.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u69.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u6a.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u6b.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u6c.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u6d.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u6e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u6f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u70.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u71.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u72.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u73.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u74.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u75.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u76.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u77.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u78.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u79.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u7a.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u7b.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u7c.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u7d.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u7e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u7f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u80.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u81.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u82.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u83.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u84.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u85.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u86.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u87.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u88.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u89.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u8a.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u8b.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u8c.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u8d.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u8e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u8f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u90.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u91.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u92.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u93.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u94.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u95.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u96.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u97.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u98.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u99.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u9a.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u9b.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u9c.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u9d.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u9e.tfm) = %{tl_version}
Provides: tex(ipxg-ro-u9f.tfm) = %{tl_version}
Provides: tex(ipxg-ro-uf8.tfm) = %{tl_version}
Provides: tex(ipxg-ro-uf9.tfm) = %{tl_version}
Provides: tex(ipxg-ro-ufa.tfm) = %{tl_version}
Provides: tex(ipxg-ro-ufe.tfm) = %{tl_version}
Provides: tex(ipxg-ro-uff.tfm) = %{tl_version}
Provides: tex(ipxm-r-ot1.tfm) = %{tl_version}
Provides: tex(ipxm-r-t1.tfm) = %{tl_version}
Provides: tex(ipxm-r-ts1.tfm) = %{tl_version}
Provides: tex(ipxm-r-u00.tfm) = %{tl_version}
Provides: tex(ipxm-r-u01.tfm) = %{tl_version}
Provides: tex(ipxm-r-u02.tfm) = %{tl_version}
Provides: tex(ipxm-r-u03.tfm) = %{tl_version}
Provides: tex(ipxm-r-u04.tfm) = %{tl_version}
Provides: tex(ipxm-r-u1e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u1f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u20.tfm) = %{tl_version}
Provides: tex(ipxm-r-u21.tfm) = %{tl_version}
Provides: tex(ipxm-r-u22.tfm) = %{tl_version}
Provides: tex(ipxm-r-u23.tfm) = %{tl_version}
Provides: tex(ipxm-r-u24.tfm) = %{tl_version}
Provides: tex(ipxm-r-u25.tfm) = %{tl_version}
Provides: tex(ipxm-r-u26.tfm) = %{tl_version}
Provides: tex(ipxm-r-u27.tfm) = %{tl_version}
Provides: tex(ipxm-r-u29.tfm) = %{tl_version}
Provides: tex(ipxm-r-u2e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u2f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u30.tfm) = %{tl_version}
Provides: tex(ipxm-r-u31.tfm) = %{tl_version}
Provides: tex(ipxm-r-u32.tfm) = %{tl_version}
Provides: tex(ipxm-r-u33.tfm) = %{tl_version}
Provides: tex(ipxm-r-u34.tfm) = %{tl_version}
Provides: tex(ipxm-r-u35.tfm) = %{tl_version}
Provides: tex(ipxm-r-u36.tfm) = %{tl_version}
Provides: tex(ipxm-r-u37.tfm) = %{tl_version}
Provides: tex(ipxm-r-u38.tfm) = %{tl_version}
Provides: tex(ipxm-r-u39.tfm) = %{tl_version}
Provides: tex(ipxm-r-u3a.tfm) = %{tl_version}
Provides: tex(ipxm-r-u3b.tfm) = %{tl_version}
Provides: tex(ipxm-r-u3c.tfm) = %{tl_version}
Provides: tex(ipxm-r-u3d.tfm) = %{tl_version}
Provides: tex(ipxm-r-u3e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u3f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u40.tfm) = %{tl_version}
Provides: tex(ipxm-r-u41.tfm) = %{tl_version}
Provides: tex(ipxm-r-u42.tfm) = %{tl_version}
Provides: tex(ipxm-r-u43.tfm) = %{tl_version}
Provides: tex(ipxm-r-u44.tfm) = %{tl_version}
Provides: tex(ipxm-r-u45.tfm) = %{tl_version}
Provides: tex(ipxm-r-u46.tfm) = %{tl_version}
Provides: tex(ipxm-r-u47.tfm) = %{tl_version}
Provides: tex(ipxm-r-u48.tfm) = %{tl_version}
Provides: tex(ipxm-r-u49.tfm) = %{tl_version}
Provides: tex(ipxm-r-u4a.tfm) = %{tl_version}
Provides: tex(ipxm-r-u4b.tfm) = %{tl_version}
Provides: tex(ipxm-r-u4c.tfm) = %{tl_version}
Provides: tex(ipxm-r-u4d.tfm) = %{tl_version}
Provides: tex(ipxm-r-u4e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u4f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u50.tfm) = %{tl_version}
Provides: tex(ipxm-r-u51.tfm) = %{tl_version}
Provides: tex(ipxm-r-u52.tfm) = %{tl_version}
Provides: tex(ipxm-r-u53.tfm) = %{tl_version}
Provides: tex(ipxm-r-u54.tfm) = %{tl_version}
Provides: tex(ipxm-r-u55.tfm) = %{tl_version}
Provides: tex(ipxm-r-u56.tfm) = %{tl_version}
Provides: tex(ipxm-r-u57.tfm) = %{tl_version}
Provides: tex(ipxm-r-u58.tfm) = %{tl_version}
Provides: tex(ipxm-r-u59.tfm) = %{tl_version}
Provides: tex(ipxm-r-u5a.tfm) = %{tl_version}
Provides: tex(ipxm-r-u5b.tfm) = %{tl_version}
Provides: tex(ipxm-r-u5c.tfm) = %{tl_version}
Provides: tex(ipxm-r-u5d.tfm) = %{tl_version}
Provides: tex(ipxm-r-u5e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u5f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u60.tfm) = %{tl_version}
Provides: tex(ipxm-r-u61.tfm) = %{tl_version}
Provides: tex(ipxm-r-u62.tfm) = %{tl_version}
Provides: tex(ipxm-r-u63.tfm) = %{tl_version}
Provides: tex(ipxm-r-u64.tfm) = %{tl_version}
Provides: tex(ipxm-r-u65.tfm) = %{tl_version}
Provides: tex(ipxm-r-u66.tfm) = %{tl_version}
Provides: tex(ipxm-r-u67.tfm) = %{tl_version}
Provides: tex(ipxm-r-u68.tfm) = %{tl_version}
Provides: tex(ipxm-r-u69.tfm) = %{tl_version}
Provides: tex(ipxm-r-u6a.tfm) = %{tl_version}
Provides: tex(ipxm-r-u6b.tfm) = %{tl_version}
Provides: tex(ipxm-r-u6c.tfm) = %{tl_version}
Provides: tex(ipxm-r-u6d.tfm) = %{tl_version}
Provides: tex(ipxm-r-u6e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u6f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u70.tfm) = %{tl_version}
Provides: tex(ipxm-r-u71.tfm) = %{tl_version}
Provides: tex(ipxm-r-u72.tfm) = %{tl_version}
Provides: tex(ipxm-r-u73.tfm) = %{tl_version}
Provides: tex(ipxm-r-u74.tfm) = %{tl_version}
Provides: tex(ipxm-r-u75.tfm) = %{tl_version}
Provides: tex(ipxm-r-u76.tfm) = %{tl_version}
Provides: tex(ipxm-r-u77.tfm) = %{tl_version}
Provides: tex(ipxm-r-u78.tfm) = %{tl_version}
Provides: tex(ipxm-r-u79.tfm) = %{tl_version}
Provides: tex(ipxm-r-u7a.tfm) = %{tl_version}
Provides: tex(ipxm-r-u7b.tfm) = %{tl_version}
Provides: tex(ipxm-r-u7c.tfm) = %{tl_version}
Provides: tex(ipxm-r-u7d.tfm) = %{tl_version}
Provides: tex(ipxm-r-u7e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u7f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u80.tfm) = %{tl_version}
Provides: tex(ipxm-r-u81.tfm) = %{tl_version}
Provides: tex(ipxm-r-u82.tfm) = %{tl_version}
Provides: tex(ipxm-r-u83.tfm) = %{tl_version}
Provides: tex(ipxm-r-u84.tfm) = %{tl_version}
Provides: tex(ipxm-r-u85.tfm) = %{tl_version}
Provides: tex(ipxm-r-u86.tfm) = %{tl_version}
Provides: tex(ipxm-r-u87.tfm) = %{tl_version}
Provides: tex(ipxm-r-u88.tfm) = %{tl_version}
Provides: tex(ipxm-r-u89.tfm) = %{tl_version}
Provides: tex(ipxm-r-u8a.tfm) = %{tl_version}
Provides: tex(ipxm-r-u8b.tfm) = %{tl_version}
Provides: tex(ipxm-r-u8c.tfm) = %{tl_version}
Provides: tex(ipxm-r-u8d.tfm) = %{tl_version}
Provides: tex(ipxm-r-u8e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u8f.tfm) = %{tl_version}
Provides: tex(ipxm-r-u90.tfm) = %{tl_version}
Provides: tex(ipxm-r-u91.tfm) = %{tl_version}
Provides: tex(ipxm-r-u92.tfm) = %{tl_version}
Provides: tex(ipxm-r-u93.tfm) = %{tl_version}
Provides: tex(ipxm-r-u94.tfm) = %{tl_version}
Provides: tex(ipxm-r-u95.tfm) = %{tl_version}
Provides: tex(ipxm-r-u96.tfm) = %{tl_version}
Provides: tex(ipxm-r-u97.tfm) = %{tl_version}
Provides: tex(ipxm-r-u98.tfm) = %{tl_version}
Provides: tex(ipxm-r-u99.tfm) = %{tl_version}
Provides: tex(ipxm-r-u9a.tfm) = %{tl_version}
Provides: tex(ipxm-r-u9b.tfm) = %{tl_version}
Provides: tex(ipxm-r-u9c.tfm) = %{tl_version}
Provides: tex(ipxm-r-u9d.tfm) = %{tl_version}
Provides: tex(ipxm-r-u9e.tfm) = %{tl_version}
Provides: tex(ipxm-r-u9f.tfm) = %{tl_version}
Provides: tex(ipxm-r-uf0.tfm) = %{tl_version}
Provides: tex(ipxm-r-uf8.tfm) = %{tl_version}
Provides: tex(ipxm-r-uf9.tfm) = %{tl_version}
Provides: tex(ipxm-r-ufa.tfm) = %{tl_version}
Provides: tex(ipxm-r-ufe.tfm) = %{tl_version}
Provides: tex(ipxm-r-uff.tfm) = %{tl_version}
Provides: tex(ipxm-ro-ot1.tfm) = %{tl_version}
Provides: tex(ipxm-ro-t1.tfm) = %{tl_version}
Provides: tex(ipxm-ro-ts1.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u00.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u01.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u02.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u03.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u04.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u1e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u1f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u20.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u21.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u22.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u23.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u24.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u25.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u26.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u27.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u29.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u2e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u2f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u30.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u31.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u32.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u33.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u34.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u35.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u36.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u37.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u38.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u39.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u3a.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u3b.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u3c.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u3d.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u3e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u3f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u40.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u41.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u42.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u43.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u44.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u45.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u46.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u47.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u48.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u49.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u4a.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u4b.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u4c.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u4d.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u4e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u4f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u50.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u51.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u52.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u53.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u54.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u55.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u56.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u57.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u58.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u59.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u5a.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u5b.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u5c.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u5d.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u5e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u5f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u60.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u61.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u62.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u63.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u64.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u65.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u66.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u67.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u68.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u69.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u6a.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u6b.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u6c.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u6d.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u6e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u6f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u70.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u71.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u72.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u73.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u74.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u75.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u76.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u77.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u78.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u79.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u7a.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u7b.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u7c.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u7d.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u7e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u7f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u80.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u81.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u82.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u83.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u84.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u85.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u86.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u87.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u88.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u89.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u8a.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u8b.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u8c.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u8d.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u8e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u8f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u90.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u91.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u92.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u93.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u94.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u95.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u96.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u97.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u98.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u99.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u9a.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u9b.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u9c.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u9d.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u9e.tfm) = %{tl_version}
Provides: tex(ipxm-ro-u9f.tfm) = %{tl_version}
Provides: tex(ipxm-ro-uf8.tfm) = %{tl_version}
Provides: tex(ipxm-ro-uf9.tfm) = %{tl_version}
Provides: tex(ipxm-ro-ufa.tfm) = %{tl_version}
Provides: tex(ipxm-ro-ufe.tfm) = %{tl_version}
Provides: tex(ipxm-ro-uff.tfm) = %{tl_version}
Provides: tex(ipxg-r-ot1.pfb) = %{tl_version}
Provides: tex(ipxg-r-t1.pfb) = %{tl_version}
Provides: tex(ipxg-r-ts1.pfb) = %{tl_version}
Provides: tex(ipxg-r-u00.pfb) = %{tl_version}
Provides: tex(ipxg-r-u01.pfb) = %{tl_version}
Provides: tex(ipxg-r-u02.pfb) = %{tl_version}
Provides: tex(ipxg-r-u03.pfb) = %{tl_version}
Provides: tex(ipxg-r-u04.pfb) = %{tl_version}
Provides: tex(ipxg-r-u1e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u1f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u20.pfb) = %{tl_version}
Provides: tex(ipxg-r-u21.pfb) = %{tl_version}
Provides: tex(ipxg-r-u22.pfb) = %{tl_version}
Provides: tex(ipxg-r-u23.pfb) = %{tl_version}
Provides: tex(ipxg-r-u24.pfb) = %{tl_version}
Provides: tex(ipxg-r-u25.pfb) = %{tl_version}
Provides: tex(ipxg-r-u26.pfb) = %{tl_version}
Provides: tex(ipxg-r-u27.pfb) = %{tl_version}
Provides: tex(ipxg-r-u29.pfb) = %{tl_version}
Provides: tex(ipxg-r-u2e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u2f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u30.pfb) = %{tl_version}
Provides: tex(ipxg-r-u31.pfb) = %{tl_version}
Provides: tex(ipxg-r-u32.pfb) = %{tl_version}
Provides: tex(ipxg-r-u33.pfb) = %{tl_version}
Provides: tex(ipxg-r-u34.pfb) = %{tl_version}
Provides: tex(ipxg-r-u35.pfb) = %{tl_version}
Provides: tex(ipxg-r-u36.pfb) = %{tl_version}
Provides: tex(ipxg-r-u37.pfb) = %{tl_version}
Provides: tex(ipxg-r-u38.pfb) = %{tl_version}
Provides: tex(ipxg-r-u39.pfb) = %{tl_version}
Provides: tex(ipxg-r-u3a.pfb) = %{tl_version}
Provides: tex(ipxg-r-u3b.pfb) = %{tl_version}
Provides: tex(ipxg-r-u3c.pfb) = %{tl_version}
Provides: tex(ipxg-r-u3d.pfb) = %{tl_version}
Provides: tex(ipxg-r-u3e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u3f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u40.pfb) = %{tl_version}
Provides: tex(ipxg-r-u41.pfb) = %{tl_version}
Provides: tex(ipxg-r-u42.pfb) = %{tl_version}
Provides: tex(ipxg-r-u43.pfb) = %{tl_version}
Provides: tex(ipxg-r-u44.pfb) = %{tl_version}
Provides: tex(ipxg-r-u45.pfb) = %{tl_version}
Provides: tex(ipxg-r-u46.pfb) = %{tl_version}
Provides: tex(ipxg-r-u47.pfb) = %{tl_version}
Provides: tex(ipxg-r-u48.pfb) = %{tl_version}
Provides: tex(ipxg-r-u49.pfb) = %{tl_version}
Provides: tex(ipxg-r-u4a.pfb) = %{tl_version}
Provides: tex(ipxg-r-u4b.pfb) = %{tl_version}
Provides: tex(ipxg-r-u4c.pfb) = %{tl_version}
Provides: tex(ipxg-r-u4d.pfb) = %{tl_version}
Provides: tex(ipxg-r-u4e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u4f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u50.pfb) = %{tl_version}
Provides: tex(ipxg-r-u51.pfb) = %{tl_version}
Provides: tex(ipxg-r-u52.pfb) = %{tl_version}
Provides: tex(ipxg-r-u53.pfb) = %{tl_version}
Provides: tex(ipxg-r-u54.pfb) = %{tl_version}
Provides: tex(ipxg-r-u55.pfb) = %{tl_version}
Provides: tex(ipxg-r-u56.pfb) = %{tl_version}
Provides: tex(ipxg-r-u57.pfb) = %{tl_version}
Provides: tex(ipxg-r-u58.pfb) = %{tl_version}
Provides: tex(ipxg-r-u59.pfb) = %{tl_version}
Provides: tex(ipxg-r-u5a.pfb) = %{tl_version}
Provides: tex(ipxg-r-u5b.pfb) = %{tl_version}
Provides: tex(ipxg-r-u5c.pfb) = %{tl_version}
Provides: tex(ipxg-r-u5d.pfb) = %{tl_version}
Provides: tex(ipxg-r-u5e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u5f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u60.pfb) = %{tl_version}
Provides: tex(ipxg-r-u61.pfb) = %{tl_version}
Provides: tex(ipxg-r-u62.pfb) = %{tl_version}
Provides: tex(ipxg-r-u63.pfb) = %{tl_version}
Provides: tex(ipxg-r-u64.pfb) = %{tl_version}
Provides: tex(ipxg-r-u65.pfb) = %{tl_version}
Provides: tex(ipxg-r-u66.pfb) = %{tl_version}
Provides: tex(ipxg-r-u67.pfb) = %{tl_version}
Provides: tex(ipxg-r-u68.pfb) = %{tl_version}
Provides: tex(ipxg-r-u69.pfb) = %{tl_version}
Provides: tex(ipxg-r-u6a.pfb) = %{tl_version}
Provides: tex(ipxg-r-u6b.pfb) = %{tl_version}
Provides: tex(ipxg-r-u6c.pfb) = %{tl_version}
Provides: tex(ipxg-r-u6d.pfb) = %{tl_version}
Provides: tex(ipxg-r-u6e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u6f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u70.pfb) = %{tl_version}
Provides: tex(ipxg-r-u71.pfb) = %{tl_version}
Provides: tex(ipxg-r-u72.pfb) = %{tl_version}
Provides: tex(ipxg-r-u73.pfb) = %{tl_version}
Provides: tex(ipxg-r-u74.pfb) = %{tl_version}
Provides: tex(ipxg-r-u75.pfb) = %{tl_version}
Provides: tex(ipxg-r-u76.pfb) = %{tl_version}
Provides: tex(ipxg-r-u77.pfb) = %{tl_version}
Provides: tex(ipxg-r-u78.pfb) = %{tl_version}
Provides: tex(ipxg-r-u79.pfb) = %{tl_version}
Provides: tex(ipxg-r-u7a.pfb) = %{tl_version}
Provides: tex(ipxg-r-u7b.pfb) = %{tl_version}
Provides: tex(ipxg-r-u7c.pfb) = %{tl_version}
Provides: tex(ipxg-r-u7d.pfb) = %{tl_version}
Provides: tex(ipxg-r-u7e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u7f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u80.pfb) = %{tl_version}
Provides: tex(ipxg-r-u81.pfb) = %{tl_version}
Provides: tex(ipxg-r-u82.pfb) = %{tl_version}
Provides: tex(ipxg-r-u83.pfb) = %{tl_version}
Provides: tex(ipxg-r-u84.pfb) = %{tl_version}
Provides: tex(ipxg-r-u85.pfb) = %{tl_version}
Provides: tex(ipxg-r-u86.pfb) = %{tl_version}
Provides: tex(ipxg-r-u87.pfb) = %{tl_version}
Provides: tex(ipxg-r-u88.pfb) = %{tl_version}
Provides: tex(ipxg-r-u89.pfb) = %{tl_version}
Provides: tex(ipxg-r-u8a.pfb) = %{tl_version}
Provides: tex(ipxg-r-u8b.pfb) = %{tl_version}
Provides: tex(ipxg-r-u8c.pfb) = %{tl_version}
Provides: tex(ipxg-r-u8d.pfb) = %{tl_version}
Provides: tex(ipxg-r-u8e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u8f.pfb) = %{tl_version}
Provides: tex(ipxg-r-u90.pfb) = %{tl_version}
Provides: tex(ipxg-r-u91.pfb) = %{tl_version}
Provides: tex(ipxg-r-u92.pfb) = %{tl_version}
Provides: tex(ipxg-r-u93.pfb) = %{tl_version}
Provides: tex(ipxg-r-u94.pfb) = %{tl_version}
Provides: tex(ipxg-r-u95.pfb) = %{tl_version}
Provides: tex(ipxg-r-u96.pfb) = %{tl_version}
Provides: tex(ipxg-r-u97.pfb) = %{tl_version}
Provides: tex(ipxg-r-u98.pfb) = %{tl_version}
Provides: tex(ipxg-r-u99.pfb) = %{tl_version}
Provides: tex(ipxg-r-u9a.pfb) = %{tl_version}
Provides: tex(ipxg-r-u9b.pfb) = %{tl_version}
Provides: tex(ipxg-r-u9c.pfb) = %{tl_version}
Provides: tex(ipxg-r-u9d.pfb) = %{tl_version}
Provides: tex(ipxg-r-u9e.pfb) = %{tl_version}
Provides: tex(ipxg-r-u9f.pfb) = %{tl_version}
Provides: tex(ipxg-r-uf0.pfb) = %{tl_version}
Provides: tex(ipxg-r-uf8.pfb) = %{tl_version}
Provides: tex(ipxg-r-uf9.pfb) = %{tl_version}
Provides: tex(ipxg-r-ufa.pfb) = %{tl_version}
Provides: tex(ipxg-r-ufe.pfb) = %{tl_version}
Provides: tex(ipxg-r-uff.pfb) = %{tl_version}
Provides: tex(ipxm-r-ot1.pfb) = %{tl_version}
Provides: tex(ipxm-r-t1.pfb) = %{tl_version}
Provides: tex(ipxm-r-ts1.pfb) = %{tl_version}
Provides: tex(ipxm-r-u00.pfb) = %{tl_version}
Provides: tex(ipxm-r-u01.pfb) = %{tl_version}
Provides: tex(ipxm-r-u02.pfb) = %{tl_version}
Provides: tex(ipxm-r-u03.pfb) = %{tl_version}
Provides: tex(ipxm-r-u04.pfb) = %{tl_version}
Provides: tex(ipxm-r-u1e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u1f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u20.pfb) = %{tl_version}
Provides: tex(ipxm-r-u21.pfb) = %{tl_version}
Provides: tex(ipxm-r-u22.pfb) = %{tl_version}
Provides: tex(ipxm-r-u23.pfb) = %{tl_version}
Provides: tex(ipxm-r-u24.pfb) = %{tl_version}
Provides: tex(ipxm-r-u25.pfb) = %{tl_version}
Provides: tex(ipxm-r-u26.pfb) = %{tl_version}
Provides: tex(ipxm-r-u27.pfb) = %{tl_version}
Provides: tex(ipxm-r-u29.pfb) = %{tl_version}
Provides: tex(ipxm-r-u2e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u2f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u30.pfb) = %{tl_version}
Provides: tex(ipxm-r-u31.pfb) = %{tl_version}
Provides: tex(ipxm-r-u32.pfb) = %{tl_version}
Provides: tex(ipxm-r-u33.pfb) = %{tl_version}
Provides: tex(ipxm-r-u34.pfb) = %{tl_version}
Provides: tex(ipxm-r-u35.pfb) = %{tl_version}
Provides: tex(ipxm-r-u36.pfb) = %{tl_version}
Provides: tex(ipxm-r-u37.pfb) = %{tl_version}
Provides: tex(ipxm-r-u38.pfb) = %{tl_version}
Provides: tex(ipxm-r-u39.pfb) = %{tl_version}
Provides: tex(ipxm-r-u3a.pfb) = %{tl_version}
Provides: tex(ipxm-r-u3b.pfb) = %{tl_version}
Provides: tex(ipxm-r-u3c.pfb) = %{tl_version}
Provides: tex(ipxm-r-u3d.pfb) = %{tl_version}
Provides: tex(ipxm-r-u3e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u3f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u40.pfb) = %{tl_version}
Provides: tex(ipxm-r-u41.pfb) = %{tl_version}
Provides: tex(ipxm-r-u42.pfb) = %{tl_version}
Provides: tex(ipxm-r-u43.pfb) = %{tl_version}
Provides: tex(ipxm-r-u44.pfb) = %{tl_version}
Provides: tex(ipxm-r-u45.pfb) = %{tl_version}
Provides: tex(ipxm-r-u46.pfb) = %{tl_version}
Provides: tex(ipxm-r-u47.pfb) = %{tl_version}
Provides: tex(ipxm-r-u48.pfb) = %{tl_version}
Provides: tex(ipxm-r-u49.pfb) = %{tl_version}
Provides: tex(ipxm-r-u4a.pfb) = %{tl_version}
Provides: tex(ipxm-r-u4b.pfb) = %{tl_version}
Provides: tex(ipxm-r-u4c.pfb) = %{tl_version}
Provides: tex(ipxm-r-u4d.pfb) = %{tl_version}
Provides: tex(ipxm-r-u4e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u4f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u50.pfb) = %{tl_version}
Provides: tex(ipxm-r-u51.pfb) = %{tl_version}
Provides: tex(ipxm-r-u52.pfb) = %{tl_version}
Provides: tex(ipxm-r-u53.pfb) = %{tl_version}
Provides: tex(ipxm-r-u54.pfb) = %{tl_version}
Provides: tex(ipxm-r-u55.pfb) = %{tl_version}
Provides: tex(ipxm-r-u56.pfb) = %{tl_version}
Provides: tex(ipxm-r-u57.pfb) = %{tl_version}
Provides: tex(ipxm-r-u58.pfb) = %{tl_version}
Provides: tex(ipxm-r-u59.pfb) = %{tl_version}
Provides: tex(ipxm-r-u5a.pfb) = %{tl_version}
Provides: tex(ipxm-r-u5b.pfb) = %{tl_version}
Provides: tex(ipxm-r-u5c.pfb) = %{tl_version}
Provides: tex(ipxm-r-u5d.pfb) = %{tl_version}
Provides: tex(ipxm-r-u5e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u5f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u60.pfb) = %{tl_version}
Provides: tex(ipxm-r-u61.pfb) = %{tl_version}
Provides: tex(ipxm-r-u62.pfb) = %{tl_version}
Provides: tex(ipxm-r-u63.pfb) = %{tl_version}
Provides: tex(ipxm-r-u64.pfb) = %{tl_version}
Provides: tex(ipxm-r-u65.pfb) = %{tl_version}
Provides: tex(ipxm-r-u66.pfb) = %{tl_version}
Provides: tex(ipxm-r-u67.pfb) = %{tl_version}
Provides: tex(ipxm-r-u68.pfb) = %{tl_version}
Provides: tex(ipxm-r-u69.pfb) = %{tl_version}
Provides: tex(ipxm-r-u6a.pfb) = %{tl_version}
Provides: tex(ipxm-r-u6b.pfb) = %{tl_version}
Provides: tex(ipxm-r-u6c.pfb) = %{tl_version}
Provides: tex(ipxm-r-u6d.pfb) = %{tl_version}
Provides: tex(ipxm-r-u6e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u6f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u70.pfb) = %{tl_version}
Provides: tex(ipxm-r-u71.pfb) = %{tl_version}
Provides: tex(ipxm-r-u72.pfb) = %{tl_version}
Provides: tex(ipxm-r-u73.pfb) = %{tl_version}
Provides: tex(ipxm-r-u74.pfb) = %{tl_version}
Provides: tex(ipxm-r-u75.pfb) = %{tl_version}
Provides: tex(ipxm-r-u76.pfb) = %{tl_version}
Provides: tex(ipxm-r-u77.pfb) = %{tl_version}
Provides: tex(ipxm-r-u78.pfb) = %{tl_version}
Provides: tex(ipxm-r-u79.pfb) = %{tl_version}
Provides: tex(ipxm-r-u7a.pfb) = %{tl_version}
Provides: tex(ipxm-r-u7b.pfb) = %{tl_version}
Provides: tex(ipxm-r-u7c.pfb) = %{tl_version}
Provides: tex(ipxm-r-u7d.pfb) = %{tl_version}
Provides: tex(ipxm-r-u7e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u7f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u80.pfb) = %{tl_version}
Provides: tex(ipxm-r-u81.pfb) = %{tl_version}
Provides: tex(ipxm-r-u82.pfb) = %{tl_version}
Provides: tex(ipxm-r-u83.pfb) = %{tl_version}
Provides: tex(ipxm-r-u84.pfb) = %{tl_version}
Provides: tex(ipxm-r-u85.pfb) = %{tl_version}
Provides: tex(ipxm-r-u86.pfb) = %{tl_version}
Provides: tex(ipxm-r-u87.pfb) = %{tl_version}
Provides: tex(ipxm-r-u88.pfb) = %{tl_version}
Provides: tex(ipxm-r-u89.pfb) = %{tl_version}
Provides: tex(ipxm-r-u8a.pfb) = %{tl_version}
Provides: tex(ipxm-r-u8b.pfb) = %{tl_version}
Provides: tex(ipxm-r-u8c.pfb) = %{tl_version}
Provides: tex(ipxm-r-u8d.pfb) = %{tl_version}
Provides: tex(ipxm-r-u8e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u8f.pfb) = %{tl_version}
Provides: tex(ipxm-r-u90.pfb) = %{tl_version}
Provides: tex(ipxm-r-u91.pfb) = %{tl_version}
Provides: tex(ipxm-r-u92.pfb) = %{tl_version}
Provides: tex(ipxm-r-u93.pfb) = %{tl_version}
Provides: tex(ipxm-r-u94.pfb) = %{tl_version}
Provides: tex(ipxm-r-u95.pfb) = %{tl_version}
Provides: tex(ipxm-r-u96.pfb) = %{tl_version}
Provides: tex(ipxm-r-u97.pfb) = %{tl_version}
Provides: tex(ipxm-r-u98.pfb) = %{tl_version}
Provides: tex(ipxm-r-u99.pfb) = %{tl_version}
Provides: tex(ipxm-r-u9a.pfb) = %{tl_version}
Provides: tex(ipxm-r-u9b.pfb) = %{tl_version}
Provides: tex(ipxm-r-u9c.pfb) = %{tl_version}
Provides: tex(ipxm-r-u9d.pfb) = %{tl_version}
Provides: tex(ipxm-r-u9e.pfb) = %{tl_version}
Provides: tex(ipxm-r-u9f.pfb) = %{tl_version}
Provides: tex(ipxm-r-uf0.pfb) = %{tl_version}
Provides: tex(ipxm-r-uf8.pfb) = %{tl_version}
Provides: tex(ipxm-r-uf9.pfb) = %{tl_version}
Provides: tex(ipxm-r-ufa.pfb) = %{tl_version}
Provides: tex(ipxm-r-ufe.pfb) = %{tl_version}
Provides: tex(ipxm-r-uff.pfb) = %{tl_version}
Provides: tex(c70ipxg.fd) = %{tl_version}
Provides: tex(c70ipxga.fd) = %{tl_version}
Provides: tex(c70ipxm.fd) = %{tl_version}
Provides: tex(c70ipxma.fd) = %{tl_version}
Provides: tex(ot1ipxg.fd) = %{tl_version}
Provides: tex(ot1ipxm.fd) = %{tl_version}
Provides: tex(t1ipxg.fd) = %{tl_version}
Provides: tex(t1ipxm.fd) = %{tl_version}
Provides: tex(ts1ipxg.fd) = %{tl_version}
Provides: tex(ts1ipxm.fd) = %{tl_version}

%description ipaex-type1
The package contains the IPAex Fonts converted into Unicode
subfonts in Type1 format, which is most suitable for use with
the CJK package. Font conversion was done with ttf2pt1.

%package ipaex-type1-doc
Summary: Documentation for ipaex-type1
Version: svn42403
Provides: tex-ipaex-type1-doc
AutoReqProv: No

%description ipaex-type1-doc
Documentation for ipaex-type1

%package iwona
Provides: tex-iwona = %{tl_version}
License: GFSL
Summary: A two-element sans-serif font
Version: svn19611.0.995b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(cs-iwona-sc.enc) = %{tl_version}
Provides: tex(cs-iwona.enc) = %{tl_version}
Provides: tex(ec-iwona-sc.enc) = %{tl_version}
Provides: tex(ec-iwona.enc) = %{tl_version}
Provides: tex(ex-iwona.enc) = %{tl_version}
Provides: tex(greek-iwona.enc) = %{tl_version}
Provides: tex(l7x-iwona-sc.enc) = %{tl_version}
Provides: tex(l7x-iwona.enc) = %{tl_version}
Provides: tex(mi-iwona.enc) = %{tl_version}
Provides: tex(qx-iwona-sc.enc) = %{tl_version}
Provides: tex(qx-iwona.enc) = %{tl_version}
Provides: tex(rm-iwona-sc.enc) = %{tl_version}
Provides: tex(rm-iwona.enc) = %{tl_version}
Provides: tex(sy-iwona.enc) = %{tl_version}
Provides: tex(t2a-iwona.enc) = %{tl_version}
Provides: tex(t2b-iwona.enc) = %{tl_version}
Provides: tex(t2c-iwona.enc) = %{tl_version}
Provides: tex(t5-iwona-sc.enc) = %{tl_version}
Provides: tex(t5-iwona.enc) = %{tl_version}
Provides: tex(texnansi-iwona-sc.enc) = %{tl_version}
Provides: tex(texnansi-iwona.enc) = %{tl_version}
Provides: tex(ts1-iwona.enc) = %{tl_version}
Provides: tex(wncy-iwona.enc) = %{tl_version}
Provides: tex(iwona-cs.map) = %{tl_version}
Provides: tex(iwona-ec.map) = %{tl_version}
Provides: tex(iwona-ex.map) = %{tl_version}
Provides: tex(iwona-greek.map) = %{tl_version}
Provides: tex(iwona-l7x.map) = %{tl_version}
Provides: tex(iwona-mi.map) = %{tl_version}
Provides: tex(iwona-qx.map) = %{tl_version}
Provides: tex(iwona-rm.map) = %{tl_version}
Provides: tex(iwona-sy.map) = %{tl_version}
Provides: tex(iwona-t2a.map) = %{tl_version}
Provides: tex(iwona-t2b.map) = %{tl_version}
Provides: tex(iwona-t2c.map) = %{tl_version}
Provides: tex(iwona-t5.map) = %{tl_version}
Provides: tex(iwona-texnansi.map) = %{tl_version}
Provides: tex(iwona-ts1.map) = %{tl_version}
Provides: tex(iwona-wncy.map) = %{tl_version}
Provides: tex(iwona.map) = %{tl_version}
Provides: tex(Iwona-Bold.otf) = %{tl_version}
Provides: tex(Iwona-BoldItalic.otf) = %{tl_version}
Provides: tex(Iwona-Italic.otf) = %{tl_version}
Provides: tex(Iwona-Regular.otf) = %{tl_version}
Provides: tex(IwonaCond-Bold.otf) = %{tl_version}
Provides: tex(IwonaCond-BoldItalic.otf) = %{tl_version}
Provides: tex(IwonaCond-Italic.otf) = %{tl_version}
Provides: tex(IwonaCond-Regular.otf) = %{tl_version}
Provides: tex(IwonaCondHeavy-Italic.otf) = %{tl_version}
Provides: tex(IwonaCondHeavy-Regular.otf) = %{tl_version}
Provides: tex(IwonaCondLight-Italic.otf) = %{tl_version}
Provides: tex(IwonaCondLight-Regular.otf) = %{tl_version}
Provides: tex(IwonaCondMedium-Italic.otf) = %{tl_version}
Provides: tex(IwonaCondMedium-Regular.otf) = %{tl_version}
Provides: tex(IwonaHeavy-Italic.otf) = %{tl_version}
Provides: tex(IwonaHeavy-Regular.otf) = %{tl_version}
Provides: tex(IwonaLight-Italic.otf) = %{tl_version}
Provides: tex(IwonaLight-Regular.otf) = %{tl_version}
Provides: tex(IwonaMedium-Italic.otf) = %{tl_version}
Provides: tex(IwonaMedium-Regular.otf) = %{tl_version}
Provides: tex(cs-iwonab-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonab.tfm) = %{tl_version}
Provides: tex(cs-iwonabi-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonabi.tfm) = %{tl_version}
Provides: tex(cs-iwonacb-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacb.tfm) = %{tl_version}
Provides: tex(cs-iwonacbi-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacbi.tfm) = %{tl_version}
Provides: tex(cs-iwonach-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonach.tfm) = %{tl_version}
Provides: tex(cs-iwonachi-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonachi.tfm) = %{tl_version}
Provides: tex(cs-iwonacl-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacl.tfm) = %{tl_version}
Provides: tex(cs-iwonacli-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacli.tfm) = %{tl_version}
Provides: tex(cs-iwonacm-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacm.tfm) = %{tl_version}
Provides: tex(cs-iwonacmi-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacmi.tfm) = %{tl_version}
Provides: tex(cs-iwonacr-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacr.tfm) = %{tl_version}
Provides: tex(cs-iwonacri-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonacri.tfm) = %{tl_version}
Provides: tex(cs-iwonah-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonah.tfm) = %{tl_version}
Provides: tex(cs-iwonahi-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonahi.tfm) = %{tl_version}
Provides: tex(cs-iwonal-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonal.tfm) = %{tl_version}
Provides: tex(cs-iwonali-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonali.tfm) = %{tl_version}
Provides: tex(cs-iwonam-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonam.tfm) = %{tl_version}
Provides: tex(cs-iwonami-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonami.tfm) = %{tl_version}
Provides: tex(cs-iwonar-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonar.tfm) = %{tl_version}
Provides: tex(cs-iwonari-sc.tfm) = %{tl_version}
Provides: tex(cs-iwonari.tfm) = %{tl_version}
Provides: tex(ec-iwonab-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonab.tfm) = %{tl_version}
Provides: tex(ec-iwonabi-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonabi.tfm) = %{tl_version}
Provides: tex(ec-iwonacb-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacb.tfm) = %{tl_version}
Provides: tex(ec-iwonacbi-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacbi.tfm) = %{tl_version}
Provides: tex(ec-iwonach-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonach.tfm) = %{tl_version}
Provides: tex(ec-iwonachi-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonachi.tfm) = %{tl_version}
Provides: tex(ec-iwonacl-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacl.tfm) = %{tl_version}
Provides: tex(ec-iwonacli-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacli.tfm) = %{tl_version}
Provides: tex(ec-iwonacm-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacm.tfm) = %{tl_version}
Provides: tex(ec-iwonacmi-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacmi.tfm) = %{tl_version}
Provides: tex(ec-iwonacr-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacr.tfm) = %{tl_version}
Provides: tex(ec-iwonacri-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonacri.tfm) = %{tl_version}
Provides: tex(ec-iwonah-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonah.tfm) = %{tl_version}
Provides: tex(ec-iwonahi-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonahi.tfm) = %{tl_version}
Provides: tex(ec-iwonal-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonal.tfm) = %{tl_version}
Provides: tex(ec-iwonali-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonali.tfm) = %{tl_version}
Provides: tex(ec-iwonam-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonam.tfm) = %{tl_version}
Provides: tex(ec-iwonami-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonami.tfm) = %{tl_version}
Provides: tex(ec-iwonar-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonar.tfm) = %{tl_version}
Provides: tex(ec-iwonari-sc.tfm) = %{tl_version}
Provides: tex(ec-iwonari.tfm) = %{tl_version}
Provides: tex(ex-iwonab.tfm) = %{tl_version}
Provides: tex(ex-iwonacb.tfm) = %{tl_version}
Provides: tex(ex-iwonach.tfm) = %{tl_version}
Provides: tex(ex-iwonacl.tfm) = %{tl_version}
Provides: tex(ex-iwonacm.tfm) = %{tl_version}
Provides: tex(ex-iwonacr.tfm) = %{tl_version}
Provides: tex(ex-iwonah.tfm) = %{tl_version}
Provides: tex(ex-iwonal.tfm) = %{tl_version}
Provides: tex(ex-iwonam.tfm) = %{tl_version}
Provides: tex(ex-iwonar.tfm) = %{tl_version}
Provides: tex(greek-iwonab.tfm) = %{tl_version}
Provides: tex(greek-iwonabi.tfm) = %{tl_version}
Provides: tex(greek-iwonacb.tfm) = %{tl_version}
Provides: tex(greek-iwonacbi.tfm) = %{tl_version}
Provides: tex(greek-iwonach.tfm) = %{tl_version}
Provides: tex(greek-iwonachi.tfm) = %{tl_version}
Provides: tex(greek-iwonacl.tfm) = %{tl_version}
Provides: tex(greek-iwonacli.tfm) = %{tl_version}
Provides: tex(greek-iwonacm.tfm) = %{tl_version}
Provides: tex(greek-iwonacmi.tfm) = %{tl_version}
Provides: tex(greek-iwonacr.tfm) = %{tl_version}
Provides: tex(greek-iwonacri.tfm) = %{tl_version}
Provides: tex(greek-iwonah.tfm) = %{tl_version}
Provides: tex(greek-iwonahi.tfm) = %{tl_version}
Provides: tex(greek-iwonal.tfm) = %{tl_version}
Provides: tex(greek-iwonali.tfm) = %{tl_version}
Provides: tex(greek-iwonam.tfm) = %{tl_version}
Provides: tex(greek-iwonami.tfm) = %{tl_version}
Provides: tex(greek-iwonar.tfm) = %{tl_version}
Provides: tex(greek-iwonari.tfm) = %{tl_version}
Provides: tex(l7x-iwonab-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonab.tfm) = %{tl_version}
Provides: tex(l7x-iwonabi-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonabi.tfm) = %{tl_version}
Provides: tex(l7x-iwonacb-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacb.tfm) = %{tl_version}
Provides: tex(l7x-iwonacbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacbi.tfm) = %{tl_version}
Provides: tex(l7x-iwonach-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonach.tfm) = %{tl_version}
Provides: tex(l7x-iwonachi-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonachi.tfm) = %{tl_version}
Provides: tex(l7x-iwonacl-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacl.tfm) = %{tl_version}
Provides: tex(l7x-iwonacli-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacli.tfm) = %{tl_version}
Provides: tex(l7x-iwonacm-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacm.tfm) = %{tl_version}
Provides: tex(l7x-iwonacmi-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacmi.tfm) = %{tl_version}
Provides: tex(l7x-iwonacr-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacr.tfm) = %{tl_version}
Provides: tex(l7x-iwonacri-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonacri.tfm) = %{tl_version}
Provides: tex(l7x-iwonah-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonah.tfm) = %{tl_version}
Provides: tex(l7x-iwonahi-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonahi.tfm) = %{tl_version}
Provides: tex(l7x-iwonal-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonal.tfm) = %{tl_version}
Provides: tex(l7x-iwonali-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonali.tfm) = %{tl_version}
Provides: tex(l7x-iwonam-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonam.tfm) = %{tl_version}
Provides: tex(l7x-iwonami-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonami.tfm) = %{tl_version}
Provides: tex(l7x-iwonar-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonar.tfm) = %{tl_version}
Provides: tex(l7x-iwonari-sc.tfm) = %{tl_version}
Provides: tex(l7x-iwonari.tfm) = %{tl_version}
Provides: tex(mi-iwonabi.tfm) = %{tl_version}
Provides: tex(mi-iwonacbi.tfm) = %{tl_version}
Provides: tex(mi-iwonachi.tfm) = %{tl_version}
Provides: tex(mi-iwonacli.tfm) = %{tl_version}
Provides: tex(mi-iwonacmi.tfm) = %{tl_version}
Provides: tex(mi-iwonacri.tfm) = %{tl_version}
Provides: tex(mi-iwonahi.tfm) = %{tl_version}
Provides: tex(mi-iwonali.tfm) = %{tl_version}
Provides: tex(mi-iwonami.tfm) = %{tl_version}
Provides: tex(mi-iwonari.tfm) = %{tl_version}
Provides: tex(qx-iwonab-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonab.tfm) = %{tl_version}
Provides: tex(qx-iwonabi-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonabi.tfm) = %{tl_version}
Provides: tex(qx-iwonacb-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacb.tfm) = %{tl_version}
Provides: tex(qx-iwonacbi-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacbi.tfm) = %{tl_version}
Provides: tex(qx-iwonach-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonach.tfm) = %{tl_version}
Provides: tex(qx-iwonachi-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonachi.tfm) = %{tl_version}
Provides: tex(qx-iwonacl-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacl.tfm) = %{tl_version}
Provides: tex(qx-iwonacli-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacli.tfm) = %{tl_version}
Provides: tex(qx-iwonacm-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacm.tfm) = %{tl_version}
Provides: tex(qx-iwonacmi-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacmi.tfm) = %{tl_version}
Provides: tex(qx-iwonacr-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacr.tfm) = %{tl_version}
Provides: tex(qx-iwonacri-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonacri.tfm) = %{tl_version}
Provides: tex(qx-iwonah-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonah.tfm) = %{tl_version}
Provides: tex(qx-iwonahi-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonahi.tfm) = %{tl_version}
Provides: tex(qx-iwonal-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonal.tfm) = %{tl_version}
Provides: tex(qx-iwonali-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonali.tfm) = %{tl_version}
Provides: tex(qx-iwonam-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonam.tfm) = %{tl_version}
Provides: tex(qx-iwonami-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonami.tfm) = %{tl_version}
Provides: tex(qx-iwonar-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonar.tfm) = %{tl_version}
Provides: tex(qx-iwonari-sc.tfm) = %{tl_version}
Provides: tex(qx-iwonari.tfm) = %{tl_version}
Provides: tex(rm-iwonab-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonab.tfm) = %{tl_version}
Provides: tex(rm-iwonabi-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonabi.tfm) = %{tl_version}
Provides: tex(rm-iwonacb-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacb.tfm) = %{tl_version}
Provides: tex(rm-iwonacbi-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacbi.tfm) = %{tl_version}
Provides: tex(rm-iwonach-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonach.tfm) = %{tl_version}
Provides: tex(rm-iwonachi-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonachi.tfm) = %{tl_version}
Provides: tex(rm-iwonacl-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacl.tfm) = %{tl_version}
Provides: tex(rm-iwonacli-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacli.tfm) = %{tl_version}
Provides: tex(rm-iwonacm-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacm.tfm) = %{tl_version}
Provides: tex(rm-iwonacmi-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacmi.tfm) = %{tl_version}
Provides: tex(rm-iwonacr-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacr.tfm) = %{tl_version}
Provides: tex(rm-iwonacri-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonacri.tfm) = %{tl_version}
Provides: tex(rm-iwonah-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonah.tfm) = %{tl_version}
Provides: tex(rm-iwonahi-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonahi.tfm) = %{tl_version}
Provides: tex(rm-iwonal-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonal.tfm) = %{tl_version}
Provides: tex(rm-iwonali-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonali.tfm) = %{tl_version}
Provides: tex(rm-iwonam-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonam.tfm) = %{tl_version}
Provides: tex(rm-iwonami-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonami.tfm) = %{tl_version}
Provides: tex(rm-iwonar-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonar.tfm) = %{tl_version}
Provides: tex(rm-iwonari-sc.tfm) = %{tl_version}
Provides: tex(rm-iwonari.tfm) = %{tl_version}
Provides: tex(sy-iwonabz.tfm) = %{tl_version}
Provides: tex(sy-iwonacbz.tfm) = %{tl_version}
Provides: tex(sy-iwonachz.tfm) = %{tl_version}
Provides: tex(sy-iwonaclz.tfm) = %{tl_version}
Provides: tex(sy-iwonacmz.tfm) = %{tl_version}
Provides: tex(sy-iwonacrz.tfm) = %{tl_version}
Provides: tex(sy-iwonahz.tfm) = %{tl_version}
Provides: tex(sy-iwonalz.tfm) = %{tl_version}
Provides: tex(sy-iwonamz.tfm) = %{tl_version}
Provides: tex(sy-iwonarz.tfm) = %{tl_version}
Provides: tex(t2a-iwonab.tfm) = %{tl_version}
Provides: tex(t2a-iwonabi.tfm) = %{tl_version}
Provides: tex(t2a-iwonacb.tfm) = %{tl_version}
Provides: tex(t2a-iwonacbi.tfm) = %{tl_version}
Provides: tex(t2a-iwonach.tfm) = %{tl_version}
Provides: tex(t2a-iwonachi.tfm) = %{tl_version}
Provides: tex(t2a-iwonacl.tfm) = %{tl_version}
Provides: tex(t2a-iwonacli.tfm) = %{tl_version}
Provides: tex(t2a-iwonacm.tfm) = %{tl_version}
Provides: tex(t2a-iwonacmi.tfm) = %{tl_version}
Provides: tex(t2a-iwonacr.tfm) = %{tl_version}
Provides: tex(t2a-iwonacri.tfm) = %{tl_version}
Provides: tex(t2a-iwonah.tfm) = %{tl_version}
Provides: tex(t2a-iwonahi.tfm) = %{tl_version}
Provides: tex(t2a-iwonal.tfm) = %{tl_version}
Provides: tex(t2a-iwonali.tfm) = %{tl_version}
Provides: tex(t2a-iwonam.tfm) = %{tl_version}
Provides: tex(t2a-iwonami.tfm) = %{tl_version}
Provides: tex(t2a-iwonar.tfm) = %{tl_version}
Provides: tex(t2a-iwonari.tfm) = %{tl_version}
Provides: tex(t2b-iwonab.tfm) = %{tl_version}
Provides: tex(t2b-iwonabi.tfm) = %{tl_version}
Provides: tex(t2b-iwonacb.tfm) = %{tl_version}
Provides: tex(t2b-iwonacbi.tfm) = %{tl_version}
Provides: tex(t2b-iwonach.tfm) = %{tl_version}
Provides: tex(t2b-iwonachi.tfm) = %{tl_version}
Provides: tex(t2b-iwonacl.tfm) = %{tl_version}
Provides: tex(t2b-iwonacli.tfm) = %{tl_version}
Provides: tex(t2b-iwonacm.tfm) = %{tl_version}
Provides: tex(t2b-iwonacmi.tfm) = %{tl_version}
Provides: tex(t2b-iwonacr.tfm) = %{tl_version}
Provides: tex(t2b-iwonacri.tfm) = %{tl_version}
Provides: tex(t2b-iwonah.tfm) = %{tl_version}
Provides: tex(t2b-iwonahi.tfm) = %{tl_version}
Provides: tex(t2b-iwonal.tfm) = %{tl_version}
Provides: tex(t2b-iwonali.tfm) = %{tl_version}
Provides: tex(t2b-iwonam.tfm) = %{tl_version}
Provides: tex(t2b-iwonami.tfm) = %{tl_version}
Provides: tex(t2b-iwonar.tfm) = %{tl_version}
Provides: tex(t2b-iwonari.tfm) = %{tl_version}
Provides: tex(t2c-iwonab.tfm) = %{tl_version}
Provides: tex(t2c-iwonabi.tfm) = %{tl_version}
Provides: tex(t2c-iwonacb.tfm) = %{tl_version}
Provides: tex(t2c-iwonacbi.tfm) = %{tl_version}
Provides: tex(t2c-iwonach.tfm) = %{tl_version}
Provides: tex(t2c-iwonachi.tfm) = %{tl_version}
Provides: tex(t2c-iwonacl.tfm) = %{tl_version}
Provides: tex(t2c-iwonacli.tfm) = %{tl_version}
Provides: tex(t2c-iwonacm.tfm) = %{tl_version}
Provides: tex(t2c-iwonacmi.tfm) = %{tl_version}
Provides: tex(t2c-iwonacr.tfm) = %{tl_version}
Provides: tex(t2c-iwonacri.tfm) = %{tl_version}
Provides: tex(t2c-iwonah.tfm) = %{tl_version}
Provides: tex(t2c-iwonahi.tfm) = %{tl_version}
Provides: tex(t2c-iwonal.tfm) = %{tl_version}
Provides: tex(t2c-iwonali.tfm) = %{tl_version}
Provides: tex(t2c-iwonam.tfm) = %{tl_version}
Provides: tex(t2c-iwonami.tfm) = %{tl_version}
Provides: tex(t2c-iwonar.tfm) = %{tl_version}
Provides: tex(t2c-iwonari.tfm) = %{tl_version}
Provides: tex(t5-iwonab-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonab.tfm) = %{tl_version}
Provides: tex(t5-iwonabi-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonabi.tfm) = %{tl_version}
Provides: tex(t5-iwonacb-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacb.tfm) = %{tl_version}
Provides: tex(t5-iwonacbi-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacbi.tfm) = %{tl_version}
Provides: tex(t5-iwonach-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonach.tfm) = %{tl_version}
Provides: tex(t5-iwonachi-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonachi.tfm) = %{tl_version}
Provides: tex(t5-iwonacl-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacl.tfm) = %{tl_version}
Provides: tex(t5-iwonacli-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacli.tfm) = %{tl_version}
Provides: tex(t5-iwonacm-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacm.tfm) = %{tl_version}
Provides: tex(t5-iwonacmi-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacmi.tfm) = %{tl_version}
Provides: tex(t5-iwonacr-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacr.tfm) = %{tl_version}
Provides: tex(t5-iwonacri-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonacri.tfm) = %{tl_version}
Provides: tex(t5-iwonah-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonah.tfm) = %{tl_version}
Provides: tex(t5-iwonahi-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonahi.tfm) = %{tl_version}
Provides: tex(t5-iwonal-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonal.tfm) = %{tl_version}
Provides: tex(t5-iwonali-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonali.tfm) = %{tl_version}
Provides: tex(t5-iwonam-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonam.tfm) = %{tl_version}
Provides: tex(t5-iwonami-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonami.tfm) = %{tl_version}
Provides: tex(t5-iwonar-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonar.tfm) = %{tl_version}
Provides: tex(t5-iwonari-sc.tfm) = %{tl_version}
Provides: tex(t5-iwonari.tfm) = %{tl_version}
Provides: tex(texnansi-iwonab-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonab.tfm) = %{tl_version}
Provides: tex(texnansi-iwonabi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonabi.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacb.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacbi.tfm) = %{tl_version}
Provides: tex(texnansi-iwonach-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonach.tfm) = %{tl_version}
Provides: tex(texnansi-iwonachi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonachi.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacl-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacl.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacli-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacli.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacm-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacm.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacmi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacmi.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacr.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonacri.tfm) = %{tl_version}
Provides: tex(texnansi-iwonah-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonah.tfm) = %{tl_version}
Provides: tex(texnansi-iwonahi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonahi.tfm) = %{tl_version}
Provides: tex(texnansi-iwonal-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonal.tfm) = %{tl_version}
Provides: tex(texnansi-iwonali-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonali.tfm) = %{tl_version}
Provides: tex(texnansi-iwonam-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonam.tfm) = %{tl_version}
Provides: tex(texnansi-iwonami-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonami.tfm) = %{tl_version}
Provides: tex(texnansi-iwonar-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonar.tfm) = %{tl_version}
Provides: tex(texnansi-iwonari-sc.tfm) = %{tl_version}
Provides: tex(texnansi-iwonari.tfm) = %{tl_version}
Provides: tex(ts1-iwonab.tfm) = %{tl_version}
Provides: tex(ts1-iwonabi.tfm) = %{tl_version}
Provides: tex(ts1-iwonacb.tfm) = %{tl_version}
Provides: tex(ts1-iwonacbi.tfm) = %{tl_version}
Provides: tex(ts1-iwonach.tfm) = %{tl_version}
Provides: tex(ts1-iwonachi.tfm) = %{tl_version}
Provides: tex(ts1-iwonacl.tfm) = %{tl_version}
Provides: tex(ts1-iwonacli.tfm) = %{tl_version}
Provides: tex(ts1-iwonacm.tfm) = %{tl_version}
Provides: tex(ts1-iwonacmi.tfm) = %{tl_version}
Provides: tex(ts1-iwonacr.tfm) = %{tl_version}
Provides: tex(ts1-iwonacri.tfm) = %{tl_version}
Provides: tex(ts1-iwonah.tfm) = %{tl_version}
Provides: tex(ts1-iwonahi.tfm) = %{tl_version}
Provides: tex(ts1-iwonal.tfm) = %{tl_version}
Provides: tex(ts1-iwonali.tfm) = %{tl_version}
Provides: tex(ts1-iwonam.tfm) = %{tl_version}
Provides: tex(ts1-iwonami.tfm) = %{tl_version}
Provides: tex(ts1-iwonar.tfm) = %{tl_version}
Provides: tex(ts1-iwonari.tfm) = %{tl_version}
Provides: tex(wncy-iwonab.tfm) = %{tl_version}
Provides: tex(wncy-iwonabi.tfm) = %{tl_version}
Provides: tex(wncy-iwonacb.tfm) = %{tl_version}
Provides: tex(wncy-iwonacbi.tfm) = %{tl_version}
Provides: tex(wncy-iwonach.tfm) = %{tl_version}
Provides: tex(wncy-iwonachi.tfm) = %{tl_version}
Provides: tex(wncy-iwonacl.tfm) = %{tl_version}
Provides: tex(wncy-iwonacli.tfm) = %{tl_version}
Provides: tex(wncy-iwonacm.tfm) = %{tl_version}
Provides: tex(wncy-iwonacmi.tfm) = %{tl_version}
Provides: tex(wncy-iwonacr.tfm) = %{tl_version}
Provides: tex(wncy-iwonacri.tfm) = %{tl_version}
Provides: tex(wncy-iwonah.tfm) = %{tl_version}
Provides: tex(wncy-iwonahi.tfm) = %{tl_version}
Provides: tex(wncy-iwonal.tfm) = %{tl_version}
Provides: tex(wncy-iwonali.tfm) = %{tl_version}
Provides: tex(wncy-iwonam.tfm) = %{tl_version}
Provides: tex(wncy-iwonami.tfm) = %{tl_version}
Provides: tex(wncy-iwonar.tfm) = %{tl_version}
Provides: tex(wncy-iwonari.tfm) = %{tl_version}
Provides: tex(iwonab.pfb) = %{tl_version}
Provides: tex(iwonabi.pfb) = %{tl_version}
Provides: tex(iwonacb.pfb) = %{tl_version}
Provides: tex(iwonacbi.pfb) = %{tl_version}
Provides: tex(iwonach.pfb) = %{tl_version}
Provides: tex(iwonachi.pfb) = %{tl_version}
Provides: tex(iwonacl.pfb) = %{tl_version}
Provides: tex(iwonacli.pfb) = %{tl_version}
Provides: tex(iwonacm.pfb) = %{tl_version}
Provides: tex(iwonacmi.pfb) = %{tl_version}
Provides: tex(iwonacr.pfb) = %{tl_version}
Provides: tex(iwonacri.pfb) = %{tl_version}
Provides: tex(iwonah.pfb) = %{tl_version}
Provides: tex(iwonahi.pfb) = %{tl_version}
Provides: tex(iwonal.pfb) = %{tl_version}
Provides: tex(iwonali.pfb) = %{tl_version}
Provides: tex(iwonam.pfb) = %{tl_version}
Provides: tex(iwonami.pfb) = %{tl_version}
Provides: tex(iwonar.pfb) = %{tl_version}
Provides: tex(iwonari.pfb) = %{tl_version}
Provides: tex(il2iwona.fd) = %{tl_version}
Provides: tex(il2iwonac.fd) = %{tl_version}
Provides: tex(il2iwonal.fd) = %{tl_version}
Provides: tex(il2iwonalc.fd) = %{tl_version}
Provides: tex(iwona.sty) = %{tl_version}
Provides: tex(l7xiwona.fd) = %{tl_version}
Provides: tex(l7xiwonac.fd) = %{tl_version}
Provides: tex(l7xiwonal.fd) = %{tl_version}
Provides: tex(l7xiwonalc.fd) = %{tl_version}
Provides: tex(ly1iwona.fd) = %{tl_version}
Provides: tex(ly1iwonac.fd) = %{tl_version}
Provides: tex(ly1iwonal.fd) = %{tl_version}
Provides: tex(ly1iwonalc.fd) = %{tl_version}
Provides: tex(omliwona.fd) = %{tl_version}
Provides: tex(omliwonac.fd) = %{tl_version}
Provides: tex(omliwonal.fd) = %{tl_version}
Provides: tex(omliwonalc.fd) = %{tl_version}
Provides: tex(omsiwona.fd) = %{tl_version}
Provides: tex(omsiwonac.fd) = %{tl_version}
Provides: tex(omsiwonal.fd) = %{tl_version}
Provides: tex(omsiwonalc.fd) = %{tl_version}
Provides: tex(omxiwona.fd) = %{tl_version}
Provides: tex(omxiwonac.fd) = %{tl_version}
Provides: tex(omxiwonal.fd) = %{tl_version}
Provides: tex(omxiwonalc.fd) = %{tl_version}
Provides: tex(ot1iwona.fd) = %{tl_version}
Provides: tex(ot1iwonac.fd) = %{tl_version}
Provides: tex(ot1iwonacm.fd) = %{tl_version}
Provides: tex(ot1iwonal.fd) = %{tl_version}
Provides: tex(ot1iwonalc.fd) = %{tl_version}
Provides: tex(ot1iwonalcm.fd) = %{tl_version}
Provides: tex(ot1iwonalm.fd) = %{tl_version}
Provides: tex(ot1iwonam.fd) = %{tl_version}
Provides: tex(ot2iwona.fd) = %{tl_version}
Provides: tex(ot2iwonac.fd) = %{tl_version}
Provides: tex(ot2iwonal.fd) = %{tl_version}
Provides: tex(ot2iwonalc.fd) = %{tl_version}
Provides: tex(ot4iwona.fd) = %{tl_version}
Provides: tex(ot4iwonac.fd) = %{tl_version}
Provides: tex(ot4iwonal.fd) = %{tl_version}
Provides: tex(ot4iwonalc.fd) = %{tl_version}
Provides: tex(qxiwona.fd) = %{tl_version}
Provides: tex(qxiwonac.fd) = %{tl_version}
Provides: tex(qxiwonal.fd) = %{tl_version}
Provides: tex(qxiwonalc.fd) = %{tl_version}
Provides: tex(t1iwona.fd) = %{tl_version}
Provides: tex(t1iwonac.fd) = %{tl_version}
Provides: tex(t1iwonal.fd) = %{tl_version}
Provides: tex(t1iwonalc.fd) = %{tl_version}
Provides: tex(t2aiwona.fd) = %{tl_version}
Provides: tex(t2aiwonac.fd) = %{tl_version}
Provides: tex(t2aiwonal.fd) = %{tl_version}
Provides: tex(t2aiwonalc.fd) = %{tl_version}
Provides: tex(t2biwona.fd) = %{tl_version}
Provides: tex(t2biwonac.fd) = %{tl_version}
Provides: tex(t2biwonal.fd) = %{tl_version}
Provides: tex(t2biwonalc.fd) = %{tl_version}
Provides: tex(t2ciwona.fd) = %{tl_version}
Provides: tex(t2ciwonac.fd) = %{tl_version}
Provides: tex(t2ciwonal.fd) = %{tl_version}
Provides: tex(t2ciwonalc.fd) = %{tl_version}
Provides: tex(t5iwona.fd) = %{tl_version}
Provides: tex(t5iwonac.fd) = %{tl_version}
Provides: tex(t5iwonal.fd) = %{tl_version}
Provides: tex(t5iwonalc.fd) = %{tl_version}
Provides: tex(ts1iwona.fd) = %{tl_version}
Provides: tex(ts1iwonac.fd) = %{tl_version}
Provides: tex(ts1iwonal.fd) = %{tl_version}
Provides: tex(ts1iwonalc.fd) = %{tl_version}
Provides: tex(iwona-math.tex) = %{tl_version}

%description iwona
Iwona is a two-element sans-serif typeface. It was created as
an alternative version of the Kurier typeface, which was
designed in 1975 for a diploma in typeface design at the Warsaw
Academy of Fine Arts under the supervision of Roman
Tomaszewski. This distribution contains a significantly
extended set of characters covering the following modern
alphabets: latin (including Vietnamese), Cyrillic and Greek as
well as a number of additional symbols (including mathematical
symbols). The fonts are prepared in Type 1 and OpenType
formats. For use with TeX the following encoding files have
been prepared: T1 (ec), T2 (abc), and OT2--Cyrillic, T5
(Vietnamese), OT4, QX, texansi and nonstandard (IL2 for the
Czech fonts), as well as supporting macros and files defining
fonts for LaTeX.

%package iwona-doc
Summary: Documentation for iwona
Version: svn19611.0.995b

Provides: tex-iwona-doc
AutoReqProv: No

%description iwona-doc
Documentation for iwona

%package jablantile
Provides: tex-jablantile = %{tl_version}
License: Public Domain
Summary: Metafont version of tiles in the style of Slavik Jablan
Version: svn16364.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description jablantile
This is a small Metafont font to implement the modular tiles
described by Slavik Jablan. For an outline of the theoretical
structure of the tiles, see (for example) Jablan's JMM 2006
Exhibit.

%package jablantile-doc
Summary: Documentation for jablantile
Version: svn16364.0

Provides: tex-jablantile-doc
AutoReqProv: No

%description jablantile-doc
Documentation for jablantile

%package jamtimes
Provides: tex-jamtimes = %{tl_version}
License: BSD
Summary: Expanded Times Roman fonts
Version: svn20408.1.12

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(eucal.sty)
Requires: tex(amsfonts.sty)
Provides: tex(jtm.map) = %{tl_version}
Provides: tex(blsy.tfm) = %{tl_version}
Provides: tex(jtmb7tv.tfm) = %{tl_version}
Provides: tex(jtmb8cv.tfm) = %{tl_version}
Provides: tex(jtmb8rv.tfm) = %{tl_version}
Provides: tex(jtmb8tv.tfm) = %{tl_version}
Provides: tex(jtmbc7tv.tfm) = %{tl_version}
Provides: tex(jtmbc8tv.tfm) = %{tl_version}
Provides: tex(jtmbi7me.tfm) = %{tl_version}
Provides: tex(jtmbi7tv.tfm) = %{tl_version}
Provides: tex(jtmbi8cv.tfm) = %{tl_version}
Provides: tex(jtmbi8rv.tfm) = %{tl_version}
Provides: tex(jtmbi8tv.tfm) = %{tl_version}
Provides: tex(jtmbo7tv.tfm) = %{tl_version}
Provides: tex(jtmbo8cv.tfm) = %{tl_version}
Provides: tex(jtmbo8rv.tfm) = %{tl_version}
Provides: tex(jtmbo8tv.tfm) = %{tl_version}
Provides: tex(jtmr7tc.tfm) = %{tl_version}
Provides: tex(jtmr7te.tfm) = %{tl_version}
Provides: tex(jtmr7tw.tfm) = %{tl_version}
Provides: tex(jtmr7ye.tfm) = %{tl_version}
Provides: tex(jtmr7yoe.tfm) = %{tl_version}
Provides: tex(jtmr8cc.tfm) = %{tl_version}
Provides: tex(jtmr8ce.tfm) = %{tl_version}
Provides: tex(jtmr8cw.tfm) = %{tl_version}
Provides: tex(jtmr8rc.tfm) = %{tl_version}
Provides: tex(jtmr8re.tfm) = %{tl_version}
Provides: tex(jtmr8rw.tfm) = %{tl_version}
Provides: tex(jtmr8tc.tfm) = %{tl_version}
Provides: tex(jtmr8te.tfm) = %{tl_version}
Provides: tex(jtmr8tw.tfm) = %{tl_version}
Provides: tex(jtmrc7te.tfm) = %{tl_version}
Provides: tex(jtmrc7tw.tfm) = %{tl_version}
Provides: tex(jtmrc8te.tfm) = %{tl_version}
Provides: tex(jtmrc8tw.tfm) = %{tl_version}
Provides: tex(jtmri7me.tfm) = %{tl_version}
Provides: tex(jtmri7te.tfm) = %{tl_version}
Provides: tex(jtmri7tw.tfm) = %{tl_version}
Provides: tex(jtmri7ze.tfm) = %{tl_version}
Provides: tex(jtmri8ce.tfm) = %{tl_version}
Provides: tex(jtmri8cw.tfm) = %{tl_version}
Provides: tex(jtmri8re.tfm) = %{tl_version}
Provides: tex(jtmri8rw.tfm) = %{tl_version}
Provides: tex(jtmri8te.tfm) = %{tl_version}
Provides: tex(jtmri8tw.tfm) = %{tl_version}
Provides: tex(jtmro7te.tfm) = %{tl_version}
Provides: tex(jtmro7tw.tfm) = %{tl_version}
Provides: tex(jtmro8ce.tfm) = %{tl_version}
Provides: tex(jtmro8cw.tfm) = %{tl_version}
Provides: tex(jtmro8re.tfm) = %{tl_version}
Provides: tex(jtmro8rw.tfm) = %{tl_version}
Provides: tex(jtmro8te.tfm) = %{tl_version}
Provides: tex(jtmro8tw.tfm) = %{tl_version}
Provides: tex(ptmb8a.tfm) = %{tl_version}
Provides: tex(ptmbi8a.tfm) = %{tl_version}
Provides: tex(ptmr8a.tfm) = %{tl_version}
Provides: tex(ptmri8a.tfm) = %{tl_version}
Provides: tex(rblmi.tfm) = %{tl_version}
Provides: tex(jtmb7tv.vf) = %{tl_version}
Provides: tex(jtmb8cv.vf) = %{tl_version}
Provides: tex(jtmb8tv.vf) = %{tl_version}
Provides: tex(jtmbc7tv.vf) = %{tl_version}
Provides: tex(jtmbc8tv.vf) = %{tl_version}
Provides: tex(jtmbi7me.vf) = %{tl_version}
Provides: tex(jtmbi7tv.vf) = %{tl_version}
Provides: tex(jtmbi8cv.vf) = %{tl_version}
Provides: tex(jtmbi8tv.vf) = %{tl_version}
Provides: tex(jtmbo7tv.vf) = %{tl_version}
Provides: tex(jtmbo8cv.vf) = %{tl_version}
Provides: tex(jtmbo8tv.vf) = %{tl_version}
Provides: tex(jtmr7tc.vf) = %{tl_version}
Provides: tex(jtmr7te.vf) = %{tl_version}
Provides: tex(jtmr7tw.vf) = %{tl_version}
Provides: tex(jtmr7ye.vf) = %{tl_version}
Provides: tex(jtmr8cc.vf) = %{tl_version}
Provides: tex(jtmr8ce.vf) = %{tl_version}
Provides: tex(jtmr8cw.vf) = %{tl_version}
Provides: tex(jtmr8tc.vf) = %{tl_version}
Provides: tex(jtmr8te.vf) = %{tl_version}
Provides: tex(jtmr8tw.vf) = %{tl_version}
Provides: tex(jtmrc7te.vf) = %{tl_version}
Provides: tex(jtmrc7tw.vf) = %{tl_version}
Provides: tex(jtmrc8te.vf) = %{tl_version}
Provides: tex(jtmrc8tw.vf) = %{tl_version}
Provides: tex(jtmri7me.vf) = %{tl_version}
Provides: tex(jtmri7te.vf) = %{tl_version}
Provides: tex(jtmri7tw.vf) = %{tl_version}
Provides: tex(jtmri8ce.vf) = %{tl_version}
Provides: tex(jtmri8cw.vf) = %{tl_version}
Provides: tex(jtmri8te.vf) = %{tl_version}
Provides: tex(jtmri8tw.vf) = %{tl_version}
Provides: tex(jtmro7te.vf) = %{tl_version}
Provides: tex(jtmro7tw.vf) = %{tl_version}
Provides: tex(jtmro8ce.vf) = %{tl_version}
Provides: tex(jtmro8cw.vf) = %{tl_version}
Provides: tex(jtmro8te.vf) = %{tl_version}
Provides: tex(jtmro8tw.vf) = %{tl_version}
Provides: tex(jamtimes.sty) = %{tl_version}
Provides: tex(omljtm.fd) = %{tl_version}
Provides: tex(omsjtm.fd) = %{tl_version}
Provides: tex(ot1jtm.fd) = %{tl_version}
Provides: tex(t1jtm.fd) = %{tl_version}
Provides: tex(ts1jtm.fd) = %{tl_version}

%description jamtimes
The package offers LaTeX support for the expanded Times Roman
font, which has been used for many years in the Journal
d'Analyse Mathematique. Mathematics support is based on the
Belleek fonts.

%package jamtimes-doc
Summary: Documentation for jamtimes
Version: svn20408.1.12

Provides: tex-jamtimes-doc
AutoReqProv: No

%description jamtimes-doc
Documentation for jamtimes

%package junicode
Provides: tex-junicode = %{tl_version}
License: GPL+
Summary: A TrueType font for mediaevalists
Version: svn28286.0.7.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Junicode-Bold.ttf) = %{tl_version}
Provides: tex(Junicode-BoldItalic.ttf) = %{tl_version}
Provides: tex(Junicode-Italic.ttf) = %{tl_version}
Provides: tex(Junicode.ttf) = %{tl_version}
Provides: tex(mt-Junicode.cfg) = %{tl_version}

%description junicode
Junicode is a TrueType font with many OpenType features for
antiquarians (especially medievalists) based on typefaces used
by the Oxford Press in the late 17th and early 18th centuries.
It works well with Xe(La)TeX.

%package junicode-doc
Summary: Documentation for junicode
Version: svn28286.0.7.7

Provides: tex-junicode-doc
AutoReqProv: No

%description junicode-doc
Documentation for junicode

%package kixfont
Provides: tex-kixfont = %{tl_version}
License: Copyright only
Summary: A font for KIX codes
Version: svn18488.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(kix.tfm) = %{tl_version}

%description kixfont
The KIX code is a barcode-like format used by the Dutch PTT to
encode country codes, zip codes and street numbers in a machine-
readable format. If printed below the address line on bulk
mailings, a discount can be obtained. The font is distributed
in Metafont format, and covers the numbers and upper-case
letters.

%package kixfont-doc
Summary: Documentation for kixfont
Version: svn18488.0

Provides: tex-kixfont-doc
AutoReqProv: No

%description kixfont-doc
Documentation for kixfont

%package kpfonts
Provides: tex-kpfonts = %{tl_version}
License: GPL+
Summary: A complete set of fonts for text and mathematics
Version: svn29803.3.31

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(textcomp.sty)
Requires: tex(amsmath.sty)
Requires: tex(ifthen.sty)
Provides: tex(kpfonts-expert-sc.enc) = %{tl_version}
Provides: tex(kpfonts-expert-tt.enc) = %{tl_version}
Provides: tex(kpfonts-expert.enc) = %{tl_version}
Provides: tex(kpfonts-large-sc.enc) = %{tl_version}
Provides: tex(kpfonts-expert-sc.enc) = %{tl_version}
Provides: tex(kpfonts-expert-tt.enc) = %{tl_version}
Provides: tex(kpfonts-expert.enc) = %{tl_version}
Provides: tex(kpfonts-large-sc.enc) = %{tl_version}
Provides: tex(kpfonts.map) = %{tl_version}
Provides: tex(jkpbex.tfm) = %{tl_version}
Provides: tex(jkpbexa.tfm) = %{tl_version}
Provides: tex(jkpbit7c.tfm) = %{tl_version}
Provides: tex(jkpbit7t.tfm) = %{tl_version}
Provides: tex(jkpbit8a.tfm) = %{tl_version}
Provides: tex(jkpbit8r.tfm) = %{tl_version}
Provides: tex(jkpbit8t.tfm) = %{tl_version}
Provides: tex(jkpbitc.tfm) = %{tl_version}
Provides: tex(jkpbite.tfm) = %{tl_version}
Provides: tex(jkpbmi.tfm) = %{tl_version}
Provides: tex(jkpbmia.tfm) = %{tl_version}
Provides: tex(jkpbmiaw.tfm) = %{tl_version}
Provides: tex(jkpbmif.tfm) = %{tl_version}
Provides: tex(jkpbmifw.tfm) = %{tl_version}
Provides: tex(jkpbmiw.tfm) = %{tl_version}
Provides: tex(jkpbn7c.tfm) = %{tl_version}
Provides: tex(jkpbn7t.tfm) = %{tl_version}
Provides: tex(jkpbn8a.tfm) = %{tl_version}
Provides: tex(jkpbn8r.tfm) = %{tl_version}
Provides: tex(jkpbn8t.tfm) = %{tl_version}
Provides: tex(jkpbnc.tfm) = %{tl_version}
Provides: tex(jkpbne.tfm) = %{tl_version}
Provides: tex(jkpbsc7c.tfm) = %{tl_version}
Provides: tex(jkpbsc7t.tfm) = %{tl_version}
Provides: tex(jkpbsc8a.tfm) = %{tl_version}
Provides: tex(jkpbsc8r.tfm) = %{tl_version}
Provides: tex(jkpbsc8t.tfm) = %{tl_version}
Provides: tex(jkpbsce.tfm) = %{tl_version}
Provides: tex(jkpbscsl7c.tfm) = %{tl_version}
Provides: tex(jkpbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpbscsl8r.tfm) = %{tl_version}
Provides: tex(jkpbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpbscsle.tfm) = %{tl_version}
Provides: tex(jkpbsl7c.tfm) = %{tl_version}
Provides: tex(jkpbsl7t.tfm) = %{tl_version}
Provides: tex(jkpbsl8r.tfm) = %{tl_version}
Provides: tex(jkpbsl8t.tfm) = %{tl_version}
Provides: tex(jkpbslc.tfm) = %{tl_version}
Provides: tex(jkpbsle.tfm) = %{tl_version}
Provides: tex(jkpbsy.tfm) = %{tl_version}
Provides: tex(jkpbsya.tfm) = %{tl_version}
Provides: tex(jkpbsyb.tfm) = %{tl_version}
Provides: tex(jkpbsybw.tfm) = %{tl_version}
Provides: tex(jkpbsyc.tfm) = %{tl_version}
Provides: tex(jkpbsyd.tfm) = %{tl_version}
Provides: tex(jkpbsydw.tfm) = %{tl_version}
Provides: tex(jkpbsyw.tfm) = %{tl_version}
Provides: tex(jkpbxit7c.tfm) = %{tl_version}
Provides: tex(jkpbxit7t.tfm) = %{tl_version}
Provides: tex(jkpbxit8r.tfm) = %{tl_version}
Provides: tex(jkpbxit8t.tfm) = %{tl_version}
Provides: tex(jkpbxitc.tfm) = %{tl_version}
Provides: tex(jkpbxite.tfm) = %{tl_version}
Provides: tex(jkpbxn7c.tfm) = %{tl_version}
Provides: tex(jkpbxn7t.tfm) = %{tl_version}
Provides: tex(jkpbxn8r.tfm) = %{tl_version}
Provides: tex(jkpbxn8t.tfm) = %{tl_version}
Provides: tex(jkpbxnc.tfm) = %{tl_version}
Provides: tex(jkpbxne.tfm) = %{tl_version}
Provides: tex(jkpbxsc7c.tfm) = %{tl_version}
Provides: tex(jkpbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpbxsc8r.tfm) = %{tl_version}
Provides: tex(jkpbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpbxsce.tfm) = %{tl_version}
Provides: tex(jkpbxscsl7c.tfm) = %{tl_version}
Provides: tex(jkpbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpbxscsl8r.tfm) = %{tl_version}
Provides: tex(jkpbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpbxscsle.tfm) = %{tl_version}
Provides: tex(jkpbxsl7c.tfm) = %{tl_version}
Provides: tex(jkpbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpbxsl8r.tfm) = %{tl_version}
Provides: tex(jkpbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpbxslc.tfm) = %{tl_version}
Provides: tex(jkpbxsle.tfm) = %{tl_version}
Provides: tex(jkpex.tfm) = %{tl_version}
Provides: tex(jkpexa.tfm) = %{tl_version}
Provides: tex(jkpfbit7t.tfm) = %{tl_version}
Provides: tex(jkpfbit8t.tfm) = %{tl_version}
Provides: tex(jkpfbn7t.tfm) = %{tl_version}
Provides: tex(jkpfbn8t.tfm) = %{tl_version}
Provides: tex(jkpfbsl7t.tfm) = %{tl_version}
Provides: tex(jkpfbsl8t.tfm) = %{tl_version}
Provides: tex(jkpfbxit7t.tfm) = %{tl_version}
Provides: tex(jkpfbxit8t.tfm) = %{tl_version}
Provides: tex(jkpfbxn7t.tfm) = %{tl_version}
Provides: tex(jkpfbxn8t.tfm) = %{tl_version}
Provides: tex(jkpfbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpfbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpfmit7t.tfm) = %{tl_version}
Provides: tex(jkpfmit8t.tfm) = %{tl_version}
Provides: tex(jkpfmn7t.tfm) = %{tl_version}
Provides: tex(jkpfmn8t.tfm) = %{tl_version}
Provides: tex(jkpfmsl7t.tfm) = %{tl_version}
Provides: tex(jkpfmsl8t.tfm) = %{tl_version}
Provides: tex(jkpfosnbit7t.tfm) = %{tl_version}
Provides: tex(jkpfosnbit8t.tfm) = %{tl_version}
Provides: tex(jkpfosnbn7t.tfm) = %{tl_version}
Provides: tex(jkpfosnbn8t.tfm) = %{tl_version}
Provides: tex(jkpfosnbsl7t.tfm) = %{tl_version}
Provides: tex(jkpfosnbsl8t.tfm) = %{tl_version}
Provides: tex(jkpfosnbxit7t.tfm) = %{tl_version}
Provides: tex(jkpfosnbxit8t.tfm) = %{tl_version}
Provides: tex(jkpfosnbxn7t.tfm) = %{tl_version}
Provides: tex(jkpfosnbxn8t.tfm) = %{tl_version}
Provides: tex(jkpfosnbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpfosnbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpfosnmit7t.tfm) = %{tl_version}
Provides: tex(jkpfosnmit8t.tfm) = %{tl_version}
Provides: tex(jkpfosnmn7t.tfm) = %{tl_version}
Provides: tex(jkpfosnmn8t.tfm) = %{tl_version}
Provides: tex(jkpfosnmsl7t.tfm) = %{tl_version}
Provides: tex(jkpfosnmsl8t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbn7t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbn8t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbsl7t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbsl8t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbxn7t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbxn8t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpfssosnbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpfssosnmn7t.tfm) = %{tl_version}
Provides: tex(jkpfssosnmn8t.tfm) = %{tl_version}
Provides: tex(jkpfssosnmsl7t.tfm) = %{tl_version}
Provides: tex(jkpfssosnmsl8t.tfm) = %{tl_version}
Provides: tex(jkpkbsc.tfm) = %{tl_version}
Provides: tex(jkpkbsc7t.tfm) = %{tl_version}
Provides: tex(jkpkbsc8t.tfm) = %{tl_version}
Provides: tex(jkpkbscsl.tfm) = %{tl_version}
Provides: tex(jkpkbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkbxsc.tfm) = %{tl_version}
Provides: tex(jkpkbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpkbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpkbxscsl.tfm) = %{tl_version}
Provides: tex(jkpkbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkmsc.tfm) = %{tl_version}
Provides: tex(jkpkmsc7t.tfm) = %{tl_version}
Provides: tex(jkpkmsc8t.tfm) = %{tl_version}
Provides: tex(jkpkmscsl.tfm) = %{tl_version}
Provides: tex(jkpkmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkosbsc7t.tfm) = %{tl_version}
Provides: tex(jkpkosbsc8t.tfm) = %{tl_version}
Provides: tex(jkpkosbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkosbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkosbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpkosbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpkosbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkosbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkosmsc7t.tfm) = %{tl_version}
Provides: tex(jkpkosmsc8t.tfm) = %{tl_version}
Provides: tex(jkpkosmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkosmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkosnbsc7t.tfm) = %{tl_version}
Provides: tex(jkpkosnbsc8t.tfm) = %{tl_version}
Provides: tex(jkpkosnbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkosnbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkosnbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpkosnbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpkosnbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkosnbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpkosnmsc7t.tfm) = %{tl_version}
Provides: tex(jkpkosnmsc8t.tfm) = %{tl_version}
Provides: tex(jkpkosnmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpkosnmscsl8t.tfm) = %{tl_version}
Provides: tex(jkplbex.tfm) = %{tl_version}
Provides: tex(jkplbexa.tfm) = %{tl_version}
Provides: tex(jkplbit7c.tfm) = %{tl_version}
Provides: tex(jkplbit7t.tfm) = %{tl_version}
Provides: tex(jkplbit8a.tfm) = %{tl_version}
Provides: tex(jkplbit8r.tfm) = %{tl_version}
Provides: tex(jkplbit8t.tfm) = %{tl_version}
Provides: tex(jkplbitc.tfm) = %{tl_version}
Provides: tex(jkplbite.tfm) = %{tl_version}
Provides: tex(jkplbmi.tfm) = %{tl_version}
Provides: tex(jkplbmia.tfm) = %{tl_version}
Provides: tex(jkplbmiaw.tfm) = %{tl_version}
Provides: tex(jkplbmif.tfm) = %{tl_version}
Provides: tex(jkplbmifw.tfm) = %{tl_version}
Provides: tex(jkplbmiw.tfm) = %{tl_version}
Provides: tex(jkplbn7c.tfm) = %{tl_version}
Provides: tex(jkplbn7t.tfm) = %{tl_version}
Provides: tex(jkplbn8a.tfm) = %{tl_version}
Provides: tex(jkplbn8r.tfm) = %{tl_version}
Provides: tex(jkplbn8t.tfm) = %{tl_version}
Provides: tex(jkplbnc.tfm) = %{tl_version}
Provides: tex(jkplbne.tfm) = %{tl_version}
Provides: tex(jkplbsc7c.tfm) = %{tl_version}
Provides: tex(jkplbsc7t.tfm) = %{tl_version}
Provides: tex(jkplbsc8a.tfm) = %{tl_version}
Provides: tex(jkplbsc8r.tfm) = %{tl_version}
Provides: tex(jkplbsc8t.tfm) = %{tl_version}
Provides: tex(jkplbsce.tfm) = %{tl_version}
Provides: tex(jkplbscsl7c.tfm) = %{tl_version}
Provides: tex(jkplbscsl7t.tfm) = %{tl_version}
Provides: tex(jkplbscsl8r.tfm) = %{tl_version}
Provides: tex(jkplbscsl8t.tfm) = %{tl_version}
Provides: tex(jkplbscsle.tfm) = %{tl_version}
Provides: tex(jkplbsl7c.tfm) = %{tl_version}
Provides: tex(jkplbsl7t.tfm) = %{tl_version}
Provides: tex(jkplbsl8r.tfm) = %{tl_version}
Provides: tex(jkplbsl8t.tfm) = %{tl_version}
Provides: tex(jkplbslc.tfm) = %{tl_version}
Provides: tex(jkplbsle.tfm) = %{tl_version}
Provides: tex(jkplbsy.tfm) = %{tl_version}
Provides: tex(jkplbsyb.tfm) = %{tl_version}
Provides: tex(jkplbsybw.tfm) = %{tl_version}
Provides: tex(jkplbsyc.tfm) = %{tl_version}
Provides: tex(jkplbsyd.tfm) = %{tl_version}
Provides: tex(jkplbsydw.tfm) = %{tl_version}
Provides: tex(jkplbsyw.tfm) = %{tl_version}
Provides: tex(jkplbxit7c.tfm) = %{tl_version}
Provides: tex(jkplbxit7t.tfm) = %{tl_version}
Provides: tex(jkplbxit8r.tfm) = %{tl_version}
Provides: tex(jkplbxit8t.tfm) = %{tl_version}
Provides: tex(jkplbxitc.tfm) = %{tl_version}
Provides: tex(jkplbxite.tfm) = %{tl_version}
Provides: tex(jkplbxn7c.tfm) = %{tl_version}
Provides: tex(jkplbxn7t.tfm) = %{tl_version}
Provides: tex(jkplbxn8r.tfm) = %{tl_version}
Provides: tex(jkplbxn8t.tfm) = %{tl_version}
Provides: tex(jkplbxnc.tfm) = %{tl_version}
Provides: tex(jkplbxne.tfm) = %{tl_version}
Provides: tex(jkplbxsc7c.tfm) = %{tl_version}
Provides: tex(jkplbxsc7t.tfm) = %{tl_version}
Provides: tex(jkplbxsc8r.tfm) = %{tl_version}
Provides: tex(jkplbxsc8t.tfm) = %{tl_version}
Provides: tex(jkplbxsce.tfm) = %{tl_version}
Provides: tex(jkplbxscsl7c.tfm) = %{tl_version}
Provides: tex(jkplbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkplbxscsl8r.tfm) = %{tl_version}
Provides: tex(jkplbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkplbxscsle.tfm) = %{tl_version}
Provides: tex(jkplbxsl7c.tfm) = %{tl_version}
Provides: tex(jkplbxsl7t.tfm) = %{tl_version}
Provides: tex(jkplbxsl8r.tfm) = %{tl_version}
Provides: tex(jkplbxsl8t.tfm) = %{tl_version}
Provides: tex(jkplbxslc.tfm) = %{tl_version}
Provides: tex(jkplbxsle.tfm) = %{tl_version}
Provides: tex(jkplex.tfm) = %{tl_version}
Provides: tex(jkplexa.tfm) = %{tl_version}
Provides: tex(jkplfbit7t.tfm) = %{tl_version}
Provides: tex(jkplfbit8t.tfm) = %{tl_version}
Provides: tex(jkplfbn7t.tfm) = %{tl_version}
Provides: tex(jkplfbn8t.tfm) = %{tl_version}
Provides: tex(jkplfbsl7t.tfm) = %{tl_version}
Provides: tex(jkplfbsl8t.tfm) = %{tl_version}
Provides: tex(jkplfbxit7t.tfm) = %{tl_version}
Provides: tex(jkplfbxit8t.tfm) = %{tl_version}
Provides: tex(jkplfbxn7t.tfm) = %{tl_version}
Provides: tex(jkplfbxn8t.tfm) = %{tl_version}
Provides: tex(jkplfbxsl7t.tfm) = %{tl_version}
Provides: tex(jkplfbxsl8t.tfm) = %{tl_version}
Provides: tex(jkplfmit7t.tfm) = %{tl_version}
Provides: tex(jkplfmit8t.tfm) = %{tl_version}
Provides: tex(jkplfmn7t.tfm) = %{tl_version}
Provides: tex(jkplfmn8t.tfm) = %{tl_version}
Provides: tex(jkplfmsl7t.tfm) = %{tl_version}
Provides: tex(jkplfmsl8t.tfm) = %{tl_version}
Provides: tex(jkplfosnbit7t.tfm) = %{tl_version}
Provides: tex(jkplfosnbit8t.tfm) = %{tl_version}
Provides: tex(jkplfosnbn7t.tfm) = %{tl_version}
Provides: tex(jkplfosnbn8t.tfm) = %{tl_version}
Provides: tex(jkplfosnbsl7t.tfm) = %{tl_version}
Provides: tex(jkplfosnbsl8t.tfm) = %{tl_version}
Provides: tex(jkplfosnbxit7t.tfm) = %{tl_version}
Provides: tex(jkplfosnbxit8t.tfm) = %{tl_version}
Provides: tex(jkplfosnbxn7t.tfm) = %{tl_version}
Provides: tex(jkplfosnbxn8t.tfm) = %{tl_version}
Provides: tex(jkplfosnbxsl7t.tfm) = %{tl_version}
Provides: tex(jkplfosnbxsl8t.tfm) = %{tl_version}
Provides: tex(jkplfosnmit7t.tfm) = %{tl_version}
Provides: tex(jkplfosnmit8t.tfm) = %{tl_version}
Provides: tex(jkplfosnmn7t.tfm) = %{tl_version}
Provides: tex(jkplfosnmn8t.tfm) = %{tl_version}
Provides: tex(jkplfosnmsl7t.tfm) = %{tl_version}
Provides: tex(jkplfosnmsl8t.tfm) = %{tl_version}
Provides: tex(jkplkbsc.tfm) = %{tl_version}
Provides: tex(jkplkbsc7t.tfm) = %{tl_version}
Provides: tex(jkplkbsc8t.tfm) = %{tl_version}
Provides: tex(jkplkbscsl.tfm) = %{tl_version}
Provides: tex(jkplkbscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkbscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkbxsc.tfm) = %{tl_version}
Provides: tex(jkplkbxsc7t.tfm) = %{tl_version}
Provides: tex(jkplkbxsc8t.tfm) = %{tl_version}
Provides: tex(jkplkbxscsl.tfm) = %{tl_version}
Provides: tex(jkplkbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkmsc.tfm) = %{tl_version}
Provides: tex(jkplkmsc7t.tfm) = %{tl_version}
Provides: tex(jkplkmsc8t.tfm) = %{tl_version}
Provides: tex(jkplkmscsl.tfm) = %{tl_version}
Provides: tex(jkplkmscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkmscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkosbsc7t.tfm) = %{tl_version}
Provides: tex(jkplkosbsc8t.tfm) = %{tl_version}
Provides: tex(jkplkosbscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkosbscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkosbxsc7t.tfm) = %{tl_version}
Provides: tex(jkplkosbxsc8t.tfm) = %{tl_version}
Provides: tex(jkplkosbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkosbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkosmsc7t.tfm) = %{tl_version}
Provides: tex(jkplkosmsc8t.tfm) = %{tl_version}
Provides: tex(jkplkosmscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkosmscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkosnbsc7t.tfm) = %{tl_version}
Provides: tex(jkplkosnbsc8t.tfm) = %{tl_version}
Provides: tex(jkplkosnbscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkosnbscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkosnbxsc7t.tfm) = %{tl_version}
Provides: tex(jkplkosnbxsc8t.tfm) = %{tl_version}
Provides: tex(jkplkosnbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkosnbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkplkosnmsc7t.tfm) = %{tl_version}
Provides: tex(jkplkosnmsc8t.tfm) = %{tl_version}
Provides: tex(jkplkosnmscsl7t.tfm) = %{tl_version}
Provides: tex(jkplkosnmscsl8t.tfm) = %{tl_version}
Provides: tex(jkplmi.tfm) = %{tl_version}
Provides: tex(jkplmia.tfm) = %{tl_version}
Provides: tex(jkplmiaw.tfm) = %{tl_version}
Provides: tex(jkplmif.tfm) = %{tl_version}
Provides: tex(jkplmifw.tfm) = %{tl_version}
Provides: tex(jkplmit7c.tfm) = %{tl_version}
Provides: tex(jkplmit7t.tfm) = %{tl_version}
Provides: tex(jkplmit8a.tfm) = %{tl_version}
Provides: tex(jkplmit8r.tfm) = %{tl_version}
Provides: tex(jkplmit8t.tfm) = %{tl_version}
Provides: tex(jkplmitc.tfm) = %{tl_version}
Provides: tex(jkplmite.tfm) = %{tl_version}
Provides: tex(jkplmiw.tfm) = %{tl_version}
Provides: tex(jkplmn7c.tfm) = %{tl_version}
Provides: tex(jkplmn7t.tfm) = %{tl_version}
Provides: tex(jkplmn8a.tfm) = %{tl_version}
Provides: tex(jkplmn8r.tfm) = %{tl_version}
Provides: tex(jkplmn8t.tfm) = %{tl_version}
Provides: tex(jkplmnc.tfm) = %{tl_version}
Provides: tex(jkplmne.tfm) = %{tl_version}
Provides: tex(jkplmsc7c.tfm) = %{tl_version}
Provides: tex(jkplmsc7t.tfm) = %{tl_version}
Provides: tex(jkplmsc8a.tfm) = %{tl_version}
Provides: tex(jkplmsc8r.tfm) = %{tl_version}
Provides: tex(jkplmsc8t.tfm) = %{tl_version}
Provides: tex(jkplmsce.tfm) = %{tl_version}
Provides: tex(jkplmscsl7c.tfm) = %{tl_version}
Provides: tex(jkplmscsl7t.tfm) = %{tl_version}
Provides: tex(jkplmscsl8r.tfm) = %{tl_version}
Provides: tex(jkplmscsl8t.tfm) = %{tl_version}
Provides: tex(jkplmscsle.tfm) = %{tl_version}
Provides: tex(jkplmsl7c.tfm) = %{tl_version}
Provides: tex(jkplmsl7t.tfm) = %{tl_version}
Provides: tex(jkplmsl8r.tfm) = %{tl_version}
Provides: tex(jkplmsl8t.tfm) = %{tl_version}
Provides: tex(jkplmslc.tfm) = %{tl_version}
Provides: tex(jkplmsle.tfm) = %{tl_version}
Provides: tex(jkplosbit7c.tfm) = %{tl_version}
Provides: tex(jkplosbit7t.tfm) = %{tl_version}
Provides: tex(jkplosbit8t.tfm) = %{tl_version}
Provides: tex(jkplosbn7c.tfm) = %{tl_version}
Provides: tex(jkplosbn7t.tfm) = %{tl_version}
Provides: tex(jkplosbn8t.tfm) = %{tl_version}
Provides: tex(jkplosbsc7c.tfm) = %{tl_version}
Provides: tex(jkplosbsc7t.tfm) = %{tl_version}
Provides: tex(jkplosbsc8t.tfm) = %{tl_version}
Provides: tex(jkplosbscsl7t.tfm) = %{tl_version}
Provides: tex(jkplosbscsl8t.tfm) = %{tl_version}
Provides: tex(jkplosbsl7c.tfm) = %{tl_version}
Provides: tex(jkplosbsl7t.tfm) = %{tl_version}
Provides: tex(jkplosbsl8t.tfm) = %{tl_version}
Provides: tex(jkplosbxit7c.tfm) = %{tl_version}
Provides: tex(jkplosbxit7t.tfm) = %{tl_version}
Provides: tex(jkplosbxit8t.tfm) = %{tl_version}
Provides: tex(jkplosbxn7c.tfm) = %{tl_version}
Provides: tex(jkplosbxn7t.tfm) = %{tl_version}
Provides: tex(jkplosbxn8t.tfm) = %{tl_version}
Provides: tex(jkplosbxsc7c.tfm) = %{tl_version}
Provides: tex(jkplosbxsc7t.tfm) = %{tl_version}
Provides: tex(jkplosbxsc8t.tfm) = %{tl_version}
Provides: tex(jkplosbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkplosbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkplosbxsl7c.tfm) = %{tl_version}
Provides: tex(jkplosbxsl7t.tfm) = %{tl_version}
Provides: tex(jkplosbxsl8t.tfm) = %{tl_version}
Provides: tex(jkplosmit7c.tfm) = %{tl_version}
Provides: tex(jkplosmit7t.tfm) = %{tl_version}
Provides: tex(jkplosmit8t.tfm) = %{tl_version}
Provides: tex(jkplosmn7c.tfm) = %{tl_version}
Provides: tex(jkplosmn7t.tfm) = %{tl_version}
Provides: tex(jkplosmn8t.tfm) = %{tl_version}
Provides: tex(jkplosmsc7c.tfm) = %{tl_version}
Provides: tex(jkplosmsc7t.tfm) = %{tl_version}
Provides: tex(jkplosmsc8t.tfm) = %{tl_version}
Provides: tex(jkplosmscsl7t.tfm) = %{tl_version}
Provides: tex(jkplosmscsl8t.tfm) = %{tl_version}
Provides: tex(jkplosmsl7c.tfm) = %{tl_version}
Provides: tex(jkplosmsl7t.tfm) = %{tl_version}
Provides: tex(jkplosmsl8t.tfm) = %{tl_version}
Provides: tex(jkplosnbit7t.tfm) = %{tl_version}
Provides: tex(jkplosnbit8t.tfm) = %{tl_version}
Provides: tex(jkplosnbn7t.tfm) = %{tl_version}
Provides: tex(jkplosnbn8t.tfm) = %{tl_version}
Provides: tex(jkplosnbsc7t.tfm) = %{tl_version}
Provides: tex(jkplosnbsc8t.tfm) = %{tl_version}
Provides: tex(jkplosnbscsl7t.tfm) = %{tl_version}
Provides: tex(jkplosnbscsl8t.tfm) = %{tl_version}
Provides: tex(jkplosnbsl7t.tfm) = %{tl_version}
Provides: tex(jkplosnbsl8t.tfm) = %{tl_version}
Provides: tex(jkplosnbxit7t.tfm) = %{tl_version}
Provides: tex(jkplosnbxit8t.tfm) = %{tl_version}
Provides: tex(jkplosnbxn7t.tfm) = %{tl_version}
Provides: tex(jkplosnbxn8t.tfm) = %{tl_version}
Provides: tex(jkplosnbxsc7t.tfm) = %{tl_version}
Provides: tex(jkplosnbxsc8t.tfm) = %{tl_version}
Provides: tex(jkplosnbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkplosnbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkplosnbxsl7t.tfm) = %{tl_version}
Provides: tex(jkplosnbxsl8t.tfm) = %{tl_version}
Provides: tex(jkplosnmit7t.tfm) = %{tl_version}
Provides: tex(jkplosnmit8t.tfm) = %{tl_version}
Provides: tex(jkplosnmn7t.tfm) = %{tl_version}
Provides: tex(jkplosnmn8t.tfm) = %{tl_version}
Provides: tex(jkplosnmsc7t.tfm) = %{tl_version}
Provides: tex(jkplosnmsc8t.tfm) = %{tl_version}
Provides: tex(jkplosnmscsl7t.tfm) = %{tl_version}
Provides: tex(jkplosnmscsl8t.tfm) = %{tl_version}
Provides: tex(jkplosnmsl7t.tfm) = %{tl_version}
Provides: tex(jkplosnmsl8t.tfm) = %{tl_version}
Provides: tex(jkplsy.tfm) = %{tl_version}
Provides: tex(jkplsyb.tfm) = %{tl_version}
Provides: tex(jkplsybw.tfm) = %{tl_version}
Provides: tex(jkplsyc.tfm) = %{tl_version}
Provides: tex(jkplsyd.tfm) = %{tl_version}
Provides: tex(jkplsydw.tfm) = %{tl_version}
Provides: tex(jkplsyw.tfm) = %{tl_version}
Provides: tex(jkplvosbit7t.tfm) = %{tl_version}
Provides: tex(jkplvosbit8t.tfm) = %{tl_version}
Provides: tex(jkplvosbmi.tfm) = %{tl_version}
Provides: tex(jkplvosbmif.tfm) = %{tl_version}
Provides: tex(jkplvosbmifw.tfm) = %{tl_version}
Provides: tex(jkplvosbmiw.tfm) = %{tl_version}
Provides: tex(jkplvosbn7t.tfm) = %{tl_version}
Provides: tex(jkplvosbn8t.tfm) = %{tl_version}
Provides: tex(jkplvosbsl7t.tfm) = %{tl_version}
Provides: tex(jkplvosbsl8t.tfm) = %{tl_version}
Provides: tex(jkplvosbxit7t.tfm) = %{tl_version}
Provides: tex(jkplvosbxit8t.tfm) = %{tl_version}
Provides: tex(jkplvosbxn7t.tfm) = %{tl_version}
Provides: tex(jkplvosbxn8t.tfm) = %{tl_version}
Provides: tex(jkplvosbxsl7t.tfm) = %{tl_version}
Provides: tex(jkplvosbxsl8t.tfm) = %{tl_version}
Provides: tex(jkplvosmi.tfm) = %{tl_version}
Provides: tex(jkplvosmif.tfm) = %{tl_version}
Provides: tex(jkplvosmifw.tfm) = %{tl_version}
Provides: tex(jkplvosmit7t.tfm) = %{tl_version}
Provides: tex(jkplvosmit8t.tfm) = %{tl_version}
Provides: tex(jkplvosmiw.tfm) = %{tl_version}
Provides: tex(jkplvosmn7t.tfm) = %{tl_version}
Provides: tex(jkplvosmn8t.tfm) = %{tl_version}
Provides: tex(jkplvosmsl7t.tfm) = %{tl_version}
Provides: tex(jkplvosmsl8t.tfm) = %{tl_version}
Provides: tex(jkpmi.tfm) = %{tl_version}
Provides: tex(jkpmia.tfm) = %{tl_version}
Provides: tex(jkpmiaw.tfm) = %{tl_version}
Provides: tex(jkpmif.tfm) = %{tl_version}
Provides: tex(jkpmifw.tfm) = %{tl_version}
Provides: tex(jkpmit7c.tfm) = %{tl_version}
Provides: tex(jkpmit7t.tfm) = %{tl_version}
Provides: tex(jkpmit8a.tfm) = %{tl_version}
Provides: tex(jkpmit8r.tfm) = %{tl_version}
Provides: tex(jkpmit8t.tfm) = %{tl_version}
Provides: tex(jkpmitc.tfm) = %{tl_version}
Provides: tex(jkpmite.tfm) = %{tl_version}
Provides: tex(jkpmiw.tfm) = %{tl_version}
Provides: tex(jkpmn7c.tfm) = %{tl_version}
Provides: tex(jkpmn7t.tfm) = %{tl_version}
Provides: tex(jkpmn8a.tfm) = %{tl_version}
Provides: tex(jkpmn8r.tfm) = %{tl_version}
Provides: tex(jkpmn8t.tfm) = %{tl_version}
Provides: tex(jkpmnc.tfm) = %{tl_version}
Provides: tex(jkpmne.tfm) = %{tl_version}
Provides: tex(jkpmsc7c.tfm) = %{tl_version}
Provides: tex(jkpmsc7t.tfm) = %{tl_version}
Provides: tex(jkpmsc8a.tfm) = %{tl_version}
Provides: tex(jkpmsc8r.tfm) = %{tl_version}
Provides: tex(jkpmsc8t.tfm) = %{tl_version}
Provides: tex(jkpmsce.tfm) = %{tl_version}
Provides: tex(jkpmscsl7c.tfm) = %{tl_version}
Provides: tex(jkpmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpmscsl8r.tfm) = %{tl_version}
Provides: tex(jkpmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpmscsle.tfm) = %{tl_version}
Provides: tex(jkpmsl7c.tfm) = %{tl_version}
Provides: tex(jkpmsl7t.tfm) = %{tl_version}
Provides: tex(jkpmsl8r.tfm) = %{tl_version}
Provides: tex(jkpmsl8t.tfm) = %{tl_version}
Provides: tex(jkpmslc.tfm) = %{tl_version}
Provides: tex(jkpmsle.tfm) = %{tl_version}
Provides: tex(jkposbit7c.tfm) = %{tl_version}
Provides: tex(jkposbit7t.tfm) = %{tl_version}
Provides: tex(jkposbit8t.tfm) = %{tl_version}
Provides: tex(jkposbn7c.tfm) = %{tl_version}
Provides: tex(jkposbn7t.tfm) = %{tl_version}
Provides: tex(jkposbn8t.tfm) = %{tl_version}
Provides: tex(jkposbsc7c.tfm) = %{tl_version}
Provides: tex(jkposbsc7t.tfm) = %{tl_version}
Provides: tex(jkposbsc8t.tfm) = %{tl_version}
Provides: tex(jkposbscsl7t.tfm) = %{tl_version}
Provides: tex(jkposbscsl8t.tfm) = %{tl_version}
Provides: tex(jkposbsl7c.tfm) = %{tl_version}
Provides: tex(jkposbsl7t.tfm) = %{tl_version}
Provides: tex(jkposbsl8t.tfm) = %{tl_version}
Provides: tex(jkposbxit7c.tfm) = %{tl_version}
Provides: tex(jkposbxit7t.tfm) = %{tl_version}
Provides: tex(jkposbxit8t.tfm) = %{tl_version}
Provides: tex(jkposbxn7c.tfm) = %{tl_version}
Provides: tex(jkposbxn7t.tfm) = %{tl_version}
Provides: tex(jkposbxn8t.tfm) = %{tl_version}
Provides: tex(jkposbxsc7c.tfm) = %{tl_version}
Provides: tex(jkposbxsc7t.tfm) = %{tl_version}
Provides: tex(jkposbxsc8t.tfm) = %{tl_version}
Provides: tex(jkposbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkposbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkposbxsl7c.tfm) = %{tl_version}
Provides: tex(jkposbxsl7t.tfm) = %{tl_version}
Provides: tex(jkposbxsl8t.tfm) = %{tl_version}
Provides: tex(jkposmit7c.tfm) = %{tl_version}
Provides: tex(jkposmit7t.tfm) = %{tl_version}
Provides: tex(jkposmit8t.tfm) = %{tl_version}
Provides: tex(jkposmn7c.tfm) = %{tl_version}
Provides: tex(jkposmn7t.tfm) = %{tl_version}
Provides: tex(jkposmn8t.tfm) = %{tl_version}
Provides: tex(jkposmsc7c.tfm) = %{tl_version}
Provides: tex(jkposmsc7t.tfm) = %{tl_version}
Provides: tex(jkposmsc8t.tfm) = %{tl_version}
Provides: tex(jkposmscsl7t.tfm) = %{tl_version}
Provides: tex(jkposmscsl8t.tfm) = %{tl_version}
Provides: tex(jkposmsl7c.tfm) = %{tl_version}
Provides: tex(jkposmsl7t.tfm) = %{tl_version}
Provides: tex(jkposmsl8t.tfm) = %{tl_version}
Provides: tex(jkposnbit7t.tfm) = %{tl_version}
Provides: tex(jkposnbit8t.tfm) = %{tl_version}
Provides: tex(jkposnbn7t.tfm) = %{tl_version}
Provides: tex(jkposnbn8t.tfm) = %{tl_version}
Provides: tex(jkposnbsc7t.tfm) = %{tl_version}
Provides: tex(jkposnbsc8t.tfm) = %{tl_version}
Provides: tex(jkposnbscsl7t.tfm) = %{tl_version}
Provides: tex(jkposnbscsl8t.tfm) = %{tl_version}
Provides: tex(jkposnbsl7t.tfm) = %{tl_version}
Provides: tex(jkposnbsl8t.tfm) = %{tl_version}
Provides: tex(jkposnbxit7t.tfm) = %{tl_version}
Provides: tex(jkposnbxit8t.tfm) = %{tl_version}
Provides: tex(jkposnbxn7t.tfm) = %{tl_version}
Provides: tex(jkposnbxn8t.tfm) = %{tl_version}
Provides: tex(jkposnbxsc7t.tfm) = %{tl_version}
Provides: tex(jkposnbxsc8t.tfm) = %{tl_version}
Provides: tex(jkposnbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkposnbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkposnbxsl7t.tfm) = %{tl_version}
Provides: tex(jkposnbxsl8t.tfm) = %{tl_version}
Provides: tex(jkposnmit7t.tfm) = %{tl_version}
Provides: tex(jkposnmit8t.tfm) = %{tl_version}
Provides: tex(jkposnmn7t.tfm) = %{tl_version}
Provides: tex(jkposnmn8t.tfm) = %{tl_version}
Provides: tex(jkposnmsc7t.tfm) = %{tl_version}
Provides: tex(jkposnmsc8t.tfm) = %{tl_version}
Provides: tex(jkposnmscsl7t.tfm) = %{tl_version}
Provides: tex(jkposnmscsl8t.tfm) = %{tl_version}
Provides: tex(jkposnmsl7t.tfm) = %{tl_version}
Provides: tex(jkposnmsl8t.tfm) = %{tl_version}
Provides: tex(jkpssbex.tfm) = %{tl_version}
Provides: tex(jkpssbmi.tfm) = %{tl_version}
Provides: tex(jkpssbmia.tfm) = %{tl_version}
Provides: tex(jkpssbmif.tfm) = %{tl_version}
Provides: tex(jkpssbn7c.tfm) = %{tl_version}
Provides: tex(jkpssbn7t.tfm) = %{tl_version}
Provides: tex(jkpssbn8a.tfm) = %{tl_version}
Provides: tex(jkpssbn8r.tfm) = %{tl_version}
Provides: tex(jkpssbn8t.tfm) = %{tl_version}
Provides: tex(jkpssbnc.tfm) = %{tl_version}
Provides: tex(jkpssbne.tfm) = %{tl_version}
Provides: tex(jkpssbsc7c.tfm) = %{tl_version}
Provides: tex(jkpssbsc7t.tfm) = %{tl_version}
Provides: tex(jkpssbsc8a.tfm) = %{tl_version}
Provides: tex(jkpssbsc8r.tfm) = %{tl_version}
Provides: tex(jkpssbsc8t.tfm) = %{tl_version}
Provides: tex(jkpssbsce.tfm) = %{tl_version}
Provides: tex(jkpssbscsl7c.tfm) = %{tl_version}
Provides: tex(jkpssbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssbscsl8r.tfm) = %{tl_version}
Provides: tex(jkpssbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssbscsle.tfm) = %{tl_version}
Provides: tex(jkpssbsl7c.tfm) = %{tl_version}
Provides: tex(jkpssbsl7t.tfm) = %{tl_version}
Provides: tex(jkpssbsl8r.tfm) = %{tl_version}
Provides: tex(jkpssbsl8t.tfm) = %{tl_version}
Provides: tex(jkpssbslc.tfm) = %{tl_version}
Provides: tex(jkpssbsle.tfm) = %{tl_version}
Provides: tex(jkpssbsyb.tfm) = %{tl_version}
Provides: tex(jkpssbsybw.tfm) = %{tl_version}
Provides: tex(jkpssbxn7c.tfm) = %{tl_version}
Provides: tex(jkpssbxn7t.tfm) = %{tl_version}
Provides: tex(jkpssbxn8r.tfm) = %{tl_version}
Provides: tex(jkpssbxn8t.tfm) = %{tl_version}
Provides: tex(jkpssbxnc.tfm) = %{tl_version}
Provides: tex(jkpssbxne.tfm) = %{tl_version}
Provides: tex(jkpssbxsc7c.tfm) = %{tl_version}
Provides: tex(jkpssbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpssbxsc8r.tfm) = %{tl_version}
Provides: tex(jkpssbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpssbxsce.tfm) = %{tl_version}
Provides: tex(jkpssbxscsl7c.tfm) = %{tl_version}
Provides: tex(jkpssbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssbxscsl8r.tfm) = %{tl_version}
Provides: tex(jkpssbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssbxscsle.tfm) = %{tl_version}
Provides: tex(jkpssbxsl7c.tfm) = %{tl_version}
Provides: tex(jkpssbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpssbxsl8r.tfm) = %{tl_version}
Provides: tex(jkpssbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpssbxslc.tfm) = %{tl_version}
Provides: tex(jkpssbxsle.tfm) = %{tl_version}
Provides: tex(jkpssex.tfm) = %{tl_version}
Provides: tex(jkpssfbn7t.tfm) = %{tl_version}
Provides: tex(jkpssfbn8t.tfm) = %{tl_version}
Provides: tex(jkpssfbsl7t.tfm) = %{tl_version}
Provides: tex(jkpssfbsl8t.tfm) = %{tl_version}
Provides: tex(jkpssfbxn7t.tfm) = %{tl_version}
Provides: tex(jkpssfbxn8t.tfm) = %{tl_version}
Provides: tex(jkpssfbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpssfbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpssfmn7t.tfm) = %{tl_version}
Provides: tex(jkpssfmn8t.tfm) = %{tl_version}
Provides: tex(jkpssfmsl7t.tfm) = %{tl_version}
Provides: tex(jkpssfmsl8t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbn7t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbn8t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbsl7t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbsl8t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbxn7t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbxn8t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpssfosnbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpssfosnmn7t.tfm) = %{tl_version}
Provides: tex(jkpssfosnmn8t.tfm) = %{tl_version}
Provides: tex(jkpssfosnmsl7t.tfm) = %{tl_version}
Provides: tex(jkpssfosnmsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskbsc.tfm) = %{tl_version}
Provides: tex(jkpsskbsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskbsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskbscsl.tfm) = %{tl_version}
Provides: tex(jkpsskbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskbxsc.tfm) = %{tl_version}
Provides: tex(jkpsskbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskbxscsl.tfm) = %{tl_version}
Provides: tex(jkpsskbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskmsc.tfm) = %{tl_version}
Provides: tex(jkpsskmsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskmsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskmscsl.tfm) = %{tl_version}
Provides: tex(jkpsskmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskosbsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskosbsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskosbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskosbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskosbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskosbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskosbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskosbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskosmsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskosmsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskosmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskosmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskosnbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsskosnmsc7t.tfm) = %{tl_version}
Provides: tex(jkpsskosnmsc8t.tfm) = %{tl_version}
Provides: tex(jkpsskosnmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpsskosnmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpsslbsyb.tfm) = %{tl_version}
Provides: tex(jkpsslbsybw.tfm) = %{tl_version}
Provides: tex(jkpsslsyb.tfm) = %{tl_version}
Provides: tex(jkpsslsybw.tfm) = %{tl_version}
Provides: tex(jkpssmi.tfm) = %{tl_version}
Provides: tex(jkpssmia.tfm) = %{tl_version}
Provides: tex(jkpssmif.tfm) = %{tl_version}
Provides: tex(jkpssmn7c.tfm) = %{tl_version}
Provides: tex(jkpssmn7t.tfm) = %{tl_version}
Provides: tex(jkpssmn8a.tfm) = %{tl_version}
Provides: tex(jkpssmn8r.tfm) = %{tl_version}
Provides: tex(jkpssmn8t.tfm) = %{tl_version}
Provides: tex(jkpssmnc.tfm) = %{tl_version}
Provides: tex(jkpssmne.tfm) = %{tl_version}
Provides: tex(jkpssmsc7c.tfm) = %{tl_version}
Provides: tex(jkpssmsc7t.tfm) = %{tl_version}
Provides: tex(jkpssmsc8a.tfm) = %{tl_version}
Provides: tex(jkpssmsc8r.tfm) = %{tl_version}
Provides: tex(jkpssmsc8t.tfm) = %{tl_version}
Provides: tex(jkpssmsce.tfm) = %{tl_version}
Provides: tex(jkpssmscsl7c.tfm) = %{tl_version}
Provides: tex(jkpssmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssmscsl8r.tfm) = %{tl_version}
Provides: tex(jkpssmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssmscsle.tfm) = %{tl_version}
Provides: tex(jkpssmsl7c.tfm) = %{tl_version}
Provides: tex(jkpssmsl7t.tfm) = %{tl_version}
Provides: tex(jkpssmsl8r.tfm) = %{tl_version}
Provides: tex(jkpssmsl8t.tfm) = %{tl_version}
Provides: tex(jkpssmslc.tfm) = %{tl_version}
Provides: tex(jkpssmsle.tfm) = %{tl_version}
Provides: tex(jkpssosbn7t.tfm) = %{tl_version}
Provides: tex(jkpssosbn8t.tfm) = %{tl_version}
Provides: tex(jkpssosbsc7t.tfm) = %{tl_version}
Provides: tex(jkpssosbsc8t.tfm) = %{tl_version}
Provides: tex(jkpssosbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosbsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosbsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosbxn7t.tfm) = %{tl_version}
Provides: tex(jkpssosbxn8t.tfm) = %{tl_version}
Provides: tex(jkpssosbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpssosbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpssosbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosmn7t.tfm) = %{tl_version}
Provides: tex(jkpssosmn8t.tfm) = %{tl_version}
Provides: tex(jkpssosmsc7t.tfm) = %{tl_version}
Provides: tex(jkpssosmsc8t.tfm) = %{tl_version}
Provides: tex(jkpssosmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosmsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosmsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbn7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbn8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbsc7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbsc8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxn7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxn8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosnbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosnmn7t.tfm) = %{tl_version}
Provides: tex(jkpssosnmn8t.tfm) = %{tl_version}
Provides: tex(jkpssosnmsc7t.tfm) = %{tl_version}
Provides: tex(jkpssosnmsc8t.tfm) = %{tl_version}
Provides: tex(jkpssosnmscsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosnmscsl8t.tfm) = %{tl_version}
Provides: tex(jkpssosnmsl7t.tfm) = %{tl_version}
Provides: tex(jkpssosnmsl8t.tfm) = %{tl_version}
Provides: tex(jkpsssyb.tfm) = %{tl_version}
Provides: tex(jkpsssybw.tfm) = %{tl_version}
Provides: tex(jkpssvosbmi.tfm) = %{tl_version}
Provides: tex(jkpssvosbmif.tfm) = %{tl_version}
Provides: tex(jkpssvosbn7t.tfm) = %{tl_version}
Provides: tex(jkpssvosbn8t.tfm) = %{tl_version}
Provides: tex(jkpssvosbsc7t.tfm) = %{tl_version}
Provides: tex(jkpssvosbsc8t.tfm) = %{tl_version}
Provides: tex(jkpssvosbsl7t.tfm) = %{tl_version}
Provides: tex(jkpssvosbsl8t.tfm) = %{tl_version}
Provides: tex(jkpssvosbxn7t.tfm) = %{tl_version}
Provides: tex(jkpssvosbxn8t.tfm) = %{tl_version}
Provides: tex(jkpssvosbxsc7t.tfm) = %{tl_version}
Provides: tex(jkpssvosbxsc8t.tfm) = %{tl_version}
Provides: tex(jkpssvosbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpssvosbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpssvosmi.tfm) = %{tl_version}
Provides: tex(jkpssvosmif.tfm) = %{tl_version}
Provides: tex(jkpssvosmn7t.tfm) = %{tl_version}
Provides: tex(jkpssvosmn8t.tfm) = %{tl_version}
Provides: tex(jkpssvosmsc7t.tfm) = %{tl_version}
Provides: tex(jkpssvosmsc8t.tfm) = %{tl_version}
Provides: tex(jkpssvosmsl7t.tfm) = %{tl_version}
Provides: tex(jkpssvosmsl8t.tfm) = %{tl_version}
Provides: tex(jkpsy.tfm) = %{tl_version}
Provides: tex(jkpsya.tfm) = %{tl_version}
Provides: tex(jkpsyb.tfm) = %{tl_version}
Provides: tex(jkpsybw.tfm) = %{tl_version}
Provides: tex(jkpsyc.tfm) = %{tl_version}
Provides: tex(jkpsyd.tfm) = %{tl_version}
Provides: tex(jkpsydw.tfm) = %{tl_version}
Provides: tex(jkpsyw.tfm) = %{tl_version}
Provides: tex(jkpttbn7c.tfm) = %{tl_version}
Provides: tex(jkpttbn7t.tfm) = %{tl_version}
Provides: tex(jkpttbn8a.tfm) = %{tl_version}
Provides: tex(jkpttbn8r.tfm) = %{tl_version}
Provides: tex(jkpttbn8t.tfm) = %{tl_version}
Provides: tex(jkpttbnc.tfm) = %{tl_version}
Provides: tex(jkpttbne.tfm) = %{tl_version}
Provides: tex(jkpttbsl7c.tfm) = %{tl_version}
Provides: tex(jkpttbsl7t.tfm) = %{tl_version}
Provides: tex(jkpttbsl8r.tfm) = %{tl_version}
Provides: tex(jkpttbsl8t.tfm) = %{tl_version}
Provides: tex(jkpttbslc.tfm) = %{tl_version}
Provides: tex(jkpttbsle.tfm) = %{tl_version}
Provides: tex(jkpttmn7c.tfm) = %{tl_version}
Provides: tex(jkpttmn7t.tfm) = %{tl_version}
Provides: tex(jkpttmn8a.tfm) = %{tl_version}
Provides: tex(jkpttmn8r.tfm) = %{tl_version}
Provides: tex(jkpttmn8t.tfm) = %{tl_version}
Provides: tex(jkpttmnc.tfm) = %{tl_version}
Provides: tex(jkpttmne.tfm) = %{tl_version}
Provides: tex(jkpttmsl7c.tfm) = %{tl_version}
Provides: tex(jkpttmsl7t.tfm) = %{tl_version}
Provides: tex(jkpttmsl8r.tfm) = %{tl_version}
Provides: tex(jkpttmsl8t.tfm) = %{tl_version}
Provides: tex(jkpttmslc.tfm) = %{tl_version}
Provides: tex(jkpttmsle.tfm) = %{tl_version}
Provides: tex(jkpttosbn7t.tfm) = %{tl_version}
Provides: tex(jkpttosbn8t.tfm) = %{tl_version}
Provides: tex(jkpttosbsl7t.tfm) = %{tl_version}
Provides: tex(jkpttosbsl8t.tfm) = %{tl_version}
Provides: tex(jkpttosmn7t.tfm) = %{tl_version}
Provides: tex(jkpttosmn8t.tfm) = %{tl_version}
Provides: tex(jkpttosmsl7t.tfm) = %{tl_version}
Provides: tex(jkpttosmsl8t.tfm) = %{tl_version}
Provides: tex(jkpttosnbn7t.tfm) = %{tl_version}
Provides: tex(jkpttosnbn8t.tfm) = %{tl_version}
Provides: tex(jkpttosnbsl7t.tfm) = %{tl_version}
Provides: tex(jkpttosnbsl8t.tfm) = %{tl_version}
Provides: tex(jkpttosnmn7t.tfm) = %{tl_version}
Provides: tex(jkpttosnmn8t.tfm) = %{tl_version}
Provides: tex(jkpttosnmsl7t.tfm) = %{tl_version}
Provides: tex(jkpttosnmsl8t.tfm) = %{tl_version}
Provides: tex(jkpttvosbn7t.tfm) = %{tl_version}
Provides: tex(jkpttvosbn8t.tfm) = %{tl_version}
Provides: tex(jkpttvosbsl7t.tfm) = %{tl_version}
Provides: tex(jkpttvosbsl8t.tfm) = %{tl_version}
Provides: tex(jkpttvosmn7t.tfm) = %{tl_version}
Provides: tex(jkpttvosmn8t.tfm) = %{tl_version}
Provides: tex(jkpttvosmsl7t.tfm) = %{tl_version}
Provides: tex(jkpttvosmsl8t.tfm) = %{tl_version}
Provides: tex(jkpvosbit7t.tfm) = %{tl_version}
Provides: tex(jkpvosbit8t.tfm) = %{tl_version}
Provides: tex(jkpvosbmi.tfm) = %{tl_version}
Provides: tex(jkpvosbmif.tfm) = %{tl_version}
Provides: tex(jkpvosbmifw.tfm) = %{tl_version}
Provides: tex(jkpvosbmiw.tfm) = %{tl_version}
Provides: tex(jkpvosbn7t.tfm) = %{tl_version}
Provides: tex(jkpvosbn8t.tfm) = %{tl_version}
Provides: tex(jkpvosbsl7t.tfm) = %{tl_version}
Provides: tex(jkpvosbsl8t.tfm) = %{tl_version}
Provides: tex(jkpvosbxit7t.tfm) = %{tl_version}
Provides: tex(jkpvosbxit8t.tfm) = %{tl_version}
Provides: tex(jkpvosbxn7t.tfm) = %{tl_version}
Provides: tex(jkpvosbxn8t.tfm) = %{tl_version}
Provides: tex(jkpvosbxsl7t.tfm) = %{tl_version}
Provides: tex(jkpvosbxsl8t.tfm) = %{tl_version}
Provides: tex(jkpvosmi.tfm) = %{tl_version}
Provides: tex(jkpvosmif.tfm) = %{tl_version}
Provides: tex(jkpvosmifw.tfm) = %{tl_version}
Provides: tex(jkpvosmit7t.tfm) = %{tl_version}
Provides: tex(jkpvosmit8t.tfm) = %{tl_version}
Provides: tex(jkpvosmiw.tfm) = %{tl_version}
Provides: tex(jkpvosmn7t.tfm) = %{tl_version}
Provides: tex(jkpvosmn8t.tfm) = %{tl_version}
Provides: tex(jkpvosmsl7t.tfm) = %{tl_version}
Provides: tex(jkpvosmsl8t.tfm) = %{tl_version}
Provides: tex(jkpbex.pfb) = %{tl_version}
Provides: tex(jkpbexa.pfb) = %{tl_version}
Provides: tex(jkpbit8a.pfb) = %{tl_version}
Provides: tex(jkpbitc.pfb) = %{tl_version}
Provides: tex(jkpbite.pfb) = %{tl_version}
Provides: tex(jkpbmi.pfb) = %{tl_version}
Provides: tex(jkpbmia.pfb) = %{tl_version}
Provides: tex(jkpbn8a.pfb) = %{tl_version}
Provides: tex(jkpbnc.pfb) = %{tl_version}
Provides: tex(jkpbne.pfb) = %{tl_version}
Provides: tex(jkpbsc8a.pfb) = %{tl_version}
Provides: tex(jkpbsce.pfb) = %{tl_version}
Provides: tex(jkpbsy.pfb) = %{tl_version}
Provides: tex(jkpbsya.pfb) = %{tl_version}
Provides: tex(jkpbsyb.pfb) = %{tl_version}
Provides: tex(jkpbsyc.pfb) = %{tl_version}
Provides: tex(jkpbsyd.pfb) = %{tl_version}
Provides: tex(jkpex.pfb) = %{tl_version}
Provides: tex(jkpexa.pfb) = %{tl_version}
Provides: tex(jkpkbsc.pfb) = %{tl_version}
Provides: tex(jkpkmsc.pfb) = %{tl_version}
Provides: tex(jkplbex.pfb) = %{tl_version}
Provides: tex(jkplbexa.pfb) = %{tl_version}
Provides: tex(jkplbit8a.pfb) = %{tl_version}
Provides: tex(jkplbitc.pfb) = %{tl_version}
Provides: tex(jkplbite.pfb) = %{tl_version}
Provides: tex(jkplbmi.pfb) = %{tl_version}
Provides: tex(jkplbmia.pfb) = %{tl_version}
Provides: tex(jkplbn8a.pfb) = %{tl_version}
Provides: tex(jkplbnc.pfb) = %{tl_version}
Provides: tex(jkplbne.pfb) = %{tl_version}
Provides: tex(jkplbsc8a.pfb) = %{tl_version}
Provides: tex(jkplbsce.pfb) = %{tl_version}
Provides: tex(jkplbsy.pfb) = %{tl_version}
Provides: tex(jkplbsyb.pfb) = %{tl_version}
Provides: tex(jkplbsyc.pfb) = %{tl_version}
Provides: tex(jkplbsyd.pfb) = %{tl_version}
Provides: tex(jkplex.pfb) = %{tl_version}
Provides: tex(jkplexa.pfb) = %{tl_version}
Provides: tex(jkplkbsc.pfb) = %{tl_version}
Provides: tex(jkplkmsc.pfb) = %{tl_version}
Provides: tex(jkplmi.pfb) = %{tl_version}
Provides: tex(jkplmia.pfb) = %{tl_version}
Provides: tex(jkplmit8a.pfb) = %{tl_version}
Provides: tex(jkplmitc.pfb) = %{tl_version}
Provides: tex(jkplmite.pfb) = %{tl_version}
Provides: tex(jkplmn8a.pfb) = %{tl_version}
Provides: tex(jkplmnc.pfb) = %{tl_version}
Provides: tex(jkplmne.pfb) = %{tl_version}
Provides: tex(jkplmsc8a.pfb) = %{tl_version}
Provides: tex(jkplmsce.pfb) = %{tl_version}
Provides: tex(jkplsy.pfb) = %{tl_version}
Provides: tex(jkplsyb.pfb) = %{tl_version}
Provides: tex(jkplsyc.pfb) = %{tl_version}
Provides: tex(jkplsyd.pfb) = %{tl_version}
Provides: tex(jkpmi.pfb) = %{tl_version}
Provides: tex(jkpmia.pfb) = %{tl_version}
Provides: tex(jkpmit8a.pfb) = %{tl_version}
Provides: tex(jkpmitc.pfb) = %{tl_version}
Provides: tex(jkpmite.pfb) = %{tl_version}
Provides: tex(jkpmn8a.pfb) = %{tl_version}
Provides: tex(jkpmnc.pfb) = %{tl_version}
Provides: tex(jkpmne.pfb) = %{tl_version}
Provides: tex(jkpmsc8a.pfb) = %{tl_version}
Provides: tex(jkpmsce.pfb) = %{tl_version}
Provides: tex(jkpssbn8a.pfb) = %{tl_version}
Provides: tex(jkpssbnc.pfb) = %{tl_version}
Provides: tex(jkpssbne.pfb) = %{tl_version}
Provides: tex(jkpssbsc8a.pfb) = %{tl_version}
Provides: tex(jkpssbsce.pfb) = %{tl_version}
Provides: tex(jkpsskbsc.pfb) = %{tl_version}
Provides: tex(jkpsskmsc.pfb) = %{tl_version}
Provides: tex(jkpssmn8a.pfb) = %{tl_version}
Provides: tex(jkpssmnc.pfb) = %{tl_version}
Provides: tex(jkpssmne.pfb) = %{tl_version}
Provides: tex(jkpssmsc8a.pfb) = %{tl_version}
Provides: tex(jkpssmsce.pfb) = %{tl_version}
Provides: tex(jkpsy.pfb) = %{tl_version}
Provides: tex(jkpsya.pfb) = %{tl_version}
Provides: tex(jkpsyb.pfb) = %{tl_version}
Provides: tex(jkpsyc.pfb) = %{tl_version}
Provides: tex(jkpsyd.pfb) = %{tl_version}
Provides: tex(jkpttbn8a.pfb) = %{tl_version}
Provides: tex(jkpttbnc.pfb) = %{tl_version}
Provides: tex(jkpttbne.pfb) = %{tl_version}
Provides: tex(jkpttmn8a.pfb) = %{tl_version}
Provides: tex(jkpttmnc.pfb) = %{tl_version}
Provides: tex(jkpttmne.pfb) = %{tl_version}
Provides: tex(jkpbit7c.vf) = %{tl_version}
Provides: tex(jkpbit7t.vf) = %{tl_version}
Provides: tex(jkpbit8t.vf) = %{tl_version}
Provides: tex(jkpbmiaw.vf) = %{tl_version}
Provides: tex(jkpbmif.vf) = %{tl_version}
Provides: tex(jkpbmifw.vf) = %{tl_version}
Provides: tex(jkpbmiw.vf) = %{tl_version}
Provides: tex(jkpbn7c.vf) = %{tl_version}
Provides: tex(jkpbn7t.vf) = %{tl_version}
Provides: tex(jkpbn8t.vf) = %{tl_version}
Provides: tex(jkpbsc7c.vf) = %{tl_version}
Provides: tex(jkpbsc7t.vf) = %{tl_version}
Provides: tex(jkpbsc8t.vf) = %{tl_version}
Provides: tex(jkpbscsl7c.vf) = %{tl_version}
Provides: tex(jkpbscsl7t.vf) = %{tl_version}
Provides: tex(jkpbscsl8t.vf) = %{tl_version}
Provides: tex(jkpbsl7c.vf) = %{tl_version}
Provides: tex(jkpbsl7t.vf) = %{tl_version}
Provides: tex(jkpbsl8t.vf) = %{tl_version}
Provides: tex(jkpbsybw.vf) = %{tl_version}
Provides: tex(jkpbsydw.vf) = %{tl_version}
Provides: tex(jkpbsyw.vf) = %{tl_version}
Provides: tex(jkpbxit7c.vf) = %{tl_version}
Provides: tex(jkpbxit7t.vf) = %{tl_version}
Provides: tex(jkpbxit8t.vf) = %{tl_version}
Provides: tex(jkpbxn7c.vf) = %{tl_version}
Provides: tex(jkpbxn7t.vf) = %{tl_version}
Provides: tex(jkpbxn8t.vf) = %{tl_version}
Provides: tex(jkpbxsc7c.vf) = %{tl_version}
Provides: tex(jkpbxsc7t.vf) = %{tl_version}
Provides: tex(jkpbxsc8t.vf) = %{tl_version}
Provides: tex(jkpbxscsl7c.vf) = %{tl_version}
Provides: tex(jkpbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpbxsl7c.vf) = %{tl_version}
Provides: tex(jkpbxsl7t.vf) = %{tl_version}
Provides: tex(jkpbxsl8t.vf) = %{tl_version}
Provides: tex(jkpfbit7t.vf) = %{tl_version}
Provides: tex(jkpfbit8t.vf) = %{tl_version}
Provides: tex(jkpfbn7t.vf) = %{tl_version}
Provides: tex(jkpfbn8t.vf) = %{tl_version}
Provides: tex(jkpfbsl7t.vf) = %{tl_version}
Provides: tex(jkpfbsl8t.vf) = %{tl_version}
Provides: tex(jkpfbxit7t.vf) = %{tl_version}
Provides: tex(jkpfbxit8t.vf) = %{tl_version}
Provides: tex(jkpfbxn7t.vf) = %{tl_version}
Provides: tex(jkpfbxn8t.vf) = %{tl_version}
Provides: tex(jkpfbxsl7t.vf) = %{tl_version}
Provides: tex(jkpfbxsl8t.vf) = %{tl_version}
Provides: tex(jkpfmit7t.vf) = %{tl_version}
Provides: tex(jkpfmit8t.vf) = %{tl_version}
Provides: tex(jkpfmn7t.vf) = %{tl_version}
Provides: tex(jkpfmn8t.vf) = %{tl_version}
Provides: tex(jkpfmsl7t.vf) = %{tl_version}
Provides: tex(jkpfmsl8t.vf) = %{tl_version}
Provides: tex(jkpfosnbit7t.vf) = %{tl_version}
Provides: tex(jkpfosnbit8t.vf) = %{tl_version}
Provides: tex(jkpfosnbn7t.vf) = %{tl_version}
Provides: tex(jkpfosnbn8t.vf) = %{tl_version}
Provides: tex(jkpfosnbsl7t.vf) = %{tl_version}
Provides: tex(jkpfosnbsl8t.vf) = %{tl_version}
Provides: tex(jkpfosnbxit7t.vf) = %{tl_version}
Provides: tex(jkpfosnbxit8t.vf) = %{tl_version}
Provides: tex(jkpfosnbxn7t.vf) = %{tl_version}
Provides: tex(jkpfosnbxn8t.vf) = %{tl_version}
Provides: tex(jkpfosnbxsl7t.vf) = %{tl_version}
Provides: tex(jkpfosnbxsl8t.vf) = %{tl_version}
Provides: tex(jkpfosnmit7t.vf) = %{tl_version}
Provides: tex(jkpfosnmit8t.vf) = %{tl_version}
Provides: tex(jkpfosnmn7t.vf) = %{tl_version}
Provides: tex(jkpfosnmn8t.vf) = %{tl_version}
Provides: tex(jkpfosnmsl7t.vf) = %{tl_version}
Provides: tex(jkpfosnmsl8t.vf) = %{tl_version}
Provides: tex(jkpfssosnbn7t.vf) = %{tl_version}
Provides: tex(jkpfssosnbn8t.vf) = %{tl_version}
Provides: tex(jkpfssosnbsl7t.vf) = %{tl_version}
Provides: tex(jkpfssosnbsl8t.vf) = %{tl_version}
Provides: tex(jkpfssosnbxn7t.vf) = %{tl_version}
Provides: tex(jkpfssosnbxn8t.vf) = %{tl_version}
Provides: tex(jkpfssosnbxsl7t.vf) = %{tl_version}
Provides: tex(jkpfssosnbxsl8t.vf) = %{tl_version}
Provides: tex(jkpfssosnmn7t.vf) = %{tl_version}
Provides: tex(jkpfssosnmn8t.vf) = %{tl_version}
Provides: tex(jkpfssosnmsl7t.vf) = %{tl_version}
Provides: tex(jkpfssosnmsl8t.vf) = %{tl_version}
Provides: tex(jkpkbsc7t.vf) = %{tl_version}
Provides: tex(jkpkbsc8t.vf) = %{tl_version}
Provides: tex(jkpkbscsl7t.vf) = %{tl_version}
Provides: tex(jkpkbscsl8t.vf) = %{tl_version}
Provides: tex(jkpkbxsc7t.vf) = %{tl_version}
Provides: tex(jkpkbxsc8t.vf) = %{tl_version}
Provides: tex(jkpkbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpkbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpkmsc7t.vf) = %{tl_version}
Provides: tex(jkpkmsc8t.vf) = %{tl_version}
Provides: tex(jkpkmscsl7t.vf) = %{tl_version}
Provides: tex(jkpkmscsl8t.vf) = %{tl_version}
Provides: tex(jkpkosbsc7t.vf) = %{tl_version}
Provides: tex(jkpkosbsc8t.vf) = %{tl_version}
Provides: tex(jkpkosbscsl7t.vf) = %{tl_version}
Provides: tex(jkpkosbscsl8t.vf) = %{tl_version}
Provides: tex(jkpkosbxsc7t.vf) = %{tl_version}
Provides: tex(jkpkosbxsc8t.vf) = %{tl_version}
Provides: tex(jkpkosbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpkosbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpkosmsc7t.vf) = %{tl_version}
Provides: tex(jkpkosmsc8t.vf) = %{tl_version}
Provides: tex(jkpkosmscsl7t.vf) = %{tl_version}
Provides: tex(jkpkosmscsl8t.vf) = %{tl_version}
Provides: tex(jkpkosnbsc7t.vf) = %{tl_version}
Provides: tex(jkpkosnbsc8t.vf) = %{tl_version}
Provides: tex(jkpkosnbscsl7t.vf) = %{tl_version}
Provides: tex(jkpkosnbscsl8t.vf) = %{tl_version}
Provides: tex(jkpkosnbxsc7t.vf) = %{tl_version}
Provides: tex(jkpkosnbxsc8t.vf) = %{tl_version}
Provides: tex(jkpkosnbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpkosnbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpkosnmsc7t.vf) = %{tl_version}
Provides: tex(jkpkosnmsc8t.vf) = %{tl_version}
Provides: tex(jkpkosnmscsl7t.vf) = %{tl_version}
Provides: tex(jkpkosnmscsl8t.vf) = %{tl_version}
Provides: tex(jkplbit7c.vf) = %{tl_version}
Provides: tex(jkplbit7t.vf) = %{tl_version}
Provides: tex(jkplbit8t.vf) = %{tl_version}
Provides: tex(jkplbmiaw.vf) = %{tl_version}
Provides: tex(jkplbmif.vf) = %{tl_version}
Provides: tex(jkplbmifw.vf) = %{tl_version}
Provides: tex(jkplbmiw.vf) = %{tl_version}
Provides: tex(jkplbn7c.vf) = %{tl_version}
Provides: tex(jkplbn7t.vf) = %{tl_version}
Provides: tex(jkplbn8t.vf) = %{tl_version}
Provides: tex(jkplbsc7c.vf) = %{tl_version}
Provides: tex(jkplbsc7t.vf) = %{tl_version}
Provides: tex(jkplbsc8t.vf) = %{tl_version}
Provides: tex(jkplbscsl7c.vf) = %{tl_version}
Provides: tex(jkplbscsl7t.vf) = %{tl_version}
Provides: tex(jkplbscsl8t.vf) = %{tl_version}
Provides: tex(jkplbsl7c.vf) = %{tl_version}
Provides: tex(jkplbsl7t.vf) = %{tl_version}
Provides: tex(jkplbsl8t.vf) = %{tl_version}
Provides: tex(jkplbsybw.vf) = %{tl_version}
Provides: tex(jkplbsydw.vf) = %{tl_version}
Provides: tex(jkplbsyw.vf) = %{tl_version}
Provides: tex(jkplbxit7c.vf) = %{tl_version}
Provides: tex(jkplbxit7t.vf) = %{tl_version}
Provides: tex(jkplbxit8t.vf) = %{tl_version}
Provides: tex(jkplbxn7c.vf) = %{tl_version}
Provides: tex(jkplbxn7t.vf) = %{tl_version}
Provides: tex(jkplbxn8t.vf) = %{tl_version}
Provides: tex(jkplbxsc7c.vf) = %{tl_version}
Provides: tex(jkplbxsc7t.vf) = %{tl_version}
Provides: tex(jkplbxsc8t.vf) = %{tl_version}
Provides: tex(jkplbxscsl7c.vf) = %{tl_version}
Provides: tex(jkplbxscsl7t.vf) = %{tl_version}
Provides: tex(jkplbxscsl8t.vf) = %{tl_version}
Provides: tex(jkplbxsl7c.vf) = %{tl_version}
Provides: tex(jkplbxsl7t.vf) = %{tl_version}
Provides: tex(jkplbxsl8t.vf) = %{tl_version}
Provides: tex(jkplfbit7t.vf) = %{tl_version}
Provides: tex(jkplfbit8t.vf) = %{tl_version}
Provides: tex(jkplfbn7t.vf) = %{tl_version}
Provides: tex(jkplfbn8t.vf) = %{tl_version}
Provides: tex(jkplfbsl7t.vf) = %{tl_version}
Provides: tex(jkplfbsl8t.vf) = %{tl_version}
Provides: tex(jkplfbxit7t.vf) = %{tl_version}
Provides: tex(jkplfbxit8t.vf) = %{tl_version}
Provides: tex(jkplfbxn7t.vf) = %{tl_version}
Provides: tex(jkplfbxn8t.vf) = %{tl_version}
Provides: tex(jkplfbxsl7t.vf) = %{tl_version}
Provides: tex(jkplfbxsl8t.vf) = %{tl_version}
Provides: tex(jkplfmit7t.vf) = %{tl_version}
Provides: tex(jkplfmit8t.vf) = %{tl_version}
Provides: tex(jkplfmn7t.vf) = %{tl_version}
Provides: tex(jkplfmn8t.vf) = %{tl_version}
Provides: tex(jkplfmsl7t.vf) = %{tl_version}
Provides: tex(jkplfmsl8t.vf) = %{tl_version}
Provides: tex(jkplfosnbit7t.vf) = %{tl_version}
Provides: tex(jkplfosnbit8t.vf) = %{tl_version}
Provides: tex(jkplfosnbn7t.vf) = %{tl_version}
Provides: tex(jkplfosnbn8t.vf) = %{tl_version}
Provides: tex(jkplfosnbsl7t.vf) = %{tl_version}
Provides: tex(jkplfosnbsl8t.vf) = %{tl_version}
Provides: tex(jkplfosnbxit7t.vf) = %{tl_version}
Provides: tex(jkplfosnbxit8t.vf) = %{tl_version}
Provides: tex(jkplfosnbxn7t.vf) = %{tl_version}
Provides: tex(jkplfosnbxn8t.vf) = %{tl_version}
Provides: tex(jkplfosnbxsl7t.vf) = %{tl_version}
Provides: tex(jkplfosnbxsl8t.vf) = %{tl_version}
Provides: tex(jkplfosnmit7t.vf) = %{tl_version}
Provides: tex(jkplfosnmit8t.vf) = %{tl_version}
Provides: tex(jkplfosnmn7t.vf) = %{tl_version}
Provides: tex(jkplfosnmn8t.vf) = %{tl_version}
Provides: tex(jkplfosnmsl7t.vf) = %{tl_version}
Provides: tex(jkplfosnmsl8t.vf) = %{tl_version}
Provides: tex(jkplkbsc7t.vf) = %{tl_version}
Provides: tex(jkplkbsc8t.vf) = %{tl_version}
Provides: tex(jkplkbscsl7t.vf) = %{tl_version}
Provides: tex(jkplkbscsl8t.vf) = %{tl_version}
Provides: tex(jkplkbxsc7t.vf) = %{tl_version}
Provides: tex(jkplkbxsc8t.vf) = %{tl_version}
Provides: tex(jkplkbxscsl7t.vf) = %{tl_version}
Provides: tex(jkplkbxscsl8t.vf) = %{tl_version}
Provides: tex(jkplkmsc7t.vf) = %{tl_version}
Provides: tex(jkplkmsc8t.vf) = %{tl_version}
Provides: tex(jkplkmscsl7t.vf) = %{tl_version}
Provides: tex(jkplkmscsl8t.vf) = %{tl_version}
Provides: tex(jkplkosbsc7t.vf) = %{tl_version}
Provides: tex(jkplkosbsc8t.vf) = %{tl_version}
Provides: tex(jkplkosbscsl7t.vf) = %{tl_version}
Provides: tex(jkplkosbscsl8t.vf) = %{tl_version}
Provides: tex(jkplkosbxsc7t.vf) = %{tl_version}
Provides: tex(jkplkosbxsc8t.vf) = %{tl_version}
Provides: tex(jkplkosbxscsl7t.vf) = %{tl_version}
Provides: tex(jkplkosbxscsl8t.vf) = %{tl_version}
Provides: tex(jkplkosmsc7t.vf) = %{tl_version}
Provides: tex(jkplkosmsc8t.vf) = %{tl_version}
Provides: tex(jkplkosmscsl7t.vf) = %{tl_version}
Provides: tex(jkplkosmscsl8t.vf) = %{tl_version}
Provides: tex(jkplkosnbsc7t.vf) = %{tl_version}
Provides: tex(jkplkosnbsc8t.vf) = %{tl_version}
Provides: tex(jkplkosnbscsl7t.vf) = %{tl_version}
Provides: tex(jkplkosnbscsl8t.vf) = %{tl_version}
Provides: tex(jkplkosnbxsc7t.vf) = %{tl_version}
Provides: tex(jkplkosnbxsc8t.vf) = %{tl_version}
Provides: tex(jkplkosnbxscsl7t.vf) = %{tl_version}
Provides: tex(jkplkosnbxscsl8t.vf) = %{tl_version}
Provides: tex(jkplkosnmsc7t.vf) = %{tl_version}
Provides: tex(jkplkosnmsc8t.vf) = %{tl_version}
Provides: tex(jkplkosnmscsl7t.vf) = %{tl_version}
Provides: tex(jkplkosnmscsl8t.vf) = %{tl_version}
Provides: tex(jkplmiaw.vf) = %{tl_version}
Provides: tex(jkplmif.vf) = %{tl_version}
Provides: tex(jkplmifw.vf) = %{tl_version}
Provides: tex(jkplmit7c.vf) = %{tl_version}
Provides: tex(jkplmit7t.vf) = %{tl_version}
Provides: tex(jkplmit8t.vf) = %{tl_version}
Provides: tex(jkplmiw.vf) = %{tl_version}
Provides: tex(jkplmn7c.vf) = %{tl_version}
Provides: tex(jkplmn7t.vf) = %{tl_version}
Provides: tex(jkplmn8t.vf) = %{tl_version}
Provides: tex(jkplmsc7c.vf) = %{tl_version}
Provides: tex(jkplmsc7t.vf) = %{tl_version}
Provides: tex(jkplmsc8t.vf) = %{tl_version}
Provides: tex(jkplmscsl7c.vf) = %{tl_version}
Provides: tex(jkplmscsl7t.vf) = %{tl_version}
Provides: tex(jkplmscsl8t.vf) = %{tl_version}
Provides: tex(jkplmsl7c.vf) = %{tl_version}
Provides: tex(jkplmsl7t.vf) = %{tl_version}
Provides: tex(jkplmsl8t.vf) = %{tl_version}
Provides: tex(jkplosbit7c.vf) = %{tl_version}
Provides: tex(jkplosbit7t.vf) = %{tl_version}
Provides: tex(jkplosbit8t.vf) = %{tl_version}
Provides: tex(jkplosbn7c.vf) = %{tl_version}
Provides: tex(jkplosbn7t.vf) = %{tl_version}
Provides: tex(jkplosbn8t.vf) = %{tl_version}
Provides: tex(jkplosbsc7c.vf) = %{tl_version}
Provides: tex(jkplosbsc7t.vf) = %{tl_version}
Provides: tex(jkplosbsc8t.vf) = %{tl_version}
Provides: tex(jkplosbscsl7t.vf) = %{tl_version}
Provides: tex(jkplosbscsl8t.vf) = %{tl_version}
Provides: tex(jkplosbsl7c.vf) = %{tl_version}
Provides: tex(jkplosbsl7t.vf) = %{tl_version}
Provides: tex(jkplosbsl8t.vf) = %{tl_version}
Provides: tex(jkplosbxit7c.vf) = %{tl_version}
Provides: tex(jkplosbxit7t.vf) = %{tl_version}
Provides: tex(jkplosbxit8t.vf) = %{tl_version}
Provides: tex(jkplosbxn7c.vf) = %{tl_version}
Provides: tex(jkplosbxn7t.vf) = %{tl_version}
Provides: tex(jkplosbxn8t.vf) = %{tl_version}
Provides: tex(jkplosbxsc7c.vf) = %{tl_version}
Provides: tex(jkplosbxsc7t.vf) = %{tl_version}
Provides: tex(jkplosbxsc8t.vf) = %{tl_version}
Provides: tex(jkplosbxscsl7t.vf) = %{tl_version}
Provides: tex(jkplosbxscsl8t.vf) = %{tl_version}
Provides: tex(jkplosbxsl7c.vf) = %{tl_version}
Provides: tex(jkplosbxsl7t.vf) = %{tl_version}
Provides: tex(jkplosbxsl8t.vf) = %{tl_version}
Provides: tex(jkplosmit7c.vf) = %{tl_version}
Provides: tex(jkplosmit7t.vf) = %{tl_version}
Provides: tex(jkplosmit8t.vf) = %{tl_version}
Provides: tex(jkplosmn7c.vf) = %{tl_version}
Provides: tex(jkplosmn7t.vf) = %{tl_version}
Provides: tex(jkplosmn8t.vf) = %{tl_version}
Provides: tex(jkplosmsc7c.vf) = %{tl_version}
Provides: tex(jkplosmsc7t.vf) = %{tl_version}
Provides: tex(jkplosmsc8t.vf) = %{tl_version}
Provides: tex(jkplosmscsl7t.vf) = %{tl_version}
Provides: tex(jkplosmscsl8t.vf) = %{tl_version}
Provides: tex(jkplosmsl7c.vf) = %{tl_version}
Provides: tex(jkplosmsl7t.vf) = %{tl_version}
Provides: tex(jkplosmsl8t.vf) = %{tl_version}
Provides: tex(jkplosnbit7t.vf) = %{tl_version}
Provides: tex(jkplosnbit8t.vf) = %{tl_version}
Provides: tex(jkplosnbn7t.vf) = %{tl_version}
Provides: tex(jkplosnbn8t.vf) = %{tl_version}
Provides: tex(jkplosnbsc7t.vf) = %{tl_version}
Provides: tex(jkplosnbsc8t.vf) = %{tl_version}
Provides: tex(jkplosnbscsl7t.vf) = %{tl_version}
Provides: tex(jkplosnbscsl8t.vf) = %{tl_version}
Provides: tex(jkplosnbsl7t.vf) = %{tl_version}
Provides: tex(jkplosnbsl8t.vf) = %{tl_version}
Provides: tex(jkplosnbxit7t.vf) = %{tl_version}
Provides: tex(jkplosnbxit8t.vf) = %{tl_version}
Provides: tex(jkplosnbxn7t.vf) = %{tl_version}
Provides: tex(jkplosnbxn8t.vf) = %{tl_version}
Provides: tex(jkplosnbxsc7t.vf) = %{tl_version}
Provides: tex(jkplosnbxsc8t.vf) = %{tl_version}
Provides: tex(jkplosnbxscsl7t.vf) = %{tl_version}
Provides: tex(jkplosnbxscsl8t.vf) = %{tl_version}
Provides: tex(jkplosnbxsl7t.vf) = %{tl_version}
Provides: tex(jkplosnbxsl8t.vf) = %{tl_version}
Provides: tex(jkplosnmit7t.vf) = %{tl_version}
Provides: tex(jkplosnmit8t.vf) = %{tl_version}
Provides: tex(jkplosnmn7t.vf) = %{tl_version}
Provides: tex(jkplosnmn8t.vf) = %{tl_version}
Provides: tex(jkplosnmsc7t.vf) = %{tl_version}
Provides: tex(jkplosnmsc8t.vf) = %{tl_version}
Provides: tex(jkplosnmscsl7t.vf) = %{tl_version}
Provides: tex(jkplosnmscsl8t.vf) = %{tl_version}
Provides: tex(jkplosnmsl7t.vf) = %{tl_version}
Provides: tex(jkplosnmsl8t.vf) = %{tl_version}
Provides: tex(jkplsybw.vf) = %{tl_version}
Provides: tex(jkplsydw.vf) = %{tl_version}
Provides: tex(jkplsyw.vf) = %{tl_version}
Provides: tex(jkplvosbit7t.vf) = %{tl_version}
Provides: tex(jkplvosbit8t.vf) = %{tl_version}
Provides: tex(jkplvosbmi.vf) = %{tl_version}
Provides: tex(jkplvosbmif.vf) = %{tl_version}
Provides: tex(jkplvosbmifw.vf) = %{tl_version}
Provides: tex(jkplvosbmiw.vf) = %{tl_version}
Provides: tex(jkplvosbn7t.vf) = %{tl_version}
Provides: tex(jkplvosbn8t.vf) = %{tl_version}
Provides: tex(jkplvosbsl7t.vf) = %{tl_version}
Provides: tex(jkplvosbsl8t.vf) = %{tl_version}
Provides: tex(jkplvosbxit7t.vf) = %{tl_version}
Provides: tex(jkplvosbxit8t.vf) = %{tl_version}
Provides: tex(jkplvosbxn7t.vf) = %{tl_version}
Provides: tex(jkplvosbxn8t.vf) = %{tl_version}
Provides: tex(jkplvosbxsl7t.vf) = %{tl_version}
Provides: tex(jkplvosbxsl8t.vf) = %{tl_version}
Provides: tex(jkplvosmi.vf) = %{tl_version}
Provides: tex(jkplvosmif.vf) = %{tl_version}
Provides: tex(jkplvosmifw.vf) = %{tl_version}
Provides: tex(jkplvosmit7t.vf) = %{tl_version}
Provides: tex(jkplvosmit8t.vf) = %{tl_version}
Provides: tex(jkplvosmiw.vf) = %{tl_version}
Provides: tex(jkplvosmn7t.vf) = %{tl_version}
Provides: tex(jkplvosmn8t.vf) = %{tl_version}
Provides: tex(jkplvosmsl7t.vf) = %{tl_version}
Provides: tex(jkplvosmsl8t.vf) = %{tl_version}
Provides: tex(jkpmiaw.vf) = %{tl_version}
Provides: tex(jkpmif.vf) = %{tl_version}
Provides: tex(jkpmifw.vf) = %{tl_version}
Provides: tex(jkpmit7c.vf) = %{tl_version}
Provides: tex(jkpmit7t.vf) = %{tl_version}
Provides: tex(jkpmit8t.vf) = %{tl_version}
Provides: tex(jkpmiw.vf) = %{tl_version}
Provides: tex(jkpmn7c.vf) = %{tl_version}
Provides: tex(jkpmn7t.vf) = %{tl_version}
Provides: tex(jkpmn8t.vf) = %{tl_version}
Provides: tex(jkpmsc7c.vf) = %{tl_version}
Provides: tex(jkpmsc7t.vf) = %{tl_version}
Provides: tex(jkpmsc8t.vf) = %{tl_version}
Provides: tex(jkpmscsl7c.vf) = %{tl_version}
Provides: tex(jkpmscsl7t.vf) = %{tl_version}
Provides: tex(jkpmscsl8t.vf) = %{tl_version}
Provides: tex(jkpmsl7c.vf) = %{tl_version}
Provides: tex(jkpmsl7t.vf) = %{tl_version}
Provides: tex(jkpmsl8t.vf) = %{tl_version}
Provides: tex(jkposbit7c.vf) = %{tl_version}
Provides: tex(jkposbit7t.vf) = %{tl_version}
Provides: tex(jkposbit8t.vf) = %{tl_version}
Provides: tex(jkposbn7c.vf) = %{tl_version}
Provides: tex(jkposbn7t.vf) = %{tl_version}
Provides: tex(jkposbn8t.vf) = %{tl_version}
Provides: tex(jkposbsc7c.vf) = %{tl_version}
Provides: tex(jkposbsc7t.vf) = %{tl_version}
Provides: tex(jkposbsc8t.vf) = %{tl_version}
Provides: tex(jkposbscsl7t.vf) = %{tl_version}
Provides: tex(jkposbscsl8t.vf) = %{tl_version}
Provides: tex(jkposbsl7c.vf) = %{tl_version}
Provides: tex(jkposbsl7t.vf) = %{tl_version}
Provides: tex(jkposbsl8t.vf) = %{tl_version}
Provides: tex(jkposbxit7c.vf) = %{tl_version}
Provides: tex(jkposbxit7t.vf) = %{tl_version}
Provides: tex(jkposbxit8t.vf) = %{tl_version}
Provides: tex(jkposbxn7c.vf) = %{tl_version}
Provides: tex(jkposbxn7t.vf) = %{tl_version}
Provides: tex(jkposbxn8t.vf) = %{tl_version}
Provides: tex(jkposbxsc7c.vf) = %{tl_version}
Provides: tex(jkposbxsc7t.vf) = %{tl_version}
Provides: tex(jkposbxsc8t.vf) = %{tl_version}
Provides: tex(jkposbxscsl7t.vf) = %{tl_version}
Provides: tex(jkposbxscsl8t.vf) = %{tl_version}
Provides: tex(jkposbxsl7c.vf) = %{tl_version}
Provides: tex(jkposbxsl7t.vf) = %{tl_version}
Provides: tex(jkposbxsl8t.vf) = %{tl_version}
Provides: tex(jkposmit7c.vf) = %{tl_version}
Provides: tex(jkposmit7t.vf) = %{tl_version}
Provides: tex(jkposmit8t.vf) = %{tl_version}
Provides: tex(jkposmn7c.vf) = %{tl_version}
Provides: tex(jkposmn7t.vf) = %{tl_version}
Provides: tex(jkposmn8t.vf) = %{tl_version}
Provides: tex(jkposmsc7c.vf) = %{tl_version}
Provides: tex(jkposmsc7t.vf) = %{tl_version}
Provides: tex(jkposmsc8t.vf) = %{tl_version}
Provides: tex(jkposmscsl7t.vf) = %{tl_version}
Provides: tex(jkposmscsl8t.vf) = %{tl_version}
Provides: tex(jkposmsl7c.vf) = %{tl_version}
Provides: tex(jkposmsl7t.vf) = %{tl_version}
Provides: tex(jkposmsl8t.vf) = %{tl_version}
Provides: tex(jkposnbit7t.vf) = %{tl_version}
Provides: tex(jkposnbit8t.vf) = %{tl_version}
Provides: tex(jkposnbn7t.vf) = %{tl_version}
Provides: tex(jkposnbn8t.vf) = %{tl_version}
Provides: tex(jkposnbsc7t.vf) = %{tl_version}
Provides: tex(jkposnbsc8t.vf) = %{tl_version}
Provides: tex(jkposnbscsl7t.vf) = %{tl_version}
Provides: tex(jkposnbscsl8t.vf) = %{tl_version}
Provides: tex(jkposnbsl7t.vf) = %{tl_version}
Provides: tex(jkposnbsl8t.vf) = %{tl_version}
Provides: tex(jkposnbxit7t.vf) = %{tl_version}
Provides: tex(jkposnbxit8t.vf) = %{tl_version}
Provides: tex(jkposnbxn7t.vf) = %{tl_version}
Provides: tex(jkposnbxn8t.vf) = %{tl_version}
Provides: tex(jkposnbxsc7t.vf) = %{tl_version}
Provides: tex(jkposnbxsc8t.vf) = %{tl_version}
Provides: tex(jkposnbxscsl7t.vf) = %{tl_version}
Provides: tex(jkposnbxscsl8t.vf) = %{tl_version}
Provides: tex(jkposnbxsl7t.vf) = %{tl_version}
Provides: tex(jkposnbxsl8t.vf) = %{tl_version}
Provides: tex(jkposnmit7t.vf) = %{tl_version}
Provides: tex(jkposnmit8t.vf) = %{tl_version}
Provides: tex(jkposnmn7t.vf) = %{tl_version}
Provides: tex(jkposnmn8t.vf) = %{tl_version}
Provides: tex(jkposnmsc7t.vf) = %{tl_version}
Provides: tex(jkposnmsc8t.vf) = %{tl_version}
Provides: tex(jkposnmscsl7t.vf) = %{tl_version}
Provides: tex(jkposnmscsl8t.vf) = %{tl_version}
Provides: tex(jkposnmsl7t.vf) = %{tl_version}
Provides: tex(jkposnmsl8t.vf) = %{tl_version}
Provides: tex(jkpssbex.vf) = %{tl_version}
Provides: tex(jkpssbmi.vf) = %{tl_version}
Provides: tex(jkpssbmia.vf) = %{tl_version}
Provides: tex(jkpssbmif.vf) = %{tl_version}
Provides: tex(jkpssbn7c.vf) = %{tl_version}
Provides: tex(jkpssbn7t.vf) = %{tl_version}
Provides: tex(jkpssbn8t.vf) = %{tl_version}
Provides: tex(jkpssbsc7c.vf) = %{tl_version}
Provides: tex(jkpssbsc7t.vf) = %{tl_version}
Provides: tex(jkpssbsc8t.vf) = %{tl_version}
Provides: tex(jkpssbscsl7c.vf) = %{tl_version}
Provides: tex(jkpssbscsl7t.vf) = %{tl_version}
Provides: tex(jkpssbscsl8t.vf) = %{tl_version}
Provides: tex(jkpssbsl7c.vf) = %{tl_version}
Provides: tex(jkpssbsl7t.vf) = %{tl_version}
Provides: tex(jkpssbsl8t.vf) = %{tl_version}
Provides: tex(jkpssbsyb.vf) = %{tl_version}
Provides: tex(jkpssbsybw.vf) = %{tl_version}
Provides: tex(jkpssbxn7c.vf) = %{tl_version}
Provides: tex(jkpssbxn7t.vf) = %{tl_version}
Provides: tex(jkpssbxn8t.vf) = %{tl_version}
Provides: tex(jkpssbxsc7c.vf) = %{tl_version}
Provides: tex(jkpssbxsc7t.vf) = %{tl_version}
Provides: tex(jkpssbxsc8t.vf) = %{tl_version}
Provides: tex(jkpssbxscsl7c.vf) = %{tl_version}
Provides: tex(jkpssbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpssbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpssbxsl7c.vf) = %{tl_version}
Provides: tex(jkpssbxsl7t.vf) = %{tl_version}
Provides: tex(jkpssbxsl8t.vf) = %{tl_version}
Provides: tex(jkpssex.vf) = %{tl_version}
Provides: tex(jkpssfbn7t.vf) = %{tl_version}
Provides: tex(jkpssfbn8t.vf) = %{tl_version}
Provides: tex(jkpssfbsl7t.vf) = %{tl_version}
Provides: tex(jkpssfbsl8t.vf) = %{tl_version}
Provides: tex(jkpssfbxn7t.vf) = %{tl_version}
Provides: tex(jkpssfbxn8t.vf) = %{tl_version}
Provides: tex(jkpssfbxsl7t.vf) = %{tl_version}
Provides: tex(jkpssfbxsl8t.vf) = %{tl_version}
Provides: tex(jkpssfmn7t.vf) = %{tl_version}
Provides: tex(jkpssfmn8t.vf) = %{tl_version}
Provides: tex(jkpssfmsl7t.vf) = %{tl_version}
Provides: tex(jkpssfmsl8t.vf) = %{tl_version}
Provides: tex(jkpssfosnbn7t.vf) = %{tl_version}
Provides: tex(jkpssfosnbn8t.vf) = %{tl_version}
Provides: tex(jkpssfosnbsl7t.vf) = %{tl_version}
Provides: tex(jkpssfosnbsl8t.vf) = %{tl_version}
Provides: tex(jkpssfosnbxn7t.vf) = %{tl_version}
Provides: tex(jkpssfosnbxn8t.vf) = %{tl_version}
Provides: tex(jkpssfosnbxsl7t.vf) = %{tl_version}
Provides: tex(jkpssfosnbxsl8t.vf) = %{tl_version}
Provides: tex(jkpssfosnmn7t.vf) = %{tl_version}
Provides: tex(jkpssfosnmn8t.vf) = %{tl_version}
Provides: tex(jkpssfosnmsl7t.vf) = %{tl_version}
Provides: tex(jkpssfosnmsl8t.vf) = %{tl_version}
Provides: tex(jkpsskbsc7t.vf) = %{tl_version}
Provides: tex(jkpsskbsc8t.vf) = %{tl_version}
Provides: tex(jkpsskbscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskbscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskbxsc7t.vf) = %{tl_version}
Provides: tex(jkpsskbxsc8t.vf) = %{tl_version}
Provides: tex(jkpsskbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskmsc7t.vf) = %{tl_version}
Provides: tex(jkpsskmsc8t.vf) = %{tl_version}
Provides: tex(jkpsskmscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskmscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskosbsc7t.vf) = %{tl_version}
Provides: tex(jkpsskosbsc8t.vf) = %{tl_version}
Provides: tex(jkpsskosbscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskosbscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskosbxsc7t.vf) = %{tl_version}
Provides: tex(jkpsskosbxsc8t.vf) = %{tl_version}
Provides: tex(jkpsskosbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskosbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskosmsc7t.vf) = %{tl_version}
Provides: tex(jkpsskosmsc8t.vf) = %{tl_version}
Provides: tex(jkpsskosmscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskosmscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskosnbsc7t.vf) = %{tl_version}
Provides: tex(jkpsskosnbsc8t.vf) = %{tl_version}
Provides: tex(jkpsskosnbscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskosnbscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskosnbxsc7t.vf) = %{tl_version}
Provides: tex(jkpsskosnbxsc8t.vf) = %{tl_version}
Provides: tex(jkpsskosnbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskosnbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpsskosnmsc7t.vf) = %{tl_version}
Provides: tex(jkpsskosnmsc8t.vf) = %{tl_version}
Provides: tex(jkpsskosnmscsl7t.vf) = %{tl_version}
Provides: tex(jkpsskosnmscsl8t.vf) = %{tl_version}
Provides: tex(jkpsslbsyb.vf) = %{tl_version}
Provides: tex(jkpsslbsybw.vf) = %{tl_version}
Provides: tex(jkpsslsyb.vf) = %{tl_version}
Provides: tex(jkpsslsybw.vf) = %{tl_version}
Provides: tex(jkpssmi.vf) = %{tl_version}
Provides: tex(jkpssmia.vf) = %{tl_version}
Provides: tex(jkpssmif.vf) = %{tl_version}
Provides: tex(jkpssmn7c.vf) = %{tl_version}
Provides: tex(jkpssmn7t.vf) = %{tl_version}
Provides: tex(jkpssmn8t.vf) = %{tl_version}
Provides: tex(jkpssmsc7c.vf) = %{tl_version}
Provides: tex(jkpssmsc7t.vf) = %{tl_version}
Provides: tex(jkpssmsc8t.vf) = %{tl_version}
Provides: tex(jkpssmscsl7c.vf) = %{tl_version}
Provides: tex(jkpssmscsl7t.vf) = %{tl_version}
Provides: tex(jkpssmscsl8t.vf) = %{tl_version}
Provides: tex(jkpssmsl7c.vf) = %{tl_version}
Provides: tex(jkpssmsl7t.vf) = %{tl_version}
Provides: tex(jkpssmsl8t.vf) = %{tl_version}
Provides: tex(jkpssosbn7t.vf) = %{tl_version}
Provides: tex(jkpssosbn8t.vf) = %{tl_version}
Provides: tex(jkpssosbsc7t.vf) = %{tl_version}
Provides: tex(jkpssosbsc8t.vf) = %{tl_version}
Provides: tex(jkpssosbscsl7t.vf) = %{tl_version}
Provides: tex(jkpssosbscsl8t.vf) = %{tl_version}
Provides: tex(jkpssosbsl7t.vf) = %{tl_version}
Provides: tex(jkpssosbsl8t.vf) = %{tl_version}
Provides: tex(jkpssosbxn7t.vf) = %{tl_version}
Provides: tex(jkpssosbxn8t.vf) = %{tl_version}
Provides: tex(jkpssosbxsc7t.vf) = %{tl_version}
Provides: tex(jkpssosbxsc8t.vf) = %{tl_version}
Provides: tex(jkpssosbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpssosbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpssosbxsl7t.vf) = %{tl_version}
Provides: tex(jkpssosbxsl8t.vf) = %{tl_version}
Provides: tex(jkpssosmn7t.vf) = %{tl_version}
Provides: tex(jkpssosmn8t.vf) = %{tl_version}
Provides: tex(jkpssosmsc7t.vf) = %{tl_version}
Provides: tex(jkpssosmsc8t.vf) = %{tl_version}
Provides: tex(jkpssosmscsl7t.vf) = %{tl_version}
Provides: tex(jkpssosmscsl8t.vf) = %{tl_version}
Provides: tex(jkpssosmsl7t.vf) = %{tl_version}
Provides: tex(jkpssosmsl8t.vf) = %{tl_version}
Provides: tex(jkpssosnbn7t.vf) = %{tl_version}
Provides: tex(jkpssosnbn8t.vf) = %{tl_version}
Provides: tex(jkpssosnbsc7t.vf) = %{tl_version}
Provides: tex(jkpssosnbsc8t.vf) = %{tl_version}
Provides: tex(jkpssosnbscsl7t.vf) = %{tl_version}
Provides: tex(jkpssosnbscsl8t.vf) = %{tl_version}
Provides: tex(jkpssosnbsl7t.vf) = %{tl_version}
Provides: tex(jkpssosnbsl8t.vf) = %{tl_version}
Provides: tex(jkpssosnbxn7t.vf) = %{tl_version}
Provides: tex(jkpssosnbxn8t.vf) = %{tl_version}
Provides: tex(jkpssosnbxsc7t.vf) = %{tl_version}
Provides: tex(jkpssosnbxsc8t.vf) = %{tl_version}
Provides: tex(jkpssosnbxscsl7t.vf) = %{tl_version}
Provides: tex(jkpssosnbxscsl8t.vf) = %{tl_version}
Provides: tex(jkpssosnbxsl7t.vf) = %{tl_version}
Provides: tex(jkpssosnbxsl8t.vf) = %{tl_version}
Provides: tex(jkpssosnmn7t.vf) = %{tl_version}
Provides: tex(jkpssosnmn8t.vf) = %{tl_version}
Provides: tex(jkpssosnmsc7t.vf) = %{tl_version}
Provides: tex(jkpssosnmsc8t.vf) = %{tl_version}
Provides: tex(jkpssosnmscsl7t.vf) = %{tl_version}
Provides: tex(jkpssosnmscsl8t.vf) = %{tl_version}
Provides: tex(jkpssosnmsl7t.vf) = %{tl_version}
Provides: tex(jkpssosnmsl8t.vf) = %{tl_version}
Provides: tex(jkpsssyb.vf) = %{tl_version}
Provides: tex(jkpsssybw.vf) = %{tl_version}
Provides: tex(jkpssvosbmi.vf) = %{tl_version}
Provides: tex(jkpssvosbmif.vf) = %{tl_version}
Provides: tex(jkpssvosbn7t.vf) = %{tl_version}
Provides: tex(jkpssvosbn8t.vf) = %{tl_version}
Provides: tex(jkpssvosbsc7t.vf) = %{tl_version}
Provides: tex(jkpssvosbsc8t.vf) = %{tl_version}
Provides: tex(jkpssvosbsl7t.vf) = %{tl_version}
Provides: tex(jkpssvosbsl8t.vf) = %{tl_version}
Provides: tex(jkpssvosbxn7t.vf) = %{tl_version}
Provides: tex(jkpssvosbxn8t.vf) = %{tl_version}
Provides: tex(jkpssvosbxsc7t.vf) = %{tl_version}
Provides: tex(jkpssvosbxsc8t.vf) = %{tl_version}
Provides: tex(jkpssvosbxsl7t.vf) = %{tl_version}
Provides: tex(jkpssvosbxsl8t.vf) = %{tl_version}
Provides: tex(jkpssvosmi.vf) = %{tl_version}
Provides: tex(jkpssvosmif.vf) = %{tl_version}
Provides: tex(jkpssvosmn7t.vf) = %{tl_version}
Provides: tex(jkpssvosmn8t.vf) = %{tl_version}
Provides: tex(jkpssvosmsc7t.vf) = %{tl_version}
Provides: tex(jkpssvosmsc8t.vf) = %{tl_version}
Provides: tex(jkpssvosmsl7t.vf) = %{tl_version}
Provides: tex(jkpssvosmsl8t.vf) = %{tl_version}
Provides: tex(jkpsybw.vf) = %{tl_version}
Provides: tex(jkpsydw.vf) = %{tl_version}
Provides: tex(jkpsyw.vf) = %{tl_version}
Provides: tex(jkpttbn7c.vf) = %{tl_version}
Provides: tex(jkpttbn7t.vf) = %{tl_version}
Provides: tex(jkpttbn8t.vf) = %{tl_version}
Provides: tex(jkpttbsl7c.vf) = %{tl_version}
Provides: tex(jkpttbsl7t.vf) = %{tl_version}
Provides: tex(jkpttbsl8t.vf) = %{tl_version}
Provides: tex(jkpttmn7c.vf) = %{tl_version}
Provides: tex(jkpttmn7t.vf) = %{tl_version}
Provides: tex(jkpttmn8t.vf) = %{tl_version}
Provides: tex(jkpttmsl7c.vf) = %{tl_version}
Provides: tex(jkpttmsl7t.vf) = %{tl_version}
Provides: tex(jkpttmsl8t.vf) = %{tl_version}
Provides: tex(jkpttosbn7t.vf) = %{tl_version}
Provides: tex(jkpttosbn8t.vf) = %{tl_version}
Provides: tex(jkpttosbsl7t.vf) = %{tl_version}
Provides: tex(jkpttosbsl8t.vf) = %{tl_version}
Provides: tex(jkpttosmn7t.vf) = %{tl_version}
Provides: tex(jkpttosmn8t.vf) = %{tl_version}
Provides: tex(jkpttosmsl7t.vf) = %{tl_version}
Provides: tex(jkpttosmsl8t.vf) = %{tl_version}
Provides: tex(jkpttosnbn7t.vf) = %{tl_version}
Provides: tex(jkpttosnbn8t.vf) = %{tl_version}
Provides: tex(jkpttosnbsl7t.vf) = %{tl_version}
Provides: tex(jkpttosnbsl8t.vf) = %{tl_version}
Provides: tex(jkpttosnmn7t.vf) = %{tl_version}
Provides: tex(jkpttosnmn8t.vf) = %{tl_version}
Provides: tex(jkpttosnmsl7t.vf) = %{tl_version}
Provides: tex(jkpttosnmsl8t.vf) = %{tl_version}
Provides: tex(jkpttvosbn7t.vf) = %{tl_version}
Provides: tex(jkpttvosbn8t.vf) = %{tl_version}
Provides: tex(jkpttvosbsl7t.vf) = %{tl_version}
Provides: tex(jkpttvosbsl8t.vf) = %{tl_version}
Provides: tex(jkpttvosmn7t.vf) = %{tl_version}
Provides: tex(jkpttvosmn8t.vf) = %{tl_version}
Provides: tex(jkpttvosmsl7t.vf) = %{tl_version}
Provides: tex(jkpttvosmsl8t.vf) = %{tl_version}
Provides: tex(jkpvosbit7t.vf) = %{tl_version}
Provides: tex(jkpvosbit8t.vf) = %{tl_version}
Provides: tex(jkpvosbmi.vf) = %{tl_version}
Provides: tex(jkpvosbmif.vf) = %{tl_version}
Provides: tex(jkpvosbmifw.vf) = %{tl_version}
Provides: tex(jkpvosbmiw.vf) = %{tl_version}
Provides: tex(jkpvosbn7t.vf) = %{tl_version}
Provides: tex(jkpvosbn8t.vf) = %{tl_version}
Provides: tex(jkpvosbsl7t.vf) = %{tl_version}
Provides: tex(jkpvosbsl8t.vf) = %{tl_version}
Provides: tex(jkpvosbxit7t.vf) = %{tl_version}
Provides: tex(jkpvosbxit8t.vf) = %{tl_version}
Provides: tex(jkpvosbxn7t.vf) = %{tl_version}
Provides: tex(jkpvosbxn8t.vf) = %{tl_version}
Provides: tex(jkpvosbxsl7t.vf) = %{tl_version}
Provides: tex(jkpvosbxsl8t.vf) = %{tl_version}
Provides: tex(jkpvosmi.vf) = %{tl_version}
Provides: tex(jkpvosmif.vf) = %{tl_version}
Provides: tex(jkpvosmifw.vf) = %{tl_version}
Provides: tex(jkpvosmit7t.vf) = %{tl_version}
Provides: tex(jkpvosmit8t.vf) = %{tl_version}
Provides: tex(jkpvosmiw.vf) = %{tl_version}
Provides: tex(jkpvosmn7t.vf) = %{tl_version}
Provides: tex(jkpvosmn8t.vf) = %{tl_version}
Provides: tex(jkpvosmsl7t.vf) = %{tl_version}
Provides: tex(jkpvosmsl8t.vf) = %{tl_version}
Provides: tex(kpfonts.sty) = %{tl_version}
Provides: tex(omljkp.fd) = %{tl_version}
Provides: tex(omljkpl.fd) = %{tl_version}
Provides: tex(omljkplvos.fd) = %{tl_version}
Provides: tex(omljkplvosw.fd) = %{tl_version}
Provides: tex(omljkplw.fd) = %{tl_version}
Provides: tex(omljkpss.fd) = %{tl_version}
Provides: tex(omljkpssvos.fd) = %{tl_version}
Provides: tex(omljkpvos.fd) = %{tl_version}
Provides: tex(omljkpvosw.fd) = %{tl_version}
Provides: tex(omljkpw.fd) = %{tl_version}
Provides: tex(omsjkp.fd) = %{tl_version}
Provides: tex(omsjkpl.fd) = %{tl_version}
Provides: tex(omsjkplw.fd) = %{tl_version}
Provides: tex(omsjkpw.fd) = %{tl_version}
Provides: tex(omxjkp.fd) = %{tl_version}
Provides: tex(omxjkpl.fd) = %{tl_version}
Provides: tex(omxjkpss.fd) = %{tl_version}
Provides: tex(ot1jkp.fd) = %{tl_version}
Provides: tex(ot1jkpf.fd) = %{tl_version}
Provides: tex(ot1jkpfosn.fd) = %{tl_version}
Provides: tex(ot1jkpk.fd) = %{tl_version}
Provides: tex(ot1jkpkf.fd) = %{tl_version}
Provides: tex(ot1jkpkfosn.fd) = %{tl_version}
Provides: tex(ot1jkpkos.fd) = %{tl_version}
Provides: tex(ot1jkpkosn.fd) = %{tl_version}
Provides: tex(ot1jkpkvos.fd) = %{tl_version}
Provides: tex(ot1jkpl.fd) = %{tl_version}
Provides: tex(ot1jkplf.fd) = %{tl_version}
Provides: tex(ot1jkplfosn.fd) = %{tl_version}
Provides: tex(ot1jkplk.fd) = %{tl_version}
Provides: tex(ot1jkplkf.fd) = %{tl_version}
Provides: tex(ot1jkplkfosn.fd) = %{tl_version}
Provides: tex(ot1jkplkos.fd) = %{tl_version}
Provides: tex(ot1jkplkosn.fd) = %{tl_version}
Provides: tex(ot1jkplkvos.fd) = %{tl_version}
Provides: tex(ot1jkplos.fd) = %{tl_version}
Provides: tex(ot1jkplosn.fd) = %{tl_version}
Provides: tex(ot1jkplvos.fd) = %{tl_version}
Provides: tex(ot1jkpos.fd) = %{tl_version}
Provides: tex(ot1jkposn.fd) = %{tl_version}
Provides: tex(ot1jkpss.fd) = %{tl_version}
Provides: tex(ot1jkpssf.fd) = %{tl_version}
Provides: tex(ot1jkpssfosn.fd) = %{tl_version}
Provides: tex(ot1jkpssk.fd) = %{tl_version}
Provides: tex(ot1jkpsskf.fd) = %{tl_version}
Provides: tex(ot1jkpsskfosn.fd) = %{tl_version}
Provides: tex(ot1jkpsskos.fd) = %{tl_version}
Provides: tex(ot1jkpsskosn.fd) = %{tl_version}
Provides: tex(ot1jkpsskvos.fd) = %{tl_version}
Provides: tex(ot1jkpssos.fd) = %{tl_version}
Provides: tex(ot1jkpssosn.fd) = %{tl_version}
Provides: tex(ot1jkpssvos.fd) = %{tl_version}
Provides: tex(ot1jkptt.fd) = %{tl_version}
Provides: tex(ot1jkpttos.fd) = %{tl_version}
Provides: tex(ot1jkpttosn.fd) = %{tl_version}
Provides: tex(ot1jkpttvos.fd) = %{tl_version}
Provides: tex(ot1jkpvos.fd) = %{tl_version}
Provides: tex(ot1jkpx.fd) = %{tl_version}
Provides: tex(ot1jkpxf.fd) = %{tl_version}
Provides: tex(ot1jkpxfosn.fd) = %{tl_version}
Provides: tex(ot1jkpxk.fd) = %{tl_version}
Provides: tex(ot1jkpxkf.fd) = %{tl_version}
Provides: tex(ot1jkpxkfosn.fd) = %{tl_version}
Provides: tex(ot1jkpxkos.fd) = %{tl_version}
Provides: tex(ot1jkpxkosn.fd) = %{tl_version}
Provides: tex(ot1jkpxkvos.fd) = %{tl_version}
Provides: tex(ot1jkpxos.fd) = %{tl_version}
Provides: tex(ot1jkpxosn.fd) = %{tl_version}
Provides: tex(ot1jkpxvos.fd) = %{tl_version}
Provides: tex(t1jkp.fd) = %{tl_version}
Provides: tex(t1jkpf.fd) = %{tl_version}
Provides: tex(t1jkpfosn.fd) = %{tl_version}
Provides: tex(t1jkpk.fd) = %{tl_version}
Provides: tex(t1jkpkf.fd) = %{tl_version}
Provides: tex(t1jkpkfosn.fd) = %{tl_version}
Provides: tex(t1jkpkos.fd) = %{tl_version}
Provides: tex(t1jkpkosn.fd) = %{tl_version}
Provides: tex(t1jkpkvos.fd) = %{tl_version}
Provides: tex(t1jkpl.fd) = %{tl_version}
Provides: tex(t1jkplf.fd) = %{tl_version}
Provides: tex(t1jkplfosn.fd) = %{tl_version}
Provides: tex(t1jkplk.fd) = %{tl_version}
Provides: tex(t1jkplkf.fd) = %{tl_version}
Provides: tex(t1jkplkfosn.fd) = %{tl_version}
Provides: tex(t1jkplkos.fd) = %{tl_version}
Provides: tex(t1jkplkosn.fd) = %{tl_version}
Provides: tex(t1jkplkvos.fd) = %{tl_version}
Provides: tex(t1jkplos.fd) = %{tl_version}
Provides: tex(t1jkplosn.fd) = %{tl_version}
Provides: tex(t1jkplvos.fd) = %{tl_version}
Provides: tex(t1jkpos.fd) = %{tl_version}
Provides: tex(t1jkposn.fd) = %{tl_version}
Provides: tex(t1jkpss.fd) = %{tl_version}
Provides: tex(t1jkpssf.fd) = %{tl_version}
Provides: tex(t1jkpssfosn.fd) = %{tl_version}
Provides: tex(t1jkpssk.fd) = %{tl_version}
Provides: tex(t1jkpsskf.fd) = %{tl_version}
Provides: tex(t1jkpsskfosn.fd) = %{tl_version}
Provides: tex(t1jkpsskos.fd) = %{tl_version}
Provides: tex(t1jkpsskosn.fd) = %{tl_version}
Provides: tex(t1jkpsskvos.fd) = %{tl_version}
Provides: tex(t1jkpssos.fd) = %{tl_version}
Provides: tex(t1jkpssosn.fd) = %{tl_version}
Provides: tex(t1jkpssvos.fd) = %{tl_version}
Provides: tex(t1jkptt.fd) = %{tl_version}
Provides: tex(t1jkpttos.fd) = %{tl_version}
Provides: tex(t1jkpttosn.fd) = %{tl_version}
Provides: tex(t1jkpttvos.fd) = %{tl_version}
Provides: tex(t1jkpvos.fd) = %{tl_version}
Provides: tex(t1jkpx.fd) = %{tl_version}
Provides: tex(t1jkpxf.fd) = %{tl_version}
Provides: tex(t1jkpxfosn.fd) = %{tl_version}
Provides: tex(t1jkpxk.fd) = %{tl_version}
Provides: tex(t1jkpxkf.fd) = %{tl_version}
Provides: tex(t1jkpxkfosn.fd) = %{tl_version}
Provides: tex(t1jkpxkos.fd) = %{tl_version}
Provides: tex(t1jkpxkosn.fd) = %{tl_version}
Provides: tex(t1jkpxkvos.fd) = %{tl_version}
Provides: tex(t1jkpxos.fd) = %{tl_version}
Provides: tex(t1jkpxosn.fd) = %{tl_version}
Provides: tex(t1jkpxvos.fd) = %{tl_version}
Provides: tex(ts1jkp.fd) = %{tl_version}
Provides: tex(ts1jkpf.fd) = %{tl_version}
Provides: tex(ts1jkpfosn.fd) = %{tl_version}
Provides: tex(ts1jkpk.fd) = %{tl_version}
Provides: tex(ts1jkpkf.fd) = %{tl_version}
Provides: tex(ts1jkpkfosn.fd) = %{tl_version}
Provides: tex(ts1jkpkos.fd) = %{tl_version}
Provides: tex(ts1jkpkosn.fd) = %{tl_version}
Provides: tex(ts1jkpkvos.fd) = %{tl_version}
Provides: tex(ts1jkpl.fd) = %{tl_version}
Provides: tex(ts1jkplf.fd) = %{tl_version}
Provides: tex(ts1jkplfosn.fd) = %{tl_version}
Provides: tex(ts1jkplk.fd) = %{tl_version}
Provides: tex(ts1jkplkf.fd) = %{tl_version}
Provides: tex(ts1jkplkfosn.fd) = %{tl_version}
Provides: tex(ts1jkplkos.fd) = %{tl_version}
Provides: tex(ts1jkplkosn.fd) = %{tl_version}
Provides: tex(ts1jkplkvos.fd) = %{tl_version}
Provides: tex(ts1jkplos.fd) = %{tl_version}
Provides: tex(ts1jkplosn.fd) = %{tl_version}
Provides: tex(ts1jkplvos.fd) = %{tl_version}
Provides: tex(ts1jkpos.fd) = %{tl_version}
Provides: tex(ts1jkposn.fd) = %{tl_version}
Provides: tex(ts1jkpss.fd) = %{tl_version}
Provides: tex(ts1jkpssf.fd) = %{tl_version}
Provides: tex(ts1jkpssfosn.fd) = %{tl_version}
Provides: tex(ts1jkpssk.fd) = %{tl_version}
Provides: tex(ts1jkpsskf.fd) = %{tl_version}
Provides: tex(ts1jkpsskfosn.fd) = %{tl_version}
Provides: tex(ts1jkpsskos.fd) = %{tl_version}
Provides: tex(ts1jkpsskosn.fd) = %{tl_version}
Provides: tex(ts1jkpsskvos.fd) = %{tl_version}
Provides: tex(ts1jkpssos.fd) = %{tl_version}
Provides: tex(ts1jkpssosn.fd) = %{tl_version}
Provides: tex(ts1jkpssvos.fd) = %{tl_version}
Provides: tex(ts1jkptt.fd) = %{tl_version}
Provides: tex(ts1jkpttos.fd) = %{tl_version}
Provides: tex(ts1jkpttosn.fd) = %{tl_version}
Provides: tex(ts1jkpttvos.fd) = %{tl_version}
Provides: tex(ts1jkpvos.fd) = %{tl_version}
Provides: tex(ts1jkpx.fd) = %{tl_version}
Provides: tex(ts1jkpxf.fd) = %{tl_version}
Provides: tex(ts1jkpxfosn.fd) = %{tl_version}
Provides: tex(ts1jkpxk.fd) = %{tl_version}
Provides: tex(ts1jkpxkf.fd) = %{tl_version}
Provides: tex(ts1jkpxkfosn.fd) = %{tl_version}
Provides: tex(ts1jkpxkos.fd) = %{tl_version}
Provides: tex(ts1jkpxkosn.fd) = %{tl_version}
Provides: tex(ts1jkpxkvos.fd) = %{tl_version}
Provides: tex(ts1jkpxos.fd) = %{tl_version}
Provides: tex(ts1jkpxosn.fd) = %{tl_version}
Provides: tex(ts1jkpxvos.fd) = %{tl_version}
Provides: tex(ujkpexa.fd) = %{tl_version}
Provides: tex(ujkplexa.fd) = %{tl_version}
Provides: tex(ujkplmia.fd) = %{tl_version}
Provides: tex(ujkplmiaw.fd) = %{tl_version}
Provides: tex(ujkplsyb.fd) = %{tl_version}
Provides: tex(ujkplsybw.fd) = %{tl_version}
Provides: tex(ujkplsyc.fd) = %{tl_version}
Provides: tex(ujkplsyd.fd) = %{tl_version}
Provides: tex(ujkplsydw.fd) = %{tl_version}
Provides: tex(ujkpmia.fd) = %{tl_version}
Provides: tex(ujkpmiaw.fd) = %{tl_version}
Provides: tex(ujkpsslsyb.fd) = %{tl_version}
Provides: tex(ujkpsslsybw.fd) = %{tl_version}
Provides: tex(ujkpssmia.fd) = %{tl_version}
Provides: tex(ujkpsssyb.fd) = %{tl_version}
Provides: tex(ujkpsssybw.fd) = %{tl_version}
Provides: tex(ujkpsya.fd) = %{tl_version}
Provides: tex(ujkpsyb.fd) = %{tl_version}
Provides: tex(ujkpsybw.fd) = %{tl_version}
Provides: tex(ujkpsyc.fd) = %{tl_version}
Provides: tex(ujkpsyd.fd) = %{tl_version}
Provides: tex(ujkpsydw.fd) = %{tl_version}

%description kpfonts
The family contains text fonts in roman, sans-serif and
monospaced shapes, with true small caps and old-style numbers;
the package offers full support of the textcomp package. The
mathematics fonts include all the AMS fonts, in both normal and
bold weights. Each of the font types is available in two main
versions: default and 'light'. Each version is available in
four variants: default; oldstyle numbers; oldstyle numbers with
old ligatures such as ct and st, and long-tailed capital Q; and
veryoldstyle with long s. Other variants include small caps as
default or 'large small caps', and for mathematics both upright
and slanted shapes for Greek letters, as well as default and
narrow versions of multiple integrals. The fonts were
originally derived from URW Palladio (with URW's agreement)
though the fonts are very clearly different in appearance from
their parent.

%package kpfonts-doc
Summary: Documentation for kpfonts
Version: svn29803.3.31

Provides: tex-kpfonts-doc
AutoReqProv: No

%description kpfonts-doc
Documentation for kpfonts

%package kurier
Provides: tex-kurier = %{tl_version}
License: GFSL
Summary: A two-element sans-serif typeface
Version: svn19612.0.995b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(cs-kurier-sc.enc) = %{tl_version}
Provides: tex(cs-kurier.enc) = %{tl_version}
Provides: tex(ec-kurier-sc.enc) = %{tl_version}
Provides: tex(ec-kurier.enc) = %{tl_version}
Provides: tex(ex-kurier.enc) = %{tl_version}
Provides: tex(greek-kurier.enc) = %{tl_version}
Provides: tex(l7x-kurier-sc.enc) = %{tl_version}
Provides: tex(l7x-kurier.enc) = %{tl_version}
Provides: tex(mi-kurier.enc) = %{tl_version}
Provides: tex(qx-kurier-sc.enc) = %{tl_version}
Provides: tex(qx-kurier.enc) = %{tl_version}
Provides: tex(rm-kurier-sc.enc) = %{tl_version}
Provides: tex(rm-kurier.enc) = %{tl_version}
Provides: tex(sy-kurier.enc) = %{tl_version}
Provides: tex(t2a-kurier.enc) = %{tl_version}
Provides: tex(t2b-kurier.enc) = %{tl_version}
Provides: tex(t2c-kurier.enc) = %{tl_version}
Provides: tex(t5-kurier-sc.enc) = %{tl_version}
Provides: tex(t5-kurier.enc) = %{tl_version}
Provides: tex(texnansi-kurier-sc.enc) = %{tl_version}
Provides: tex(texnansi-kurier.enc) = %{tl_version}
Provides: tex(ts1-kurier.enc) = %{tl_version}
Provides: tex(wncy-kurier.enc) = %{tl_version}
Provides: tex(kurier-cs.map) = %{tl_version}
Provides: tex(kurier-ec.map) = %{tl_version}
Provides: tex(kurier-ex.map) = %{tl_version}
Provides: tex(kurier-greek.map) = %{tl_version}
Provides: tex(kurier-l7x.map) = %{tl_version}
Provides: tex(kurier-mi.map) = %{tl_version}
Provides: tex(kurier-qx.map) = %{tl_version}
Provides: tex(kurier-rm.map) = %{tl_version}
Provides: tex(kurier-sy.map) = %{tl_version}
Provides: tex(kurier-t2a.map) = %{tl_version}
Provides: tex(kurier-t2b.map) = %{tl_version}
Provides: tex(kurier-t2c.map) = %{tl_version}
Provides: tex(kurier-t5.map) = %{tl_version}
Provides: tex(kurier-texnansi.map) = %{tl_version}
Provides: tex(kurier-ts1.map) = %{tl_version}
Provides: tex(kurier-wncy.map) = %{tl_version}
Provides: tex(kurier.map) = %{tl_version}
Provides: tex(Kurier-Bold.otf) = %{tl_version}
Provides: tex(Kurier-BoldItalic.otf) = %{tl_version}
Provides: tex(Kurier-Italic.otf) = %{tl_version}
Provides: tex(Kurier-Regular.otf) = %{tl_version}
Provides: tex(KurierCond-Bold.otf) = %{tl_version}
Provides: tex(KurierCond-BoldItalic.otf) = %{tl_version}
Provides: tex(KurierCond-Italic.otf) = %{tl_version}
Provides: tex(KurierCond-Regular.otf) = %{tl_version}
Provides: tex(KurierCondHeavy-Italic.otf) = %{tl_version}
Provides: tex(KurierCondHeavy-Regular.otf) = %{tl_version}
Provides: tex(KurierCondLight-Italic.otf) = %{tl_version}
Provides: tex(KurierCondLight-Regular.otf) = %{tl_version}
Provides: tex(KurierCondMedium-Italic.otf) = %{tl_version}
Provides: tex(KurierCondMedium-Regular.otf) = %{tl_version}
Provides: tex(KurierHeavy-Italic.otf) = %{tl_version}
Provides: tex(KurierHeavy-Regular.otf) = %{tl_version}
Provides: tex(KurierLight-Italic.otf) = %{tl_version}
Provides: tex(KurierLight-Regular.otf) = %{tl_version}
Provides: tex(KurierMedium-Italic.otf) = %{tl_version}
Provides: tex(KurierMedium-Regular.otf) = %{tl_version}
Provides: tex(cs-kurierb-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierb.tfm) = %{tl_version}
Provides: tex(cs-kurierbi-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierbi.tfm) = %{tl_version}
Provides: tex(cs-kuriercb-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercb.tfm) = %{tl_version}
Provides: tex(cs-kuriercbi-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercbi.tfm) = %{tl_version}
Provides: tex(cs-kurierch-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierch.tfm) = %{tl_version}
Provides: tex(cs-kurierchi-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierchi.tfm) = %{tl_version}
Provides: tex(cs-kuriercl-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercl.tfm) = %{tl_version}
Provides: tex(cs-kuriercli-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercli.tfm) = %{tl_version}
Provides: tex(cs-kuriercm-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercm.tfm) = %{tl_version}
Provides: tex(cs-kuriercmi-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercmi.tfm) = %{tl_version}
Provides: tex(cs-kuriercr-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercr.tfm) = %{tl_version}
Provides: tex(cs-kuriercri-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriercri.tfm) = %{tl_version}
Provides: tex(cs-kurierh-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierh.tfm) = %{tl_version}
Provides: tex(cs-kurierhi-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierhi.tfm) = %{tl_version}
Provides: tex(cs-kurierl-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierl.tfm) = %{tl_version}
Provides: tex(cs-kurierli-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierli.tfm) = %{tl_version}
Provides: tex(cs-kurierm-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierm.tfm) = %{tl_version}
Provides: tex(cs-kuriermi-sc.tfm) = %{tl_version}
Provides: tex(cs-kuriermi.tfm) = %{tl_version}
Provides: tex(cs-kurierr-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierr.tfm) = %{tl_version}
Provides: tex(cs-kurierri-sc.tfm) = %{tl_version}
Provides: tex(cs-kurierri.tfm) = %{tl_version}
Provides: tex(ec-kurierb-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierb.tfm) = %{tl_version}
Provides: tex(ec-kurierbi-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierbi.tfm) = %{tl_version}
Provides: tex(ec-kuriercb-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercb.tfm) = %{tl_version}
Provides: tex(ec-kuriercbi-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercbi.tfm) = %{tl_version}
Provides: tex(ec-kurierch-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierch.tfm) = %{tl_version}
Provides: tex(ec-kurierchi-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierchi.tfm) = %{tl_version}
Provides: tex(ec-kuriercl-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercl.tfm) = %{tl_version}
Provides: tex(ec-kuriercli-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercli.tfm) = %{tl_version}
Provides: tex(ec-kuriercm-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercm.tfm) = %{tl_version}
Provides: tex(ec-kuriercmi-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercmi.tfm) = %{tl_version}
Provides: tex(ec-kuriercr-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercr.tfm) = %{tl_version}
Provides: tex(ec-kuriercri-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriercri.tfm) = %{tl_version}
Provides: tex(ec-kurierh-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierh.tfm) = %{tl_version}
Provides: tex(ec-kurierhi-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierhi.tfm) = %{tl_version}
Provides: tex(ec-kurierl-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierl.tfm) = %{tl_version}
Provides: tex(ec-kurierli-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierli.tfm) = %{tl_version}
Provides: tex(ec-kurierm-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierm.tfm) = %{tl_version}
Provides: tex(ec-kuriermi-sc.tfm) = %{tl_version}
Provides: tex(ec-kuriermi.tfm) = %{tl_version}
Provides: tex(ec-kurierr-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierr.tfm) = %{tl_version}
Provides: tex(ec-kurierri-sc.tfm) = %{tl_version}
Provides: tex(ec-kurierri.tfm) = %{tl_version}
Provides: tex(ex-kurierb.tfm) = %{tl_version}
Provides: tex(ex-kuriercb.tfm) = %{tl_version}
Provides: tex(ex-kurierch.tfm) = %{tl_version}
Provides: tex(ex-kuriercl.tfm) = %{tl_version}
Provides: tex(ex-kuriercm.tfm) = %{tl_version}
Provides: tex(ex-kuriercr.tfm) = %{tl_version}
Provides: tex(ex-kurierh.tfm) = %{tl_version}
Provides: tex(ex-kurierl.tfm) = %{tl_version}
Provides: tex(ex-kurierm.tfm) = %{tl_version}
Provides: tex(ex-kurierr.tfm) = %{tl_version}
Provides: tex(greek-kurierb.tfm) = %{tl_version}
Provides: tex(greek-kurierbi.tfm) = %{tl_version}
Provides: tex(greek-kuriercb.tfm) = %{tl_version}
Provides: tex(greek-kuriercbi.tfm) = %{tl_version}
Provides: tex(greek-kurierch.tfm) = %{tl_version}
Provides: tex(greek-kurierchi.tfm) = %{tl_version}
Provides: tex(greek-kuriercl.tfm) = %{tl_version}
Provides: tex(greek-kuriercli.tfm) = %{tl_version}
Provides: tex(greek-kuriercm.tfm) = %{tl_version}
Provides: tex(greek-kuriercmi.tfm) = %{tl_version}
Provides: tex(greek-kuriercr.tfm) = %{tl_version}
Provides: tex(greek-kuriercri.tfm) = %{tl_version}
Provides: tex(greek-kurierh.tfm) = %{tl_version}
Provides: tex(greek-kurierhi.tfm) = %{tl_version}
Provides: tex(greek-kurierl.tfm) = %{tl_version}
Provides: tex(greek-kurierli.tfm) = %{tl_version}
Provides: tex(greek-kurierm.tfm) = %{tl_version}
Provides: tex(greek-kuriermi.tfm) = %{tl_version}
Provides: tex(greek-kurierr.tfm) = %{tl_version}
Provides: tex(greek-kurierri.tfm) = %{tl_version}
Provides: tex(l7x-kurierb-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierb.tfm) = %{tl_version}
Provides: tex(l7x-kurierbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierbi.tfm) = %{tl_version}
Provides: tex(l7x-kuriercb-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercb.tfm) = %{tl_version}
Provides: tex(l7x-kuriercbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercbi.tfm) = %{tl_version}
Provides: tex(l7x-kurierch-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierch.tfm) = %{tl_version}
Provides: tex(l7x-kurierchi-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierchi.tfm) = %{tl_version}
Provides: tex(l7x-kuriercl-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercl.tfm) = %{tl_version}
Provides: tex(l7x-kuriercli-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercli.tfm) = %{tl_version}
Provides: tex(l7x-kuriercm-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercm.tfm) = %{tl_version}
Provides: tex(l7x-kuriercmi-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercmi.tfm) = %{tl_version}
Provides: tex(l7x-kuriercr-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercr.tfm) = %{tl_version}
Provides: tex(l7x-kuriercri-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriercri.tfm) = %{tl_version}
Provides: tex(l7x-kurierh-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierh.tfm) = %{tl_version}
Provides: tex(l7x-kurierhi-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierhi.tfm) = %{tl_version}
Provides: tex(l7x-kurierl-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierl.tfm) = %{tl_version}
Provides: tex(l7x-kurierli-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierli.tfm) = %{tl_version}
Provides: tex(l7x-kurierm-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierm.tfm) = %{tl_version}
Provides: tex(l7x-kuriermi-sc.tfm) = %{tl_version}
Provides: tex(l7x-kuriermi.tfm) = %{tl_version}
Provides: tex(l7x-kurierr-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierr.tfm) = %{tl_version}
Provides: tex(l7x-kurierri-sc.tfm) = %{tl_version}
Provides: tex(l7x-kurierri.tfm) = %{tl_version}
Provides: tex(mi-kurierbi.tfm) = %{tl_version}
Provides: tex(mi-kuriercbi.tfm) = %{tl_version}
Provides: tex(mi-kurierchi.tfm) = %{tl_version}
Provides: tex(mi-kuriercli.tfm) = %{tl_version}
Provides: tex(mi-kuriercmi.tfm) = %{tl_version}
Provides: tex(mi-kuriercri.tfm) = %{tl_version}
Provides: tex(mi-kurierhi.tfm) = %{tl_version}
Provides: tex(mi-kurierli.tfm) = %{tl_version}
Provides: tex(mi-kuriermi.tfm) = %{tl_version}
Provides: tex(mi-kurierri.tfm) = %{tl_version}
Provides: tex(qx-kurierb-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierb.tfm) = %{tl_version}
Provides: tex(qx-kurierbi-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierbi.tfm) = %{tl_version}
Provides: tex(qx-kuriercb-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercb.tfm) = %{tl_version}
Provides: tex(qx-kuriercbi-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercbi.tfm) = %{tl_version}
Provides: tex(qx-kurierch-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierch.tfm) = %{tl_version}
Provides: tex(qx-kurierchi-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierchi.tfm) = %{tl_version}
Provides: tex(qx-kuriercl-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercl.tfm) = %{tl_version}
Provides: tex(qx-kuriercli-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercli.tfm) = %{tl_version}
Provides: tex(qx-kuriercm-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercm.tfm) = %{tl_version}
Provides: tex(qx-kuriercmi-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercmi.tfm) = %{tl_version}
Provides: tex(qx-kuriercr-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercr.tfm) = %{tl_version}
Provides: tex(qx-kuriercri-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriercri.tfm) = %{tl_version}
Provides: tex(qx-kurierh-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierh.tfm) = %{tl_version}
Provides: tex(qx-kurierhi-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierhi.tfm) = %{tl_version}
Provides: tex(qx-kurierl-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierl.tfm) = %{tl_version}
Provides: tex(qx-kurierli-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierli.tfm) = %{tl_version}
Provides: tex(qx-kurierm-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierm.tfm) = %{tl_version}
Provides: tex(qx-kuriermi-sc.tfm) = %{tl_version}
Provides: tex(qx-kuriermi.tfm) = %{tl_version}
Provides: tex(qx-kurierr-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierr.tfm) = %{tl_version}
Provides: tex(qx-kurierri-sc.tfm) = %{tl_version}
Provides: tex(qx-kurierri.tfm) = %{tl_version}
Provides: tex(rm-kurierb-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierb.tfm) = %{tl_version}
Provides: tex(rm-kurierbi-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierbi.tfm) = %{tl_version}
Provides: tex(rm-kuriercb-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercb.tfm) = %{tl_version}
Provides: tex(rm-kuriercbi-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercbi.tfm) = %{tl_version}
Provides: tex(rm-kurierch-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierch.tfm) = %{tl_version}
Provides: tex(rm-kurierchi-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierchi.tfm) = %{tl_version}
Provides: tex(rm-kuriercl-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercl.tfm) = %{tl_version}
Provides: tex(rm-kuriercli-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercli.tfm) = %{tl_version}
Provides: tex(rm-kuriercm-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercm.tfm) = %{tl_version}
Provides: tex(rm-kuriercmi-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercmi.tfm) = %{tl_version}
Provides: tex(rm-kuriercr-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercr.tfm) = %{tl_version}
Provides: tex(rm-kuriercri-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriercri.tfm) = %{tl_version}
Provides: tex(rm-kurierh-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierh.tfm) = %{tl_version}
Provides: tex(rm-kurierhi-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierhi.tfm) = %{tl_version}
Provides: tex(rm-kurierl-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierl.tfm) = %{tl_version}
Provides: tex(rm-kurierli-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierli.tfm) = %{tl_version}
Provides: tex(rm-kurierm-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierm.tfm) = %{tl_version}
Provides: tex(rm-kuriermi-sc.tfm) = %{tl_version}
Provides: tex(rm-kuriermi.tfm) = %{tl_version}
Provides: tex(rm-kurierr-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierr.tfm) = %{tl_version}
Provides: tex(rm-kurierri-sc.tfm) = %{tl_version}
Provides: tex(rm-kurierri.tfm) = %{tl_version}
Provides: tex(sy-kurierbz.tfm) = %{tl_version}
Provides: tex(sy-kuriercbz.tfm) = %{tl_version}
Provides: tex(sy-kurierchz.tfm) = %{tl_version}
Provides: tex(sy-kurierclz.tfm) = %{tl_version}
Provides: tex(sy-kuriercmz.tfm) = %{tl_version}
Provides: tex(sy-kuriercrz.tfm) = %{tl_version}
Provides: tex(sy-kurierhz.tfm) = %{tl_version}
Provides: tex(sy-kurierlz.tfm) = %{tl_version}
Provides: tex(sy-kuriermz.tfm) = %{tl_version}
Provides: tex(sy-kurierrz.tfm) = %{tl_version}
Provides: tex(t2a-kurierb.tfm) = %{tl_version}
Provides: tex(t2a-kurierbi.tfm) = %{tl_version}
Provides: tex(t2a-kuriercb.tfm) = %{tl_version}
Provides: tex(t2a-kuriercbi.tfm) = %{tl_version}
Provides: tex(t2a-kurierch.tfm) = %{tl_version}
Provides: tex(t2a-kurierchi.tfm) = %{tl_version}
Provides: tex(t2a-kuriercl.tfm) = %{tl_version}
Provides: tex(t2a-kuriercli.tfm) = %{tl_version}
Provides: tex(t2a-kuriercm.tfm) = %{tl_version}
Provides: tex(t2a-kuriercmi.tfm) = %{tl_version}
Provides: tex(t2a-kuriercr.tfm) = %{tl_version}
Provides: tex(t2a-kuriercri.tfm) = %{tl_version}
Provides: tex(t2a-kurierh.tfm) = %{tl_version}
Provides: tex(t2a-kurierhi.tfm) = %{tl_version}
Provides: tex(t2a-kurierl.tfm) = %{tl_version}
Provides: tex(t2a-kurierli.tfm) = %{tl_version}
Provides: tex(t2a-kurierm.tfm) = %{tl_version}
Provides: tex(t2a-kuriermi.tfm) = %{tl_version}
Provides: tex(t2a-kurierr.tfm) = %{tl_version}
Provides: tex(t2a-kurierri.tfm) = %{tl_version}
Provides: tex(t2b-kurierb.tfm) = %{tl_version}
Provides: tex(t2b-kurierbi.tfm) = %{tl_version}
Provides: tex(t2b-kuriercb.tfm) = %{tl_version}
Provides: tex(t2b-kuriercbi.tfm) = %{tl_version}
Provides: tex(t2b-kurierch.tfm) = %{tl_version}
Provides: tex(t2b-kurierchi.tfm) = %{tl_version}
Provides: tex(t2b-kuriercl.tfm) = %{tl_version}
Provides: tex(t2b-kuriercli.tfm) = %{tl_version}
Provides: tex(t2b-kuriercm.tfm) = %{tl_version}
Provides: tex(t2b-kuriercmi.tfm) = %{tl_version}
Provides: tex(t2b-kuriercr.tfm) = %{tl_version}
Provides: tex(t2b-kuriercri.tfm) = %{tl_version}
Provides: tex(t2b-kurierh.tfm) = %{tl_version}
Provides: tex(t2b-kurierhi.tfm) = %{tl_version}
Provides: tex(t2b-kurierl.tfm) = %{tl_version}
Provides: tex(t2b-kurierli.tfm) = %{tl_version}
Provides: tex(t2b-kurierm.tfm) = %{tl_version}
Provides: tex(t2b-kuriermi.tfm) = %{tl_version}
Provides: tex(t2b-kurierr.tfm) = %{tl_version}
Provides: tex(t2b-kurierri.tfm) = %{tl_version}
Provides: tex(t2c-kurierb.tfm) = %{tl_version}
Provides: tex(t2c-kurierbi.tfm) = %{tl_version}
Provides: tex(t2c-kuriercb.tfm) = %{tl_version}
Provides: tex(t2c-kuriercbi.tfm) = %{tl_version}
Provides: tex(t2c-kurierch.tfm) = %{tl_version}
Provides: tex(t2c-kurierchi.tfm) = %{tl_version}
Provides: tex(t2c-kuriercl.tfm) = %{tl_version}
Provides: tex(t2c-kuriercli.tfm) = %{tl_version}
Provides: tex(t2c-kuriercm.tfm) = %{tl_version}
Provides: tex(t2c-kuriercmi.tfm) = %{tl_version}
Provides: tex(t2c-kuriercr.tfm) = %{tl_version}
Provides: tex(t2c-kuriercri.tfm) = %{tl_version}
Provides: tex(t2c-kurierh.tfm) = %{tl_version}
Provides: tex(t2c-kurierhi.tfm) = %{tl_version}
Provides: tex(t2c-kurierl.tfm) = %{tl_version}
Provides: tex(t2c-kurierli.tfm) = %{tl_version}
Provides: tex(t2c-kurierm.tfm) = %{tl_version}
Provides: tex(t2c-kuriermi.tfm) = %{tl_version}
Provides: tex(t2c-kurierr.tfm) = %{tl_version}
Provides: tex(t2c-kurierri.tfm) = %{tl_version}
Provides: tex(t5-kurierb-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierb.tfm) = %{tl_version}
Provides: tex(t5-kurierbi-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierbi.tfm) = %{tl_version}
Provides: tex(t5-kuriercb-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercb.tfm) = %{tl_version}
Provides: tex(t5-kuriercbi-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercbi.tfm) = %{tl_version}
Provides: tex(t5-kurierch-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierch.tfm) = %{tl_version}
Provides: tex(t5-kurierchi-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierchi.tfm) = %{tl_version}
Provides: tex(t5-kuriercl-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercl.tfm) = %{tl_version}
Provides: tex(t5-kuriercli-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercli.tfm) = %{tl_version}
Provides: tex(t5-kuriercm-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercm.tfm) = %{tl_version}
Provides: tex(t5-kuriercmi-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercmi.tfm) = %{tl_version}
Provides: tex(t5-kuriercr-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercr.tfm) = %{tl_version}
Provides: tex(t5-kuriercri-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriercri.tfm) = %{tl_version}
Provides: tex(t5-kurierh-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierh.tfm) = %{tl_version}
Provides: tex(t5-kurierhi-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierhi.tfm) = %{tl_version}
Provides: tex(t5-kurierl-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierl.tfm) = %{tl_version}
Provides: tex(t5-kurierli-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierli.tfm) = %{tl_version}
Provides: tex(t5-kurierm-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierm.tfm) = %{tl_version}
Provides: tex(t5-kuriermi-sc.tfm) = %{tl_version}
Provides: tex(t5-kuriermi.tfm) = %{tl_version}
Provides: tex(t5-kurierr-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierr.tfm) = %{tl_version}
Provides: tex(t5-kurierri-sc.tfm) = %{tl_version}
Provides: tex(t5-kurierri.tfm) = %{tl_version}
Provides: tex(texnansi-kurierb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierb.tfm) = %{tl_version}
Provides: tex(texnansi-kurierbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierbi.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercb.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercbi.tfm) = %{tl_version}
Provides: tex(texnansi-kurierch-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierch.tfm) = %{tl_version}
Provides: tex(texnansi-kurierchi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierchi.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercl-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercl.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercli-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercli.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercm-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercm.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercmi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercmi.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercr.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriercri.tfm) = %{tl_version}
Provides: tex(texnansi-kurierh-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierh.tfm) = %{tl_version}
Provides: tex(texnansi-kurierhi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierhi.tfm) = %{tl_version}
Provides: tex(texnansi-kurierl-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierl.tfm) = %{tl_version}
Provides: tex(texnansi-kurierli-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierli.tfm) = %{tl_version}
Provides: tex(texnansi-kurierm-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierm.tfm) = %{tl_version}
Provides: tex(texnansi-kuriermi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kuriermi.tfm) = %{tl_version}
Provides: tex(texnansi-kurierr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierr.tfm) = %{tl_version}
Provides: tex(texnansi-kurierri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-kurierri.tfm) = %{tl_version}
Provides: tex(ts1-kurierb.tfm) = %{tl_version}
Provides: tex(ts1-kurierbi.tfm) = %{tl_version}
Provides: tex(ts1-kuriercb.tfm) = %{tl_version}
Provides: tex(ts1-kuriercbi.tfm) = %{tl_version}
Provides: tex(ts1-kurierch.tfm) = %{tl_version}
Provides: tex(ts1-kurierchi.tfm) = %{tl_version}
Provides: tex(ts1-kuriercl.tfm) = %{tl_version}
Provides: tex(ts1-kuriercli.tfm) = %{tl_version}
Provides: tex(ts1-kuriercm.tfm) = %{tl_version}
Provides: tex(ts1-kuriercmi.tfm) = %{tl_version}
Provides: tex(ts1-kuriercr.tfm) = %{tl_version}
Provides: tex(ts1-kuriercri.tfm) = %{tl_version}
Provides: tex(ts1-kurierh.tfm) = %{tl_version}
Provides: tex(ts1-kurierhi.tfm) = %{tl_version}
Provides: tex(ts1-kurierl.tfm) = %{tl_version}
Provides: tex(ts1-kurierli.tfm) = %{tl_version}
Provides: tex(ts1-kurierm.tfm) = %{tl_version}
Provides: tex(ts1-kuriermi.tfm) = %{tl_version}
Provides: tex(ts1-kurierr.tfm) = %{tl_version}
Provides: tex(ts1-kurierri.tfm) = %{tl_version}
Provides: tex(wncy-kurierb.tfm) = %{tl_version}
Provides: tex(wncy-kurierbi.tfm) = %{tl_version}
Provides: tex(wncy-kuriercb.tfm) = %{tl_version}
Provides: tex(wncy-kuriercbi.tfm) = %{tl_version}
Provides: tex(wncy-kurierch.tfm) = %{tl_version}
Provides: tex(wncy-kurierchi.tfm) = %{tl_version}
Provides: tex(wncy-kuriercl.tfm) = %{tl_version}
Provides: tex(wncy-kuriercli.tfm) = %{tl_version}
Provides: tex(wncy-kuriercm.tfm) = %{tl_version}
Provides: tex(wncy-kuriercmi.tfm) = %{tl_version}
Provides: tex(wncy-kuriercr.tfm) = %{tl_version}
Provides: tex(wncy-kuriercri.tfm) = %{tl_version}
Provides: tex(wncy-kurierh.tfm) = %{tl_version}
Provides: tex(wncy-kurierhi.tfm) = %{tl_version}
Provides: tex(wncy-kurierl.tfm) = %{tl_version}
Provides: tex(wncy-kurierli.tfm) = %{tl_version}
Provides: tex(wncy-kurierm.tfm) = %{tl_version}
Provides: tex(wncy-kuriermi.tfm) = %{tl_version}
Provides: tex(wncy-kurierr.tfm) = %{tl_version}
Provides: tex(wncy-kurierri.tfm) = %{tl_version}
Provides: tex(kurierb.pfb) = %{tl_version}
Provides: tex(kurierbi.pfb) = %{tl_version}
Provides: tex(kuriercb.pfb) = %{tl_version}
Provides: tex(kuriercbi.pfb) = %{tl_version}
Provides: tex(kurierch.pfb) = %{tl_version}
Provides: tex(kurierchi.pfb) = %{tl_version}
Provides: tex(kuriercl.pfb) = %{tl_version}
Provides: tex(kuriercli.pfb) = %{tl_version}
Provides: tex(kuriercm.pfb) = %{tl_version}
Provides: tex(kuriercmi.pfb) = %{tl_version}
Provides: tex(kuriercr.pfb) = %{tl_version}
Provides: tex(kuriercri.pfb) = %{tl_version}
Provides: tex(kurierh.pfb) = %{tl_version}
Provides: tex(kurierhi.pfb) = %{tl_version}
Provides: tex(kurierl.pfb) = %{tl_version}
Provides: tex(kurierli.pfb) = %{tl_version}
Provides: tex(kurierm.pfb) = %{tl_version}
Provides: tex(kuriermi.pfb) = %{tl_version}
Provides: tex(kurierr.pfb) = %{tl_version}
Provides: tex(kurierri.pfb) = %{tl_version}
Provides: tex(il2kurier.fd) = %{tl_version}
Provides: tex(il2kurierc.fd) = %{tl_version}
Provides: tex(il2kurierl.fd) = %{tl_version}
Provides: tex(il2kurierlc.fd) = %{tl_version}
Provides: tex(kurier.sty) = %{tl_version}
Provides: tex(l7xkurier.fd) = %{tl_version}
Provides: tex(l7xkurierc.fd) = %{tl_version}
Provides: tex(l7xkurierl.fd) = %{tl_version}
Provides: tex(l7xkurierlc.fd) = %{tl_version}
Provides: tex(ly1kurier.fd) = %{tl_version}
Provides: tex(ly1kurierc.fd) = %{tl_version}
Provides: tex(ly1kurierl.fd) = %{tl_version}
Provides: tex(ly1kurierlc.fd) = %{tl_version}
Provides: tex(omlkurier.fd) = %{tl_version}
Provides: tex(omlkurierc.fd) = %{tl_version}
Provides: tex(omlkurierl.fd) = %{tl_version}
Provides: tex(omlkurierlc.fd) = %{tl_version}
Provides: tex(omskurier.fd) = %{tl_version}
Provides: tex(omskurierc.fd) = %{tl_version}
Provides: tex(omskurierl.fd) = %{tl_version}
Provides: tex(omskurierlc.fd) = %{tl_version}
Provides: tex(omxkurier.fd) = %{tl_version}
Provides: tex(omxkurierc.fd) = %{tl_version}
Provides: tex(omxkurierl.fd) = %{tl_version}
Provides: tex(omxkurierlc.fd) = %{tl_version}
Provides: tex(ot1kurier.fd) = %{tl_version}
Provides: tex(ot1kurierc.fd) = %{tl_version}
Provides: tex(ot1kuriercm.fd) = %{tl_version}
Provides: tex(ot1kurierl.fd) = %{tl_version}
Provides: tex(ot1kurierlc.fd) = %{tl_version}
Provides: tex(ot1kurierlcm.fd) = %{tl_version}
Provides: tex(ot1kurierlm.fd) = %{tl_version}
Provides: tex(ot1kurierm.fd) = %{tl_version}
Provides: tex(ot2kurier.fd) = %{tl_version}
Provides: tex(ot2kurierc.fd) = %{tl_version}
Provides: tex(ot2kurierl.fd) = %{tl_version}
Provides: tex(ot2kurierlc.fd) = %{tl_version}
Provides: tex(ot4kurier.fd) = %{tl_version}
Provides: tex(ot4kurierc.fd) = %{tl_version}
Provides: tex(ot4kurierl.fd) = %{tl_version}
Provides: tex(ot4kurierlc.fd) = %{tl_version}
Provides: tex(qxkurier.fd) = %{tl_version}
Provides: tex(qxkurierc.fd) = %{tl_version}
Provides: tex(qxkurierl.fd) = %{tl_version}
Provides: tex(qxkurierlc.fd) = %{tl_version}
Provides: tex(t1kurier.fd) = %{tl_version}
Provides: tex(t1kurierc.fd) = %{tl_version}
Provides: tex(t1kurierl.fd) = %{tl_version}
Provides: tex(t1kurierlc.fd) = %{tl_version}
Provides: tex(t2akurier.fd) = %{tl_version}
Provides: tex(t2akurierc.fd) = %{tl_version}
Provides: tex(t2akurierl.fd) = %{tl_version}
Provides: tex(t2akurierlc.fd) = %{tl_version}
Provides: tex(t2bkurier.fd) = %{tl_version}
Provides: tex(t2bkurierc.fd) = %{tl_version}
Provides: tex(t2bkurierl.fd) = %{tl_version}
Provides: tex(t2bkurierlc.fd) = %{tl_version}
Provides: tex(t2ckurier.fd) = %{tl_version}
Provides: tex(t2ckurierc.fd) = %{tl_version}
Provides: tex(t2ckurierl.fd) = %{tl_version}
Provides: tex(t2ckurierlc.fd) = %{tl_version}
Provides: tex(t5kurier.fd) = %{tl_version}
Provides: tex(t5kurierc.fd) = %{tl_version}
Provides: tex(t5kurierl.fd) = %{tl_version}
Provides: tex(t5kurierlc.fd) = %{tl_version}
Provides: tex(ts1kurier.fd) = %{tl_version}
Provides: tex(ts1kurierc.fd) = %{tl_version}
Provides: tex(ts1kurierl.fd) = %{tl_version}
Provides: tex(ts1kurierlc.fd) = %{tl_version}
Provides: tex(kurier-math.tex) = %{tl_version}

%description kurier
Kurier is a two-element sans-serif typeface. It was designed
for a diploma in typeface design at the Warsaw Academy of Fine
Arts under the supervision of Roman Tomaszewski. This
distribution contains a significantly extended set of
characters covering the following modern alphabets: latin
(including Vietnamese), Cyrillic and Greek as well as a number
of additional symbols (including mathematical symbols). The
fonts are prepared in Type 1 and OpenType formats. For use with
TeX the following encoding files have been prepared: T1 (ec),
T2 (abc), and OT2--Cyrillic, T5 (Vietnamese), OT4, QX, texansi
and--nonstandard (IL2 for the Czech fonts), as well as
supporting macros and files defining fonts for LaTeX.

%package kurier-doc
Summary: Documentation for kurier
Version: svn19612.0.995b

Provides: tex-kurier-doc
AutoReqProv: No

%description kurier-doc
Documentation for kurier

%package lato
Provides: tex-lato = %{tl_version}
License: LPPL 1.3
Summary: Lato font family and LaTeX support
Version: svn45576
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(keyval.sty)
Requires: tex(slantsc.sty)
Provides: tex(lato-01.enc) = %{tl_version}
Provides: tex(lato-02.enc) = %{tl_version}
Provides: tex(lato-dotlessj.enc) = %{tl_version}
Provides: tex(lato.map) = %{tl_version}
Provides: tex(Lato-Bla-01.tfm) = %{tl_version}
Provides: tex(Lato-Bla-02.tfm) = %{tl_version}
Provides: tex(Lato-Bla-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Bla-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-Bla-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-Bla-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Bla-t1.tfm) = %{tl_version}
Provides: tex(Lato-Bla-ts1.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-01.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-02.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-ot1.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-t1.tfm) = %{tl_version}
Provides: tex(Lato-BlaIta-ts1.tfm) = %{tl_version}
Provides: tex(Lato-Bol-01.tfm) = %{tl_version}
Provides: tex(Lato-Bol-02.tfm) = %{tl_version}
Provides: tex(Lato-Bol-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Bol-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-Bol-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-Bol-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Bol-t1.tfm) = %{tl_version}
Provides: tex(Lato-Bol-ts1.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-01.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-02.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-ot1.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-t1.tfm) = %{tl_version}
Provides: tex(Lato-BolIta-ts1.tfm) = %{tl_version}
Provides: tex(Lato-Hai-01.tfm) = %{tl_version}
Provides: tex(Lato-Hai-02.tfm) = %{tl_version}
Provides: tex(Lato-Hai-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Hai-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-Hai-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-Hai-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Hai-t1.tfm) = %{tl_version}
Provides: tex(Lato-Hai-ts1.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-01.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-02.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-ot1.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-t1.tfm) = %{tl_version}
Provides: tex(Lato-HaiIta-ts1.tfm) = %{tl_version}
Provides: tex(Lato-Lig-01.tfm) = %{tl_version}
Provides: tex(Lato-Lig-02.tfm) = %{tl_version}
Provides: tex(Lato-Lig-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Lig-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-Lig-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-Lig-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Lig-t1.tfm) = %{tl_version}
Provides: tex(Lato-Lig-ts1.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-01.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-02.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-ot1.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-t1.tfm) = %{tl_version}
Provides: tex(Lato-LigIta-ts1.tfm) = %{tl_version}
Provides: tex(Lato-Reg-01.tfm) = %{tl_version}
Provides: tex(Lato-Reg-02.tfm) = %{tl_version}
Provides: tex(Lato-Reg-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Reg-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-Reg-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-Reg-ot1.tfm) = %{tl_version}
Provides: tex(Lato-Reg-t1.tfm) = %{tl_version}
Provides: tex(Lato-Reg-ts1.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-01.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-02.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-dotlessj.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-ot1.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-t1.tfm) = %{tl_version}
Provides: tex(Lato-RegIta-ts1.tfm) = %{tl_version}
Provides: tex(Lato-Bla.ttf) = %{tl_version}
Provides: tex(Lato-BlaIta.ttf) = %{tl_version}
Provides: tex(Lato-Bol.ttf) = %{tl_version}
Provides: tex(Lato-BolIta.ttf) = %{tl_version}
Provides: tex(Lato-Hai.ttf) = %{tl_version}
Provides: tex(Lato-HaiIta.ttf) = %{tl_version}
Provides: tex(Lato-Lig.ttf) = %{tl_version}
Provides: tex(Lato-LigIta.ttf) = %{tl_version}
Provides: tex(Lato-Reg.ttf) = %{tl_version}
Provides: tex(Lato-RegIta.ttf) = %{tl_version}
Provides: tex(Lato-Bla-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-Bla.pfb) = %{tl_version}
Provides: tex(Lato-BlaIta-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-BlaIta.pfb) = %{tl_version}
Provides: tex(Lato-Bol-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-Bol.pfb) = %{tl_version}
Provides: tex(Lato-BolIta-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-BolIta.pfb) = %{tl_version}
Provides: tex(Lato-Hai-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-Hai.pfb) = %{tl_version}
Provides: tex(Lato-HaiIta-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-HaiIta.pfb) = %{tl_version}
Provides: tex(Lato-Lig-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-Lig.pfb) = %{tl_version}
Provides: tex(Lato-LigIta-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-LigIta.pfb) = %{tl_version}
Provides: tex(Lato-Reg-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-Reg.pfb) = %{tl_version}
Provides: tex(Lato-RegIta-LCDFJ.pfb) = %{tl_version}
Provides: tex(Lato-RegIta.pfb) = %{tl_version}
Provides: tex(Lato-Bla-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-Bla-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-Bla-ot1.vf) = %{tl_version}
Provides: tex(Lato-Bla-t1.vf) = %{tl_version}
Provides: tex(Lato-Bla-ts1.vf) = %{tl_version}
Provides: tex(Lato-BlaIta-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-BlaIta-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-BlaIta-ot1.vf) = %{tl_version}
Provides: tex(Lato-BlaIta-t1.vf) = %{tl_version}
Provides: tex(Lato-BlaIta-ts1.vf) = %{tl_version}
Provides: tex(Lato-Bol-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-Bol-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-Bol-ot1.vf) = %{tl_version}
Provides: tex(Lato-Bol-t1.vf) = %{tl_version}
Provides: tex(Lato-Bol-ts1.vf) = %{tl_version}
Provides: tex(Lato-BolIta-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-BolIta-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-BolIta-ot1.vf) = %{tl_version}
Provides: tex(Lato-BolIta-t1.vf) = %{tl_version}
Provides: tex(Lato-BolIta-ts1.vf) = %{tl_version}
Provides: tex(Lato-Hai-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-Hai-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-Hai-ot1.vf) = %{tl_version}
Provides: tex(Lato-Hai-t1.vf) = %{tl_version}
Provides: tex(Lato-Hai-ts1.vf) = %{tl_version}
Provides: tex(Lato-HaiIta-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-HaiIta-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-HaiIta-ot1.vf) = %{tl_version}
Provides: tex(Lato-HaiIta-t1.vf) = %{tl_version}
Provides: tex(Lato-HaiIta-ts1.vf) = %{tl_version}
Provides: tex(Lato-Lig-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-Lig-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-Lig-ot1.vf) = %{tl_version}
Provides: tex(Lato-Lig-t1.vf) = %{tl_version}
Provides: tex(Lato-Lig-ts1.vf) = %{tl_version}
Provides: tex(Lato-LigIta-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-LigIta-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-LigIta-ot1.vf) = %{tl_version}
Provides: tex(Lato-LigIta-t1.vf) = %{tl_version}
Provides: tex(Lato-LigIta-ts1.vf) = %{tl_version}
Provides: tex(Lato-Reg-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-Reg-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-Reg-ot1.vf) = %{tl_version}
Provides: tex(Lato-Reg-t1.vf) = %{tl_version}
Provides: tex(Lato-Reg-ts1.vf) = %{tl_version}
Provides: tex(Lato-RegIta-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(Lato-RegIta-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(Lato-RegIta-ot1.vf) = %{tl_version}
Provides: tex(Lato-RegIta-t1.vf) = %{tl_version}
Provides: tex(Lato-RegIta-ts1.vf) = %{tl_version}
Provides: tex(lato.sty) = %{tl_version}
Provides: tex(ot1fla.fd) = %{tl_version}
Provides: tex(t1fla.fd) = %{tl_version}
Provides: tex(ts1fla.fd) = %{tl_version}

%description lato
Lato is a sanserif typeface family designed in the Summer 2010
by Warsaw-based designer Lukasz Dziedzic for the tyPoland
foundry. This font, which includes five weights (hairline,
light, regular, bold and black), is available from the Google
Font Directory as TrueType files under the Open Font License
version 1.1. The package provides support for this font in
LaTeX. It includes the original TrueType fonts, as well as Type
1 versions, converted for this package using FontForge for full
support with Dvips.

%package lato-doc
Summary: Documentation for lato
Version: svn45576
Provides: tex-lato-doc
AutoReqProv: No

%description lato-doc
Documentation for lato

%package lfb
Provides: tex-lfb = %{tl_version}
License: LPPL
Summary: A Greek font with normal and bold variants
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lfb10.tfm) = %{tl_version}
Provides: tex(lfb11.tfm) = %{tl_version}
Provides: tex(lfb12.tfm) = %{tl_version}
Provides: tex(lfb5.tfm) = %{tl_version}
Provides: tex(lfb6.tfm) = %{tl_version}
Provides: tex(lfb7.tfm) = %{tl_version}
Provides: tex(lfb8.tfm) = %{tl_version}
Provides: tex(lfb9.tfm) = %{tl_version}
Provides: tex(lfbb10.tfm) = %{tl_version}
Provides: tex(lfbb11.tfm) = %{tl_version}
Provides: tex(lfbb12.tfm) = %{tl_version}
Provides: tex(lfbb5.tfm) = %{tl_version}
Provides: tex(lfbb6.tfm) = %{tl_version}
Provides: tex(lfbb7.tfm) = %{tl_version}
Provides: tex(lfbb8.tfm) = %{tl_version}
Provides: tex(lfbb9.tfm) = %{tl_version}

%description lfb
This is a Greek font written in Metafont, with inspiration from
the Bodoni typefaces in old books. It is stylistically a little
more exotic than the standard textbook Greek fonts,
particularly in glyphs like the lowercase rho and kappa. It
aims for a rather calligraphic feel, but seems to blend well
with Computer Modern. There is a ligature scheme which
automatically inserts the breathings required for ancient
texts, making the input text more readable than in some
schemes.

%package lfb-doc
Summary: Documentation for lfb
Version: svn15878.1.0

Provides: tex-lfb-doc
AutoReqProv: No

%description lfb-doc
Documentation for lfb

%package libertine
Provides: tex-libertine = %{tl_version}
License: LPPL
Summary: Use of Linux Libertine and Biolinum fonts with LaTeX
Version: svn43603
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(lbtn_25tcsq.enc) = %{tl_version}
Provides: tex(lbtn_2exa4z.enc) = %{tl_version}
Provides: tex(lbtn_2ezly2.enc) = %{tl_version}
Provides: tex(lbtn_2jy62z.enc) = %{tl_version}
Provides: tex(lbtn_2or2lf.enc) = %{tl_version}
Provides: tex(lbtn_2xw2fz.enc) = %{tl_version}
Provides: tex(lbtn_3acize.enc) = %{tl_version}
Provides: tex(lbtn_3c7nkx.enc) = %{tl_version}
Provides: tex(lbtn_3csahh.enc) = %{tl_version}
Provides: tex(lbtn_3gqkkc.enc) = %{tl_version}
Provides: tex(lbtn_3r2fe2.enc) = %{tl_version}
Provides: tex(lbtn_4gizrm.enc) = %{tl_version}
Provides: tex(lbtn_4h5nuw.enc) = %{tl_version}
Provides: tex(lbtn_4ifdhd.enc) = %{tl_version}
Provides: tex(lbtn_4jqvtd.enc) = %{tl_version}
Provides: tex(lbtn_4p7cpr.enc) = %{tl_version}
Provides: tex(lbtn_4pa5s6.enc) = %{tl_version}
Provides: tex(lbtn_4qdwcl.enc) = %{tl_version}
Provides: tex(lbtn_4wvzw4.enc) = %{tl_version}
Provides: tex(lbtn_4xgrig.enc) = %{tl_version}
Provides: tex(lbtn_4zgdm7.enc) = %{tl_version}
Provides: tex(lbtn_5t7yy5.enc) = %{tl_version}
Provides: tex(lbtn_5yotx4.enc) = %{tl_version}
Provides: tex(lbtn_64fcpm.enc) = %{tl_version}
Provides: tex(lbtn_67ud6q.enc) = %{tl_version}
Provides: tex(lbtn_6fbtzc.enc) = %{tl_version}
Provides: tex(lbtn_6icwtb.enc) = %{tl_version}
Provides: tex(lbtn_6koeqx.enc) = %{tl_version}
Provides: tex(lbtn_6mhf45.enc) = %{tl_version}
Provides: tex(lbtn_6p6dn5.enc) = %{tl_version}
Provides: tex(lbtn_75c3wo.enc) = %{tl_version}
Provides: tex(lbtn_76gpa5.enc) = %{tl_version}
Provides: tex(lbtn_77vsbz.enc) = %{tl_version}
Provides: tex(lbtn_7aljsl.enc) = %{tl_version}
Provides: tex(lbtn_7f4ce4.enc) = %{tl_version}
Provides: tex(lbtn_7fko2h.enc) = %{tl_version}
Provides: tex(lbtn_7gfcac.enc) = %{tl_version}
Provides: tex(lbtn_7grukw.enc) = %{tl_version}
Provides: tex(lbtn_7ukmos.enc) = %{tl_version}
Provides: tex(lbtn_7yry24.enc) = %{tl_version}
Provides: tex(lbtn_ac44fr.enc) = %{tl_version}
Provides: tex(lbtn_afusau.enc) = %{tl_version}
Provides: tex(lbtn_agarrr.enc) = %{tl_version}
Provides: tex(lbtn_aiatc4.enc) = %{tl_version}
Provides: tex(lbtn_ashjgg.enc) = %{tl_version}
Provides: tex(lbtn_azutla.enc) = %{tl_version}
Provides: tex(lbtn_b7buxp.enc) = %{tl_version}
Provides: tex(lbtn_b7tf5m.enc) = %{tl_version}
Provides: tex(lbtn_bgokdj.enc) = %{tl_version}
Provides: tex(lbtn_bgqvqi.enc) = %{tl_version}
Provides: tex(lbtn_bkwvsw.enc) = %{tl_version}
Provides: tex(lbtn_bvtjwh.enc) = %{tl_version}
Provides: tex(lbtn_c3m4uk.enc) = %{tl_version}
Provides: tex(lbtn_c4mbat.enc) = %{tl_version}
Provides: tex(lbtn_c6xmqr.enc) = %{tl_version}
Provides: tex(lbtn_c6yh3y.enc) = %{tl_version}
Provides: tex(lbtn_c7kyj5.enc) = %{tl_version}
Provides: tex(lbtn_cetbgr.enc) = %{tl_version}
Provides: tex(lbtn_cg3sqm.enc) = %{tl_version}
Provides: tex(lbtn_coqhcm.enc) = %{tl_version}
Provides: tex(lbtn_crxz7j.enc) = %{tl_version}
Provides: tex(lbtn_ctsnwr.enc) = %{tl_version}
Provides: tex(lbtn_d4efeo.enc) = %{tl_version}
Provides: tex(lbtn_d6jdyt.enc) = %{tl_version}
Provides: tex(lbtn_dc4jmj.enc) = %{tl_version}
Provides: tex(lbtn_dgc7p3.enc) = %{tl_version}
Provides: tex(lbtn_dgwfac.enc) = %{tl_version}
Provides: tex(lbtn_dh3kuf.enc) = %{tl_version}
Provides: tex(lbtn_djk3hd.enc) = %{tl_version}
Provides: tex(lbtn_dm3bvq.enc) = %{tl_version}
Provides: tex(lbtn_dobmnc.enc) = %{tl_version}
Provides: tex(lbtn_doxsfd.enc) = %{tl_version}
Provides: tex(lbtn_drc7cb.enc) = %{tl_version}
Provides: tex(lbtn_dylq3g.enc) = %{tl_version}
Provides: tex(lbtn_e2nnp6.enc) = %{tl_version}
Provides: tex(lbtn_ee6wgp.enc) = %{tl_version}
Provides: tex(lbtn_eesn4m.enc) = %{tl_version}
Provides: tex(lbtn_eh2cuc.enc) = %{tl_version}
Provides: tex(lbtn_ehpgim.enc) = %{tl_version}
Provides: tex(lbtn_ek5o26.enc) = %{tl_version}
Provides: tex(lbtn_etetpy.enc) = %{tl_version}
Provides: tex(lbtn_ew6fhv.enc) = %{tl_version}
Provides: tex(lbtn_ewm74v.enc) = %{tl_version}
Provides: tex(lbtn_ezf25l.enc) = %{tl_version}
Provides: tex(lbtn_f4vjgq.enc) = %{tl_version}
Provides: tex(lbtn_f75mth.enc) = %{tl_version}
Provides: tex(lbtn_fah7mx.enc) = %{tl_version}
Provides: tex(lbtn_fdphbq.enc) = %{tl_version}
Provides: tex(lbtn_ffhb5a.enc) = %{tl_version}
Provides: tex(lbtn_g3iycs.enc) = %{tl_version}
Provides: tex(lbtn_g3y3rv.enc) = %{tl_version}
Provides: tex(lbtn_g73f77.enc) = %{tl_version}
Provides: tex(lbtn_gannye.enc) = %{tl_version}
Provides: tex(lbtn_gj2vz5.enc) = %{tl_version}
Provides: tex(lbtn_gppru4.enc) = %{tl_version}
Provides: tex(lbtn_gw5dl2.enc) = %{tl_version}
Provides: tex(lbtn_gzistf.enc) = %{tl_version}
Provides: tex(lbtn_h7zthp.enc) = %{tl_version}
Provides: tex(lbtn_hj4mhx.enc) = %{tl_version}
Provides: tex(lbtn_hk6flg.enc) = %{tl_version}
Provides: tex(lbtn_hraow7.enc) = %{tl_version}
Provides: tex(lbtn_hrou5r.enc) = %{tl_version}
Provides: tex(lbtn_htcja3.enc) = %{tl_version}
Provides: tex(lbtn_hx6qbg.enc) = %{tl_version}
Provides: tex(lbtn_i5uqjc.enc) = %{tl_version}
Provides: tex(lbtn_igd6cx.enc) = %{tl_version}
Provides: tex(lbtn_ilz2ox.enc) = %{tl_version}
Provides: tex(lbtn_imzna7.enc) = %{tl_version}
Provides: tex(lbtn_indkeb.enc) = %{tl_version}
Provides: tex(lbtn_io54zc.enc) = %{tl_version}
Provides: tex(lbtn_ip3srb.enc) = %{tl_version}
Provides: tex(lbtn_iqbcqn.enc) = %{tl_version}
Provides: tex(lbtn_ism4pi.enc) = %{tl_version}
Provides: tex(lbtn_itwafr.enc) = %{tl_version}
Provides: tex(lbtn_j6rzs3.enc) = %{tl_version}
Provides: tex(lbtn_jbwhst.enc) = %{tl_version}
Provides: tex(lbtn_jk65vs.enc) = %{tl_version}
Provides: tex(lbtn_jkqd5u.enc) = %{tl_version}
Provides: tex(lbtn_jm7hzd.enc) = %{tl_version}
Provides: tex(lbtn_jnah33.enc) = %{tl_version}
Provides: tex(lbtn_jtbvjr.enc) = %{tl_version}
Provides: tex(lbtn_jtta5h.enc) = %{tl_version}
Provides: tex(lbtn_jubyw6.enc) = %{tl_version}
Provides: tex(lbtn_jvhpxk.enc) = %{tl_version}
Provides: tex(lbtn_ka7zfp.enc) = %{tl_version}
Provides: tex(lbtn_ki75ao.enc) = %{tl_version}
Provides: tex(lbtn_kozgsn.enc) = %{tl_version}
Provides: tex(lbtn_kuli6n.enc) = %{tl_version}
Provides: tex(lbtn_kvn6mi.enc) = %{tl_version}
Provides: tex(lbtn_l4ygyh.enc) = %{tl_version}
Provides: tex(lbtn_l5ekfx.enc) = %{tl_version}
Provides: tex(lbtn_l7w3c6.enc) = %{tl_version}
Provides: tex(lbtn_lqfkm2.enc) = %{tl_version}
Provides: tex(lbtn_lrrvac.enc) = %{tl_version}
Provides: tex(lbtn_lu6v53.enc) = %{tl_version}
Provides: tex(lbtn_lu7m2n.enc) = %{tl_version}
Provides: tex(lbtn_m4ul6s.enc) = %{tl_version}
Provides: tex(lbtn_m7vdvu.enc) = %{tl_version}
Provides: tex(lbtn_mdetlm.enc) = %{tl_version}
Provides: tex(lbtn_mmutss.enc) = %{tl_version}
Provides: tex(lbtn_mx3chd.enc) = %{tl_version}
Provides: tex(lbtn_mywn7m.enc) = %{tl_version}
Provides: tex(lbtn_n3ddym.enc) = %{tl_version}
Provides: tex(lbtn_n3xw57.enc) = %{tl_version}
Provides: tex(lbtn_n7uljd.enc) = %{tl_version}
Provides: tex(lbtn_naooyc.enc) = %{tl_version}
Provides: tex(lbtn_ncsllp.enc) = %{tl_version}
Provides: tex(lbtn_nh77jq.enc) = %{tl_version}
Provides: tex(lbtn_nifh3d.enc) = %{tl_version}
Provides: tex(lbtn_o3jfbt.enc) = %{tl_version}
Provides: tex(lbtn_o3v7gd.enc) = %{tl_version}
Provides: tex(lbtn_oie7e6.enc) = %{tl_version}
Provides: tex(lbtn_omcwp2.enc) = %{tl_version}
Provides: tex(lbtn_otwoau.enc) = %{tl_version}
Provides: tex(lbtn_ouu7z6.enc) = %{tl_version}
Provides: tex(lbtn_ov2e4f.enc) = %{tl_version}
Provides: tex(lbtn_owz7oq.enc) = %{tl_version}
Provides: tex(lbtn_p657rp.enc) = %{tl_version}
Provides: tex(lbtn_pagsao.enc) = %{tl_version}
Provides: tex(lbtn_pjjyzv.enc) = %{tl_version}
Provides: tex(lbtn_pjxd67.enc) = %{tl_version}
Provides: tex(lbtn_prxh5x.enc) = %{tl_version}
Provides: tex(lbtn_pwsgbx.enc) = %{tl_version}
Provides: tex(lbtn_pznusu.enc) = %{tl_version}
Provides: tex(lbtn_q2zrjv.enc) = %{tl_version}
Provides: tex(lbtn_q6vmp6.enc) = %{tl_version}
Provides: tex(lbtn_qac756.enc) = %{tl_version}
Provides: tex(lbtn_qacof3.enc) = %{tl_version}
Provides: tex(lbtn_qgimbz.enc) = %{tl_version}
Provides: tex(lbtn_qlw4xk.enc) = %{tl_version}
Provides: tex(lbtn_qwz7uv.enc) = %{tl_version}
Provides: tex(lbtn_qzi2b5.enc) = %{tl_version}
Provides: tex(lbtn_r4tgzq.enc) = %{tl_version}
Provides: tex(lbtn_rat5le.enc) = %{tl_version}
Provides: tex(lbtn_roevjg.enc) = %{tl_version}
Provides: tex(lbtn_rvmawp.enc) = %{tl_version}
Provides: tex(lbtn_s5bq4i.enc) = %{tl_version}
Provides: tex(lbtn_sakzps.enc) = %{tl_version}
Provides: tex(lbtn_sc4wfs.enc) = %{tl_version}
Provides: tex(lbtn_sdmuhw.enc) = %{tl_version}
Provides: tex(lbtn_sfn3yq.enc) = %{tl_version}
Provides: tex(lbtn_sjkbhb.enc) = %{tl_version}
Provides: tex(lbtn_snmbym.enc) = %{tl_version}
Provides: tex(lbtn_soyanm.enc) = %{tl_version}
Provides: tex(lbtn_t62t6h.enc) = %{tl_version}
Provides: tex(lbtn_tctjin.enc) = %{tl_version}
Provides: tex(lbtn_tltjc6.enc) = %{tl_version}
Provides: tex(lbtn_tlukpt.enc) = %{tl_version}
Provides: tex(lbtn_tnngrt.enc) = %{tl_version}
Provides: tex(lbtn_txfk5t.enc) = %{tl_version}
Provides: tex(lbtn_u442ab.enc) = %{tl_version}
Provides: tex(lbtn_u7qtuy.enc) = %{tl_version}
Provides: tex(lbtn_ufdkzv.enc) = %{tl_version}
Provides: tex(lbtn_ulngvd.enc) = %{tl_version}
Provides: tex(lbtn_urpt4g.enc) = %{tl_version}
Provides: tex(lbtn_utckyy.enc) = %{tl_version}
Provides: tex(lbtn_v2xmgd.enc) = %{tl_version}
Provides: tex(lbtn_v3uc42.enc) = %{tl_version}
Provides: tex(lbtn_vezqth.enc) = %{tl_version}
Provides: tex(lbtn_vfdxlw.enc) = %{tl_version}
Provides: tex(lbtn_vm42ve.enc) = %{tl_version}
Provides: tex(lbtn_voilzo.enc) = %{tl_version}
Provides: tex(lbtn_volajt.enc) = %{tl_version}
Provides: tex(lbtn_vp3gac.enc) = %{tl_version}
Provides: tex(lbtn_vpeqwl.enc) = %{tl_version}
Provides: tex(lbtn_vsrqlo.enc) = %{tl_version}
Provides: tex(lbtn_w5h3ip.enc) = %{tl_version}
Provides: tex(lbtn_w6afmj.enc) = %{tl_version}
Provides: tex(lbtn_wcay2e.enc) = %{tl_version}
Provides: tex(lbtn_weuxsp.enc) = %{tl_version}
Provides: tex(lbtn_wfw7lb.enc) = %{tl_version}
Provides: tex(lbtn_wnipxy.enc) = %{tl_version}
Provides: tex(lbtn_wzgokb.enc) = %{tl_version}
Provides: tex(lbtn_x4bvel.enc) = %{tl_version}
Provides: tex(lbtn_xc6c72.enc) = %{tl_version}
Provides: tex(lbtn_xeech7.enc) = %{tl_version}
Provides: tex(lbtn_xogrpz.enc) = %{tl_version}
Provides: tex(lbtn_xpavo4.enc) = %{tl_version}
Provides: tex(lbtn_xsgxhq.enc) = %{tl_version}
Provides: tex(lbtn_xz74p6.enc) = %{tl_version}
Provides: tex(lbtn_xzlo5e.enc) = %{tl_version}
Provides: tex(lbtn_y6cxei.enc) = %{tl_version}
Provides: tex(lbtn_y6gumo.enc) = %{tl_version}
Provides: tex(lbtn_yea32d.enc) = %{tl_version}
Provides: tex(lbtn_yruotg.enc) = %{tl_version}
Provides: tex(lbtn_yvenhr.enc) = %{tl_version}
Provides: tex(lbtn_z254vq.enc) = %{tl_version}
Provides: tex(lbtn_zacdtl.enc) = %{tl_version}
Provides: tex(lbtn_zajy4r.enc) = %{tl_version}
Provides: tex(lbtn_zauseh.enc) = %{tl_version}
Provides: tex(lbtn_zoexom.enc) = %{tl_version}
Provides: tex(lbtn_zp73k3.enc) = %{tl_version}
Provides: tex(lbtn_zq22hj.enc) = %{tl_version}
Provides: tex(lbtn_zxvhqu.enc) = %{tl_version}
Provides: tex(lbtn_zycpkp.enc) = %{tl_version}
Provides: tex(lbtn_zyymej.enc) = %{tl_version}
Provides: tex(libertine.map) = %{tl_version}
Provides: tex(LinBiolinum_K.otf) = %{tl_version}
Provides: tex(LinBiolinum_R.otf) = %{tl_version}
Provides: tex(LinBiolinum_RB.otf) = %{tl_version}
Provides: tex(LinBiolinum_RBO.otf) = %{tl_version}
Provides: tex(LinBiolinum_RI.otf) = %{tl_version}
Provides: tex(LinLibertine_DR.otf) = %{tl_version}
Provides: tex(LinLibertine_I.otf) = %{tl_version}
Provides: tex(LinLibertine_M.otf) = %{tl_version}
Provides: tex(LinLibertine_MB.otf) = %{tl_version}
Provides: tex(LinLibertine_MBO.otf) = %{tl_version}
Provides: tex(LinLibertine_MO.otf) = %{tl_version}
Provides: tex(LinLibertine_R.otf) = %{tl_version}
Provides: tex(LinLibertine_RB.otf) = %{tl_version}
Provides: tex(LinLibertine_RBI.otf) = %{tl_version}
Provides: tex(LinLibertine_RI.otf) = %{tl_version}
Provides: tex(LinLibertine_RZ.otf) = %{tl_version}
Provides: tex(LinLibertine_RZI.otf) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-sup-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-sup-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-sup-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-sup-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-sup-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-sup-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-sup-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-t1.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-ts1.tfm) = %{tl_version}
Provides: tex(LinBiolinumT.pfb) = %{tl_version}
Provides: tex(LinBiolinumTB.pfb) = %{tl_version}
Provides: tex(LinBiolinumTBO.pfb) = %{tl_version}
Provides: tex(LinBiolinumTI.pfb) = %{tl_version}
Provides: tex(LinLibertineDisplayT.pfb) = %{tl_version}
Provides: tex(LinLibertineIT.pfb) = %{tl_version}
Provides: tex(LinLibertineMT.pfb) = %{tl_version}
Provides: tex(LinLibertineMTB.pfb) = %{tl_version}
Provides: tex(LinLibertineMTBO.pfb) = %{tl_version}
Provides: tex(LinLibertineMTO.pfb) = %{tl_version}
Provides: tex(LinLibertineT.pfb) = %{tl_version}
Provides: tex(LinLibertineTB.pfb) = %{tl_version}
Provides: tex(LinLibertineTBI.pfb) = %{tl_version}
Provides: tex(LinLibertineTI.pfb) = %{tl_version}
Provides: tex(LinLibertineTZ.pfb) = %{tl_version}
Provides: tex(LinLibertineTZI.pfb) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-lf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-lf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-osf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-osf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-sup-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-sup-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumT-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-lf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-osf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-sup-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-sup-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTB-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-lf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-osf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-sup-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-sup-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTBO-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-lf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-osf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-sup-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-sup-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-t1.vf) = %{tl_version}
Provides: tex(LinBiolinumTI-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineDisplayT-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-lf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-osf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineIT-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineMT-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMT-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMT-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineMTB-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMTB-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMTB-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineMTBO-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMTBO-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMTBO-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineMTO-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMTO-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineMTO-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineT-lf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-lf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineT-osf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-osf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineT-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tosf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineT-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTB-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTBI-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTI-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-sup-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZ-tosf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-lf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-sup-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-ts1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-t1.vf) = %{tl_version}
Provides: tex(LinLibertineTZI-tosf-ts1.vf) = %{tl_version}
Provides: tex(LKey.tex) = %{tl_version}
Provides: tex(LY1LinuxBiolinumT-LF.fd) = %{tl_version}
Provides: tex(LY1LinuxBiolinumT-OsF.fd) = %{tl_version}
Provides: tex(LY1LinuxBiolinumT-Sup.fd) = %{tl_version}
Provides: tex(LY1LinuxBiolinumT-TLF.fd) = %{tl_version}
Provides: tex(LY1LinuxBiolinumT-TOsF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineDisplayT-LF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineDisplayT-OsF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineDisplayT-Sup.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineDisplayT-TLF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineDisplayT-TOsF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineInitialsT-LF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineInitialsT-OsF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineInitialsT-TLF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineMonoT-Sup.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineMonoT-TLF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineT-Sup.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(LY1LinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(LinBiolinum_K.tex) = %{tl_version}
Provides: tex(LinBiolinum_R.tex) = %{tl_version}
Provides: tex(LinLibertine_I.tex) = %{tl_version}
Provides: tex(LinLibertine_R.tex) = %{tl_version}
Provides: tex(OT1LinuxBiolinumT-LF.fd) = %{tl_version}
Provides: tex(OT1LinuxBiolinumT-OsF.fd) = %{tl_version}
Provides: tex(OT1LinuxBiolinumT-Sup.fd) = %{tl_version}
Provides: tex(OT1LinuxBiolinumT-TLF.fd) = %{tl_version}
Provides: tex(OT1LinuxBiolinumT-TOsF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineDisplayT-LF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineDisplayT-OsF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineDisplayT-Sup.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineDisplayT-TLF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineDisplayT-TOsF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineInitialsT-LF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineInitialsT-OsF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineInitialsT-TLF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineMonoT-Sup.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineMonoT-TLF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineT-Sup.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(OT1LinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(T1LinuxBiolinumT-LF.fd) = %{tl_version}
Provides: tex(T1LinuxBiolinumT-OsF.fd) = %{tl_version}
Provides: tex(T1LinuxBiolinumT-Sup.fd) = %{tl_version}
Provides: tex(T1LinuxBiolinumT-TLF.fd) = %{tl_version}
Provides: tex(T1LinuxBiolinumT-TOsF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineDisplayT-LF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineDisplayT-OsF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineDisplayT-Sup.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineDisplayT-TLF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineDisplayT-TOsF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineInitialsT-LF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineInitialsT-OsF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineInitialsT-TLF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineMonoT-Sup.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineMonoT-TLF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineT-Sup.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(T1LinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(TS1LinuxBiolinumT-LF.fd) = %{tl_version}
Provides: tex(TS1LinuxBiolinumT-OsF.fd) = %{tl_version}
Provides: tex(TS1LinuxBiolinumT-TLF.fd) = %{tl_version}
Provides: tex(TS1LinuxBiolinumT-TOsF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineDisplayT-LF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineDisplayT-OsF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineDisplayT-TLF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineDisplayT-TOsF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineInitialsT-LF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineInitialsT-OsF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineInitialsT-TLF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineMonoT-TLF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(TS1LinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(biolinum-type1.sty) = %{tl_version}
Provides: tex(biolinum.sty) = %{tl_version}
Provides: tex(libertine-type1.sty) = %{tl_version}
Provides: tex(libertine.sty) = %{tl_version}
Provides: tex(libertineMono-type1.sty) = %{tl_version}
Provides: tex(libertineMono.sty) = %{tl_version}
Provides: tex(libertineRoman.sty) = %{tl_version}
Provides: tex(libertineotf.sty) = %{tl_version}

%description libertine
The package provides the Libertine and Biolinum fonts in both
Type 1 and OTF styles, together with support macros for their
use. Monospaced and display fonts, and the "keyboard" set are
also included, in OTF style, only. The mweights package is used
to manage the selection of font weights. The package supersedes
both the libertineotf and the libertine-legacy packages.

%package libertine-doc
Summary: Documentation for libertine
Version: svn43603
Provides: tex-libertine-doc
AutoReqProv: No

%description libertine-doc
Documentation for libertine

%package librebaskerville
Provides: tex-librebaskerville = %{tl_version}
License: LPPL
Summary: LaTeX support for the Libre Baskerville family of fonts
Version: svn31741.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(lbsk_5rmxhc.enc) = %{tl_version}
Provides: tex(lbsk_7c5ufm.enc) = %{tl_version}
Provides: tex(lbsk_aprite.enc) = %{tl_version}
Provides: tex(lbsk_hguso3.enc) = %{tl_version}
Provides: tex(lbsk_ktbdpq.enc) = %{tl_version}
Provides: tex(lbsk_lbmt7s.enc) = %{tl_version}
Provides: tex(lbsk_mr5ybw.enc) = %{tl_version}
Provides: tex(lbsk_rpuqof.enc) = %{tl_version}
Provides: tex(lbsk_yeotsr.enc) = %{tl_version}
Provides: tex(LibreBaskerville.map) = %{tl_version}
Provides: tex(LibreBaskerville-Bold.otf) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic.otf) = %{tl_version}
Provides: tex(LibreBaskerville-Italic.otf) = %{tl_version}
Provides: tex(LibreBaskerville-Regular.otf) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreBaskerville-Bold.pfb) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic.pfb) = %{tl_version}
Provides: tex(LibreBaskerville-Italic.pfb) = %{tl_version}
Provides: tex(LibreBaskerville-Regular.pfb) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBaskerville-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1LibreBaskerville-Sup.fd) = %{tl_version}
Provides: tex(LY1LibreBaskerville-TLF.fd) = %{tl_version}
Provides: tex(OT1LibreBaskerville-Sup.fd) = %{tl_version}
Provides: tex(OT1LibreBaskerville-TLF.fd) = %{tl_version}
Provides: tex(T1LibreBaskerville-Sup.fd) = %{tl_version}
Provides: tex(T1LibreBaskerville-TLF.fd) = %{tl_version}
Provides: tex(TS1LibreBaskerville-TLF.fd) = %{tl_version}
Provides: tex(librebaskerville.sty) = %{tl_version}

%description librebaskerville
Libre Baskerville is designed by Pablo Impallari. It is
primarily intended to be a web font but is also attractive as a
TeX font. As there is currently no bold italic variant, an
artificially slanted version of the bold variant has been
generated.

%package librebaskerville-doc
Summary: Documentation for librebaskerville
Version: svn31741.0

Provides: tex-librebaskerville-doc
AutoReqProv: No

%description librebaskerville-doc
Documentation for librebaskerville

%package librecaslon
Provides: tex-librecaslon = %{tl_version}
License: OFL
Summary: Libre Caslon fonts, with LaTeX support
Version: svn31929.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(lcsl_3cl4ql.enc) = %{tl_version}
Provides: tex(lcsl_4g75lz.enc) = %{tl_version}
Provides: tex(lcsl_5rmxhc.enc) = %{tl_version}
Provides: tex(lcsl_aprite.enc) = %{tl_version}
Provides: tex(lcsl_bpmadw.enc) = %{tl_version}
Provides: tex(lcsl_cw7ruh.enc) = %{tl_version}
Provides: tex(lcsl_hb5o6t.enc) = %{tl_version}
Provides: tex(lcsl_klp7zn.enc) = %{tl_version}
Provides: tex(lcsl_l5dh3w.enc) = %{tl_version}
Provides: tex(lcsl_q5us2t.enc) = %{tl_version}
Provides: tex(lcsl_rpuqof.enc) = %{tl_version}
Provides: tex(lcsl_wesofd.enc) = %{tl_version}
Provides: tex(lcsl_yeotsr.enc) = %{tl_version}
Provides: tex(lcsl_ytsyqt.enc) = %{tl_version}
Provides: tex(lcsl_z4mu2b.enc) = %{tl_version}
Provides: tex(LibreCaslon.map) = %{tl_version}
Provides: tex(LibreCaslonText-Bold.otf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic.otf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic.otf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular.otf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreCaslonText-Bold.pfb) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic.pfb) = %{tl_version}
Provides: tex(LibreCaslonText-Italic.pfb) = %{tl_version}
Provides: tex(LibreCaslonText-Regular.pfb) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreCaslonText-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1LibreCaslonText-OsF.fd) = %{tl_version}
Provides: tex(LY1LibreCaslonText-Sup.fd) = %{tl_version}
Provides: tex(LY1LibreCaslonText-TLF.fd) = %{tl_version}
Provides: tex(OT1LibreCaslonText-OsF.fd) = %{tl_version}
Provides: tex(OT1LibreCaslonText-Sup.fd) = %{tl_version}
Provides: tex(OT1LibreCaslonText-TLF.fd) = %{tl_version}
Provides: tex(T1LibreCaslonText-OsF.fd) = %{tl_version}
Provides: tex(T1LibreCaslonText-Sup.fd) = %{tl_version}
Provides: tex(T1LibreCaslonText-TLF.fd) = %{tl_version}
Provides: tex(TS1LibreCaslonText-OsF.fd) = %{tl_version}
Provides: tex(TS1LibreCaslonText-TLF.fd) = %{tl_version}
Provides: tex(librecaslon.sty) = %{tl_version}

%description librecaslon
The Libre Caslon fonts are designed by Pablo Impallari.
Although they have been designed for use as web fonts, they
work well as conventional text fonts. A bold italic variant is
not currently available. As a stopgap, an artificially slanted
bold variant has been created and treated as italic.

%package librecaslon-doc
Summary: Documentation for librecaslon
Version: svn31929.0

Provides: tex-librecaslon-doc
AutoReqProv: No

%description librecaslon-doc
Documentation for librecaslon

%package libris
Provides: tex-libris = %{tl_version}
License: GPL+
Summary: Libris ADF fonts, with LaTeX support
Version: svn19409.1.007

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(nfssext-cfr.sty)
Provides: tex(libris-supp.enc) = %{tl_version}
Provides: tex(t1-cfr-yly.enc) = %{tl_version}
Provides: tex(ts1-euro-yly.enc) = %{tl_version}
Provides: tex(yly.map) = %{tl_version}
Provides: tex(ylyb-t1.tfm) = %{tl_version}
Provides: tex(ylyb-ts1.tfm) = %{tl_version}
Provides: tex(ylyb8c.tfm) = %{tl_version}
Provides: tex(ylyb8s.tfm) = %{tl_version}
Provides: tex(ylyb8t.tfm) = %{tl_version}
Provides: tex(ylybi-t1.tfm) = %{tl_version}
Provides: tex(ylybi-ts1.tfm) = %{tl_version}
Provides: tex(ylybi8c.tfm) = %{tl_version}
Provides: tex(ylybi8s.tfm) = %{tl_version}
Provides: tex(ylybi8t.tfm) = %{tl_version}
Provides: tex(ylybiw8t.tfm) = %{tl_version}
Provides: tex(ylybw8t.tfm) = %{tl_version}
Provides: tex(ylyr-t1.tfm) = %{tl_version}
Provides: tex(ylyr-ts1.tfm) = %{tl_version}
Provides: tex(ylyr8c.tfm) = %{tl_version}
Provides: tex(ylyr8s.tfm) = %{tl_version}
Provides: tex(ylyr8t.tfm) = %{tl_version}
Provides: tex(ylyri-t1.tfm) = %{tl_version}
Provides: tex(ylyri-ts1.tfm) = %{tl_version}
Provides: tex(ylyri8c.tfm) = %{tl_version}
Provides: tex(ylyri8s.tfm) = %{tl_version}
Provides: tex(ylyri8t.tfm) = %{tl_version}
Provides: tex(ylyriw8t.tfm) = %{tl_version}
Provides: tex(ylyrw8t.tfm) = %{tl_version}
Provides: tex(ylyb8a.pfb) = %{tl_version}
Provides: tex(ylybi8a.pfb) = %{tl_version}
Provides: tex(ylyr8a.pfb) = %{tl_version}
Provides: tex(ylyri8a.pfb) = %{tl_version}
Provides: tex(ylyb8c.vf) = %{tl_version}
Provides: tex(ylyb8t.vf) = %{tl_version}
Provides: tex(ylybi8c.vf) = %{tl_version}
Provides: tex(ylybi8t.vf) = %{tl_version}
Provides: tex(ylybiw8t.vf) = %{tl_version}
Provides: tex(ylybw8t.vf) = %{tl_version}
Provides: tex(ylyr8c.vf) = %{tl_version}
Provides: tex(ylyr8t.vf) = %{tl_version}
Provides: tex(ylyri8c.vf) = %{tl_version}
Provides: tex(ylyri8t.vf) = %{tl_version}
Provides: tex(ylyriw8t.vf) = %{tl_version}
Provides: tex(ylyrw8t.vf) = %{tl_version}
Provides: tex(libris.sty) = %{tl_version}
Provides: tex(t1yly.fd) = %{tl_version}
Provides: tex(t1ylyw.fd) = %{tl_version}
Provides: tex(ts1yly.fd) = %{tl_version}
Provides: tex(ts1ylyw.fd) = %{tl_version}

%description libris
LibrisADF is a sans-serif family designed to mimic Lydian. The
bundle includes: fonts, in Adobe Type 1, TrueType and OpenType
formats, and LaTeX support macros, for use with the Type 1
versions of the fonts. The LaTeX macros depend on the nfssext-
cfr bundle. GPL licensing applies the fonts themselves; the
support macros are distributed under LPPL licensing.

%package libris-doc
Summary: Documentation for libris
Version: svn19409.1.007

Provides: tex-libris-doc
AutoReqProv: No

%description libris-doc
Documentation for libris

%package lineara
Provides: tex-lineara = %{tl_version}
License: LPPL
Summary: Linear A script fonts
Version: svn15878.0

Requires: texlive-base
Provides: texlive-linearA = %{tl_version}.1
Obsoletes: texlive-linearA < %{tl_version}.1
Obsoletes: texlive-linearA-fedora-fonts < %{tl_version}.1
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xspace.sty)
Provides: tex(linearA.map) = %{tl_version}
Provides: tex(LinearA.tfm) = %{tl_version}
Provides: tex(LinearACmplxSigns.tfm) = %{tl_version}
Provides: tex(LinearA.pfb) = %{tl_version}
Provides: tex(LinearACmplxSigns.pfb) = %{tl_version}
Provides: tex(linearA.sty) = %{tl_version}

%description lineara
The linearA package provides a simple interface to two fonts
which include all known symbols, simple and complex, of the
Linear A script. This way one can easily replicate Linear A
"texts" using modern typographic technology. Note that the
Linear A script has not been deciphered yet and probably never
will be deciphered.

%package lineara-doc
Summary: Documentation for linearA
Version: svn15878.0

Provides: tex-lineara-doc
AutoReqProv: No

%description lineara-doc
Documentation for lineara

%package lobster2
Provides: tex-lobster2 = %{tl_version}
License: OFL
Summary: Lobster Two fonts, with support for all LaTeX engines
Version: svn32617.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(lbst2_2vl4dw.enc) = %{tl_version}
Provides: tex(lbst2_5uiiua.enc) = %{tl_version}
Provides: tex(lbst2_lyobxw.enc) = %{tl_version}
Provides: tex(lbst2_xn7u5r.enc) = %{tl_version}
Provides: tex(LobsterTwo.map) = %{tl_version}
Provides: tex(LobsterTwo-Bold.otf) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic.otf) = %{tl_version}
Provides: tex(LobsterTwo-Italic.otf) = %{tl_version}
Provides: tex(LobsterTwo-Regular.otf) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ly1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ot1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-t1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-t1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(LobsterTwo-lf-ts1.tfm) = %{tl_version}
Provides: tex(LobsterTwo-Bold.ttf) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic.ttf) = %{tl_version}
Provides: tex(LobsterTwo-Italic.ttf) = %{tl_version}
Provides: tex(LobsterTwo-Regular.ttf) = %{tl_version}
Provides: tex(LobsterTwo-Bold.pfb) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic.pfb) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(LobsterTwo-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(LobsterTwo-Italic.pfb) = %{tl_version}
Provides: tex(LobsterTwo-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(LobsterTwo.pfb) = %{tl_version}
Provides: tex(LobsterTwoLCDFJ.pfb) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(LobsterTwo-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(LobsterTwo-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(LobsterTwo-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(LobsterTwo-lf-ly1.vf) = %{tl_version}
Provides: tex(LobsterTwo-lf-ot1.vf) = %{tl_version}
Provides: tex(LobsterTwo-lf-t1.vf) = %{tl_version}
Provides: tex(LobsterTwo-lf-ts1.vf) = %{tl_version}
Provides: tex(LY1LobsterTwo-LF.fd) = %{tl_version}
Provides: tex(LobsterTwo.sty) = %{tl_version}
Provides: tex(OT1LobsterTwo-LF.fd) = %{tl_version}
Provides: tex(T1LobsterTwo-LF.fd) = %{tl_version}
Provides: tex(TS1LobsterTwo-LF.fd) = %{tl_version}

%description lobster2
Lobster Two is a family of script fonts designed bt Pablo
Impallari. It has many ligatures and terminal forms, but most
of these can be accessed only using XeLaTeX or LuaLaTeX. Font
access and use is supported in LaTeX.

%package lobster2-doc
Summary: Documentation for lobster2
Version: svn32617.0

Provides: tex-lobster2-doc
AutoReqProv: No

%description lobster2-doc
Documentation for lobster2

%package lxfonts
Provides: tex-lxfonts = %{tl_version}
License: LPPL
Summary: Set of slide fonts based on CM
Version: svn32354.2.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(etoolbox.sty)
Provides: tex(lxfonts.map) = %{tl_version}
Provides: tex(lcmbsy8.tfm) = %{tl_version}
Provides: tex(lcmex8.tfm) = %{tl_version}
Provides: tex(lcmmi8.tfm) = %{tl_version}
Provides: tex(lcmmib8.tfm) = %{tl_version}
Provides: tex(lcmsy8.tfm) = %{tl_version}
Provides: tex(leclb8.tfm) = %{tl_version}
Provides: tex(lecli8.tfm) = %{tl_version}
Provides: tex(leclo8.tfm) = %{tl_version}
Provides: tex(leclq8.tfm) = %{tl_version}
Provides: tex(llasy8.tfm) = %{tl_version}
Provides: tex(llasyb8.tfm) = %{tl_version}
Provides: tex(llcmss8.tfm) = %{tl_version}
Provides: tex(llcmssb8.tfm) = %{tl_version}
Provides: tex(llcmssi8.tfm) = %{tl_version}
Provides: tex(llcmsso8.tfm) = %{tl_version}
Provides: tex(lmsam8.tfm) = %{tl_version}
Provides: tex(lmsbm8.tfm) = %{tl_version}
Provides: tex(ltclb8.tfm) = %{tl_version}
Provides: tex(ltcli8.tfm) = %{tl_version}
Provides: tex(ltclo8.tfm) = %{tl_version}
Provides: tex(ltclq8.tfm) = %{tl_version}
Provides: tex(lcmbsy8.pfb) = %{tl_version}
Provides: tex(lcmex8.pfb) = %{tl_version}
Provides: tex(lcmmi8.pfb) = %{tl_version}
Provides: tex(lcmmib8.pfb) = %{tl_version}
Provides: tex(lcmsy8.pfb) = %{tl_version}
Provides: tex(leclb8.pfb) = %{tl_version}
Provides: tex(lecli8.pfb) = %{tl_version}
Provides: tex(leclo8.pfb) = %{tl_version}
Provides: tex(leclq8.pfb) = %{tl_version}
Provides: tex(llasy8.pfb) = %{tl_version}
Provides: tex(llasyb8.pfb) = %{tl_version}
Provides: tex(llcmss8.pfb) = %{tl_version}
Provides: tex(llcmssb8.pfb) = %{tl_version}
Provides: tex(llcmssi8.pfb) = %{tl_version}
Provides: tex(llcmsso8.pfb) = %{tl_version}
Provides: tex(lmsam8.pfb) = %{tl_version}
Provides: tex(lmsbm8.pfb) = %{tl_version}
Provides: tex(ltclb8.pfb) = %{tl_version}
Provides: tex(ltcli8.pfb) = %{tl_version}
Provides: tex(ltclo8.pfb) = %{tl_version}
Provides: tex(ltclq8.pfb) = %{tl_version}
Provides: tex(lgrllcmss.fd) = %{tl_version}
Provides: tex(lgrllcmtt.fd) = %{tl_version}
Provides: tex(lxfonts.sty) = %{tl_version}
Provides: tex(omlllcmm.fd) = %{tl_version}
Provides: tex(omsllcmsy.fd) = %{tl_version}
Provides: tex(omxllcmex.fd) = %{tl_version}
Provides: tex(ot1llcmss.fd) = %{tl_version}
Provides: tex(ot1llcmtt.fd) = %{tl_version}
Provides: tex(t1llcmss.fd) = %{tl_version}
Provides: tex(t1llcmtt.fd) = %{tl_version}
Provides: tex(ts1llcmss.fd) = %{tl_version}
Provides: tex(ulllasy.fd) = %{tl_version}
Provides: tex(ulmsa.fd) = %{tl_version}
Provides: tex(ulmsb.fd) = %{tl_version}

%description lxfonts
The bundle contains the traditional slides fonts revised to be
completely usable both as text fonts and mathematics fonts;
they are fully integrate with the new operators, letters,
symbols and extensible delimiter fonts, as well as with the AMS
fonts, all redone with the same stylistic parameters.

%package lxfonts-doc
Summary: Documentation for lxfonts
Version: svn32354.2.0b

Provides: tex-lxfonts-doc
AutoReqProv: No

%description lxfonts-doc
Documentation for lxfonts

%package ly1
Provides: tex-ly1 = %{tl_version}
License: LPPL
Summary: Support for LY1 LaTeX encoding
Version: svn21086.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Provides: tex(texnansi.enc) = %{tl_version}
Provides: tex(pag8y.map) = %{tl_version}
Provides: tex(pbk8y.map) = %{tl_version}
Provides: tex(pcr8y.map) = %{tl_version}
Provides: tex(phv8y.map) = %{tl_version}
Provides: tex(pnc8y.map) = %{tl_version}
Provides: tex(ppl8y.map) = %{tl_version}
Provides: tex(ptm8y.map) = %{tl_version}
Provides: tex(pzc8y.map) = %{tl_version}
Provides: tex(pagd8y.tfm) = %{tl_version}
Provides: tex(pagdo8y.tfm) = %{tl_version}
Provides: tex(pagk8y.tfm) = %{tl_version}
Provides: tex(pagko8y.tfm) = %{tl_version}
Provides: tex(pbkd8y.tfm) = %{tl_version}
Provides: tex(pbkdi8y.tfm) = %{tl_version}
Provides: tex(pbkdo8y.tfm) = %{tl_version}
Provides: tex(pbkl8y.tfm) = %{tl_version}
Provides: tex(pbkli8y.tfm) = %{tl_version}
Provides: tex(pbklo8y.tfm) = %{tl_version}
Provides: tex(pcrb8y.tfm) = %{tl_version}
Provides: tex(pcrbo8y.tfm) = %{tl_version}
Provides: tex(pcrr8y.tfm) = %{tl_version}
Provides: tex(pcrro8y.tfm) = %{tl_version}
Provides: tex(phvb8y.tfm) = %{tl_version}
Provides: tex(phvb8yn.tfm) = %{tl_version}
Provides: tex(phvbo8y.tfm) = %{tl_version}
Provides: tex(phvbo8yn.tfm) = %{tl_version}
Provides: tex(phvr8y.tfm) = %{tl_version}
Provides: tex(phvr8yn.tfm) = %{tl_version}
Provides: tex(phvro8y.tfm) = %{tl_version}
Provides: tex(phvro8yn.tfm) = %{tl_version}
Provides: tex(pncb8y.tfm) = %{tl_version}
Provides: tex(pncbi8y.tfm) = %{tl_version}
Provides: tex(pncbo8y.tfm) = %{tl_version}
Provides: tex(pncr8y.tfm) = %{tl_version}
Provides: tex(pncri8y.tfm) = %{tl_version}
Provides: tex(pncro8y.tfm) = %{tl_version}
Provides: tex(pplb8y.tfm) = %{tl_version}
Provides: tex(pplbi8y.tfm) = %{tl_version}
Provides: tex(pplbo8y.tfm) = %{tl_version}
Provides: tex(pplbu8y.tfm) = %{tl_version}
Provides: tex(pplr8y.tfm) = %{tl_version}
Provides: tex(pplr8yn.tfm) = %{tl_version}
Provides: tex(pplri8y.tfm) = %{tl_version}
Provides: tex(pplro8y.tfm) = %{tl_version}
Provides: tex(pplrr8ye.tfm) = %{tl_version}
Provides: tex(pplru8y.tfm) = %{tl_version}
Provides: tex(ptmb8y.tfm) = %{tl_version}
Provides: tex(ptmbc8y.tfm) = %{tl_version}
Provides: tex(ptmbi8y.tfm) = %{tl_version}
Provides: tex(ptmbo8y.tfm) = %{tl_version}
Provides: tex(ptmr8y.tfm) = %{tl_version}
Provides: tex(ptmr8yn.tfm) = %{tl_version}
Provides: tex(ptmrc8y.tfm) = %{tl_version}
Provides: tex(ptmri8y.tfm) = %{tl_version}
Provides: tex(ptmro8y.tfm) = %{tl_version}
Provides: tex(ptmrr8ye.tfm) = %{tl_version}
Provides: tex(pzcmi8y.tfm) = %{tl_version}
Provides: tex(ptmbc8y.vf) = %{tl_version}
Provides: tex(ptmrc8y.vf) = %{tl_version}
Provides: tex(ly1enc.def) = %{tl_version}
Provides: tex(ly1pag.fd) = %{tl_version}
Provides: tex(ly1pbk.fd) = %{tl_version}
Provides: tex(ly1pcr.fd) = %{tl_version}
Provides: tex(ly1phv.fd) = %{tl_version}
Provides: tex(ly1pnc.fd) = %{tl_version}
Provides: tex(ly1ppl.fd) = %{tl_version}
Provides: tex(ly1ptm.fd) = %{tl_version}
Provides: tex(ly1pzc.fd) = %{tl_version}
Provides: tex(texnansi.sty) = %{tl_version}
Provides: tex(texnansi.tex) = %{tl_version}

%description ly1
The Y&Y 'texnansi' (TeX and ANSI, for Microsoft interpretations
of ANSI standards) encoding lives on, even after the decease of
the company; it is known in the LaTeX scheme of things as LY1
encoding. This bundle includes metrics and LaTeX macros to use
the basic three (Times, Helvetica and Courier) Adobe Type 1
fonts in LaTeX using LY1 encoding.

%package ly1-doc
Summary: Documentation for ly1
Version: svn21086.0

Provides: tex-ly1-doc
AutoReqProv: No

%description ly1-doc
Documentation for ly1

%package mathabx
Provides: tex-mathabx = %{tl_version}
License: LPPL
Summary: Three series of mathematical symbols
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(matha10.tfm) = %{tl_version}
Provides: tex(matha12.tfm) = %{tl_version}
Provides: tex(matha5.tfm) = %{tl_version}
Provides: tex(matha6.tfm) = %{tl_version}
Provides: tex(matha7.tfm) = %{tl_version}
Provides: tex(matha8.tfm) = %{tl_version}
Provides: tex(matha9.tfm) = %{tl_version}
Provides: tex(mathastrotest10.tfm) = %{tl_version}
Provides: tex(mathb10.tfm) = %{tl_version}
Provides: tex(mathb12.tfm) = %{tl_version}
Provides: tex(mathb5.tfm) = %{tl_version}
Provides: tex(mathb6.tfm) = %{tl_version}
Provides: tex(mathb7.tfm) = %{tl_version}
Provides: tex(mathb8.tfm) = %{tl_version}
Provides: tex(mathb9.tfm) = %{tl_version}
Provides: tex(mathc10.tfm) = %{tl_version}
Provides: tex(mathu10.tfm) = %{tl_version}
Provides: tex(mathux10.tfm) = %{tl_version}
Provides: tex(mathx10.tfm) = %{tl_version}
Provides: tex(mathx12.tfm) = %{tl_version}
Provides: tex(mathx5.tfm) = %{tl_version}
Provides: tex(mathx6.tfm) = %{tl_version}
Provides: tex(mathx7.tfm) = %{tl_version}
Provides: tex(mathx8.tfm) = %{tl_version}
Provides: tex(mathx9.tfm) = %{tl_version}
Provides: tex(mathabx.sty) = %{tl_version}
Provides: tex(mathabx.tex) = %{tl_version}

%description mathabx
Mathabx is a set of 3 mathematical symbols font series: matha,
mathb and mathx. They are defined by Metafont code and should
be of reasonable quality (bitmap output). Things change from
time to time, so there is no claim of stability (encoding,
metrics, design). The package includes Plain TeX and LaTeX
support macros. A version of the fonts, in Adobe Type 1 format,
is also available.

%package mathabx-doc
Summary: Documentation for mathabx
Version: svn15878.0

Provides: tex-mathabx-doc
AutoReqProv: No

%description mathabx-doc
Documentation for mathabx

%package mathabx-type1
Provides: tex-mathabx-type1 = %{tl_version}
License: LPPL
Summary: Outline version of the mathabx fonts
Version: svn21129.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-mathabx
Provides: tex(mathabx.map) = %{tl_version}
Provides: tex(matha10.pfb) = %{tl_version}
Provides: tex(matha12.pfb) = %{tl_version}
Provides: tex(matha5.pfb) = %{tl_version}
Provides: tex(matha6.pfb) = %{tl_version}
Provides: tex(matha7.pfb) = %{tl_version}
Provides: tex(matha8.pfb) = %{tl_version}
Provides: tex(matha9.pfb) = %{tl_version}
Provides: tex(mathastrotest10.pfb) = %{tl_version}
Provides: tex(mathb10.pfb) = %{tl_version}
Provides: tex(mathb12.pfb) = %{tl_version}
Provides: tex(mathb5.pfb) = %{tl_version}
Provides: tex(mathb6.pfb) = %{tl_version}
Provides: tex(mathb7.pfb) = %{tl_version}
Provides: tex(mathb8.pfb) = %{tl_version}
Provides: tex(mathb9.pfb) = %{tl_version}
Provides: tex(mathc10.pfb) = %{tl_version}
Provides: tex(mathu10.pfb) = %{tl_version}
Provides: tex(mathux10.pfb) = %{tl_version}
Provides: tex(mathx10.pfb) = %{tl_version}
Provides: tex(mathx12.pfb) = %{tl_version}
Provides: tex(mathx5.pfb) = %{tl_version}
Provides: tex(mathx6.pfb) = %{tl_version}
Provides: tex(mathx7.pfb) = %{tl_version}
Provides: tex(mathx8.pfb) = %{tl_version}
Provides: tex(mathx9.pfb) = %{tl_version}

%description mathabx-type1
This is an Adobe Type 1 outline version of the mathabx fonts.

%package mathabx-type1-doc
Summary: Documentation for mathabx-type1
Version: svn21129.0

Provides: tex-mathabx-type1-doc
AutoReqProv: No
Requires: tex-mathabx-doc

%description mathabx-type1-doc
Documentation for mathabx-type1

%package mathdesign
Provides: tex-mathdesign = %{tl_version}
License: GPL+
Summary: Mathematical fonts to fit with particular text fonts
Version: svn31639.2.31

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(fontenc.sty)
Requires: tex(xkeyval.sty)
Requires: tex(texnansi.enc)
Provides: tex(a_2dncez.enc) = %{tl_version}
Provides: tex(a_2rwgaw.enc) = %{tl_version}
Provides: tex(a_42s2zl.enc) = %{tl_version}
Provides: tex(a_45o73x.enc) = %{tl_version}
Provides: tex(a_4b5i6w.enc) = %{tl_version}
Provides: tex(a_57soyv.enc) = %{tl_version}
Provides: tex(a_csqf63.enc) = %{tl_version}
Provides: tex(a_e65dz6.enc) = %{tl_version}
Provides: tex(a_g2masa.enc) = %{tl_version}
Provides: tex(a_g47ck7.enc) = %{tl_version}
Provides: tex(a_ipzj2o.enc) = %{tl_version}
Provides: tex(a_kld4uc.enc) = %{tl_version}
Provides: tex(a_mdpn2k.enc) = %{tl_version}
Provides: tex(a_n2elaj.enc) = %{tl_version}
Provides: tex(a_oxfbe4.enc) = %{tl_version}
Provides: tex(a_py5znv.enc) = %{tl_version}
Provides: tex(a_qnfjtt.enc) = %{tl_version}
Provides: tex(a_qzg4u4.enc) = %{tl_version}
Provides: tex(a_r2nxhw.enc) = %{tl_version}
Provides: tex(a_rl4tn2.enc) = %{tl_version}
Provides: tex(a_rxz3ga.enc) = %{tl_version}
Provides: tex(a_telfo7.enc) = %{tl_version}
Provides: tex(a_uwwzqd.enc) = %{tl_version}
Provides: tex(a_yezm6g.enc) = %{tl_version}
Provides: tex(md8x.enc) = %{tl_version}
Provides: tex(mdbch.map) = %{tl_version}
Provides: tex(mdgreek.map) = %{tl_version}
Provides: tex(mdici.map) = %{tl_version}
Provides: tex(mdpgd.map) = %{tl_version}
Provides: tex(mdpus.map) = %{tl_version}
Provides: tex(mdput.map) = %{tl_version}
Provides: tex(mdugm.map) = %{tl_version}
Provides: tex(bchb8a.tfm) = %{tl_version}
Provides: tex(bchbc8a.tfm) = %{tl_version}
Provides: tex(bchbc8y.tfm) = %{tl_version}
Provides: tex(bchbi8a.tfm) = %{tl_version}
Provides: tex(bchr8a.tfm) = %{tl_version}
Provides: tex(bchrc8a.tfm) = %{tl_version}
Provides: tex(bchrc8y.tfm) = %{tl_version}
Provides: tex(bchri8a.tfm) = %{tl_version}
Provides: tex(md-chb7m.tfm) = %{tl_version}
Provides: tex(md-chb7t.tfm) = %{tl_version}
Provides: tex(md-chb7v.tfm) = %{tl_version}
Provides: tex(md-chb7y.tfm) = %{tl_version}
Provides: tex(md-chb8c.tfm) = %{tl_version}
Provides: tex(md-chb8t.tfm) = %{tl_version}
Provides: tex(md-chb8y.tfm) = %{tl_version}
Provides: tex(md-chbc8y.tfm) = %{tl_version}
Provides: tex(md-chbi7m.tfm) = %{tl_version}
Provides: tex(md-chbi7t.tfm) = %{tl_version}
Provides: tex(md-chbi8c.tfm) = %{tl_version}
Provides: tex(md-chbi8t.tfm) = %{tl_version}
Provides: tex(md-chbi8y.tfm) = %{tl_version}
Provides: tex(md-chbma.tfm) = %{tl_version}
Provides: tex(md-chbmb.tfm) = %{tl_version}
Provides: tex(md-chbo7t.tfm) = %{tl_version}
Provides: tex(md-chbo8c.tfm) = %{tl_version}
Provides: tex(md-chbo8t.tfm) = %{tl_version}
Provides: tex(md-chbo8y.tfm) = %{tl_version}
Provides: tex(md-chboc8y.tfm) = %{tl_version}
Provides: tex(md-chr7m.tfm) = %{tl_version}
Provides: tex(md-chr7t.tfm) = %{tl_version}
Provides: tex(md-chr7v.tfm) = %{tl_version}
Provides: tex(md-chr7y.tfm) = %{tl_version}
Provides: tex(md-chr8c.tfm) = %{tl_version}
Provides: tex(md-chr8t.tfm) = %{tl_version}
Provides: tex(md-chr8y.tfm) = %{tl_version}
Provides: tex(md-chrc8y.tfm) = %{tl_version}
Provides: tex(md-chree.tfm) = %{tl_version}
Provides: tex(md-chri7m.tfm) = %{tl_version}
Provides: tex(md-chri7t.tfm) = %{tl_version}
Provides: tex(md-chri8c.tfm) = %{tl_version}
Provides: tex(md-chri8t.tfm) = %{tl_version}
Provides: tex(md-chri8y.tfm) = %{tl_version}
Provides: tex(md-chrma.tfm) = %{tl_version}
Provides: tex(md-chrmb.tfm) = %{tl_version}
Provides: tex(md-chro7t.tfm) = %{tl_version}
Provides: tex(md-chro8c.tfm) = %{tl_version}
Provides: tex(md-chro8t.tfm) = %{tl_version}
Provides: tex(md-chro8y.tfm) = %{tl_version}
Provides: tex(md-chroc8y.tfm) = %{tl_version}
Provides: tex(mdbchb7m.tfm) = %{tl_version}
Provides: tex(mdbchb7t.tfm) = %{tl_version}
Provides: tex(mdbchb7v.tfm) = %{tl_version}
Provides: tex(mdbchb7y.tfm) = %{tl_version}
Provides: tex(mdbchb8c.tfm) = %{tl_version}
Provides: tex(mdbchb8t.tfm) = %{tl_version}
Provides: tex(mdbchbc8t.tfm) = %{tl_version}
Provides: tex(mdbchbfc8t.tfm) = %{tl_version}
Provides: tex(mdbchbi7m.tfm) = %{tl_version}
Provides: tex(mdbchbi7t.tfm) = %{tl_version}
Provides: tex(mdbchbi8c.tfm) = %{tl_version}
Provides: tex(mdbchbi8t.tfm) = %{tl_version}
Provides: tex(mdbchbifc8t.tfm) = %{tl_version}
Provides: tex(mdbchbma.tfm) = %{tl_version}
Provides: tex(mdbchbmb.tfm) = %{tl_version}
Provides: tex(mdbchbo7t.tfm) = %{tl_version}
Provides: tex(mdbchbo8c.tfm) = %{tl_version}
Provides: tex(mdbchbo8t.tfm) = %{tl_version}
Provides: tex(mdbchbofc8t.tfm) = %{tl_version}
Provides: tex(mdbchr7m.tfm) = %{tl_version}
Provides: tex(mdbchr7t.tfm) = %{tl_version}
Provides: tex(mdbchr7v.tfm) = %{tl_version}
Provides: tex(mdbchr7y.tfm) = %{tl_version}
Provides: tex(mdbchr8c.tfm) = %{tl_version}
Provides: tex(mdbchr8t.tfm) = %{tl_version}
Provides: tex(mdbchrc8t.tfm) = %{tl_version}
Provides: tex(mdbchrfc8t.tfm) = %{tl_version}
Provides: tex(mdbchri7m.tfm) = %{tl_version}
Provides: tex(mdbchri7t.tfm) = %{tl_version}
Provides: tex(mdbchri8c.tfm) = %{tl_version}
Provides: tex(mdbchri8t.tfm) = %{tl_version}
Provides: tex(mdbchrifc8t.tfm) = %{tl_version}
Provides: tex(mdbchrma.tfm) = %{tl_version}
Provides: tex(mdbchrmb.tfm) = %{tl_version}
Provides: tex(mdbchro7t.tfm) = %{tl_version}
Provides: tex(mdbchro8c.tfm) = %{tl_version}
Provides: tex(mdbchro8t.tfm) = %{tl_version}
Provides: tex(mdbchrofc8t.tfm) = %{tl_version}
Provides: tex(md-grbb7m.tfm) = %{tl_version}
Provides: tex(md-grbbi7m.tfm) = %{tl_version}
Provides: tex(md-grbr7m.tfm) = %{tl_version}
Provides: tex(md-grbri7m.tfm) = %{tl_version}
Provides: tex(md-grdb7m.tfm) = %{tl_version}
Provides: tex(md-grdbi7m.tfm) = %{tl_version}
Provides: tex(md-grdr7m.tfm) = %{tl_version}
Provides: tex(md-grdri7m.tfm) = %{tl_version}
Provides: tex(mdgrbCb7m.tfm) = %{tl_version}
Provides: tex(mdgrbCbi7m.tfm) = %{tl_version}
Provides: tex(mdgrbCr7m.tfm) = %{tl_version}
Provides: tex(mdgrbCri7m.tfm) = %{tl_version}
Provides: tex(mdgrbb7m.tfm) = %{tl_version}
Provides: tex(mdgrbbi7m.tfm) = %{tl_version}
Provides: tex(mdgrbr7m.tfm) = %{tl_version}
Provides: tex(mdgrbri7m.tfm) = %{tl_version}
Provides: tex(mdgrdCb7m.tfm) = %{tl_version}
Provides: tex(mdgrdCbi7m.tfm) = %{tl_version}
Provides: tex(mdgrdCri7m.tfm) = %{tl_version}
Provides: tex(mdgrdb7m.tfm) = %{tl_version}
Provides: tex(mdgrdbi7m.tfm) = %{tl_version}
Provides: tex(mdgrdr7m.tfm) = %{tl_version}
Provides: tex(mdgrdrC7m.tfm) = %{tl_version}
Provides: tex(mdgrdri7m.tfm) = %{tl_version}
Provides: tex(md-cib7m.tfm) = %{tl_version}
Provides: tex(md-cib7t.tfm) = %{tl_version}
Provides: tex(md-cib7v.tfm) = %{tl_version}
Provides: tex(md-cib7y.tfm) = %{tl_version}
Provides: tex(md-cib8c.tfm) = %{tl_version}
Provides: tex(md-cib8t.tfm) = %{tl_version}
Provides: tex(md-cibee.tfm) = %{tl_version}
Provides: tex(md-cibi7m.tfm) = %{tl_version}
Provides: tex(md-cibi7t.tfm) = %{tl_version}
Provides: tex(md-cibi8c.tfm) = %{tl_version}
Provides: tex(md-cibi8t.tfm) = %{tl_version}
Provides: tex(md-cibma.tfm) = %{tl_version}
Provides: tex(md-cibmb.tfm) = %{tl_version}
Provides: tex(md-cir7m.tfm) = %{tl_version}
Provides: tex(md-cir7t.tfm) = %{tl_version}
Provides: tex(md-cir7v.tfm) = %{tl_version}
Provides: tex(md-cir7y.tfm) = %{tl_version}
Provides: tex(md-cir8c.tfm) = %{tl_version}
Provides: tex(md-cir8t.tfm) = %{tl_version}
Provides: tex(md-ciree.tfm) = %{tl_version}
Provides: tex(md-ciri7m.tfm) = %{tl_version}
Provides: tex(md-ciri7t.tfm) = %{tl_version}
Provides: tex(md-ciri8c.tfm) = %{tl_version}
Provides: tex(md-ciri8t.tfm) = %{tl_version}
Provides: tex(md-cirma.tfm) = %{tl_version}
Provides: tex(md-cirmb.tfm) = %{tl_version}
Provides: tex(mdicib7m.tfm) = %{tl_version}
Provides: tex(mdicib7t.tfm) = %{tl_version}
Provides: tex(mdicib7v.tfm) = %{tl_version}
Provides: tex(mdicib7y.tfm) = %{tl_version}
Provides: tex(mdicib8c.tfm) = %{tl_version}
Provides: tex(mdicib8t.tfm) = %{tl_version}
Provides: tex(mdicibc8c.tfm) = %{tl_version}
Provides: tex(mdicibc8t.tfm) = %{tl_version}
Provides: tex(mdicibfc8t.tfm) = %{tl_version}
Provides: tex(mdicibi7m.tfm) = %{tl_version}
Provides: tex(mdicibi7t.tfm) = %{tl_version}
Provides: tex(mdicibi8c.tfm) = %{tl_version}
Provides: tex(mdicibi8t.tfm) = %{tl_version}
Provides: tex(mdicibic8c.tfm) = %{tl_version}
Provides: tex(mdicibic8t.tfm) = %{tl_version}
Provides: tex(mdicibifc8t.tfm) = %{tl_version}
Provides: tex(mdicibma.tfm) = %{tl_version}
Provides: tex(mdicibmb.tfm) = %{tl_version}
Provides: tex(mdicic8c.tfm) = %{tl_version}
Provides: tex(mdicic8t.tfm) = %{tl_version}
Provides: tex(mdicicc8c.tfm) = %{tl_version}
Provides: tex(mdicicc8t.tfm) = %{tl_version}
Provides: tex(mdicicfc8t.tfm) = %{tl_version}
Provides: tex(mdicici8c.tfm) = %{tl_version}
Provides: tex(mdicici8t.tfm) = %{tl_version}
Provides: tex(mdicicic8c.tfm) = %{tl_version}
Provides: tex(mdicicic8t.tfm) = %{tl_version}
Provides: tex(mdicicifc8t.tfm) = %{tl_version}
Provides: tex(mdicir7m.tfm) = %{tl_version}
Provides: tex(mdicir7t.tfm) = %{tl_version}
Provides: tex(mdicir7v.tfm) = %{tl_version}
Provides: tex(mdicir7y.tfm) = %{tl_version}
Provides: tex(mdicir8c.tfm) = %{tl_version}
Provides: tex(mdicir8t.tfm) = %{tl_version}
Provides: tex(mdicirc8c.tfm) = %{tl_version}
Provides: tex(mdicirc8t.tfm) = %{tl_version}
Provides: tex(mdicirfc8t.tfm) = %{tl_version}
Provides: tex(mdiciri7m.tfm) = %{tl_version}
Provides: tex(mdiciri7t.tfm) = %{tl_version}
Provides: tex(mdiciri8c.tfm) = %{tl_version}
Provides: tex(mdiciri8t.tfm) = %{tl_version}
Provides: tex(mdiciric8c.tfm) = %{tl_version}
Provides: tex(mdiciric8t.tfm) = %{tl_version}
Provides: tex(mdicirifc8t.tfm) = %{tl_version}
Provides: tex(mdicirma.tfm) = %{tl_version}
Provides: tex(mdicirmb.tfm) = %{tl_version}
Provides: tex(mdwcib7m.tfm) = %{tl_version}
Provides: tex(mdwcib7y.tfm) = %{tl_version}
Provides: tex(mdwcib8t.tfm) = %{tl_version}
Provides: tex(mdwcibc8t.tfm) = %{tl_version}
Provides: tex(mdwcibi7m.tfm) = %{tl_version}
Provides: tex(mdwcibi7y.tfm) = %{tl_version}
Provides: tex(mdwcibi8t.tfm) = %{tl_version}
Provides: tex(mdwcibic8t.tfm) = %{tl_version}
Provides: tex(mdwcic7m.tfm) = %{tl_version}
Provides: tex(mdwcic7y.tfm) = %{tl_version}
Provides: tex(mdwcic8t.tfm) = %{tl_version}
Provides: tex(mdwcicc8t.tfm) = %{tl_version}
Provides: tex(mdwcici7m.tfm) = %{tl_version}
Provides: tex(mdwcici7y.tfm) = %{tl_version}
Provides: tex(mdwcici8t.tfm) = %{tl_version}
Provides: tex(mdwcicic8t.tfm) = %{tl_version}
Provides: tex(mdwcir7m.tfm) = %{tl_version}
Provides: tex(mdwcir7y.tfm) = %{tl_version}
Provides: tex(mdwcir8t.tfm) = %{tl_version}
Provides: tex(mdwcirc8t.tfm) = %{tl_version}
Provides: tex(mdwciri7m.tfm) = %{tl_version}
Provides: tex(mdwciri7y.tfm) = %{tl_version}
Provides: tex(mdwciri8t.tfm) = %{tl_version}
Provides: tex(mdwciric8t.tfm) = %{tl_version}
Provides: tex(mdxcib7t.tfm) = %{tl_version}
Provides: tex(mdxcib7y.tfm) = %{tl_version}
Provides: tex(mdxcib8t.tfm) = %{tl_version}
Provides: tex(mdxcibc8t.tfm) = %{tl_version}
Provides: tex(mdxcibi7t.tfm) = %{tl_version}
Provides: tex(mdxcibi7y.tfm) = %{tl_version}
Provides: tex(mdxcibi8t.tfm) = %{tl_version}
Provides: tex(mdxcibic8t.tfm) = %{tl_version}
Provides: tex(mdxcic7t.tfm) = %{tl_version}
Provides: tex(mdxcic7y.tfm) = %{tl_version}
Provides: tex(mdxcic8t.tfm) = %{tl_version}
Provides: tex(mdxcicc8t.tfm) = %{tl_version}
Provides: tex(mdxcici7t.tfm) = %{tl_version}
Provides: tex(mdxcici7y.tfm) = %{tl_version}
Provides: tex(mdxcici8t.tfm) = %{tl_version}
Provides: tex(mdxcicic8t.tfm) = %{tl_version}
Provides: tex(mdxcir7t.tfm) = %{tl_version}
Provides: tex(mdxcir7y.tfm) = %{tl_version}
Provides: tex(mdxcir8t.tfm) = %{tl_version}
Provides: tex(mdxcirc8t.tfm) = %{tl_version}
Provides: tex(mdxciri7t.tfm) = %{tl_version}
Provides: tex(mdxciri7y.tfm) = %{tl_version}
Provides: tex(mdxciri8t.tfm) = %{tl_version}
Provides: tex(mdxciric8t.tfm) = %{tl_version}
Provides: tex(md-gdr7m.tfm) = %{tl_version}
Provides: tex(md-gdr7t.tfm) = %{tl_version}
Provides: tex(md-gdr7v.tfm) = %{tl_version}
Provides: tex(md-gdr7y.tfm) = %{tl_version}
Provides: tex(md-gdr8c.tfm) = %{tl_version}
Provides: tex(md-gdr8t.tfm) = %{tl_version}
Provides: tex(md-gdree.tfm) = %{tl_version}
Provides: tex(md-gdri7m.tfm) = %{tl_version}
Provides: tex(md-gdri7t.tfm) = %{tl_version}
Provides: tex(md-gdri8c.tfm) = %{tl_version}
Provides: tex(md-gdri8t.tfm) = %{tl_version}
Provides: tex(md-gdrma.tfm) = %{tl_version}
Provides: tex(md-gdrmb.tfm) = %{tl_version}
Provides: tex(md-gds7m.tfm) = %{tl_version}
Provides: tex(md-gds7t.tfm) = %{tl_version}
Provides: tex(md-gds7v.tfm) = %{tl_version}
Provides: tex(md-gds7y.tfm) = %{tl_version}
Provides: tex(md-gds8c.tfm) = %{tl_version}
Provides: tex(md-gds8t.tfm) = %{tl_version}
Provides: tex(md-gdsi7m.tfm) = %{tl_version}
Provides: tex(md-gdsi7t.tfm) = %{tl_version}
Provides: tex(md-gdsi8c.tfm) = %{tl_version}
Provides: tex(md-gdsi8t.tfm) = %{tl_version}
Provides: tex(md-gdsma.tfm) = %{tl_version}
Provides: tex(md-gdsmb.tfm) = %{tl_version}
Provides: tex(mdpgdb8c.tfm) = %{tl_version}
Provides: tex(mdpgdb8t.tfm) = %{tl_version}
Provides: tex(mdpgdbc8c.tfm) = %{tl_version}
Provides: tex(mdpgdbc8t.tfm) = %{tl_version}
Provides: tex(mdpgdbfc8t.tfm) = %{tl_version}
Provides: tex(mdpgdbi8c.tfm) = %{tl_version}
Provides: tex(mdpgdbi8t.tfm) = %{tl_version}
Provides: tex(mdpgdbic8c.tfm) = %{tl_version}
Provides: tex(mdpgdbic8t.tfm) = %{tl_version}
Provides: tex(mdpgdbifc8t.tfm) = %{tl_version}
Provides: tex(mdpgdr7m.tfm) = %{tl_version}
Provides: tex(mdpgdr7t.tfm) = %{tl_version}
Provides: tex(mdpgdr7v.tfm) = %{tl_version}
Provides: tex(mdpgdr7y.tfm) = %{tl_version}
Provides: tex(mdpgdr8c.tfm) = %{tl_version}
Provides: tex(mdpgdr8t.tfm) = %{tl_version}
Provides: tex(mdpgdrc8c.tfm) = %{tl_version}
Provides: tex(mdpgdrc8t.tfm) = %{tl_version}
Provides: tex(mdpgdrfc8t.tfm) = %{tl_version}
Provides: tex(mdpgdri7m.tfm) = %{tl_version}
Provides: tex(mdpgdri7t.tfm) = %{tl_version}
Provides: tex(mdpgdri8c.tfm) = %{tl_version}
Provides: tex(mdpgdri8t.tfm) = %{tl_version}
Provides: tex(mdpgdric8c.tfm) = %{tl_version}
Provides: tex(mdpgdric8t.tfm) = %{tl_version}
Provides: tex(mdpgdrifc8t.tfm) = %{tl_version}
Provides: tex(mdpgdrma.tfm) = %{tl_version}
Provides: tex(mdpgdrmb.tfm) = %{tl_version}
Provides: tex(mdpgds7m.tfm) = %{tl_version}
Provides: tex(mdpgds7t.tfm) = %{tl_version}
Provides: tex(mdpgds7v.tfm) = %{tl_version}
Provides: tex(mdpgds7y.tfm) = %{tl_version}
Provides: tex(mdpgds8c.tfm) = %{tl_version}
Provides: tex(mdpgds8t.tfm) = %{tl_version}
Provides: tex(mdpgdsc8c.tfm) = %{tl_version}
Provides: tex(mdpgdsc8t.tfm) = %{tl_version}
Provides: tex(mdpgdsfc8t.tfm) = %{tl_version}
Provides: tex(mdpgdsi7m.tfm) = %{tl_version}
Provides: tex(mdpgdsi7t.tfm) = %{tl_version}
Provides: tex(mdpgdsi8c.tfm) = %{tl_version}
Provides: tex(mdpgdsi8t.tfm) = %{tl_version}
Provides: tex(mdpgdsic8c.tfm) = %{tl_version}
Provides: tex(mdpgdsic8t.tfm) = %{tl_version}
Provides: tex(mdpgdsifc8t.tfm) = %{tl_version}
Provides: tex(mdpgdsma.tfm) = %{tl_version}
Provides: tex(mdpgdsmb.tfm) = %{tl_version}
Provides: tex(mdwgdb7m.tfm) = %{tl_version}
Provides: tex(mdwgdb7y.tfm) = %{tl_version}
Provides: tex(mdwgdb8t.tfm) = %{tl_version}
Provides: tex(mdwgdbc8t.tfm) = %{tl_version}
Provides: tex(mdwgdbi7m.tfm) = %{tl_version}
Provides: tex(mdwgdbi7y.tfm) = %{tl_version}
Provides: tex(mdwgdbi8t.tfm) = %{tl_version}
Provides: tex(mdwgdbic8t.tfm) = %{tl_version}
Provides: tex(mdwgdr7m.tfm) = %{tl_version}
Provides: tex(mdwgdr7y.tfm) = %{tl_version}
Provides: tex(mdwgdr8t.tfm) = %{tl_version}
Provides: tex(mdwgdrc8t.tfm) = %{tl_version}
Provides: tex(mdwgdri7m.tfm) = %{tl_version}
Provides: tex(mdwgdri7y.tfm) = %{tl_version}
Provides: tex(mdwgdri8t.tfm) = %{tl_version}
Provides: tex(mdwgdric8t.tfm) = %{tl_version}
Provides: tex(mdwgds7m.tfm) = %{tl_version}
Provides: tex(mdwgds7y.tfm) = %{tl_version}
Provides: tex(mdwgds8t.tfm) = %{tl_version}
Provides: tex(mdwgdsc8t.tfm) = %{tl_version}
Provides: tex(mdwgdsi7m.tfm) = %{tl_version}
Provides: tex(mdwgdsi7y.tfm) = %{tl_version}
Provides: tex(mdwgdsi8t.tfm) = %{tl_version}
Provides: tex(mdwgdsic8t.tfm) = %{tl_version}
Provides: tex(mdxgdb7t.tfm) = %{tl_version}
Provides: tex(mdxgdb7y.tfm) = %{tl_version}
Provides: tex(mdxgdb8t.tfm) = %{tl_version}
Provides: tex(mdxgdbc8t.tfm) = %{tl_version}
Provides: tex(mdxgdbi7t.tfm) = %{tl_version}
Provides: tex(mdxgdbi7y.tfm) = %{tl_version}
Provides: tex(mdxgdbi8t.tfm) = %{tl_version}
Provides: tex(mdxgdbic8t.tfm) = %{tl_version}
Provides: tex(mdxgdr7t.tfm) = %{tl_version}
Provides: tex(mdxgdr7y.tfm) = %{tl_version}
Provides: tex(mdxgdr8t.tfm) = %{tl_version}
Provides: tex(mdxgdrc8t.tfm) = %{tl_version}
Provides: tex(mdxgdri7t.tfm) = %{tl_version}
Provides: tex(mdxgdri7y.tfm) = %{tl_version}
Provides: tex(mdxgdri8t.tfm) = %{tl_version}
Provides: tex(mdxgdric8t.tfm) = %{tl_version}
Provides: tex(mdxgds7t.tfm) = %{tl_version}
Provides: tex(mdxgds7y.tfm) = %{tl_version}
Provides: tex(mdxgds8t.tfm) = %{tl_version}
Provides: tex(mdxgdsc8t.tfm) = %{tl_version}
Provides: tex(mdxgdsi7t.tfm) = %{tl_version}
Provides: tex(mdxgdsi7y.tfm) = %{tl_version}
Provides: tex(mdxgdsi8t.tfm) = %{tl_version}
Provides: tex(mdxgdsic8t.tfm) = %{tl_version}
Provides: tex(md-usr7m.tfm) = %{tl_version}
Provides: tex(md-usr7t.tfm) = %{tl_version}
Provides: tex(md-usr7t5.tfm) = %{tl_version}
Provides: tex(md-usr7t6.tfm) = %{tl_version}
Provides: tex(md-usr7t7.tfm) = %{tl_version}
Provides: tex(md-usr7t8.tfm) = %{tl_version}
Provides: tex(md-usr7t9.tfm) = %{tl_version}
Provides: tex(md-usr7v.tfm) = %{tl_version}
Provides: tex(md-usr7y.tfm) = %{tl_version}
Provides: tex(md-usr8c.tfm) = %{tl_version}
Provides: tex(md-usr8t.tfm) = %{tl_version}
Provides: tex(md-usree.tfm) = %{tl_version}
Provides: tex(md-usri7m.tfm) = %{tl_version}
Provides: tex(md-usri7t.tfm) = %{tl_version}
Provides: tex(md-usri7t5.tfm) = %{tl_version}
Provides: tex(md-usri7t6.tfm) = %{tl_version}
Provides: tex(md-usri7t7.tfm) = %{tl_version}
Provides: tex(md-usri7t8.tfm) = %{tl_version}
Provides: tex(md-usri7t9.tfm) = %{tl_version}
Provides: tex(md-usri8c.tfm) = %{tl_version}
Provides: tex(md-usri8t.tfm) = %{tl_version}
Provides: tex(md-usrma.tfm) = %{tl_version}
Provides: tex(md-usrmb.tfm) = %{tl_version}
Provides: tex(md-uss7m.tfm) = %{tl_version}
Provides: tex(md-uss7t.tfm) = %{tl_version}
Provides: tex(md-uss7v.tfm) = %{tl_version}
Provides: tex(md-uss7y.tfm) = %{tl_version}
Provides: tex(md-uss8c.tfm) = %{tl_version}
Provides: tex(md-uss8t.tfm) = %{tl_version}
Provides: tex(md-ussi7m.tfm) = %{tl_version}
Provides: tex(md-ussi7t.tfm) = %{tl_version}
Provides: tex(md-ussi8c.tfm) = %{tl_version}
Provides: tex(md-ussi8t.tfm) = %{tl_version}
Provides: tex(md-ussma.tfm) = %{tl_version}
Provides: tex(md-ussmb.tfm) = %{tl_version}
Provides: tex(mdpusb8c.tfm) = %{tl_version}
Provides: tex(mdpusb8t.tfm) = %{tl_version}
Provides: tex(mdpusbc8c.tfm) = %{tl_version}
Provides: tex(mdpusbc8t.tfm) = %{tl_version}
Provides: tex(mdpusbfc8t.tfm) = %{tl_version}
Provides: tex(mdpusbi8c.tfm) = %{tl_version}
Provides: tex(mdpusbi8t.tfm) = %{tl_version}
Provides: tex(mdpusbic8c.tfm) = %{tl_version}
Provides: tex(mdpusbic8t.tfm) = %{tl_version}
Provides: tex(mdpusbifc8t.tfm) = %{tl_version}
Provides: tex(mdpusr7m.tfm) = %{tl_version}
Provides: tex(mdpusr7t.tfm) = %{tl_version}
Provides: tex(mdpusr7v.tfm) = %{tl_version}
Provides: tex(mdpusr7y.tfm) = %{tl_version}
Provides: tex(mdpusr8c.tfm) = %{tl_version}
Provides: tex(mdpusr8t.tfm) = %{tl_version}
Provides: tex(mdpusrc8c.tfm) = %{tl_version}
Provides: tex(mdpusrc8t.tfm) = %{tl_version}
Provides: tex(mdpusrfc8t.tfm) = %{tl_version}
Provides: tex(mdpusri7m.tfm) = %{tl_version}
Provides: tex(mdpusri7t.tfm) = %{tl_version}
Provides: tex(mdpusri8c.tfm) = %{tl_version}
Provides: tex(mdpusri8t.tfm) = %{tl_version}
Provides: tex(mdpusric8c.tfm) = %{tl_version}
Provides: tex(mdpusric8t.tfm) = %{tl_version}
Provides: tex(mdpusrifc8t.tfm) = %{tl_version}
Provides: tex(mdpusrma.tfm) = %{tl_version}
Provides: tex(mdpusrmb.tfm) = %{tl_version}
Provides: tex(mdpuss7m.tfm) = %{tl_version}
Provides: tex(mdpuss7t.tfm) = %{tl_version}
Provides: tex(mdpuss7v.tfm) = %{tl_version}
Provides: tex(mdpuss7y.tfm) = %{tl_version}
Provides: tex(mdpuss8c.tfm) = %{tl_version}
Provides: tex(mdpuss8t.tfm) = %{tl_version}
Provides: tex(mdpussc8c.tfm) = %{tl_version}
Provides: tex(mdpussc8t.tfm) = %{tl_version}
Provides: tex(mdpussfc8t.tfm) = %{tl_version}
Provides: tex(mdpussi7m.tfm) = %{tl_version}
Provides: tex(mdpussi7t.tfm) = %{tl_version}
Provides: tex(mdpussi8c.tfm) = %{tl_version}
Provides: tex(mdpussi8t.tfm) = %{tl_version}
Provides: tex(mdpussic8c.tfm) = %{tl_version}
Provides: tex(mdpussic8t.tfm) = %{tl_version}
Provides: tex(mdpussifc8t.tfm) = %{tl_version}
Provides: tex(mdpussma.tfm) = %{tl_version}
Provides: tex(mdpussmb.tfm) = %{tl_version}
Provides: tex(mdwusb7m.tfm) = %{tl_version}
Provides: tex(mdwusb7y.tfm) = %{tl_version}
Provides: tex(mdwusb8t.tfm) = %{tl_version}
Provides: tex(mdwusbc8t.tfm) = %{tl_version}
Provides: tex(mdwusbi7m.tfm) = %{tl_version}
Provides: tex(mdwusbi7y.tfm) = %{tl_version}
Provides: tex(mdwusbi8t.tfm) = %{tl_version}
Provides: tex(mdwusbic8t.tfm) = %{tl_version}
Provides: tex(mdwusr7m.tfm) = %{tl_version}
Provides: tex(mdwusr7y.tfm) = %{tl_version}
Provides: tex(mdwusr8t.tfm) = %{tl_version}
Provides: tex(mdwusrc8t.tfm) = %{tl_version}
Provides: tex(mdwusri7m.tfm) = %{tl_version}
Provides: tex(mdwusri7y.tfm) = %{tl_version}
Provides: tex(mdwusri8t.tfm) = %{tl_version}
Provides: tex(mdwusric8t.tfm) = %{tl_version}
Provides: tex(mdwuss7m.tfm) = %{tl_version}
Provides: tex(mdwuss7y.tfm) = %{tl_version}
Provides: tex(mdwuss8t.tfm) = %{tl_version}
Provides: tex(mdwussc8t.tfm) = %{tl_version}
Provides: tex(mdwussi7m.tfm) = %{tl_version}
Provides: tex(mdwussi7y.tfm) = %{tl_version}
Provides: tex(mdwussi8t.tfm) = %{tl_version}
Provides: tex(mdwussic8t.tfm) = %{tl_version}
Provides: tex(mdxusb7t.tfm) = %{tl_version}
Provides: tex(mdxusb7y.tfm) = %{tl_version}
Provides: tex(mdxusb8t.tfm) = %{tl_version}
Provides: tex(mdxusbc8t.tfm) = %{tl_version}
Provides: tex(mdxusbi7t.tfm) = %{tl_version}
Provides: tex(mdxusbi7y.tfm) = %{tl_version}
Provides: tex(mdxusbi8t.tfm) = %{tl_version}
Provides: tex(mdxusbic8t.tfm) = %{tl_version}
Provides: tex(mdxusr7t.tfm) = %{tl_version}
Provides: tex(mdxusr7y.tfm) = %{tl_version}
Provides: tex(mdxusr8t.tfm) = %{tl_version}
Provides: tex(mdxusrc8t.tfm) = %{tl_version}
Provides: tex(mdxusri7t.tfm) = %{tl_version}
Provides: tex(mdxusri7y.tfm) = %{tl_version}
Provides: tex(mdxusri8t.tfm) = %{tl_version}
Provides: tex(mdxusric8t.tfm) = %{tl_version}
Provides: tex(mdxuss7t.tfm) = %{tl_version}
Provides: tex(mdxuss7y.tfm) = %{tl_version}
Provides: tex(mdxuss8t.tfm) = %{tl_version}
Provides: tex(mdxussc8t.tfm) = %{tl_version}
Provides: tex(mdxussi7t.tfm) = %{tl_version}
Provides: tex(mdxussi7y.tfm) = %{tl_version}
Provides: tex(mdxussi8t.tfm) = %{tl_version}
Provides: tex(mdxussic8t.tfm) = %{tl_version}
Provides: tex(md-utb7m.tfm) = %{tl_version}
Provides: tex(md-utb7t.tfm) = %{tl_version}
Provides: tex(md-utb7v.tfm) = %{tl_version}
Provides: tex(md-utb7y.tfm) = %{tl_version}
Provides: tex(md-utb8c.tfm) = %{tl_version}
Provides: tex(md-utb8t.tfm) = %{tl_version}
Provides: tex(md-utb8y.tfm) = %{tl_version}
Provides: tex(md-utbee.tfm) = %{tl_version}
Provides: tex(md-utbi7m.tfm) = %{tl_version}
Provides: tex(md-utbi7t.tfm) = %{tl_version}
Provides: tex(md-utbi8c.tfm) = %{tl_version}
Provides: tex(md-utbi8t.tfm) = %{tl_version}
Provides: tex(md-utbi8y.tfm) = %{tl_version}
Provides: tex(md-utbma.tfm) = %{tl_version}
Provides: tex(md-utbmb.tfm) = %{tl_version}
Provides: tex(md-utbo7t.tfm) = %{tl_version}
Provides: tex(md-utbo8c.tfm) = %{tl_version}
Provides: tex(md-utbo8t.tfm) = %{tl_version}
Provides: tex(md-utbo8y.tfm) = %{tl_version}
Provides: tex(md-utr7m.tfm) = %{tl_version}
Provides: tex(md-utr7t.tfm) = %{tl_version}
Provides: tex(md-utr7v.tfm) = %{tl_version}
Provides: tex(md-utr7y.tfm) = %{tl_version}
Provides: tex(md-utr8c.tfm) = %{tl_version}
Provides: tex(md-utr8t.tfm) = %{tl_version}
Provides: tex(md-utr8y.tfm) = %{tl_version}
Provides: tex(md-utree.tfm) = %{tl_version}
Provides: tex(md-utri7m.tfm) = %{tl_version}
Provides: tex(md-utri7t.tfm) = %{tl_version}
Provides: tex(md-utri8c.tfm) = %{tl_version}
Provides: tex(md-utri8t.tfm) = %{tl_version}
Provides: tex(md-utri8y.tfm) = %{tl_version}
Provides: tex(md-utrma.tfm) = %{tl_version}
Provides: tex(md-utrmb.tfm) = %{tl_version}
Provides: tex(md-utro7t.tfm) = %{tl_version}
Provides: tex(md-utro8c.tfm) = %{tl_version}
Provides: tex(md-utro8t.tfm) = %{tl_version}
Provides: tex(md-utro8y.tfm) = %{tl_version}
Provides: tex(mdputb7m.tfm) = %{tl_version}
Provides: tex(mdputb7t.tfm) = %{tl_version}
Provides: tex(mdputb7v.tfm) = %{tl_version}
Provides: tex(mdputb7y.tfm) = %{tl_version}
Provides: tex(mdputb8c.tfm) = %{tl_version}
Provides: tex(mdputb8t.tfm) = %{tl_version}
Provides: tex(mdputbc8t.tfm) = %{tl_version}
Provides: tex(mdputbfc8t.tfm) = %{tl_version}
Provides: tex(mdputbi7m.tfm) = %{tl_version}
Provides: tex(mdputbi7t.tfm) = %{tl_version}
Provides: tex(mdputbi8c.tfm) = %{tl_version}
Provides: tex(mdputbi8t.tfm) = %{tl_version}
Provides: tex(mdputbifc8t.tfm) = %{tl_version}
Provides: tex(mdputbma.tfm) = %{tl_version}
Provides: tex(mdputbmb.tfm) = %{tl_version}
Provides: tex(mdputbo7t.tfm) = %{tl_version}
Provides: tex(mdputbo8c.tfm) = %{tl_version}
Provides: tex(mdputbo8t.tfm) = %{tl_version}
Provides: tex(mdputbofc8t.tfm) = %{tl_version}
Provides: tex(mdputr7m.tfm) = %{tl_version}
Provides: tex(mdputr7t.tfm) = %{tl_version}
Provides: tex(mdputr7v.tfm) = %{tl_version}
Provides: tex(mdputr7y.tfm) = %{tl_version}
Provides: tex(mdputr8c.tfm) = %{tl_version}
Provides: tex(mdputr8t.tfm) = %{tl_version}
Provides: tex(mdputrc8t.tfm) = %{tl_version}
Provides: tex(mdputrfc8t.tfm) = %{tl_version}
Provides: tex(mdputri7m.tfm) = %{tl_version}
Provides: tex(mdputri7t.tfm) = %{tl_version}
Provides: tex(mdputri8c.tfm) = %{tl_version}
Provides: tex(mdputri8t.tfm) = %{tl_version}
Provides: tex(mdputrifc8t.tfm) = %{tl_version}
Provides: tex(mdputrma.tfm) = %{tl_version}
Provides: tex(mdputrmb.tfm) = %{tl_version}
Provides: tex(mdputro7t.tfm) = %{tl_version}
Provides: tex(mdputro8c.tfm) = %{tl_version}
Provides: tex(mdputro8t.tfm) = %{tl_version}
Provides: tex(mdputrofc8t.tfm) = %{tl_version}
Provides: tex(putb8a.tfm) = %{tl_version}
Provides: tex(putb8x.tfm) = %{tl_version}
Provides: tex(putbi8a.tfm) = %{tl_version}
Provides: tex(putr8a.tfm) = %{tl_version}
Provides: tex(putr8x.tfm) = %{tl_version}
Provides: tex(putri8a.tfm) = %{tl_version}
Provides: tex(md-gmm7m.tfm) = %{tl_version}
Provides: tex(md-gmm7t.tfm) = %{tl_version}
Provides: tex(md-gmm7v.tfm) = %{tl_version}
Provides: tex(md-gmm7y.tfm) = %{tl_version}
Provides: tex(md-gmm8c.tfm) = %{tl_version}
Provides: tex(md-gmm8t.tfm) = %{tl_version}
Provides: tex(md-gmm8y.tfm) = %{tl_version}
Provides: tex(md-gmmi7m.tfm) = %{tl_version}
Provides: tex(md-gmmi7t.tfm) = %{tl_version}
Provides: tex(md-gmmi8c.tfm) = %{tl_version}
Provides: tex(md-gmmi8t.tfm) = %{tl_version}
Provides: tex(md-gmmi8y.tfm) = %{tl_version}
Provides: tex(md-gmmma.tfm) = %{tl_version}
Provides: tex(md-gmmmb.tfm) = %{tl_version}
Provides: tex(md-gmmo7t.tfm) = %{tl_version}
Provides: tex(md-gmmo8c.tfm) = %{tl_version}
Provides: tex(md-gmmo8t.tfm) = %{tl_version}
Provides: tex(md-gmmo8y.tfm) = %{tl_version}
Provides: tex(md-gmr7m.tfm) = %{tl_version}
Provides: tex(md-gmr7t.tfm) = %{tl_version}
Provides: tex(md-gmr7v.tfm) = %{tl_version}
Provides: tex(md-gmr7y.tfm) = %{tl_version}
Provides: tex(md-gmr8c.tfm) = %{tl_version}
Provides: tex(md-gmr8t.tfm) = %{tl_version}
Provides: tex(md-gmr8y.tfm) = %{tl_version}
Provides: tex(md-gmree.tfm) = %{tl_version}
Provides: tex(md-gmri7m.tfm) = %{tl_version}
Provides: tex(md-gmri7t.tfm) = %{tl_version}
Provides: tex(md-gmri8c.tfm) = %{tl_version}
Provides: tex(md-gmri8t.tfm) = %{tl_version}
Provides: tex(md-gmri8y.tfm) = %{tl_version}
Provides: tex(md-gmrma.tfm) = %{tl_version}
Provides: tex(md-gmrmb.tfm) = %{tl_version}
Provides: tex(md-gmro7t.tfm) = %{tl_version}
Provides: tex(md-gmro8c.tfm) = %{tl_version}
Provides: tex(md-gmro8t.tfm) = %{tl_version}
Provides: tex(md-gmro8y.tfm) = %{tl_version}
Provides: tex(mdugmm7m.tfm) = %{tl_version}
Provides: tex(mdugmm7t.tfm) = %{tl_version}
Provides: tex(mdugmm7v.tfm) = %{tl_version}
Provides: tex(mdugmm7y.tfm) = %{tl_version}
Provides: tex(mdugmm8c.tfm) = %{tl_version}
Provides: tex(mdugmm8t.tfm) = %{tl_version}
Provides: tex(mdugmmfc8t.tfm) = %{tl_version}
Provides: tex(mdugmmi7m.tfm) = %{tl_version}
Provides: tex(mdugmmi7t.tfm) = %{tl_version}
Provides: tex(mdugmmi8c.tfm) = %{tl_version}
Provides: tex(mdugmmi8t.tfm) = %{tl_version}
Provides: tex(mdugmmifc8t.tfm) = %{tl_version}
Provides: tex(mdugmmma.tfm) = %{tl_version}
Provides: tex(mdugmmmb.tfm) = %{tl_version}
Provides: tex(mdugmmo7t.tfm) = %{tl_version}
Provides: tex(mdugmmo8c.tfm) = %{tl_version}
Provides: tex(mdugmmo8t.tfm) = %{tl_version}
Provides: tex(mdugmmofc8t.tfm) = %{tl_version}
Provides: tex(mdugmr7m.tfm) = %{tl_version}
Provides: tex(mdugmr7t.tfm) = %{tl_version}
Provides: tex(mdugmr7v.tfm) = %{tl_version}
Provides: tex(mdugmr7y.tfm) = %{tl_version}
Provides: tex(mdugmr8c.tfm) = %{tl_version}
Provides: tex(mdugmr8t.tfm) = %{tl_version}
Provides: tex(mdugmrfc8t.tfm) = %{tl_version}
Provides: tex(mdugmri7m.tfm) = %{tl_version}
Provides: tex(mdugmri7t.tfm) = %{tl_version}
Provides: tex(mdugmri8c.tfm) = %{tl_version}
Provides: tex(mdugmri8t.tfm) = %{tl_version}
Provides: tex(mdugmrifc8t.tfm) = %{tl_version}
Provides: tex(mdugmrma.tfm) = %{tl_version}
Provides: tex(mdugmrmb.tfm) = %{tl_version}
Provides: tex(mdugmro7t.tfm) = %{tl_version}
Provides: tex(mdugmro8c.tfm) = %{tl_version}
Provides: tex(mdugmro8t.tfm) = %{tl_version}
Provides: tex(mdugmrofc8t.tfm) = %{tl_version}
Provides: tex(ugmm8a.tfm) = %{tl_version}
Provides: tex(ugmmi8a.tfm) = %{tl_version}
Provides: tex(ugmr8a.tfm) = %{tl_version}
Provides: tex(ugmri8a.tfm) = %{tl_version}
Provides: tex(md-chb7m.pfb) = %{tl_version}
Provides: tex(md-chb7t.pfb) = %{tl_version}
Provides: tex(md-chb7v.pfb) = %{tl_version}
Provides: tex(md-chb7y.pfb) = %{tl_version}
Provides: tex(md-chb8c.pfb) = %{tl_version}
Provides: tex(md-chb8t.pfb) = %{tl_version}
Provides: tex(md-chbi7m.pfb) = %{tl_version}
Provides: tex(md-chbi7t.pfb) = %{tl_version}
Provides: tex(md-chbi8c.pfb) = %{tl_version}
Provides: tex(md-chbi8t.pfb) = %{tl_version}
Provides: tex(md-chbma.pfb) = %{tl_version}
Provides: tex(md-chbmb.pfb) = %{tl_version}
Provides: tex(md-chr7m.pfb) = %{tl_version}
Provides: tex(md-chr7t.pfb) = %{tl_version}
Provides: tex(md-chr7v.pfb) = %{tl_version}
Provides: tex(md-chr7y.pfb) = %{tl_version}
Provides: tex(md-chr8c.pfb) = %{tl_version}
Provides: tex(md-chr8t.pfb) = %{tl_version}
Provides: tex(md-chree.pfb) = %{tl_version}
Provides: tex(md-chri7m.pfb) = %{tl_version}
Provides: tex(md-chri7t.pfb) = %{tl_version}
Provides: tex(md-chri8c.pfb) = %{tl_version}
Provides: tex(md-chri8t.pfb) = %{tl_version}
Provides: tex(md-chrma.pfb) = %{tl_version}
Provides: tex(md-chrmb.pfb) = %{tl_version}
Provides: tex(UtopiaStd-Regular.pfb) = %{tl_version}
Provides: tex(md-cib7m.pfb) = %{tl_version}
Provides: tex(md-cib7t.pfb) = %{tl_version}
Provides: tex(md-cib7v.pfb) = %{tl_version}
Provides: tex(md-cib7y.pfb) = %{tl_version}
Provides: tex(md-cib8c.pfb) = %{tl_version}
Provides: tex(md-cib8t.pfb) = %{tl_version}
Provides: tex(md-cibee.pfb) = %{tl_version}
Provides: tex(md-cibi7m.pfb) = %{tl_version}
Provides: tex(md-cibi7t.pfb) = %{tl_version}
Provides: tex(md-cibi8c.pfb) = %{tl_version}
Provides: tex(md-cibi8t.pfb) = %{tl_version}
Provides: tex(md-cibma.pfb) = %{tl_version}
Provides: tex(md-cibmb.pfb) = %{tl_version}
Provides: tex(md-cir7m.pfb) = %{tl_version}
Provides: tex(md-cir7t.pfb) = %{tl_version}
Provides: tex(md-cir7v.pfb) = %{tl_version}
Provides: tex(md-cir7y.pfb) = %{tl_version}
Provides: tex(md-cir8c.pfb) = %{tl_version}
Provides: tex(md-cir8t.pfb) = %{tl_version}
Provides: tex(md-ciree.pfb) = %{tl_version}
Provides: tex(md-ciri7m.pfb) = %{tl_version}
Provides: tex(md-ciri7t.pfb) = %{tl_version}
Provides: tex(md-ciri8c.pfb) = %{tl_version}
Provides: tex(md-ciri8t.pfb) = %{tl_version}
Provides: tex(md-cirma.pfb) = %{tl_version}
Provides: tex(md-cirmb.pfb) = %{tl_version}
Provides: tex(md-gdr7m.pfb) = %{tl_version}
Provides: tex(md-gdr7t.pfb) = %{tl_version}
Provides: tex(md-gdr7v.pfb) = %{tl_version}
Provides: tex(md-gdr7y.pfb) = %{tl_version}
Provides: tex(md-gdr8c.pfb) = %{tl_version}
Provides: tex(md-gdr8t.pfb) = %{tl_version}
Provides: tex(md-gdree.pfb) = %{tl_version}
Provides: tex(md-gdri7m.pfb) = %{tl_version}
Provides: tex(md-gdri7t.pfb) = %{tl_version}
Provides: tex(md-gdri8c.pfb) = %{tl_version}
Provides: tex(md-gdri8t.pfb) = %{tl_version}
Provides: tex(md-gdrma.pfb) = %{tl_version}
Provides: tex(md-gdrmb.pfb) = %{tl_version}
Provides: tex(md-gds7m.pfb) = %{tl_version}
Provides: tex(md-gds7t.pfb) = %{tl_version}
Provides: tex(md-gds7v.pfb) = %{tl_version}
Provides: tex(md-gds7y.pfb) = %{tl_version}
Provides: tex(md-gds8c.pfb) = %{tl_version}
Provides: tex(md-gds8t.pfb) = %{tl_version}
Provides: tex(md-gdsi7m.pfb) = %{tl_version}
Provides: tex(md-gdsi7t.pfb) = %{tl_version}
Provides: tex(md-gdsi8c.pfb) = %{tl_version}
Provides: tex(md-gdsi8t.pfb) = %{tl_version}
Provides: tex(md-gdsma.pfb) = %{tl_version}
Provides: tex(md-gdsmb.pfb) = %{tl_version}
Provides: tex(md-utrma.pfb) = %{tl_version}
Provides: tex(md-usr7m.pfb) = %{tl_version}
Provides: tex(md-usr7t.pfb) = %{tl_version}
Provides: tex(md-usr7t5.pfb) = %{tl_version}
Provides: tex(md-usr7t6.pfb) = %{tl_version}
Provides: tex(md-usr7t7.pfb) = %{tl_version}
Provides: tex(md-usr7t8.pfb) = %{tl_version}
Provides: tex(md-usr7t9.pfb) = %{tl_version}
Provides: tex(md-usr7v.pfb) = %{tl_version}
Provides: tex(md-usr7y.pfb) = %{tl_version}
Provides: tex(md-usr8c.pfb) = %{tl_version}
Provides: tex(md-usr8t.pfb) = %{tl_version}
Provides: tex(md-usree.pfb) = %{tl_version}
Provides: tex(md-usri7m.pfb) = %{tl_version}
Provides: tex(md-usri7t.pfb) = %{tl_version}
Provides: tex(md-usri7t5.pfb) = %{tl_version}
Provides: tex(md-usri7t6.pfb) = %{tl_version}
Provides: tex(md-usri7t7.pfb) = %{tl_version}
Provides: tex(md-usri7t8.pfb) = %{tl_version}
Provides: tex(md-usri7t9.pfb) = %{tl_version}
Provides: tex(md-usri8c.pfb) = %{tl_version}
Provides: tex(md-usri8t.pfb) = %{tl_version}
Provides: tex(md-usrma.pfb) = %{tl_version}
Provides: tex(md-usrmb.pfb) = %{tl_version}
Provides: tex(md-uss7m.pfb) = %{tl_version}
Provides: tex(md-uss7t.pfb) = %{tl_version}
Provides: tex(md-uss7v.pfb) = %{tl_version}
Provides: tex(md-uss7y.pfb) = %{tl_version}
Provides: tex(md-uss8c.pfb) = %{tl_version}
Provides: tex(md-uss8t.pfb) = %{tl_version}
Provides: tex(md-ussi7m.pfb) = %{tl_version}
Provides: tex(md-ussi7t.pfb) = %{tl_version}
Provides: tex(md-ussi8c.pfb) = %{tl_version}
Provides: tex(md-ussi8t.pfb) = %{tl_version}
Provides: tex(md-ussma.pfb) = %{tl_version}
Provides: tex(md-ussmb.pfb) = %{tl_version}
Provides: tex(md-utb7m.pfb) = %{tl_version}
Provides: tex(md-utb7t.pfb) = %{tl_version}
Provides: tex(md-utb7v.pfb) = %{tl_version}
Provides: tex(md-utb7y.pfb) = %{tl_version}
Provides: tex(md-utb8c.pfb) = %{tl_version}
Provides: tex(md-utb8t.pfb) = %{tl_version}
Provides: tex(md-utbee.pfb) = %{tl_version}
Provides: tex(md-utbi7m.pfb) = %{tl_version}
Provides: tex(md-utbi7t.pfb) = %{tl_version}
Provides: tex(md-utbi8c.pfb) = %{tl_version}
Provides: tex(md-utbi8t.pfb) = %{tl_version}
Provides: tex(md-utbma.pfb) = %{tl_version}
Provides: tex(md-utbmb.pfb) = %{tl_version}
Provides: tex(md-utr7m.pfb) = %{tl_version}
Provides: tex(md-utr7t.pfb) = %{tl_version}
Provides: tex(md-utr7v.pfb) = %{tl_version}
Provides: tex(md-utr7y.pfb) = %{tl_version}
Provides: tex(md-utr8c.pfb) = %{tl_version}
Provides: tex(md-utr8t.pfb) = %{tl_version}
Provides: tex(md-utree.pfb) = %{tl_version}
Provides: tex(md-utri7m.pfb) = %{tl_version}
Provides: tex(md-utri7t.pfb) = %{tl_version}
Provides: tex(md-utri8c.pfb) = %{tl_version}
Provides: tex(md-utri8t.pfb) = %{tl_version}
Provides: tex(md-utrma.pfb) = %{tl_version}
Provides: tex(md-utrmb.pfb) = %{tl_version}
Provides: tex(md-gmm7m.pfb) = %{tl_version}
Provides: tex(md-gmm7t.pfb) = %{tl_version}
Provides: tex(md-gmm7v.pfb) = %{tl_version}
Provides: tex(md-gmm7y.pfb) = %{tl_version}
Provides: tex(md-gmm8c.pfb) = %{tl_version}
Provides: tex(md-gmm8t.pfb) = %{tl_version}
Provides: tex(md-gmmi7m.pfb) = %{tl_version}
Provides: tex(md-gmmi7t.pfb) = %{tl_version}
Provides: tex(md-gmmi8c.pfb) = %{tl_version}
Provides: tex(md-gmmi8t.pfb) = %{tl_version}
Provides: tex(md-gmmma.pfb) = %{tl_version}
Provides: tex(md-gmmmb.pfb) = %{tl_version}
Provides: tex(md-gmr7m.pfb) = %{tl_version}
Provides: tex(md-gmr7t.pfb) = %{tl_version}
Provides: tex(md-gmr7v.pfb) = %{tl_version}
Provides: tex(md-gmr7y.pfb) = %{tl_version}
Provides: tex(md-gmr8c.pfb) = %{tl_version}
Provides: tex(md-gmr8t.pfb) = %{tl_version}
Provides: tex(md-gmree.pfb) = %{tl_version}
Provides: tex(md-gmri7m.pfb) = %{tl_version}
Provides: tex(md-gmri7t.pfb) = %{tl_version}
Provides: tex(md-gmri8c.pfb) = %{tl_version}
Provides: tex(md-gmri8t.pfb) = %{tl_version}
Provides: tex(md-gmrma.pfb) = %{tl_version}
Provides: tex(md-gmrmb.pfb) = %{tl_version}
Provides: tex(mdbchb7m.vf) = %{tl_version}
Provides: tex(mdbchb7t.vf) = %{tl_version}
Provides: tex(mdbchb7v.vf) = %{tl_version}
Provides: tex(mdbchb7y.vf) = %{tl_version}
Provides: tex(mdbchb8c.vf) = %{tl_version}
Provides: tex(mdbchb8t.vf) = %{tl_version}
Provides: tex(mdbchbc8t.vf) = %{tl_version}
Provides: tex(mdbchbfc8t.vf) = %{tl_version}
Provides: tex(mdbchbi7m.vf) = %{tl_version}
Provides: tex(mdbchbi7t.vf) = %{tl_version}
Provides: tex(mdbchbi8c.vf) = %{tl_version}
Provides: tex(mdbchbi8t.vf) = %{tl_version}
Provides: tex(mdbchbifc8t.vf) = %{tl_version}
Provides: tex(mdbchbma.vf) = %{tl_version}
Provides: tex(mdbchbmb.vf) = %{tl_version}
Provides: tex(mdbchbo7t.vf) = %{tl_version}
Provides: tex(mdbchbo8c.vf) = %{tl_version}
Provides: tex(mdbchbo8t.vf) = %{tl_version}
Provides: tex(mdbchbofc8t.vf) = %{tl_version}
Provides: tex(mdbchr7m.vf) = %{tl_version}
Provides: tex(mdbchr7t.vf) = %{tl_version}
Provides: tex(mdbchr7v.vf) = %{tl_version}
Provides: tex(mdbchr7y.vf) = %{tl_version}
Provides: tex(mdbchr8c.vf) = %{tl_version}
Provides: tex(mdbchr8t.vf) = %{tl_version}
Provides: tex(mdbchrc8t.vf) = %{tl_version}
Provides: tex(mdbchrfc8t.vf) = %{tl_version}
Provides: tex(mdbchri7m.vf) = %{tl_version}
Provides: tex(mdbchri7t.vf) = %{tl_version}
Provides: tex(mdbchri8c.vf) = %{tl_version}
Provides: tex(mdbchri8t.vf) = %{tl_version}
Provides: tex(mdbchrifc8t.vf) = %{tl_version}
Provides: tex(mdbchrma.vf) = %{tl_version}
Provides: tex(mdbchrmb.vf) = %{tl_version}
Provides: tex(mdbchro7t.vf) = %{tl_version}
Provides: tex(mdbchro8c.vf) = %{tl_version}
Provides: tex(mdbchro8t.vf) = %{tl_version}
Provides: tex(mdbchrofc8t.vf) = %{tl_version}
Provides: tex(mdgrbCb7m.vf) = %{tl_version}
Provides: tex(mdgrbCbi7m.vf) = %{tl_version}
Provides: tex(mdgrbCr7m.vf) = %{tl_version}
Provides: tex(mdgrbCri7m.vf) = %{tl_version}
Provides: tex(mdgrbb7m.vf) = %{tl_version}
Provides: tex(mdgrbbi7m.vf) = %{tl_version}
Provides: tex(mdgrbr7m.vf) = %{tl_version}
Provides: tex(mdgrbri7m.vf) = %{tl_version}
Provides: tex(mdgrdCb7m.vf) = %{tl_version}
Provides: tex(mdgrdCbi7m.vf) = %{tl_version}
Provides: tex(mdgrdCri7m.vf) = %{tl_version}
Provides: tex(mdgrdb7m.vf) = %{tl_version}
Provides: tex(mdgrdbi7m.vf) = %{tl_version}
Provides: tex(mdgrdr7m.vf) = %{tl_version}
Provides: tex(mdgrdrC7m.vf) = %{tl_version}
Provides: tex(mdgrdri7m.vf) = %{tl_version}
Provides: tex(mdicib7m.vf) = %{tl_version}
Provides: tex(mdicib7t.vf) = %{tl_version}
Provides: tex(mdicib7v.vf) = %{tl_version}
Provides: tex(mdicib7y.vf) = %{tl_version}
Provides: tex(mdicib8c.vf) = %{tl_version}
Provides: tex(mdicib8t.vf) = %{tl_version}
Provides: tex(mdicibc8c.vf) = %{tl_version}
Provides: tex(mdicibc8t.vf) = %{tl_version}
Provides: tex(mdicibfc8t.vf) = %{tl_version}
Provides: tex(mdicibi7m.vf) = %{tl_version}
Provides: tex(mdicibi7t.vf) = %{tl_version}
Provides: tex(mdicibi8c.vf) = %{tl_version}
Provides: tex(mdicibi8t.vf) = %{tl_version}
Provides: tex(mdicibic8c.vf) = %{tl_version}
Provides: tex(mdicibic8t.vf) = %{tl_version}
Provides: tex(mdicibifc8t.vf) = %{tl_version}
Provides: tex(mdicibiu7m.vf) = %{tl_version}
Provides: tex(mdicibma.vf) = %{tl_version}
Provides: tex(mdicibmb.vf) = %{tl_version}
Provides: tex(mdicibui7m.vf) = %{tl_version}
Provides: tex(mdicic8c.vf) = %{tl_version}
Provides: tex(mdicic8t.vf) = %{tl_version}
Provides: tex(mdicicc8c.vf) = %{tl_version}
Provides: tex(mdicicc8t.vf) = %{tl_version}
Provides: tex(mdicicfc8t.vf) = %{tl_version}
Provides: tex(mdicici8c.vf) = %{tl_version}
Provides: tex(mdicici8t.vf) = %{tl_version}
Provides: tex(mdicicic8c.vf) = %{tl_version}
Provides: tex(mdicicic8t.vf) = %{tl_version}
Provides: tex(mdicicifc8t.vf) = %{tl_version}
Provides: tex(mdicir7m.vf) = %{tl_version}
Provides: tex(mdicir7t.vf) = %{tl_version}
Provides: tex(mdicir7v.vf) = %{tl_version}
Provides: tex(mdicir7y.vf) = %{tl_version}
Provides: tex(mdicir8c.vf) = %{tl_version}
Provides: tex(mdicir8t.vf) = %{tl_version}
Provides: tex(mdicirc8c.vf) = %{tl_version}
Provides: tex(mdicirc8t.vf) = %{tl_version}
Provides: tex(mdicirfc8t.vf) = %{tl_version}
Provides: tex(mdiciri7m.vf) = %{tl_version}
Provides: tex(mdiciri7t.vf) = %{tl_version}
Provides: tex(mdiciri8c.vf) = %{tl_version}
Provides: tex(mdiciri8t.vf) = %{tl_version}
Provides: tex(mdiciric8c.vf) = %{tl_version}
Provides: tex(mdiciric8t.vf) = %{tl_version}
Provides: tex(mdicirifc8t.vf) = %{tl_version}
Provides: tex(mdiciriu7m.vf) = %{tl_version}
Provides: tex(mdicirma.vf) = %{tl_version}
Provides: tex(mdicirmb.vf) = %{tl_version}
Provides: tex(mdicirui7m.vf) = %{tl_version}
Provides: tex(mdxcib7y.vf) = %{tl_version}
Provides: tex(mdxcib8t.vf) = %{tl_version}
Provides: tex(mdxcibc8t.vf) = %{tl_version}
Provides: tex(mdxcibi7y.vf) = %{tl_version}
Provides: tex(mdxcibi8t.vf) = %{tl_version}
Provides: tex(mdxcibic8t.vf) = %{tl_version}
Provides: tex(mdxcic7y.vf) = %{tl_version}
Provides: tex(mdxcic8t.vf) = %{tl_version}
Provides: tex(mdxcicc8t.vf) = %{tl_version}
Provides: tex(mdxcici7y.vf) = %{tl_version}
Provides: tex(mdxcici8t.vf) = %{tl_version}
Provides: tex(mdxcicic8t.vf) = %{tl_version}
Provides: tex(mdxcir7y.vf) = %{tl_version}
Provides: tex(mdxcir8t.vf) = %{tl_version}
Provides: tex(mdxcirc8t.vf) = %{tl_version}
Provides: tex(mdxciri7y.vf) = %{tl_version}
Provides: tex(mdxciri8t.vf) = %{tl_version}
Provides: tex(mdxciric8t.vf) = %{tl_version}
Provides: tex(mdpgdb8c.vf) = %{tl_version}
Provides: tex(mdpgdb8t.vf) = %{tl_version}
Provides: tex(mdpgdbc8c.vf) = %{tl_version}
Provides: tex(mdpgdbc8t.vf) = %{tl_version}
Provides: tex(mdpgdbfc8t.vf) = %{tl_version}
Provides: tex(mdpgdbi8c.vf) = %{tl_version}
Provides: tex(mdpgdbi8t.vf) = %{tl_version}
Provides: tex(mdpgdbic8c.vf) = %{tl_version}
Provides: tex(mdpgdbic8t.vf) = %{tl_version}
Provides: tex(mdpgdbifc8t.vf) = %{tl_version}
Provides: tex(mdpgdr7m.vf) = %{tl_version}
Provides: tex(mdpgdr7t.vf) = %{tl_version}
Provides: tex(mdpgdr7v.vf) = %{tl_version}
Provides: tex(mdpgdr7y.vf) = %{tl_version}
Provides: tex(mdpgdr8c.vf) = %{tl_version}
Provides: tex(mdpgdr8t.vf) = %{tl_version}
Provides: tex(mdpgdrc8c.vf) = %{tl_version}
Provides: tex(mdpgdrc8t.vf) = %{tl_version}
Provides: tex(mdpgdrfc8t.vf) = %{tl_version}
Provides: tex(mdpgdri7m.vf) = %{tl_version}
Provides: tex(mdpgdri7t.vf) = %{tl_version}
Provides: tex(mdpgdri8c.vf) = %{tl_version}
Provides: tex(mdpgdri8t.vf) = %{tl_version}
Provides: tex(mdpgdric8c.vf) = %{tl_version}
Provides: tex(mdpgdric8t.vf) = %{tl_version}
Provides: tex(mdpgdrifc8t.vf) = %{tl_version}
Provides: tex(mdpgdrma.vf) = %{tl_version}
Provides: tex(mdpgdrmb.vf) = %{tl_version}
Provides: tex(mdpgds7m.vf) = %{tl_version}
Provides: tex(mdpgds7t.vf) = %{tl_version}
Provides: tex(mdpgds7v.vf) = %{tl_version}
Provides: tex(mdpgds7y.vf) = %{tl_version}
Provides: tex(mdpgds8c.vf) = %{tl_version}
Provides: tex(mdpgds8t.vf) = %{tl_version}
Provides: tex(mdpgdsc8c.vf) = %{tl_version}
Provides: tex(mdpgdsc8t.vf) = %{tl_version}
Provides: tex(mdpgdsfc8t.vf) = %{tl_version}
Provides: tex(mdpgdsi7m.vf) = %{tl_version}
Provides: tex(mdpgdsi7t.vf) = %{tl_version}
Provides: tex(mdpgdsi8c.vf) = %{tl_version}
Provides: tex(mdpgdsi8t.vf) = %{tl_version}
Provides: tex(mdpgdsic8c.vf) = %{tl_version}
Provides: tex(mdpgdsic8t.vf) = %{tl_version}
Provides: tex(mdpgdsifc8t.vf) = %{tl_version}
Provides: tex(mdpgdsma.vf) = %{tl_version}
Provides: tex(mdpgdsmb.vf) = %{tl_version}
Provides: tex(mdxgdb7y.vf) = %{tl_version}
Provides: tex(mdxgdb8t.vf) = %{tl_version}
Provides: tex(mdxgdbc8t.vf) = %{tl_version}
Provides: tex(mdxgdbi7y.vf) = %{tl_version}
Provides: tex(mdxgdbi8t.vf) = %{tl_version}
Provides: tex(mdxgdbic8t.vf) = %{tl_version}
Provides: tex(mdxgdr7y.vf) = %{tl_version}
Provides: tex(mdxgdr8t.vf) = %{tl_version}
Provides: tex(mdxgdrc8t.vf) = %{tl_version}
Provides: tex(mdxgdri7y.vf) = %{tl_version}
Provides: tex(mdxgdri8t.vf) = %{tl_version}
Provides: tex(mdxgdric8t.vf) = %{tl_version}
Provides: tex(mdxgds7y.vf) = %{tl_version}
Provides: tex(mdxgds8t.vf) = %{tl_version}
Provides: tex(mdxgdsc8t.vf) = %{tl_version}
Provides: tex(mdxgdsi7y.vf) = %{tl_version}
Provides: tex(mdxgdsi8t.vf) = %{tl_version}
Provides: tex(mdxgdsic8t.vf) = %{tl_version}
Provides: tex(mdpusb8c.vf) = %{tl_version}
Provides: tex(mdpusb8t.vf) = %{tl_version}
Provides: tex(mdpusbc8c.vf) = %{tl_version}
Provides: tex(mdpusbc8t.vf) = %{tl_version}
Provides: tex(mdpusbfc8t.vf) = %{tl_version}
Provides: tex(mdpusbi8c.vf) = %{tl_version}
Provides: tex(mdpusbi8t.vf) = %{tl_version}
Provides: tex(mdpusbic8c.vf) = %{tl_version}
Provides: tex(mdpusbic8t.vf) = %{tl_version}
Provides: tex(mdpusbifc8t.vf) = %{tl_version}
Provides: tex(mdpusr7m.vf) = %{tl_version}
Provides: tex(mdpusr7t.vf) = %{tl_version}
Provides: tex(mdpusr7v.vf) = %{tl_version}
Provides: tex(mdpusr7y.vf) = %{tl_version}
Provides: tex(mdpusr8c.vf) = %{tl_version}
Provides: tex(mdpusr8t.vf) = %{tl_version}
Provides: tex(mdpusrc8c.vf) = %{tl_version}
Provides: tex(mdpusrc8t.vf) = %{tl_version}
Provides: tex(mdpusrfc8t.vf) = %{tl_version}
Provides: tex(mdpusri7m.vf) = %{tl_version}
Provides: tex(mdpusri7t.vf) = %{tl_version}
Provides: tex(mdpusri8c.vf) = %{tl_version}
Provides: tex(mdpusri8t.vf) = %{tl_version}
Provides: tex(mdpusric8c.vf) = %{tl_version}
Provides: tex(mdpusric8t.vf) = %{tl_version}
Provides: tex(mdpusrifc8t.vf) = %{tl_version}
Provides: tex(mdpusrma.vf) = %{tl_version}
Provides: tex(mdpusrmb.vf) = %{tl_version}
Provides: tex(mdpuss7m.vf) = %{tl_version}
Provides: tex(mdpuss7t.vf) = %{tl_version}
Provides: tex(mdpuss7v.vf) = %{tl_version}
Provides: tex(mdpuss7y.vf) = %{tl_version}
Provides: tex(mdpuss8c.vf) = %{tl_version}
Provides: tex(mdpuss8t.vf) = %{tl_version}
Provides: tex(mdpussc8c.vf) = %{tl_version}
Provides: tex(mdpussc8t.vf) = %{tl_version}
Provides: tex(mdpussfc8t.vf) = %{tl_version}
Provides: tex(mdpussi7m.vf) = %{tl_version}
Provides: tex(mdpussi7t.vf) = %{tl_version}
Provides: tex(mdpussi8c.vf) = %{tl_version}
Provides: tex(mdpussi8t.vf) = %{tl_version}
Provides: tex(mdpussic8c.vf) = %{tl_version}
Provides: tex(mdpussic8t.vf) = %{tl_version}
Provides: tex(mdpussifc8t.vf) = %{tl_version}
Provides: tex(mdpussma.vf) = %{tl_version}
Provides: tex(mdpussmb.vf) = %{tl_version}
Provides: tex(mdxusb7y.vf) = %{tl_version}
Provides: tex(mdxusb8t.vf) = %{tl_version}
Provides: tex(mdxusbc8t.vf) = %{tl_version}
Provides: tex(mdxusbi7y.vf) = %{tl_version}
Provides: tex(mdxusbi8t.vf) = %{tl_version}
Provides: tex(mdxusbic8t.vf) = %{tl_version}
Provides: tex(mdxusr7y.vf) = %{tl_version}
Provides: tex(mdxusr8t.vf) = %{tl_version}
Provides: tex(mdxusrc8t.vf) = %{tl_version}
Provides: tex(mdxusri7y.vf) = %{tl_version}
Provides: tex(mdxusri8t.vf) = %{tl_version}
Provides: tex(mdxusric8t.vf) = %{tl_version}
Provides: tex(mdxuss7y.vf) = %{tl_version}
Provides: tex(mdxuss8t.vf) = %{tl_version}
Provides: tex(mdxussc8t.vf) = %{tl_version}
Provides: tex(mdxussi7y.vf) = %{tl_version}
Provides: tex(mdxussi8t.vf) = %{tl_version}
Provides: tex(mdxussic8t.vf) = %{tl_version}
Provides: tex(mdputb7m.vf) = %{tl_version}
Provides: tex(mdputb7t.vf) = %{tl_version}
Provides: tex(mdputb7v.vf) = %{tl_version}
Provides: tex(mdputb7y.vf) = %{tl_version}
Provides: tex(mdputb8c.vf) = %{tl_version}
Provides: tex(mdputb8t.vf) = %{tl_version}
Provides: tex(mdputbc8t.vf) = %{tl_version}
Provides: tex(mdputbfc8t.vf) = %{tl_version}
Provides: tex(mdputbi7m.vf) = %{tl_version}
Provides: tex(mdputbi7t.vf) = %{tl_version}
Provides: tex(mdputbi8c.vf) = %{tl_version}
Provides: tex(mdputbi8t.vf) = %{tl_version}
Provides: tex(mdputbifc8t.vf) = %{tl_version}
Provides: tex(mdputbma.vf) = %{tl_version}
Provides: tex(mdputbmb.vf) = %{tl_version}
Provides: tex(mdputbo7t.vf) = %{tl_version}
Provides: tex(mdputbo8c.vf) = %{tl_version}
Provides: tex(mdputbo8t.vf) = %{tl_version}
Provides: tex(mdputbofc8t.vf) = %{tl_version}
Provides: tex(mdputr7m.vf) = %{tl_version}
Provides: tex(mdputr7t.vf) = %{tl_version}
Provides: tex(mdputr7v.vf) = %{tl_version}
Provides: tex(mdputr7y.vf) = %{tl_version}
Provides: tex(mdputr8c.vf) = %{tl_version}
Provides: tex(mdputr8t.vf) = %{tl_version}
Provides: tex(mdputrc8t.vf) = %{tl_version}
Provides: tex(mdputrfc8t.vf) = %{tl_version}
Provides: tex(mdputri7m.vf) = %{tl_version}
Provides: tex(mdputri7t.vf) = %{tl_version}
Provides: tex(mdputri8c.vf) = %{tl_version}
Provides: tex(mdputri8t.vf) = %{tl_version}
Provides: tex(mdputrifc8t.vf) = %{tl_version}
Provides: tex(mdputrma.vf) = %{tl_version}
Provides: tex(mdputrmb.vf) = %{tl_version}
Provides: tex(mdputro7t.vf) = %{tl_version}
Provides: tex(mdputro8c.vf) = %{tl_version}
Provides: tex(mdputro8t.vf) = %{tl_version}
Provides: tex(mdputrofc8t.vf) = %{tl_version}
Provides: tex(mdugmm7m.vf) = %{tl_version}
Provides: tex(mdugmm7t.vf) = %{tl_version}
Provides: tex(mdugmm7v.vf) = %{tl_version}
Provides: tex(mdugmm7y.vf) = %{tl_version}
Provides: tex(mdugmm8c.vf) = %{tl_version}
Provides: tex(mdugmm8t.vf) = %{tl_version}
Provides: tex(mdugmmfc8t.vf) = %{tl_version}
Provides: tex(mdugmmi7m.vf) = %{tl_version}
Provides: tex(mdugmmi7t.vf) = %{tl_version}
Provides: tex(mdugmmi8c.vf) = %{tl_version}
Provides: tex(mdugmmi8t.vf) = %{tl_version}
Provides: tex(mdugmmifc8t.vf) = %{tl_version}
Provides: tex(mdugmmma.vf) = %{tl_version}
Provides: tex(mdugmmmb.vf) = %{tl_version}
Provides: tex(mdugmmo7t.vf) = %{tl_version}
Provides: tex(mdugmmo8c.vf) = %{tl_version}
Provides: tex(mdugmmo8t.vf) = %{tl_version}
Provides: tex(mdugmmofc8t.vf) = %{tl_version}
Provides: tex(mdugmr7m.vf) = %{tl_version}
Provides: tex(mdugmr7t.vf) = %{tl_version}
Provides: tex(mdugmr7v.vf) = %{tl_version}
Provides: tex(mdugmr7y.vf) = %{tl_version}
Provides: tex(mdugmr8c.vf) = %{tl_version}
Provides: tex(mdugmr8t.vf) = %{tl_version}
Provides: tex(mdugmrfc8t.vf) = %{tl_version}
Provides: tex(mdugmri7m.vf) = %{tl_version}
Provides: tex(mdugmri7t.vf) = %{tl_version}
Provides: tex(mdugmri8c.vf) = %{tl_version}
Provides: tex(mdugmri8t.vf) = %{tl_version}
Provides: tex(mdugmrifc8t.vf) = %{tl_version}
Provides: tex(mdugmrma.vf) = %{tl_version}
Provides: tex(mdugmrmb.vf) = %{tl_version}
Provides: tex(mdugmro7t.vf) = %{tl_version}
Provides: tex(mdugmro8c.vf) = %{tl_version}
Provides: tex(mdugmro8t.vf) = %{tl_version}
Provides: tex(mdugmrofc8t.vf) = %{tl_version}
Provides: tex(mathdesign.sty) = %{tl_version}
Provides: tex(mdacmr.fd) = %{tl_version}
Provides: tex(mdamdbch.fd) = %{tl_version}
Provides: tex(mdbch.cfg) = %{tl_version}
Provides: tex(mdbch.sty) = %{tl_version}
Provides: tex(mdbmdbch.fd) = %{tl_version}
Provides: tex(omlmdbch.fd) = %{tl_version}
Provides: tex(omsmdbch.fd) = %{tl_version}
Provides: tex(omxmdbch.fd) = %{tl_version}
Provides: tex(ot1mdbch.fd) = %{tl_version}
Provides: tex(t1mdbch.fd) = %{tl_version}
Provides: tex(ts1mdbch.fd) = %{tl_version}
Provides: tex(mdbcmr.fd) = %{tl_version}
Provides: tex(mdfont.def) = %{tl_version}
Provides: tex(mdamdici.fd) = %{tl_version}
Provides: tex(mdbmdici.fd) = %{tl_version}
Provides: tex(mdici.cfg) = %{tl_version}
Provides: tex(mdici.sty) = %{tl_version}
Provides: tex(omlmdici.fd) = %{tl_version}
Provides: tex(omsmdici.fd) = %{tl_version}
Provides: tex(omxmdici.fd) = %{tl_version}
Provides: tex(ot1mdici.fd) = %{tl_version}
Provides: tex(t1mdici.fd) = %{tl_version}
Provides: tex(ts1mdici.fd) = %{tl_version}
Provides: tex(mdamdpgd.fd) = %{tl_version}
Provides: tex(mdbmdpgd.fd) = %{tl_version}
Provides: tex(mdpgd.cfg) = %{tl_version}
Provides: tex(mdpgd.sty) = %{tl_version}
Provides: tex(omlmdpgd.fd) = %{tl_version}
Provides: tex(omsmdpgd.fd) = %{tl_version}
Provides: tex(omxmdpgd.fd) = %{tl_version}
Provides: tex(ot1mdpgd.fd) = %{tl_version}
Provides: tex(t1mdpgd.fd) = %{tl_version}
Provides: tex(ts1mdpgd.fd) = %{tl_version}
Provides: tex(mdamdpus.fd) = %{tl_version}
Provides: tex(mdbmdpus.fd) = %{tl_version}
Provides: tex(mdpus.cfg) = %{tl_version}
Provides: tex(mdpus.sty) = %{tl_version}
Provides: tex(omlmdpus.fd) = %{tl_version}
Provides: tex(omsmdpus.fd) = %{tl_version}
Provides: tex(omxmdpus.fd) = %{tl_version}
Provides: tex(ot1mdpus.fd) = %{tl_version}
Provides: tex(t1mdpus.fd) = %{tl_version}
Provides: tex(ts1mdpus.fd) = %{tl_version}
Provides: tex(mdamdput.fd) = %{tl_version}
Provides: tex(mdbmdput.fd) = %{tl_version}
Provides: tex(mdput.cfg) = %{tl_version}
Provides: tex(mdput.sty) = %{tl_version}
Provides: tex(omlmdput.fd) = %{tl_version}
Provides: tex(omsmdput.fd) = %{tl_version}
Provides: tex(omxmdput.fd) = %{tl_version}
Provides: tex(ot1mdput.fd) = %{tl_version}
Provides: tex(t1mdput.fd) = %{tl_version}
Provides: tex(ts1mdput.fd) = %{tl_version}
Provides: tex(mdsffont.def) = %{tl_version}
Provides: tex(mdttfont.def) = %{tl_version}
Provides: tex(mdamdugm.fd) = %{tl_version}
Provides: tex(mdbmdugm.fd) = %{tl_version}
Provides: tex(mdugm.cfg) = %{tl_version}
Provides: tex(mdugm.sty) = %{tl_version}
Provides: tex(omlmdugm.fd) = %{tl_version}
Provides: tex(omsmdugm.fd) = %{tl_version}
Provides: tex(omxmdugm.fd) = %{tl_version}
Provides: tex(ot1mdugm.fd) = %{tl_version}
Provides: tex(t1mdugm.fd) = %{tl_version}
Provides: tex(ts1mdugm.fd) = %{tl_version}
Provides: tex(omlmdgrb.fd) = %{tl_version}
Provides: tex(omlmdgrbc.fd) = %{tl_version}
Provides: tex(omlmdgrd.fd) = %{tl_version}
Provides: tex(omlmdgrdc.fd) = %{tl_version}

%description mathdesign
The Math Design project offers free mathematical fonts that
match with existing text fonts. To date, three free font
families are available: Adobe Utopia, URW Garamond and
Bitstream Charter. Three commercial fonts are also supported:
Adobe Garamond Pro, Adobe UtopiaStd and ITC Charter. Mathdesign
covers the whole LaTeX glyph set, including AMS symbols and
some extra. Both roman and bold versions of these symbols can
be used. Moreover you can choose between three greek fonts (two
of them created by the Greek Font Society).

%package mathdesign-doc
Summary: Documentation for mathdesign
Version: svn31639.2.31

Provides: tex-mathdesign-doc
AutoReqProv: No

%description mathdesign-doc
Documentation for mathdesign

%package mdputu
Provides: tex-mdputu = %{tl_version}
License: BSD
Summary: Upright digits in Adobe Utopia Italic
Version: svn20298.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mdputubi7t.tfm) = %{tl_version}
Provides: tex(mdputubi8t.tfm) = %{tl_version}
Provides: tex(mdputuri7t.tfm) = %{tl_version}
Provides: tex(mdputuri8t.tfm) = %{tl_version}
Provides: tex(mdputubi7t.vf) = %{tl_version}
Provides: tex(mdputubi8t.vf) = %{tl_version}
Provides: tex(mdputuri7t.vf) = %{tl_version}
Provides: tex(mdputuri8t.vf) = %{tl_version}
Provides: tex(mdputu.sty) = %{tl_version}
Provides: tex(ot1mdputu.fd) = %{tl_version}
Provides: tex(t1mdputu.fd) = %{tl_version}

%description mdputu
The Annals of Mathematics uses italics for theorems. However,
slanted digits and parentheses look disturbing when surrounded
by (upright) mathematics. This package provides virtual fonts
with italics and upright digits and punctuation, as an
extension to Mathdesign's Utopia bundle.

%package mdputu-doc
Summary: Documentation for mdputu
Version: svn20298.1.2

Provides: tex-mdputu-doc
AutoReqProv: No

%description mdputu-doc
Documentation for mdputu

%package mdsymbol
Provides: tex-mdsymbol = %{tl_version}
License: OFL
Summary: Symbol fonts to match Adobe Myriad Pro
Version: svn28399.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(amsmath.sty)
Requires: tex(textcomp.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fltpoint.sty)
Requires: tex(calc.sty)
Provides: tex(mdsymbol-a.enc) = %{tl_version}
Provides: tex(mdsymbol-b.enc) = %{tl_version}
Provides: tex(mdsymbol-c.enc) = %{tl_version}
Provides: tex(mdsymbol-d.enc) = %{tl_version}
Provides: tex(mdsymbol-e.enc) = %{tl_version}
Provides: tex(mdsymbol-f.enc) = %{tl_version}
Provides: tex(mdsymbol.map) = %{tl_version}
Provides: tex(MdSymbol-Bold.otf) = %{tl_version}
Provides: tex(MdSymbol-Light.otf) = %{tl_version}
Provides: tex(MdSymbol-Regular.otf) = %{tl_version}
Provides: tex(MdSymbol-Semibold.otf) = %{tl_version}
Provides: tex(MdSymbolA-Bold.tfm) = %{tl_version}
Provides: tex(MdSymbolA-Light.tfm) = %{tl_version}
Provides: tex(MdSymbolA-Regular.tfm) = %{tl_version}
Provides: tex(MdSymbolA-Semibold.tfm) = %{tl_version}
Provides: tex(MdSymbolB-Bold.tfm) = %{tl_version}
Provides: tex(MdSymbolB-Light.tfm) = %{tl_version}
Provides: tex(MdSymbolB-Regular.tfm) = %{tl_version}
Provides: tex(MdSymbolB-Semibold.tfm) = %{tl_version}
Provides: tex(MdSymbolC-Bold.tfm) = %{tl_version}
Provides: tex(MdSymbolC-Light.tfm) = %{tl_version}
Provides: tex(MdSymbolC-Regular.tfm) = %{tl_version}
Provides: tex(MdSymbolC-Semibold.tfm) = %{tl_version}
Provides: tex(MdSymbolD-Bold.tfm) = %{tl_version}
Provides: tex(MdSymbolD-Light.tfm) = %{tl_version}
Provides: tex(MdSymbolD-Regular.tfm) = %{tl_version}
Provides: tex(MdSymbolD-Semibold.tfm) = %{tl_version}
Provides: tex(MdSymbolE-Bold.tfm) = %{tl_version}
Provides: tex(MdSymbolE-Light.tfm) = %{tl_version}
Provides: tex(MdSymbolE-Regular.tfm) = %{tl_version}
Provides: tex(MdSymbolE-Semibold.tfm) = %{tl_version}
Provides: tex(MdSymbolF-Bold.tfm) = %{tl_version}
Provides: tex(MdSymbolF-Light.tfm) = %{tl_version}
Provides: tex(MdSymbolF-Regular.tfm) = %{tl_version}
Provides: tex(MdSymbolF-Semibold.tfm) = %{tl_version}
Provides: tex(MdSymbolA-Bold.pfb) = %{tl_version}
Provides: tex(MdSymbolA-Light.pfb) = %{tl_version}
Provides: tex(MdSymbolA-Regular.pfb) = %{tl_version}
Provides: tex(MdSymbolA-Semibold.pfb) = %{tl_version}
Provides: tex(MdSymbolB-Bold.pfb) = %{tl_version}
Provides: tex(MdSymbolB-Light.pfb) = %{tl_version}
Provides: tex(MdSymbolB-Regular.pfb) = %{tl_version}
Provides: tex(MdSymbolB-Semibold.pfb) = %{tl_version}
Provides: tex(MdSymbolC-Bold.pfb) = %{tl_version}
Provides: tex(MdSymbolC-Light.pfb) = %{tl_version}
Provides: tex(MdSymbolC-Regular.pfb) = %{tl_version}
Provides: tex(MdSymbolC-Semibold.pfb) = %{tl_version}
Provides: tex(MdSymbolD-Bold.pfb) = %{tl_version}
Provides: tex(MdSymbolD-Light.pfb) = %{tl_version}
Provides: tex(MdSymbolD-Regular.pfb) = %{tl_version}
Provides: tex(MdSymbolD-Semibold.pfb) = %{tl_version}
Provides: tex(MdSymbolE-Bold.pfb) = %{tl_version}
Provides: tex(MdSymbolE-Light.pfb) = %{tl_version}
Provides: tex(MdSymbolE-Regular.pfb) = %{tl_version}
Provides: tex(MdSymbolE-Semibold.pfb) = %{tl_version}
Provides: tex(MdSymbolF-Bold.pfb) = %{tl_version}
Provides: tex(MdSymbolF-Light.pfb) = %{tl_version}
Provides: tex(MdSymbolF-Regular.pfb) = %{tl_version}
Provides: tex(MdSymbolF-Semibold.pfb) = %{tl_version}
Provides: tex(mdsymbol.sty) = %{tl_version}

%description mdsymbol
The package provides a font of mathematical symbols, MyriadPro
The font is designed as a companion to Adobe Myriad Pro, but it
might also fit well with other contemporary typefaces.

%package mdsymbol-doc
Summary: Documentation for mdsymbol
Version: svn28399.0.5

Provides: tex-mdsymbol-doc
AutoReqProv: No

%description mdsymbol-doc
Documentation for mdsymbol

%package merriweather
Provides: tex-merriweather = %{tl_version}
License: OFL
Summary: Merriweather and MerriweatherSans fonts, with LaTeX support
Version: svn34315.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(mwth_5q2vgd.enc) = %{tl_version}
Provides: tex(mwth_cn5sfl.enc) = %{tl_version}
Provides: tex(mwth_fuknsh.enc) = %{tl_version}
Provides: tex(mwth_jnnjab.enc) = %{tl_version}
Provides: tex(mwth_libw2m.enc) = %{tl_version}
Provides: tex(mwth_lnkfbl.enc) = %{tl_version}
Provides: tex(mwth_oaf34p.enc) = %{tl_version}
Provides: tex(mwth_xz5wux.enc) = %{tl_version}
Provides: tex(mwth_ywgpba.enc) = %{tl_version}
Provides: tex(mwth_z4e4wk.enc) = %{tl_version}
Provides: tex(merriweather.map) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-t1.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Merriweather-Bold.ttf) = %{tl_version}
Provides: tex(Merriweather-BoldIt.ttf) = %{tl_version}
Provides: tex(Merriweather-Italic.ttf) = %{tl_version}
Provides: tex(Merriweather-Light.ttf) = %{tl_version}
Provides: tex(Merriweather-LightIt.ttf) = %{tl_version}
Provides: tex(Merriweather-Regular.ttf) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt.ttf) = %{tl_version}
Provides: tex(Merriweather-UltraBold.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-Bold.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-ExBoldIt.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-Italic.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-Light.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic.ttf) = %{tl_version}
Provides: tex(MerriweatherSans-Regular.ttf) = %{tl_version}
Provides: tex(Merriweather-Bold.pfb) = %{tl_version}
Provides: tex(Merriweather-BoldIt.pfb) = %{tl_version}
Provides: tex(Merriweather-Italic.pfb) = %{tl_version}
Provides: tex(Merriweather-Light.pfb) = %{tl_version}
Provides: tex(Merriweather-LightIt.pfb) = %{tl_version}
Provides: tex(Merriweather-Regular.pfb) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt.pfb) = %{tl_version}
Provides: tex(Merriweather-UltraBold.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-Bold.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-ExBoldIt.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-Italic.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-Light.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic.pfb) = %{tl_version}
Provides: tex(MerriweatherSans-Regular.pfb) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(Merriweather-Light-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-LightIt-osf-ts1.vf) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-UltraBdIt-osf-ts1.vf) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-t1.vf) = %{tl_version}
Provides: tex(Merriweather-UltraBold-osf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-ExtraBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(MerriweatherSans-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1Merriweather-OsF.fd) = %{tl_version}
Provides: tex(LY1MerriweatherSans-TLF.fd) = %{tl_version}
Provides: tex(OT1Merriweather-OsF.fd) = %{tl_version}
Provides: tex(OT1MerriweatherSans-TLF.fd) = %{tl_version}
Provides: tex(T1Merriweather-OsF.fd) = %{tl_version}
Provides: tex(T1MerriweatherSans-TLF.fd) = %{tl_version}
Provides: tex(TS1Merriweather-OsF.fd) = %{tl_version}
Provides: tex(TS1MerriweatherSans-TLF.fd) = %{tl_version}
Provides: tex(merriweather.sty) = %{tl_version}

%description merriweather
Merriweather features a very large x height, slightly condensed
letterforms, a mild diagonal stress, sturdy serifs and open
forms. The Sans family closely harmonizes with the weights and
styles of the serif family. There are four weights and italics
for each.

%package merriweather-doc
Summary: Documentation for merriweather
Version: svn34315.0

Provides: tex-merriweather-doc
AutoReqProv: No

%description merriweather-doc
Documentation for merriweather

%package mintspirit
Provides: tex-mintspirit = %{tl_version}
License: OFL
Summary: LaTeX support for MintSpirit font families
Version: svn32069.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(mntsprt2_24uybq.enc) = %{tl_version}
Provides: tex(mntsprt2_2dxuba.enc) = %{tl_version}
Provides: tex(mntsprt2_3vy5j3.enc) = %{tl_version}
Provides: tex(mntsprt2_5cazkt.enc) = %{tl_version}
Provides: tex(mntsprt2_63vcua.enc) = %{tl_version}
Provides: tex(mntsprt2_6x4rw3.enc) = %{tl_version}
Provides: tex(mntsprt2_7ayy44.enc) = %{tl_version}
Provides: tex(mntsprt2_7u5374.enc) = %{tl_version}
Provides: tex(mntsprt2_amdskp.enc) = %{tl_version}
Provides: tex(mntsprt2_biiinc.enc) = %{tl_version}
Provides: tex(mntsprt2_bkoczj.enc) = %{tl_version}
Provides: tex(mntsprt2_dnk3mn.enc) = %{tl_version}
Provides: tex(mntsprt2_eex3ia.enc) = %{tl_version}
Provides: tex(mntsprt2_eqihrw.enc) = %{tl_version}
Provides: tex(mntsprt2_eqrkmo.enc) = %{tl_version}
Provides: tex(mntsprt2_fizmng.enc) = %{tl_version}
Provides: tex(mntsprt2_fm3wlu.enc) = %{tl_version}
Provides: tex(mntsprt2_j4bodc.enc) = %{tl_version}
Provides: tex(mntsprt2_k4fv75.enc) = %{tl_version}
Provides: tex(mntsprt2_l3e5vj.enc) = %{tl_version}
Provides: tex(mntsprt2_lm7mhw.enc) = %{tl_version}
Provides: tex(mntsprt2_lwraz3.enc) = %{tl_version}
Provides: tex(mntsprt2_me5dp6.enc) = %{tl_version}
Provides: tex(mntsprt2_oe76kg.enc) = %{tl_version}
Provides: tex(mntsprt2_ref42g.enc) = %{tl_version}
Provides: tex(mntsprt2_s7rd6p.enc) = %{tl_version}
Provides: tex(mntsprt2_taixll.enc) = %{tl_version}
Provides: tex(mntsprt2_tmtdfz.enc) = %{tl_version}
Provides: tex(mntsprt2_ywkmiw.enc) = %{tl_version}
Provides: tex(mntsprt_2isll4.enc) = %{tl_version}
Provides: tex(mntsprt_3sm7wd.enc) = %{tl_version}
Provides: tex(mntsprt_3y5hmb.enc) = %{tl_version}
Provides: tex(mntsprt_5lbatd.enc) = %{tl_version}
Provides: tex(mntsprt_5yvi6n.enc) = %{tl_version}
Provides: tex(mntsprt_675dmr.enc) = %{tl_version}
Provides: tex(mntsprt_7enqs3.enc) = %{tl_version}
Provides: tex(mntsprt_bjjcsi.enc) = %{tl_version}
Provides: tex(mntsprt_f4utek.enc) = %{tl_version}
Provides: tex(mntsprt_gcdgcc.enc) = %{tl_version}
Provides: tex(mntsprt_gdx47l.enc) = %{tl_version}
Provides: tex(mntsprt_girsvq.enc) = %{tl_version}
Provides: tex(mntsprt_gr6qqq.enc) = %{tl_version}
Provides: tex(mntsprt_imdxi4.enc) = %{tl_version}
Provides: tex(mntsprt_lvhuc6.enc) = %{tl_version}
Provides: tex(mntsprt_lzc2o4.enc) = %{tl_version}
Provides: tex(mntsprt_oj7rfe.enc) = %{tl_version}
Provides: tex(mntsprt_opresw.enc) = %{tl_version}
Provides: tex(mntsprt_pulfbi.enc) = %{tl_version}
Provides: tex(mntsprt_swumq4.enc) = %{tl_version}
Provides: tex(mntsprt_v6lq4b.enc) = %{tl_version}
Provides: tex(mntsprt_wk34ig.enc) = %{tl_version}
Provides: tex(mntsprt_y4xqha.enc) = %{tl_version}
Provides: tex(mntsprt_zt2pqo.enc) = %{tl_version}
Provides: tex(mintspirit.map) = %{tl_version}
Provides: tex(MintSpirit-Bold.otf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic.otf) = %{tl_version}
Provides: tex(MintSpirit-Italic.otf) = %{tl_version}
Provides: tex(MintSpirit-Regular.otf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold.otf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic.otf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic.otf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular.otf) = %{tl_version}
Provides: tex(MintSpirit-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MintSpirit-Bold.pfb) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic.pfb) = %{tl_version}
Provides: tex(MintSpirit-Italic.pfb) = %{tl_version}
Provides: tex(MintSpirit-Regular.pfb) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold.pfb) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic.pfb) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic.pfb) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular.pfb) = %{tl_version}
Provides: tex(MintSpirit-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpirit-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(MintSpiritNo2-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1MintSpirit-Inf.fd) = %{tl_version}
Provides: tex(LY1MintSpirit-LF.fd) = %{tl_version}
Provides: tex(LY1MintSpirit-OsF.fd) = %{tl_version}
Provides: tex(LY1MintSpirit-Sup.fd) = %{tl_version}
Provides: tex(LY1MintSpirit-TLF.fd) = %{tl_version}
Provides: tex(LY1MintSpirit-TOsF.fd) = %{tl_version}
Provides: tex(LY1MintSpiritNoTwo-Inf.fd) = %{tl_version}
Provides: tex(LY1MintSpiritNoTwo-LF.fd) = %{tl_version}
Provides: tex(LY1MintSpiritNoTwo-OsF.fd) = %{tl_version}
Provides: tex(LY1MintSpiritNoTwo-Sup.fd) = %{tl_version}
Provides: tex(LY1MintSpiritNoTwo-TLF.fd) = %{tl_version}
Provides: tex(LY1MintSpiritNoTwo-TOsF.fd) = %{tl_version}
Provides: tex(OT1MintSpirit-Inf.fd) = %{tl_version}
Provides: tex(OT1MintSpirit-LF.fd) = %{tl_version}
Provides: tex(OT1MintSpirit-OsF.fd) = %{tl_version}
Provides: tex(OT1MintSpirit-Sup.fd) = %{tl_version}
Provides: tex(OT1MintSpirit-TLF.fd) = %{tl_version}
Provides: tex(OT1MintSpirit-TOsF.fd) = %{tl_version}
Provides: tex(OT1MintSpiritNoTwo-Inf.fd) = %{tl_version}
Provides: tex(OT1MintSpiritNoTwo-LF.fd) = %{tl_version}
Provides: tex(OT1MintSpiritNoTwo-OsF.fd) = %{tl_version}
Provides: tex(OT1MintSpiritNoTwo-Sup.fd) = %{tl_version}
Provides: tex(OT1MintSpiritNoTwo-TLF.fd) = %{tl_version}
Provides: tex(OT1MintSpiritNoTwo-TOsF.fd) = %{tl_version}
Provides: tex(T1MintSpirit-Inf.fd) = %{tl_version}
Provides: tex(T1MintSpirit-LF.fd) = %{tl_version}
Provides: tex(T1MintSpirit-OsF.fd) = %{tl_version}
Provides: tex(T1MintSpirit-Sup.fd) = %{tl_version}
Provides: tex(T1MintSpirit-TLF.fd) = %{tl_version}
Provides: tex(T1MintSpirit-TOsF.fd) = %{tl_version}
Provides: tex(T1MintSpiritNoTwo-Inf.fd) = %{tl_version}
Provides: tex(T1MintSpiritNoTwo-LF.fd) = %{tl_version}
Provides: tex(T1MintSpiritNoTwo-OsF.fd) = %{tl_version}
Provides: tex(T1MintSpiritNoTwo-Sup.fd) = %{tl_version}
Provides: tex(T1MintSpiritNoTwo-TLF.fd) = %{tl_version}
Provides: tex(T1MintSpiritNoTwo-TOsF.fd) = %{tl_version}
Provides: tex(TS1MintSpirit-LF.fd) = %{tl_version}
Provides: tex(TS1MintSpirit-OsF.fd) = %{tl_version}
Provides: tex(TS1MintSpirit-TLF.fd) = %{tl_version}
Provides: tex(TS1MintSpirit-TOsF.fd) = %{tl_version}
Provides: tex(TS1MintSpiritNoTwo-LF.fd) = %{tl_version}
Provides: tex(TS1MintSpiritNoTwo-OsF.fd) = %{tl_version}
Provides: tex(TS1MintSpiritNoTwo-TLF.fd) = %{tl_version}
Provides: tex(TS1MintSpiritNoTwo-TOsF.fd) = %{tl_version}
Provides: tex(mintspirit.sty) = %{tl_version}
Provides: tex(mintspirit2.sty) = %{tl_version}

%description mintspirit
The package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the MintSpirit and MintSpiritNo2 families of fonts,
designed by Hirwen Harendal. MintSpirit was originally designed
for use as a system font on a Linux Mint system. The No. 2
variant provides more conventional shapes for some glyphs.

%package mintspirit-doc
Summary: Documentation for mintspirit
Version: svn32069.0

Provides: tex-mintspirit-doc
AutoReqProv: No

%description mintspirit-doc
Documentation for mintspirit

%package mnsymbol
Provides: tex-mnsymbol = %{tl_version}
License: Public Domain
Summary: Mathematical symbol font for Adobe MinionPro
Version: svn18651.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(textcomp.sty)
Requires: tex(eufrak.sty)
Requires: tex(amsmath.sty)
Provides: tex(MnSymbolA.enc) = %{tl_version}
Provides: tex(MnSymbolB.enc) = %{tl_version}
Provides: tex(MnSymbolC.enc) = %{tl_version}
Provides: tex(MnSymbolD.enc) = %{tl_version}
Provides: tex(MnSymbolE.enc) = %{tl_version}
Provides: tex(MnSymbolF.enc) = %{tl_version}
Provides: tex(MnSymbolS.enc) = %{tl_version}
Provides: tex(MnSymbol.map) = %{tl_version}
Provides: tex(MnSymbol-Bold10.otf) = %{tl_version}
Provides: tex(MnSymbol-Bold12.otf) = %{tl_version}
Provides: tex(MnSymbol-Bold5.otf) = %{tl_version}
Provides: tex(MnSymbol-Bold6.otf) = %{tl_version}
Provides: tex(MnSymbol-Bold7.otf) = %{tl_version}
Provides: tex(MnSymbol-Bold8.otf) = %{tl_version}
Provides: tex(MnSymbol-Bold9.otf) = %{tl_version}
Provides: tex(MnSymbol10.otf) = %{tl_version}
Provides: tex(MnSymbol12.otf) = %{tl_version}
Provides: tex(MnSymbol5.otf) = %{tl_version}
Provides: tex(MnSymbol6.otf) = %{tl_version}
Provides: tex(MnSymbol7.otf) = %{tl_version}
Provides: tex(MnSymbol8.otf) = %{tl_version}
Provides: tex(MnSymbol9.otf) = %{tl_version}
Provides: tex(MnSymbolA-Bold10.tfm) = %{tl_version}
Provides: tex(MnSymbolA-Bold12.tfm) = %{tl_version}
Provides: tex(MnSymbolA-Bold5.tfm) = %{tl_version}
Provides: tex(MnSymbolA-Bold6.tfm) = %{tl_version}
Provides: tex(MnSymbolA-Bold7.tfm) = %{tl_version}
Provides: tex(MnSymbolA-Bold8.tfm) = %{tl_version}
Provides: tex(MnSymbolA-Bold9.tfm) = %{tl_version}
Provides: tex(MnSymbolA10.tfm) = %{tl_version}
Provides: tex(MnSymbolA12.tfm) = %{tl_version}
Provides: tex(MnSymbolA5.tfm) = %{tl_version}
Provides: tex(MnSymbolA6.tfm) = %{tl_version}
Provides: tex(MnSymbolA7.tfm) = %{tl_version}
Provides: tex(MnSymbolA8.tfm) = %{tl_version}
Provides: tex(MnSymbolA9.tfm) = %{tl_version}
Provides: tex(MnSymbolB-Bold10.tfm) = %{tl_version}
Provides: tex(MnSymbolB-Bold12.tfm) = %{tl_version}
Provides: tex(MnSymbolB-Bold5.tfm) = %{tl_version}
Provides: tex(MnSymbolB-Bold6.tfm) = %{tl_version}
Provides: tex(MnSymbolB-Bold7.tfm) = %{tl_version}
Provides: tex(MnSymbolB-Bold8.tfm) = %{tl_version}
Provides: tex(MnSymbolB-Bold9.tfm) = %{tl_version}
Provides: tex(MnSymbolB10.tfm) = %{tl_version}
Provides: tex(MnSymbolB12.tfm) = %{tl_version}
Provides: tex(MnSymbolB5.tfm) = %{tl_version}
Provides: tex(MnSymbolB6.tfm) = %{tl_version}
Provides: tex(MnSymbolB7.tfm) = %{tl_version}
Provides: tex(MnSymbolB8.tfm) = %{tl_version}
Provides: tex(MnSymbolB9.tfm) = %{tl_version}
Provides: tex(MnSymbolC-Bold10.tfm) = %{tl_version}
Provides: tex(MnSymbolC-Bold12.tfm) = %{tl_version}
Provides: tex(MnSymbolC-Bold5.tfm) = %{tl_version}
Provides: tex(MnSymbolC-Bold6.tfm) = %{tl_version}
Provides: tex(MnSymbolC-Bold7.tfm) = %{tl_version}
Provides: tex(MnSymbolC-Bold8.tfm) = %{tl_version}
Provides: tex(MnSymbolC-Bold9.tfm) = %{tl_version}
Provides: tex(MnSymbolC10.tfm) = %{tl_version}
Provides: tex(MnSymbolC12.tfm) = %{tl_version}
Provides: tex(MnSymbolC5.tfm) = %{tl_version}
Provides: tex(MnSymbolC6.tfm) = %{tl_version}
Provides: tex(MnSymbolC7.tfm) = %{tl_version}
Provides: tex(MnSymbolC8.tfm) = %{tl_version}
Provides: tex(MnSymbolC9.tfm) = %{tl_version}
Provides: tex(MnSymbolD-Bold10.tfm) = %{tl_version}
Provides: tex(MnSymbolD-Bold12.tfm) = %{tl_version}
Provides: tex(MnSymbolD-Bold5.tfm) = %{tl_version}
Provides: tex(MnSymbolD-Bold6.tfm) = %{tl_version}
Provides: tex(MnSymbolD-Bold7.tfm) = %{tl_version}
Provides: tex(MnSymbolD-Bold8.tfm) = %{tl_version}
Provides: tex(MnSymbolD-Bold9.tfm) = %{tl_version}
Provides: tex(MnSymbolD10.tfm) = %{tl_version}
Provides: tex(MnSymbolD12.tfm) = %{tl_version}
Provides: tex(MnSymbolD5.tfm) = %{tl_version}
Provides: tex(MnSymbolD6.tfm) = %{tl_version}
Provides: tex(MnSymbolD7.tfm) = %{tl_version}
Provides: tex(MnSymbolD8.tfm) = %{tl_version}
Provides: tex(MnSymbolD9.tfm) = %{tl_version}
Provides: tex(MnSymbolE-Bold10.tfm) = %{tl_version}
Provides: tex(MnSymbolE-Bold12.tfm) = %{tl_version}
Provides: tex(MnSymbolE-Bold5.tfm) = %{tl_version}
Provides: tex(MnSymbolE-Bold6.tfm) = %{tl_version}
Provides: tex(MnSymbolE-Bold7.tfm) = %{tl_version}
Provides: tex(MnSymbolE-Bold8.tfm) = %{tl_version}
Provides: tex(MnSymbolE-Bold9.tfm) = %{tl_version}
Provides: tex(MnSymbolE10.tfm) = %{tl_version}
Provides: tex(MnSymbolE12.tfm) = %{tl_version}
Provides: tex(MnSymbolE5.tfm) = %{tl_version}
Provides: tex(MnSymbolE6.tfm) = %{tl_version}
Provides: tex(MnSymbolE7.tfm) = %{tl_version}
Provides: tex(MnSymbolE8.tfm) = %{tl_version}
Provides: tex(MnSymbolE9.tfm) = %{tl_version}
Provides: tex(MnSymbolF-Bold10.tfm) = %{tl_version}
Provides: tex(MnSymbolF-Bold12.tfm) = %{tl_version}
Provides: tex(MnSymbolF-Bold5.tfm) = %{tl_version}
Provides: tex(MnSymbolF-Bold6.tfm) = %{tl_version}
Provides: tex(MnSymbolF-Bold7.tfm) = %{tl_version}
Provides: tex(MnSymbolF-Bold8.tfm) = %{tl_version}
Provides: tex(MnSymbolF-Bold9.tfm) = %{tl_version}
Provides: tex(MnSymbolF10.tfm) = %{tl_version}
Provides: tex(MnSymbolF12.tfm) = %{tl_version}
Provides: tex(MnSymbolF5.tfm) = %{tl_version}
Provides: tex(MnSymbolF6.tfm) = %{tl_version}
Provides: tex(MnSymbolF7.tfm) = %{tl_version}
Provides: tex(MnSymbolF8.tfm) = %{tl_version}
Provides: tex(MnSymbolF9.tfm) = %{tl_version}
Provides: tex(MnSymbolS-Bold10.tfm) = %{tl_version}
Provides: tex(MnSymbolS-Bold12.tfm) = %{tl_version}
Provides: tex(MnSymbolS-Bold5.tfm) = %{tl_version}
Provides: tex(MnSymbolS-Bold6.tfm) = %{tl_version}
Provides: tex(MnSymbolS-Bold7.tfm) = %{tl_version}
Provides: tex(MnSymbolS-Bold8.tfm) = %{tl_version}
Provides: tex(MnSymbolS-Bold9.tfm) = %{tl_version}
Provides: tex(MnSymbolS10.tfm) = %{tl_version}
Provides: tex(MnSymbolS12.tfm) = %{tl_version}
Provides: tex(MnSymbolS5.tfm) = %{tl_version}
Provides: tex(MnSymbolS6.tfm) = %{tl_version}
Provides: tex(MnSymbolS7.tfm) = %{tl_version}
Provides: tex(MnSymbolS8.tfm) = %{tl_version}
Provides: tex(MnSymbolS9.tfm) = %{tl_version}
Provides: tex(MnSymbol-Bold10.pfb) = %{tl_version}
Provides: tex(MnSymbol-Bold12.pfb) = %{tl_version}
Provides: tex(MnSymbol-Bold5.pfb) = %{tl_version}
Provides: tex(MnSymbol-Bold6.pfb) = %{tl_version}
Provides: tex(MnSymbol-Bold7.pfb) = %{tl_version}
Provides: tex(MnSymbol-Bold8.pfb) = %{tl_version}
Provides: tex(MnSymbol-Bold9.pfb) = %{tl_version}
Provides: tex(MnSymbol10.pfb) = %{tl_version}
Provides: tex(MnSymbol12.pfb) = %{tl_version}
Provides: tex(MnSymbol5.pfb) = %{tl_version}
Provides: tex(MnSymbol6.pfb) = %{tl_version}
Provides: tex(MnSymbol7.pfb) = %{tl_version}
Provides: tex(MnSymbol8.pfb) = %{tl_version}
Provides: tex(MnSymbol9.pfb) = %{tl_version}
Provides: tex(MnSymbol.sty) = %{tl_version}

%description mnsymbol
MnSymbol is a symbol font family, designed to be used in
conjunction with Adobe Minion Pro (via the MinionPro package).
Almost all of LaTeX and AMS mathematical symbols are provided;
remaining coverage is available from the MinionPro font with
the MinionPro package. The fonts are available both as Metafont
source and as Adobe Type 1 format, and a comprehensive support
package is provided. While the fonts were designed to fit with
Minon Pro, the design should fit well with other renaissance or
baroque faces: indeed, it will probably work with most fonts
that are neither too wide nor too thin, for example Palatino or
Times; it is known to look good with Sabon. There is no package
designed to configure its use with any font other than Minion
Pro, but (for example) simply loading mnsymbol after mathpazo
will probably do what is needed.

%package mnsymbol-doc
Summary: Documentation for mnsymbol
Version: svn18651.1.4

Provides: tex-mnsymbol-doc
AutoReqProv: No

%description mnsymbol-doc
Documentation for mnsymbol

%package newpx
Provides: tex-newpx = %{tl_version}
License: LPPL
Summary: Alternative uses of the PX fonts, with improved metrics
Version: svn45075
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(amsmath.sty)
Requires: tex(xkeyval.sty)
Requires: tex(binhex.tex)
Requires: tex(fontaxes.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Provides: tex(ecsups.enc) = %{tl_version}
Provides: tex(ot1sups.enc) = %{tl_version}
Provides: tex(texnansxsups.enc) = %{tl_version}
Provides: tex(tgpdiff.enc) = %{tl_version}
Provides: tex(newpx.map) = %{tl_version}
Provides: tex(newpxtext.map) = %{tl_version}
Provides: tex(TeXGyrePagellaX-Bold.otf) = %{tl_version}
Provides: tex(TeXGyrePagellaX-BoldItalic.otf) = %{tl_version}
Provides: tex(TeXGyrePagellaX-Italic.otf) = %{tl_version}
Provides: tex(TeXGyrePagellaX-Regular.otf) = %{tl_version}
Provides: tex(zpl-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-th-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-th-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-osf-th-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-th-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-th-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tlf-th-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(zpl-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(zplb-x.tfm) = %{tl_version}
Provides: tex(zplbexa.tfm) = %{tl_version}
Provides: tex(zplbexx.tfm) = %{tl_version}
Provides: tex(zplbmi.tfm) = %{tl_version}
Provides: tex(zplbmi1.tfm) = %{tl_version}
Provides: tex(zplbmia.tfm) = %{tl_version}
Provides: tex(zplbsy.tfm) = %{tl_version}
Provides: tex(zplbsyc.tfm) = %{tl_version}
Provides: tex(zplbsym.tfm) = %{tl_version}
Provides: tex(zplexa.tfm) = %{tl_version}
Provides: tex(zplexx.tfm) = %{tl_version}
Provides: tex(zplmi.tfm) = %{tl_version}
Provides: tex(zplmi1.tfm) = %{tl_version}
Provides: tex(zplmia.tfm) = %{tl_version}
Provides: tex(zplr-x.tfm) = %{tl_version}
Provides: tex(zplsups-Bold-ly1.tfm) = %{tl_version}
Provides: tex(zplsups-Bold-ot1.tfm) = %{tl_version}
Provides: tex(zplsups-Bold-t1.tfm) = %{tl_version}
Provides: tex(zplsups-BoldItalic-ly1.tfm) = %{tl_version}
Provides: tex(zplsups-BoldItalic-ot1.tfm) = %{tl_version}
Provides: tex(zplsups-BoldItalic-t1.tfm) = %{tl_version}
Provides: tex(zplsups-Italic-ly1.tfm) = %{tl_version}
Provides: tex(zplsups-Italic-ot1.tfm) = %{tl_version}
Provides: tex(zplsups-Italic-t1.tfm) = %{tl_version}
Provides: tex(zplsups-Regular-ly1.tfm) = %{tl_version}
Provides: tex(zplsups-Regular-ot1.tfm) = %{tl_version}
Provides: tex(zplsups-Regular-t1.tfm) = %{tl_version}
Provides: tex(zplsy.tfm) = %{tl_version}
Provides: tex(zplsyc.tfm) = %{tl_version}
Provides: tex(zplsym.tfm) = %{tl_version}
Provides: tex(zplb.pfb) = %{tl_version}
Provides: tex(zplbi.pfb) = %{tl_version}
Provides: tex(zplr.pfb) = %{tl_version}
Provides: tex(zplri.pfb) = %{tl_version}
Provides: tex(zplx-bold.pfb) = %{tl_version}
Provides: tex(zplx-regular.pfb) = %{tl_version}
Provides: tex(zpl-Bold-lf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Bold-lf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Bold-lf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Bold-osf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Bold-osf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Bold-osf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Bold-tlf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Bold-tlf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Bold-tlf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Bold-tosf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Bold-tosf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Bold-tosf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-lf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-osf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-tlf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-BoldItalic-tosf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Italic-lf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Italic-lf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Italic-lf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Italic-osf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Italic-osf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Italic-osf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Italic-tlf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Italic-tlf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Italic-tlf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Italic-tosf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Italic-tosf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Italic-tosf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Regular-lf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Regular-lf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Regular-lf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Regular-osf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Regular-osf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Regular-osf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Regular-tlf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Regular-tlf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Regular-tlf-scl-t1.vf) = %{tl_version}
Provides: tex(zpl-Regular-tosf-scl-ly1.vf) = %{tl_version}
Provides: tex(zpl-Regular-tosf-scl-ot1.vf) = %{tl_version}
Provides: tex(zpl-Regular-tosf-scl-t1.vf) = %{tl_version}
Provides: tex(zplbexa.vf) = %{tl_version}
Provides: tex(zplbexx.vf) = %{tl_version}
Provides: tex(zplbmi.vf) = %{tl_version}
Provides: tex(zplbmi1.vf) = %{tl_version}
Provides: tex(zplbmia.vf) = %{tl_version}
Provides: tex(zplbsy.vf) = %{tl_version}
Provides: tex(zplbsyc.vf) = %{tl_version}
Provides: tex(zplbsym.vf) = %{tl_version}
Provides: tex(zplexa.vf) = %{tl_version}
Provides: tex(zplexx.vf) = %{tl_version}
Provides: tex(zplmi.vf) = %{tl_version}
Provides: tex(zplmi1.vf) = %{tl_version}
Provides: tex(zplmia.vf) = %{tl_version}
Provides: tex(zplsy.vf) = %{tl_version}
Provides: tex(zplsyc.vf) = %{tl_version}
Provides: tex(zplsym.vf) = %{tl_version}
Provides: tex(ly1npxtt.fd) = %{tl_version}
Provides: tex(ly1zpllf.fd) = %{tl_version}
Provides: tex(ly1zplosf.fd) = %{tl_version}
Provides: tex(ly1zplsups.fd) = %{tl_version}
Provides: tex(ly1zpltlf.fd) = %{tl_version}
Provides: tex(ly1zpltosf.fd) = %{tl_version}
Provides: tex(newpxmath.sty) = %{tl_version}
Provides: tex(newpxtext.sty) = %{tl_version}
Provides: tex(omlnpxmi.fd) = %{tl_version}
Provides: tex(omsnpxsy.fd) = %{tl_version}
Provides: tex(ot1npxtt.fd) = %{tl_version}
Provides: tex(ot1zpllf.fd) = %{tl_version}
Provides: tex(ot1zplosf.fd) = %{tl_version}
Provides: tex(ot1zplsups.fd) = %{tl_version}
Provides: tex(ot1zpltlf.fd) = %{tl_version}
Provides: tex(ot1zpltosf.fd) = %{tl_version}
Provides: tex(t1npxtt.fd) = %{tl_version}
Provides: tex(t1zpllf.fd) = %{tl_version}
Provides: tex(t1zplosf.fd) = %{tl_version}
Provides: tex(t1zplsups.fd) = %{tl_version}
Provides: tex(t1zpltlf.fd) = %{tl_version}
Provides: tex(t1zpltosf.fd) = %{tl_version}
Provides: tex(ts1npxtt.fd) = %{tl_version}
Provides: tex(ts1zpllf.fd) = %{tl_version}
Provides: tex(ts1zplosf.fd) = %{tl_version}
Provides: tex(ts1zpltlf.fd) = %{tl_version}
Provides: tex(ts1zpltosf.fd) = %{tl_version}
Provides: tex(unpxexa.fd) = %{tl_version}
Provides: tex(unpxmia.fd) = %{tl_version}
Provides: tex(unpxss.fd) = %{tl_version}
Provides: tex(unpxsyc.fd) = %{tl_version}
Provides: tex(unpxsym.fd) = %{tl_version}
Provides: tex(unpxtt.fd) = %{tl_version}

%description newpx
This package, initially based on pxfonts, provides many fixes
and enhancements to that package, and splits it in two parts
(newpxtext and newpxmath) which may be run independently of one
another. It provides scaling, improved metrics, and other
options. For proper operation, the packages require that the
packages newtxmath, pxfonts, and TeXGyrePagella be installed
and their map files enabled.

%package newpx-doc
Summary: Documentation for newpx
Version: svn45075
Provides: tex-newpx-doc
AutoReqProv: No

%description newpx-doc
Documentation for newpx

%package newtx
Provides: tex-newtx = %{tl_version}
License: LPPL 1.3
Summary: Alternative uses of the TX fonts, with improved metrics
Version: svn45279
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: texlive-boondox
Requires: tex(amsmath.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(binhex.tex)
Requires: tex(fontaxes.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Provides: tex(alt-mn-greek.enc) = %{tl_version}
Provides: tex(libcaps.enc) = %{tl_version}
Provides: tex(libertinealt.enc) = %{tl_version}
Provides: tex(ntx-ec-lf-sc.enc) = %{tl_version}
Provides: tex(ntx-ec-lf.enc) = %{tl_version}
Provides: tex(ntx-ec-osf-sc.enc) = %{tl_version}
Provides: tex(ntx-ec-osf.enc) = %{tl_version}
Provides: tex(ntx-ec-tlf-sc.enc) = %{tl_version}
Provides: tex(ntx-ec-tlf.enc) = %{tl_version}
Provides: tex(ntx-ec-tosf-sc.enc) = %{tl_version}
Provides: tex(ntx-ec-tosf.enc) = %{tl_version}
Provides: tex(ntx-ecth-lf.enc) = %{tl_version}
Provides: tex(ntx-ecth-osf.enc) = %{tl_version}
Provides: tex(ntx-ecth-tlf.enc) = %{tl_version}
Provides: tex(ntx-ecth-tosf.enc) = %{tl_version}
Provides: tex(ntx-ly1-sc.enc) = %{tl_version}
Provides: tex(ntx-ot1-lf-sc.enc) = %{tl_version}
Provides: tex(ntx-ot1-lf.enc) = %{tl_version}
Provides: tex(ntx-ot1-osf-sc.enc) = %{tl_version}
Provides: tex(ntx-ot1-osf.enc) = %{tl_version}
Provides: tex(ntx-ot1-sc.enc) = %{tl_version}
Provides: tex(ntx-ot1-th-osf.enc) = %{tl_version}
Provides: tex(ntx-ot1-th-tlf.enc) = %{tl_version}
Provides: tex(ntx-ot1-tlf-sc.enc) = %{tl_version}
Provides: tex(ntx-ot1-tlf.enc) = %{tl_version}
Provides: tex(ntx-ot1-tosf-sc.enc) = %{tl_version}
Provides: tex(ntx-ot1-tosf.enc) = %{tl_version}
Provides: tex(ntx-t1-sc.enc) = %{tl_version}
Provides: tex(ntx-texnansi-lf-sc.enc) = %{tl_version}
Provides: tex(ntx-texnansi-lf.enc) = %{tl_version}
Provides: tex(ntx-texnansi-osf-sc.enc) = %{tl_version}
Provides: tex(ntx-texnansi-osf.enc) = %{tl_version}
Provides: tex(ntx-texnansi-th-osf.enc) = %{tl_version}
Provides: tex(ntx-texnansi-th-tlf.enc) = %{tl_version}
Provides: tex(ntx-texnansi-tlf-sc.enc) = %{tl_version}
Provides: tex(ntx-texnansi-tlf.enc) = %{tl_version}
Provides: tex(ntx-texnansi-tosf-sc.enc) = %{tl_version}
Provides: tex(ntx-texnansi-tosf.enc) = %{tl_version}
Provides: tex(ntxmiaalt.enc) = %{tl_version}
Provides: tex(newtx.map) = %{tl_version}
Provides: tex(zmn.map) = %{tl_version}
Provides: tex(Libertine-nu.tfm) = %{tl_version}
Provides: tex(LibertineI-5nu.tfm) = %{tl_version}
Provides: tex(LibertineI-7nu.tfm) = %{tl_version}
Provides: tex(LibertineI-nu.tfm) = %{tl_version}
Provides: tex(LibertineTheta-Regular.tfm) = %{tl_version}
Provides: tex(LibertineZ-nu.tfm) = %{tl_version}
Provides: tex(LibertineZI-5nu.tfm) = %{tl_version}
Provides: tex(LibertineZI-7nu.tfm) = %{tl_version}
Provides: tex(LibertineZI-nu.tfm) = %{tl_version}
Provides: tex(MinLibBol-ly1.tfm) = %{tl_version}
Provides: tex(MinLibBol-ot1.tfm) = %{tl_version}
Provides: tex(MinLibBol-t1.tfm) = %{tl_version}
Provides: tex(MinLibBolIta-ly1.tfm) = %{tl_version}
Provides: tex(MinLibBolIta-ot1.tfm) = %{tl_version}
Provides: tex(MinLibBolIta-t1.tfm) = %{tl_version}
Provides: tex(MinLibIta-ly1.tfm) = %{tl_version}
Provides: tex(MinLibIta-ot1.tfm) = %{tl_version}
Provides: tex(MinLibIta-t1.tfm) = %{tl_version}
Provides: tex(MinLibReg-ly1.tfm) = %{tl_version}
Provides: tex(MinLibReg-ot1.tfm) = %{tl_version}
Provides: tex(MinLibReg-t1.tfm) = %{tl_version}
Provides: tex(fxlri-5alt.tfm) = %{tl_version}
Provides: tex(fxlri-5letters.tfm) = %{tl_version}
Provides: tex(fxlri-7alt.tfm) = %{tl_version}
Provides: tex(fxlri-7letters.tfm) = %{tl_version}
Provides: tex(fxlzi-5alt.tfm) = %{tl_version}
Provides: tex(fxlzi-5letters.tfm) = %{tl_version}
Provides: tex(fxlzi-7alt.tfm) = %{tl_version}
Provides: tex(fxlzi-7letters.tfm) = %{tl_version}
Provides: tex(fxlzi-jv.tfm) = %{tl_version}
Provides: tex(fxlzi-jv5.tfm) = %{tl_version}
Provides: tex(fxlzi-jv7.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-th-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-th-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-osf-th-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-th-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-th-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tlf-th-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-scl-ly1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-scl-ot1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-scl-t1.tfm) = %{tl_version}
Provides: tex(ntx-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(ntxbexa.tfm) = %{tl_version}
Provides: tex(ntxbexb.tfm) = %{tl_version}
Provides: tex(ntxbexmods.tfm) = %{tl_version}
Provides: tex(ntxbexx.tfm) = %{tl_version}
Provides: tex(ntxbmi.tfm) = %{tl_version}
Provides: tex(ntxbmi1.tfm) = %{tl_version}
Provides: tex(ntxbmi15.tfm) = %{tl_version}
Provides: tex(ntxbmi17.tfm) = %{tl_version}
Provides: tex(ntxbmi1x.tfm) = %{tl_version}
Provides: tex(ntxbmi5.tfm) = %{tl_version}
Provides: tex(ntxbmi7.tfm) = %{tl_version}
Provides: tex(ntxbmia.tfm) = %{tl_version}
Provides: tex(ntxbmial1.tfm) = %{tl_version}
Provides: tex(ntxbmials.tfm) = %{tl_version}
Provides: tex(ntxbsy.tfm) = %{tl_version}
Provides: tex(ntxbsy5.tfm) = %{tl_version}
Provides: tex(ntxbsy7.tfm) = %{tl_version}
Provides: tex(ntxbsyc.tfm) = %{tl_version}
Provides: tex(ntxbsym.tfm) = %{tl_version}
Provides: tex(ntxexa.tfm) = %{tl_version}
Provides: tex(ntxexb.tfm) = %{tl_version}
Provides: tex(ntxexmods.tfm) = %{tl_version}
Provides: tex(ntxexx.tfm) = %{tl_version}
Provides: tex(ntxmi.tfm) = %{tl_version}
Provides: tex(ntxmi1.tfm) = %{tl_version}
Provides: tex(ntxmi15.tfm) = %{tl_version}
Provides: tex(ntxmi17.tfm) = %{tl_version}
Provides: tex(ntxmi5.tfm) = %{tl_version}
Provides: tex(ntxmi7.tfm) = %{tl_version}
Provides: tex(ntxmia.tfm) = %{tl_version}
Provides: tex(ntxsups-Bold-ly1.tfm) = %{tl_version}
Provides: tex(ntxsups-Bold-ot1.tfm) = %{tl_version}
Provides: tex(ntxsups-Bold-t1.tfm) = %{tl_version}
Provides: tex(ntxsups-Bold.tfm) = %{tl_version}
Provides: tex(ntxsups-BoldItalic-ly1.tfm) = %{tl_version}
Provides: tex(ntxsups-BoldItalic-ot1.tfm) = %{tl_version}
Provides: tex(ntxsups-BoldItalic-t1.tfm) = %{tl_version}
Provides: tex(ntxsups-BoldItalic.tfm) = %{tl_version}
Provides: tex(ntxsups-Italic-ly1.tfm) = %{tl_version}
Provides: tex(ntxsups-Italic-ot1.tfm) = %{tl_version}
Provides: tex(ntxsups-Italic-t1.tfm) = %{tl_version}
Provides: tex(ntxsups-Italic.tfm) = %{tl_version}
Provides: tex(ntxsups-Regular-ly1.tfm) = %{tl_version}
Provides: tex(ntxsups-Regular-ot1.tfm) = %{tl_version}
Provides: tex(ntxsups-Regular-t1.tfm) = %{tl_version}
Provides: tex(ntxsups-Regular.tfm) = %{tl_version}
Provides: tex(ntxsy.tfm) = %{tl_version}
Provides: tex(ntxsy5.tfm) = %{tl_version}
Provides: tex(ntxsy7.tfm) = %{tl_version}
Provides: tex(ntxsybalt.tfm) = %{tl_version}
Provides: tex(ntxsyc.tfm) = %{tl_version}
Provides: tex(ntxsym.tfm) = %{tl_version}
Provides: tex(ntxsyralt.tfm) = %{tl_version}
Provides: tex(nxlbmi.tfm) = %{tl_version}
Provides: tex(nxlbmi0.tfm) = %{tl_version}
Provides: tex(nxlbmi01.tfm) = %{tl_version}
Provides: tex(nxlbmi015.tfm) = %{tl_version}
Provides: tex(nxlbmi017.tfm) = %{tl_version}
Provides: tex(nxlbmi02.tfm) = %{tl_version}
Provides: tex(nxlbmi025.tfm) = %{tl_version}
Provides: tex(nxlbmi027.tfm) = %{tl_version}
Provides: tex(nxlbmi03.tfm) = %{tl_version}
Provides: tex(nxlbmi035.tfm) = %{tl_version}
Provides: tex(nxlbmi037.tfm) = %{tl_version}
Provides: tex(nxlbmi05.tfm) = %{tl_version}
Provides: tex(nxlbmi07.tfm) = %{tl_version}
Provides: tex(nxlbmi1.tfm) = %{tl_version}
Provides: tex(nxlbmi15.tfm) = %{tl_version}
Provides: tex(nxlbmi17.tfm) = %{tl_version}
Provides: tex(nxlbmi2.tfm) = %{tl_version}
Provides: tex(nxlbmi25.tfm) = %{tl_version}
Provides: tex(nxlbmi27.tfm) = %{tl_version}
Provides: tex(nxlbmi3.tfm) = %{tl_version}
Provides: tex(nxlbmi35.tfm) = %{tl_version}
Provides: tex(nxlbmi37.tfm) = %{tl_version}
Provides: tex(nxlbmi5.tfm) = %{tl_version}
Provides: tex(nxlbmi7.tfm) = %{tl_version}
Provides: tex(nxlbmia.tfm) = %{tl_version}
Provides: tex(nxlbsy5.tfm) = %{tl_version}
Provides: tex(nxlbsy7.tfm) = %{tl_version}
Provides: tex(nxlmi.tfm) = %{tl_version}
Provides: tex(nxlmi0.tfm) = %{tl_version}
Provides: tex(nxlmi01.tfm) = %{tl_version}
Provides: tex(nxlmi015.tfm) = %{tl_version}
Provides: tex(nxlmi017.tfm) = %{tl_version}
Provides: tex(nxlmi02.tfm) = %{tl_version}
Provides: tex(nxlmi025.tfm) = %{tl_version}
Provides: tex(nxlmi027.tfm) = %{tl_version}
Provides: tex(nxlmi03.tfm) = %{tl_version}
Provides: tex(nxlmi035.tfm) = %{tl_version}
Provides: tex(nxlmi037.tfm) = %{tl_version}
Provides: tex(nxlmi05.tfm) = %{tl_version}
Provides: tex(nxlmi07.tfm) = %{tl_version}
Provides: tex(nxlmi1.tfm) = %{tl_version}
Provides: tex(nxlmi15.tfm) = %{tl_version}
Provides: tex(nxlmi17.tfm) = %{tl_version}
Provides: tex(nxlmi2.tfm) = %{tl_version}
Provides: tex(nxlmi25.tfm) = %{tl_version}
Provides: tex(nxlmi27.tfm) = %{tl_version}
Provides: tex(nxlmi3.tfm) = %{tl_version}
Provides: tex(nxlmi35.tfm) = %{tl_version}
Provides: tex(nxlmi37.tfm) = %{tl_version}
Provides: tex(nxlmi5.tfm) = %{tl_version}
Provides: tex(nxlmi7.tfm) = %{tl_version}
Provides: tex(nxlmia.tfm) = %{tl_version}
Provides: tex(nxlsy5.tfm) = %{tl_version}
Provides: tex(nxlsy7.tfm) = %{tl_version}
Provides: tex(qtmr.tfm) = %{tl_version}
Provides: tex(rfxlr-alt.tfm) = %{tl_version}
Provides: tex(rfxlri-alt.tfm) = %{tl_version}
Provides: tex(rfxlri-vw.tfm) = %{tl_version}
Provides: tex(rfxlri-vw5.tfm) = %{tl_version}
Provides: tex(rfxlri-vw7.tfm) = %{tl_version}
Provides: tex(rfxlz-alt.tfm) = %{tl_version}
Provides: tex(rfxlzi-alt.tfm) = %{tl_version}
Provides: tex(rfxlzi-vw.tfm) = %{tl_version}
Provides: tex(rfxlzi-vw5.tfm) = %{tl_version}
Provides: tex(rfxlzi-vw7.tfm) = %{tl_version}
Provides: tex(rntxbmi.tfm) = %{tl_version}
Provides: tex(rntxbmi5.tfm) = %{tl_version}
Provides: tex(rntxbmi7.tfm) = %{tl_version}
Provides: tex(rntxmi.tfm) = %{tl_version}
Provides: tex(rntxmi5.tfm) = %{tl_version}
Provides: tex(rntxmi7.tfm) = %{tl_version}
Provides: tex(rtxbmi-rev.tfm) = %{tl_version}
Provides: tex(rtxbmi-ut.tfm) = %{tl_version}
Provides: tex(rtxbmi5-rev.tfm) = %{tl_version}
Provides: tex(rtxbmi5.tfm) = %{tl_version}
Provides: tex(rtxbmi7-rev.tfm) = %{tl_version}
Provides: tex(rtxbmi7.tfm) = %{tl_version}
Provides: tex(rtxbmio.tfm) = %{tl_version}
Provides: tex(rtxmi-ut.tfm) = %{tl_version}
Provides: tex(rtxmi5.tfm) = %{tl_version}
Provides: tex(rtxmi7.tfm) = %{tl_version}
Provides: tex(rtxmio.tfm) = %{tl_version}
Provides: tex(txbex-bar.tfm) = %{tl_version}
Provides: tex(txbsy5.tfm) = %{tl_version}
Provides: tex(txbsy7.tfm) = %{tl_version}
Provides: tex(txex-bar.tfm) = %{tl_version}
Provides: tex(txsy5.tfm) = %{tl_version}
Provides: tex(txsy7.tfm) = %{tl_version}
Provides: tex(zmn-vw-b.tfm) = %{tl_version}
Provides: tex(zmn-vw-r.tfm) = %{tl_version}
Provides: tex(zutbmi.tfm) = %{tl_version}
Provides: tex(zutmi.tfm) = %{tl_version}
Provides: tex(zxlr-5nums.tfm) = %{tl_version}
Provides: tex(zxlr-7nums.tfm) = %{tl_version}
Provides: tex(zxlr-8r.tfm) = %{tl_version}
Provides: tex(zxlr-caps.tfm) = %{tl_version}
Provides: tex(zxlri-8r.tfm) = %{tl_version}
Provides: tex(zxlz-8r.tfm) = %{tl_version}
Provides: tex(zxlz-caps.tfm) = %{tl_version}
Provides: tex(zxlzi-8r.tfm) = %{tl_version}
Provides: tex(Libertine-nu.pfb) = %{tl_version}
Provides: tex(LibertineI-5nu.pfb) = %{tl_version}
Provides: tex(LibertineI-7nu.pfb) = %{tl_version}
Provides: tex(LibertineI-nu.pfb) = %{tl_version}
Provides: tex(LibertineTheta-Regular.pfb) = %{tl_version}
Provides: tex(LibertineZ-nu.pfb) = %{tl_version}
Provides: tex(LibertineZI-5nu.pfb) = %{tl_version}
Provides: tex(LibertineZI-7nu.pfb) = %{tl_version}
Provides: tex(LibertineZI-nu.pfb) = %{tl_version}
Provides: tex(MinLibBol.pfb) = %{tl_version}
Provides: tex(MinLibBolIta.pfb) = %{tl_version}
Provides: tex(MinLibIta.pfb) = %{tl_version}
Provides: tex(MinLibReg.pfb) = %{tl_version}
Provides: tex(fxlri-5letters.pfb) = %{tl_version}
Provides: tex(fxlri-7letters.pfb) = %{tl_version}
Provides: tex(fxlri-vw.pfb) = %{tl_version}
Provides: tex(fxlri-vw5.pfb) = %{tl_version}
Provides: tex(fxlri-vw7.pfb) = %{tl_version}
Provides: tex(fxlzi-5letters.pfb) = %{tl_version}
Provides: tex(fxlzi-7letters.pfb) = %{tl_version}
Provides: tex(fxlzi-jv.pfb) = %{tl_version}
Provides: tex(fxlzi-jv5.pfb) = %{tl_version}
Provides: tex(fxlzi-jv7.pfb) = %{tl_version}
Provides: tex(fxlzi-vw.pfb) = %{tl_version}
Provides: tex(fxlzi-vw5.pfb) = %{tl_version}
Provides: tex(fxlzi-vw7.pfb) = %{tl_version}
Provides: tex(ntxbexb.pfb) = %{tl_version}
Provides: tex(ntxbexmods.pfb) = %{tl_version}
Provides: tex(ntxexb.pfb) = %{tl_version}
Provides: tex(ntxexmods.pfb) = %{tl_version}
Provides: tex(ntxsups-Bold.pfb) = %{tl_version}
Provides: tex(ntxsups-BoldItalic.pfb) = %{tl_version}
Provides: tex(ntxsups-Italic.pfb) = %{tl_version}
Provides: tex(ntxsups-Regular.pfb) = %{tl_version}
Provides: tex(ntxsybalt.pfb) = %{tl_version}
Provides: tex(ntxsyralt.pfb) = %{tl_version}
Provides: tex(ntxtmb.pfb) = %{tl_version}
Provides: tex(ntxtmbi.pfb) = %{tl_version}
Provides: tex(ntxtmr.pfb) = %{tl_version}
Provides: tex(ntxtmri.pfb) = %{tl_version}
Provides: tex(rntxbmi.pfb) = %{tl_version}
Provides: tex(rntxbmi5.pfb) = %{tl_version}
Provides: tex(rntxbmi7.pfb) = %{tl_version}
Provides: tex(rntxmi.pfb) = %{tl_version}
Provides: tex(rntxmi5.pfb) = %{tl_version}
Provides: tex(rntxmi7.pfb) = %{tl_version}
Provides: tex(rtxbmi-rev.pfb) = %{tl_version}
Provides: tex(rtxbmi5-rev.pfb) = %{tl_version}
Provides: tex(rtxbmi5.pfb) = %{tl_version}
Provides: tex(rtxbmi7-rev.pfb) = %{tl_version}
Provides: tex(rtxbmi7.pfb) = %{tl_version}
Provides: tex(rtxmi5.pfb) = %{tl_version}
Provides: tex(rtxmi7.pfb) = %{tl_version}
Provides: tex(txbex-bar.pfb) = %{tl_version}
Provides: tex(txbsy5.pfb) = %{tl_version}
Provides: tex(txbsy7.pfb) = %{tl_version}
Provides: tex(txex-bar.pfb) = %{tl_version}
Provides: tex(txsy5.pfb) = %{tl_version}
Provides: tex(txsy7.pfb) = %{tl_version}
Provides: tex(zmn-vw-b.pfb) = %{tl_version}
Provides: tex(zmn-vw-r.pfb) = %{tl_version}
Provides: tex(zxlr-5nums.pfb) = %{tl_version}
Provides: tex(zxlr-7nums.pfb) = %{tl_version}
Provides: tex(zxlr.pfb) = %{tl_version}
Provides: tex(zxlri.pfb) = %{tl_version}
Provides: tex(zxlz.pfb) = %{tl_version}
Provides: tex(zxlzi.pfb) = %{tl_version}
Provides: tex(ntxbexa.vf) = %{tl_version}
Provides: tex(ntxbexx.vf) = %{tl_version}
Provides: tex(ntxbmi.vf) = %{tl_version}
Provides: tex(ntxbmi1.vf) = %{tl_version}
Provides: tex(ntxbmi15.vf) = %{tl_version}
Provides: tex(ntxbmi17.vf) = %{tl_version}
Provides: tex(ntxbmi1x.vf) = %{tl_version}
Provides: tex(ntxbmi5.vf) = %{tl_version}
Provides: tex(ntxbmi7.vf) = %{tl_version}
Provides: tex(ntxbmia.vf) = %{tl_version}
Provides: tex(ntxbsy.vf) = %{tl_version}
Provides: tex(ntxbsy5.vf) = %{tl_version}
Provides: tex(ntxbsy7.vf) = %{tl_version}
Provides: tex(ntxbsyc.vf) = %{tl_version}
Provides: tex(ntxbsym.vf) = %{tl_version}
Provides: tex(ntxexa.vf) = %{tl_version}
Provides: tex(ntxexx.vf) = %{tl_version}
Provides: tex(ntxmi.vf) = %{tl_version}
Provides: tex(ntxmi1.vf) = %{tl_version}
Provides: tex(ntxmi15.vf) = %{tl_version}
Provides: tex(ntxmi17.vf) = %{tl_version}
Provides: tex(ntxmi5.vf) = %{tl_version}
Provides: tex(ntxmi7.vf) = %{tl_version}
Provides: tex(ntxmia.vf) = %{tl_version}
Provides: tex(ntxsy.vf) = %{tl_version}
Provides: tex(ntxsy5.vf) = %{tl_version}
Provides: tex(ntxsy7.vf) = %{tl_version}
Provides: tex(ntxsyc.vf) = %{tl_version}
Provides: tex(ntxsym.vf) = %{tl_version}
Provides: tex(nxlbmi.vf) = %{tl_version}
Provides: tex(nxlbmi0.vf) = %{tl_version}
Provides: tex(nxlbmi01.vf) = %{tl_version}
Provides: tex(nxlbmi015.vf) = %{tl_version}
Provides: tex(nxlbmi017.vf) = %{tl_version}
Provides: tex(nxlbmi02.vf) = %{tl_version}
Provides: tex(nxlbmi025.vf) = %{tl_version}
Provides: tex(nxlbmi027.vf) = %{tl_version}
Provides: tex(nxlbmi03.vf) = %{tl_version}
Provides: tex(nxlbmi035.vf) = %{tl_version}
Provides: tex(nxlbmi037.vf) = %{tl_version}
Provides: tex(nxlbmi05.vf) = %{tl_version}
Provides: tex(nxlbmi07.vf) = %{tl_version}
Provides: tex(nxlbmi1.vf) = %{tl_version}
Provides: tex(nxlbmi15.vf) = %{tl_version}
Provides: tex(nxlbmi17.vf) = %{tl_version}
Provides: tex(nxlbmi2.vf) = %{tl_version}
Provides: tex(nxlbmi25.vf) = %{tl_version}
Provides: tex(nxlbmi27.vf) = %{tl_version}
Provides: tex(nxlbmi3.vf) = %{tl_version}
Provides: tex(nxlbmi35.vf) = %{tl_version}
Provides: tex(nxlbmi37.vf) = %{tl_version}
Provides: tex(nxlbmi5.vf) = %{tl_version}
Provides: tex(nxlbmi7.vf) = %{tl_version}
Provides: tex(nxlbmia.vf) = %{tl_version}
Provides: tex(nxlbsy5.vf) = %{tl_version}
Provides: tex(nxlbsy7.vf) = %{tl_version}
Provides: tex(nxlmi.vf) = %{tl_version}
Provides: tex(nxlmi0.vf) = %{tl_version}
Provides: tex(nxlmi01.vf) = %{tl_version}
Provides: tex(nxlmi015.vf) = %{tl_version}
Provides: tex(nxlmi017.vf) = %{tl_version}
Provides: tex(nxlmi02.vf) = %{tl_version}
Provides: tex(nxlmi025.vf) = %{tl_version}
Provides: tex(nxlmi027.vf) = %{tl_version}
Provides: tex(nxlmi03.vf) = %{tl_version}
Provides: tex(nxlmi035.vf) = %{tl_version}
Provides: tex(nxlmi037.vf) = %{tl_version}
Provides: tex(nxlmi05.vf) = %{tl_version}
Provides: tex(nxlmi07.vf) = %{tl_version}
Provides: tex(nxlmi1.vf) = %{tl_version}
Provides: tex(nxlmi15.vf) = %{tl_version}
Provides: tex(nxlmi17.vf) = %{tl_version}
Provides: tex(nxlmi2.vf) = %{tl_version}
Provides: tex(nxlmi25.vf) = %{tl_version}
Provides: tex(nxlmi27.vf) = %{tl_version}
Provides: tex(nxlmi3.vf) = %{tl_version}
Provides: tex(nxlmi35.vf) = %{tl_version}
Provides: tex(nxlmi37.vf) = %{tl_version}
Provides: tex(nxlmi5.vf) = %{tl_version}
Provides: tex(nxlmi7.vf) = %{tl_version}
Provides: tex(nxlmia.vf) = %{tl_version}
Provides: tex(nxlsy5.vf) = %{tl_version}
Provides: tex(nxlsy7.vf) = %{tl_version}
Provides: tex(zutbmi.vf) = %{tl_version}
Provides: tex(zutmi.vf) = %{tl_version}
Provides: tex(ly1minlibertine.fd) = %{tl_version}
Provides: tex(ly1ntxlf.fd) = %{tl_version}
Provides: tex(ly1ntxosf.fd) = %{tl_version}
Provides: tex(ly1ntxsups.fd) = %{tl_version}
Provides: tex(ly1ntxtlf.fd) = %{tl_version}
Provides: tex(ly1ntxtosf.fd) = %{tl_version}
Provides: tex(ly1ntxtt.fd) = %{tl_version}
Provides: tex(newtxmath.sty) = %{tl_version}
Provides: tex(newtxtext.sty) = %{tl_version}
Provides: tex(omlntxmi.fd) = %{tl_version}
Provides: tex(omlnxlmi.fd) = %{tl_version}
Provides: tex(omlzbvmi.fd) = %{tl_version}
Provides: tex(omlzmnmi.fd) = %{tl_version}
Provides: tex(omlzutmi.fd) = %{tl_version}
Provides: tex(ot1minlibertine.fd) = %{tl_version}
Provides: tex(ot1ntxlf.fd) = %{tl_version}
Provides: tex(ot1ntxosf.fd) = %{tl_version}
Provides: tex(ot1ntxsups.fd) = %{tl_version}
Provides: tex(ot1ntxtlf.fd) = %{tl_version}
Provides: tex(ot1ntxtosf.fd) = %{tl_version}
Provides: tex(ot1ntxtt.fd) = %{tl_version}
Provides: tex(t1fxl1.fd) = %{tl_version}
Provides: tex(t1minlibertine.fd) = %{tl_version}
Provides: tex(t1ntxlf.fd) = %{tl_version}
Provides: tex(t1ntxosf.fd) = %{tl_version}
Provides: tex(t1ntxsups.fd) = %{tl_version}
Provides: tex(t1ntxtlf.fd) = %{tl_version}
Provides: tex(t1ntxtosf.fd) = %{tl_version}
Provides: tex(t1ntxtt.fd) = %{tl_version}
Provides: tex(ts1ntxlf.fd) = %{tl_version}
Provides: tex(ts1ntxosf.fd) = %{tl_version}
Provides: tex(ts1ntxtlf.fd) = %{tl_version}
Provides: tex(ts1ntxtosf.fd) = %{tl_version}
Provides: tex(ts1ntxtt.fd) = %{tl_version}
Provides: tex(untxexa.fd) = %{tl_version}
Provides: tex(untxmia.fd) = %{tl_version}
Provides: tex(untxsyc.fd) = %{tl_version}
Provides: tex(untxsym.fd) = %{tl_version}
Provides: tex(untxtt.fd) = %{tl_version}
Provides: tex(uzmnmia.fd) = %{tl_version}

%description newtx
The bundle splits txfonts.sty (from the TX fonts distribution)
into two independent packages, newtxtext.sty and newtxmath.sty,
each with fixes and enhancements. newtxmath's metrics have been
re-evaluated to provide a less tight appearance, and to provide
a libertine option that substitutes Libertine italic and Greek
letter for the existing math italic and Greek glyphs, making a
mathematics package that matches Libertine text quite well.
newtxmath can also use the maths italic font provided with the
garamondx package, thus offering a garamond-alike text-with-
maths combination.

%package newtx-doc
Summary: Documentation for newtx
Version: svn45279
Provides: tex-newtx-doc
AutoReqProv: No

%description newtx-doc
Documentation for newtx

%package newtxsf
Provides: tex-newtxsf = %{tl_version}
License: OFL
Summary: Sans-math fonts for use with newtx
Version: svn47958
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(amsmath.sty)
Requires: tex(xkeyval.sty)
Requires: tex(binhex.tex)
Provides: tex(newtxsf.map) = %{tl_version}
Provides: tex(ntxsfbmi.tfm) = %{tl_version}
Provides: tex(ntxsfbmia.tfm) = %{tl_version}
Provides: tex(ntxsfmi.tfm) = %{tl_version}
Provides: tex(ntxsfmia.tfm) = %{tl_version}
Provides: tex(zsfmi-bol.tfm) = %{tl_version}
Provides: tex(zsfmi-reg.tfm) = %{tl_version}
Provides: tex(zsfmia-bol.tfm) = %{tl_version}
Provides: tex(zsfmia-reg.tfm) = %{tl_version}
Provides: tex(zsfmi-bol.pfb) = %{tl_version}
Provides: tex(zsfmi-reg.pfb) = %{tl_version}
Provides: tex(zsfmia-bol.pfb) = %{tl_version}
Provides: tex(zsfmia-reg.pfb) = %{tl_version}
Provides: tex(ntxsfbmi.vf) = %{tl_version}
Provides: tex(ntxsfbmia.vf) = %{tl_version}
Provides: tex(ntxsfmi.vf) = %{tl_version}
Provides: tex(ntxsfmia.vf) = %{tl_version}
Provides: tex(newtxsf.sty) = %{tl_version}
Provides: tex(omlntxsfmi.fd) = %{tl_version}
Provides: tex(untxsfmia.fd) = %{tl_version}

%description newtxsf
The package provides a maths support that amounts to
modifications of the STIX sans serif Roman and Greek letters
with most symbols taken from newtxmath (which must of course be
installed and its map file enabled).

%package newtxsf-doc
Summary: Documentation for newtxsf
Version: svn47958
Provides: tex-newtxsf-doc
AutoReqProv: No

%description newtxsf-doc
Documentation for newtxsf

%package newtxtt
Provides: tex-newtxtt = %{tl_version}
License: GPLv3+
Summary: Enhancement of typewriter fonts from newtx
Version: svn44510
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Provides: tex(txttAec.enc) = %{tl_version}
Provides: tex(txttAqec.enc) = %{tl_version}
Provides: tex(txttBec.enc) = %{tl_version}
Provides: tex(txttBqec.enc) = %{tl_version}
Provides: tex(txttCec.enc) = %{tl_version}
Provides: tex(txttCqec.enc) = %{tl_version}
Provides: tex(txttDec.enc) = %{tl_version}
Provides: tex(txttDqec.enc) = %{tl_version}
Provides: tex(txttEec.enc) = %{tl_version}
Provides: tex(txttEqec.enc) = %{tl_version}
Provides: tex(newtxtt.map) = %{tl_version}
Provides: tex(newtxbtta.tfm) = %{tl_version}
Provides: tex(newtxbttaq.tfm) = %{tl_version}
Provides: tex(newtxbttb.tfm) = %{tl_version}
Provides: tex(newtxbttbq.tfm) = %{tl_version}
Provides: tex(newtxbttc.tfm) = %{tl_version}
Provides: tex(newtxbttcq.tfm) = %{tl_version}
Provides: tex(newtxbttd.tfm) = %{tl_version}
Provides: tex(newtxbttdq.tfm) = %{tl_version}
Provides: tex(newtxbtte.tfm) = %{tl_version}
Provides: tex(newtxbtteq.tfm) = %{tl_version}
Provides: tex(newtxbttsca.tfm) = %{tl_version}
Provides: tex(newtxbttscaq.tfm) = %{tl_version}
Provides: tex(newtxbttscb.tfm) = %{tl_version}
Provides: tex(newtxbttscbq.tfm) = %{tl_version}
Provides: tex(newtxbttscc.tfm) = %{tl_version}
Provides: tex(newtxbttsccq.tfm) = %{tl_version}
Provides: tex(newtxbttscd.tfm) = %{tl_version}
Provides: tex(newtxbttscdq.tfm) = %{tl_version}
Provides: tex(newtxbttsce.tfm) = %{tl_version}
Provides: tex(newtxbttsceq.tfm) = %{tl_version}
Provides: tex(newtxbttsla.tfm) = %{tl_version}
Provides: tex(newtxbttslaq.tfm) = %{tl_version}
Provides: tex(newtxbttslb.tfm) = %{tl_version}
Provides: tex(newtxbttslbq.tfm) = %{tl_version}
Provides: tex(newtxbttslc.tfm) = %{tl_version}
Provides: tex(newtxbttslcq.tfm) = %{tl_version}
Provides: tex(newtxbttsld.tfm) = %{tl_version}
Provides: tex(newtxbttsldq.tfm) = %{tl_version}
Provides: tex(newtxbttsle.tfm) = %{tl_version}
Provides: tex(newtxbttsleq.tfm) = %{tl_version}
Provides: tex(newtxbttza.tfm) = %{tl_version}
Provides: tex(newtxbttzaq.tfm) = %{tl_version}
Provides: tex(newtxbttzb.tfm) = %{tl_version}
Provides: tex(newtxbttzbq.tfm) = %{tl_version}
Provides: tex(newtxbttzc.tfm) = %{tl_version}
Provides: tex(newtxbttzcq.tfm) = %{tl_version}
Provides: tex(newtxbttzd.tfm) = %{tl_version}
Provides: tex(newtxbttzdq.tfm) = %{tl_version}
Provides: tex(newtxbttze.tfm) = %{tl_version}
Provides: tex(newtxbttzeq.tfm) = %{tl_version}
Provides: tex(newtxbttzsca.tfm) = %{tl_version}
Provides: tex(newtxbttzscaq.tfm) = %{tl_version}
Provides: tex(newtxbttzscb.tfm) = %{tl_version}
Provides: tex(newtxbttzscbq.tfm) = %{tl_version}
Provides: tex(newtxbttzscc.tfm) = %{tl_version}
Provides: tex(newtxbttzsccq.tfm) = %{tl_version}
Provides: tex(newtxbttzscd.tfm) = %{tl_version}
Provides: tex(newtxbttzscdq.tfm) = %{tl_version}
Provides: tex(newtxbttzsce.tfm) = %{tl_version}
Provides: tex(newtxbttzsceq.tfm) = %{tl_version}
Provides: tex(newtxbttzsla.tfm) = %{tl_version}
Provides: tex(newtxbttzslaq.tfm) = %{tl_version}
Provides: tex(newtxbttzslb.tfm) = %{tl_version}
Provides: tex(newtxbttzslbq.tfm) = %{tl_version}
Provides: tex(newtxbttzslc.tfm) = %{tl_version}
Provides: tex(newtxbttzslcq.tfm) = %{tl_version}
Provides: tex(newtxbttzsld.tfm) = %{tl_version}
Provides: tex(newtxbttzsldq.tfm) = %{tl_version}
Provides: tex(newtxbttzsle.tfm) = %{tl_version}
Provides: tex(newtxbttzsleq.tfm) = %{tl_version}
Provides: tex(newtxtta.tfm) = %{tl_version}
Provides: tex(newtxttaq.tfm) = %{tl_version}
Provides: tex(newtxttb.tfm) = %{tl_version}
Provides: tex(newtxttbq.tfm) = %{tl_version}
Provides: tex(newtxttc.tfm) = %{tl_version}
Provides: tex(newtxttcq.tfm) = %{tl_version}
Provides: tex(newtxttd.tfm) = %{tl_version}
Provides: tex(newtxttdq.tfm) = %{tl_version}
Provides: tex(newtxtte.tfm) = %{tl_version}
Provides: tex(newtxtteq.tfm) = %{tl_version}
Provides: tex(newtxttsca.tfm) = %{tl_version}
Provides: tex(newtxttscaq.tfm) = %{tl_version}
Provides: tex(newtxttscb.tfm) = %{tl_version}
Provides: tex(newtxttscbq.tfm) = %{tl_version}
Provides: tex(newtxttscc.tfm) = %{tl_version}
Provides: tex(newtxttsccq.tfm) = %{tl_version}
Provides: tex(newtxttscd.tfm) = %{tl_version}
Provides: tex(newtxttscdq.tfm) = %{tl_version}
Provides: tex(newtxttsce.tfm) = %{tl_version}
Provides: tex(newtxttsceq.tfm) = %{tl_version}
Provides: tex(newtxttsla.tfm) = %{tl_version}
Provides: tex(newtxttslaq.tfm) = %{tl_version}
Provides: tex(newtxttslb.tfm) = %{tl_version}
Provides: tex(newtxttslbq.tfm) = %{tl_version}
Provides: tex(newtxttslc.tfm) = %{tl_version}
Provides: tex(newtxttslcq.tfm) = %{tl_version}
Provides: tex(newtxttsld.tfm) = %{tl_version}
Provides: tex(newtxttsldq.tfm) = %{tl_version}
Provides: tex(newtxttsle.tfm) = %{tl_version}
Provides: tex(newtxttsleq.tfm) = %{tl_version}
Provides: tex(newtxttza.tfm) = %{tl_version}
Provides: tex(newtxttzaq.tfm) = %{tl_version}
Provides: tex(newtxttzb.tfm) = %{tl_version}
Provides: tex(newtxttzbq.tfm) = %{tl_version}
Provides: tex(newtxttzc.tfm) = %{tl_version}
Provides: tex(newtxttzcq.tfm) = %{tl_version}
Provides: tex(newtxttzd.tfm) = %{tl_version}
Provides: tex(newtxttzdq.tfm) = %{tl_version}
Provides: tex(newtxttze.tfm) = %{tl_version}
Provides: tex(newtxttzeq.tfm) = %{tl_version}
Provides: tex(newtxttzsca.tfm) = %{tl_version}
Provides: tex(newtxttzscaq.tfm) = %{tl_version}
Provides: tex(newtxttzscb.tfm) = %{tl_version}
Provides: tex(newtxttzscbq.tfm) = %{tl_version}
Provides: tex(newtxttzscc.tfm) = %{tl_version}
Provides: tex(newtxttzsccq.tfm) = %{tl_version}
Provides: tex(newtxttzscd.tfm) = %{tl_version}
Provides: tex(newtxttzscdq.tfm) = %{tl_version}
Provides: tex(newtxttzsce.tfm) = %{tl_version}
Provides: tex(newtxttzsceq.tfm) = %{tl_version}
Provides: tex(newtxttzsla.tfm) = %{tl_version}
Provides: tex(newtxttzslaq.tfm) = %{tl_version}
Provides: tex(newtxttzslb.tfm) = %{tl_version}
Provides: tex(newtxttzslbq.tfm) = %{tl_version}
Provides: tex(newtxttzslc.tfm) = %{tl_version}
Provides: tex(newtxttzslcq.tfm) = %{tl_version}
Provides: tex(newtxttzsld.tfm) = %{tl_version}
Provides: tex(newtxttzsldq.tfm) = %{tl_version}
Provides: tex(newtxttzsle.tfm) = %{tl_version}
Provides: tex(newtxttzsleq.tfm) = %{tl_version}
Provides: tex(tcxbttz.tfm) = %{tl_version}
Provides: tex(tcxbttzsl.tfm) = %{tl_version}
Provides: tex(tcxttz.tfm) = %{tl_version}
Provides: tex(tcxttzsl.tfm) = %{tl_version}
Provides: tex(newtxbtt.pfb) = %{tl_version}
Provides: tex(newtxbttsc.pfb) = %{tl_version}
Provides: tex(newtxtt.pfb) = %{tl_version}
Provides: tex(newtxttsc.pfb) = %{tl_version}
Provides: tex(newtxtt.sty) = %{tl_version}
Provides: tex(t1newtxtt.fd) = %{tl_version}
Provides: tex(t1newtxttz.fd) = %{tl_version}
Provides: tex(ts1newtxtt.fd) = %{tl_version}
Provides: tex(ts1newtxttz.fd) = %{tl_version}

%description newtxtt
The package provides enhanced fonts with LaTeX support files
providing access to the typewriter fonts from newtx. Regular
and bold weights, slanted variants and a choice of four
different styles for zero.

%package newtxtt-doc
Summary: Documentation for newtxtt
Version: svn44510
Provides: tex-newtxtt-doc
AutoReqProv: No

%description newtxtt-doc
Documentation for newtxtt

%package nkarta
Provides: tex-nkarta = %{tl_version}
License: Public Domain
Summary: A "new" version of the karta cartographic fonts
Version: svn16437.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nkarta15.tfm) = %{tl_version}

%description nkarta
A development of the karta font, offering more mathematical
stability in Metafont. A version that will produce the glyphs
as Encapsulated PostScript, using MetaPost, is also provided.

%package nkarta-doc
Summary: Documentation for nkarta
Version: svn16437.0.2

Provides: tex-nkarta-doc
AutoReqProv: No

%description nkarta-doc
Documentation for nkarta

%package obnov
Provides: tex-obnov = %{tl_version}
License: LPPL
Summary: Obyknovennaya Novaya fonts
Version: svn33355.0.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(obn10.tfm) = %{tl_version}
Provides: tex(obn12.tfm) = %{tl_version}
Provides: tex(obn17.tfm) = %{tl_version}
Provides: tex(obn7.tfm) = %{tl_version}
Provides: tex(obnb10.tfm) = %{tl_version}
Provides: tex(obnb12.tfm) = %{tl_version}
Provides: tex(obnb17.tfm) = %{tl_version}
Provides: tex(obnb7.tfm) = %{tl_version}
Provides: tex(obnit10.tfm) = %{tl_version}
Provides: tex(obnit12.tfm) = %{tl_version}
Provides: tex(obnit17.tfm) = %{tl_version}
Provides: tex(obnit7.tfm) = %{tl_version}
Provides: tex(obnitb10.tfm) = %{tl_version}
Provides: tex(obnitb12.tfm) = %{tl_version}
Provides: tex(obnitb17.tfm) = %{tl_version}
Provides: tex(obnsc10.tfm) = %{tl_version}
Provides: tex(obnsc12.tfm) = %{tl_version}
Provides: tex(obnsc17.tfm) = %{tl_version}
Provides: tex(obnsc7.tfm) = %{tl_version}
Provides: tex(obnsl10.tfm) = %{tl_version}
Provides: tex(obnsl12.tfm) = %{tl_version}
Provides: tex(obnsl17.tfm) = %{tl_version}
Provides: tex(obnsl7.tfm) = %{tl_version}
Provides: tex(lcywobn.fd) = %{tl_version}

%description obnov
The Obyknovennaya Novaya (Ordinary New Face) typeface was
widely used in the USSR for scientific and technical
publications, as well as textbooks. The fonts are encoded to
KOI8-R (which is a long-established Russian font encoding,
rather than a TeX/LaTeX encoding). To use the fonts, the user
needs Cyrillic font support.

%package obnov-doc
Summary: Documentation for obnov
Version: svn33355.0.11

Provides: tex-obnov-doc
AutoReqProv: No

%description obnov-doc
Documentation for obnov

%package ocherokee
Provides: tex-ocherokee = %{tl_version}
License: LPPL
Summary: LaTeX Support for the Cherokee language
Version: svn25689.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(cherokee.map) = %{tl_version}
Provides: tex(Cherokee.tfm) = %{tl_version}
Provides: tex(Cherokeeb.tfm) = %{tl_version}
Provides: tex(Cherokeebo.tfm) = %{tl_version}
Provides: tex(Cherokeeo.tfm) = %{tl_version}
Provides: tex(Cherokee-Bold.pfb) = %{tl_version}
Provides: tex(Cherokee.pfb) = %{tl_version}
Provides: tex(lchcmr.fd) = %{tl_version}
Provides: tex(lchenc.def) = %{tl_version}
Provides: tex(ocherokee.sty) = %{tl_version}

%description ocherokee
Macros and Type 1 fonts for Typesetting the Cherokee language
with the Omega version of LaTeX (known as Lambda).

%package ocherokee-doc
Summary: Documentation for ocherokee
Version: svn25689.0

Provides: tex-ocherokee-doc
AutoReqProv: No

%description ocherokee-doc
Documentation for ocherokee

%package ocr-b
Provides: tex-ocr-b = %{tl_version}
License: Copyright only
Summary: Fonts for OCR-B
Version: svn20852.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ocrb10.tfm) = %{tl_version}
Provides: tex(ocrb5.tfm) = %{tl_version}
Provides: tex(ocrb6.tfm) = %{tl_version}
Provides: tex(ocrb7.tfm) = %{tl_version}
Provides: tex(ocrb8.tfm) = %{tl_version}
Provides: tex(ocrb9.tfm) = %{tl_version}

%description ocr-b
Metafont source for OCR-B at several sizes.

%package ocr-b-doc
Summary: Documentation for ocr-b
Version: svn20852.0

Provides: tex-ocr-b-doc
AutoReqProv: No

%description ocr-b-doc
Documentation for ocr-b

%package ocr-b-outline
Provides: tex-ocr-b-outline = %{tl_version}
License: Copyright only
Summary: OCR-B fonts in Type 1 and OpenType
Version: svn20969.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(ocrb.map) = %{tl_version}
Provides: tex(ocrb10.otf) = %{tl_version}
Provides: tex(ocrb5.otf) = %{tl_version}
Provides: tex(ocrb6.otf) = %{tl_version}
Provides: tex(ocrb7.otf) = %{tl_version}
Provides: tex(ocrb8.otf) = %{tl_version}
Provides: tex(ocrb9.otf) = %{tl_version}
Provides: tex(ocrb10.pfb) = %{tl_version}
Provides: tex(ocrb5.pfb) = %{tl_version}
Provides: tex(ocrb6.pfb) = %{tl_version}
Provides: tex(ocrb7.pfb) = %{tl_version}
Provides: tex(ocrb8.pfb) = %{tl_version}
Provides: tex(ocrb9.pfb) = %{tl_version}

%description ocr-b-outline
The package contains OCR-B fonts in Type1 and OpenType formats.
They were generated from the Metafont sources of the OCR-B
fonts. The metric files are not included here, so that original
ocr-b package should also be installed.

%package ocr-b-outline-doc
Summary: Documentation for ocr-b-outline
Version: svn20969.0

Provides: tex-ocr-b-outline-doc
AutoReqProv: No

%description ocr-b-outline-doc
Documentation for ocr-b-outline

%package ogham
Provides: tex-ogham = %{tl_version}
License: Public Domain
Summary: Fonts for typesetting Ogham script
Version: svn24876.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ogham.tfm) = %{tl_version}

%description ogham
The font provides the Ogham alphabet, which is found on a
number of Irish and Pictish carvings dating from the 4th
century AD. The font is distributed as Metafont source, which
has been patched (with the author's permission) for stability
at different output device resolutions. (Thanks are due to
Peter Flynn and Dan Luecking.)

%package ogham-doc
Summary: Documentation for ogham
Version: svn24876.0

Provides: tex-ogham-doc
AutoReqProv: No

%description ogham-doc
Documentation for ogham

%package oinuit
Provides: tex-oinuit = %{tl_version}
License: LPPL
Summary: LaTeX Support for the Inuktitut Language
Version: svn28668.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(oinuit.map) = %{tl_version}
Provides: tex(Inuit.tfm) = %{tl_version}
Provides: tex(Inuitb.tfm) = %{tl_version}
Provides: tex(Inuitbo.tfm) = %{tl_version}
Provides: tex(Inuito.tfm) = %{tl_version}
Provides: tex(Inuit.pfb) = %{tl_version}
Provides: tex(Inuitb.pfb) = %{tl_version}
Provides: tex(Inuitbo.pfb) = %{tl_version}
Provides: tex(Inuito.pfb) = %{tl_version}
Provides: tex(cmssbxo10.pfb) = %{tl_version}
Provides: tex(litcmr.fd) = %{tl_version}
Provides: tex(litenc.def) = %{tl_version}
Provides: tex(oinuit.sty) = %{tl_version}

%description oinuit
The package provides a set of Lambda (Omega LaTeX) typesetting
tools for the Inuktitut language. Five different input methods
are supported and with the necessary fonts are also provided.

%package oinuit-doc
Summary: Documentation for oinuit
Version: svn28668.0

Provides: tex-oinuit-doc
AutoReqProv: No

%description oinuit-doc
Documentation for oinuit

%package oldlatin
Provides: tex-oldlatin = %{tl_version}
License: LPPL
Summary: Compute Modern-like font with long s
Version: svn17932.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(olb10.tfm) = %{tl_version}
Provides: tex(olbx10.tfm) = %{tl_version}
Provides: tex(olbx12.tfm) = %{tl_version}
Provides: tex(olbx5.tfm) = %{tl_version}
Provides: tex(olbx6.tfm) = %{tl_version}
Provides: tex(olbx7.tfm) = %{tl_version}
Provides: tex(olbx8.tfm) = %{tl_version}
Provides: tex(olbx9.tfm) = %{tl_version}
Provides: tex(olbxsl10.tfm) = %{tl_version}
Provides: tex(oldunh10.tfm) = %{tl_version}
Provides: tex(olff10.tfm) = %{tl_version}
Provides: tex(olfib8.tfm) = %{tl_version}
Provides: tex(olr10.tfm) = %{tl_version}
Provides: tex(olr12.tfm) = %{tl_version}
Provides: tex(olr17.tfm) = %{tl_version}
Provides: tex(olr5.tfm) = %{tl_version}
Provides: tex(olr6.tfm) = %{tl_version}
Provides: tex(olr7.tfm) = %{tl_version}
Provides: tex(olr8.tfm) = %{tl_version}
Provides: tex(olr9.tfm) = %{tl_version}
Provides: tex(olsl10.tfm) = %{tl_version}
Provides: tex(olsl12.tfm) = %{tl_version}
Provides: tex(olsl8.tfm) = %{tl_version}
Provides: tex(olsl9.tfm) = %{tl_version}
Provides: tex(olsltt10.tfm) = %{tl_version}
Provides: tex(olss10.tfm) = %{tl_version}
Provides: tex(olss12.tfm) = %{tl_version}
Provides: tex(olss17.tfm) = %{tl_version}
Provides: tex(olss8.tfm) = %{tl_version}
Provides: tex(olss9.tfm) = %{tl_version}
Provides: tex(olssbx10.tfm) = %{tl_version}
Provides: tex(olssdc10.tfm) = %{tl_version}
Provides: tex(olssi10.tfm) = %{tl_version}
Provides: tex(olssi12.tfm) = %{tl_version}
Provides: tex(olssi17.tfm) = %{tl_version}
Provides: tex(olssi8.tfm) = %{tl_version}
Provides: tex(olssi9.tfm) = %{tl_version}
Provides: tex(olssq8.tfm) = %{tl_version}
Provides: tex(olssqi8.tfm) = %{tl_version}
Provides: tex(oltt10.tfm) = %{tl_version}
Provides: tex(oltt12.tfm) = %{tl_version}
Provides: tex(oltt8.tfm) = %{tl_version}
Provides: tex(oltt9.tfm) = %{tl_version}
Provides: tex(olvtt10.tfm) = %{tl_version}

%description oldlatin
Metafont sources modified from Computer Modern in order to
generate "long s" which was used in old text.

%package oldlatin-doc
Summary: Documentation for oldlatin
Version: svn17932.1.00

Provides: tex-oldlatin-doc
AutoReqProv: No

%description oldlatin-doc
Documentation for oldlatin

%package oldstandard
Provides: tex-oldstandard = %{tl_version}
License: OFL
Summary: Old Standard: A Unicode Font for Classical and Medieval Studies
Version: svn41735
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
# A bit of a lie, but we want people who install texlive-oldstandard to end up with the system fonts.
Requires: oldstandard-sfd-fonts
Provides: tex(OldStandard-Bold.otf) = %{tl_version}
Provides: tex(OldStandard-Italic.otf) = %{tl_version}
Provides: tex(OldStandard-Regular.otf) = %{tl_version}

%description oldstandard
Old Standard is designed to reproduce the actual printing style
of the early 20th century, reviving a specific type of Modern
(classicist) style of serif typefaces, very commonly used in
various editions of the late 19th and early 20th century, but
almost completely abandoned later. The font supports
typesetting of Old and Middle English, Old Icelandic, Cyrillic
(with historical characters, extensions for Old Slavonic and
localised forms), Gothic transliterations, critical editions of
Classical Greek and Latin, and many more. Old Standard works
with TeX engines that directly support OpenType features, such
as XeTeX and LuaTeX.

%package oldstandard-doc
Summary: Documentation for oldstandard
Version: svn41735
Provides: tex-oldstandard-doc
AutoReqProv: No

%description oldstandard-doc
Documentation for oldstandard

%package opensans
Provides: tex-opensans = %{tl_version}
License: LPPL 1.3
Summary: The Open Sans font family, and LaTeX support
Version: svn24706.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Requires: tex(slantsc.sty)
Provides: tex(opensans-01.enc) = %{tl_version}
Provides: tex(opensans-02.enc) = %{tl_version}
Provides: tex(opensans-03.enc) = %{tl_version}
Provides: tex(opensans-04.enc) = %{tl_version}
Provides: tex(opensans.map) = %{tl_version}
Provides: tex(OpenSans-Bold-01.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-02.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-03.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-04.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-01.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-02.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-03.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-04.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-01.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-02.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-03.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-04.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLight-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-01.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-02.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-03.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-04.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-01.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-02.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-03.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-04.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-01.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-02.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-03.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-04.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-01.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-02.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-03.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-04.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-Italic-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-01.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-02.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-03.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-04.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-Light-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-01.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-02.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-03.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-04.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-LightItalic-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-01.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-02.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-03.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-04.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-Regular-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-01.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-02.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-03.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-04.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-Semibold-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-01.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-02.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-03.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-04.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-lgr.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-ot1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t2a.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t2b.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t2c.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-ts1.tfm) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-x2.tfm) = %{tl_version}
Provides: tex(OpenSans-Bold.ttf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic.ttf) = %{tl_version}
Provides: tex(OpenSans-CondLight.ttf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic.ttf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold.ttf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic.ttf) = %{tl_version}
Provides: tex(OpenSans-Italic.ttf) = %{tl_version}
Provides: tex(OpenSans-Light.ttf) = %{tl_version}
Provides: tex(OpenSans-LightItalic.ttf) = %{tl_version}
Provides: tex(OpenSans-Regular.ttf) = %{tl_version}
Provides: tex(OpenSans-Semibold.ttf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic.ttf) = %{tl_version}
Provides: tex(OpenSans-Bold.pfb) = %{tl_version}
Provides: tex(OpenSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(OpenSans-CondLight.pfb) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic.pfb) = %{tl_version}
Provides: tex(OpenSans-ExtraBold.pfb) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic.pfb) = %{tl_version}
Provides: tex(OpenSans-Italic.pfb) = %{tl_version}
Provides: tex(OpenSans-Light.pfb) = %{tl_version}
Provides: tex(OpenSans-LightItalic.pfb) = %{tl_version}
Provides: tex(OpenSans-Regular.pfb) = %{tl_version}
Provides: tex(OpenSans-Semibold.pfb) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic.pfb) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-Bold-x2.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-BoldItalic-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLight-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-CondLightItalic-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBold-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-ExtraBoldItalic-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-Italic-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Light-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Light-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Light-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Light-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Light-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Light-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Light-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-Light-x2.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-LightItalic-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-Regular-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-t1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-Semibold-x2.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-OSFigures-x2.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-SmallCaps-x2.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-lgr.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-ot1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t2a.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t2b.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-t2c.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-ts1.vf) = %{tl_version}
Provides: tex(OpenSans-SemiboldItalic-x2.vf) = %{tl_version}
Provides: tex(lgrfos.fd) = %{tl_version}
Provides: tex(lgrfosj.fd) = %{tl_version}
Provides: tex(opensans.sty) = %{tl_version}
Provides: tex(ot1fos.fd) = %{tl_version}
Provides: tex(ot1fosj.fd) = %{tl_version}
Provides: tex(t1fos.fd) = %{tl_version}
Provides: tex(t1fosj.fd) = %{tl_version}
Provides: tex(t2afos.fd) = %{tl_version}
Provides: tex(t2afosj.fd) = %{tl_version}
Provides: tex(t2bfos.fd) = %{tl_version}
Provides: tex(t2bfosj.fd) = %{tl_version}
Provides: tex(t2cfos.fd) = %{tl_version}
Provides: tex(t2cfosj.fd) = %{tl_version}
Provides: tex(ts1fos.fd) = %{tl_version}
Provides: tex(ts1fosj.fd) = %{tl_version}
Provides: tex(x2fos.fd) = %{tl_version}
Provides: tex(x2fosj.fd) = %{tl_version}

%description opensans
Open Sans is a humanist sans serif typeface designed by Steve
Matteson; the font is available from the Google Font Directory
as TrueType files licensed under the Apache License version
2.0. The package provides support for this font family in
LaTeX. It includes the original TrueType fonts, as well as Type
1 versions, converted for this package using FontForge for full
support with dvips

%package opensans-doc
Summary: Documentation for opensans
Version: svn24706.1.2

Provides: tex-opensans-doc
AutoReqProv: No

%description opensans-doc
Documentation for opensans

%package orkhun
Provides: tex-orkhun = %{tl_version}
License: LPPL
Summary: A font for orkhun script
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(orhant11.tfm) = %{tl_version}
Provides: tex(orhant14.tfm) = %{tl_version}
Provides: tex(orhant16.tfm) = %{tl_version}
Provides: tex(orhant20.tfm) = %{tl_version}
Provides: tex(orhant25.tfm) = %{tl_version}

%description orkhun
The font covers an old Turkic script. It is provided as
Metafont source.

%package orkhun-doc
Summary: Documentation for orkhun
Version: svn15878.0

Provides: tex-orkhun-doc
AutoReqProv: No

%description orkhun-doc
Documentation for orkhun

%package overlock
Provides: tex-overlock = %{tl_version}
License: OFL
Summary: Overlook sans fonts with LaTeX support
Version: svn34409.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(ovlk_47cn4f.enc) = %{tl_version}
Provides: tex(ovlk_aqjbqj.enc) = %{tl_version}
Provides: tex(ovlk_fvk6cm.enc) = %{tl_version}
Provides: tex(ovlk_irzqhk.enc) = %{tl_version}
Provides: tex(ovlk_k6z3ge.enc) = %{tl_version}
Provides: tex(ovlk_u2ziis.enc) = %{tl_version}
Provides: tex(ovlk_y3zmsf.enc) = %{tl_version}
Provides: tex(ovlk_yaegef.enc) = %{tl_version}
Provides: tex(overlock.map) = %{tl_version}
Provides: tex(Overlock-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(Overlock-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(Overlock-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(Overlock-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Overlock-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Overlock-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Overlock-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Overlock-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Overlock-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Overlock-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Overlock-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Overlock-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Overlock-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(Overlock-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(Overlock-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(Overlock-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Overlock-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(Overlock-Black.ttf) = %{tl_version}
Provides: tex(Overlock-BlackItalic.ttf) = %{tl_version}
Provides: tex(Overlock-Bold.ttf) = %{tl_version}
Provides: tex(Overlock-BoldItalic.ttf) = %{tl_version}
Provides: tex(Overlock-Italic.ttf) = %{tl_version}
Provides: tex(Overlock-Regular.ttf) = %{tl_version}
Provides: tex(OverlockSC-Regular.ttf) = %{tl_version}
Provides: tex(Overlock-Black.pfb) = %{tl_version}
Provides: tex(Overlock-BlackItalic.pfb) = %{tl_version}
Provides: tex(Overlock-Bold.pfb) = %{tl_version}
Provides: tex(Overlock-BoldItalic.pfb) = %{tl_version}
Provides: tex(Overlock-Italic.pfb) = %{tl_version}
Provides: tex(Overlock-Regular.pfb) = %{tl_version}
Provides: tex(OverlockSC-Regular.pfb) = %{tl_version}
Provides: tex(Overlock-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(Overlock-Black-lf-t1.vf) = %{tl_version}
Provides: tex(Overlock-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Overlock-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Overlock-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(Overlock-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Overlock-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Overlock-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Overlock-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(Overlock-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Overlock-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Overlock-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(Overlock-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(Overlock-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(OverlockSC-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(LY1Overlock-LF.fd) = %{tl_version}
Provides: tex(LY1OverlockSC-LF.fd) = %{tl_version}
Provides: tex(OT1Overlock-LF.fd) = %{tl_version}
Provides: tex(OT1OverlockSC-LF.fd) = %{tl_version}
Provides: tex(T1Overlock-LF.fd) = %{tl_version}
Provides: tex(T1OverlockSC-LF.fd) = %{tl_version}
Provides: tex(TS1Overlock-LF.fd) = %{tl_version}
Provides: tex(TS1OverlockSC-LF.fd) = %{tl_version}
Provides: tex(overlock.sty) = %{tl_version}

%description overlock
The package provides the Overlock and OverlockSC families of
fonts, designed by Dario Manuel Muhafara of the TIPO foundry
(http://www.tipo.net.ar) are "rounded" sans-serif fonts in
three weights (Regular, Bold, Black) with italic variants for
each of them. There are also small-caps and old-style figures
in the Regular weight.

%package overlock-doc
Summary: Documentation for overlock
Version: svn34409.0

Provides: tex-overlock-doc
AutoReqProv: No

%description overlock-doc
Documentation for overlock

%package pacioli
Provides: tex-pacioli = %{tl_version}
License: LPPL
Summary: Fonts designed by Fra Luca de Pacioli in 1497
Version: svn24947.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cpcr10.tfm) = %{tl_version}
Provides: tex(cpcsl10.tfm) = %{tl_version}
Provides: tex(ot1cpc.fd) = %{tl_version}
Provides: tex(pacioli.sty) = %{tl_version}
Provides: tex(t1cpc.fd) = %{tl_version}

%description pacioli
Pacioli was a c.15 mathematician, and his font was designed
according to 'the divine proportion'. The font is uppercase
letters together with punctuation and some analphabetics; no
lowercase or digits. The Metafont source is distributed in a
.dtx file, together with LaTeX support.

%package pacioli-doc
Summary: Documentation for pacioli
Version: svn24947.0

Provides: tex-pacioli-doc
AutoReqProv: No

%description pacioli-doc
Documentation for pacioli

%package paratype
Provides: tex-paratype = %{tl_version}
License: LPPL
Summary: LaTeX support for free fonts by ParaType
Version: svn32859.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Provides: tex(ptmono_il2.enc) = %{tl_version}
Provides: tex(ptmono_ot1.enc) = %{tl_version}
Provides: tex(ptmono_ot2.enc) = %{tl_version}
Provides: tex(ptmono_t1.enc) = %{tl_version}
Provides: tex(ptmono_t2a.enc) = %{tl_version}
Provides: tex(ptmono_t2b.enc) = %{tl_version}
Provides: tex(ptmono_t2c.enc) = %{tl_version}
Provides: tex(ptmono_ts1.enc) = %{tl_version}
Provides: tex(ptmono_x2.enc) = %{tl_version}
Provides: tex(ptsans_il2.enc) = %{tl_version}
Provides: tex(ptsans_ot1.enc) = %{tl_version}
Provides: tex(ptsans_ot2.enc) = %{tl_version}
Provides: tex(ptsans_t1.enc) = %{tl_version}
Provides: tex(ptsans_t2a.enc) = %{tl_version}
Provides: tex(ptsans_t2b.enc) = %{tl_version}
Provides: tex(ptsans_t2c.enc) = %{tl_version}
Provides: tex(ptsans_ts1.enc) = %{tl_version}
Provides: tex(ptsans_x2.enc) = %{tl_version}
Provides: tex(ptserif_il2.enc) = %{tl_version}
Provides: tex(ptserif_ot1.enc) = %{tl_version}
Provides: tex(ptserif_ot2.enc) = %{tl_version}
Provides: tex(ptserif_t1.enc) = %{tl_version}
Provides: tex(ptserif_t2a.enc) = %{tl_version}
Provides: tex(ptserif_t2b.enc) = %{tl_version}
Provides: tex(ptserif_t2c.enc) = %{tl_version}
Provides: tex(ptserif_ts1.enc) = %{tl_version}
Provides: tex(ptserif_x2.enc) = %{tl_version}
Provides: tex(paratype-truetype.map) = %{tl_version}
Provides: tex(paratype-type1.map) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-il2--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-il2--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-ot2.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-il2.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2b--base.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2b.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2c--base.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2c.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-x2--base.tfm) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-x2.tfm) = %{tl_version}
Provides: tex(PTM55F.ttf) = %{tl_version}
Provides: tex(PTM75F.ttf) = %{tl_version}
Provides: tex(PTC55F.ttf) = %{tl_version}
Provides: tex(PTC75F.ttf) = %{tl_version}
Provides: tex(PTN57F.ttf) = %{tl_version}
Provides: tex(PTN77F.ttf) = %{tl_version}
Provides: tex(PTS55F.ttf) = %{tl_version}
Provides: tex(PTS56F.ttf) = %{tl_version}
Provides: tex(PTS75F.ttf) = %{tl_version}
Provides: tex(PTS76F.ttf) = %{tl_version}
Provides: tex(PTF55F.ttf) = %{tl_version}
Provides: tex(PTF56F.ttf) = %{tl_version}
Provides: tex(PTF75F.ttf) = %{tl_version}
Provides: tex(PTF76F.ttf) = %{tl_version}
Provides: tex(PTZ55F.ttf) = %{tl_version}
Provides: tex(PTZ56F.ttf) = %{tl_version}
Provides: tex(PTM55F.pfb) = %{tl_version}
Provides: tex(PTM75F.pfb) = %{tl_version}
Provides: tex(PTC55F.pfb) = %{tl_version}
Provides: tex(PTC75F.pfb) = %{tl_version}
Provides: tex(PTN57F.pfb) = %{tl_version}
Provides: tex(PTN77F.pfb) = %{tl_version}
Provides: tex(PTS55F.pfb) = %{tl_version}
Provides: tex(PTS56F.pfb) = %{tl_version}
Provides: tex(PTS75F.pfb) = %{tl_version}
Provides: tex(PTS76F.pfb) = %{tl_version}
Provides: tex(PTF55F.pfb) = %{tl_version}
Provides: tex(PTF56F.pfb) = %{tl_version}
Provides: tex(PTF75F.pfb) = %{tl_version}
Provides: tex(PTF76F.pfb) = %{tl_version}
Provides: tex(PTZ55F.pfb) = %{tl_version}
Provides: tex(PTZ56F.pfb) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-il2.vf) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTMono-Bold-tlf-x2.vf) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTMono-BoldSlanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-il2.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-ot1.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTMono-Regular-tlf-x2.vf) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTMono-Slanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-Bold-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-BoldItalic-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-Caption-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBold-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-CaptionBoldSlanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-CaptionSlanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-Italic-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-Narrow-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBold-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-NarrowBoldSlanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-NarrowSlanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSans-Regular-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-Bold-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-BoldItalic-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-BoldSlanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-BoldUprightItalic-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-Caption-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionItalic-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionSlanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-CaptionUprightItalic-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-Italic-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-Regular-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-Slanted-tlf-x2.vf) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2a.vf) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2b.vf) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-t2c.vf) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(PTSerif-UprightItalic-tlf-x2.vf) = %{tl_version}
Provides: tex(IL2PTMono-TLF.fd) = %{tl_version}
Provides: tex(IL2PTSans-TLF.fd) = %{tl_version}
Provides: tex(IL2PTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(IL2PTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(IL2PTSerif-TLF.fd) = %{tl_version}
Provides: tex(IL2PTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(OT1PTMono-TLF.fd) = %{tl_version}
Provides: tex(OT1PTSans-TLF.fd) = %{tl_version}
Provides: tex(OT1PTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(OT1PTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(OT1PTSerif-TLF.fd) = %{tl_version}
Provides: tex(OT1PTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(OT2PTMono-TLF.fd) = %{tl_version}
Provides: tex(OT2PTSans-TLF.fd) = %{tl_version}
Provides: tex(OT2PTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(OT2PTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(OT2PTSerif-TLF.fd) = %{tl_version}
Provides: tex(OT2PTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(PTMono.sty) = %{tl_version}
Provides: tex(PTSans.sty) = %{tl_version}
Provides: tex(PTSansCaption.sty) = %{tl_version}
Provides: tex(PTSansNarrow.sty) = %{tl_version}
Provides: tex(PTSerif.sty) = %{tl_version}
Provides: tex(PTSerifCaption.sty) = %{tl_version}
Provides: tex(T1PTMono-TLF.fd) = %{tl_version}
Provides: tex(T1PTSans-TLF.fd) = %{tl_version}
Provides: tex(T1PTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(T1PTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(T1PTSerif-TLF.fd) = %{tl_version}
Provides: tex(T1PTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(T2APTMono-TLF.fd) = %{tl_version}
Provides: tex(T2APTSans-TLF.fd) = %{tl_version}
Provides: tex(T2APTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(T2APTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(T2APTSerif-TLF.fd) = %{tl_version}
Provides: tex(T2APTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(T2BPTMono-TLF.fd) = %{tl_version}
Provides: tex(T2BPTSans-TLF.fd) = %{tl_version}
Provides: tex(T2BPTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(T2BPTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(T2BPTSerif-TLF.fd) = %{tl_version}
Provides: tex(T2BPTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(T2CPTMono-TLF.fd) = %{tl_version}
Provides: tex(T2CPTSans-TLF.fd) = %{tl_version}
Provides: tex(T2CPTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(T2CPTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(T2CPTSerif-TLF.fd) = %{tl_version}
Provides: tex(T2CPTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(TS1PTMono-TLF.fd) = %{tl_version}
Provides: tex(TS1PTSans-TLF.fd) = %{tl_version}
Provides: tex(TS1PTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(TS1PTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(TS1PTSerif-TLF.fd) = %{tl_version}
Provides: tex(TS1PTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(X2PTMono-TLF.fd) = %{tl_version}
Provides: tex(X2PTSans-TLF.fd) = %{tl_version}
Provides: tex(X2PTSansCaption-TLF.fd) = %{tl_version}
Provides: tex(X2PTSansNarrow-TLF.fd) = %{tl_version}
Provides: tex(X2PTSerif-TLF.fd) = %{tl_version}
Provides: tex(X2PTSerifCaption-TLF.fd) = %{tl_version}
Provides: tex(paratype.sty) = %{tl_version}

%description paratype
The package offers LaTeX support for the fonts PT Sans, PT
Serif and PT Mono developed by ParaType for the project "Public
Types of Russian Federation", and released under an open user
license. The fonts themselves are provided in both the TrueType
and Type 1 formats, both created by ParaType). The fonts
provide encodings OT1, T1, IL2, TS1, T2* and X2. The package
provides a convenient replacement of the two packages ptsans
and ptserif.

%package paratype-doc
Summary: Documentation for paratype
Version: svn32859.0

Provides: tex-paratype-doc
AutoReqProv: No

%description paratype-doc
Documentation for paratype

%package phaistos
Provides: tex-phaistos = %{tl_version}
License: LPPL
Summary: Disk of Phaistos font
Version: svn18651.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(phaistos.map) = %{tl_version}
Provides: tex(Phaistos.otf) = %{tl_version}
Provides: tex(phaistos.tfm) = %{tl_version}
Provides: tex(phaistos.pfb) = %{tl_version}
Provides: tex(phaistos.sty) = %{tl_version}

%description phaistos
A font that contains all the symbols of the famous Disc of
Phaistos, together with a LaTeX package. The disc was 'printed'
by stamping the wet clay with some sort of punches, probably
around 1700 BCE. The font is available in Adobe Type 1 and
OpenType formats (the latter using the Unicode positions for
the symbols). There are those who believe that this Cretan
script was used to 'write' Greek (it is known, for example,
that the rather later Cretan Linear B script was used to write
Greek), but arguments for other languages have been presented.

%package phaistos-doc
Summary: Documentation for phaistos
Version: svn18651.1.0

Provides: tex-phaistos-doc
AutoReqProv: No

%description phaistos-doc
Documentation for phaistos

%package phonetic
Provides: tex-phonetic = %{tl_version}
License: LPPL
Summary: Metafont Phonetic fonts, based on Computer Modern
Version: svn21871.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmph10.tfm) = %{tl_version}
Provides: tex(cmph5.tfm) = %{tl_version}
Provides: tex(cmph6.tfm) = %{tl_version}
Provides: tex(cmph7.tfm) = %{tl_version}
Provides: tex(cmph8.tfm) = %{tl_version}
Provides: tex(cmph9.tfm) = %{tl_version}
Provides: tex(cmphb10.tfm) = %{tl_version}
Provides: tex(cmphi10.tfm) = %{tl_version}
Provides: tex(cmphi7.tfm) = %{tl_version}
Provides: tex(cmphi8.tfm) = %{tl_version}
Provides: tex(cmphi9.tfm) = %{tl_version}
Provides: tex(Uphon.fd) = %{tl_version}
Provides: tex(phonetic.sty) = %{tl_version}

%description phonetic
The fonts are based on Computer Modern, and specified in
Metafont. Macros for the fonts' use are provided, both for
LaTeX 2.09 and for current LaTeX.

%package phonetic-doc
Summary: Documentation for phonetic
Version: svn21871.0

Provides: tex-phonetic-doc
AutoReqProv: No

%description phonetic-doc
Documentation for phonetic

%package pigpen
Provides: tex-pigpen = %{tl_version}
License: LPPL
Summary: A font for the pigpen (or masonic) cipher
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(pigpen.map) = %{tl_version}
Provides: tex(pigpen.tfm) = %{tl_version}
Provides: tex(pigpen.pfa) = %{tl_version}
Provides: tex(pigpen.sty) = %{tl_version}
Provides: tex(pigpen.tex) = %{tl_version}

%description pigpen
The Pigpen cipher package provides the font and the necessary
wrappers (style file, etc.) in order to write Pigpen ciphers, a
simple substitution cipher. The package provides a font
(available both as Metafont source, and as an Adobe Type 1
file), and macros for its use.

%package pigpen-doc
Summary: Documentation for pigpen
Version: svn15878.0.2

Provides: tex-pigpen-doc
AutoReqProv: No

%description pigpen-doc
Documentation for pigpen

%package playfair
Provides: tex-playfair = %{tl_version}
License: OFL
Summary: Playfair Display fonts with LaTeX support
Version: svn34236.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(plf_5ewtu2.enc) = %{tl_version}
Provides: tex(plf_6bqc7d.enc) = %{tl_version}
Provides: tex(plf_723q3k.enc) = %{tl_version}
Provides: tex(plf_aehru5.enc) = %{tl_version}
Provides: tex(plf_apfun2.enc) = %{tl_version}
Provides: tex(plf_c2cruh.enc) = %{tl_version}
Provides: tex(plf_cgf2ku.enc) = %{tl_version}
Provides: tex(plf_ev34te.enc) = %{tl_version}
Provides: tex(plf_ilriiw.enc) = %{tl_version}
Provides: tex(plf_j6ohis.enc) = %{tl_version}
Provides: tex(plf_ouuek2.enc) = %{tl_version}
Provides: tex(plf_qjvs44.enc) = %{tl_version}
Provides: tex(plf_rmgfzq.enc) = %{tl_version}
Provides: tex(plf_tcbmed.enc) = %{tl_version}
Provides: tex(plf_tff5oq.enc) = %{tl_version}
Provides: tex(plf_ujy7vm.enc) = %{tl_version}
Provides: tex(plf_vgw77z.enc) = %{tl_version}
Provides: tex(plf_vw64ij.enc) = %{tl_version}
Provides: tex(plf_ybdqh4.enc) = %{tl_version}
Provides: tex(plf_zcb4ya.enc) = %{tl_version}
Provides: tex(PlayfairDisplay.map) = %{tl_version}
Provides: tex(PlayfairDisplay-Black.otf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic.otf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold.otf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic.otf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic.otf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular.otf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(PlayfairDisplay-Black.pfb) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic.pfb) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold.pfb) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic.pfb) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic.pfb) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular.pfb) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Black-sup-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BlackItalic-sup-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(PlayfairDisplay-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(LY1PlayfairDisplay-LF.fd) = %{tl_version}
Provides: tex(LY1PlayfairDisplay-OsF.fd) = %{tl_version}
Provides: tex(LY1PlayfairDisplay-Sup.fd) = %{tl_version}
Provides: tex(OT1PlayfairDisplay-LF.fd) = %{tl_version}
Provides: tex(OT1PlayfairDisplay-OsF.fd) = %{tl_version}
Provides: tex(OT1PlayfairDisplay-Sup.fd) = %{tl_version}
Provides: tex(PlayfairDisplay.sty) = %{tl_version}
Provides: tex(T1PlayfairDisplay-LF.fd) = %{tl_version}
Provides: tex(T1PlayfairDisplay-OsF.fd) = %{tl_version}
Provides: tex(T1PlayfairDisplay-Sup.fd) = %{tl_version}
Provides: tex(TS1PlayfairDisplay-LF.fd) = %{tl_version}
Provides: tex(TS1PlayfairDisplay-OsF.fd) = %{tl_version}

%description playfair
Playfair Display is well suited for titling and headlines. It
has an extra large x-height and short descenders. It can be set
with no leading if space is tight, for instance in news
headlines, or for stylistic effect in titles. Capitals are
extra short, and only very slightly heavier than the lowercase
characters. This helps achieve a more even typographical colour
when typesetting proper nouns and initialisms.

%package playfair-doc
Summary: Documentation for playfair
Version: svn34236.0

Provides: tex-playfair-doc
AutoReqProv: No

%description playfair-doc
Documentation for playfair

%package poltawski
Provides: tex-poltawski = %{tl_version}
License: GFSL
Summary: Antykwa Poltawskiego Family of Fonts
Version: svn20075.1.101

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(ap-cs-sc.enc) = %{tl_version}
Provides: tex(ap-cs.enc) = %{tl_version}
Provides: tex(ap-ec-sc.enc) = %{tl_version}
Provides: tex(ap-ec.enc) = %{tl_version}
Provides: tex(ap-l7x-sc.enc) = %{tl_version}
Provides: tex(ap-l7x.enc) = %{tl_version}
Provides: tex(ap-qx-sc.enc) = %{tl_version}
Provides: tex(ap-qx.enc) = %{tl_version}
Provides: tex(ap-rm-sc.enc) = %{tl_version}
Provides: tex(ap-rm.enc) = %{tl_version}
Provides: tex(ap-t5-sc.enc) = %{tl_version}
Provides: tex(ap-t5.enc) = %{tl_version}
Provides: tex(ap-texnansi-sc.enc) = %{tl_version}
Provides: tex(ap-texnansi.enc) = %{tl_version}
Provides: tex(ap-ts1.enc) = %{tl_version}
Provides: tex(ap-cs.map) = %{tl_version}
Provides: tex(ap-ec.map) = %{tl_version}
Provides: tex(ap-l7x.map) = %{tl_version}
Provides: tex(ap-qx.map) = %{tl_version}
Provides: tex(ap-rm.map) = %{tl_version}
Provides: tex(ap-t5.map) = %{tl_version}
Provides: tex(ap-texnansi.map) = %{tl_version}
Provides: tex(ap-ts1.map) = %{tl_version}
Provides: tex(ap.map) = %{tl_version}
Provides: tex(antpolt-bold.otf) = %{tl_version}
Provides: tex(antpolt-bolditalic.otf) = %{tl_version}
Provides: tex(antpolt-italic.otf) = %{tl_version}
Provides: tex(antpolt-regular.otf) = %{tl_version}
Provides: tex(antpoltcond-bold.otf) = %{tl_version}
Provides: tex(antpoltcond-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltcond-italic.otf) = %{tl_version}
Provides: tex(antpoltcond-regular.otf) = %{tl_version}
Provides: tex(antpoltexpd-bold.otf) = %{tl_version}
Provides: tex(antpoltexpd-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltexpd-italic.otf) = %{tl_version}
Provides: tex(antpoltexpd-regular.otf) = %{tl_version}
Provides: tex(antpoltlt-bold.otf) = %{tl_version}
Provides: tex(antpoltlt-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltlt-italic.otf) = %{tl_version}
Provides: tex(antpoltlt-regular.otf) = %{tl_version}
Provides: tex(antpoltltcond-bold.otf) = %{tl_version}
Provides: tex(antpoltltcond-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltltcond-italic.otf) = %{tl_version}
Provides: tex(antpoltltcond-regular.otf) = %{tl_version}
Provides: tex(antpoltltexpd-bold.otf) = %{tl_version}
Provides: tex(antpoltltexpd-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltltexpd-italic.otf) = %{tl_version}
Provides: tex(antpoltltexpd-regular.otf) = %{tl_version}
Provides: tex(antpoltltsemicond-bold.otf) = %{tl_version}
Provides: tex(antpoltltsemicond-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltltsemicond-italic.otf) = %{tl_version}
Provides: tex(antpoltltsemicond-regular.otf) = %{tl_version}
Provides: tex(antpoltltsemiexpd-bold.otf) = %{tl_version}
Provides: tex(antpoltltsemiexpd-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltltsemiexpd-italic.otf) = %{tl_version}
Provides: tex(antpoltltsemiexpd-regular.otf) = %{tl_version}
Provides: tex(antpoltsemicond-bold.otf) = %{tl_version}
Provides: tex(antpoltsemicond-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltsemicond-italic.otf) = %{tl_version}
Provides: tex(antpoltsemicond-regular.otf) = %{tl_version}
Provides: tex(antpoltsemiexpd-bold.otf) = %{tl_version}
Provides: tex(antpoltsemiexpd-bolditalic.otf) = %{tl_version}
Provides: tex(antpoltsemiexpd-italic.otf) = %{tl_version}
Provides: tex(antpoltsemiexpd-regular.otf) = %{tl_version}
Provides: tex(cs-antpb10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpb10.tfm) = %{tl_version}
Provides: tex(cs-antpb12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpb12.tfm) = %{tl_version}
Provides: tex(cs-antpb17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpb17.tfm) = %{tl_version}
Provides: tex(cs-antpb6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpb6.tfm) = %{tl_version}
Provides: tex(cs-antpb8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpb8.tfm) = %{tl_version}
Provides: tex(cs-antpbi10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpbi10.tfm) = %{tl_version}
Provides: tex(cs-antpbi12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpbi12.tfm) = %{tl_version}
Provides: tex(cs-antpbi17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpbi17.tfm) = %{tl_version}
Provides: tex(cs-antpbi6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpbi6.tfm) = %{tl_version}
Provides: tex(cs-antpbi8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpbi8.tfm) = %{tl_version}
Provides: tex(cs-antpl10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpl10.tfm) = %{tl_version}
Provides: tex(cs-antpl12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpl12.tfm) = %{tl_version}
Provides: tex(cs-antpl17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpl17.tfm) = %{tl_version}
Provides: tex(cs-antpl6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpl6.tfm) = %{tl_version}
Provides: tex(cs-antpl8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpl8.tfm) = %{tl_version}
Provides: tex(cs-antpli10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpli10.tfm) = %{tl_version}
Provides: tex(cs-antpli12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpli12.tfm) = %{tl_version}
Provides: tex(cs-antpli17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpli17.tfm) = %{tl_version}
Provides: tex(cs-antpli6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpli6.tfm) = %{tl_version}
Provides: tex(cs-antpli8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpli8.tfm) = %{tl_version}
Provides: tex(cs-antpm10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpm10.tfm) = %{tl_version}
Provides: tex(cs-antpm12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpm12.tfm) = %{tl_version}
Provides: tex(cs-antpm17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpm17.tfm) = %{tl_version}
Provides: tex(cs-antpm6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpm6.tfm) = %{tl_version}
Provides: tex(cs-antpm8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpm8.tfm) = %{tl_version}
Provides: tex(cs-antpmi10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpmi10.tfm) = %{tl_version}
Provides: tex(cs-antpmi12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpmi12.tfm) = %{tl_version}
Provides: tex(cs-antpmi17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpmi17.tfm) = %{tl_version}
Provides: tex(cs-antpmi6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpmi6.tfm) = %{tl_version}
Provides: tex(cs-antpmi8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpmi8.tfm) = %{tl_version}
Provides: tex(cs-antpr10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpr10.tfm) = %{tl_version}
Provides: tex(cs-antpr12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpr12.tfm) = %{tl_version}
Provides: tex(cs-antpr17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpr17.tfm) = %{tl_version}
Provides: tex(cs-antpr6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpr6.tfm) = %{tl_version}
Provides: tex(cs-antpr8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpr8.tfm) = %{tl_version}
Provides: tex(cs-antpri10-sc.tfm) = %{tl_version}
Provides: tex(cs-antpri10.tfm) = %{tl_version}
Provides: tex(cs-antpri12-sc.tfm) = %{tl_version}
Provides: tex(cs-antpri12.tfm) = %{tl_version}
Provides: tex(cs-antpri17-sc.tfm) = %{tl_version}
Provides: tex(cs-antpri17.tfm) = %{tl_version}
Provides: tex(cs-antpri6-sc.tfm) = %{tl_version}
Provides: tex(cs-antpri6.tfm) = %{tl_version}
Provides: tex(cs-antpri8-sc.tfm) = %{tl_version}
Provides: tex(cs-antpri8.tfm) = %{tl_version}
Provides: tex(ec-antpb10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpb10.tfm) = %{tl_version}
Provides: tex(ec-antpb12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpb12.tfm) = %{tl_version}
Provides: tex(ec-antpb17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpb17.tfm) = %{tl_version}
Provides: tex(ec-antpb6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpb6.tfm) = %{tl_version}
Provides: tex(ec-antpb8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpb8.tfm) = %{tl_version}
Provides: tex(ec-antpbi10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpbi10.tfm) = %{tl_version}
Provides: tex(ec-antpbi12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpbi12.tfm) = %{tl_version}
Provides: tex(ec-antpbi17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpbi17.tfm) = %{tl_version}
Provides: tex(ec-antpbi6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpbi6.tfm) = %{tl_version}
Provides: tex(ec-antpbi8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpbi8.tfm) = %{tl_version}
Provides: tex(ec-antpl10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpl10.tfm) = %{tl_version}
Provides: tex(ec-antpl12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpl12.tfm) = %{tl_version}
Provides: tex(ec-antpl17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpl17.tfm) = %{tl_version}
Provides: tex(ec-antpl6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpl6.tfm) = %{tl_version}
Provides: tex(ec-antpl8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpl8.tfm) = %{tl_version}
Provides: tex(ec-antpli10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpli10.tfm) = %{tl_version}
Provides: tex(ec-antpli12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpli12.tfm) = %{tl_version}
Provides: tex(ec-antpli17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpli17.tfm) = %{tl_version}
Provides: tex(ec-antpli6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpli6.tfm) = %{tl_version}
Provides: tex(ec-antpli8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpli8.tfm) = %{tl_version}
Provides: tex(ec-antpm10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpm10.tfm) = %{tl_version}
Provides: tex(ec-antpm12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpm12.tfm) = %{tl_version}
Provides: tex(ec-antpm17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpm17.tfm) = %{tl_version}
Provides: tex(ec-antpm6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpm6.tfm) = %{tl_version}
Provides: tex(ec-antpm8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpm8.tfm) = %{tl_version}
Provides: tex(ec-antpmi10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpmi10.tfm) = %{tl_version}
Provides: tex(ec-antpmi12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpmi12.tfm) = %{tl_version}
Provides: tex(ec-antpmi17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpmi17.tfm) = %{tl_version}
Provides: tex(ec-antpmi6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpmi6.tfm) = %{tl_version}
Provides: tex(ec-antpmi8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpmi8.tfm) = %{tl_version}
Provides: tex(ec-antpr10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpr10.tfm) = %{tl_version}
Provides: tex(ec-antpr12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpr12.tfm) = %{tl_version}
Provides: tex(ec-antpr17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpr17.tfm) = %{tl_version}
Provides: tex(ec-antpr6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpr6.tfm) = %{tl_version}
Provides: tex(ec-antpr8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpr8.tfm) = %{tl_version}
Provides: tex(ec-antpri10-sc.tfm) = %{tl_version}
Provides: tex(ec-antpri10.tfm) = %{tl_version}
Provides: tex(ec-antpri12-sc.tfm) = %{tl_version}
Provides: tex(ec-antpri12.tfm) = %{tl_version}
Provides: tex(ec-antpri17-sc.tfm) = %{tl_version}
Provides: tex(ec-antpri17.tfm) = %{tl_version}
Provides: tex(ec-antpri6-sc.tfm) = %{tl_version}
Provides: tex(ec-antpri6.tfm) = %{tl_version}
Provides: tex(ec-antpri8-sc.tfm) = %{tl_version}
Provides: tex(ec-antpri8.tfm) = %{tl_version}
Provides: tex(l7x-antpb10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpb10.tfm) = %{tl_version}
Provides: tex(l7x-antpb12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpb12.tfm) = %{tl_version}
Provides: tex(l7x-antpb17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpb17.tfm) = %{tl_version}
Provides: tex(l7x-antpb6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpb6.tfm) = %{tl_version}
Provides: tex(l7x-antpb8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpb8.tfm) = %{tl_version}
Provides: tex(l7x-antpbi10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpbi10.tfm) = %{tl_version}
Provides: tex(l7x-antpbi12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpbi12.tfm) = %{tl_version}
Provides: tex(l7x-antpbi17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpbi17.tfm) = %{tl_version}
Provides: tex(l7x-antpbi6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpbi6.tfm) = %{tl_version}
Provides: tex(l7x-antpbi8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpbi8.tfm) = %{tl_version}
Provides: tex(l7x-antpl10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpl10.tfm) = %{tl_version}
Provides: tex(l7x-antpl12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpl12.tfm) = %{tl_version}
Provides: tex(l7x-antpl17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpl17.tfm) = %{tl_version}
Provides: tex(l7x-antpl6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpl6.tfm) = %{tl_version}
Provides: tex(l7x-antpl8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpl8.tfm) = %{tl_version}
Provides: tex(l7x-antpli10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpli10.tfm) = %{tl_version}
Provides: tex(l7x-antpli12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpli12.tfm) = %{tl_version}
Provides: tex(l7x-antpli17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpli17.tfm) = %{tl_version}
Provides: tex(l7x-antpli6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpli6.tfm) = %{tl_version}
Provides: tex(l7x-antpli8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpli8.tfm) = %{tl_version}
Provides: tex(l7x-antpm10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpm10.tfm) = %{tl_version}
Provides: tex(l7x-antpm12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpm12.tfm) = %{tl_version}
Provides: tex(l7x-antpm17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpm17.tfm) = %{tl_version}
Provides: tex(l7x-antpm6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpm6.tfm) = %{tl_version}
Provides: tex(l7x-antpm8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpm8.tfm) = %{tl_version}
Provides: tex(l7x-antpmi10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpmi10.tfm) = %{tl_version}
Provides: tex(l7x-antpmi12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpmi12.tfm) = %{tl_version}
Provides: tex(l7x-antpmi17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpmi17.tfm) = %{tl_version}
Provides: tex(l7x-antpmi6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpmi6.tfm) = %{tl_version}
Provides: tex(l7x-antpmi8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpmi8.tfm) = %{tl_version}
Provides: tex(l7x-antpr10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpr10.tfm) = %{tl_version}
Provides: tex(l7x-antpr12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpr12.tfm) = %{tl_version}
Provides: tex(l7x-antpr17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpr17.tfm) = %{tl_version}
Provides: tex(l7x-antpr6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpr6.tfm) = %{tl_version}
Provides: tex(l7x-antpr8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpr8.tfm) = %{tl_version}
Provides: tex(l7x-antpri10-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpri10.tfm) = %{tl_version}
Provides: tex(l7x-antpri12-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpri12.tfm) = %{tl_version}
Provides: tex(l7x-antpri17-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpri17.tfm) = %{tl_version}
Provides: tex(l7x-antpri6-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpri6.tfm) = %{tl_version}
Provides: tex(l7x-antpri8-sc.tfm) = %{tl_version}
Provides: tex(l7x-antpri8.tfm) = %{tl_version}
Provides: tex(qx-antpb10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpb10.tfm) = %{tl_version}
Provides: tex(qx-antpb12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpb12.tfm) = %{tl_version}
Provides: tex(qx-antpb17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpb17.tfm) = %{tl_version}
Provides: tex(qx-antpb6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpb6.tfm) = %{tl_version}
Provides: tex(qx-antpb8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpb8.tfm) = %{tl_version}
Provides: tex(qx-antpbi10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpbi10.tfm) = %{tl_version}
Provides: tex(qx-antpbi12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpbi12.tfm) = %{tl_version}
Provides: tex(qx-antpbi17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpbi17.tfm) = %{tl_version}
Provides: tex(qx-antpbi6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpbi6.tfm) = %{tl_version}
Provides: tex(qx-antpbi8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpbi8.tfm) = %{tl_version}
Provides: tex(qx-antpl10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpl10.tfm) = %{tl_version}
Provides: tex(qx-antpl12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpl12.tfm) = %{tl_version}
Provides: tex(qx-antpl17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpl17.tfm) = %{tl_version}
Provides: tex(qx-antpl6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpl6.tfm) = %{tl_version}
Provides: tex(qx-antpl8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpl8.tfm) = %{tl_version}
Provides: tex(qx-antpli10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpli10.tfm) = %{tl_version}
Provides: tex(qx-antpli12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpli12.tfm) = %{tl_version}
Provides: tex(qx-antpli17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpli17.tfm) = %{tl_version}
Provides: tex(qx-antpli6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpli6.tfm) = %{tl_version}
Provides: tex(qx-antpli8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpli8.tfm) = %{tl_version}
Provides: tex(qx-antpm10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpm10.tfm) = %{tl_version}
Provides: tex(qx-antpm12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpm12.tfm) = %{tl_version}
Provides: tex(qx-antpm17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpm17.tfm) = %{tl_version}
Provides: tex(qx-antpm6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpm6.tfm) = %{tl_version}
Provides: tex(qx-antpm8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpm8.tfm) = %{tl_version}
Provides: tex(qx-antpmi10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpmi10.tfm) = %{tl_version}
Provides: tex(qx-antpmi12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpmi12.tfm) = %{tl_version}
Provides: tex(qx-antpmi17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpmi17.tfm) = %{tl_version}
Provides: tex(qx-antpmi6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpmi6.tfm) = %{tl_version}
Provides: tex(qx-antpmi8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpmi8.tfm) = %{tl_version}
Provides: tex(qx-antpr10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpr10.tfm) = %{tl_version}
Provides: tex(qx-antpr12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpr12.tfm) = %{tl_version}
Provides: tex(qx-antpr17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpr17.tfm) = %{tl_version}
Provides: tex(qx-antpr6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpr6.tfm) = %{tl_version}
Provides: tex(qx-antpr8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpr8.tfm) = %{tl_version}
Provides: tex(qx-antpri10-sc.tfm) = %{tl_version}
Provides: tex(qx-antpri10.tfm) = %{tl_version}
Provides: tex(qx-antpri12-sc.tfm) = %{tl_version}
Provides: tex(qx-antpri12.tfm) = %{tl_version}
Provides: tex(qx-antpri17-sc.tfm) = %{tl_version}
Provides: tex(qx-antpri17.tfm) = %{tl_version}
Provides: tex(qx-antpri6-sc.tfm) = %{tl_version}
Provides: tex(qx-antpri6.tfm) = %{tl_version}
Provides: tex(qx-antpri8-sc.tfm) = %{tl_version}
Provides: tex(qx-antpri8.tfm) = %{tl_version}
Provides: tex(rm-antpb10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpb10.tfm) = %{tl_version}
Provides: tex(rm-antpb12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpb12.tfm) = %{tl_version}
Provides: tex(rm-antpb17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpb17.tfm) = %{tl_version}
Provides: tex(rm-antpb6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpb6.tfm) = %{tl_version}
Provides: tex(rm-antpb8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpb8.tfm) = %{tl_version}
Provides: tex(rm-antpbi10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpbi10.tfm) = %{tl_version}
Provides: tex(rm-antpbi12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpbi12.tfm) = %{tl_version}
Provides: tex(rm-antpbi17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpbi17.tfm) = %{tl_version}
Provides: tex(rm-antpbi6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpbi6.tfm) = %{tl_version}
Provides: tex(rm-antpbi8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpbi8.tfm) = %{tl_version}
Provides: tex(rm-antpl10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpl10.tfm) = %{tl_version}
Provides: tex(rm-antpl12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpl12.tfm) = %{tl_version}
Provides: tex(rm-antpl17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpl17.tfm) = %{tl_version}
Provides: tex(rm-antpl6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpl6.tfm) = %{tl_version}
Provides: tex(rm-antpl8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpl8.tfm) = %{tl_version}
Provides: tex(rm-antpli10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpli10.tfm) = %{tl_version}
Provides: tex(rm-antpli12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpli12.tfm) = %{tl_version}
Provides: tex(rm-antpli17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpli17.tfm) = %{tl_version}
Provides: tex(rm-antpli6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpli6.tfm) = %{tl_version}
Provides: tex(rm-antpli8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpli8.tfm) = %{tl_version}
Provides: tex(rm-antpm10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpm10.tfm) = %{tl_version}
Provides: tex(rm-antpm12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpm12.tfm) = %{tl_version}
Provides: tex(rm-antpm17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpm17.tfm) = %{tl_version}
Provides: tex(rm-antpm6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpm6.tfm) = %{tl_version}
Provides: tex(rm-antpm8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpm8.tfm) = %{tl_version}
Provides: tex(rm-antpmi10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpmi10.tfm) = %{tl_version}
Provides: tex(rm-antpmi12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpmi12.tfm) = %{tl_version}
Provides: tex(rm-antpmi17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpmi17.tfm) = %{tl_version}
Provides: tex(rm-antpmi6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpmi6.tfm) = %{tl_version}
Provides: tex(rm-antpmi8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpmi8.tfm) = %{tl_version}
Provides: tex(rm-antpr10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpr10.tfm) = %{tl_version}
Provides: tex(rm-antpr12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpr12.tfm) = %{tl_version}
Provides: tex(rm-antpr17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpr17.tfm) = %{tl_version}
Provides: tex(rm-antpr6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpr6.tfm) = %{tl_version}
Provides: tex(rm-antpr8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpr8.tfm) = %{tl_version}
Provides: tex(rm-antpri10-sc.tfm) = %{tl_version}
Provides: tex(rm-antpri10.tfm) = %{tl_version}
Provides: tex(rm-antpri12-sc.tfm) = %{tl_version}
Provides: tex(rm-antpri12.tfm) = %{tl_version}
Provides: tex(rm-antpri17-sc.tfm) = %{tl_version}
Provides: tex(rm-antpri17.tfm) = %{tl_version}
Provides: tex(rm-antpri6-sc.tfm) = %{tl_version}
Provides: tex(rm-antpri6.tfm) = %{tl_version}
Provides: tex(rm-antpri8-sc.tfm) = %{tl_version}
Provides: tex(rm-antpri8.tfm) = %{tl_version}
Provides: tex(t5-antpb10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpb10.tfm) = %{tl_version}
Provides: tex(t5-antpb12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpb12.tfm) = %{tl_version}
Provides: tex(t5-antpb17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpb17.tfm) = %{tl_version}
Provides: tex(t5-antpb6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpb6.tfm) = %{tl_version}
Provides: tex(t5-antpb8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpb8.tfm) = %{tl_version}
Provides: tex(t5-antpbi10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpbi10.tfm) = %{tl_version}
Provides: tex(t5-antpbi12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpbi12.tfm) = %{tl_version}
Provides: tex(t5-antpbi17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpbi17.tfm) = %{tl_version}
Provides: tex(t5-antpbi6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpbi6.tfm) = %{tl_version}
Provides: tex(t5-antpbi8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpbi8.tfm) = %{tl_version}
Provides: tex(t5-antpl10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpl10.tfm) = %{tl_version}
Provides: tex(t5-antpl12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpl12.tfm) = %{tl_version}
Provides: tex(t5-antpl17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpl17.tfm) = %{tl_version}
Provides: tex(t5-antpl6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpl6.tfm) = %{tl_version}
Provides: tex(t5-antpl8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpl8.tfm) = %{tl_version}
Provides: tex(t5-antpli10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpli10.tfm) = %{tl_version}
Provides: tex(t5-antpli12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpli12.tfm) = %{tl_version}
Provides: tex(t5-antpli17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpli17.tfm) = %{tl_version}
Provides: tex(t5-antpli6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpli6.tfm) = %{tl_version}
Provides: tex(t5-antpli8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpli8.tfm) = %{tl_version}
Provides: tex(t5-antpm10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpm10.tfm) = %{tl_version}
Provides: tex(t5-antpm12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpm12.tfm) = %{tl_version}
Provides: tex(t5-antpm17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpm17.tfm) = %{tl_version}
Provides: tex(t5-antpm6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpm6.tfm) = %{tl_version}
Provides: tex(t5-antpm8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpm8.tfm) = %{tl_version}
Provides: tex(t5-antpmi10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpmi10.tfm) = %{tl_version}
Provides: tex(t5-antpmi12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpmi12.tfm) = %{tl_version}
Provides: tex(t5-antpmi17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpmi17.tfm) = %{tl_version}
Provides: tex(t5-antpmi6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpmi6.tfm) = %{tl_version}
Provides: tex(t5-antpmi8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpmi8.tfm) = %{tl_version}
Provides: tex(t5-antpr10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpr10.tfm) = %{tl_version}
Provides: tex(t5-antpr12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpr12.tfm) = %{tl_version}
Provides: tex(t5-antpr17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpr17.tfm) = %{tl_version}
Provides: tex(t5-antpr6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpr6.tfm) = %{tl_version}
Provides: tex(t5-antpr8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpr8.tfm) = %{tl_version}
Provides: tex(t5-antpri10-sc.tfm) = %{tl_version}
Provides: tex(t5-antpri10.tfm) = %{tl_version}
Provides: tex(t5-antpri12-sc.tfm) = %{tl_version}
Provides: tex(t5-antpri12.tfm) = %{tl_version}
Provides: tex(t5-antpri17-sc.tfm) = %{tl_version}
Provides: tex(t5-antpri17.tfm) = %{tl_version}
Provides: tex(t5-antpri6-sc.tfm) = %{tl_version}
Provides: tex(t5-antpri6.tfm) = %{tl_version}
Provides: tex(t5-antpri8-sc.tfm) = %{tl_version}
Provides: tex(t5-antpri8.tfm) = %{tl_version}
Provides: tex(texnansi-antpb10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpb10.tfm) = %{tl_version}
Provides: tex(texnansi-antpb12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpb12.tfm) = %{tl_version}
Provides: tex(texnansi-antpb17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpb17.tfm) = %{tl_version}
Provides: tex(texnansi-antpb6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpb6.tfm) = %{tl_version}
Provides: tex(texnansi-antpb8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpb8.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi10.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi12.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi17.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi6.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpbi8.tfm) = %{tl_version}
Provides: tex(texnansi-antpl10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpl10.tfm) = %{tl_version}
Provides: tex(texnansi-antpl12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpl12.tfm) = %{tl_version}
Provides: tex(texnansi-antpl17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpl17.tfm) = %{tl_version}
Provides: tex(texnansi-antpl6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpl6.tfm) = %{tl_version}
Provides: tex(texnansi-antpl8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpl8.tfm) = %{tl_version}
Provides: tex(texnansi-antpli10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpli10.tfm) = %{tl_version}
Provides: tex(texnansi-antpli12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpli12.tfm) = %{tl_version}
Provides: tex(texnansi-antpli17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpli17.tfm) = %{tl_version}
Provides: tex(texnansi-antpli6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpli6.tfm) = %{tl_version}
Provides: tex(texnansi-antpli8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpli8.tfm) = %{tl_version}
Provides: tex(texnansi-antpm10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpm10.tfm) = %{tl_version}
Provides: tex(texnansi-antpm12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpm12.tfm) = %{tl_version}
Provides: tex(texnansi-antpm17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpm17.tfm) = %{tl_version}
Provides: tex(texnansi-antpm6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpm6.tfm) = %{tl_version}
Provides: tex(texnansi-antpm8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpm8.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi10.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi12.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi17.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi6.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpmi8.tfm) = %{tl_version}
Provides: tex(texnansi-antpr10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpr10.tfm) = %{tl_version}
Provides: tex(texnansi-antpr12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpr12.tfm) = %{tl_version}
Provides: tex(texnansi-antpr17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpr17.tfm) = %{tl_version}
Provides: tex(texnansi-antpr6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpr6.tfm) = %{tl_version}
Provides: tex(texnansi-antpr8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpr8.tfm) = %{tl_version}
Provides: tex(texnansi-antpri10-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpri10.tfm) = %{tl_version}
Provides: tex(texnansi-antpri12-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpri12.tfm) = %{tl_version}
Provides: tex(texnansi-antpri17-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpri17.tfm) = %{tl_version}
Provides: tex(texnansi-antpri6-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpri6.tfm) = %{tl_version}
Provides: tex(texnansi-antpri8-sc.tfm) = %{tl_version}
Provides: tex(texnansi-antpri8.tfm) = %{tl_version}
Provides: tex(ts1-antpb10.tfm) = %{tl_version}
Provides: tex(ts1-antpb12.tfm) = %{tl_version}
Provides: tex(ts1-antpb17.tfm) = %{tl_version}
Provides: tex(ts1-antpb6.tfm) = %{tl_version}
Provides: tex(ts1-antpb8.tfm) = %{tl_version}
Provides: tex(ts1-antpbi10.tfm) = %{tl_version}
Provides: tex(ts1-antpbi12.tfm) = %{tl_version}
Provides: tex(ts1-antpbi17.tfm) = %{tl_version}
Provides: tex(ts1-antpbi6.tfm) = %{tl_version}
Provides: tex(ts1-antpbi8.tfm) = %{tl_version}
Provides: tex(ts1-antpl10.tfm) = %{tl_version}
Provides: tex(ts1-antpl12.tfm) = %{tl_version}
Provides: tex(ts1-antpl17.tfm) = %{tl_version}
Provides: tex(ts1-antpl6.tfm) = %{tl_version}
Provides: tex(ts1-antpl8.tfm) = %{tl_version}
Provides: tex(ts1-antpli10.tfm) = %{tl_version}
Provides: tex(ts1-antpli12.tfm) = %{tl_version}
Provides: tex(ts1-antpli17.tfm) = %{tl_version}
Provides: tex(ts1-antpli6.tfm) = %{tl_version}
Provides: tex(ts1-antpli8.tfm) = %{tl_version}
Provides: tex(ts1-antpm10.tfm) = %{tl_version}
Provides: tex(ts1-antpm12.tfm) = %{tl_version}
Provides: tex(ts1-antpm17.tfm) = %{tl_version}
Provides: tex(ts1-antpm6.tfm) = %{tl_version}
Provides: tex(ts1-antpm8.tfm) = %{tl_version}
Provides: tex(ts1-antpmi10.tfm) = %{tl_version}
Provides: tex(ts1-antpmi12.tfm) = %{tl_version}
Provides: tex(ts1-antpmi17.tfm) = %{tl_version}
Provides: tex(ts1-antpmi6.tfm) = %{tl_version}
Provides: tex(ts1-antpmi8.tfm) = %{tl_version}
Provides: tex(ts1-antpr10.tfm) = %{tl_version}
Provides: tex(ts1-antpr12.tfm) = %{tl_version}
Provides: tex(ts1-antpr17.tfm) = %{tl_version}
Provides: tex(ts1-antpr6.tfm) = %{tl_version}
Provides: tex(ts1-antpr8.tfm) = %{tl_version}
Provides: tex(ts1-antpri10.tfm) = %{tl_version}
Provides: tex(ts1-antpri12.tfm) = %{tl_version}
Provides: tex(ts1-antpri17.tfm) = %{tl_version}
Provides: tex(ts1-antpri6.tfm) = %{tl_version}
Provides: tex(ts1-antpri8.tfm) = %{tl_version}
Provides: tex(antpb10.pfb) = %{tl_version}
Provides: tex(antpb12.pfb) = %{tl_version}
Provides: tex(antpb17.pfb) = %{tl_version}
Provides: tex(antpb6.pfb) = %{tl_version}
Provides: tex(antpb8.pfb) = %{tl_version}
Provides: tex(antpbi10.pfb) = %{tl_version}
Provides: tex(antpbi12.pfb) = %{tl_version}
Provides: tex(antpbi17.pfb) = %{tl_version}
Provides: tex(antpbi6.pfb) = %{tl_version}
Provides: tex(antpbi8.pfb) = %{tl_version}
Provides: tex(antpl10.pfb) = %{tl_version}
Provides: tex(antpl12.pfb) = %{tl_version}
Provides: tex(antpl17.pfb) = %{tl_version}
Provides: tex(antpl6.pfb) = %{tl_version}
Provides: tex(antpl8.pfb) = %{tl_version}
Provides: tex(antpli10.pfb) = %{tl_version}
Provides: tex(antpli12.pfb) = %{tl_version}
Provides: tex(antpli17.pfb) = %{tl_version}
Provides: tex(antpli6.pfb) = %{tl_version}
Provides: tex(antpli8.pfb) = %{tl_version}
Provides: tex(antpm10.pfb) = %{tl_version}
Provides: tex(antpm12.pfb) = %{tl_version}
Provides: tex(antpm17.pfb) = %{tl_version}
Provides: tex(antpm6.pfb) = %{tl_version}
Provides: tex(antpm8.pfb) = %{tl_version}
Provides: tex(antpmi10.pfb) = %{tl_version}
Provides: tex(antpmi12.pfb) = %{tl_version}
Provides: tex(antpmi17.pfb) = %{tl_version}
Provides: tex(antpmi6.pfb) = %{tl_version}
Provides: tex(antpmi8.pfb) = %{tl_version}
Provides: tex(antpr10.pfb) = %{tl_version}
Provides: tex(antpr12.pfb) = %{tl_version}
Provides: tex(antpr17.pfb) = %{tl_version}
Provides: tex(antpr6.pfb) = %{tl_version}
Provides: tex(antpr8.pfb) = %{tl_version}
Provides: tex(antpri10.pfb) = %{tl_version}
Provides: tex(antpri12.pfb) = %{tl_version}
Provides: tex(antpri17.pfb) = %{tl_version}
Provides: tex(antpri6.pfb) = %{tl_version}
Provides: tex(antpri8.pfb) = %{tl_version}
Provides: tex(antpolt.sty) = %{tl_version}
Provides: tex(il2antp.fd) = %{tl_version}
Provides: tex(il2antpl.fd) = %{tl_version}
Provides: tex(l7xantp.fd) = %{tl_version}
Provides: tex(l7xantpl.fd) = %{tl_version}
Provides: tex(ly1antp.fd) = %{tl_version}
Provides: tex(ly1antpl.fd) = %{tl_version}
Provides: tex(ot1antp.fd) = %{tl_version}
Provides: tex(ot1antpl.fd) = %{tl_version}
Provides: tex(ot4antp.fd) = %{tl_version}
Provides: tex(ot4antpl.fd) = %{tl_version}
Provides: tex(qxantp.fd) = %{tl_version}
Provides: tex(qxantpl.fd) = %{tl_version}
Provides: tex(t1antp.fd) = %{tl_version}
Provides: tex(t1antpl.fd) = %{tl_version}
Provides: tex(t5antp.fd) = %{tl_version}
Provides: tex(t5antpl.fd) = %{tl_version}
Provides: tex(ts1antp.fd) = %{tl_version}
Provides: tex(ts1antpl.fd) = %{tl_version}

%description poltawski
The package contains the Antykwa Poltawskiego family of fonts
in the PostScript Type 1 and OpenType formats. The original
font was designed in the twenties of the XX century by the
Polish typographer Adam Poltawski(1881-1952). Following the
route set out by the Latin Modern and TeX Gyre projects
(http://www.gust.org.pl/projects/e-foundry), the Antykwa
Poltawskiego digitisation project aims at providing a rich
collection of diacritical characters in the attempt to cover as
many Latin-based scripts as possible. To our knowledge, the
repertoire of characters covers all European languages as well
as some other Latin-based alphabets such as Vietnamese and
Navajo; at the request of users, recent extensions (following
the enhancement of the Latin Modern collection) provide glyphs
sufficient for typesetting of romanized transliterations of
Arabic and Sanskrit scripts. The Antykwa Poltawskiego family
consists of 4 weights (light, normal, medium, bold), each
having upright and italic forms and one of 5 design sizes: 6,
8, 10, 12 and 17pt. Altogether, the collection comprises 40
font files, containing the same repertoire of 1126 characters.
The preliminary version of Antykwa Poltawskiego (antp package)
released in 2000 is rendered obsolete by this package.

%package poltawski-doc
Summary: Documentation for poltawski
Version: svn20075.1.101

Provides: tex-poltawski-doc
AutoReqProv: No

%description poltawski-doc
Documentation for poltawski

%package prodint
Provides: tex-prodint = %{tl_version}
License: OFL
Summary: A font that provides the product integral symbol
Version: svn21893.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(prodint.map) = %{tl_version}
Provides: tex(prodint.tfm) = %{tl_version}
Provides: tex(prodint.pfb) = %{tl_version}
Provides: tex(prodint.sty) = %{tl_version}

%description prodint
Product integrals are to products, as integrals are to sums.
They have been around for more than a hundred years, they have
not become part of the standard mathematician's toolbox,
possibly because no-one invented the right mathematical symbol
for them. The authors have remedied that situation by proposing
the symbol and providing this font.

%package prodint-doc
Summary: Documentation for prodint
Version: svn21893.0

Provides: tex-prodint-doc
AutoReqProv: No

%description prodint-doc
Documentation for prodint

%package punk
Provides: tex-punk = %{tl_version}
License: Knuth
Summary: Donald Knuth's punk font
Version: svn27388.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(punk10.tfm) = %{tl_version}
Provides: tex(punk12.tfm) = %{tl_version}
Provides: tex(punk20.tfm) = %{tl_version}
Provides: tex(punkbx20.tfm) = %{tl_version}
Provides: tex(punksl20.tfm) = %{tl_version}

%description punk
A response to the assertion in a lecture that "typography tends
to lag behind other stylistic changes by about 10 years". Knuth
felt it was (in 1988) time to design a replacement for his
designs of the 1970s, and came up with this font! The fonts are
distributed as Metafont source. The package offers LaTeX
support by Rohit Grover, from an original by Sebastian Rahtz,
which is slightly odd in claiming that the fonts are T1-
encoded. A (possibly) more rational support package is to be
found in punk-latex

%package punk-doc
Summary: Documentation for punk
Version: svn27388.0

Provides: tex-punk-doc
AutoReqProv: No

%description punk-doc
Documentation for punk

%package punk-latex
Provides: tex-punk-latex = %{tl_version}
License: GPL+
Summary: LaTeX support for punk fonts
Version: svn27389.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ot1pnk.fd) = %{tl_version}
Provides: tex(punk.sty) = %{tl_version}

%description punk-latex
The package and .fd file provide support for Knuth's punk
fonts. That bundle also offers support within LaTeX; the
present package is to be preferred.

%package punk-latex-doc
Summary: Documentation for punk-latex
Version: svn27389.1.1

Provides: tex-punk-latex-doc
AutoReqProv: No

%description punk-latex-doc
Documentation for punk-latex

%package punknova
Provides: tex-punknova = %{tl_version}
License: Punknova
Summary: OpenType version of Knuth's Punk font
Version: svn24649.1.003

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(punknova-bold.otf) = %{tl_version}
Provides: tex(punknova-boldslanted.otf) = %{tl_version}
Provides: tex(punknova-regular.otf) = %{tl_version}
Provides: tex(punknova-slanted.otf) = %{tl_version}

%description punknova
The font was generated from a MetaPost version of the sources
of the 'original' punk font. Knuth's original fonts generated
different shapes at random. This isn't actually possible in an
OpenType font; rather, the font contains several variants of
each glyph, and uses the OpenType randomize function to select
a variant for each invocation.

%package punknova-doc
Summary: Documentation for punknova
Version: svn24649.1.003

Provides: tex-punknova-doc
AutoReqProv: No

%description punknova-doc
Documentation for punknova

%package pxtxalfa
Provides: tex-pxtxalfa = %{tl_version}
License: LPPL
Summary: Virtual maths alphabets based on pxfonts and txfonts
Version: svn23682.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Provides: tex(pxtx.map) = %{tl_version}
Provides: tex(pxb-ds.tfm) = %{tl_version}
Provides: tex(pxr-ds.tfm) = %{tl_version}
Provides: tex(rtxmia.tfm) = %{tl_version}
Provides: tex(txb-cal.tfm) = %{tl_version}
Provides: tex(txb-frak.tfm) = %{tl_version}
Provides: tex(txb-of.tfm) = %{tl_version}
Provides: tex(txr-cal.tfm) = %{tl_version}
Provides: tex(txr-ds.tfm) = %{tl_version}
Provides: tex(txr-frak.tfm) = %{tl_version}
Provides: tex(txr-of.tfm) = %{tl_version}
Provides: tex(pxb-ds.vf) = %{tl_version}
Provides: tex(pxr-ds.vf) = %{tl_version}
Provides: tex(txb-cal.vf) = %{tl_version}
Provides: tex(txb-frak.vf) = %{tl_version}
Provides: tex(txb-of.vf) = %{tl_version}
Provides: tex(txr-cal.vf) = %{tl_version}
Provides: tex(txr-ds.vf) = %{tl_version}
Provides: tex(txr-frak.vf) = %{tl_version}
Provides: tex(txr-of.vf) = %{tl_version}
Provides: tex(px-ds.sty) = %{tl_version}
Provides: tex(pxtx-cal.sty) = %{tl_version}
Provides: tex(pxtx-frak.sty) = %{tl_version}
Provides: tex(tx-of.sty) = %{tl_version}
Provides: tex(upx-ds.fd) = %{tl_version}
Provides: tex(utx-cal.fd) = %{tl_version}
Provides: tex(utx-frak.fd) = %{tl_version}
Provides: tex(utx-of.fd) = %{tl_version}

%description pxtxalfa
The package provides virtual math alphabets based on pxfonts
and txfonts, with LaTeX support files and adjusted metrics. The
mathalfa package offers support for this collection.

%package pxtxalfa-doc
Summary: Documentation for pxtxalfa
Version: svn23682.1

Provides: tex-pxtxalfa-doc
AutoReqProv: No

%description pxtxalfa-doc
Documentation for pxtxalfa

%package quattrocento
Provides: tex-quattrocento = %{tl_version}
License: LPPL
Summary: LaTeX support for Quattrocento and Quattrocento Sans fonts
Version: svn31763.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(textcomp.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Provides: tex(qtrcnt_464xel.enc) = %{tl_version}
Provides: tex(qtrcnt_4btof3.enc) = %{tl_version}
Provides: tex(qtrcnt_6abmaa.enc) = %{tl_version}
Provides: tex(qtrcnt_arxkdo.enc) = %{tl_version}
Provides: tex(qtrcnt_aykkbr.enc) = %{tl_version}
Provides: tex(qtrcnt_cpzb4n.enc) = %{tl_version}
Provides: tex(qtrcnt_dhs3d3.enc) = %{tl_version}
Provides: tex(qtrcnt_dn5k7b.enc) = %{tl_version}
Provides: tex(qtrcnt_dw2g3h.enc) = %{tl_version}
Provides: tex(qtrcnt_e45lg2.enc) = %{tl_version}
Provides: tex(qtrcnt_h2bn35.enc) = %{tl_version}
Provides: tex(qtrcnt_iyhp72.enc) = %{tl_version}
Provides: tex(qtrcnt_mamppr.enc) = %{tl_version}
Provides: tex(qtrcnt_n36lnh.enc) = %{tl_version}
Provides: tex(qtrcnt_nfidqf.enc) = %{tl_version}
Provides: tex(qtrcnt_ptp2lu.enc) = %{tl_version}
Provides: tex(qtrcnt_qceur4.enc) = %{tl_version}
Provides: tex(qtrcnt_tevtmb.enc) = %{tl_version}
Provides: tex(qtrcnt_tixcdz.enc) = %{tl_version}
Provides: tex(qtrcnt_vzn2dc.enc) = %{tl_version}
Provides: tex(qtrcnt_wpi2yi.enc) = %{tl_version}
Provides: tex(qtrcnt_xt7yz2.enc) = %{tl_version}
Provides: tex(qtrcnt_xvywtm.enc) = %{tl_version}
Provides: tex(qtrcnt_zdiabs.enc) = %{tl_version}
Provides: tex(qtrcnt_zievlx.enc) = %{tl_version}
Provides: tex(qtrcnt_zq54sp.enc) = %{tl_version}
Provides: tex(quattrocento.map) = %{tl_version}
Provides: tex(Quattrocento-Bold.otf) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic.otf) = %{tl_version}
Provides: tex(Quattrocento-Italic.otf) = %{tl_version}
Provides: tex(Quattrocento.otf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold.otf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic.otf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic.otf) = %{tl_version}
Provides: tex(QuattrocentoSans.otf) = %{tl_version}
Provides: tex(Quattrocento-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-sup-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-sup-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-sup-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ly1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ot1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-t1.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Quattrocento-Bold.pfb) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic.pfb) = %{tl_version}
Provides: tex(QuattrocentoItalic.pfb) = %{tl_version}
Provides: tex(QuattrocentoRegular.pfb) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold.pfb) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic.pfb) = %{tl_version}
Provides: tex(QuattrocentoSans-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(QuattrocentoSans.pfb) = %{tl_version}
Provides: tex(QuattrocentoSansLCDFJ.pfb) = %{tl_version}
Provides: tex(Quattrocento-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(Quattrocento-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Quattrocento-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Quattrocento-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(QuattrocentoItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoItalic-sup-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(QuattrocentoRegular-sup-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoRegular-sup-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoRegular-tlf-ts1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-sup-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ly1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ot1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-t1.vf) = %{tl_version}
Provides: tex(QuattrocentoSans-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1Quattrocento-TLF.fd) = %{tl_version}
Provides: tex(LY1QuattrocentoSans-TLF.fd) = %{tl_version}
Provides: tex(OT1Quattrocento-TLF.fd) = %{tl_version}
Provides: tex(OT1QuattrocentoSans-TLF.fd) = %{tl_version}
Provides: tex(T1Quattrocento-TLF.fd) = %{tl_version}
Provides: tex(T1QuattrocentoSans-TLF.fd) = %{tl_version}
Provides: tex(TS1Quattrocento-TLF.fd) = %{tl_version}
Provides: tex(TS1QuattrocentoSans-TLF.fd) = %{tl_version}
Provides: tex(quattrocento.sty) = %{tl_version}

%description quattrocento
The package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the Quattrocento and Quattrocento Sans families of
fonts, designed by Pablo Impallari; the fonts themselves are
also provided, in both Type 1 and OpenType format. Quattrocento
is a classic typeface with wide and open letterforms, and great
x-height, which makes it very legible for body text at small
sizes. Tiny details that only show up at bigger sizes make it
also great for display use. Quattrocento Sans is the perfect
sans-serif companion for Quattrocento.

%package quattrocento-doc
Summary: Documentation for quattrocento
Version: svn31763.0

Provides: tex-quattrocento-doc
AutoReqProv: No

%description quattrocento-doc
Documentation for quattrocento

%package raleway
Provides: tex-raleway = %{tl_version}
License: OFL
Summary: Use Raleway with TeX(-alike) systems
Version: svn42629
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Provides: tex(a_2bcjq6.enc) = %{tl_version}
Provides: tex(a_biciir.enc) = %{tl_version}
Provides: tex(a_bzmckq.enc) = %{tl_version}
Provides: tex(a_f3uqdf.enc) = %{tl_version}
Provides: tex(a_gvxmk7.enc) = %{tl_version}
Provides: tex(a_ioname.enc) = %{tl_version}
Provides: tex(a_k2dfwc.enc) = %{tl_version}
Provides: tex(a_mgzrni.enc) = %{tl_version}
Provides: tex(a_mzuigi.enc) = %{tl_version}
Provides: tex(a_oaf34p.enc) = %{tl_version}
Provides: tex(a_pcwse4.enc) = %{tl_version}
Provides: tex(a_sor5xn.enc) = %{tl_version}
Provides: tex(a_u6n666.enc) = %{tl_version}
Provides: tex(a_yqxcf3.enc) = %{tl_version}
Provides: tex(Raleway.map) = %{tl_version}
Provides: tex(Raleway-Black-Italic.otf) = %{tl_version}
Provides: tex(Raleway-Black.otf) = %{tl_version}
Provides: tex(Raleway-Bold-Italic.otf) = %{tl_version}
Provides: tex(Raleway-Bold.otf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-Italic.otf) = %{tl_version}
Provides: tex(Raleway-ExtraBold.otf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-Italic.otf) = %{tl_version}
Provides: tex(Raleway-ExtraLight.otf) = %{tl_version}
Provides: tex(Raleway-Light-Italic.otf) = %{tl_version}
Provides: tex(Raleway-Light.otf) = %{tl_version}
Provides: tex(Raleway-Medium-Italic.otf) = %{tl_version}
Provides: tex(Raleway-Medium.otf) = %{tl_version}
Provides: tex(Raleway-Regular-Italic.otf) = %{tl_version}
Provides: tex(Raleway-Regular.otf) = %{tl_version}
Provides: tex(Raleway-SemiBold-Italic.otf) = %{tl_version}
Provides: tex(Raleway-SemiBold.otf) = %{tl_version}
Provides: tex(Raleway-Thin-Italic.otf) = %{tl_version}
Provides: tex(Raleway-Thin.otf) = %{tl_version}
Provides: tex(Raleway-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Raleway-Black.pfb) = %{tl_version}
Provides: tex(Raleway-BlackItalic.pfb) = %{tl_version}
Provides: tex(Raleway-Bold.pfb) = %{tl_version}
Provides: tex(Raleway-BoldItalic.pfb) = %{tl_version}
Provides: tex(Raleway-ExtraBold.pfb) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic.pfb) = %{tl_version}
Provides: tex(Raleway-ExtraLight.pfb) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic.pfb) = %{tl_version}
Provides: tex(Raleway-Italic.pfb) = %{tl_version}
Provides: tex(Raleway-Light.pfb) = %{tl_version}
Provides: tex(Raleway-LightItalic.pfb) = %{tl_version}
Provides: tex(Raleway-Medium.pfb) = %{tl_version}
Provides: tex(Raleway-MediumItalic.pfb) = %{tl_version}
Provides: tex(Raleway-Regular.pfb) = %{tl_version}
Provides: tex(Raleway-SemiBold.pfb) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic.pfb) = %{tl_version}
Provides: tex(Raleway-Thin.pfb) = %{tl_version}
Provides: tex(Raleway-ThinItalic.pfb) = %{tl_version}
Provides: tex(Raleway-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-BlackItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ExtraLightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-SemiBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-Thin-tosf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Raleway-ThinItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1Raleway-TLF.fd) = %{tl_version}
Provides: tex(LY1Raleway-TOsF.fd) = %{tl_version}
Provides: tex(OT1Raleway-TLF.fd) = %{tl_version}
Provides: tex(OT1Raleway-TOsF.fd) = %{tl_version}
Provides: tex(T1Raleway-TLF.fd) = %{tl_version}
Provides: tex(T1Raleway-TOsF.fd) = %{tl_version}
Provides: tex(TS1Raleway-TLF.fd) = %{tl_version}
Provides: tex(TS1Raleway-TOsF.fd) = %{tl_version}
Provides: tex(raleway-type1-autoinst.sty) = %{tl_version}
Provides: tex(Raleway.sty) = %{tl_version}
Provides: tex(raleway.sty) = %{tl_version}

%description raleway
The package provides the Raleway family in an easy to use way.
For XeLaTeX and LuaLaTeX users the original OpenType fonts are
used. The entire font family is included.

%package raleway-doc
Summary: Documentation for raleway
Version: svn42629
Provides: tex-raleway-doc
AutoReqProv: No

%description raleway-doc
Documentation for raleway

%package recycle
Provides: tex-recycle = %{tl_version}
License: GPL+
Summary: A font providing the "recyclable" logo
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(recycle.map) = %{tl_version}
Provides: tex(recycle.tfm) = %{tl_version}
Provides: tex(recycle.pfb) = %{tl_version}
Provides: tex(recycle.sty) = %{tl_version}

%description recycle
This single-character font is provided as Metafont source, and
in Adobe Type 1 format. It is accompanied by a trivial LaTeX
package to use the logo at various sizes.

%package recycle-doc
Summary: Documentation for recycle
Version: svn15878.0

Provides: tex-recycle-doc
AutoReqProv: No

%description recycle-doc
Documentation for recycle

%package roboto
Provides: tex-roboto = %{tl_version}
License: ASL 2.0
Summary: Support for the Roboto family of fonts
Version: svn38386

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontenc.sty)
Requires: tex(fontaxes.sty)
Requires: tex(mweights.sty)
Provides: tex(rbto_2gjoqz.enc) = %{tl_version}
Provides: tex(rbto_4cxnmx.enc) = %{tl_version}
Provides: tex(rbto_4j5rgv.enc) = %{tl_version}
Provides: tex(rbto_5au2tj.enc) = %{tl_version}
Provides: tex(rbto_5xgh2b.enc) = %{tl_version}
Provides: tex(rbto_a5nkuh.enc) = %{tl_version}
Provides: tex(rbto_b3vvq3.enc) = %{tl_version}
Provides: tex(rbto_bergpl.enc) = %{tl_version}
Provides: tex(rbto_brv6l3.enc) = %{tl_version}
Provides: tex(rbto_bztncd.enc) = %{tl_version}
Provides: tex(rbto_ddkove.enc) = %{tl_version}
Provides: tex(rbto_ebhzxa.enc) = %{tl_version}
Provides: tex(rbto_h3wntv.enc) = %{tl_version}
Provides: tex(rbto_hhyavc.enc) = %{tl_version}
Provides: tex(rbto_i2gjg4.enc) = %{tl_version}
Provides: tex(rbto_idpkzy.enc) = %{tl_version}
Provides: tex(rbto_ihpqsf.enc) = %{tl_version}
Provides: tex(rbto_lxpby6.enc) = %{tl_version}
Provides: tex(rbto_n6nas2.enc) = %{tl_version}
Provides: tex(rbto_oa6oe5.enc) = %{tl_version}
Provides: tex(rbto_pjd75x.enc) = %{tl_version}
Provides: tex(rbto_r7ss7u.enc) = %{tl_version}
Provides: tex(rbto_rehtu3.enc) = %{tl_version}
Provides: tex(rbto_s7kfgd.enc) = %{tl_version}
Provides: tex(rbto_schjax.enc) = %{tl_version}
Provides: tex(rbto_svcybe.enc) = %{tl_version}
Provides: tex(rbto_t2643k.enc) = %{tl_version}
Provides: tex(rbto_tr5a5v.enc) = %{tl_version}
Provides: tex(rbto_uf77so.enc) = %{tl_version}
Provides: tex(rbto_usdwn6.enc) = %{tl_version}
Provides: tex(rbto_v5svcm.enc) = %{tl_version}
Provides: tex(rbto_wkn3wn.enc) = %{tl_version}
Provides: tex(rbto_yzgzr5.enc) = %{tl_version}
Provides: tex(roboto.map) = %{tl_version}
Provides: tex(Roboto-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(Roboto-Black.ttf) = %{tl_version}
Provides: tex(Roboto-BlackItalic.ttf) = %{tl_version}
Provides: tex(Roboto-Bold.ttf) = %{tl_version}
Provides: tex(Roboto-BoldItalic.ttf) = %{tl_version}
Provides: tex(Roboto-Light.ttf) = %{tl_version}
Provides: tex(Roboto-LightItalic.ttf) = %{tl_version}
Provides: tex(Roboto-Medium.ttf) = %{tl_version}
Provides: tex(Roboto-MediumItalic.ttf) = %{tl_version}
Provides: tex(Roboto-Regular.ttf) = %{tl_version}
Provides: tex(Roboto-RegularItalic.ttf) = %{tl_version}
Provides: tex(Roboto-Thin.ttf) = %{tl_version}
Provides: tex(Roboto-ThinItalic.ttf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold.ttf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic.ttf) = %{tl_version}
Provides: tex(RobotoCondensed-Light.ttf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic.ttf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular.ttf) = %{tl_version}
Provides: tex(RobotoCondensed-RegularItalic.ttf) = %{tl_version}
Provides: tex(RobotoSlab-Bold.ttf) = %{tl_version}
Provides: tex(RobotoSlab-Light.ttf) = %{tl_version}
Provides: tex(RobotoSlab-Regular.ttf) = %{tl_version}
Provides: tex(RobotoSlab-Thin.ttf) = %{tl_version}
Provides: tex(Roboto-Black.pfb) = %{tl_version}
Provides: tex(Roboto-BlackItalic.pfb) = %{tl_version}
Provides: tex(Roboto-Bold.pfb) = %{tl_version}
Provides: tex(Roboto-BoldItalic.pfb) = %{tl_version}
Provides: tex(Roboto-Italic.pfb) = %{tl_version}
Provides: tex(Roboto-Light.pfb) = %{tl_version}
Provides: tex(Roboto-LightItalic.pfb) = %{tl_version}
Provides: tex(Roboto-Medium.pfb) = %{tl_version}
Provides: tex(Roboto-MediumItalic.pfb) = %{tl_version}
Provides: tex(Roboto-Regular.pfb) = %{tl_version}
Provides: tex(Roboto-Thin.pfb) = %{tl_version}
Provides: tex(Roboto-ThinItalic.pfb) = %{tl_version}
Provides: tex(RobotoCondensed-Bold.pfb) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic.pfb) = %{tl_version}
Provides: tex(RobotoCondensed-Italic.pfb) = %{tl_version}
Provides: tex(RobotoCondensed-Light.pfb) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic.pfb) = %{tl_version}
Provides: tex(RobotoCondensed-Regular.pfb) = %{tl_version}
Provides: tex(RobotoSlab-Bold.pfb) = %{tl_version}
Provides: tex(RobotoSlab-Light.pfb) = %{tl_version}
Provides: tex(RobotoSlab-Regular.pfb) = %{tl_version}
Provides: tex(RobotoSlab-Thin.pfb) = %{tl_version}
Provides: tex(Roboto-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Black-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Black-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BlackItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Light-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Light-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-Thin-tosf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Roboto-ThinItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(RobotoCondensed-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-ly1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(RobotoSlab-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(LY1Roboto-LF.fd) = %{tl_version}
Provides: tex(LY1Roboto-OsF.fd) = %{tl_version}
Provides: tex(LY1Roboto-TLF.fd) = %{tl_version}
Provides: tex(LY1Roboto-TOsF.fd) = %{tl_version}
Provides: tex(LY1RobotoCondensed-LF.fd) = %{tl_version}
Provides: tex(LY1RobotoCondensed-OsF.fd) = %{tl_version}
Provides: tex(LY1RobotoCondensed-TLF.fd) = %{tl_version}
Provides: tex(LY1RobotoCondensed-TOsF.fd) = %{tl_version}
Provides: tex(LY1RobotoSlab-LF.fd) = %{tl_version}
Provides: tex(OT1Roboto-LF.fd) = %{tl_version}
Provides: tex(OT1Roboto-OsF.fd) = %{tl_version}
Provides: tex(OT1Roboto-TLF.fd) = %{tl_version}
Provides: tex(OT1Roboto-TOsF.fd) = %{tl_version}
Provides: tex(OT1RobotoCondensed-LF.fd) = %{tl_version}
Provides: tex(OT1RobotoCondensed-OsF.fd) = %{tl_version}
Provides: tex(OT1RobotoCondensed-TLF.fd) = %{tl_version}
Provides: tex(OT1RobotoCondensed-TOsF.fd) = %{tl_version}
Provides: tex(OT1RobotoSlab-LF.fd) = %{tl_version}
Provides: tex(T1Roboto-LF.fd) = %{tl_version}
Provides: tex(T1Roboto-OsF.fd) = %{tl_version}
Provides: tex(T1Roboto-TLF.fd) = %{tl_version}
Provides: tex(T1Roboto-TOsF.fd) = %{tl_version}
Provides: tex(T1RobotoCondensed-LF.fd) = %{tl_version}
Provides: tex(T1RobotoCondensed-OsF.fd) = %{tl_version}
Provides: tex(T1RobotoCondensed-TLF.fd) = %{tl_version}
Provides: tex(T1RobotoCondensed-TOsF.fd) = %{tl_version}
Provides: tex(T1RobotoSlab-LF.fd) = %{tl_version}
Provides: tex(TS1Roboto-LF.fd) = %{tl_version}
Provides: tex(TS1Roboto-OsF.fd) = %{tl_version}
Provides: tex(TS1Roboto-TLF.fd) = %{tl_version}
Provides: tex(TS1Roboto-TOsF.fd) = %{tl_version}
Provides: tex(TS1RobotoCondensed-LF.fd) = %{tl_version}
Provides: tex(TS1RobotoCondensed-OsF.fd) = %{tl_version}
Provides: tex(TS1RobotoCondensed-TLF.fd) = %{tl_version}
Provides: tex(TS1RobotoCondensed-TOsF.fd) = %{tl_version}
Provides: tex(TS1RobotoSlab-LF.fd) = %{tl_version}
Provides: tex(roboto.sty) = %{tl_version}

%description roboto
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the Roboto, RobotoCondensed and RobotoSlab families
of fonts, designed by Christian Robertson for Google.

%package roboto-doc
Summary: Documentation for roboto
Version: svn38386

Provides: tex-roboto-doc
AutoReqProv: No

%description roboto-doc
Documentation for roboto

%package romande
Provides: tex-romande = %{tl_version}
License: LPPL
Summary: Romande ADF fonts and LaTeX support
Version: svn19537.1.008_v7_sc

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(nfssext-cfr.sty)
Provides: tex(romande-supp.enc) = %{tl_version}
Provides: tex(t1-romandeadf-alt.enc) = %{tl_version}
Provides: tex(t1-romandeadf.enc) = %{tl_version}
Provides: tex(ts1-euro-yrd.enc) = %{tl_version}
Provides: tex(yrd.map) = %{tl_version}
Provides: tex(s-yrdd.tfm) = %{tl_version}
Provides: tex(s-yrddi.tfm) = %{tl_version}
Provides: tex(s-yrdr.tfm) = %{tl_version}
Provides: tex(s-yrdri.tfm) = %{tl_version}
Provides: tex(s-yrdriw.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-alt-yrdd.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-alt-yrddi.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-alt-yrdr.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-alt-yrdri.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-alt-yrdriw.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-yrdd.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-yrddc.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-yrddi.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-yrdr.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-yrdrc.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-yrdri.tfm) = %{tl_version}
Provides: tex(t1-romandeadf-yrdriw.tfm) = %{tl_version}
Provides: tex(ts1-yrdd.tfm) = %{tl_version}
Provides: tex(ts1-yrddi.tfm) = %{tl_version}
Provides: tex(ts1-yrdr.tfm) = %{tl_version}
Provides: tex(ts1-yrdri.tfm) = %{tl_version}
Provides: tex(ts1-yrdriw.tfm) = %{tl_version}
Provides: tex(yrdd8c.tfm) = %{tl_version}
Provides: tex(yrdd8t.tfm) = %{tl_version}
Provides: tex(yrdda8t.tfm) = %{tl_version}
Provides: tex(yrddai8t.tfm) = %{tl_version}
Provides: tex(yrddc8t.tfm) = %{tl_version}
Provides: tex(yrddi8c.tfm) = %{tl_version}
Provides: tex(yrddi8t.tfm) = %{tl_version}
Provides: tex(yrdr8c.tfm) = %{tl_version}
Provides: tex(yrdr8t.tfm) = %{tl_version}
Provides: tex(yrdra8t.tfm) = %{tl_version}
Provides: tex(yrdrai8t.tfm) = %{tl_version}
Provides: tex(yrdraiw8t.tfm) = %{tl_version}
Provides: tex(yrdrc8t.tfm) = %{tl_version}
Provides: tex(yrdri8c.tfm) = %{tl_version}
Provides: tex(yrdri8t.tfm) = %{tl_version}
Provides: tex(yrdriw8c.tfm) = %{tl_version}
Provides: tex(yrdriw8t.tfm) = %{tl_version}
Provides: tex(yrdd8a.pfb) = %{tl_version}
Provides: tex(yrddc8a.pfb) = %{tl_version}
Provides: tex(yrddi8a.pfb) = %{tl_version}
Provides: tex(yrdr8a.pfb) = %{tl_version}
Provides: tex(yrdrc8a.pfb) = %{tl_version}
Provides: tex(yrdri8a.pfb) = %{tl_version}
Provides: tex(yrdriw8a.pfb) = %{tl_version}
Provides: tex(yrdd8c.vf) = %{tl_version}
Provides: tex(yrdd8t.vf) = %{tl_version}
Provides: tex(yrdda8t.vf) = %{tl_version}
Provides: tex(yrddai8t.vf) = %{tl_version}
Provides: tex(yrddc8t.vf) = %{tl_version}
Provides: tex(yrddi8c.vf) = %{tl_version}
Provides: tex(yrddi8t.vf) = %{tl_version}
Provides: tex(yrdr8c.vf) = %{tl_version}
Provides: tex(yrdr8t.vf) = %{tl_version}
Provides: tex(yrdra8t.vf) = %{tl_version}
Provides: tex(yrdrai8t.vf) = %{tl_version}
Provides: tex(yrdraiw8t.vf) = %{tl_version}
Provides: tex(yrdrc8t.vf) = %{tl_version}
Provides: tex(yrdri8c.vf) = %{tl_version}
Provides: tex(yrdri8t.vf) = %{tl_version}
Provides: tex(yrdriw8c.vf) = %{tl_version}
Provides: tex(yrdriw8t.vf) = %{tl_version}
Provides: tex(romande.sty) = %{tl_version}
Provides: tex(t1yrd.fd) = %{tl_version}
Provides: tex(t1yrda.fd) = %{tl_version}
Provides: tex(t1yrdaw.fd) = %{tl_version}
Provides: tex(t1yrdw.fd) = %{tl_version}
Provides: tex(ts1yrd.fd) = %{tl_version}
Provides: tex(ts1yrda.fd) = %{tl_version}
Provides: tex(ts1yrdaw.fd) = %{tl_version}
Provides: tex(ts1yrdw.fd) = %{tl_version}

%description romande
Romande ADF is a serif font family with oldstyle figures,
designed as a substitute for Times, Tiffany or Caslon. The
family currently includes upright, italic and small-caps shapes
in each of regular and demi-bold weights and an italic script
in regular. The support package renames the fonts according to
the Karl Berry fontname scheme and defines four families. Two
of these primarily provide access to the "standard" or default
characters while the "alternate" families support alternate
characters, additional ligatures and the long s. The included
package files provide access to these features in LaTeX as
explained in the documentation. The LaTeX support requires the
nfssext-cfr and the xkeyval packages.

%package romande-doc
Summary: Documentation for romande
Version: svn19537.1.008_v7_sc

Provides: tex-romande-doc
AutoReqProv: No

%description romande-doc
Documentation for romande

%package rsfso
Provides: tex-rsfso = %{tl_version}
License: LPPL
Summary: A mathematical calligraphic font based on rsfs
Version: svn37965.1.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Provides: tex(rsfso.map) = %{tl_version}
Provides: tex(rrsfso10.tfm) = %{tl_version}
Provides: tex(rrsfso5.tfm) = %{tl_version}
Provides: tex(rrsfso7.tfm) = %{tl_version}
Provides: tex(rsfso10.tfm) = %{tl_version}
Provides: tex(rsfso5.tfm) = %{tl_version}
Provides: tex(rsfso7.tfm) = %{tl_version}
Provides: tex(rsfso10.vf) = %{tl_version}
Provides: tex(rsfso5.vf) = %{tl_version}
Provides: tex(rsfso7.vf) = %{tl_version}
Provides: tex(rsfso.sty) = %{tl_version}
Provides: tex(ursfso.fd) = %{tl_version}

%description rsfso
The package provides virtual fonts and LaTeX support files for
mathematical calligraphic fonts based on the rsfs Adobe Type 1
fonts (which must also be present for successful installation,
with the slant substantially reduced. The output is quite
similar to that from the Adobe Mathematical Pi script font.

%package rsfso-doc
Summary: Documentation for rsfso
Version: svn37965.1.02

Provides: tex-rsfso-doc
AutoReqProv: No

%description rsfso-doc
Documentation for rsfso

%package sansmathaccent
Provides: tex-sansmathaccent = %{tl_version}
License: LPPL 1.3
Summary: Correct placement of accents in sans-serif maths
Version: svn30187.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(filehook.sty)
Provides: tex(sansmathaccent.map) = %{tl_version}
Provides: tex(mathkerncmssi10.tfm) = %{tl_version}
Provides: tex(mathkerncmssi12.tfm) = %{tl_version}
Provides: tex(mathkerncmssi17.tfm) = %{tl_version}
Provides: tex(mathkerncmssi8.tfm) = %{tl_version}
Provides: tex(mathkerncmssi9.tfm) = %{tl_version}
Provides: tex(mathkerncmssxi10.tfm) = %{tl_version}
Provides: tex(mathkerncmssxi12.tfm) = %{tl_version}
Provides: tex(mathkerncmssxi17.tfm) = %{tl_version}
Provides: tex(mathkerncmssxi8.tfm) = %{tl_version}
Provides: tex(mathkerncmssxi9.tfm) = %{tl_version}
Provides: tex(mathkerncmssxi10.vf) = %{tl_version}
Provides: tex(mathkerncmssxi12.vf) = %{tl_version}
Provides: tex(mathkerncmssxi17.vf) = %{tl_version}
Provides: tex(mathkerncmssxi8.vf) = %{tl_version}
Provides: tex(mathkerncmssxi9.vf) = %{tl_version}
Provides: tex(ot1mathkerncmss.fd) = %{tl_version}
Provides: tex(sansmathaccent.sty) = %{tl_version}

%description sansmathaccent
Sans serif maths (produced by the beamer class or the sfmath
package) often has accents positioned incorrectly. The package
fixes the positioning of such accents when the default font
(cmssi) is used for sans serif maths.

%package sansmathaccent-doc
Summary: Documentation for sansmathaccent
Version: svn30187.0

Provides: tex-sansmathaccent-doc
AutoReqProv: No

%description sansmathaccent-doc
Documentation for sansmathaccent

%package sansmathfonts
Provides: tex-sansmathfonts = %{tl_version}
License: LPPL 1.3
Summary: Correct placement of accents in sans-serif maths
Version: svn43252
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Provides: tex(sansmathfonts.map) = %{tl_version}
Provides: tex(cmsmf10.tfm) = %{tl_version}
Provides: tex(cmsmf12.tfm) = %{tl_version}
Provides: tex(cmsmf17.tfm) = %{tl_version}
Provides: tex(cmsmf8.tfm) = %{tl_version}
Provides: tex(cmsmf9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXi10.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXi12.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXi17.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXi8.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXi9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXibx10.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXibx12.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXibx17.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXibx8.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXibx9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXibxcsc10.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXicsc10.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXicsc8.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXicsc9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXicsci10.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXicsci8.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXicsci9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXii10.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXii12.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXii17.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXii8.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXii9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXixi10.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXixi12.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXixi17.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXixi8.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXixi9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXixicsc10.tfm) = %{tl_version}
Provides: tex(cmsmfbx10.tfm) = %{tl_version}
Provides: tex(cmsmfbx12.tfm) = %{tl_version}
Provides: tex(cmsmfbx17.tfm) = %{tl_version}
Provides: tex(cmsmfbx8.tfm) = %{tl_version}
Provides: tex(cmsmfbx9.tfm) = %{tl_version}
Provides: tex(cmsmfbxcsc10.tfm) = %{tl_version}
Provides: tex(cmsmfcsc10.tfm) = %{tl_version}
Provides: tex(cmsmfcsc8.tfm) = %{tl_version}
Provides: tex(cmsmfcsc9.tfm) = %{tl_version}
Provides: tex(cmsmfcsci10.tfm) = %{tl_version}
Provides: tex(cmsmfcsci8.tfm) = %{tl_version}
Provides: tex(cmsmfcsci9.tfm) = %{tl_version}
Provides: tex(cmsmfi10.tfm) = %{tl_version}
Provides: tex(cmsmfi12.tfm) = %{tl_version}
Provides: tex(cmsmfi17.tfm) = %{tl_version}
Provides: tex(cmsmfi8.tfm) = %{tl_version}
Provides: tex(cmsmfi9.tfm) = %{tl_version}
Provides: tex(cmsmfxi10.tfm) = %{tl_version}
Provides: tex(cmsmfxi12.tfm) = %{tl_version}
Provides: tex(cmsmfxi17.tfm) = %{tl_version}
Provides: tex(cmsmfxi8.tfm) = %{tl_version}
Provides: tex(cmsmfxi9.tfm) = %{tl_version}
Provides: tex(cmsmfxicsc10.tfm) = %{tl_version}
Provides: tex(cmssbsy10.tfm) = %{tl_version}
Provides: tex(cmssbsy5.tfm) = %{tl_version}
Provides: tex(cmssbsy6.tfm) = %{tl_version}
Provides: tex(cmssbsy7.tfm) = %{tl_version}
Provides: tex(cmssbsy8.tfm) = %{tl_version}
Provides: tex(cmssbsy9.tfm) = %{tl_version}
Provides: tex(cmssbxcsc10.tfm) = %{tl_version}
Provides: tex(cmsscsc10.tfm) = %{tl_version}
Provides: tex(cmsscsc8.tfm) = %{tl_version}
Provides: tex(cmsscsc9.tfm) = %{tl_version}
Provides: tex(cmsscsci10.tfm) = %{tl_version}
Provides: tex(cmsscsci8.tfm) = %{tl_version}
Provides: tex(cmsscsci9.tfm) = %{tl_version}
Provides: tex(cmssex10.tfm) = %{tl_version}
Provides: tex(cmssex7.tfm) = %{tl_version}
Provides: tex(cmssex8.tfm) = %{tl_version}
Provides: tex(cmssex9.tfm) = %{tl_version}
Provides: tex(cmssmi10.tfm) = %{tl_version}
Provides: tex(cmssmi5.tfm) = %{tl_version}
Provides: tex(cmssmi6.tfm) = %{tl_version}
Provides: tex(cmssmi7.tfm) = %{tl_version}
Provides: tex(cmssmi8.tfm) = %{tl_version}
Provides: tex(cmssmi9.tfm) = %{tl_version}
Provides: tex(cmssmib10.tfm) = %{tl_version}
Provides: tex(cmssmib5.tfm) = %{tl_version}
Provides: tex(cmssmib6.tfm) = %{tl_version}
Provides: tex(cmssmib7.tfm) = %{tl_version}
Provides: tex(cmssmib8.tfm) = %{tl_version}
Provides: tex(cmssmib9.tfm) = %{tl_version}
Provides: tex(cmsssy10.tfm) = %{tl_version}
Provides: tex(cmsssy5.tfm) = %{tl_version}
Provides: tex(cmsssy6.tfm) = %{tl_version}
Provides: tex(cmsssy7.tfm) = %{tl_version}
Provides: tex(cmsssy8.tfm) = %{tl_version}
Provides: tex(cmsssy9.tfm) = %{tl_version}
Provides: tex(cmssu10.tfm) = %{tl_version}
Provides: tex(cmssxicsc10.tfm) = %{tl_version}
Provides: tex(eczi0500.tfm) = %{tl_version}
Provides: tex(eczi0600.tfm) = %{tl_version}
Provides: tex(eczi0700.tfm) = %{tl_version}
Provides: tex(eczi0800.tfm) = %{tl_version}
Provides: tex(eczi0900.tfm) = %{tl_version}
Provides: tex(eczi1000.tfm) = %{tl_version}
Provides: tex(eczi1095.tfm) = %{tl_version}
Provides: tex(eczi1200.tfm) = %{tl_version}
Provides: tex(eczi1440.tfm) = %{tl_version}
Provides: tex(eczi1728.tfm) = %{tl_version}
Provides: tex(eczi2074.tfm) = %{tl_version}
Provides: tex(eczi2488.tfm) = %{tl_version}
Provides: tex(eczi2986.tfm) = %{tl_version}
Provides: tex(eczi3583.tfm) = %{tl_version}
Provides: tex(eczo0500.tfm) = %{tl_version}
Provides: tex(eczo0600.tfm) = %{tl_version}
Provides: tex(eczo0700.tfm) = %{tl_version}
Provides: tex(eczo0800.tfm) = %{tl_version}
Provides: tex(eczo0900.tfm) = %{tl_version}
Provides: tex(eczo1000.tfm) = %{tl_version}
Provides: tex(eczo1095.tfm) = %{tl_version}
Provides: tex(eczo1200.tfm) = %{tl_version}
Provides: tex(eczo1440.tfm) = %{tl_version}
Provides: tex(eczo1728.tfm) = %{tl_version}
Provides: tex(eczo2074.tfm) = %{tl_version}
Provides: tex(eczo2488.tfm) = %{tl_version}
Provides: tex(eczo2986.tfm) = %{tl_version}
Provides: tex(eczo3583.tfm) = %{tl_version}
Provides: tex(eczx0500.tfm) = %{tl_version}
Provides: tex(eczx0600.tfm) = %{tl_version}
Provides: tex(eczx0700.tfm) = %{tl_version}
Provides: tex(eczx0800.tfm) = %{tl_version}
Provides: tex(eczx0900.tfm) = %{tl_version}
Provides: tex(eczx1000.tfm) = %{tl_version}
Provides: tex(eczx1095.tfm) = %{tl_version}
Provides: tex(eczx1200.tfm) = %{tl_version}
Provides: tex(eczx1440.tfm) = %{tl_version}
Provides: tex(eczx1728.tfm) = %{tl_version}
Provides: tex(eczx2074.tfm) = %{tl_version}
Provides: tex(eczx2488.tfm) = %{tl_version}
Provides: tex(eczx2986.tfm) = %{tl_version}
Provides: tex(eczx3583.tfm) = %{tl_version}
Provides: tex(eczz0500.tfm) = %{tl_version}
Provides: tex(eczz0600.tfm) = %{tl_version}
Provides: tex(eczz0700.tfm) = %{tl_version}
Provides: tex(eczz0800.tfm) = %{tl_version}
Provides: tex(eczz0900.tfm) = %{tl_version}
Provides: tex(eczz1000.tfm) = %{tl_version}
Provides: tex(eczz1095.tfm) = %{tl_version}
Provides: tex(eczz1200.tfm) = %{tl_version}
Provides: tex(eczz1440.tfm) = %{tl_version}
Provides: tex(eczz1728.tfm) = %{tl_version}
Provides: tex(eczz2074.tfm) = %{tl_version}
Provides: tex(eczz2488.tfm) = %{tl_version}
Provides: tex(eczz2986.tfm) = %{tl_version}
Provides: tex(eczz3583.tfm) = %{tl_version}
Provides: tex(ssesint10.tfm) = %{tl_version}
Provides: tex(ssesint7.tfm) = %{tl_version}
Provides: tex(ssesint8.tfm) = %{tl_version}
Provides: tex(ssesint9.tfm) = %{tl_version}
Provides: tex(ssmsam10.tfm) = %{tl_version}
Provides: tex(ssmsam5.tfm) = %{tl_version}
Provides: tex(ssmsam6.tfm) = %{tl_version}
Provides: tex(ssmsam7.tfm) = %{tl_version}
Provides: tex(ssmsam8.tfm) = %{tl_version}
Provides: tex(ssmsam9.tfm) = %{tl_version}
Provides: tex(ssmsbm10.tfm) = %{tl_version}
Provides: tex(ssmsbm5.tfm) = %{tl_version}
Provides: tex(ssmsbm6.tfm) = %{tl_version}
Provides: tex(ssmsbm7.tfm) = %{tl_version}
Provides: tex(ssmsbm8.tfm) = %{tl_version}
Provides: tex(ssmsbm9.tfm) = %{tl_version}
Provides: tex(cmsmfIPiXi10.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXi12.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXi17.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXi8.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXi9.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXibx10.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXibx12.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXibx17.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXibx8.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXibx9.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXibxcsc10.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXicsc10.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXicsc8.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXicsc9.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXicsci10.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXicsci8.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXicsci9.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXii10.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXii12.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXii17.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXii8.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXii9.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXixi10.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXixi12.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXixi17.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXixi8.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXixi9.pfb) = %{tl_version}
Provides: tex(cmsmfIPiXixicsc10.pfb) = %{tl_version}
Provides: tex(cmssbsy10.pfb) = %{tl_version}
Provides: tex(cmssbsy5.pfb) = %{tl_version}
Provides: tex(cmssbsy6.pfb) = %{tl_version}
Provides: tex(cmssbsy7.pfb) = %{tl_version}
Provides: tex(cmssbsy8.pfb) = %{tl_version}
Provides: tex(cmssbsy9.pfb) = %{tl_version}
Provides: tex(cmssbx12.pfb) = %{tl_version}
Provides: tex(cmssbx17.pfb) = %{tl_version}
Provides: tex(cmssbx8.pfb) = %{tl_version}
Provides: tex(cmssbx9.pfb) = %{tl_version}
Provides: tex(cmssbxcsc10.pfb) = %{tl_version}
Provides: tex(cmsscsc10.pfb) = %{tl_version}
Provides: tex(cmsscsc8.pfb) = %{tl_version}
Provides: tex(cmsscsc9.pfb) = %{tl_version}
Provides: tex(cmsscsci10.pfb) = %{tl_version}
Provides: tex(cmsscsci8.pfb) = %{tl_version}
Provides: tex(cmsscsci9.pfb) = %{tl_version}
Provides: tex(cmssex10.pfb) = %{tl_version}
Provides: tex(cmssex7.pfb) = %{tl_version}
Provides: tex(cmssex8.pfb) = %{tl_version}
Provides: tex(cmssex9.pfb) = %{tl_version}
Provides: tex(cmssmi10.pfb) = %{tl_version}
Provides: tex(cmssmi5.pfb) = %{tl_version}
Provides: tex(cmssmi6.pfb) = %{tl_version}
Provides: tex(cmssmi7.pfb) = %{tl_version}
Provides: tex(cmssmi8.pfb) = %{tl_version}
Provides: tex(cmssmi9.pfb) = %{tl_version}
Provides: tex(cmssmib10.pfb) = %{tl_version}
Provides: tex(cmssmib5.pfb) = %{tl_version}
Provides: tex(cmssmib6.pfb) = %{tl_version}
Provides: tex(cmssmib7.pfb) = %{tl_version}
Provides: tex(cmssmib8.pfb) = %{tl_version}
Provides: tex(cmssmib9.pfb) = %{tl_version}
Provides: tex(cmsssy10.pfb) = %{tl_version}
Provides: tex(cmsssy5.pfb) = %{tl_version}
Provides: tex(cmsssy6.pfb) = %{tl_version}
Provides: tex(cmsssy7.pfb) = %{tl_version}
Provides: tex(cmsssy8.pfb) = %{tl_version}
Provides: tex(cmsssy9.pfb) = %{tl_version}
Provides: tex(cmssu10.pfb) = %{tl_version}
Provides: tex(cmssxi10.pfb) = %{tl_version}
Provides: tex(cmssxi12.pfb) = %{tl_version}
Provides: tex(cmssxi17.pfb) = %{tl_version}
Provides: tex(cmssxi8.pfb) = %{tl_version}
Provides: tex(cmssxi9.pfb) = %{tl_version}
Provides: tex(cmssxicsc10.pfb) = %{tl_version}
Provides: tex(eczi0500.pfb) = %{tl_version}
Provides: tex(eczi0600.pfb) = %{tl_version}
Provides: tex(eczi0700.pfb) = %{tl_version}
Provides: tex(eczi0800.pfb) = %{tl_version}
Provides: tex(eczi0900.pfb) = %{tl_version}
Provides: tex(eczi1000.pfb) = %{tl_version}
Provides: tex(eczi1095.pfb) = %{tl_version}
Provides: tex(eczi1200.pfb) = %{tl_version}
Provides: tex(eczi1440.pfb) = %{tl_version}
Provides: tex(eczi1728.pfb) = %{tl_version}
Provides: tex(eczi2074.pfb) = %{tl_version}
Provides: tex(eczi2488.pfb) = %{tl_version}
Provides: tex(eczi2986.pfb) = %{tl_version}
Provides: tex(eczi3583.pfb) = %{tl_version}
Provides: tex(eczo0500.pfb) = %{tl_version}
Provides: tex(eczo0600.pfb) = %{tl_version}
Provides: tex(eczo0700.pfb) = %{tl_version}
Provides: tex(eczo0800.pfb) = %{tl_version}
Provides: tex(eczo0900.pfb) = %{tl_version}
Provides: tex(eczo1000.pfb) = %{tl_version}
Provides: tex(eczo1095.pfb) = %{tl_version}
Provides: tex(eczo1200.pfb) = %{tl_version}
Provides: tex(eczo1440.pfb) = %{tl_version}
Provides: tex(eczo1728.pfb) = %{tl_version}
Provides: tex(eczo2074.pfb) = %{tl_version}
Provides: tex(eczo2488.pfb) = %{tl_version}
Provides: tex(eczo2986.pfb) = %{tl_version}
Provides: tex(eczo3583.pfb) = %{tl_version}
Provides: tex(eczx0500.pfb) = %{tl_version}
Provides: tex(eczx0600.pfb) = %{tl_version}
Provides: tex(eczx0700.pfb) = %{tl_version}
Provides: tex(eczx0800.pfb) = %{tl_version}
Provides: tex(eczx0900.pfb) = %{tl_version}
Provides: tex(eczx1000.pfb) = %{tl_version}
Provides: tex(eczx1095.pfb) = %{tl_version}
Provides: tex(eczx1200.pfb) = %{tl_version}
Provides: tex(eczx1440.pfb) = %{tl_version}
Provides: tex(eczx1728.pfb) = %{tl_version}
Provides: tex(eczx2074.pfb) = %{tl_version}
Provides: tex(eczx2488.pfb) = %{tl_version}
Provides: tex(eczx2986.pfb) = %{tl_version}
Provides: tex(eczx3583.pfb) = %{tl_version}
Provides: tex(eczz0500.pfb) = %{tl_version}
Provides: tex(eczz0600.pfb) = %{tl_version}
Provides: tex(eczz0700.pfb) = %{tl_version}
Provides: tex(eczz0800.pfb) = %{tl_version}
Provides: tex(eczz0900.pfb) = %{tl_version}
Provides: tex(eczz1000.pfb) = %{tl_version}
Provides: tex(eczz1095.pfb) = %{tl_version}
Provides: tex(eczz1200.pfb) = %{tl_version}
Provides: tex(eczz1440.pfb) = %{tl_version}
Provides: tex(eczz1728.pfb) = %{tl_version}
Provides: tex(eczz2074.pfb) = %{tl_version}
Provides: tex(eczz2488.pfb) = %{tl_version}
Provides: tex(eczz2986.pfb) = %{tl_version}
Provides: tex(eczz3583.pfb) = %{tl_version}
Provides: tex(ssesint10.pfb) = %{tl_version}
Provides: tex(ssesint7.pfb) = %{tl_version}
Provides: tex(ssesint8.pfb) = %{tl_version}
Provides: tex(ssesint9.pfb) = %{tl_version}
Provides: tex(ssmsam10.pfb) = %{tl_version}
Provides: tex(ssmsam5.pfb) = %{tl_version}
Provides: tex(ssmsam6.pfb) = %{tl_version}
Provides: tex(ssmsam7.pfb) = %{tl_version}
Provides: tex(ssmsam8.pfb) = %{tl_version}
Provides: tex(ssmsam9.pfb) = %{tl_version}
Provides: tex(ssmsbm10.pfb) = %{tl_version}
Provides: tex(ssmsbm5.pfb) = %{tl_version}
Provides: tex(ssmsbm6.pfb) = %{tl_version}
Provides: tex(ssmsbm7.pfb) = %{tl_version}
Provides: tex(ssmsbm8.pfb) = %{tl_version}
Provides: tex(ssmsbm9.pfb) = %{tl_version}
Provides: tex(cmsmf10.vf) = %{tl_version}
Provides: tex(cmsmf12.vf) = %{tl_version}
Provides: tex(cmsmf17.vf) = %{tl_version}
Provides: tex(cmsmf8.vf) = %{tl_version}
Provides: tex(cmsmf9.vf) = %{tl_version}
Provides: tex(cmsmfbx10.vf) = %{tl_version}
Provides: tex(cmsmfbx12.vf) = %{tl_version}
Provides: tex(cmsmfbx17.vf) = %{tl_version}
Provides: tex(cmsmfbx8.vf) = %{tl_version}
Provides: tex(cmsmfbx9.vf) = %{tl_version}
Provides: tex(cmsmfbxcsc10.vf) = %{tl_version}
Provides: tex(cmsmfcsc10.vf) = %{tl_version}
Provides: tex(cmsmfcsc8.vf) = %{tl_version}
Provides: tex(cmsmfcsc9.vf) = %{tl_version}
Provides: tex(cmsmfcsci10.vf) = %{tl_version}
Provides: tex(cmsmfcsci8.vf) = %{tl_version}
Provides: tex(cmsmfcsci9.vf) = %{tl_version}
Provides: tex(cmsmfi10.vf) = %{tl_version}
Provides: tex(cmsmfi12.vf) = %{tl_version}
Provides: tex(cmsmfi17.vf) = %{tl_version}
Provides: tex(cmsmfi8.vf) = %{tl_version}
Provides: tex(cmsmfi9.vf) = %{tl_version}
Provides: tex(cmsmfxi10.vf) = %{tl_version}
Provides: tex(cmsmfxi12.vf) = %{tl_version}
Provides: tex(cmsmfxi17.vf) = %{tl_version}
Provides: tex(cmsmfxi8.vf) = %{tl_version}
Provides: tex(cmsmfxi9.vf) = %{tl_version}
Provides: tex(cmsmfxicsc10.vf) = %{tl_version}
Provides: tex(omlcmssm.fd) = %{tl_version}
Provides: tex(omscmsssy.fd) = %{tl_version}
Provides: tex(omxcmssex.fd) = %{tl_version}
Provides: tex(ot1cmsmf.fd) = %{tl_version}
Provides: tex(ot1xcmss.fd) = %{tl_version}
Provides: tex(sansmathfonts.sty) = %{tl_version}
Provides: tex(t1xcmss.fd) = %{tl_version}
Provides: tex(ucmsmf.fd) = %{tl_version}
Provides: tex(ussesint.fd) = %{tl_version}
Provides: tex(ussmsa.fd) = %{tl_version}
Provides: tex(ussmsb.fd) = %{tl_version}
Provides: tex(uxcmss.fd) = %{tl_version}

%description sansmathfonts
Sans serifsmall caps and math fonts for use with Computer
Modern.

%package sansmathfonts-doc
Summary: Documentation for sansmathfonts
Version: svn43252
Provides: tex-sansmathfonts-doc
AutoReqProv: No

%description sansmathfonts-doc
Documentation for sansmathfonts

%package sauter
Provides: tex-sauter = %{tl_version}
License: GPL+
Summary: Wide range of design sizes for CM fonts
Version: svn13293.2.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description sauter
Extensions, originally to the CM fonts, providing a
parameterization scheme to build Metafont fonts at true design
sizes, for a large range of sizes. The scheme has now been
extended to a range of other fonts, including the AMS fonts,
bbm, bbold, rsfs and wasy fonts.

%package sauterfonts
Provides: tex-sauterfonts = %{tl_version}
License: GPL+
Summary: Use Sauter's fonts in LaTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sbbm.sty) = %{tl_version}
Provides: tex(sexscale.sty) = %{tl_version}
Provides: tex(somlcmm.fd) = %{tl_version}
Provides: tex(somlcmr.fd) = %{tl_version}
Provides: tex(somscmr.fd) = %{tl_version}
Provides: tex(somscmsy.fd) = %{tl_version}
Provides: tex(somxcmex.fd) = %{tl_version}
Provides: tex(sot1cmdh.fd) = %{tl_version}
Provides: tex(sot1cmfib.fd) = %{tl_version}
Provides: tex(sot1cmfr.fd) = %{tl_version}
Provides: tex(sot1cmr.fd) = %{tl_version}
Provides: tex(sot1cmss.fd) = %{tl_version}
Provides: tex(sot1cmtt.fd) = %{tl_version}
Provides: tex(sot1cmvtt.fd) = %{tl_version}
Provides: tex(subbm.fd) = %{tl_version}
Provides: tex(subbmdh.fd) = %{tl_version}
Provides: tex(subbmfib.fd) = %{tl_version}
Provides: tex(subbmss.fd) = %{tl_version}
Provides: tex(subbmtt.fd) = %{tl_version}
Provides: tex(subbmvtt.fd) = %{tl_version}
Provides: tex(subbold.fd) = %{tl_version}
Provides: tex(sucmr.fd) = %{tl_version}
Provides: tex(sucmss.fd) = %{tl_version}
Provides: tex(sucmtt.fd) = %{tl_version}
Provides: tex(sulasy.fd) = %{tl_version}
Provides: tex(sumsa.fd) = %{tl_version}
Provides: tex(sumsb.fd) = %{tl_version}
Provides: tex(sursfs.fd) = %{tl_version}
Provides: tex(sustmry.fd) = %{tl_version}
Provides: tex(suwasy.fd) = %{tl_version}

%description sauterfonts
The package provides font definition files (plus a replacement
for the package exscale) to access many of the fonts in
Sauter's collection. These fonts are available in all point
sizes and look nicer for such "intermediate" document sizes as
11pt. Also included is the package sbbm, an alternative to
access the bbm fonts.

%package sauterfonts-doc
Summary: Documentation for sauterfonts
Version: svn15878.0

Provides: tex-sauterfonts-doc
AutoReqProv: No

%description sauterfonts-doc
Documentation for sauterfonts

%package schulschriften
Provides: tex-schulschriften = %{tl_version}
License: LPPL
Summary: German "school scripts" from Suetterlin to the present day
Version: svn35730.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(wedn14.tfm) = %{tl_version}
Provides: tex(wednbx14.tfm) = %{tl_version}
Provides: tex(wednbxsl14.tfm) = %{tl_version}
Provides: tex(wedneb14.tfm) = %{tl_version}
Provides: tex(wednebsl14.tfm) = %{tl_version}
Provides: tex(wednsb14.tfm) = %{tl_version}
Provides: tex(wednsbsl14.tfm) = %{tl_version}
Provides: tex(wednsl14.tfm) = %{tl_version}
Provides: tex(wednub14.tfm) = %{tl_version}
Provides: tex(wednubsl14.tfm) = %{tl_version}
Provides: tex(wela14.tfm) = %{tl_version}
Provides: tex(welabx14.tfm) = %{tl_version}
Provides: tex(welabxsl14.tfm) = %{tl_version}
Provides: tex(welaeb14.tfm) = %{tl_version}
Provides: tex(welaebsl14.tfm) = %{tl_version}
Provides: tex(welasb14.tfm) = %{tl_version}
Provides: tex(welasbsl14.tfm) = %{tl_version}
Provides: tex(welasl14.tfm) = %{tl_version}
Provides: tex(welaub14.tfm) = %{tl_version}
Provides: tex(welaubsl14.tfm) = %{tl_version}
Provides: tex(wesa14.tfm) = %{tl_version}
Provides: tex(wesabx14.tfm) = %{tl_version}
Provides: tex(wesabxsl14.tfm) = %{tl_version}
Provides: tex(wesaeb14.tfm) = %{tl_version}
Provides: tex(wesaebsl14.tfm) = %{tl_version}
Provides: tex(wesasb14.tfm) = %{tl_version}
Provides: tex(wesasbsl14.tfm) = %{tl_version}
Provides: tex(wesasl14.tfm) = %{tl_version}
Provides: tex(wesaub14.tfm) = %{tl_version}
Provides: tex(wesaubsl14.tfm) = %{tl_version}
Provides: tex(wesu14.tfm) = %{tl_version}
Provides: tex(wesub14.tfm) = %{tl_version}
Provides: tex(wesubsl14.tfm) = %{tl_version}
Provides: tex(wesubx14.tfm) = %{tl_version}
Provides: tex(wesubxsl14.tfm) = %{tl_version}
Provides: tex(wesueb14.tfm) = %{tl_version}
Provides: tex(wesuebsl14.tfm) = %{tl_version}
Provides: tex(wesusb14.tfm) = %{tl_version}
Provides: tex(wesusbsl14.tfm) = %{tl_version}
Provides: tex(wesusl14.tfm) = %{tl_version}
Provides: tex(wesuub14.tfm) = %{tl_version}
Provides: tex(wesuubsl14.tfm) = %{tl_version}
Provides: tex(weva14.tfm) = %{tl_version}
Provides: tex(wevabx14.tfm) = %{tl_version}
Provides: tex(wevabxsl14.tfm) = %{tl_version}
Provides: tex(wevaeb14.tfm) = %{tl_version}
Provides: tex(wevaebsl14.tfm) = %{tl_version}
Provides: tex(wevasb14.tfm) = %{tl_version}
Provides: tex(wevasbsl14.tfm) = %{tl_version}
Provides: tex(wevasl14.tfm) = %{tl_version}
Provides: tex(wevaub14.tfm) = %{tl_version}
Provides: tex(wevaubsl14.tfm) = %{tl_version}
Provides: tex(schulschriften_lin.sty) = %{tl_version}
Provides: tex(schulschriften_ltx.sty) = %{tl_version}
Provides: tex(t1wedn.fd) = %{tl_version}
Provides: tex(t1wela.fd) = %{tl_version}
Provides: tex(t1wesa.fd) = %{tl_version}
Provides: tex(t1wesu.fd) = %{tl_version}
Provides: tex(t1weva.fd) = %{tl_version}
Provides: tex(wedn.sty) = %{tl_version}
Provides: tex(wela.sty) = %{tl_version}
Provides: tex(wesa.sty) = %{tl_version}
Provides: tex(wesu.sty) = %{tl_version}
Provides: tex(weva.sty) = %{tl_version}

%description schulschriften
Das Paket enthalt im wesentlichen die METAFONT-Quellfiles fur
die folgenden Schulausgangsschriften: Suetterlinschrift,
Deutsche Normalschrift, Lateinische Ausgangsschrift,
Schulausgangsschrift, Vereinfachte Ausgangsschrift. Damit ist
es moglich, beliebige deutsche Texte in diesen Schreibschriften
zu schreiben.

%package schulschriften-doc
Summary: Documentation for schulschriften
Version: svn35730.4

Provides: tex-schulschriften-doc
AutoReqProv: No

%description schulschriften-doc
Documentation for schulschriften

%package semaphor
Provides: tex-semaphor = %{tl_version}
License: GPL+
Summary: Semaphore alphabet font
Version: svn18651.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(smfb10.enc) = %{tl_version}
Provides: tex(smfbsl10.enc) = %{tl_version}
Provides: tex(smfeb10.enc) = %{tl_version}
Provides: tex(smfebsl10.enc) = %{tl_version}
Provides: tex(smfer10.enc) = %{tl_version}
Provides: tex(smfesl10.enc) = %{tl_version}
Provides: tex(smfett10.enc) = %{tl_version}
Provides: tex(smfpb10.enc) = %{tl_version}
Provides: tex(smfpbsl10.enc) = %{tl_version}
Provides: tex(smfpr10.enc) = %{tl_version}
Provides: tex(smfpsl10.enc) = %{tl_version}
Provides: tex(smfptt10.enc) = %{tl_version}
Provides: tex(smfr10.enc) = %{tl_version}
Provides: tex(smfsl10.enc) = %{tl_version}
Provides: tex(smftt10.enc) = %{tl_version}
Provides: tex(semaf.map) = %{tl_version}
Provides: tex(smfb10.otf) = %{tl_version}
Provides: tex(smfbsl10.otf) = %{tl_version}
Provides: tex(smfeb10.otf) = %{tl_version}
Provides: tex(smfebsl10.otf) = %{tl_version}
Provides: tex(smfer10.otf) = %{tl_version}
Provides: tex(smfesl10.otf) = %{tl_version}
Provides: tex(smfett10.otf) = %{tl_version}
Provides: tex(smfpb10.otf) = %{tl_version}
Provides: tex(smfpbsl10.otf) = %{tl_version}
Provides: tex(smfpr10.otf) = %{tl_version}
Provides: tex(smfpsl10.otf) = %{tl_version}
Provides: tex(smfptt10.otf) = %{tl_version}
Provides: tex(smfr10.otf) = %{tl_version}
Provides: tex(smfsl10.otf) = %{tl_version}
Provides: tex(smftt10.otf) = %{tl_version}
Provides: tex(smfb10.tfm) = %{tl_version}
Provides: tex(smfbsl10.tfm) = %{tl_version}
Provides: tex(smfeb10.tfm) = %{tl_version}
Provides: tex(smfebsl10.tfm) = %{tl_version}
Provides: tex(smfer10.tfm) = %{tl_version}
Provides: tex(smfesl10.tfm) = %{tl_version}
Provides: tex(smfett10.tfm) = %{tl_version}
Provides: tex(smfpb10.tfm) = %{tl_version}
Provides: tex(smfpbsl10.tfm) = %{tl_version}
Provides: tex(smfpr10.tfm) = %{tl_version}
Provides: tex(smfpsl10.tfm) = %{tl_version}
Provides: tex(smfptt10.tfm) = %{tl_version}
Provides: tex(smfr10.tfm) = %{tl_version}
Provides: tex(smfsl10.tfm) = %{tl_version}
Provides: tex(smftt10.tfm) = %{tl_version}
Provides: tex(smfb10.pfb) = %{tl_version}
Provides: tex(smfbsl10.pfb) = %{tl_version}
Provides: tex(smfeb10.pfb) = %{tl_version}
Provides: tex(smfebsl10.pfb) = %{tl_version}
Provides: tex(smfer10.pfb) = %{tl_version}
Provides: tex(smfesl10.pfb) = %{tl_version}
Provides: tex(smfett10.pfb) = %{tl_version}
Provides: tex(smfpb10.pfb) = %{tl_version}
Provides: tex(smfpbsl10.pfb) = %{tl_version}
Provides: tex(smfpr10.pfb) = %{tl_version}
Provides: tex(smfpsl10.pfb) = %{tl_version}
Provides: tex(smfptt10.pfb) = %{tl_version}
Provides: tex(smfr10.pfb) = %{tl_version}
Provides: tex(smfsl10.pfb) = %{tl_version}
Provides: tex(smftt10.pfb) = %{tl_version}
Provides: tex(t-type-semaf.tex) = %{tl_version}
Provides: tex(il2semaf.fd) = %{tl_version}
Provides: tex(semaf.fd) = %{tl_version}
Provides: tex(semaf.tex) = %{tl_version}

%description semaphor
These fonts represent semaphore in a highly schematic, but very
clear, fashion. The fonts are provided as Metafont source, and
in both OpenType and Adobe Type 1 formats.

%package semaphor-doc
Summary: Documentation for semaphor
Version: svn18651.0

Provides: tex-semaphor-doc
AutoReqProv: No

%description semaphor-doc
Documentation for semaphor

%package skull
Provides: tex-skull = %{tl_version}
License: GPL+
Summary: A font to draw a skull
Version: svn25608.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(skull.sty) = %{tl_version}

%description skull
The font (defined in Metafont) defines a single character, a
black solid skull. A package is supplied to make this character
available as a symbol in maths mode.

%package sourcecodepro
Provides: tex-sourcecodepro = %{tl_version}
License: OFL
Summary: Use SourceCodePro with TeX(-alike) systems
Version: svn40597

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Provides: tex(a_27avc7.enc) = %{tl_version}
Provides: tex(a_4t223s.enc) = %{tl_version}
Provides: tex(a_6zrzoz.enc) = %{tl_version}
Provides: tex(a_7ovpxh.enc) = %{tl_version}
Provides: tex(a_aoc6c2.enc) = %{tl_version}
Provides: tex(a_bldrys.enc) = %{tl_version}
Provides: tex(a_djdyjq.enc) = %{tl_version}
Provides: tex(a_dz5hhp.enc) = %{tl_version}
Provides: tex(a_gu5xou.enc) = %{tl_version}
Provides: tex(a_jvslvy.enc) = %{tl_version}
Provides: tex(a_kinvs5.enc) = %{tl_version}
Provides: tex(a_ktd5xr.enc) = %{tl_version}
Provides: tex(a_mqb3sg.enc) = %{tl_version}
Provides: tex(a_nkmn5f.enc) = %{tl_version}
Provides: tex(a_omr5qy.enc) = %{tl_version}
Provides: tex(a_retzg2.enc) = %{tl_version}
Provides: tex(a_s37xrq.enc) = %{tl_version}
Provides: tex(a_ubfwpl.enc) = %{tl_version}
Provides: tex(a_xftsmg.enc) = %{tl_version}
Provides: tex(SourceCodePro.map) = %{tl_version}
Provides: tex(SourceCodePro-Black.otf) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt.otf) = %{tl_version}
Provides: tex(SourceCodePro-Bold.otf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt.otf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight.otf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt.otf) = %{tl_version}
Provides: tex(SourceCodePro-Light.otf) = %{tl_version}
Provides: tex(SourceCodePro-LightIt.otf) = %{tl_version}
Provides: tex(SourceCodePro-Medium.otf) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt.otf) = %{tl_version}
Provides: tex(SourceCodePro-Regular.otf) = %{tl_version}
Provides: tex(SourceCodePro-RegularIt.otf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold.otf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt.otf) = %{tl_version}
Provides: tex(SourceCodePro-Black-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceCodePro-Black.pfb) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt.pfb) = %{tl_version}
Provides: tex(SourceCodePro-Bold.pfb) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt.pfb) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight.pfb) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt.pfb) = %{tl_version}
Provides: tex(SourceCodePro-It.pfb) = %{tl_version}
Provides: tex(SourceCodePro-Light.pfb) = %{tl_version}
Provides: tex(SourceCodePro-LightIt.pfb) = %{tl_version}
Provides: tex(SourceCodePro-Medium.pfb) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt.pfb) = %{tl_version}
Provides: tex(SourceCodePro-Regular.pfb) = %{tl_version}
Provides: tex(SourceCodePro-Semibold.pfb) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt.pfb) = %{tl_version}
Provides: tex(SourceCodePro-Black-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BlackIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-BoldIt-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-ExtraLightIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-It-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-LightIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-MediumIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-Semibold-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-inf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-numr-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-sup-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceCodePro-SemiboldIt-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1SourceCodePro-Dnom.fd) = %{tl_version}
Provides: tex(LY1SourceCodePro-Inf.fd) = %{tl_version}
Provides: tex(LY1SourceCodePro-Numr.fd) = %{tl_version}
Provides: tex(LY1SourceCodePro-Sup.fd) = %{tl_version}
Provides: tex(LY1SourceCodePro-TLF.fd) = %{tl_version}
Provides: tex(LY1SourceCodePro-TOsF.fd) = %{tl_version}
Provides: tex(OT1SourceCodePro-Dnom.fd) = %{tl_version}
Provides: tex(OT1SourceCodePro-Inf.fd) = %{tl_version}
Provides: tex(OT1SourceCodePro-Numr.fd) = %{tl_version}
Provides: tex(OT1SourceCodePro-Sup.fd) = %{tl_version}
Provides: tex(OT1SourceCodePro-TLF.fd) = %{tl_version}
Provides: tex(OT1SourceCodePro-TOsF.fd) = %{tl_version}
Provides: tex(T1SourceCodePro-Dnom.fd) = %{tl_version}
Provides: tex(T1SourceCodePro-Inf.fd) = %{tl_version}
Provides: tex(T1SourceCodePro-Numr.fd) = %{tl_version}
Provides: tex(T1SourceCodePro-Sup.fd) = %{tl_version}
Provides: tex(T1SourceCodePro-TLF.fd) = %{tl_version}
Provides: tex(T1SourceCodePro-TOsF.fd) = %{tl_version}
Provides: tex(TS1SourceCodePro-TLF.fd) = %{tl_version}
Provides: tex(TS1SourceCodePro-TOsF.fd) = %{tl_version}
Provides: tex(sourcecodepro-type1-autoinst.sty) = %{tl_version}
Provides: tex(SourceCodePro.sty) = %{tl_version}
Provides: tex(sourcecodepro.sty) = %{tl_version}

%description sourcecodepro
The font is an open-source Monospaced development from Adobe.
The package provides fonts (in both Adobe Type 1 and OpenType
formats) and macros supporting their use in LaTeX (Type 1) and
XeLaTeX/LuaLaTeX (OTF).

%package sourcecodepro-doc
Summary: Documentation for sourcecodepro
Version: svn40597

Provides: tex-sourcecodepro-doc
AutoReqProv: No

%description sourcecodepro-doc
Documentation for sourcecodepro

%package sourcesanspro
Provides: tex-sourcesanspro = %{tl_version}
License: OFL
Summary: Use SourceSansPro with TeX(-alike) systems
Version: svn42852
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Provides: tex(a_2cvp4u.enc) = %{tl_version}
Provides: tex(a_2jmt2m.enc) = %{tl_version}
Provides: tex(a_2n3jyq.enc) = %{tl_version}
Provides: tex(a_3rlax2.enc) = %{tl_version}
Provides: tex(a_3vq5rq.enc) = %{tl_version}
Provides: tex(a_4jf6oe.enc) = %{tl_version}
Provides: tex(a_5mnkjz.enc) = %{tl_version}
Provides: tex(a_5tbsmu.enc) = %{tl_version}
Provides: tex(a_6bttxp.enc) = %{tl_version}
Provides: tex(a_b457hn.enc) = %{tl_version}
Provides: tex(a_cvynlr.enc) = %{tl_version}
Provides: tex(a_cxftuq.enc) = %{tl_version}
Provides: tex(a_debg3j.enc) = %{tl_version}
Provides: tex(a_el7rh7.enc) = %{tl_version}
Provides: tex(a_elrf5h.enc) = %{tl_version}
Provides: tex(a_ev2kyj.enc) = %{tl_version}
Provides: tex(a_floqlo.enc) = %{tl_version}
Provides: tex(a_fva737.enc) = %{tl_version}
Provides: tex(a_gc2pqo.enc) = %{tl_version}
Provides: tex(a_ggs4wk.enc) = %{tl_version}
Provides: tex(a_gsofwu.enc) = %{tl_version}
Provides: tex(a_gw3vm7.enc) = %{tl_version}
Provides: tex(a_ifkpwm.enc) = %{tl_version}
Provides: tex(a_j24bgz.enc) = %{tl_version}
Provides: tex(a_jpwolx.enc) = %{tl_version}
Provides: tex(a_kksgzp.enc) = %{tl_version}
Provides: tex(a_ko3vnf.enc) = %{tl_version}
Provides: tex(a_mhce32.enc) = %{tl_version}
Provides: tex(a_myad3x.enc) = %{tl_version}
Provides: tex(a_n5gv3r.enc) = %{tl_version}
Provides: tex(a_n5mfkj.enc) = %{tl_version}
Provides: tex(a_nlm4w5.enc) = %{tl_version}
Provides: tex(a_p5cgg3.enc) = %{tl_version}
Provides: tex(a_pcov5a.enc) = %{tl_version}
Provides: tex(a_psnyba.enc) = %{tl_version}
Provides: tex(a_qujrng.enc) = %{tl_version}
Provides: tex(a_r6twhl.enc) = %{tl_version}
Provides: tex(a_rsnzt5.enc) = %{tl_version}
Provides: tex(a_sd7igg.enc) = %{tl_version}
Provides: tex(a_tczf5d.enc) = %{tl_version}
Provides: tex(a_tophx4.enc) = %{tl_version}
Provides: tex(a_tzjlps.enc) = %{tl_version}
Provides: tex(a_umlpmm.enc) = %{tl_version}
Provides: tex(a_v4sjy4.enc) = %{tl_version}
Provides: tex(a_v537dd.enc) = %{tl_version}
Provides: tex(a_vx5ywn.enc) = %{tl_version}
Provides: tex(a_w2dgod.enc) = %{tl_version}
Provides: tex(a_x5hjjp.enc) = %{tl_version}
Provides: tex(a_xfkmtv.enc) = %{tl_version}
Provides: tex(a_yugc2g.enc) = %{tl_version}
Provides: tex(SourceSansPro.map) = %{tl_version}
Provides: tex(SourceSansPro-Black.otf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt.otf) = %{tl_version}
Provides: tex(SourceSansPro-Bold.otf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt.otf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight.otf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt.otf) = %{tl_version}
Provides: tex(SourceSansPro-Light.otf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt.otf) = %{tl_version}
Provides: tex(SourceSansPro-Regular.otf) = %{tl_version}
Provides: tex(SourceSansPro-RegularIt.otf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold.otf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt.otf) = %{tl_version}
Provides: tex(SourceSansPro-Black-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSansPro-Black.pfb) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt.pfb) = %{tl_version}
Provides: tex(SourceSansPro-Bold.pfb) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt.pfb) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight.pfb) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt.pfb) = %{tl_version}
Provides: tex(SourceSansPro-It.pfb) = %{tl_version}
Provides: tex(SourceSansPro-Light.pfb) = %{tl_version}
Provides: tex(SourceSansPro-LightIt.pfb) = %{tl_version}
Provides: tex(SourceSansPro-Regular.pfb) = %{tl_version}
Provides: tex(SourceSansPro-Semibold.pfb) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt.pfb) = %{tl_version}
Provides: tex(SourceSansPro-Black-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BlackIt-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-BoldIt-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-ExtraLightIt-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-It-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-LightIt-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-Semibold-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSansPro-SemiboldIt-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1SourceSansPro-Dnom.fd) = %{tl_version}
Provides: tex(LY1SourceSansPro-Inf.fd) = %{tl_version}
Provides: tex(LY1SourceSansPro-LF.fd) = %{tl_version}
Provides: tex(LY1SourceSansPro-Numr.fd) = %{tl_version}
Provides: tex(LY1SourceSansPro-OsF.fd) = %{tl_version}
Provides: tex(LY1SourceSansPro-Sup.fd) = %{tl_version}
Provides: tex(LY1SourceSansPro-TLF.fd) = %{tl_version}
Provides: tex(LY1SourceSansPro-TOsF.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-Dnom.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-Inf.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-LF.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-Numr.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-OsF.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-Sup.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-TLF.fd) = %{tl_version}
Provides: tex(OT1SourceSansPro-TOsF.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-Dnom.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-Inf.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-LF.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-Numr.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-OsF.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-Sup.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-TLF.fd) = %{tl_version}
Provides: tex(T1SourceSansPro-TOsF.fd) = %{tl_version}
Provides: tex(TS1SourceSansPro-LF.fd) = %{tl_version}
Provides: tex(TS1SourceSansPro-OsF.fd) = %{tl_version}
Provides: tex(TS1SourceSansPro-TLF.fd) = %{tl_version}
Provides: tex(TS1SourceSansPro-TOsF.fd) = %{tl_version}
Provides: tex(sourcesanspro-type1-autoinst.sty) = %{tl_version}
Provides: tex(SourceSansPro.sty) = %{tl_version}
Provides: tex(sourcesanspro.sty) = %{tl_version}

%description sourcesanspro
The font is an open-source Sans-Serif development from Adobe.
The package provides fonts (in both Adobe Type 1 and OpenType
formats) and macros supporting their use in LaTeX (Type 1) and
XeLaTeX/LuaLaTeX (OTF).

%package sourcesanspro-doc
Summary: Documentation for sourcesanspro
Version: svn42852
Provides: tex-sourcesanspro-doc
AutoReqProv: No

%description sourcesanspro-doc
Documentation for sourcesanspro

%package sourceserifpro
Provides: tex-sourceserifpro = %{tl_version}
License: OFL
Summary: Use SourceSerifPro with TeX(-alike) systems
Version: svn40598

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Provides: tex(a_3gun5d.enc) = %{tl_version}
Provides: tex(a_64kcwv.enc) = %{tl_version}
Provides: tex(a_7c323s.enc) = %{tl_version}
Provides: tex(a_7vfhsm.enc) = %{tl_version}
Provides: tex(a_a5mxzo.enc) = %{tl_version}
Provides: tex(a_c5lvge.enc) = %{tl_version}
Provides: tex(a_c6mgd7.enc) = %{tl_version}
Provides: tex(a_cx2wj7.enc) = %{tl_version}
Provides: tex(a_fv7osb.enc) = %{tl_version}
Provides: tex(a_iem7z5.enc) = %{tl_version}
Provides: tex(a_kuzlbp.enc) = %{tl_version}
Provides: tex(a_mtsjm5.enc) = %{tl_version}
Provides: tex(a_n5wndz.enc) = %{tl_version}
Provides: tex(a_oim3qx.enc) = %{tl_version}
Provides: tex(a_owk7oj.enc) = %{tl_version}
Provides: tex(a_pvm6tr.enc) = %{tl_version}
Provides: tex(a_r5qp3q.enc) = %{tl_version}
Provides: tex(a_rgwjxa.enc) = %{tl_version}
Provides: tex(a_rsqbul.enc) = %{tl_version}
Provides: tex(a_sxytol.enc) = %{tl_version}
Provides: tex(a_t4jhwy.enc) = %{tl_version}
Provides: tex(a_ttcihk.enc) = %{tl_version}
Provides: tex(a_vj4et7.enc) = %{tl_version}
Provides: tex(a_vz2niz.enc) = %{tl_version}
Provides: tex(a_yds5jv.enc) = %{tl_version}
Provides: tex(SourceSerifPro.map) = %{tl_version}
Provides: tex(SourceSerifPro-Black.otf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold.otf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight.otf) = %{tl_version}
Provides: tex(SourceSerifPro-Light.otf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular.otf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold.otf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-t1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(SourceSerifPro-Black.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-BlackLCDFJ.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-Bold.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLightLCDFJ.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-Light.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-LightLCDFJ.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-Regular.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-SemiboldLCDFJ.pfb) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-ExtraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-dnom-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-inf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-lf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-numr-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-osf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-sup-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tlf-ts1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ly1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ot1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-t1.vf) = %{tl_version}
Provides: tex(SourceSerifPro-Semibold-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1SourceSerifPro-Dnom.fd) = %{tl_version}
Provides: tex(LY1SourceSerifPro-Inf.fd) = %{tl_version}
Provides: tex(LY1SourceSerifPro-LF.fd) = %{tl_version}
Provides: tex(LY1SourceSerifPro-Numr.fd) = %{tl_version}
Provides: tex(LY1SourceSerifPro-OsF.fd) = %{tl_version}
Provides: tex(LY1SourceSerifPro-Sup.fd) = %{tl_version}
Provides: tex(LY1SourceSerifPro-TLF.fd) = %{tl_version}
Provides: tex(LY1SourceSerifPro-TOsF.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-Dnom.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-Inf.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-LF.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-Numr.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-OsF.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-Sup.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-TLF.fd) = %{tl_version}
Provides: tex(OT1SourceSerifPro-TOsF.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-Dnom.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-Inf.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-LF.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-Numr.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-OsF.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-Sup.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-TLF.fd) = %{tl_version}
Provides: tex(T1SourceSerifPro-TOsF.fd) = %{tl_version}
Provides: tex(TS1SourceSerifPro-LF.fd) = %{tl_version}
Provides: tex(TS1SourceSerifPro-OsF.fd) = %{tl_version}
Provides: tex(TS1SourceSerifPro-TLF.fd) = %{tl_version}
Provides: tex(TS1SourceSerifPro-TOsF.fd) = %{tl_version}
Provides: tex(sourceserifpro-type1-autoinst.sty) = %{tl_version}
Provides: tex(SourceSerifPro.sty) = %{tl_version}
Provides: tex(sourceserifpro.sty) = %{tl_version}

%description sourceserifpro
This package provides Source Serif Pro for LaTeX. It includes
both Type1 and OpenType fonts and selects the latter when using
XeLaTeX or LuaLaTeX. Issues with this package can be reported
on GitHub (https://github.com/silkeh/latex-
sourceserifpro/issues) or emailed to tex@slxh.nl.

%package sourceserifpro-doc
Summary: Documentation for sourceserifpro
Version: svn40598

Provides: tex-sourceserifpro-doc
AutoReqProv: No

%description sourceserifpro-doc
Documentation for sourceserifpro

%package starfont
Provides: tex-starfont = %{tl_version}
License: Public Domain
Summary: The StarFont Sans astrological font
Version: svn19982.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(starfont.map) = %{tl_version}
Provides: tex(fstr8x.tfm) = %{tl_version}
Provides: tex(fsts8x.tfm) = %{tl_version}
Provides: tex(starfont.pfb) = %{tl_version}
Provides: tex(strfnser.pfb) = %{tl_version}
Provides: tex(starfont.sty) = %{tl_version}

%description starfont
The package contains StarFontSans and StarFontSerif, two public-
domain astrological fonts designed by Anthony I.P. Owen, and
the appropriate macros to use them with TeX and LaTeX. The
fonts are supplied both in the original TrueType Format and in
Adobe Type 1 format.

%package starfont-doc
Summary: Documentation for starfont
Version: svn19982.1.2

Provides: tex-starfont-doc
AutoReqProv: No

%description starfont-doc
Documentation for starfont

%package staves
Provides: tex-staves = %{tl_version}
License: LPPL
Summary: Typeset Icelandic staves and runic letters
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(icelandic.map) = %{tl_version}
Provides: tex(icelandic.tfm) = %{tl_version}
Provides: tex(icelandic.pfb) = %{tl_version}
Provides: tex(staves.sty) = %{tl_version}

%description staves
This package contains all the necessary tools to typeset the
"magical" Icelandic staves plus the runic letters used in
Iceland. Included are a font in Adobe Type 1 format and LaTeX
support.

%package staves-doc
Summary: Documentation for staves
Version: svn15878.0

Provides: tex-staves-doc
AutoReqProv: No

%description staves-doc
Documentation for staves

%package stix
Provides: tex-stix = %{tl_version}
License: OFL
Summary: OpenType Unicode maths fonts
Version: svn36914.1.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(textcomp.sty)
# A bit of a lie, but we want people who install texlive-stix to get the system fonts too
Requires: stix-fonts stix-math-fonts
Provides: tex(stix-extra1.enc) = %{tl_version}
Provides: tex(stix-extra2.enc) = %{tl_version}
Provides: tex(stix-extra3.enc) = %{tl_version}
Provides: tex(stix-ot1.enc) = %{tl_version}
Provides: tex(stix-ot2.enc) = %{tl_version}
Provides: tex(stix-t1.enc) = %{tl_version}
Provides: tex(stix-ts1.enc) = %{tl_version}
Provides: tex(stix.map) = %{tl_version}
Provides: tex(STIX-Bold.otf) = %{tl_version}
Provides: tex(STIX-BoldItalic.otf) = %{tl_version}
Provides: tex(STIX-Italic.otf) = %{tl_version}
Provides: tex(STIX-Regular.otf) = %{tl_version}
Provides: tex(STIXMath-Regular.otf) = %{tl_version}
Provides: tex(ot1-stixgeneralsc-bold.vpl) = %{tl_version}
Provides: tex(ot1-stixgeneralsc.vpl) = %{tl_version}
Provides: tex(ot2-stixgeneralsc-bold.vpl) = %{tl_version}
Provides: tex(ot2-stixgeneralsc.vpl) = %{tl_version}
Provides: tex(t1-stixgeneralsc-bold.vpl) = %{tl_version}
Provides: tex(t1-stixgeneralsc.vpl) = %{tl_version}
Provides: tex(ot1-stixgeneral-bold.tfm) = %{tl_version}
Provides: tex(ot1-stixgeneral-bolditalic.tfm) = %{tl_version}
Provides: tex(ot1-stixgeneral-italic.tfm) = %{tl_version}
Provides: tex(ot1-stixgeneral.tfm) = %{tl_version}
Provides: tex(ot1-stixgeneralsc-bold.tfm) = %{tl_version}
Provides: tex(ot1-stixgeneralsc.tfm) = %{tl_version}
Provides: tex(ot2-stixgeneral-bold.tfm) = %{tl_version}
Provides: tex(ot2-stixgeneral-bolditalic.tfm) = %{tl_version}
Provides: tex(ot2-stixgeneral-italic.tfm) = %{tl_version}
Provides: tex(ot2-stixgeneral.tfm) = %{tl_version}
Provides: tex(ot2-stixgeneralsc-bold.tfm) = %{tl_version}
Provides: tex(ot2-stixgeneralsc.tfm) = %{tl_version}
Provides: tex(stix-extra1.tfm) = %{tl_version}
Provides: tex(stix-extra2.tfm) = %{tl_version}
Provides: tex(stix-extra3.tfm) = %{tl_version}
Provides: tex(stix-mathbb-bold.tfm) = %{tl_version}
Provides: tex(stix-mathbb.tfm) = %{tl_version}
Provides: tex(stix-mathbbit-bold.tfm) = %{tl_version}
Provides: tex(stix-mathbbit.tfm) = %{tl_version}
Provides: tex(stix-mathcal-bold.tfm) = %{tl_version}
Provides: tex(stix-mathcal.tfm) = %{tl_version}
Provides: tex(stix-mathex-bold.tfm) = %{tl_version}
Provides: tex(stix-mathex.tfm) = %{tl_version}
Provides: tex(stix-mathfrak-bold.tfm) = %{tl_version}
Provides: tex(stix-mathfrak.tfm) = %{tl_version}
Provides: tex(stix-mathit-bold.tfm) = %{tl_version}
Provides: tex(stix-mathit.tfm) = %{tl_version}
Provides: tex(stix-mathrm-bold.tfm) = %{tl_version}
Provides: tex(stix-mathrm.tfm) = %{tl_version}
Provides: tex(stix-mathscr-bold.tfm) = %{tl_version}
Provides: tex(stix-mathscr.tfm) = %{tl_version}
Provides: tex(stix-mathsf-bold.tfm) = %{tl_version}
Provides: tex(stix-mathsf.tfm) = %{tl_version}
Provides: tex(stix-mathsfit-bold.tfm) = %{tl_version}
Provides: tex(stix-mathsfit.tfm) = %{tl_version}
Provides: tex(stix-mathtt-bold.tfm) = %{tl_version}
Provides: tex(stix-mathtt.tfm) = %{tl_version}
Provides: tex(t1-stixgeneral-bold.tfm) = %{tl_version}
Provides: tex(t1-stixgeneral-bolditalic.tfm) = %{tl_version}
Provides: tex(t1-stixgeneral-italic.tfm) = %{tl_version}
Provides: tex(t1-stixgeneral.tfm) = %{tl_version}
Provides: tex(t1-stixgeneralsc-bold.tfm) = %{tl_version}
Provides: tex(t1-stixgeneralsc.tfm) = %{tl_version}
Provides: tex(ts1-stixgeneral-bold.tfm) = %{tl_version}
Provides: tex(ts1-stixgeneral-bolditalic.tfm) = %{tl_version}
Provides: tex(ts1-stixgeneral-italic.tfm) = %{tl_version}
Provides: tex(ts1-stixgeneral.tfm) = %{tl_version}
Provides: tex(STIXGeneral-Bold.pfb) = %{tl_version}
Provides: tex(STIXGeneral-BoldItalic.pfb) = %{tl_version}
Provides: tex(STIXGeneral-Italic.pfb) = %{tl_version}
Provides: tex(STIXGeneral-Regular.pfb) = %{tl_version}
Provides: tex(stix-mathbb-bold.pfb) = %{tl_version}
Provides: tex(stix-mathbb.pfb) = %{tl_version}
Provides: tex(stix-mathbbit-bold.pfb) = %{tl_version}
Provides: tex(stix-mathbbit.pfb) = %{tl_version}
Provides: tex(stix-mathcal-bold.pfb) = %{tl_version}
Provides: tex(stix-mathcal.pfb) = %{tl_version}
Provides: tex(stix-mathex-bold.pfb) = %{tl_version}
Provides: tex(stix-mathex.pfb) = %{tl_version}
Provides: tex(stix-mathfrak-bold.pfb) = %{tl_version}
Provides: tex(stix-mathfrak.pfb) = %{tl_version}
Provides: tex(stix-mathit-bold.pfb) = %{tl_version}
Provides: tex(stix-mathit.pfb) = %{tl_version}
Provides: tex(stix-mathrm-bold.pfb) = %{tl_version}
Provides: tex(stix-mathrm.pfb) = %{tl_version}
Provides: tex(stix-mathscr-bold.pfb) = %{tl_version}
Provides: tex(stix-mathscr.pfb) = %{tl_version}
Provides: tex(stix-mathsf-bold.pfb) = %{tl_version}
Provides: tex(stix-mathsf.pfb) = %{tl_version}
Provides: tex(stix-mathsfit-bold.pfb) = %{tl_version}
Provides: tex(stix-mathsfit.pfb) = %{tl_version}
Provides: tex(stix-mathtt-bold.pfb) = %{tl_version}
Provides: tex(stix-mathtt.pfb) = %{tl_version}
Provides: tex(ot1-stixgeneralsc-bold.vf) = %{tl_version}
Provides: tex(ot1-stixgeneralsc.vf) = %{tl_version}
Provides: tex(ot2-stixgeneralsc-bold.vf) = %{tl_version}
Provides: tex(ot2-stixgeneralsc.vf) = %{tl_version}
Provides: tex(t1-stixgeneralsc-bold.vf) = %{tl_version}
Provides: tex(t1-stixgeneralsc.vf) = %{tl_version}
Provides: tex(ls1stix.fd) = %{tl_version}
Provides: tex(ls1stixbb.fd) = %{tl_version}
Provides: tex(ls1stixfrak.fd) = %{tl_version}
Provides: tex(ls1stixscr.fd) = %{tl_version}
Provides: tex(ls1stixsf.fd) = %{tl_version}
Provides: tex(ls2stix.fd) = %{tl_version}
Provides: tex(ls2stixcal.fd) = %{tl_version}
Provides: tex(ls2stixex.fd) = %{tl_version}
Provides: tex(ls2stixtt.fd) = %{tl_version}
Provides: tex(ot1stix.fd) = %{tl_version}
Provides: tex(ot2stix.fd) = %{tl_version}
Provides: tex(stix.sty) = %{tl_version}
Provides: tex(t1stix.fd) = %{tl_version}
Provides: tex(ts1stix.fd) = %{tl_version}

%description stix
The STIX fonts are a suite of unicode OpenType fonts containing
a complete set of mathematical glyphs. The CTAN package is a
copy of the fonts' official release, organised as specified by
the TeX Directory Structure, for inclusion in standard TeX
distributions. A Type 1-only distribution of the fonts is
available in the esstix bundle.

%package stix-doc
Summary: Documentation for stix
Version: svn36914.1.1.2

Provides: tex-stix-doc
AutoReqProv: No

%description stix-doc
Documentation for stix

%package superiors
Provides: tex-superiors = %{tl_version}
License: LPPL
Summary: Attach superior figures to a font family
Version: svn36422.1.05

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(pgffor.sty)
Provides: tex(sups.enc) = %{tl_version}
Provides: tex(superiors.map) = %{tl_version}
Provides: tex(libertinesups.tfm) = %{tl_version}
Provides: tex(libertinesups.pfb) = %{tl_version}
Provides: tex(superiors.sty) = %{tl_version}

%description superiors
The package allows the attachment of an arbitrary superior
figures font to a font family that lacks one. (Superior figures
are commonly used as footnote markers.) Two superior figures
fonts are provided--one matching Times, the other matching
Libertine.

%package superiors-doc
Summary: Documentation for superiors
Version: svn36422.1.05

Provides: tex-superiors-doc
AutoReqProv: No

%description superiors-doc
Documentation for superiors

%package tapir
Provides: tex-tapir = %{tl_version}
License: GPL+
Summary: A simple geometrical font
Version: svn20484.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tap.pfb) = %{tl_version}

%description tapir
Tapir is a simple geometrical font mostly created of line and
circular segments with constant thickness. The font is
available as Metafont source and in Adobe Type 1 format. The
character set contains all characters in the range 0-127 (as in
cmr10), accented characters used in the Czech, Slovak and
Polish languages.

%package tapir-doc
Summary: Documentation for tapir
Version: svn20484.0.2

Provides: tex-tapir-doc
AutoReqProv: No

%description tapir-doc
Documentation for tapir

%package tengwarscript
Provides: tex-tengwarscript = %{tl_version}
License: LPPL
Summary: LaTeX support for using Tengwar fonts
Version: svn34594.1.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp-basic.sty)
Requires: tex(fp-snap.sty)
Provides: tex(tengwaralt.enc) = %{tl_version}
Provides: tex(tengwarcap.enc) = %{tl_version}
Provides: tex(tengwarscript.enc) = %{tl_version}
Provides: tex(tengwarscript.map) = %{tl_version}
Provides: tex(Elfica32.tfm) = %{tl_version}
Provides: tex(Parmaite.tfm) = %{tl_version}
Provides: tex(Parmaite_alt.tfm) = %{tl_version}
Provides: tex(Parmaite_full.tfm) = %{tl_version}
Provides: tex(TengwarFormal12.tfm) = %{tl_version}
Provides: tex(TengwarFormalA12.tfm) = %{tl_version}
Provides: tex(TengwarFormal_full.tfm) = %{tl_version}
Provides: tex(TengwarGothika050.tfm) = %{tl_version}
Provides: tex(TengwarNoldor.tfm) = %{tl_version}
Provides: tex(TengwarNoldorAlt.tfm) = %{tl_version}
Provides: tex(TengwarNoldorCapitals1.tfm) = %{tl_version}
Provides: tex(TengwarNoldorCapitals2.tfm) = %{tl_version}
Provides: tex(TengwarNoldor_full.tfm) = %{tl_version}
Provides: tex(TengwarQuenya.tfm) = %{tl_version}
Provides: tex(TengwarQuenyaAlt.tfm) = %{tl_version}
Provides: tex(TengwarQuenyaCapitals1.tfm) = %{tl_version}
Provides: tex(TengwarQuenyaCapitals2.tfm) = %{tl_version}
Provides: tex(TengwarQuenya_full.tfm) = %{tl_version}
Provides: tex(TengwarSindarin.tfm) = %{tl_version}
Provides: tex(TengwarSindarinAlt.tfm) = %{tl_version}
Provides: tex(TengwarSindarinCapitals1.tfm) = %{tl_version}
Provides: tex(TengwarSindarinCapitals2.tfm) = %{tl_version}
Provides: tex(TengwarSindarin_full.tfm) = %{tl_version}
Provides: tex(TengwarTelerin.tfm) = %{tl_version}
Provides: tex(UnicodeParmaite.tfm) = %{tl_version}
Provides: tex(tngan.tfm) = %{tl_version}
Provides: tex(tngan_full.tfm) = %{tl_version}
Provides: tex(tngana.tfm) = %{tl_version}
Provides: tex(tnganab.tfm) = %{tl_version}
Provides: tex(tnganabi.tfm) = %{tl_version}
Provides: tex(tnganai.tfm) = %{tl_version}
Provides: tex(tnganb.tfm) = %{tl_version}
Provides: tex(tnganb_full.tfm) = %{tl_version}
Provides: tex(tnganbi.tfm) = %{tl_version}
Provides: tex(tnganbi_full.tfm) = %{tl_version}
Provides: tex(tngani.tfm) = %{tl_version}
Provides: tex(tngani_full.tfm) = %{tl_version}
Provides: tex(Parmaite_full.vf) = %{tl_version}
Provides: tex(TengwarFormal_full.vf) = %{tl_version}
Provides: tex(TengwarNoldor_full.vf) = %{tl_version}
Provides: tex(TengwarQuenya_full.vf) = %{tl_version}
Provides: tex(TengwarSindarin_full.vf) = %{tl_version}
Provides: tex(tngan_full.vf) = %{tl_version}
Provides: tex(tnganb_full.vf) = %{tl_version}
Provides: tex(tnganbi_full.vf) = %{tl_version}
Provides: tex(tngani_full.vf) = %{tl_version}
Provides: tex(annatar.cfg) = %{tl_version}
Provides: tex(annatarbold.cfg) = %{tl_version}
Provides: tex(annatarbolditalic.cfg) = %{tl_version}
Provides: tex(annataritalic.cfg) = %{tl_version}
Provides: tex(elfica.cfg) = %{tl_version}
Provides: tex(formal.cfg) = %{tl_version}
Provides: tex(gothika.cfg) = %{tl_version}
Provides: tex(noldor.cfg) = %{tl_version}
Provides: tex(noldorcapI.cfg) = %{tl_version}
Provides: tex(noldorcapII.cfg) = %{tl_version}
Provides: tex(parmaite.cfg) = %{tl_version}
Provides: tex(quenya.cfg) = %{tl_version}
Provides: tex(quenyacapI.cfg) = %{tl_version}
Provides: tex(quenyacapII.cfg) = %{tl_version}
Provides: tex(sindarin.cfg) = %{tl_version}
Provides: tex(sindarincapI.cfg) = %{tl_version}
Provides: tex(sindarincapII.cfg) = %{tl_version}
Provides: tex(teleri.cfg) = %{tl_version}
Provides: tex(tengwarscript.sty) = %{tl_version}
Provides: tex(unicodeparmaite.cfg) = %{tl_version}

%description tengwarscript
The package provides "mid-level" access to tengwar fonts,
providing good quality output. Each tengwar sign is represented
by a command, which will place the sign nicely in relation to
previous signs. A transcription package is available from the
package's home page: writing all those tengwar commands would
quickly become untenable. The package supports the use of a
wide variety of tengwar fonts that are available from the net;
metric and map files are provided for all the supported fonts.

%package tengwarscript-doc
Summary: Documentation for tengwarscript
Version: svn34594.1.3.1

Provides: tex-tengwarscript-doc
AutoReqProv: No

%description tengwarscript-doc
Documentation for tengwarscript

%package tfrupee
Provides: tex-tfrupee = %{tl_version}
License: GPLv3+
Summary: A font offering the new (Indian) Rupee symbol
Version: svn20770.1.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(tfrupee.map) = %{tl_version}
Provides: tex(tfrupee.tfm) = %{tl_version}
Provides: tex(tfrupee.pfb) = %{tl_version}
Provides: tex(tfrupee.sty) = %{tl_version}

%description tfrupee
The package provides LaTeX support for the (Indian) Rupee
symbol font, created by TechFat. The original font has been
converted to Adobe Type 1 format, and simple LaTeX support
written for its use.

%package tfrupee-doc
Summary: Documentation for tfrupee
Version: svn20770.1.02

Provides: tex-tfrupee-doc
AutoReqProv: No

%description tfrupee-doc
Documentation for tfrupee

%package tpslifonts
Provides: tex-tpslifonts = %{tl_version}
License: GPL+
Summary: A LaTeX package for configuring presentation fonts
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(cmbright.sty)
Requires: tex(eulervm.sty)
Requires: tex(t1cmr.fd)
Requires: tex(t1cmfr.fd)
Requires: tex(t1cmdh.fd)
Requires: tex(t1cmfib.fd)
Requires: tex(t1cmss.fd)
Requires: tex(t1cmtt.fd)
Provides: tex(tpslifonts.sty) = %{tl_version}

%description tpslifonts
This package aims to improve of font readability in
presentations, especially with maths. The standard cm maths
fonts at large design sizes are difficult to read from far
away, especially at low resolutions and low contrast color
choice. Using this package leads to much better overall
readability of some font combinations. The package offers a
couple of 'harmonising' combinations of text and maths fonts
from the (distant) relatives of computer modern fonts, with a
couple of extras for optimising readability. Text fonts from
computer modern roman, computer modern sans serif, SliTeX
computer modern sans serif, computer modern bright, or concrete
roman are available, in addition to maths fonts from computer
modern maths, computer modern bright maths, or Euler fonts. The
package is part of the TeXPower bundle.

%package tpslifonts-doc
Summary: Documentation for tpslifonts
Version: svn42428
Provides: tex-tpslifonts-doc
AutoReqProv: No

%description tpslifonts-doc
Documentation for tpslifonts

%package trajan
Provides: tex-trajan = %{tl_version}
License: LPPL
Summary: Fonts from the Trajan column in Rome
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(trajan.map) = %{tl_version}
Provides: tex(trjnr10.tfm) = %{tl_version}
Provides: tex(trjnsl10.tfm) = %{tl_version}
Provides: tex(trjnr10.pfb) = %{tl_version}
Provides: tex(trjnsl10.pfb) = %{tl_version}
Provides: tex(t1trjn.fd) = %{tl_version}
Provides: tex(trajan.sty) = %{tl_version}

%description trajan
Provides fonts (both as Metafont source and in Adobe Type 1
format) based on the capitals carved on the Trajan column in
Rome in 114 AD, together with macros to access the fonts. Many
typographers think these rank first among the Roman's artistic
legacy. The font is uppercase letters together with some
punctuation and analphabetics; no lowercase or digits.

%package trajan-doc
Summary: Documentation for trajan
Version: svn15878.1.1

Provides: tex-trajan-doc
AutoReqProv: No

%description trajan-doc
Documentation for trajan

%package txfontsb
Provides: tex-txfontsb = %{tl_version}
License: GPL+
Summary: Extensions to txfonts, using GNU Freefont
Version: svn21578.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(txfonts.sty)
Provides: tex(gptimes.enc) = %{tl_version}
Provides: tex(gptimesy.enc) = %{tl_version}
Provides: tex(gptimes.map) = %{tl_version}
Provides: tex(gtimesb6a.tfm) = %{tl_version}
Provides: tex(gtimesb6r.tfm) = %{tl_version}
Provides: tex(gtimesbi6a.tfm) = %{tl_version}
Provides: tex(gtimesbi6r.tfm) = %{tl_version}
Provides: tex(gtimesg6r.tfm) = %{tl_version}
Provides: tex(gtimesi6a.tfm) = %{tl_version}
Provides: tex(gtimesi6r.tfm) = %{tl_version}
Provides: tex(gtimesrg6a.tfm) = %{tl_version}
Provides: tex(gtimessc6a.tfm) = %{tl_version}
Provides: tex(gtimessc6r.tfm) = %{tl_version}
Provides: tex(gtimessco6a.tfm) = %{tl_version}
Provides: tex(gtimessco6r.tfm) = %{tl_version}
Provides: tex(gtimesyb6a.tfm) = %{tl_version}
Provides: tex(gtimesyb6r.tfm) = %{tl_version}
Provides: tex(gtimesybi6a.tfm) = %{tl_version}
Provides: tex(gtimesybi6r.tfm) = %{tl_version}
Provides: tex(gtimesyg6r.tfm) = %{tl_version}
Provides: tex(gtimesyi6a.tfm) = %{tl_version}
Provides: tex(gtimesyi6r.tfm) = %{tl_version}
Provides: tex(gtimesyrg6a.tfm) = %{tl_version}
Provides: tex(gtimesysc6a.tfm) = %{tl_version}
Provides: tex(gtimesysc6r.tfm) = %{tl_version}
Provides: tex(gtimesysco6a.tfm) = %{tl_version}
Provides: tex(gtimesysco6r.tfm) = %{tl_version}
Provides: tex(timessc6a.tfm) = %{tl_version}
Provides: tex(timessc6r.tfm) = %{tl_version}
Provides: tex(timessco6a.tfm) = %{tl_version}
Provides: tex(timessco6r.tfm) = %{tl_version}
Provides: tex(FreeSerifb-SmallCaps.pfb) = %{tl_version}
Provides: tex(FreeSerifb-SmallCapsAlt.pfb) = %{tl_version}
Provides: tex(FreeSerifb.pfb) = %{tl_version}
Provides: tex(FreeSerifbBold.pfb) = %{tl_version}
Provides: tex(FreeSerifbBoldItalic.pfb) = %{tl_version}
Provides: tex(FreeSerifbItalic.pfb) = %{tl_version}
Provides: tex(gtimesb6a.vf) = %{tl_version}
Provides: tex(gtimesbi6a.vf) = %{tl_version}
Provides: tex(gtimesi6a.vf) = %{tl_version}
Provides: tex(gtimesrg6a.vf) = %{tl_version}
Provides: tex(gtimessc6a.vf) = %{tl_version}
Provides: tex(gtimessco6a.vf) = %{tl_version}
Provides: tex(gtimesyb6a.vf) = %{tl_version}
Provides: tex(gtimesybi6a.vf) = %{tl_version}
Provides: tex(gtimesyi6a.vf) = %{tl_version}
Provides: tex(gtimesyrg6a.vf) = %{tl_version}
Provides: tex(gtimesysc6a.vf) = %{tl_version}
Provides: tex(gtimesysco6a.vf) = %{tl_version}
Provides: tex(timessc6a.vf) = %{tl_version}
Provides: tex(timessco6a.vf) = %{tl_version}
Provides: tex(lgrtxr.fd) = %{tl_version}
Provides: tex(lgrtxrc.fd) = %{tl_version}
Provides: tex(lgrtxry.fd) = %{tl_version}
Provides: tex(lgrtxryc.fd) = %{tl_version}
Provides: tex(ot1txrc.fd) = %{tl_version}
Provides: tex(ot1txryc.fd) = %{tl_version}
Provides: tex(txfontsb.sty) = %{tl_version}

%description txfontsb
A set of fonts that extend the txfonts bundle with small caps
and old style numbers, together with Greek support. The
extensions are made with modifications of the GNU Freefont.

%package txfontsb-doc
Summary: Documentation for txfontsb
Version: svn21578.1.1

Provides: tex-txfontsb-doc
AutoReqProv: No

%description txfontsb-doc
Documentation for txfontsb

%package typicons
Provides: tex-typicons = %{tl_version}
License: LPPL 1.3
Summary: Font containing a set of web-related icons
Version: svn37623.2.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(typicons.ttf) = %{tl_version}
Provides: tex(typicons.sty) = %{tl_version}

%description typicons
This package grants access to 336 web-related icons provided by
the included "Typicons" free font, designed by Stephen
Hutchings and released under the SIL Open Font License. See
http://www.typicons.com for more details about the font itself.
This package requires the fontspec package and either the
Xe(La)TeX or Lua(La)TeX engine to load the included ttf font.
Once the package is loaded, icons can be accessed through the
general \ticon command, which takes as argument the name of the
desired icon, or through direct commands specific to each icon.
The full list of icon designs, names and direct commands is
showcased in the manual.

%package typicons-doc
Summary: Documentation for typicons
Version: svn37623.2.0.7

Provides: tex-typicons-doc
AutoReqProv: No

%description typicons-doc
Documentation for typicons

%package umtypewriter
Provides: tex-umtypewriter = %{tl_version}
License: OFL
Summary: Fonts to typeset with the xgreek package
Version: svn18651.001.002

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(UMTypewriter-Bold.otf) = %{tl_version}
Provides: tex(UMTypewriter-BoldItalic.otf) = %{tl_version}
Provides: tex(UMTypewriter-Italic.otf) = %{tl_version}
Provides: tex(UMTypewriter-Oblique.otf) = %{tl_version}
Provides: tex(UMTypewriter-Regular.otf) = %{tl_version}

%description umtypewriter
The UMTypewriter font family is a monospaced font family that
was built from glyphs from the CB Greek fonts, the CyrTUG
Cyrillic alphabet fonts ("LH"), and the standard Computer
Modern font family. It contains four OpenType fonts which are
required for use of the xgreek package for XeLaTeX.

%package universa
Provides: tex-universa = %{tl_version}
License: GPL+
Summary: Herbert Bayer's 'universal' font
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fulbc10.tfm) = %{tl_version}
Provides: tex(fulbc12.tfm) = %{tl_version}
Provides: tex(fulbc17.tfm) = %{tl_version}
Provides: tex(fulbc8.tfm) = %{tl_version}
Provides: tex(fulbc9.tfm) = %{tl_version}
Provides: tex(fulbo10.tfm) = %{tl_version}
Provides: tex(fulbo12.tfm) = %{tl_version}
Provides: tex(fulbo17.tfm) = %{tl_version}
Provides: tex(fulbo8.tfm) = %{tl_version}
Provides: tex(fulbo9.tfm) = %{tl_version}
Provides: tex(fulbr10.tfm) = %{tl_version}
Provides: tex(fulbr12.tfm) = %{tl_version}
Provides: tex(fulbr17.tfm) = %{tl_version}
Provides: tex(fulbr8.tfm) = %{tl_version}
Provides: tex(fulbr9.tfm) = %{tl_version}
Provides: tex(fulbst10.tfm) = %{tl_version}
Provides: tex(fulbst12.tfm) = %{tl_version}
Provides: tex(fulbst17.tfm) = %{tl_version}
Provides: tex(fulbst8.tfm) = %{tl_version}
Provides: tex(fulbst9.tfm) = %{tl_version}
Provides: tex(fulmc10.tfm) = %{tl_version}
Provides: tex(fulmc12.tfm) = %{tl_version}
Provides: tex(fulmc17.tfm) = %{tl_version}
Provides: tex(fulmc8.tfm) = %{tl_version}
Provides: tex(fulmc9.tfm) = %{tl_version}
Provides: tex(fulmo10.tfm) = %{tl_version}
Provides: tex(fulmo12.tfm) = %{tl_version}
Provides: tex(fulmo17.tfm) = %{tl_version}
Provides: tex(fulmo8.tfm) = %{tl_version}
Provides: tex(fulmo9.tfm) = %{tl_version}
Provides: tex(fulmr10.tfm) = %{tl_version}
Provides: tex(fulmr12.tfm) = %{tl_version}
Provides: tex(fulmr17.tfm) = %{tl_version}
Provides: tex(fulmr8.tfm) = %{tl_version}
Provides: tex(fulmr9.tfm) = %{tl_version}
Provides: tex(fulmst10.tfm) = %{tl_version}
Provides: tex(fulmst12.tfm) = %{tl_version}
Provides: tex(fulmst17.tfm) = %{tl_version}
Provides: tex(fulmst8.tfm) = %{tl_version}
Provides: tex(fulmst9.tfm) = %{tl_version}
Provides: tex(omluni.fd) = %{tl_version}
Provides: tex(omsuni.fd) = %{tl_version}
Provides: tex(ot1uni.fd) = %{tl_version}
Provides: tex(t1uni.fd) = %{tl_version}
Provides: tex(uni.sty) = %{tl_version}
Provides: tex(uuni.fd) = %{tl_version}

%description universa
An implementation of the universal font by Herbert Bayer of the
Bauhaus school. The Metafont sources of the fonts, and their
LaTeX support, are all supplied in a LaTeX documented source
(.dtx) file.

%package universa-doc
Summary: Documentation for universa
Version: svn15878.2.0

Provides: tex-universa-doc
AutoReqProv: No

%description universa-doc
Documentation for universa

%package universalis
Provides: tex-universalis = %{tl_version}
License: GPLv2+
Summary: Universalis font, with support
Version: svn33860.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Provides: tex(unvsl_fe7xck.enc) = %{tl_version}
Provides: tex(unvsl_qu6a6x.enc) = %{tl_version}
Provides: tex(unvsl_sjpjw4.enc) = %{tl_version}
Provides: tex(unvsl_xtabpf.enc) = %{tl_version}
Provides: tex(universalis.map) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular.otf) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondItLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-CondLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCond-lf-ts1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldCondIt-lf-ts1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Cond-lf-ts1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-CondItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(UniversalisADFStd-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(LY1UniversalisADFStd-LF.fd) = %{tl_version}
Provides: tex(OT1UniversalisADFStd-LF.fd) = %{tl_version}
Provides: tex(T1UniversalisADFStd-LF.fd) = %{tl_version}
Provides: tex(TS1UniversalisADFStd-LF.fd) = %{tl_version}
Provides: tex(UniversalisADFStd.sty) = %{tl_version}
Provides: tex(universalis.sty) = %{tl_version}

%description universalis
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the UniversalisADFStd family of fonts, designed by
Hirwin Harendal. The font is suitable as an alternative to
fonts such as Adrian Frutiger's Univers and Frutiger.

%package universalis-doc
Summary: Documentation for universalis
Version: svn33860.0

Provides: tex-universalis-doc
AutoReqProv: No

%description universalis-doc
Documentation for universalis

%package urwchancal
Provides: tex-urwchancal = %{tl_version}
License: LPPL
Summary: Use URW's clone of Zapf Chancery as a maths alphabet
Version: svn21701.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Provides: tex(urwchancal.tfm) = %{tl_version}
Provides: tex(urwchancal.vf) = %{tl_version}
Provides: tex(urwchancal.sty) = %{tl_version}
Provides: tex(uurwchancal.fd) = %{tl_version}

%description urwchancal
The package allows (the URW clone of) Zapf Chancery to function
as a maths alphabet, the target of \mathcal or \mathscr, with
accents appearing where they should, and other spacing
parameters set to reasonable (not very tight) values. The font
itself may be found in the URW basic fonts collection. This
package supersedes the pzccal package.

%package urwchancal-doc
Summary: Documentation for urwchancal
Version: svn21701.1

Provides: tex-urwchancal-doc
AutoReqProv: No

%description urwchancal-doc
Documentation for urwchancal

%package venturisadf
Provides: tex-venturisadf = %{tl_version}
License: Utopia
Summary: Venturis ADF fonts collection
Version: svn19444.1.005

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(xkeyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(nfssext-cfr.sty)
Provides: tex(t1-dotalt-f_f-venturisadf.enc) = %{tl_version}
Provides: tex(t1-f_f-venturisadf.enc) = %{tl_version}
Provides: tex(t1-venturis.enc) = %{tl_version}
Provides: tex(t1-venturisold-longs.enc) = %{tl_version}
Provides: tex(ts1-euro-venturisadf.enc) = %{tl_version}
Provides: tex(yvt.map) = %{tl_version}
Provides: tex(yv2.map) = %{tl_version}
Provides: tex(yvo.map) = %{tl_version}
Provides: tex(yv1.map) = %{tl_version}
Provides: tex(yv3.map) = %{tl_version}
Provides: tex(t1-yvtb-c.tfm) = %{tl_version}
Provides: tex(t1-yvtb.tfm) = %{tl_version}
Provides: tex(t1-yvtbc-c.tfm) = %{tl_version}
Provides: tex(t1-yvtbc.tfm) = %{tl_version}
Provides: tex(t1-yvtbci-c.tfm) = %{tl_version}
Provides: tex(t1-yvtbci.tfm) = %{tl_version}
Provides: tex(t1-yvtbd-c.tfm) = %{tl_version}
Provides: tex(t1-yvtbi-c.tfm) = %{tl_version}
Provides: tex(t1-yvtbi.tfm) = %{tl_version}
Provides: tex(t1-yvth.tfm) = %{tl_version}
Provides: tex(t1-yvthi.tfm) = %{tl_version}
Provides: tex(t1-yvtr-c.tfm) = %{tl_version}
Provides: tex(t1-yvtr.tfm) = %{tl_version}
Provides: tex(t1-yvtrc-c.tfm) = %{tl_version}
Provides: tex(t1-yvtrc.tfm) = %{tl_version}
Provides: tex(t1-yvtrci-c.tfm) = %{tl_version}
Provides: tex(t1-yvtrci.tfm) = %{tl_version}
Provides: tex(t1-yvtrdl.tfm) = %{tl_version}
Provides: tex(t1-yvtri-c.tfm) = %{tl_version}
Provides: tex(t1-yvtri.tfm) = %{tl_version}
Provides: tex(t1alt-yvtbc-c.tfm) = %{tl_version}
Provides: tex(t1alt-yvtbc.tfm) = %{tl_version}
Provides: tex(t1alt-yvtbci-c.tfm) = %{tl_version}
Provides: tex(t1alt-yvtbci.tfm) = %{tl_version}
Provides: tex(t1alt-yvtrc-c.tfm) = %{tl_version}
Provides: tex(t1alt-yvtrc.tfm) = %{tl_version}
Provides: tex(t1alt-yvtrci-c.tfm) = %{tl_version}
Provides: tex(t1alt-yvtrci.tfm) = %{tl_version}
Provides: tex(ts1-yvtb-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtb.tfm) = %{tl_version}
Provides: tex(ts1-yvtbc-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtbc.tfm) = %{tl_version}
Provides: tex(ts1-yvtbci-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtbci.tfm) = %{tl_version}
Provides: tex(ts1-yvtbd-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtbi-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtbi.tfm) = %{tl_version}
Provides: tex(ts1-yvth.tfm) = %{tl_version}
Provides: tex(ts1-yvthi.tfm) = %{tl_version}
Provides: tex(ts1-yvtr-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtr.tfm) = %{tl_version}
Provides: tex(ts1-yvtrc-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtrc.tfm) = %{tl_version}
Provides: tex(ts1-yvtrci-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtrci.tfm) = %{tl_version}
Provides: tex(ts1-yvtrdl.tfm) = %{tl_version}
Provides: tex(ts1-yvtri-c.tfm) = %{tl_version}
Provides: tex(ts1-yvtri.tfm) = %{tl_version}
Provides: tex(vent-yvtr.tfm) = %{tl_version}
Provides: tex(yvtb8c.tfm) = %{tl_version}
Provides: tex(yvtb8cc.tfm) = %{tl_version}
Provides: tex(yvtb8t.tfm) = %{tl_version}
Provides: tex(yvtb8tc.tfm) = %{tl_version}
Provides: tex(yvtbc8c.tfm) = %{tl_version}
Provides: tex(yvtbc8cc.tfm) = %{tl_version}
Provides: tex(yvtbc8t.tfm) = %{tl_version}
Provides: tex(yvtbc8tc.tfm) = %{tl_version}
Provides: tex(yvtbci8c.tfm) = %{tl_version}
Provides: tex(yvtbci8cc.tfm) = %{tl_version}
Provides: tex(yvtbci8t.tfm) = %{tl_version}
Provides: tex(yvtbci8tc.tfm) = %{tl_version}
Provides: tex(yvtbcij8t.tfm) = %{tl_version}
Provides: tex(yvtbcij8tc.tfm) = %{tl_version}
Provides: tex(yvtbcijw8t.tfm) = %{tl_version}
Provides: tex(yvtbcijw8tc.tfm) = %{tl_version}
Provides: tex(yvtbciw8t.tfm) = %{tl_version}
Provides: tex(yvtbciw8tc.tfm) = %{tl_version}
Provides: tex(yvtbcj8t.tfm) = %{tl_version}
Provides: tex(yvtbcj8tc.tfm) = %{tl_version}
Provides: tex(yvtbcjw8t.tfm) = %{tl_version}
Provides: tex(yvtbcjw8tc.tfm) = %{tl_version}
Provides: tex(yvtbcw8t.tfm) = %{tl_version}
Provides: tex(yvtbcw8tc.tfm) = %{tl_version}
Provides: tex(yvtbd8cc.tfm) = %{tl_version}
Provides: tex(yvtbd8tc.tfm) = %{tl_version}
Provides: tex(yvtbi8c.tfm) = %{tl_version}
Provides: tex(yvtbi8cc.tfm) = %{tl_version}
Provides: tex(yvtbi8t.tfm) = %{tl_version}
Provides: tex(yvtbi8tc.tfm) = %{tl_version}
Provides: tex(yvtbij8t.tfm) = %{tl_version}
Provides: tex(yvtbij8tc.tfm) = %{tl_version}
Provides: tex(yvtbijw8t.tfm) = %{tl_version}
Provides: tex(yvtbijw8tc.tfm) = %{tl_version}
Provides: tex(yvtbiw8t.tfm) = %{tl_version}
Provides: tex(yvtbiw8tc.tfm) = %{tl_version}
Provides: tex(yvtbj8t.tfm) = %{tl_version}
Provides: tex(yvtbj8tc.tfm) = %{tl_version}
Provides: tex(yvtbjw8t.tfm) = %{tl_version}
Provides: tex(yvtbjw8tc.tfm) = %{tl_version}
Provides: tex(yvtbw8t.tfm) = %{tl_version}
Provides: tex(yvtbw8tc.tfm) = %{tl_version}
Provides: tex(yvth8c.tfm) = %{tl_version}
Provides: tex(yvth8t.tfm) = %{tl_version}
Provides: tex(yvthi8c.tfm) = %{tl_version}
Provides: tex(yvthi8t.tfm) = %{tl_version}
Provides: tex(yvtr8c.tfm) = %{tl_version}
Provides: tex(yvtr8cc.tfm) = %{tl_version}
Provides: tex(yvtr8t.tfm) = %{tl_version}
Provides: tex(yvtr8tc.tfm) = %{tl_version}
Provides: tex(yvtrajw8t.tfm) = %{tl_version}
Provides: tex(yvtraw8t.tfm) = %{tl_version}
Provides: tex(yvtrc8c.tfm) = %{tl_version}
Provides: tex(yvtrc8cc.tfm) = %{tl_version}
Provides: tex(yvtrc8t.tfm) = %{tl_version}
Provides: tex(yvtrc8tc.tfm) = %{tl_version}
Provides: tex(yvtrci8c.tfm) = %{tl_version}
Provides: tex(yvtrci8cc.tfm) = %{tl_version}
Provides: tex(yvtrci8t.tfm) = %{tl_version}
Provides: tex(yvtrci8tc.tfm) = %{tl_version}
Provides: tex(yvtrcij8t.tfm) = %{tl_version}
Provides: tex(yvtrcij8tc.tfm) = %{tl_version}
Provides: tex(yvtrcijw8t.tfm) = %{tl_version}
Provides: tex(yvtrcijw8tc.tfm) = %{tl_version}
Provides: tex(yvtrciw8t.tfm) = %{tl_version}
Provides: tex(yvtrciw8tc.tfm) = %{tl_version}
Provides: tex(yvtrcj8t.tfm) = %{tl_version}
Provides: tex(yvtrcj8tc.tfm) = %{tl_version}
Provides: tex(yvtrcjw8t.tfm) = %{tl_version}
Provides: tex(yvtrcjw8tc.tfm) = %{tl_version}
Provides: tex(yvtrcw8t.tfm) = %{tl_version}
Provides: tex(yvtrcw8tc.tfm) = %{tl_version}
Provides: tex(yvtrdl8c.tfm) = %{tl_version}
Provides: tex(yvtrdl8t.tfm) = %{tl_version}
Provides: tex(yvtri8c.tfm) = %{tl_version}
Provides: tex(yvtri8cc.tfm) = %{tl_version}
Provides: tex(yvtri8t.tfm) = %{tl_version}
Provides: tex(yvtri8tc.tfm) = %{tl_version}
Provides: tex(yvtrij8t.tfm) = %{tl_version}
Provides: tex(yvtrij8tc.tfm) = %{tl_version}
Provides: tex(yvtrijw8t.tfm) = %{tl_version}
Provides: tex(yvtrijw8tc.tfm) = %{tl_version}
Provides: tex(yvtriw8t.tfm) = %{tl_version}
Provides: tex(yvtriw8tc.tfm) = %{tl_version}
Provides: tex(yvtrj8t.tfm) = %{tl_version}
Provides: tex(yvtrj8tc.tfm) = %{tl_version}
Provides: tex(yvtrjw8t.tfm) = %{tl_version}
Provides: tex(yvtrjw8tc.tfm) = %{tl_version}
Provides: tex(yvtrw8t.tfm) = %{tl_version}
Provides: tex(yvtrw8tc.tfm) = %{tl_version}
Provides: tex(t1-yv2b-c.tfm) = %{tl_version}
Provides: tex(t1-yv2b.tfm) = %{tl_version}
Provides: tex(t1-yv2bi-c.tfm) = %{tl_version}
Provides: tex(t1-yv2bi.tfm) = %{tl_version}
Provides: tex(t1-yv2m.tfm) = %{tl_version}
Provides: tex(t1-yv2mi.tfm) = %{tl_version}
Provides: tex(t1-yv2r-c.tfm) = %{tl_version}
Provides: tex(t1-yv2r.tfm) = %{tl_version}
Provides: tex(t1-yv2ri-c.tfm) = %{tl_version}
Provides: tex(t1-yv2ri.tfm) = %{tl_version}
Provides: tex(t1-yv2x.tfm) = %{tl_version}
Provides: tex(t1-yv2xi.tfm) = %{tl_version}
Provides: tex(ts1-yv2b-c.tfm) = %{tl_version}
Provides: tex(ts1-yv2b.tfm) = %{tl_version}
Provides: tex(ts1-yv2bi-c.tfm) = %{tl_version}
Provides: tex(ts1-yv2bi.tfm) = %{tl_version}
Provides: tex(ts1-yv2m.tfm) = %{tl_version}
Provides: tex(ts1-yv2mi.tfm) = %{tl_version}
Provides: tex(ts1-yv2r-c.tfm) = %{tl_version}
Provides: tex(ts1-yv2r.tfm) = %{tl_version}
Provides: tex(ts1-yv2ri-c.tfm) = %{tl_version}
Provides: tex(ts1-yv2ri.tfm) = %{tl_version}
Provides: tex(ts1-yv2x.tfm) = %{tl_version}
Provides: tex(ts1-yv2xi.tfm) = %{tl_version}
Provides: tex(yv2b8c.tfm) = %{tl_version}
Provides: tex(yv2b8cc.tfm) = %{tl_version}
Provides: tex(yv2b8t.tfm) = %{tl_version}
Provides: tex(yv2b8tc.tfm) = %{tl_version}
Provides: tex(yv2bi8c.tfm) = %{tl_version}
Provides: tex(yv2bi8cc.tfm) = %{tl_version}
Provides: tex(yv2bi8t.tfm) = %{tl_version}
Provides: tex(yv2bi8tc.tfm) = %{tl_version}
Provides: tex(yv2m8c.tfm) = %{tl_version}
Provides: tex(yv2m8t.tfm) = %{tl_version}
Provides: tex(yv2mi8c.tfm) = %{tl_version}
Provides: tex(yv2mi8t.tfm) = %{tl_version}
Provides: tex(yv2r8c.tfm) = %{tl_version}
Provides: tex(yv2r8cc.tfm) = %{tl_version}
Provides: tex(yv2r8t.tfm) = %{tl_version}
Provides: tex(yv2r8tc.tfm) = %{tl_version}
Provides: tex(yv2ri8c.tfm) = %{tl_version}
Provides: tex(yv2ri8cc.tfm) = %{tl_version}
Provides: tex(yv2ri8t.tfm) = %{tl_version}
Provides: tex(yv2ri8tc.tfm) = %{tl_version}
Provides: tex(yv2x8c.tfm) = %{tl_version}
Provides: tex(yv2x8t.tfm) = %{tl_version}
Provides: tex(yv2xi8c.tfm) = %{tl_version}
Provides: tex(yv2xi8t.tfm) = %{tl_version}
Provides: tex(t1-yvob.tfm) = %{tl_version}
Provides: tex(t1-yvobi.tfm) = %{tl_version}
Provides: tex(t1-yvodd.tfm) = %{tl_version}
Provides: tex(t1-yvor.tfm) = %{tl_version}
Provides: tex(t1-yvori.tfm) = %{tl_version}
Provides: tex(ts1-yvob.tfm) = %{tl_version}
Provides: tex(ts1-yvobi.tfm) = %{tl_version}
Provides: tex(ts1-yvodd.tfm) = %{tl_version}
Provides: tex(ts1-yvor.tfm) = %{tl_version}
Provides: tex(ts1-yvori.tfm) = %{tl_version}
Provides: tex(yvoab8t.tfm) = %{tl_version}
Provides: tex(yvoabi8t.tfm) = %{tl_version}
Provides: tex(yvoar8t.tfm) = %{tl_version}
Provides: tex(yvoari8t.tfm) = %{tl_version}
Provides: tex(yvob8c.tfm) = %{tl_version}
Provides: tex(yvob8t.tfm) = %{tl_version}
Provides: tex(yvobi8c.tfm) = %{tl_version}
Provides: tex(yvobi8t.tfm) = %{tl_version}
Provides: tex(yvodd8c.tfm) = %{tl_version}
Provides: tex(yvodd8t.tfm) = %{tl_version}
Provides: tex(yvor8c.tfm) = %{tl_version}
Provides: tex(yvor8t.tfm) = %{tl_version}
Provides: tex(yvori8c.tfm) = %{tl_version}
Provides: tex(yvori8t.tfm) = %{tl_version}
Provides: tex(t1-yv1b-c.tfm) = %{tl_version}
Provides: tex(t1-yv1b-x.tfm) = %{tl_version}
Provides: tex(t1-yv1b.tfm) = %{tl_version}
Provides: tex(t1-yv1bd.tfm) = %{tl_version}
Provides: tex(t1-yv1bi-c.tfm) = %{tl_version}
Provides: tex(t1-yv1bi-x.tfm) = %{tl_version}
Provides: tex(t1-yv1bi.tfm) = %{tl_version}
Provides: tex(t1-yv1d.tfm) = %{tl_version}
Provides: tex(t1-yv1dd-u.tfm) = %{tl_version}
Provides: tex(t1-yv1di.tfm) = %{tl_version}
Provides: tex(t1-yv1h.tfm) = %{tl_version}
Provides: tex(t1-yv1ho.tfm) = %{tl_version}
Provides: tex(t1-yv1l.tfm) = %{tl_version}
Provides: tex(t1-yv1li.tfm) = %{tl_version}
Provides: tex(t1-yv1r-c.tfm) = %{tl_version}
Provides: tex(t1-yv1r-x.tfm) = %{tl_version}
Provides: tex(t1-yv1r.tfm) = %{tl_version}
Provides: tex(t1-yv1ri-c.tfm) = %{tl_version}
Provides: tex(t1-yv1ri-x.tfm) = %{tl_version}
Provides: tex(t1-yv1ri.tfm) = %{tl_version}
Provides: tex(ts1-yv1b-c.tfm) = %{tl_version}
Provides: tex(ts1-yv1b-x.tfm) = %{tl_version}
Provides: tex(ts1-yv1b.tfm) = %{tl_version}
Provides: tex(ts1-yv1bd.tfm) = %{tl_version}
Provides: tex(ts1-yv1bi-c.tfm) = %{tl_version}
Provides: tex(ts1-yv1bi-x.tfm) = %{tl_version}
Provides: tex(ts1-yv1bi.tfm) = %{tl_version}
Provides: tex(ts1-yv1d.tfm) = %{tl_version}
Provides: tex(ts1-yv1dd-u.tfm) = %{tl_version}
Provides: tex(ts1-yv1di.tfm) = %{tl_version}
Provides: tex(ts1-yv1h.tfm) = %{tl_version}
Provides: tex(ts1-yv1ho.tfm) = %{tl_version}
Provides: tex(ts1-yv1l.tfm) = %{tl_version}
Provides: tex(ts1-yv1li.tfm) = %{tl_version}
Provides: tex(ts1-yv1r-c.tfm) = %{tl_version}
Provides: tex(ts1-yv1r-x.tfm) = %{tl_version}
Provides: tex(ts1-yv1r.tfm) = %{tl_version}
Provides: tex(ts1-yv1ri-c.tfm) = %{tl_version}
Provides: tex(ts1-yv1ri-x.tfm) = %{tl_version}
Provides: tex(ts1-yv1ri.tfm) = %{tl_version}
Provides: tex(yv1b8c.tfm) = %{tl_version}
Provides: tex(yv1b8cc.tfm) = %{tl_version}
Provides: tex(yv1b8cx.tfm) = %{tl_version}
Provides: tex(yv1b8t.tfm) = %{tl_version}
Provides: tex(yv1b8tc.tfm) = %{tl_version}
Provides: tex(yv1b8tx.tfm) = %{tl_version}
Provides: tex(yv1bd8c.tfm) = %{tl_version}
Provides: tex(yv1bd8t.tfm) = %{tl_version}
Provides: tex(yv1bi8c.tfm) = %{tl_version}
Provides: tex(yv1bi8cc.tfm) = %{tl_version}
Provides: tex(yv1bi8cx.tfm) = %{tl_version}
Provides: tex(yv1bi8t.tfm) = %{tl_version}
Provides: tex(yv1bi8tc.tfm) = %{tl_version}
Provides: tex(yv1bi8tx.tfm) = %{tl_version}
Provides: tex(yv1d8c.tfm) = %{tl_version}
Provides: tex(yv1d8t.tfm) = %{tl_version}
Provides: tex(yv1dd8cu.tfm) = %{tl_version}
Provides: tex(yv1dd8tu.tfm) = %{tl_version}
Provides: tex(yv1di8c.tfm) = %{tl_version}
Provides: tex(yv1di8t.tfm) = %{tl_version}
Provides: tex(yv1h8c.tfm) = %{tl_version}
Provides: tex(yv1h8t.tfm) = %{tl_version}
Provides: tex(yv1ho8c.tfm) = %{tl_version}
Provides: tex(yv1ho8t.tfm) = %{tl_version}
Provides: tex(yv1l8c.tfm) = %{tl_version}
Provides: tex(yv1l8t.tfm) = %{tl_version}
Provides: tex(yv1li8c.tfm) = %{tl_version}
Provides: tex(yv1li8t.tfm) = %{tl_version}
Provides: tex(yv1r8c.tfm) = %{tl_version}
Provides: tex(yv1r8cc.tfm) = %{tl_version}
Provides: tex(yv1r8cx.tfm) = %{tl_version}
Provides: tex(yv1r8t.tfm) = %{tl_version}
Provides: tex(yv1r8tc.tfm) = %{tl_version}
Provides: tex(yv1r8tx.tfm) = %{tl_version}
Provides: tex(yv1ri8c.tfm) = %{tl_version}
Provides: tex(yv1ri8cc.tfm) = %{tl_version}
Provides: tex(yv1ri8cx.tfm) = %{tl_version}
Provides: tex(yv1ri8t.tfm) = %{tl_version}
Provides: tex(yv1ri8tc.tfm) = %{tl_version}
Provides: tex(yv1ri8tx.tfm) = %{tl_version}
Provides: tex(t1-yv3b-c.tfm) = %{tl_version}
Provides: tex(t1-yv3b-x.tfm) = %{tl_version}
Provides: tex(t1-yv3b.tfm) = %{tl_version}
Provides: tex(t1-yv3bi-c.tfm) = %{tl_version}
Provides: tex(t1-yv3bi-x.tfm) = %{tl_version}
Provides: tex(t1-yv3bi.tfm) = %{tl_version}
Provides: tex(t1-yv3r-c.tfm) = %{tl_version}
Provides: tex(t1-yv3r-x.tfm) = %{tl_version}
Provides: tex(t1-yv3r.tfm) = %{tl_version}
Provides: tex(t1-yv3ri-c.tfm) = %{tl_version}
Provides: tex(t1-yv3ri-x.tfm) = %{tl_version}
Provides: tex(t1-yv3ri.tfm) = %{tl_version}
Provides: tex(ts1-yv3b-c.tfm) = %{tl_version}
Provides: tex(ts1-yv3b-x.tfm) = %{tl_version}
Provides: tex(ts1-yv3b.tfm) = %{tl_version}
Provides: tex(ts1-yv3bi-c.tfm) = %{tl_version}
Provides: tex(ts1-yv3bi-x.tfm) = %{tl_version}
Provides: tex(ts1-yv3bi.tfm) = %{tl_version}
Provides: tex(ts1-yv3r-c.tfm) = %{tl_version}
Provides: tex(ts1-yv3r-x.tfm) = %{tl_version}
Provides: tex(ts1-yv3r.tfm) = %{tl_version}
Provides: tex(ts1-yv3ri-c.tfm) = %{tl_version}
Provides: tex(ts1-yv3ri-x.tfm) = %{tl_version}
Provides: tex(ts1-yv3ri.tfm) = %{tl_version}
Provides: tex(yv3b8c.tfm) = %{tl_version}
Provides: tex(yv3b8cc.tfm) = %{tl_version}
Provides: tex(yv3b8cx.tfm) = %{tl_version}
Provides: tex(yv3b8t.tfm) = %{tl_version}
Provides: tex(yv3b8tc.tfm) = %{tl_version}
Provides: tex(yv3b8tx.tfm) = %{tl_version}
Provides: tex(yv3bi8c.tfm) = %{tl_version}
Provides: tex(yv3bi8cc.tfm) = %{tl_version}
Provides: tex(yv3bi8cx.tfm) = %{tl_version}
Provides: tex(yv3bi8t.tfm) = %{tl_version}
Provides: tex(yv3bi8tc.tfm) = %{tl_version}
Provides: tex(yv3bi8tx.tfm) = %{tl_version}
Provides: tex(yv3r8c.tfm) = %{tl_version}
Provides: tex(yv3r8cc.tfm) = %{tl_version}
Provides: tex(yv3r8cx.tfm) = %{tl_version}
Provides: tex(yv3r8t.tfm) = %{tl_version}
Provides: tex(yv3r8tc.tfm) = %{tl_version}
Provides: tex(yv3r8tx.tfm) = %{tl_version}
Provides: tex(yv3ri8c.tfm) = %{tl_version}
Provides: tex(yv3ri8cc.tfm) = %{tl_version}
Provides: tex(yv3ri8cx.tfm) = %{tl_version}
Provides: tex(yv3ri8t.tfm) = %{tl_version}
Provides: tex(yv3ri8tc.tfm) = %{tl_version}
Provides: tex(yv3ri8tx.tfm) = %{tl_version}
Provides: tex(yvtb8a.pfb) = %{tl_version}
Provides: tex(yvtb8ac.pfb) = %{tl_version}
Provides: tex(yvtbc8a.pfb) = %{tl_version}
Provides: tex(yvtbc8ac.pfb) = %{tl_version}
Provides: tex(yvtbci8a.pfb) = %{tl_version}
Provides: tex(yvtbci8ac.pfb) = %{tl_version}
Provides: tex(yvtbd8ac.pfb) = %{tl_version}
Provides: tex(yvtbi8a.pfb) = %{tl_version}
Provides: tex(yvtbi8ac.pfb) = %{tl_version}
Provides: tex(yvth8a.pfb) = %{tl_version}
Provides: tex(yvthi8a.pfb) = %{tl_version}
Provides: tex(yvtr8a.pfb) = %{tl_version}
Provides: tex(yvtr8ac.pfb) = %{tl_version}
Provides: tex(yvtrc8a.pfb) = %{tl_version}
Provides: tex(yvtrc8ac.pfb) = %{tl_version}
Provides: tex(yvtrci8a.pfb) = %{tl_version}
Provides: tex(yvtrci8ac.pfb) = %{tl_version}
Provides: tex(yvtrdl8a.pfb) = %{tl_version}
Provides: tex(yvtri8a.pfb) = %{tl_version}
Provides: tex(yvtri8ac.pfb) = %{tl_version}
Provides: tex(yv2b8a.pfb) = %{tl_version}
Provides: tex(yv2b8ac.pfb) = %{tl_version}
Provides: tex(yv2bi8a.pfb) = %{tl_version}
Provides: tex(yv2bi8ac.pfb) = %{tl_version}
Provides: tex(yv2m8a.pfb) = %{tl_version}
Provides: tex(yv2mi8a.pfb) = %{tl_version}
Provides: tex(yv2r8a.pfb) = %{tl_version}
Provides: tex(yv2r8ac.pfb) = %{tl_version}
Provides: tex(yv2ri8a.pfb) = %{tl_version}
Provides: tex(yv2ri8ac.pfb) = %{tl_version}
Provides: tex(yv2x8a.pfb) = %{tl_version}
Provides: tex(yv2xi8a.pfb) = %{tl_version}
Provides: tex(yvob8a.pfb) = %{tl_version}
Provides: tex(yvobi8a.pfb) = %{tl_version}
Provides: tex(yvodd8a.pfb) = %{tl_version}
Provides: tex(yvor8a.pfb) = %{tl_version}
Provides: tex(yvori8a.pfb) = %{tl_version}
Provides: tex(yv1b8a.pfb) = %{tl_version}
Provides: tex(yv1b8ac.pfb) = %{tl_version}
Provides: tex(yv1b8ax.pfb) = %{tl_version}
Provides: tex(yv1bd8a.pfb) = %{tl_version}
Provides: tex(yv1bi8a.pfb) = %{tl_version}
Provides: tex(yv1bi8ac.pfb) = %{tl_version}
Provides: tex(yv1bi8ax.pfb) = %{tl_version}
Provides: tex(yv1d8a.pfb) = %{tl_version}
Provides: tex(yv1dd8au.pfb) = %{tl_version}
Provides: tex(yv1di8a.pfb) = %{tl_version}
Provides: tex(yv1h8a.pfb) = %{tl_version}
Provides: tex(yv1ho8a.pfb) = %{tl_version}
Provides: tex(yv1l8a.pfb) = %{tl_version}
Provides: tex(yv1li8a.pfb) = %{tl_version}
Provides: tex(yv1r8a.pfb) = %{tl_version}
Provides: tex(yv1r8ac.pfb) = %{tl_version}
Provides: tex(yv1r8ax.pfb) = %{tl_version}
Provides: tex(yv1ri8a.pfb) = %{tl_version}
Provides: tex(yv1ri8ac.pfb) = %{tl_version}
Provides: tex(yv1ri8ax.pfb) = %{tl_version}
Provides: tex(yv3b8a.pfb) = %{tl_version}
Provides: tex(yv3b8ac.pfb) = %{tl_version}
Provides: tex(yv3b8ax.pfb) = %{tl_version}
Provides: tex(yv3bi8a.pfb) = %{tl_version}
Provides: tex(yv3bi8ac.pfb) = %{tl_version}
Provides: tex(yv3bi8ax.pfb) = %{tl_version}
Provides: tex(yv3r8a.pfb) = %{tl_version}
Provides: tex(yv3r8ac.pfb) = %{tl_version}
Provides: tex(yv3r8ax.pfb) = %{tl_version}
Provides: tex(yv3ri8a.pfb) = %{tl_version}
Provides: tex(yv3ri8ac.pfb) = %{tl_version}
Provides: tex(yv3ri8ax.pfb) = %{tl_version}
Provides: tex(yvtb8c.vf) = %{tl_version}
Provides: tex(yvtb8cc.vf) = %{tl_version}
Provides: tex(yvtb8t.vf) = %{tl_version}
Provides: tex(yvtb8tc.vf) = %{tl_version}
Provides: tex(yvtbc8c.vf) = %{tl_version}
Provides: tex(yvtbc8cc.vf) = %{tl_version}
Provides: tex(yvtbc8t.vf) = %{tl_version}
Provides: tex(yvtbc8tc.vf) = %{tl_version}
Provides: tex(yvtbci8c.vf) = %{tl_version}
Provides: tex(yvtbci8cc.vf) = %{tl_version}
Provides: tex(yvtbci8t.vf) = %{tl_version}
Provides: tex(yvtbci8tc.vf) = %{tl_version}
Provides: tex(yvtbcij8t.vf) = %{tl_version}
Provides: tex(yvtbcij8tc.vf) = %{tl_version}
Provides: tex(yvtbcijw8t.vf) = %{tl_version}
Provides: tex(yvtbcijw8tc.vf) = %{tl_version}
Provides: tex(yvtbciw8t.vf) = %{tl_version}
Provides: tex(yvtbciw8tc.vf) = %{tl_version}
Provides: tex(yvtbcj8t.vf) = %{tl_version}
Provides: tex(yvtbcj8tc.vf) = %{tl_version}
Provides: tex(yvtbcjw8t.vf) = %{tl_version}
Provides: tex(yvtbcjw8tc.vf) = %{tl_version}
Provides: tex(yvtbcw8t.vf) = %{tl_version}
Provides: tex(yvtbcw8tc.vf) = %{tl_version}
Provides: tex(yvtbd8cc.vf) = %{tl_version}
Provides: tex(yvtbd8tc.vf) = %{tl_version}
Provides: tex(yvtbi8c.vf) = %{tl_version}
Provides: tex(yvtbi8cc.vf) = %{tl_version}
Provides: tex(yvtbi8t.vf) = %{tl_version}
Provides: tex(yvtbi8tc.vf) = %{tl_version}
Provides: tex(yvtbij8t.vf) = %{tl_version}
Provides: tex(yvtbij8tc.vf) = %{tl_version}
Provides: tex(yvtbijw8t.vf) = %{tl_version}
Provides: tex(yvtbijw8tc.vf) = %{tl_version}
Provides: tex(yvtbiw8t.vf) = %{tl_version}
Provides: tex(yvtbiw8tc.vf) = %{tl_version}
Provides: tex(yvtbj8t.vf) = %{tl_version}
Provides: tex(yvtbj8tc.vf) = %{tl_version}
Provides: tex(yvtbjw8t.vf) = %{tl_version}
Provides: tex(yvtbjw8tc.vf) = %{tl_version}
Provides: tex(yvtbw8t.vf) = %{tl_version}
Provides: tex(yvtbw8tc.vf) = %{tl_version}
Provides: tex(yvth8c.vf) = %{tl_version}
Provides: tex(yvth8t.vf) = %{tl_version}
Provides: tex(yvthi8c.vf) = %{tl_version}
Provides: tex(yvthi8t.vf) = %{tl_version}
Provides: tex(yvtr8c.vf) = %{tl_version}
Provides: tex(yvtr8cc.vf) = %{tl_version}
Provides: tex(yvtr8t.vf) = %{tl_version}
Provides: tex(yvtr8tc.vf) = %{tl_version}
Provides: tex(yvtrajw8t.vf) = %{tl_version}
Provides: tex(yvtraw8t.vf) = %{tl_version}
Provides: tex(yvtrc8c.vf) = %{tl_version}
Provides: tex(yvtrc8cc.vf) = %{tl_version}
Provides: tex(yvtrc8t.vf) = %{tl_version}
Provides: tex(yvtrc8tc.vf) = %{tl_version}
Provides: tex(yvtrci8c.vf) = %{tl_version}
Provides: tex(yvtrci8cc.vf) = %{tl_version}
Provides: tex(yvtrci8t.vf) = %{tl_version}
Provides: tex(yvtrci8tc.vf) = %{tl_version}
Provides: tex(yvtrcij8t.vf) = %{tl_version}
Provides: tex(yvtrcij8tc.vf) = %{tl_version}
Provides: tex(yvtrcijw8t.vf) = %{tl_version}
Provides: tex(yvtrcijw8tc.vf) = %{tl_version}
Provides: tex(yvtrciw8t.vf) = %{tl_version}
Provides: tex(yvtrciw8tc.vf) = %{tl_version}
Provides: tex(yvtrcj8t.vf) = %{tl_version}
Provides: tex(yvtrcj8tc.vf) = %{tl_version}
Provides: tex(yvtrcjw8t.vf) = %{tl_version}
Provides: tex(yvtrcjw8tc.vf) = %{tl_version}
Provides: tex(yvtrcw8t.vf) = %{tl_version}
Provides: tex(yvtrcw8tc.vf) = %{tl_version}
Provides: tex(yvtrdl8c.vf) = %{tl_version}
Provides: tex(yvtrdl8t.vf) = %{tl_version}
Provides: tex(yvtri8c.vf) = %{tl_version}
Provides: tex(yvtri8cc.vf) = %{tl_version}
Provides: tex(yvtri8t.vf) = %{tl_version}
Provides: tex(yvtri8tc.vf) = %{tl_version}
Provides: tex(yvtrij8t.vf) = %{tl_version}
Provides: tex(yvtrij8tc.vf) = %{tl_version}
Provides: tex(yvtrijw8t.vf) = %{tl_version}
Provides: tex(yvtrijw8tc.vf) = %{tl_version}
Provides: tex(yvtriw8t.vf) = %{tl_version}
Provides: tex(yvtriw8tc.vf) = %{tl_version}
Provides: tex(yvtrj8t.vf) = %{tl_version}
Provides: tex(yvtrj8tc.vf) = %{tl_version}
Provides: tex(yvtrjw8t.vf) = %{tl_version}
Provides: tex(yvtrjw8tc.vf) = %{tl_version}
Provides: tex(yvtrw8t.vf) = %{tl_version}
Provides: tex(yvtrw8tc.vf) = %{tl_version}
Provides: tex(yv2b8c.vf) = %{tl_version}
Provides: tex(yv2b8cc.vf) = %{tl_version}
Provides: tex(yv2b8t.vf) = %{tl_version}
Provides: tex(yv2b8tc.vf) = %{tl_version}
Provides: tex(yv2bi8c.vf) = %{tl_version}
Provides: tex(yv2bi8cc.vf) = %{tl_version}
Provides: tex(yv2bi8t.vf) = %{tl_version}
Provides: tex(yv2bi8tc.vf) = %{tl_version}
Provides: tex(yv2m8c.vf) = %{tl_version}
Provides: tex(yv2m8t.vf) = %{tl_version}
Provides: tex(yv2mi8c.vf) = %{tl_version}
Provides: tex(yv2mi8t.vf) = %{tl_version}
Provides: tex(yv2r8c.vf) = %{tl_version}
Provides: tex(yv2r8cc.vf) = %{tl_version}
Provides: tex(yv2r8t.vf) = %{tl_version}
Provides: tex(yv2r8tc.vf) = %{tl_version}
Provides: tex(yv2ri8c.vf) = %{tl_version}
Provides: tex(yv2ri8cc.vf) = %{tl_version}
Provides: tex(yv2ri8t.vf) = %{tl_version}
Provides: tex(yv2ri8tc.vf) = %{tl_version}
Provides: tex(yv2x8c.vf) = %{tl_version}
Provides: tex(yv2x8t.vf) = %{tl_version}
Provides: tex(yv2xi8c.vf) = %{tl_version}
Provides: tex(yv2xi8t.vf) = %{tl_version}
Provides: tex(yvoab8t.vf) = %{tl_version}
Provides: tex(yvoabi8t.vf) = %{tl_version}
Provides: tex(yvoar8t.vf) = %{tl_version}
Provides: tex(yvoari8t.vf) = %{tl_version}
Provides: tex(yvob8c.vf) = %{tl_version}
Provides: tex(yvob8t.vf) = %{tl_version}
Provides: tex(yvobi8c.vf) = %{tl_version}
Provides: tex(yvobi8t.vf) = %{tl_version}
Provides: tex(yvodd8c.vf) = %{tl_version}
Provides: tex(yvodd8t.vf) = %{tl_version}
Provides: tex(yvor8c.vf) = %{tl_version}
Provides: tex(yvor8t.vf) = %{tl_version}
Provides: tex(yvori8c.vf) = %{tl_version}
Provides: tex(yvori8t.vf) = %{tl_version}
Provides: tex(yv1b8c.vf) = %{tl_version}
Provides: tex(yv1b8cc.vf) = %{tl_version}
Provides: tex(yv1b8cx.vf) = %{tl_version}
Provides: tex(yv1b8t.vf) = %{tl_version}
Provides: tex(yv1b8tc.vf) = %{tl_version}
Provides: tex(yv1b8tx.vf) = %{tl_version}
Provides: tex(yv1bd8c.vf) = %{tl_version}
Provides: tex(yv1bd8t.vf) = %{tl_version}
Provides: tex(yv1bi8c.vf) = %{tl_version}
Provides: tex(yv1bi8cc.vf) = %{tl_version}
Provides: tex(yv1bi8cx.vf) = %{tl_version}
Provides: tex(yv1bi8t.vf) = %{tl_version}
Provides: tex(yv1bi8tc.vf) = %{tl_version}
Provides: tex(yv1bi8tx.vf) = %{tl_version}
Provides: tex(yv1d8c.vf) = %{tl_version}
Provides: tex(yv1d8t.vf) = %{tl_version}
Provides: tex(yv1dd8cu.vf) = %{tl_version}
Provides: tex(yv1dd8tu.vf) = %{tl_version}
Provides: tex(yv1di8c.vf) = %{tl_version}
Provides: tex(yv1di8t.vf) = %{tl_version}
Provides: tex(yv1h8c.vf) = %{tl_version}
Provides: tex(yv1h8t.vf) = %{tl_version}
Provides: tex(yv1ho8c.vf) = %{tl_version}
Provides: tex(yv1ho8t.vf) = %{tl_version}
Provides: tex(yv1l8c.vf) = %{tl_version}
Provides: tex(yv1l8t.vf) = %{tl_version}
Provides: tex(yv1li8c.vf) = %{tl_version}
Provides: tex(yv1li8t.vf) = %{tl_version}
Provides: tex(yv1r8c.vf) = %{tl_version}
Provides: tex(yv1r8cc.vf) = %{tl_version}
Provides: tex(yv1r8cx.vf) = %{tl_version}
Provides: tex(yv1r8t.vf) = %{tl_version}
Provides: tex(yv1r8tc.vf) = %{tl_version}
Provides: tex(yv1r8tx.vf) = %{tl_version}
Provides: tex(yv1ri8c.vf) = %{tl_version}
Provides: tex(yv1ri8cc.vf) = %{tl_version}
Provides: tex(yv1ri8cx.vf) = %{tl_version}
Provides: tex(yv1ri8t.vf) = %{tl_version}
Provides: tex(yv1ri8tc.vf) = %{tl_version}
Provides: tex(yv1ri8tx.vf) = %{tl_version}
Provides: tex(yv3b8c.vf) = %{tl_version}
Provides: tex(yv3b8cc.vf) = %{tl_version}
Provides: tex(yv3b8cx.vf) = %{tl_version}
Provides: tex(yv3b8t.vf) = %{tl_version}
Provides: tex(yv3b8tc.vf) = %{tl_version}
Provides: tex(yv3b8tx.vf) = %{tl_version}
Provides: tex(yv3bi8c.vf) = %{tl_version}
Provides: tex(yv3bi8cc.vf) = %{tl_version}
Provides: tex(yv3bi8cx.vf) = %{tl_version}
Provides: tex(yv3bi8t.vf) = %{tl_version}
Provides: tex(yv3bi8tc.vf) = %{tl_version}
Provides: tex(yv3bi8tx.vf) = %{tl_version}
Provides: tex(yv3r8c.vf) = %{tl_version}
Provides: tex(yv3r8cc.vf) = %{tl_version}
Provides: tex(yv3r8cx.vf) = %{tl_version}
Provides: tex(yv3r8t.vf) = %{tl_version}
Provides: tex(yv3r8tc.vf) = %{tl_version}
Provides: tex(yv3r8tx.vf) = %{tl_version}
Provides: tex(yv3ri8c.vf) = %{tl_version}
Provides: tex(yv3ri8cc.vf) = %{tl_version}
Provides: tex(yv3ri8cx.vf) = %{tl_version}
Provides: tex(yv3ri8t.vf) = %{tl_version}
Provides: tex(yv3ri8tc.vf) = %{tl_version}
Provides: tex(yv3ri8tx.vf) = %{tl_version}
Provides: tex(t1yvt.fd) = %{tl_version}
Provides: tex(t1yvtajw.fd) = %{tl_version}
Provides: tex(t1yvtaw.fd) = %{tl_version}
Provides: tex(t1yvtd.fd) = %{tl_version}
Provides: tex(t1yvtj.fd) = %{tl_version}
Provides: tex(t1yvtjw.fd) = %{tl_version}
Provides: tex(t1yvtw.fd) = %{tl_version}
Provides: tex(ts1yvt.fd) = %{tl_version}
Provides: tex(ts1yvtajw.fd) = %{tl_version}
Provides: tex(ts1yvtaw.fd) = %{tl_version}
Provides: tex(ts1yvtd.fd) = %{tl_version}
Provides: tex(ts1yvtj.fd) = %{tl_version}
Provides: tex(ts1yvtjw.fd) = %{tl_version}
Provides: tex(ts1yvtw.fd) = %{tl_version}
Provides: tex(t1yv2.fd) = %{tl_version}
Provides: tex(ts1yv2.fd) = %{tl_version}
Provides: tex(venturis.sty) = %{tl_version}
Provides: tex(venturis2.sty) = %{tl_version}
Provides: tex(venturisold.sty) = %{tl_version}
Provides: tex(t1yvo.fd) = %{tl_version}
Provides: tex(t1yvoa.fd) = %{tl_version}
Provides: tex(t1yvoad.fd) = %{tl_version}
Provides: tex(t1yvod.fd) = %{tl_version}
Provides: tex(ts1yvo.fd) = %{tl_version}
Provides: tex(ts1yvoa.fd) = %{tl_version}
Provides: tex(ts1yvoad.fd) = %{tl_version}
Provides: tex(ts1yvod.fd) = %{tl_version}
Provides: tex(t1yv1.fd) = %{tl_version}
Provides: tex(t1yv1d.fd) = %{tl_version}
Provides: tex(ts1yv1.fd) = %{tl_version}
Provides: tex(ts1yv1d.fd) = %{tl_version}
Provides: tex(t1yv3.fd) = %{tl_version}
Provides: tex(ts1yv3.fd) = %{tl_version}

%description venturisadf
Serif and sans serif complete text font families, in both Adobe
Type 1 and OpenType formats for publication. The family is
based on Utopia family, and has been modified and developed by
the Arkandis Digital foundry. Support for using the fonts, in
LaTeX, is also provided (and makes use of the nfssext-cfr
package).

%package venturisadf-doc
Summary: Documentation for venturisadf
Version: svn19444.1.005

Provides: tex-venturisadf-doc
AutoReqProv: No

%description venturisadf-doc
Documentation for venturisadf

%package wsuipa
Provides: tex-wsuipa = %{tl_version}
License: Utopia
Summary: International Phonetic Alphabet fonts
Version: svn25469.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(wbxipa10.tfm) = %{tl_version}
Provides: tex(wbxipa11.tfm) = %{tl_version}
Provides: tex(wbxipa12.tfm) = %{tl_version}
Provides: tex(wbxipa17.tfm) = %{tl_version}
Provides: tex(wbxipa8.tfm) = %{tl_version}
Provides: tex(wbxipa9.tfm) = %{tl_version}
Provides: tex(wslipa10.tfm) = %{tl_version}
Provides: tex(wslipa11.tfm) = %{tl_version}
Provides: tex(wslipa12.tfm) = %{tl_version}
Provides: tex(wslipa17.tfm) = %{tl_version}
Provides: tex(wslipa8.tfm) = %{tl_version}
Provides: tex(wslipa9.tfm) = %{tl_version}
Provides: tex(wsuipa10.tfm) = %{tl_version}
Provides: tex(wsuipa11.tfm) = %{tl_version}
Provides: tex(wsuipa12.tfm) = %{tl_version}
Provides: tex(wsuipa17.tfm) = %{tl_version}
Provides: tex(wsuipa8.tfm) = %{tl_version}
Provides: tex(wsuipa9.tfm) = %{tl_version}
Provides: tex(ipa.sty) = %{tl_version}
Provides: tex(ipalmacs.sty) = %{tl_version}
Provides: tex(uipa.fd) = %{tl_version}

%description wsuipa
The package provides a 7-bit IPA font, as Metafont source, and
macros for support under TeXt1 and LaTeX. The fonts (and
macros) are now largely superseded by the tipa fonts.

%package wsuipa-doc
Summary: Documentation for wsuipa
Version: svn25469.0

Provides: tex-wsuipa-doc
AutoReqProv: No

%description wsuipa-doc
Documentation for wsuipa

%package xcharter
Provides: tex-xcharter = %{tl_version}
License: MIT
Summary: Extension of Bitstream Charter fonts
Version: svn45369
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mweights.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fontaxes.sty)
Requires: tex(xkeyval.sty)
Provides: tex(chalph.enc) = %{tl_version}
Provides: tex(chtabosf.enc) = %{tl_version}
Provides: tex(xch1_bwwzc2.enc) = %{tl_version}
Provides: tex(xch1_ch2jyx.enc) = %{tl_version}
Provides: tex(xch1_d2abnl.enc) = %{tl_version}
Provides: tex(xch1_gq3a6i.enc) = %{tl_version}
Provides: tex(xch1_jfcsri.enc) = %{tl_version}
Provides: tex(xch1_jltj6c.enc) = %{tl_version}
Provides: tex(xch1_ks4pfu.enc) = %{tl_version}
Provides: tex(xch1_lq6vvn.enc) = %{tl_version}
Provides: tex(xch1_sq3mdu.enc) = %{tl_version}
Provides: tex(xch1_w7s2xk.enc) = %{tl_version}
Provides: tex(xch1_wy7dbt.enc) = %{tl_version}
Provides: tex(xch1_zcck2t.enc) = %{tl_version}
Provides: tex(xch_2663q7.enc) = %{tl_version}
Provides: tex(xch_2b3ply.enc) = %{tl_version}
Provides: tex(xch_aprite.enc) = %{tl_version}
Provides: tex(xch_atk3my.enc) = %{tl_version}
Provides: tex(xch_bwwzc2.enc) = %{tl_version}
Provides: tex(xch_ch2jyx.enc) = %{tl_version}
Provides: tex(xch_d2abnl.enc) = %{tl_version}
Provides: tex(xch_eofewb.enc) = %{tl_version}
Provides: tex(xch_ft2zfi.enc) = %{tl_version}
Provides: tex(xch_gq3a6i.enc) = %{tl_version}
Provides: tex(xch_h3miu6.enc) = %{tl_version}
Provides: tex(xch_hoftv6.enc) = %{tl_version}
Provides: tex(xch_jfcsri.enc) = %{tl_version}
Provides: tex(xch_jltj6c.enc) = %{tl_version}
Provides: tex(xch_kdlizx.enc) = %{tl_version}
Provides: tex(xch_ks4pfu.enc) = %{tl_version}
Provides: tex(xch_lq6vvn.enc) = %{tl_version}
Provides: tex(xch_sq3mdu.enc) = %{tl_version}
Provides: tex(xch_tdq2l3.enc) = %{tl_version}
Provides: tex(xch_tuu2ww.enc) = %{tl_version}
Provides: tex(xch_uoltgb.enc) = %{tl_version}
Provides: tex(xch_w7s2xk.enc) = %{tl_version}
Provides: tex(xch_wy7dbt.enc) = %{tl_version}
Provides: tex(xch_y6sx2d.enc) = %{tl_version}
Provides: tex(xch_zcck2t.enc) = %{tl_version}
Provides: tex(XCharter.map) = %{tl_version}
Provides: tex(XCharter-Bold.otf) = %{tl_version}
Provides: tex(XCharter-BoldItalic.otf) = %{tl_version}
Provides: tex(XCharter-Italic.otf) = %{tl_version}
Provides: tex(XCharter-Roman.otf) = %{tl_version}
Provides: tex(XCharter-Bol-osf.tfm) = %{tl_version}
Provides: tex(XCharter-BolIta-alph.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-Ita-alph.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-sup-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-sup-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-sup-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-sup-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter-osf.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-to.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-to.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-to.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-to.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-t1.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-ts1.tfm) = %{tl_version}
Provides: tex(zchbmi.tfm) = %{tl_version}
Provides: tex(zchmi.tfm) = %{tl_version}
Provides: tex(XCharter-Bold.pfb) = %{tl_version}
Provides: tex(XCharter-BoldItalic.pfb) = %{tl_version}
Provides: tex(XCharter-Italic.pfb) = %{tl_version}
Provides: tex(XCharter-Roman.pfb) = %{tl_version}
Provides: tex(XCharter-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ot1G.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ot1G.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ot1G.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-sup-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-sup-t1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ot1G.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-t1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tlf-ts1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter-Roman-tosf-ts1.vf) = %{tl_version}
Provides: tex(XCharter1-Bold-to.vf) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter1-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-to.vf) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter1-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(XCharter1-Italic-to.vf) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter1-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(XCharter1-Roman-to.vf) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-t1.vf) = %{tl_version}
Provides: tex(XCharter1-Roman-tosf-ts1.vf) = %{tl_version}
Provides: tex(zchbmi.vf) = %{tl_version}
Provides: tex(zchmi.vf) = %{tl_version}
Provides: tex(LY1XCharter-Sup.fd) = %{tl_version}
Provides: tex(LY1XCharter-TLF.fd) = %{tl_version}
Provides: tex(LY1XCharter-TOsF.fd) = %{tl_version}
Provides: tex(OT1XCharter-Sup.fd) = %{tl_version}
Provides: tex(OT1XCharter-TLF.fd) = %{tl_version}
Provides: tex(OT1XCharter-TOsF.fd) = %{tl_version}
Provides: tex(T1XCharter-Sup.fd) = %{tl_version}
Provides: tex(T1XCharter-TLF.fd) = %{tl_version}
Provides: tex(T1XCharter-TOsF.fd) = %{tl_version}
Provides: tex(TS1XCharter-TLF.fd) = %{tl_version}
Provides: tex(TS1XCharter-TOsF.fd) = %{tl_version}
Provides: tex(XCharter.sty) = %{tl_version}
Provides: tex(omlzchmi.fd) = %{tl_version}

%description xcharter
The package presents an extension of Bitstream Charter, which
provides small caps, oldstyle figures and superior figures in
all four styles, accompanied by LaTeX font support files. The
fonts themselves are provided in both Adobe Type 1 and OTF
formats, with supporting files as necessary.

%package xcharter-doc
Summary: Documentation for xcharter
Version: svn45369
Provides: tex-xcharter-doc
AutoReqProv: No

%description xcharter-doc
Documentation for xcharter

%package xits
Provides: tex-xits = %{tl_version}
License: OFL
Summary: A Scientific Times-like font with support for mathematical typesetting
Version: svn32763.1.108

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xits-bold.otf) = %{tl_version}
Provides: tex(xits-bolditalic.otf) = %{tl_version}
Provides: tex(xits-italic.otf) = %{tl_version}
Provides: tex(xits-math.otf) = %{tl_version}
Provides: tex(xits-mathbold.otf) = %{tl_version}
Provides: tex(xits-regular.otf) = %{tl_version}

%description xits
XITS is a Times-like font for scientific typesetting with
proper mathematical support for modern, Unicode and OpenType
capable TeX engines, namely LuaTeX and XeTeX. For use with
LuaLaTeX or XeLaTeX, support is available from the fontspec and
unicode-math packages.

%package xits-doc
Summary: Documentation for xits
Version: svn32763.1.108

Provides: tex-xits-doc
AutoReqProv: No

%description xits-doc
Documentation for xits

%package yfonts
Provides: tex-yfonts = %{tl_version}
License: LPPL
Summary: Support for old German fonts
Version: svn15878.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(yfonts.sty) = %{tl_version}

%description yfonts
A LaTeX interface to the old-german fonts designed by Yannis
Haralambous: Gothic, Schwabacher, Fraktur and the baroque
initials.

%package yfonts-doc
Summary: Documentation for yfonts
Version: svn15878.1.3

Provides: tex-yfonts-doc
AutoReqProv: No

%description yfonts-doc
Documentation for yfonts

%package yfonts-t1
Provides: tex-yfonts-t1 = %{tl_version}
# Copyright holder provided license information via email, included as %%license.
License: LPPL
Summary: Old German-style fonts, in Adobe type 1 format
Version: svn36013

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(yfrak.afm) = %{tl_version}
Provides: tex(ygoth.afm) = %{tl_version}
Provides: tex(yswab.afm) = %{tl_version}
Provides: tex(yfrak.map) = %{tl_version}
Provides: tex(yfrak.pfb) = %{tl_version}
Provides: tex(ygoth.pfb) = %{tl_version}
Provides: tex(yswab.pfb) = %{tl_version}

%description yfonts-t1
This package comprises type 1 versions of the Gothic,
Schwabacher and Fraktur fonts of Yannis Haralambous' set of old
German fonts.

%package yfonts-t1-doc
Summary: Documentation for yfonts-t1
Version: svn36013

Provides: tex-yfonts-t1-doc
AutoReqProv: No

%description yfonts-t1-doc
Documentation for yfonts-t1.

%package zlmtt
Provides: tex-zlmtt = %{tl_version}
License: LPPL 1.3
Summary: Use Latin Modern Typewriter fonts
Version: svn34485.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(mweights.sty)
Requires: tex(xkeyval.sty)
Provides: tex(il2zlmtt.fd) = %{tl_version}
Provides: tex(il2zlmvtt.fd) = %{tl_version}
Provides: tex(l7xzlmtt.fd) = %{tl_version}
Provides: tex(l7xzlmvtt.fd) = %{tl_version}
Provides: tex(ly1zlmtt.fd) = %{tl_version}
Provides: tex(ly1zlmvtt.fd) = %{tl_version}
Provides: tex(ot1zlmtt.fd) = %{tl_version}
Provides: tex(ot1zlmvtt.fd) = %{tl_version}
Provides: tex(ot4zlmtt.fd) = %{tl_version}
Provides: tex(ot4zlmvtt.fd) = %{tl_version}
Provides: tex(qxzlmtt.fd) = %{tl_version}
Provides: tex(qxzlmvtt.fd) = %{tl_version}
Provides: tex(t1zlmtt.fd) = %{tl_version}
Provides: tex(t1zlmvtt.fd) = %{tl_version}
Provides: tex(t5zlmtt.fd) = %{tl_version}
Provides: tex(t5zlmvtt.fd) = %{tl_version}
Provides: tex(ts1zlmtt.fd) = %{tl_version}
Provides: tex(ts1zlmvtt.fd) = %{tl_version}
Provides: tex(zlmtt.sty) = %{tl_version}

%description zlmtt
The package allows selection of Latin Modern Typewriter fonts
with scaling and access to all its features. The package
requires the mweights package.

%package zlmtt-doc
Summary: Documentation for zlmtt
Version: svn34485.1.01

Provides: tex-zlmtt-doc
AutoReqProv: No

%description zlmtt-doc
Documentation for zlmtt

%package collection-fontsrecommended
Summary: Recommended fonts
Version: svn35830.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: tex-avantgar
Requires: tex-bookman
Requires: tex-charter
Requires: tex-cm-super
Requires: tex-cmextra
Requires: tex-courier
Requires: tex-ec
Requires: tex-euro
Requires: tex-eurosym
Requires: tex-fpl
Requires: tex-helvetic
Requires: tex-lm
Requires: tex-lm-math
Requires: tex-marvosym
Requires: tex-mathpazo
Requires: tex-manfnt-font
Requires: tex-mflogo-font
Requires: tex-ncntrsbk
Requires: tex-palatino
Requires: tex-pxfonts
Requires: tex-rsfs
Requires: tex-symbol
Requires: tex-tex-gyre
Requires: tex-tex-gyre-math
Requires: tex-times
Requires: tex-tipa
Requires: tex-txfonts
Requires: tex-utopia
Requires: tex-wasy
Requires: tex-wasy2-ps
Requires: tex-wasysym
Requires: tex-zapfchan
Requires: tex-zapfding
Provides: tetex-fonts = 3.1-99
Obsoletes: tetex-fonts < 3.1-99
Provides: texlive-texmf-fonts = %{tl_version}
Obsoletes: texlive-texmf-fonts < %{tl_version}

%description collection-fontsrecommended
Recommended fonts, including the base 35 PostScript fonts,
Latin Modern, TeX Gyre, and T1 and other encoding support for
Computer Modern, in outline form.

%package courier
Provides: tex-courier = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn35058.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(ucr.map) = %{tl_version}
Provides: tex(pcrb.tfm) = %{tl_version}
Provides: tex(pcrb7t.tfm) = %{tl_version}
Provides: tex(pcrb8c.tfm) = %{tl_version}
Provides: tex(pcrb8r.tfm) = %{tl_version}
Provides: tex(pcrb8t.tfm) = %{tl_version}
Provides: tex(pcrbc.tfm) = %{tl_version}
Provides: tex(pcrbc7t.tfm) = %{tl_version}
Provides: tex(pcrbc8t.tfm) = %{tl_version}
Provides: tex(pcrbo.tfm) = %{tl_version}
Provides: tex(pcrbo7t.tfm) = %{tl_version}
Provides: tex(pcrbo8c.tfm) = %{tl_version}
Provides: tex(pcrbo8r.tfm) = %{tl_version}
Provides: tex(pcrbo8t.tfm) = %{tl_version}
Provides: tex(pcrr.tfm) = %{tl_version}
Provides: tex(pcrr7t.tfm) = %{tl_version}
Provides: tex(pcrr8c.tfm) = %{tl_version}
Provides: tex(pcrr8r.tfm) = %{tl_version}
Provides: tex(pcrr8t.tfm) = %{tl_version}
Provides: tex(pcrrc.tfm) = %{tl_version}
Provides: tex(pcrrc7t.tfm) = %{tl_version}
Provides: tex(pcrrc8t.tfm) = %{tl_version}
Provides: tex(pcrro.tfm) = %{tl_version}
Provides: tex(pcrro7t.tfm) = %{tl_version}
Provides: tex(pcrro8c.tfm) = %{tl_version}
Provides: tex(pcrro8r.tfm) = %{tl_version}
Provides: tex(pcrro8t.tfm) = %{tl_version}
Provides: tex(ucrb7t.tfm) = %{tl_version}
Provides: tex(ucrb8c.tfm) = %{tl_version}
Provides: tex(ucrb8r.tfm) = %{tl_version}
Provides: tex(ucrb8t.tfm) = %{tl_version}
Provides: tex(ucrbc7t.tfm) = %{tl_version}
Provides: tex(ucrbc8t.tfm) = %{tl_version}
Provides: tex(ucrbo7t.tfm) = %{tl_version}
Provides: tex(ucrbo8c.tfm) = %{tl_version}
Provides: tex(ucrbo8r.tfm) = %{tl_version}
Provides: tex(ucrbo8t.tfm) = %{tl_version}
Provides: tex(ucrr7t.tfm) = %{tl_version}
Provides: tex(ucrr8c.tfm) = %{tl_version}
Provides: tex(ucrr8r.tfm) = %{tl_version}
Provides: tex(ucrr8t.tfm) = %{tl_version}
Provides: tex(ucrrc7t.tfm) = %{tl_version}
Provides: tex(ucrrc8t.tfm) = %{tl_version}
Provides: tex(ucrro7t.tfm) = %{tl_version}
Provides: tex(ucrro8c.tfm) = %{tl_version}
Provides: tex(ucrro8r.tfm) = %{tl_version}
Provides: tex(ucrro8t.tfm) = %{tl_version}
Provides: tex(pcrb8a.pfb) = %{tl_version}
Provides: tex(pcrbi8a.pfb) = %{tl_version}
Provides: tex(pcrbo8a.pfb) = %{tl_version}
Provides: tex(pcri8a.pfb) = %{tl_version}
Provides: tex(pcrr8a.pfb) = %{tl_version}
Provides: tex(pcrro8a.pfb) = %{tl_version}
Provides: tex(ucrb8a.pfb) = %{tl_version}
Provides: tex(ucrbo8a.pfb) = %{tl_version}
Provides: tex(ucrr8a.pfb) = %{tl_version}
Provides: tex(ucrro8a.pfb) = %{tl_version}
Provides: tex(pcrb.vf) = %{tl_version}
Provides: tex(pcrb7t.vf) = %{tl_version}
Provides: tex(pcrb8c.vf) = %{tl_version}
Provides: tex(pcrb8t.vf) = %{tl_version}
Provides: tex(pcrbc.vf) = %{tl_version}
Provides: tex(pcrbc7t.vf) = %{tl_version}
Provides: tex(pcrbc8t.vf) = %{tl_version}
Provides: tex(pcrbo.vf) = %{tl_version}
Provides: tex(pcrbo7t.vf) = %{tl_version}
Provides: tex(pcrbo8c.vf) = %{tl_version}
Provides: tex(pcrbo8t.vf) = %{tl_version}
Provides: tex(pcrr.vf) = %{tl_version}
Provides: tex(pcrr7t.vf) = %{tl_version}
Provides: tex(pcrr8c.vf) = %{tl_version}
Provides: tex(pcrr8t.vf) = %{tl_version}
Provides: tex(pcrrc.vf) = %{tl_version}
Provides: tex(pcrrc7t.vf) = %{tl_version}
Provides: tex(pcrrc8t.vf) = %{tl_version}
Provides: tex(pcrro.vf) = %{tl_version}
Provides: tex(pcrro7t.vf) = %{tl_version}
Provides: tex(pcrro8c.vf) = %{tl_version}
Provides: tex(pcrro8t.vf) = %{tl_version}
Provides: tex(ucrb7t.vf) = %{tl_version}
Provides: tex(ucrb8c.vf) = %{tl_version}
Provides: tex(ucrb8t.vf) = %{tl_version}
Provides: tex(ucrbc7t.vf) = %{tl_version}
Provides: tex(ucrbc8t.vf) = %{tl_version}
Provides: tex(ucrbo7t.vf) = %{tl_version}
Provides: tex(ucrbo8c.vf) = %{tl_version}
Provides: tex(ucrbo8t.vf) = %{tl_version}
Provides: tex(ucrr7t.vf) = %{tl_version}
Provides: tex(ucrr8c.vf) = %{tl_version}
Provides: tex(ucrr8t.vf) = %{tl_version}
Provides: tex(ucrrc7t.vf) = %{tl_version}
Provides: tex(ucrrc8t.vf) = %{tl_version}
Provides: tex(ucrro7t.vf) = %{tl_version}
Provides: tex(ucrro8c.vf) = %{tl_version}
Provides: tex(ucrro8t.vf) = %{tl_version}
Provides: tex(8rucr.fd) = %{tl_version}
Provides: tex(omlucr.fd) = %{tl_version}
Provides: tex(omsucr.fd) = %{tl_version}
Provides: tex(ot1ucr.fd) = %{tl_version}
Provides: tex(t1ucr.fd) = %{tl_version}
Provides: tex(ts1ucr.fd) = %{tl_version}

%description courier
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package ec
Provides: tex-ec = %{tl_version}
License: ec
Summary: Computer modern fonts in T1 and TS1 encodings
Version: svn25033.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ecbi0500.tfm) = %{tl_version}
Provides: tex(ecbi0600.tfm) = %{tl_version}
Provides: tex(ecbi0700.tfm) = %{tl_version}
Provides: tex(ecbi0800.tfm) = %{tl_version}
Provides: tex(ecbi0900.tfm) = %{tl_version}
Provides: tex(ecbi1000.tfm) = %{tl_version}
Provides: tex(ecbi1095.tfm) = %{tl_version}
Provides: tex(ecbi1200.tfm) = %{tl_version}
Provides: tex(ecbi1440.tfm) = %{tl_version}
Provides: tex(ecbi1728.tfm) = %{tl_version}
Provides: tex(ecbi2074.tfm) = %{tl_version}
Provides: tex(ecbi2488.tfm) = %{tl_version}
Provides: tex(ecbi2986.tfm) = %{tl_version}
Provides: tex(ecbi3583.tfm) = %{tl_version}
Provides: tex(ecbl0500.tfm) = %{tl_version}
Provides: tex(ecbl0600.tfm) = %{tl_version}
Provides: tex(ecbl0700.tfm) = %{tl_version}
Provides: tex(ecbl0800.tfm) = %{tl_version}
Provides: tex(ecbl0900.tfm) = %{tl_version}
Provides: tex(ecbl1000.tfm) = %{tl_version}
Provides: tex(ecbl1095.tfm) = %{tl_version}
Provides: tex(ecbl1200.tfm) = %{tl_version}
Provides: tex(ecbl1440.tfm) = %{tl_version}
Provides: tex(ecbl1728.tfm) = %{tl_version}
Provides: tex(ecbl2074.tfm) = %{tl_version}
Provides: tex(ecbl2488.tfm) = %{tl_version}
Provides: tex(ecbl2986.tfm) = %{tl_version}
Provides: tex(ecbl3583.tfm) = %{tl_version}
Provides: tex(ecbx0500.tfm) = %{tl_version}
Provides: tex(ecbx0600.tfm) = %{tl_version}
Provides: tex(ecbx0700.tfm) = %{tl_version}
Provides: tex(ecbx0800.tfm) = %{tl_version}
Provides: tex(ecbx0900.tfm) = %{tl_version}
Provides: tex(ecbx1000.tfm) = %{tl_version}
Provides: tex(ecbx1095.tfm) = %{tl_version}
Provides: tex(ecbx1200.tfm) = %{tl_version}
Provides: tex(ecbx1440.tfm) = %{tl_version}
Provides: tex(ecbx1728.tfm) = %{tl_version}
Provides: tex(ecbx2074.tfm) = %{tl_version}
Provides: tex(ecbx2488.tfm) = %{tl_version}
Provides: tex(ecbx2986.tfm) = %{tl_version}
Provides: tex(ecbx3583.tfm) = %{tl_version}
Provides: tex(eccc0500.tfm) = %{tl_version}
Provides: tex(eccc0600.tfm) = %{tl_version}
Provides: tex(eccc0700.tfm) = %{tl_version}
Provides: tex(eccc0800.tfm) = %{tl_version}
Provides: tex(eccc0900.tfm) = %{tl_version}
Provides: tex(eccc1000.tfm) = %{tl_version}
Provides: tex(eccc1095.tfm) = %{tl_version}
Provides: tex(eccc1200.tfm) = %{tl_version}
Provides: tex(eccc1440.tfm) = %{tl_version}
Provides: tex(eccc1728.tfm) = %{tl_version}
Provides: tex(eccc2074.tfm) = %{tl_version}
Provides: tex(eccc2488.tfm) = %{tl_version}
Provides: tex(eccc2986.tfm) = %{tl_version}
Provides: tex(eccc3583.tfm) = %{tl_version}
Provides: tex(ecci0500.tfm) = %{tl_version}
Provides: tex(ecci0600.tfm) = %{tl_version}
Provides: tex(ecci0700.tfm) = %{tl_version}
Provides: tex(ecci0800.tfm) = %{tl_version}
Provides: tex(ecci0900.tfm) = %{tl_version}
Provides: tex(ecci1000.tfm) = %{tl_version}
Provides: tex(ecci1095.tfm) = %{tl_version}
Provides: tex(ecci1200.tfm) = %{tl_version}
Provides: tex(ecci1440.tfm) = %{tl_version}
Provides: tex(ecci1728.tfm) = %{tl_version}
Provides: tex(ecci2074.tfm) = %{tl_version}
Provides: tex(ecci2488.tfm) = %{tl_version}
Provides: tex(ecci2986.tfm) = %{tl_version}
Provides: tex(ecci3583.tfm) = %{tl_version}
Provides: tex(ecdh0500.tfm) = %{tl_version}
Provides: tex(ecdh0600.tfm) = %{tl_version}
Provides: tex(ecdh0700.tfm) = %{tl_version}
Provides: tex(ecdh0800.tfm) = %{tl_version}
Provides: tex(ecdh0900.tfm) = %{tl_version}
Provides: tex(ecdh1000.tfm) = %{tl_version}
Provides: tex(ecdh1095.tfm) = %{tl_version}
Provides: tex(ecdh1200.tfm) = %{tl_version}
Provides: tex(ecdh1440.tfm) = %{tl_version}
Provides: tex(ecdh1728.tfm) = %{tl_version}
Provides: tex(ecdh2074.tfm) = %{tl_version}
Provides: tex(ecdh2488.tfm) = %{tl_version}
Provides: tex(ecdh2986.tfm) = %{tl_version}
Provides: tex(ecdh3583.tfm) = %{tl_version}
Provides: tex(ecit0800.tfm) = %{tl_version}
Provides: tex(ecit0900.tfm) = %{tl_version}
Provides: tex(ecit1000.tfm) = %{tl_version}
Provides: tex(ecit1095.tfm) = %{tl_version}
Provides: tex(ecit1200.tfm) = %{tl_version}
Provides: tex(ecit1440.tfm) = %{tl_version}
Provides: tex(ecit1728.tfm) = %{tl_version}
Provides: tex(ecit2074.tfm) = %{tl_version}
Provides: tex(ecit2488.tfm) = %{tl_version}
Provides: tex(ecit2986.tfm) = %{tl_version}
Provides: tex(ecit3583.tfm) = %{tl_version}
Provides: tex(eclb8.tfm) = %{tl_version}
Provides: tex(ecli8.tfm) = %{tl_version}
Provides: tex(eclo8.tfm) = %{tl_version}
Provides: tex(eclq8.tfm) = %{tl_version}
Provides: tex(ecltt8.tfm) = %{tl_version}
Provides: tex(ecoc0500.tfm) = %{tl_version}
Provides: tex(ecoc0600.tfm) = %{tl_version}
Provides: tex(ecoc0700.tfm) = %{tl_version}
Provides: tex(ecoc0800.tfm) = %{tl_version}
Provides: tex(ecoc0900.tfm) = %{tl_version}
Provides: tex(ecoc1000.tfm) = %{tl_version}
Provides: tex(ecoc1095.tfm) = %{tl_version}
Provides: tex(ecoc1200.tfm) = %{tl_version}
Provides: tex(ecoc1440.tfm) = %{tl_version}
Provides: tex(ecoc1728.tfm) = %{tl_version}
Provides: tex(ecoc2074.tfm) = %{tl_version}
Provides: tex(ecoc2488.tfm) = %{tl_version}
Provides: tex(ecoc2986.tfm) = %{tl_version}
Provides: tex(ecoc3583.tfm) = %{tl_version}
Provides: tex(ecrb0500.tfm) = %{tl_version}
Provides: tex(ecrb0600.tfm) = %{tl_version}
Provides: tex(ecrb0700.tfm) = %{tl_version}
Provides: tex(ecrb0800.tfm) = %{tl_version}
Provides: tex(ecrb0900.tfm) = %{tl_version}
Provides: tex(ecrb1000.tfm) = %{tl_version}
Provides: tex(ecrb1095.tfm) = %{tl_version}
Provides: tex(ecrb1200.tfm) = %{tl_version}
Provides: tex(ecrb1440.tfm) = %{tl_version}
Provides: tex(ecrb1728.tfm) = %{tl_version}
Provides: tex(ecrb2074.tfm) = %{tl_version}
Provides: tex(ecrb2488.tfm) = %{tl_version}
Provides: tex(ecrb2986.tfm) = %{tl_version}
Provides: tex(ecrb3583.tfm) = %{tl_version}
Provides: tex(ecrm0500.tfm) = %{tl_version}
Provides: tex(ecrm0600.tfm) = %{tl_version}
Provides: tex(ecrm0700.tfm) = %{tl_version}
Provides: tex(ecrm0800.tfm) = %{tl_version}
Provides: tex(ecrm0900.tfm) = %{tl_version}
Provides: tex(ecrm1000.tfm) = %{tl_version}
Provides: tex(ecrm1095.tfm) = %{tl_version}
Provides: tex(ecrm1200.tfm) = %{tl_version}
Provides: tex(ecrm1440.tfm) = %{tl_version}
Provides: tex(ecrm1728.tfm) = %{tl_version}
Provides: tex(ecrm2074.tfm) = %{tl_version}
Provides: tex(ecrm2488.tfm) = %{tl_version}
Provides: tex(ecrm2986.tfm) = %{tl_version}
Provides: tex(ecrm3583.tfm) = %{tl_version}
Provides: tex(ecsc0500.tfm) = %{tl_version}
Provides: tex(ecsc0600.tfm) = %{tl_version}
Provides: tex(ecsc0700.tfm) = %{tl_version}
Provides: tex(ecsc0800.tfm) = %{tl_version}
Provides: tex(ecsc0900.tfm) = %{tl_version}
Provides: tex(ecsc1000.tfm) = %{tl_version}
Provides: tex(ecsc1095.tfm) = %{tl_version}
Provides: tex(ecsc1200.tfm) = %{tl_version}
Provides: tex(ecsc1440.tfm) = %{tl_version}
Provides: tex(ecsc1728.tfm) = %{tl_version}
Provides: tex(ecsc2074.tfm) = %{tl_version}
Provides: tex(ecsc2488.tfm) = %{tl_version}
Provides: tex(ecsc2986.tfm) = %{tl_version}
Provides: tex(ecsc3583.tfm) = %{tl_version}
Provides: tex(ecsi0500.tfm) = %{tl_version}
Provides: tex(ecsi0600.tfm) = %{tl_version}
Provides: tex(ecsi0700.tfm) = %{tl_version}
Provides: tex(ecsi0800.tfm) = %{tl_version}
Provides: tex(ecsi0900.tfm) = %{tl_version}
Provides: tex(ecsi1000.tfm) = %{tl_version}
Provides: tex(ecsi1095.tfm) = %{tl_version}
Provides: tex(ecsi1200.tfm) = %{tl_version}
Provides: tex(ecsi1440.tfm) = %{tl_version}
Provides: tex(ecsi1728.tfm) = %{tl_version}
Provides: tex(ecsi2074.tfm) = %{tl_version}
Provides: tex(ecsi2488.tfm) = %{tl_version}
Provides: tex(ecsi2986.tfm) = %{tl_version}
Provides: tex(ecsi3583.tfm) = %{tl_version}
Provides: tex(ecsl0500.tfm) = %{tl_version}
Provides: tex(ecsl0600.tfm) = %{tl_version}
Provides: tex(ecsl0700.tfm) = %{tl_version}
Provides: tex(ecsl0800.tfm) = %{tl_version}
Provides: tex(ecsl0900.tfm) = %{tl_version}
Provides: tex(ecsl1000.tfm) = %{tl_version}
Provides: tex(ecsl1095.tfm) = %{tl_version}
Provides: tex(ecsl1200.tfm) = %{tl_version}
Provides: tex(ecsl1440.tfm) = %{tl_version}
Provides: tex(ecsl1728.tfm) = %{tl_version}
Provides: tex(ecsl2074.tfm) = %{tl_version}
Provides: tex(ecsl2488.tfm) = %{tl_version}
Provides: tex(ecsl2986.tfm) = %{tl_version}
Provides: tex(ecsl3583.tfm) = %{tl_version}
Provides: tex(ecso0500.tfm) = %{tl_version}
Provides: tex(ecso0600.tfm) = %{tl_version}
Provides: tex(ecso0700.tfm) = %{tl_version}
Provides: tex(ecso0800.tfm) = %{tl_version}
Provides: tex(ecso0900.tfm) = %{tl_version}
Provides: tex(ecso1000.tfm) = %{tl_version}
Provides: tex(ecso1095.tfm) = %{tl_version}
Provides: tex(ecso1200.tfm) = %{tl_version}
Provides: tex(ecso1440.tfm) = %{tl_version}
Provides: tex(ecso1728.tfm) = %{tl_version}
Provides: tex(ecso2074.tfm) = %{tl_version}
Provides: tex(ecso2488.tfm) = %{tl_version}
Provides: tex(ecso2986.tfm) = %{tl_version}
Provides: tex(ecso3583.tfm) = %{tl_version}
Provides: tex(ecss0500.tfm) = %{tl_version}
Provides: tex(ecss0600.tfm) = %{tl_version}
Provides: tex(ecss0700.tfm) = %{tl_version}
Provides: tex(ecss0800.tfm) = %{tl_version}
Provides: tex(ecss0900.tfm) = %{tl_version}
Provides: tex(ecss1000.tfm) = %{tl_version}
Provides: tex(ecss1095.tfm) = %{tl_version}
Provides: tex(ecss1200.tfm) = %{tl_version}
Provides: tex(ecss1440.tfm) = %{tl_version}
Provides: tex(ecss1728.tfm) = %{tl_version}
Provides: tex(ecss2074.tfm) = %{tl_version}
Provides: tex(ecss2488.tfm) = %{tl_version}
Provides: tex(ecss2986.tfm) = %{tl_version}
Provides: tex(ecss3583.tfm) = %{tl_version}
Provides: tex(ecst0800.tfm) = %{tl_version}
Provides: tex(ecst0900.tfm) = %{tl_version}
Provides: tex(ecst1000.tfm) = %{tl_version}
Provides: tex(ecst1095.tfm) = %{tl_version}
Provides: tex(ecst1200.tfm) = %{tl_version}
Provides: tex(ecst1440.tfm) = %{tl_version}
Provides: tex(ecst1728.tfm) = %{tl_version}
Provides: tex(ecst2074.tfm) = %{tl_version}
Provides: tex(ecst2488.tfm) = %{tl_version}
Provides: tex(ecst2986.tfm) = %{tl_version}
Provides: tex(ecst3583.tfm) = %{tl_version}
Provides: tex(ecsx0500.tfm) = %{tl_version}
Provides: tex(ecsx0600.tfm) = %{tl_version}
Provides: tex(ecsx0700.tfm) = %{tl_version}
Provides: tex(ecsx0800.tfm) = %{tl_version}
Provides: tex(ecsx0900.tfm) = %{tl_version}
Provides: tex(ecsx1000.tfm) = %{tl_version}
Provides: tex(ecsx1095.tfm) = %{tl_version}
Provides: tex(ecsx1200.tfm) = %{tl_version}
Provides: tex(ecsx1440.tfm) = %{tl_version}
Provides: tex(ecsx1728.tfm) = %{tl_version}
Provides: tex(ecsx2074.tfm) = %{tl_version}
Provides: tex(ecsx2488.tfm) = %{tl_version}
Provides: tex(ecsx2986.tfm) = %{tl_version}
Provides: tex(ecsx3583.tfm) = %{tl_version}
Provides: tex(ectc0800.tfm) = %{tl_version}
Provides: tex(ectc0900.tfm) = %{tl_version}
Provides: tex(ectc1000.tfm) = %{tl_version}
Provides: tex(ectc1095.tfm) = %{tl_version}
Provides: tex(ectc1200.tfm) = %{tl_version}
Provides: tex(ectc1440.tfm) = %{tl_version}
Provides: tex(ectc1728.tfm) = %{tl_version}
Provides: tex(ectc2074.tfm) = %{tl_version}
Provides: tex(ectc2488.tfm) = %{tl_version}
Provides: tex(ectc2986.tfm) = %{tl_version}
Provides: tex(ectc3583.tfm) = %{tl_version}
Provides: tex(ecti0500.tfm) = %{tl_version}
Provides: tex(ecti0600.tfm) = %{tl_version}
Provides: tex(ecti0700.tfm) = %{tl_version}
Provides: tex(ecti0800.tfm) = %{tl_version}
Provides: tex(ecti0900.tfm) = %{tl_version}
Provides: tex(ecti1000.tfm) = %{tl_version}
Provides: tex(ecti1095.tfm) = %{tl_version}
Provides: tex(ecti1200.tfm) = %{tl_version}
Provides: tex(ecti1440.tfm) = %{tl_version}
Provides: tex(ecti1728.tfm) = %{tl_version}
Provides: tex(ecti2074.tfm) = %{tl_version}
Provides: tex(ecti2488.tfm) = %{tl_version}
Provides: tex(ecti2986.tfm) = %{tl_version}
Provides: tex(ecti3583.tfm) = %{tl_version}
Provides: tex(ectt0800.tfm) = %{tl_version}
Provides: tex(ectt0900.tfm) = %{tl_version}
Provides: tex(ectt1000.tfm) = %{tl_version}
Provides: tex(ectt1095.tfm) = %{tl_version}
Provides: tex(ectt1200.tfm) = %{tl_version}
Provides: tex(ectt1440.tfm) = %{tl_version}
Provides: tex(ectt1728.tfm) = %{tl_version}
Provides: tex(ectt2074.tfm) = %{tl_version}
Provides: tex(ectt2488.tfm) = %{tl_version}
Provides: tex(ectt2986.tfm) = %{tl_version}
Provides: tex(ectt3583.tfm) = %{tl_version}
Provides: tex(ecui0500.tfm) = %{tl_version}
Provides: tex(ecui0600.tfm) = %{tl_version}
Provides: tex(ecui0700.tfm) = %{tl_version}
Provides: tex(ecui0800.tfm) = %{tl_version}
Provides: tex(ecui0900.tfm) = %{tl_version}
Provides: tex(ecui1000.tfm) = %{tl_version}
Provides: tex(ecui1095.tfm) = %{tl_version}
Provides: tex(ecui1200.tfm) = %{tl_version}
Provides: tex(ecui1440.tfm) = %{tl_version}
Provides: tex(ecui1728.tfm) = %{tl_version}
Provides: tex(ecui2074.tfm) = %{tl_version}
Provides: tex(ecui2488.tfm) = %{tl_version}
Provides: tex(ecui2986.tfm) = %{tl_version}
Provides: tex(ecui3583.tfm) = %{tl_version}
Provides: tex(ecvi0800.tfm) = %{tl_version}
Provides: tex(ecvi0900.tfm) = %{tl_version}
Provides: tex(ecvi1000.tfm) = %{tl_version}
Provides: tex(ecvi1095.tfm) = %{tl_version}
Provides: tex(ecvi1200.tfm) = %{tl_version}
Provides: tex(ecvi1440.tfm) = %{tl_version}
Provides: tex(ecvi1728.tfm) = %{tl_version}
Provides: tex(ecvi2074.tfm) = %{tl_version}
Provides: tex(ecvi2488.tfm) = %{tl_version}
Provides: tex(ecvi2986.tfm) = %{tl_version}
Provides: tex(ecvi3583.tfm) = %{tl_version}
Provides: tex(ecvt0800.tfm) = %{tl_version}
Provides: tex(ecvt0900.tfm) = %{tl_version}
Provides: tex(ecvt1000.tfm) = %{tl_version}
Provides: tex(ecvt1095.tfm) = %{tl_version}
Provides: tex(ecvt1200.tfm) = %{tl_version}
Provides: tex(ecvt1440.tfm) = %{tl_version}
Provides: tex(ecvt1728.tfm) = %{tl_version}
Provides: tex(ecvt2074.tfm) = %{tl_version}
Provides: tex(ecvt2488.tfm) = %{tl_version}
Provides: tex(ecvt2986.tfm) = %{tl_version}
Provides: tex(ecvt3583.tfm) = %{tl_version}
Provides: tex(ecxc0500.tfm) = %{tl_version}
Provides: tex(ecxc0600.tfm) = %{tl_version}
Provides: tex(ecxc0700.tfm) = %{tl_version}
Provides: tex(ecxc0800.tfm) = %{tl_version}
Provides: tex(ecxc0900.tfm) = %{tl_version}
Provides: tex(ecxc1000.tfm) = %{tl_version}
Provides: tex(ecxc1095.tfm) = %{tl_version}
Provides: tex(ecxc1200.tfm) = %{tl_version}
Provides: tex(ecxc1440.tfm) = %{tl_version}
Provides: tex(ecxc1728.tfm) = %{tl_version}
Provides: tex(ecxc2074.tfm) = %{tl_version}
Provides: tex(ecxc2488.tfm) = %{tl_version}
Provides: tex(ecxc2986.tfm) = %{tl_version}
Provides: tex(ecxc3583.tfm) = %{tl_version}
Provides: tex(ieclb8.tfm) = %{tl_version}
Provides: tex(iecli8.tfm) = %{tl_version}
Provides: tex(ieclo8.tfm) = %{tl_version}
Provides: tex(ieclq8.tfm) = %{tl_version}
Provides: tex(iecltt8.tfm) = %{tl_version}
Provides: tex(tcbi0500.tfm) = %{tl_version}
Provides: tex(tcbi0600.tfm) = %{tl_version}
Provides: tex(tcbi0700.tfm) = %{tl_version}
Provides: tex(tcbi0800.tfm) = %{tl_version}
Provides: tex(tcbi0900.tfm) = %{tl_version}
Provides: tex(tcbi1000.tfm) = %{tl_version}
Provides: tex(tcbi1095.tfm) = %{tl_version}
Provides: tex(tcbi1200.tfm) = %{tl_version}
Provides: tex(tcbi1440.tfm) = %{tl_version}
Provides: tex(tcbi1728.tfm) = %{tl_version}
Provides: tex(tcbi2074.tfm) = %{tl_version}
Provides: tex(tcbi2488.tfm) = %{tl_version}
Provides: tex(tcbi2986.tfm) = %{tl_version}
Provides: tex(tcbi3583.tfm) = %{tl_version}
Provides: tex(tcbl0500.tfm) = %{tl_version}
Provides: tex(tcbl0600.tfm) = %{tl_version}
Provides: tex(tcbl0700.tfm) = %{tl_version}
Provides: tex(tcbl0800.tfm) = %{tl_version}
Provides: tex(tcbl0900.tfm) = %{tl_version}
Provides: tex(tcbl1000.tfm) = %{tl_version}
Provides: tex(tcbl1095.tfm) = %{tl_version}
Provides: tex(tcbl1200.tfm) = %{tl_version}
Provides: tex(tcbl1440.tfm) = %{tl_version}
Provides: tex(tcbl1728.tfm) = %{tl_version}
Provides: tex(tcbl2074.tfm) = %{tl_version}
Provides: tex(tcbl2488.tfm) = %{tl_version}
Provides: tex(tcbl2986.tfm) = %{tl_version}
Provides: tex(tcbl3583.tfm) = %{tl_version}
Provides: tex(tcbx0500.tfm) = %{tl_version}
Provides: tex(tcbx0600.tfm) = %{tl_version}
Provides: tex(tcbx0700.tfm) = %{tl_version}
Provides: tex(tcbx0800.tfm) = %{tl_version}
Provides: tex(tcbx0900.tfm) = %{tl_version}
Provides: tex(tcbx1000.tfm) = %{tl_version}
Provides: tex(tcbx1095.tfm) = %{tl_version}
Provides: tex(tcbx1200.tfm) = %{tl_version}
Provides: tex(tcbx1440.tfm) = %{tl_version}
Provides: tex(tcbx1728.tfm) = %{tl_version}
Provides: tex(tcbx2074.tfm) = %{tl_version}
Provides: tex(tcbx2488.tfm) = %{tl_version}
Provides: tex(tcbx2986.tfm) = %{tl_version}
Provides: tex(tcbx3583.tfm) = %{tl_version}
Provides: tex(tcci0500.tfm) = %{tl_version}
Provides: tex(tcci0600.tfm) = %{tl_version}
Provides: tex(tcci0700.tfm) = %{tl_version}
Provides: tex(tcci0800.tfm) = %{tl_version}
Provides: tex(tcci0900.tfm) = %{tl_version}
Provides: tex(tcci1000.tfm) = %{tl_version}
Provides: tex(tcci1095.tfm) = %{tl_version}
Provides: tex(tcci1200.tfm) = %{tl_version}
Provides: tex(tcci1440.tfm) = %{tl_version}
Provides: tex(tcci1728.tfm) = %{tl_version}
Provides: tex(tcci2074.tfm) = %{tl_version}
Provides: tex(tcci2488.tfm) = %{tl_version}
Provides: tex(tcci2986.tfm) = %{tl_version}
Provides: tex(tcci3583.tfm) = %{tl_version}
Provides: tex(tcit0800.tfm) = %{tl_version}
Provides: tex(tcit0900.tfm) = %{tl_version}
Provides: tex(tcit1000.tfm) = %{tl_version}
Provides: tex(tcit1095.tfm) = %{tl_version}
Provides: tex(tcit1200.tfm) = %{tl_version}
Provides: tex(tcit1440.tfm) = %{tl_version}
Provides: tex(tcit1728.tfm) = %{tl_version}
Provides: tex(tcit2074.tfm) = %{tl_version}
Provides: tex(tcit2488.tfm) = %{tl_version}
Provides: tex(tcit2986.tfm) = %{tl_version}
Provides: tex(tcit3583.tfm) = %{tl_version}
Provides: tex(tcrb0500.tfm) = %{tl_version}
Provides: tex(tcrb0600.tfm) = %{tl_version}
Provides: tex(tcrb0700.tfm) = %{tl_version}
Provides: tex(tcrb0800.tfm) = %{tl_version}
Provides: tex(tcrb0900.tfm) = %{tl_version}
Provides: tex(tcrb1000.tfm) = %{tl_version}
Provides: tex(tcrb1095.tfm) = %{tl_version}
Provides: tex(tcrb1200.tfm) = %{tl_version}
Provides: tex(tcrb1440.tfm) = %{tl_version}
Provides: tex(tcrb1728.tfm) = %{tl_version}
Provides: tex(tcrb2074.tfm) = %{tl_version}
Provides: tex(tcrb2488.tfm) = %{tl_version}
Provides: tex(tcrb2986.tfm) = %{tl_version}
Provides: tex(tcrb3583.tfm) = %{tl_version}
Provides: tex(tcrm0500.tfm) = %{tl_version}
Provides: tex(tcrm0600.tfm) = %{tl_version}
Provides: tex(tcrm0700.tfm) = %{tl_version}
Provides: tex(tcrm0800.tfm) = %{tl_version}
Provides: tex(tcrm0900.tfm) = %{tl_version}
Provides: tex(tcrm1000.tfm) = %{tl_version}
Provides: tex(tcrm1095.tfm) = %{tl_version}
Provides: tex(tcrm1200.tfm) = %{tl_version}
Provides: tex(tcrm1440.tfm) = %{tl_version}
Provides: tex(tcrm1728.tfm) = %{tl_version}
Provides: tex(tcrm2074.tfm) = %{tl_version}
Provides: tex(tcrm2488.tfm) = %{tl_version}
Provides: tex(tcrm2986.tfm) = %{tl_version}
Provides: tex(tcrm3583.tfm) = %{tl_version}
Provides: tex(tcsi0500.tfm) = %{tl_version}
Provides: tex(tcsi0600.tfm) = %{tl_version}
Provides: tex(tcsi0700.tfm) = %{tl_version}
Provides: tex(tcsi0800.tfm) = %{tl_version}
Provides: tex(tcsi0900.tfm) = %{tl_version}
Provides: tex(tcsi1000.tfm) = %{tl_version}
Provides: tex(tcsi1095.tfm) = %{tl_version}
Provides: tex(tcsi1200.tfm) = %{tl_version}
Provides: tex(tcsi1440.tfm) = %{tl_version}
Provides: tex(tcsi1728.tfm) = %{tl_version}
Provides: tex(tcsi2074.tfm) = %{tl_version}
Provides: tex(tcsi2488.tfm) = %{tl_version}
Provides: tex(tcsi2986.tfm) = %{tl_version}
Provides: tex(tcsi3583.tfm) = %{tl_version}
Provides: tex(tcsl0500.tfm) = %{tl_version}
Provides: tex(tcsl0600.tfm) = %{tl_version}
Provides: tex(tcsl0700.tfm) = %{tl_version}
Provides: tex(tcsl0800.tfm) = %{tl_version}
Provides: tex(tcsl0900.tfm) = %{tl_version}
Provides: tex(tcsl1000.tfm) = %{tl_version}
Provides: tex(tcsl1095.tfm) = %{tl_version}
Provides: tex(tcsl1200.tfm) = %{tl_version}
Provides: tex(tcsl1440.tfm) = %{tl_version}
Provides: tex(tcsl1728.tfm) = %{tl_version}
Provides: tex(tcsl2074.tfm) = %{tl_version}
Provides: tex(tcsl2488.tfm) = %{tl_version}
Provides: tex(tcsl2986.tfm) = %{tl_version}
Provides: tex(tcsl3583.tfm) = %{tl_version}
Provides: tex(tcso0500.tfm) = %{tl_version}
Provides: tex(tcso0600.tfm) = %{tl_version}
Provides: tex(tcso0700.tfm) = %{tl_version}
Provides: tex(tcso0800.tfm) = %{tl_version}
Provides: tex(tcso0900.tfm) = %{tl_version}
Provides: tex(tcso1000.tfm) = %{tl_version}
Provides: tex(tcso1095.tfm) = %{tl_version}
Provides: tex(tcso1200.tfm) = %{tl_version}
Provides: tex(tcso1440.tfm) = %{tl_version}
Provides: tex(tcso1728.tfm) = %{tl_version}
Provides: tex(tcso2074.tfm) = %{tl_version}
Provides: tex(tcso2488.tfm) = %{tl_version}
Provides: tex(tcso2986.tfm) = %{tl_version}
Provides: tex(tcso3583.tfm) = %{tl_version}
Provides: tex(tcss0500.tfm) = %{tl_version}
Provides: tex(tcss0600.tfm) = %{tl_version}
Provides: tex(tcss0700.tfm) = %{tl_version}
Provides: tex(tcss0800.tfm) = %{tl_version}
Provides: tex(tcss0900.tfm) = %{tl_version}
Provides: tex(tcss1000.tfm) = %{tl_version}
Provides: tex(tcss1095.tfm) = %{tl_version}
Provides: tex(tcss1200.tfm) = %{tl_version}
Provides: tex(tcss1440.tfm) = %{tl_version}
Provides: tex(tcss1728.tfm) = %{tl_version}
Provides: tex(tcss2074.tfm) = %{tl_version}
Provides: tex(tcss2488.tfm) = %{tl_version}
Provides: tex(tcss2986.tfm) = %{tl_version}
Provides: tex(tcss3583.tfm) = %{tl_version}
Provides: tex(tcst0800.tfm) = %{tl_version}
Provides: tex(tcst0900.tfm) = %{tl_version}
Provides: tex(tcst1000.tfm) = %{tl_version}
Provides: tex(tcst1095.tfm) = %{tl_version}
Provides: tex(tcst1200.tfm) = %{tl_version}
Provides: tex(tcst1440.tfm) = %{tl_version}
Provides: tex(tcst1728.tfm) = %{tl_version}
Provides: tex(tcst2074.tfm) = %{tl_version}
Provides: tex(tcst2488.tfm) = %{tl_version}
Provides: tex(tcst2986.tfm) = %{tl_version}
Provides: tex(tcst3583.tfm) = %{tl_version}
Provides: tex(tcsx0500.tfm) = %{tl_version}
Provides: tex(tcsx0600.tfm) = %{tl_version}
Provides: tex(tcsx0700.tfm) = %{tl_version}
Provides: tex(tcsx0800.tfm) = %{tl_version}
Provides: tex(tcsx0900.tfm) = %{tl_version}
Provides: tex(tcsx1000.tfm) = %{tl_version}
Provides: tex(tcsx1095.tfm) = %{tl_version}
Provides: tex(tcsx1200.tfm) = %{tl_version}
Provides: tex(tcsx1440.tfm) = %{tl_version}
Provides: tex(tcsx1728.tfm) = %{tl_version}
Provides: tex(tcsx2074.tfm) = %{tl_version}
Provides: tex(tcsx2488.tfm) = %{tl_version}
Provides: tex(tcsx2986.tfm) = %{tl_version}
Provides: tex(tcsx3583.tfm) = %{tl_version}
Provides: tex(tcti0500.tfm) = %{tl_version}
Provides: tex(tcti0600.tfm) = %{tl_version}
Provides: tex(tcti0700.tfm) = %{tl_version}
Provides: tex(tcti0800.tfm) = %{tl_version}
Provides: tex(tcti0900.tfm) = %{tl_version}
Provides: tex(tcti1000.tfm) = %{tl_version}
Provides: tex(tcti1095.tfm) = %{tl_version}
Provides: tex(tcti1200.tfm) = %{tl_version}
Provides: tex(tcti1440.tfm) = %{tl_version}
Provides: tex(tcti1728.tfm) = %{tl_version}
Provides: tex(tcti2074.tfm) = %{tl_version}
Provides: tex(tcti2488.tfm) = %{tl_version}
Provides: tex(tcti2986.tfm) = %{tl_version}
Provides: tex(tcti3583.tfm) = %{tl_version}
Provides: tex(tctt0800.tfm) = %{tl_version}
Provides: tex(tctt0900.tfm) = %{tl_version}
Provides: tex(tctt1000.tfm) = %{tl_version}
Provides: tex(tctt1095.tfm) = %{tl_version}
Provides: tex(tctt1200.tfm) = %{tl_version}
Provides: tex(tctt1440.tfm) = %{tl_version}
Provides: tex(tctt1728.tfm) = %{tl_version}
Provides: tex(tctt2074.tfm) = %{tl_version}
Provides: tex(tctt2488.tfm) = %{tl_version}
Provides: tex(tctt2986.tfm) = %{tl_version}
Provides: tex(tctt3583.tfm) = %{tl_version}
Provides: tex(tcui0500.tfm) = %{tl_version}
Provides: tex(tcui0600.tfm) = %{tl_version}
Provides: tex(tcui0700.tfm) = %{tl_version}
Provides: tex(tcui0800.tfm) = %{tl_version}
Provides: tex(tcui0900.tfm) = %{tl_version}
Provides: tex(tcui1000.tfm) = %{tl_version}
Provides: tex(tcui1095.tfm) = %{tl_version}
Provides: tex(tcui1200.tfm) = %{tl_version}
Provides: tex(tcui1440.tfm) = %{tl_version}
Provides: tex(tcui1728.tfm) = %{tl_version}
Provides: tex(tcui2074.tfm) = %{tl_version}
Provides: tex(tcui2488.tfm) = %{tl_version}
Provides: tex(tcui2986.tfm) = %{tl_version}
Provides: tex(tcui3583.tfm) = %{tl_version}
Provides: tex(tcvi0800.tfm) = %{tl_version}
Provides: tex(tcvi0900.tfm) = %{tl_version}
Provides: tex(tcvi1000.tfm) = %{tl_version}
Provides: tex(tcvi1095.tfm) = %{tl_version}
Provides: tex(tcvi1200.tfm) = %{tl_version}
Provides: tex(tcvi1440.tfm) = %{tl_version}
Provides: tex(tcvi1728.tfm) = %{tl_version}
Provides: tex(tcvi2074.tfm) = %{tl_version}
Provides: tex(tcvi2488.tfm) = %{tl_version}
Provides: tex(tcvi2986.tfm) = %{tl_version}
Provides: tex(tcvi3583.tfm) = %{tl_version}
Provides: tex(tcvt0800.tfm) = %{tl_version}
Provides: tex(tcvt0900.tfm) = %{tl_version}
Provides: tex(tcvt1000.tfm) = %{tl_version}
Provides: tex(tcvt1095.tfm) = %{tl_version}
Provides: tex(tcvt1200.tfm) = %{tl_version}
Provides: tex(tcvt1440.tfm) = %{tl_version}
Provides: tex(tcvt1728.tfm) = %{tl_version}
Provides: tex(tcvt2074.tfm) = %{tl_version}
Provides: tex(tcvt2488.tfm) = %{tl_version}
Provides: tex(tcvt2986.tfm) = %{tl_version}
Provides: tex(tcvt3583.tfm) = %{tl_version}

%description ec
The EC fonts are European Computer Modern Fonts, supporting the
complete LaTeX T1 encoding defined at the 1990 TUG conference
hold at Cork/Ireland. These fonts are intended to be stable
with no changes being made to the tfm files. The set also
contains a Text Companion Symbol font, called tc, featuring
many useful characters needed in text typesetting, for example
oldstyle digits, currency symbols (including the newly created
Euro symbol), the permille sign, copyright, trade mark and
servicemark as well as a copyleft sign, and many others. Recent
releases of LaTeX2e support the EC fonts. The EC fonts
supersede the preliminary version released as the DC fonts. The
fonts are available in (traced) Adobe Type 1 format, as part of
the cm-super bundle. The other Computer Modern-style T1-encoded
Type 1 set, Latin Modern, is not actually a direct development
of the EC set, and differs from the EC in a number of
particulars.

%package ec-doc
Summary: Documentation for ec
Version: svn25033.1.0

Provides: tex-ec-doc
AutoReqProv: No

%description ec-doc
Documentation for ec

%package euro
Provides: tex-euro = %{tl_version}
License: LPPL
Summary: Provide Euro values for national currency amounts
Version: svn22191.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp-basic.sty)
Requires: tex(fp-snap.sty)
Provides: tex(euro.sty) = %{tl_version}

%description euro
Converts arbitrary national currency amounts using the Euro as
base unit, and typesets monetary amounts in almost any desired
way. Write, e.g., \ATS{17.6} to get something like '17,60 oS
(1,28 Euro)' automatically. Conversion rates for the initial
Euro-zone countries are already built-in. Further rates can be
added easily. The package uses the fp package to do its sums.

%package euro-doc
Summary: Documentation for euro
Version: svn22191.1.1

Provides: tex-euro-doc
AutoReqProv: No

%description euro-doc
Documentation for euro

%package eurosym
Provides: tex-eurosym = %{tl_version}
License: Eurosym
Summary: Metafont and macros for Euro sign
Version: svn17265.1.4_subrfix

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(eurosym.map) = %{tl_version}
Provides: tex(feybl10.tfm) = %{tl_version}
Provides: tex(feybo10.tfm) = %{tl_version}
Provides: tex(feybr10.tfm) = %{tl_version}
Provides: tex(feyml10.tfm) = %{tl_version}
Provides: tex(feymo10.tfm) = %{tl_version}
Provides: tex(feymr10.tfm) = %{tl_version}
Provides: tex(feybl10.pfb) = %{tl_version}
Provides: tex(feybo10.pfb) = %{tl_version}
Provides: tex(feybr10.pfb) = %{tl_version}
Provides: tex(feyml10.pfb) = %{tl_version}
Provides: tex(feymo10.pfb) = %{tl_version}
Provides: tex(feymr10.pfb) = %{tl_version}
Provides: tex(geybl10.pfb) = %{tl_version}
Provides: tex(geybo10.pfb) = %{tl_version}
Provides: tex(geybr10.pfb) = %{tl_version}
Provides: tex(geyml10.pfb) = %{tl_version}
Provides: tex(geymo10.pfb) = %{tl_version}
Provides: tex(geymr10.pfb) = %{tl_version}
Provides: tex(eurosym.sty) = %{tl_version}

%description eurosym
The European currency symbol for the Euro implemented in
Metafont, using the official European Commission dimensions,
and providing several shapes (normal, slanted, bold, outline).
The package also includes a LaTeX package which defines the
macro, pre-compiled tfm files, and documentation.

%package eurosym-doc
Summary: Documentation for eurosym
Version: svn17265.1.4_subrfix

Provides: tex-eurosym-doc
AutoReqProv: No

%description eurosym-doc
Documentation for eurosym

%package fpl
Provides: tex-fpl = %{tl_version}
License: GPL+
Summary: SC and OsF fonts for URW Palladio L
Version: svn15878.1.002

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fplbij8a.pfb) = %{tl_version}
Provides: tex(fplbj8a.pfb) = %{tl_version}
Provides: tex(fplrc8a.pfb) = %{tl_version}
Provides: tex(fplrij8a.pfb) = %{tl_version}

%description fpl
The FPL Fonts provide a set of SC/OsF fonts for URW Palladio L
which are compatible with respect to metrics with the Palatino
SC/OsF fonts from Adobe. Note that it is not my aim to exactly
reproduce the outlines of the original Adobe fonts. The SC and
OsF in the FPL Fonts were designed with the glyphs from URW
Palladio L as starting point. For some glyphs (e.g. 'o') I got
the best result by scaling and boldening. For others (e.g. 'h')
shifting selected portions of the character gave more
satisfying results. All this was done using the free font
editor FontForge. The kerning data in these fonts comes from
Walter Schmidt's improved Palatino metrics. LaTeX use is
enabled by the mathpazo package, which is part of the psnfss
distribution.

%package fpl-doc
Summary: Documentation for fpl
Version: svn15878.1.002

Provides: tex-fpl-doc
AutoReqProv: No

%description fpl-doc
Documentation for fpl

%package helvetic
Provides: tex-helvetic = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(uhv.map) = %{tl_version}
Provides: tex(phvb.tfm) = %{tl_version}
Provides: tex(phvb7t.tfm) = %{tl_version}
Provides: tex(phvb7tn.tfm) = %{tl_version}
Provides: tex(phvb8c.tfm) = %{tl_version}
Provides: tex(phvb8cn.tfm) = %{tl_version}
Provides: tex(phvb8r.tfm) = %{tl_version}
Provides: tex(phvb8rn.tfm) = %{tl_version}
Provides: tex(phvb8t.tfm) = %{tl_version}
Provides: tex(phvb8tn.tfm) = %{tl_version}
Provides: tex(phvbc.tfm) = %{tl_version}
Provides: tex(phvbc7t.tfm) = %{tl_version}
Provides: tex(phvbc7tn.tfm) = %{tl_version}
Provides: tex(phvbc8t.tfm) = %{tl_version}
Provides: tex(phvbc8tn.tfm) = %{tl_version}
Provides: tex(phvbo.tfm) = %{tl_version}
Provides: tex(phvbo7t.tfm) = %{tl_version}
Provides: tex(phvbo7tn.tfm) = %{tl_version}
Provides: tex(phvbo8c.tfm) = %{tl_version}
Provides: tex(phvbo8cn.tfm) = %{tl_version}
Provides: tex(phvbo8r.tfm) = %{tl_version}
Provides: tex(phvbo8rn.tfm) = %{tl_version}
Provides: tex(phvbo8t.tfm) = %{tl_version}
Provides: tex(phvbo8tn.tfm) = %{tl_version}
Provides: tex(phvbon.tfm) = %{tl_version}
Provides: tex(phvbrn.tfm) = %{tl_version}
Provides: tex(phvr.tfm) = %{tl_version}
Provides: tex(phvr7t.tfm) = %{tl_version}
Provides: tex(phvr7tn.tfm) = %{tl_version}
Provides: tex(phvr8c.tfm) = %{tl_version}
Provides: tex(phvr8cn.tfm) = %{tl_version}
Provides: tex(phvr8r.tfm) = %{tl_version}
Provides: tex(phvr8rn.tfm) = %{tl_version}
Provides: tex(phvr8t.tfm) = %{tl_version}
Provides: tex(phvr8tn.tfm) = %{tl_version}
Provides: tex(phvrc.tfm) = %{tl_version}
Provides: tex(phvrc7t.tfm) = %{tl_version}
Provides: tex(phvrc7tn.tfm) = %{tl_version}
Provides: tex(phvrc8t.tfm) = %{tl_version}
Provides: tex(phvrc8tn.tfm) = %{tl_version}
Provides: tex(phvro.tfm) = %{tl_version}
Provides: tex(phvro7t.tfm) = %{tl_version}
Provides: tex(phvro7tn.tfm) = %{tl_version}
Provides: tex(phvro8c.tfm) = %{tl_version}
Provides: tex(phvro8cn.tfm) = %{tl_version}
Provides: tex(phvro8r.tfm) = %{tl_version}
Provides: tex(phvro8rn.tfm) = %{tl_version}
Provides: tex(phvro8t.tfm) = %{tl_version}
Provides: tex(phvro8tn.tfm) = %{tl_version}
Provides: tex(phvron.tfm) = %{tl_version}
Provides: tex(phvrrn.tfm) = %{tl_version}
Provides: tex(arb10u.tfm) = %{tl_version}
Provides: tex(arb2n.tfm) = %{tl_version}
Provides: tex(arb7j.tfm) = %{tl_version}
Provides: tex(arb8u.tfm) = %{tl_version}
Provides: tex(arb9t.tfm) = %{tl_version}
Provides: tex(ari10u.tfm) = %{tl_version}
Provides: tex(ari2n.tfm) = %{tl_version}
Provides: tex(ari7j.tfm) = %{tl_version}
Provides: tex(ari8u.tfm) = %{tl_version}
Provides: tex(ari9t.tfm) = %{tl_version}
Provides: tex(arj10u.tfm) = %{tl_version}
Provides: tex(arj2n.tfm) = %{tl_version}
Provides: tex(arj7j.tfm) = %{tl_version}
Provides: tex(arj8u.tfm) = %{tl_version}
Provides: tex(arj9t.tfm) = %{tl_version}
Provides: tex(arr10u.tfm) = %{tl_version}
Provides: tex(arr2n.tfm) = %{tl_version}
Provides: tex(arr7j.tfm) = %{tl_version}
Provides: tex(arr8u.tfm) = %{tl_version}
Provides: tex(arr9t.tfm) = %{tl_version}
Provides: tex(mhvb.tfm) = %{tl_version}
Provides: tex(mhvb8t.tfm) = %{tl_version}
Provides: tex(mhvbi.tfm) = %{tl_version}
Provides: tex(mhvbi8t.tfm) = %{tl_version}
Provides: tex(mhvr.tfm) = %{tl_version}
Provides: tex(mhvr8t.tfm) = %{tl_version}
Provides: tex(mhvri.tfm) = %{tl_version}
Provides: tex(mhvri8t.tfm) = %{tl_version}
Provides: tex(uhvb7t.tfm) = %{tl_version}
Provides: tex(uhvb7tn.tfm) = %{tl_version}
Provides: tex(uhvb8c.tfm) = %{tl_version}
Provides: tex(uhvb8cn.tfm) = %{tl_version}
Provides: tex(uhvb8r.tfm) = %{tl_version}
Provides: tex(uhvb8rn.tfm) = %{tl_version}
Provides: tex(uhvb8t.tfm) = %{tl_version}
Provides: tex(uhvb8tn.tfm) = %{tl_version}
Provides: tex(uhvbc7t.tfm) = %{tl_version}
Provides: tex(uhvbc7tn.tfm) = %{tl_version}
Provides: tex(uhvbc8t.tfm) = %{tl_version}
Provides: tex(uhvbc8tn.tfm) = %{tl_version}
Provides: tex(uhvbi7t.tfm) = %{tl_version}
Provides: tex(uhvbi8c.tfm) = %{tl_version}
Provides: tex(uhvbi8r.tfm) = %{tl_version}
Provides: tex(uhvbi8t.tfm) = %{tl_version}
Provides: tex(uhvbo7t.tfm) = %{tl_version}
Provides: tex(uhvbo7tn.tfm) = %{tl_version}
Provides: tex(uhvbo8c.tfm) = %{tl_version}
Provides: tex(uhvbo8cn.tfm) = %{tl_version}
Provides: tex(uhvbo8r.tfm) = %{tl_version}
Provides: tex(uhvbo8rn.tfm) = %{tl_version}
Provides: tex(uhvbo8t.tfm) = %{tl_version}
Provides: tex(uhvbo8tn.tfm) = %{tl_version}
Provides: tex(uhvr7t.tfm) = %{tl_version}
Provides: tex(uhvr7tn.tfm) = %{tl_version}
Provides: tex(uhvr8c.tfm) = %{tl_version}
Provides: tex(uhvr8cn.tfm) = %{tl_version}
Provides: tex(uhvr8r.tfm) = %{tl_version}
Provides: tex(uhvr8rn.tfm) = %{tl_version}
Provides: tex(uhvr8t.tfm) = %{tl_version}
Provides: tex(uhvr8tn.tfm) = %{tl_version}
Provides: tex(uhvrc7t.tfm) = %{tl_version}
Provides: tex(uhvrc7tn.tfm) = %{tl_version}
Provides: tex(uhvrc8t.tfm) = %{tl_version}
Provides: tex(uhvrc8tn.tfm) = %{tl_version}
Provides: tex(uhvri7t.tfm) = %{tl_version}
Provides: tex(uhvri7tn.tfm) = %{tl_version}
Provides: tex(uhvri8c.tfm) = %{tl_version}
Provides: tex(uhvri8cn.tfm) = %{tl_version}
Provides: tex(uhvri8r.tfm) = %{tl_version}
Provides: tex(uhvri8rn.tfm) = %{tl_version}
Provides: tex(uhvri8t.tfm) = %{tl_version}
Provides: tex(uhvri8tn.tfm) = %{tl_version}
Provides: tex(uhvro7t.tfm) = %{tl_version}
Provides: tex(uhvro7tn.tfm) = %{tl_version}
Provides: tex(uhvro8c.tfm) = %{tl_version}
Provides: tex(uhvro8cn.tfm) = %{tl_version}
Provides: tex(uhvro8r.tfm) = %{tl_version}
Provides: tex(uhvro8rn.tfm) = %{tl_version}
Provides: tex(uhvro8t.tfm) = %{tl_version}
Provides: tex(uhvro8tn.tfm) = %{tl_version}
Provides: tex(uhvb8a.pfb) = %{tl_version}
Provides: tex(uhvb8ac.pfb) = %{tl_version}
Provides: tex(uhvbo8a.pfb) = %{tl_version}
Provides: tex(uhvbo8ac.pfb) = %{tl_version}
Provides: tex(uhvr8a-105.pfb) = %{tl_version}
Provides: tex(uhvr8a.pfb) = %{tl_version}
Provides: tex(uhvr8ac.pfb) = %{tl_version}
Provides: tex(uhvro8a-105.pfb) = %{tl_version}
Provides: tex(uhvro8a.pfb) = %{tl_version}
Provides: tex(uhvro8ac.pfb) = %{tl_version}
Provides: tex(phvb.vf) = %{tl_version}
Provides: tex(phvb7t.vf) = %{tl_version}
Provides: tex(phvb7tn.vf) = %{tl_version}
Provides: tex(phvb8c.vf) = %{tl_version}
Provides: tex(phvb8cn.vf) = %{tl_version}
Provides: tex(phvb8t.vf) = %{tl_version}
Provides: tex(phvb8tn.vf) = %{tl_version}
Provides: tex(phvbc.vf) = %{tl_version}
Provides: tex(phvbc7t.vf) = %{tl_version}
Provides: tex(phvbc7tn.vf) = %{tl_version}
Provides: tex(phvbc8t.vf) = %{tl_version}
Provides: tex(phvbc8tn.vf) = %{tl_version}
Provides: tex(phvbo.vf) = %{tl_version}
Provides: tex(phvbo7t.vf) = %{tl_version}
Provides: tex(phvbo7tn.vf) = %{tl_version}
Provides: tex(phvbo8c.vf) = %{tl_version}
Provides: tex(phvbo8cn.vf) = %{tl_version}
Provides: tex(phvbo8t.vf) = %{tl_version}
Provides: tex(phvbo8tn.vf) = %{tl_version}
Provides: tex(phvbon.vf) = %{tl_version}
Provides: tex(phvbrn.vf) = %{tl_version}
Provides: tex(phvr.vf) = %{tl_version}
Provides: tex(phvr7t.vf) = %{tl_version}
Provides: tex(phvr7tn.vf) = %{tl_version}
Provides: tex(phvr8c.vf) = %{tl_version}
Provides: tex(phvr8cn.vf) = %{tl_version}
Provides: tex(phvr8t.vf) = %{tl_version}
Provides: tex(phvr8tn.vf) = %{tl_version}
Provides: tex(phvrc.vf) = %{tl_version}
Provides: tex(phvrc7t.vf) = %{tl_version}
Provides: tex(phvrc7tn.vf) = %{tl_version}
Provides: tex(phvrc8t.vf) = %{tl_version}
Provides: tex(phvrc8tn.vf) = %{tl_version}
Provides: tex(phvro.vf) = %{tl_version}
Provides: tex(phvro7t.vf) = %{tl_version}
Provides: tex(phvro7tn.vf) = %{tl_version}
Provides: tex(phvro8c.vf) = %{tl_version}
Provides: tex(phvro8cn.vf) = %{tl_version}
Provides: tex(phvro8t.vf) = %{tl_version}
Provides: tex(phvro8tn.vf) = %{tl_version}
Provides: tex(phvron.vf) = %{tl_version}
Provides: tex(phvrrn.vf) = %{tl_version}
Provides: tex(mhvb.vf) = %{tl_version}
Provides: tex(mhvb8t.vf) = %{tl_version}
Provides: tex(mhvbi.vf) = %{tl_version}
Provides: tex(mhvbi8t.vf) = %{tl_version}
Provides: tex(mhvr.vf) = %{tl_version}
Provides: tex(mhvr8t.vf) = %{tl_version}
Provides: tex(mhvri.vf) = %{tl_version}
Provides: tex(mhvri8t.vf) = %{tl_version}
Provides: tex(uhvb7t.vf) = %{tl_version}
Provides: tex(uhvb7tn.vf) = %{tl_version}
Provides: tex(uhvb8c.vf) = %{tl_version}
Provides: tex(uhvb8cn.vf) = %{tl_version}
Provides: tex(uhvb8t.vf) = %{tl_version}
Provides: tex(uhvb8tn.vf) = %{tl_version}
Provides: tex(uhvbc7t.vf) = %{tl_version}
Provides: tex(uhvbc7tn.vf) = %{tl_version}
Provides: tex(uhvbc8t.vf) = %{tl_version}
Provides: tex(uhvbc8tn.vf) = %{tl_version}
Provides: tex(uhvbi7t.vf) = %{tl_version}
Provides: tex(uhvbi8c.vf) = %{tl_version}
Provides: tex(uhvbi8t.vf) = %{tl_version}
Provides: tex(uhvbo7t.vf) = %{tl_version}
Provides: tex(uhvbo7tn.vf) = %{tl_version}
Provides: tex(uhvbo8c.vf) = %{tl_version}
Provides: tex(uhvbo8cn.vf) = %{tl_version}
Provides: tex(uhvbo8t.vf) = %{tl_version}
Provides: tex(uhvbo8tn.vf) = %{tl_version}
Provides: tex(uhvr7t.vf) = %{tl_version}
Provides: tex(uhvr7tn.vf) = %{tl_version}
Provides: tex(uhvr8c.vf) = %{tl_version}
Provides: tex(uhvr8cn.vf) = %{tl_version}
Provides: tex(uhvr8t.vf) = %{tl_version}
Provides: tex(uhvr8tn.vf) = %{tl_version}
Provides: tex(uhvrc7t.vf) = %{tl_version}
Provides: tex(uhvrc7tn.vf) = %{tl_version}
Provides: tex(uhvrc8t.vf) = %{tl_version}
Provides: tex(uhvrc8tn.vf) = %{tl_version}
Provides: tex(uhvri7t.vf) = %{tl_version}
Provides: tex(uhvri7tn.vf) = %{tl_version}
Provides: tex(uhvri8c.vf) = %{tl_version}
Provides: tex(uhvri8cn.vf) = %{tl_version}
Provides: tex(uhvri8t.vf) = %{tl_version}
Provides: tex(uhvri8tn.vf) = %{tl_version}
Provides: tex(uhvro7t.vf) = %{tl_version}
Provides: tex(uhvro7tn.vf) = %{tl_version}
Provides: tex(uhvro8c.vf) = %{tl_version}
Provides: tex(uhvro8cn.vf) = %{tl_version}
Provides: tex(uhvro8t.vf) = %{tl_version}
Provides: tex(uhvro8tn.vf) = %{tl_version}
Provides: tex(8ruhv.fd) = %{tl_version}
Provides: tex(omluhv.fd) = %{tl_version}
Provides: tex(omsuhv.fd) = %{tl_version}
Provides: tex(ot1uhv.fd) = %{tl_version}
Provides: tex(t1uhv.fd) = %{tl_version}
Provides: tex(ts1uhv.fd) = %{tl_version}

%description helvetic
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package marvosym
Provides: tex-marvosym = %{tl_version}
License: OFL
Summary: Martin Vogel's Symbols (marvosym) font
Version: svn29349.2.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(marvosym.map) = %{tl_version}
Provides: tex(umvs.tfm) = %{tl_version}
Provides: tex(marvosym.ttf) = %{tl_version}
Provides: tex(marvosym.pfb) = %{tl_version}
Provides: tex(marvosym.sty) = %{tl_version}
Provides: tex(umvs.fd) = %{tl_version}

%description marvosym
Martin Vogel's Symbol font (marvosym) contains the Euro
currency symbol as defined by the European commission, along
with symbols for structural engineering; symbols for steel
cross-sections; astronomy signs (sun, moon, planets); the 12
signs of the zodiac; scissor symbols; CE sign and others. The
package contains both the original TrueType font and the
derived Type 1 font, together with support files for TeX
(LaTeX).

%package marvosym-doc
Summary: Documentation for marvosym
Version: svn29349.2.2a

Provides: tex-marvosym-doc
AutoReqProv: No

%description marvosym-doc
Documentation for marvosym

%package mathpazo
Provides: tex-mathpazo = %{tl_version}
License: GPL+
Summary: Fonts to typeset mathematics to match Palatino
Version: svn15878.1.003

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fplmb.tfm) = %{tl_version}
Provides: tex(fplmbb.tfm) = %{tl_version}
Provides: tex(fplmbi.tfm) = %{tl_version}
Provides: tex(fplmr.tfm) = %{tl_version}
Provides: tex(fplmri.tfm) = %{tl_version}
Provides: tex(zplmb7m.tfm) = %{tl_version}
Provides: tex(zplmb7t.tfm) = %{tl_version}
Provides: tex(zplmb7y.tfm) = %{tl_version}
Provides: tex(zplmr7m.tfm) = %{tl_version}
Provides: tex(zplmr7t.tfm) = %{tl_version}
Provides: tex(zplmr7v.tfm) = %{tl_version}
Provides: tex(zplmr7y.tfm) = %{tl_version}
Provides: tex(fplmb.pfb) = %{tl_version}
Provides: tex(fplmbb.pfb) = %{tl_version}
Provides: tex(fplmbi.pfb) = %{tl_version}
Provides: tex(fplmr.pfb) = %{tl_version}
Provides: tex(fplmri.pfb) = %{tl_version}
Provides: tex(zplmb7m.vf) = %{tl_version}
Provides: tex(zplmb7t.vf) = %{tl_version}
Provides: tex(zplmb7y.vf) = %{tl_version}
Provides: tex(zplmr7m.vf) = %{tl_version}
Provides: tex(zplmr7t.vf) = %{tl_version}
Provides: tex(zplmr7v.vf) = %{tl_version}
Provides: tex(zplmr7y.vf) = %{tl_version}

%description mathpazo
The Pazo Math fonts are a family of PostScript fonts suitable
for typesetting mathematics in combination with the Palatino
family of text fonts. The Pazo Math family is made up of five
fonts provided in Adobe Type 1 format (PazoMath, PazoMath-
Italic, PazoMath-Bold, PazoMath-BoldItalic, and
PazoMathBlackboardBold). These contain, in designs that match
Palatino, glyphs that are usually not available in Palatino and
for which Computer Modern looks odd when combined with
Palatino. These glyphs include the uppercase Greek alphabet in
upright and slanted shapes in regular and bold weights, the
lowercase Greek alphabet in slanted shape in regular and bold
weights, several mathematical glyphs (partialdiff, summation,
product, coproduct, emptyset, infinity, and proportional) in
regular and bold weights, other glyphs (Euro and dotlessj) in
upright and slanted shapes in regular and bold weights, and the
uppercase letters commonly used to represent various number
sets (C, I, N, Q, R, and Z) in blackboard bold. The set also
includes a set of 'true' small-caps fonts, also suitable for
use with Palatino (or one of its clones). LaTeX macro support
(using package mathpazo.sty) is provided in psnfss (a required
part of any LaTeX distribution).

%package mathpazo-doc
Summary: Documentation for mathpazo
Version: svn15878.1.003

Provides: tex-mathpazo-doc
AutoReqProv: No

%description mathpazo-doc
Documentation for mathpazo

%package ncntrsbk
Provides: tex-ncntrsbk = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(unc.map) = %{tl_version}
Provides: tex(pncb.tfm) = %{tl_version}
Provides: tex(pncb7t.tfm) = %{tl_version}
Provides: tex(pncb8c.tfm) = %{tl_version}
Provides: tex(pncb8r.tfm) = %{tl_version}
Provides: tex(pncb8t.tfm) = %{tl_version}
Provides: tex(pncbc.tfm) = %{tl_version}
Provides: tex(pncbc7t.tfm) = %{tl_version}
Provides: tex(pncbc8t.tfm) = %{tl_version}
Provides: tex(pncbi.tfm) = %{tl_version}
Provides: tex(pncbi7t.tfm) = %{tl_version}
Provides: tex(pncbi8c.tfm) = %{tl_version}
Provides: tex(pncbi8r.tfm) = %{tl_version}
Provides: tex(pncbi8t.tfm) = %{tl_version}
Provides: tex(pncbo.tfm) = %{tl_version}
Provides: tex(pncbo7t.tfm) = %{tl_version}
Provides: tex(pncbo8c.tfm) = %{tl_version}
Provides: tex(pncbo8r.tfm) = %{tl_version}
Provides: tex(pncbo8t.tfm) = %{tl_version}
Provides: tex(pncr.tfm) = %{tl_version}
Provides: tex(pncr7t.tfm) = %{tl_version}
Provides: tex(pncr8c.tfm) = %{tl_version}
Provides: tex(pncr8r.tfm) = %{tl_version}
Provides: tex(pncr8t.tfm) = %{tl_version}
Provides: tex(pncrc.tfm) = %{tl_version}
Provides: tex(pncrc7t.tfm) = %{tl_version}
Provides: tex(pncrc8t.tfm) = %{tl_version}
Provides: tex(pncri.tfm) = %{tl_version}
Provides: tex(pncri7t.tfm) = %{tl_version}
Provides: tex(pncri8c.tfm) = %{tl_version}
Provides: tex(pncri8r.tfm) = %{tl_version}
Provides: tex(pncri8t.tfm) = %{tl_version}
Provides: tex(pncro.tfm) = %{tl_version}
Provides: tex(pncro7t.tfm) = %{tl_version}
Provides: tex(pncro8c.tfm) = %{tl_version}
Provides: tex(pncro8r.tfm) = %{tl_version}
Provides: tex(pncro8t.tfm) = %{tl_version}
Provides: tex(uncb7t.tfm) = %{tl_version}
Provides: tex(uncb8c.tfm) = %{tl_version}
Provides: tex(uncb8r.tfm) = %{tl_version}
Provides: tex(uncb8t.tfm) = %{tl_version}
Provides: tex(uncbc7t.tfm) = %{tl_version}
Provides: tex(uncbc8t.tfm) = %{tl_version}
Provides: tex(uncbi7t.tfm) = %{tl_version}
Provides: tex(uncbi8c.tfm) = %{tl_version}
Provides: tex(uncbi8r.tfm) = %{tl_version}
Provides: tex(uncbi8t.tfm) = %{tl_version}
Provides: tex(uncbo7t.tfm) = %{tl_version}
Provides: tex(uncbo8c.tfm) = %{tl_version}
Provides: tex(uncbo8r.tfm) = %{tl_version}
Provides: tex(uncbo8t.tfm) = %{tl_version}
Provides: tex(uncr7t.tfm) = %{tl_version}
Provides: tex(uncr8c.tfm) = %{tl_version}
Provides: tex(uncr8r.tfm) = %{tl_version}
Provides: tex(uncr8t.tfm) = %{tl_version}
Provides: tex(uncrc7t.tfm) = %{tl_version}
Provides: tex(uncrc8t.tfm) = %{tl_version}
Provides: tex(uncri7t.tfm) = %{tl_version}
Provides: tex(uncri8c.tfm) = %{tl_version}
Provides: tex(uncri8r.tfm) = %{tl_version}
Provides: tex(uncri8t.tfm) = %{tl_version}
Provides: tex(uncro7t.tfm) = %{tl_version}
Provides: tex(uncro8c.tfm) = %{tl_version}
Provides: tex(uncro8r.tfm) = %{tl_version}
Provides: tex(uncro8t.tfm) = %{tl_version}
Provides: tex(uncb8a.pfb) = %{tl_version}
Provides: tex(uncbi8a.pfb) = %{tl_version}
Provides: tex(uncr8a.pfb) = %{tl_version}
Provides: tex(uncri8a.pfb) = %{tl_version}
Provides: tex(pncb.vf) = %{tl_version}
Provides: tex(pncb7t.vf) = %{tl_version}
Provides: tex(pncb8c.vf) = %{tl_version}
Provides: tex(pncb8t.vf) = %{tl_version}
Provides: tex(pncbc.vf) = %{tl_version}
Provides: tex(pncbc7t.vf) = %{tl_version}
Provides: tex(pncbc8t.vf) = %{tl_version}
Provides: tex(pncbi.vf) = %{tl_version}
Provides: tex(pncbi7t.vf) = %{tl_version}
Provides: tex(pncbi8c.vf) = %{tl_version}
Provides: tex(pncbi8t.vf) = %{tl_version}
Provides: tex(pncbo.vf) = %{tl_version}
Provides: tex(pncbo7t.vf) = %{tl_version}
Provides: tex(pncbo8c.vf) = %{tl_version}
Provides: tex(pncbo8t.vf) = %{tl_version}
Provides: tex(pncr.vf) = %{tl_version}
Provides: tex(pncr7t.vf) = %{tl_version}
Provides: tex(pncr8c.vf) = %{tl_version}
Provides: tex(pncr8t.vf) = %{tl_version}
Provides: tex(pncrc.vf) = %{tl_version}
Provides: tex(pncrc7t.vf) = %{tl_version}
Provides: tex(pncrc8t.vf) = %{tl_version}
Provides: tex(pncri.vf) = %{tl_version}
Provides: tex(pncri7t.vf) = %{tl_version}
Provides: tex(pncri8c.vf) = %{tl_version}
Provides: tex(pncri8t.vf) = %{tl_version}
Provides: tex(pncro.vf) = %{tl_version}
Provides: tex(pncro7t.vf) = %{tl_version}
Provides: tex(pncro8c.vf) = %{tl_version}
Provides: tex(pncro8t.vf) = %{tl_version}
Provides: tex(uncb7t.vf) = %{tl_version}
Provides: tex(uncb8c.vf) = %{tl_version}
Provides: tex(uncb8t.vf) = %{tl_version}
Provides: tex(uncbc7t.vf) = %{tl_version}
Provides: tex(uncbc8t.vf) = %{tl_version}
Provides: tex(uncbi7t.vf) = %{tl_version}
Provides: tex(uncbi8c.vf) = %{tl_version}
Provides: tex(uncbi8t.vf) = %{tl_version}
Provides: tex(uncbo7t.vf) = %{tl_version}
Provides: tex(uncbo8c.vf) = %{tl_version}
Provides: tex(uncbo8t.vf) = %{tl_version}
Provides: tex(uncr7t.vf) = %{tl_version}
Provides: tex(uncr8c.vf) = %{tl_version}
Provides: tex(uncr8t.vf) = %{tl_version}
Provides: tex(uncrc7t.vf) = %{tl_version}
Provides: tex(uncrc8t.vf) = %{tl_version}
Provides: tex(uncri7t.vf) = %{tl_version}
Provides: tex(uncri8c.vf) = %{tl_version}
Provides: tex(uncri8t.vf) = %{tl_version}
Provides: tex(uncro7t.vf) = %{tl_version}
Provides: tex(uncro8c.vf) = %{tl_version}
Provides: tex(uncro8t.vf) = %{tl_version}
Provides: tex(8runc.fd) = %{tl_version}
Provides: tex(omlunc.fd) = %{tl_version}
Provides: tex(omsunc.fd) = %{tl_version}
Provides: tex(ot1unc.fd) = %{tl_version}
Provides: tex(t1unc.fd) = %{tl_version}
Provides: tex(ts1unc.fd) = %{tl_version}

%description ncntrsbk
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package palatino
Provides: tex-palatino = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(upl.map) = %{tl_version}
Provides: tex(eurbo10.tfm) = %{tl_version}
Provides: tex(eurmo10.tfm) = %{tl_version}
Provides: tex(pplb.tfm) = %{tl_version}
Provides: tex(pplb7t.tfm) = %{tl_version}
Provides: tex(pplb8c.tfm) = %{tl_version}
Provides: tex(pplb8r.tfm) = %{tl_version}
Provides: tex(pplb8t.tfm) = %{tl_version}
Provides: tex(pplb9c.tfm) = %{tl_version}
Provides: tex(pplb9d.tfm) = %{tl_version}
Provides: tex(pplb9e.tfm) = %{tl_version}
Provides: tex(pplb9o.tfm) = %{tl_version}
Provides: tex(pplb9t.tfm) = %{tl_version}
Provides: tex(pplbc.tfm) = %{tl_version}
Provides: tex(pplbc7t.tfm) = %{tl_version}
Provides: tex(pplbc8t.tfm) = %{tl_version}
Provides: tex(pplbi.tfm) = %{tl_version}
Provides: tex(pplbi7t.tfm) = %{tl_version}
Provides: tex(pplbi8c.tfm) = %{tl_version}
Provides: tex(pplbi8r.tfm) = %{tl_version}
Provides: tex(pplbi8t.tfm) = %{tl_version}
Provides: tex(pplbi9c.tfm) = %{tl_version}
Provides: tex(pplbi9d.tfm) = %{tl_version}
Provides: tex(pplbi9e.tfm) = %{tl_version}
Provides: tex(pplbi9o.tfm) = %{tl_version}
Provides: tex(pplbi9t.tfm) = %{tl_version}
Provides: tex(pplbij8r.tfm) = %{tl_version}
Provides: tex(pplbj8r.tfm) = %{tl_version}
Provides: tex(pplbo.tfm) = %{tl_version}
Provides: tex(pplbo7t.tfm) = %{tl_version}
Provides: tex(pplbo8c.tfm) = %{tl_version}
Provides: tex(pplbo8r.tfm) = %{tl_version}
Provides: tex(pplbo8t.tfm) = %{tl_version}
Provides: tex(pplbu.tfm) = %{tl_version}
Provides: tex(pplbu8r.tfm) = %{tl_version}
Provides: tex(pplr.tfm) = %{tl_version}
Provides: tex(pplr7t.tfm) = %{tl_version}
Provides: tex(pplr8c.tfm) = %{tl_version}
Provides: tex(pplr8r.tfm) = %{tl_version}
Provides: tex(pplr8rn.tfm) = %{tl_version}
Provides: tex(pplr8t.tfm) = %{tl_version}
Provides: tex(pplr9c.tfm) = %{tl_version}
Provides: tex(pplr9d.tfm) = %{tl_version}
Provides: tex(pplr9e.tfm) = %{tl_version}
Provides: tex(pplr9o.tfm) = %{tl_version}
Provides: tex(pplr9t.tfm) = %{tl_version}
Provides: tex(pplrc.tfm) = %{tl_version}
Provides: tex(pplrc7t.tfm) = %{tl_version}
Provides: tex(pplrc8r.tfm) = %{tl_version}
Provides: tex(pplrc8t.tfm) = %{tl_version}
Provides: tex(pplrc9d.tfm) = %{tl_version}
Provides: tex(pplrc9e.tfm) = %{tl_version}
Provides: tex(pplrc9o.tfm) = %{tl_version}
Provides: tex(pplrc9t.tfm) = %{tl_version}
Provides: tex(pplri.tfm) = %{tl_version}
Provides: tex(pplri7t.tfm) = %{tl_version}
Provides: tex(pplri8c.tfm) = %{tl_version}
Provides: tex(pplri8r.tfm) = %{tl_version}
Provides: tex(pplri8t.tfm) = %{tl_version}
Provides: tex(pplri9c.tfm) = %{tl_version}
Provides: tex(pplri9d.tfm) = %{tl_version}
Provides: tex(pplri9e.tfm) = %{tl_version}
Provides: tex(pplri9o.tfm) = %{tl_version}
Provides: tex(pplri9t.tfm) = %{tl_version}
Provides: tex(pplrij8r.tfm) = %{tl_version}
Provides: tex(pplro.tfm) = %{tl_version}
Provides: tex(pplro7t.tfm) = %{tl_version}
Provides: tex(pplro8c.tfm) = %{tl_version}
Provides: tex(pplro8r.tfm) = %{tl_version}
Provides: tex(pplro8t.tfm) = %{tl_version}
Provides: tex(pplrr8re.tfm) = %{tl_version}
Provides: tex(pplrre.tfm) = %{tl_version}
Provides: tex(pplrrn.tfm) = %{tl_version}
Provides: tex(pplru.tfm) = %{tl_version}
Provides: tex(pplru8r.tfm) = %{tl_version}
Provides: tex(zppleb7m.tfm) = %{tl_version}
Provides: tex(zppleb7t.tfm) = %{tl_version}
Provides: tex(zppleb7y.tfm) = %{tl_version}
Provides: tex(zppler7m.tfm) = %{tl_version}
Provides: tex(zppler7t.tfm) = %{tl_version}
Provides: tex(zppler7v.tfm) = %{tl_version}
Provides: tex(zppler7y.tfm) = %{tl_version}
Provides: tex(uplb7t.tfm) = %{tl_version}
Provides: tex(uplb8c.tfm) = %{tl_version}
Provides: tex(uplb8r.tfm) = %{tl_version}
Provides: tex(uplb8t.tfm) = %{tl_version}
Provides: tex(uplbc7t.tfm) = %{tl_version}
Provides: tex(uplbc8t.tfm) = %{tl_version}
Provides: tex(uplbi7t.tfm) = %{tl_version}
Provides: tex(uplbi8c.tfm) = %{tl_version}
Provides: tex(uplbi8r.tfm) = %{tl_version}
Provides: tex(uplbi8t.tfm) = %{tl_version}
Provides: tex(uplbo7t.tfm) = %{tl_version}
Provides: tex(uplbo8c.tfm) = %{tl_version}
Provides: tex(uplbo8r.tfm) = %{tl_version}
Provides: tex(uplbo8t.tfm) = %{tl_version}
Provides: tex(uplr7t.tfm) = %{tl_version}
Provides: tex(uplr8c.tfm) = %{tl_version}
Provides: tex(uplr8r.tfm) = %{tl_version}
Provides: tex(uplr8t.tfm) = %{tl_version}
Provides: tex(uplrc7t.tfm) = %{tl_version}
Provides: tex(uplrc8t.tfm) = %{tl_version}
Provides: tex(uplri7t.tfm) = %{tl_version}
Provides: tex(uplri8c.tfm) = %{tl_version}
Provides: tex(uplri8r.tfm) = %{tl_version}
Provides: tex(uplri8t.tfm) = %{tl_version}
Provides: tex(uplro7t.tfm) = %{tl_version}
Provides: tex(uplro8c.tfm) = %{tl_version}
Provides: tex(uplro8r.tfm) = %{tl_version}
Provides: tex(uplro8t.tfm) = %{tl_version}
Provides: tex(uplb8a.pfb) = %{tl_version}
Provides: tex(uplbi8a.pfb) = %{tl_version}
Provides: tex(uplr8a.pfb) = %{tl_version}
Provides: tex(uplri8a.pfb) = %{tl_version}
Provides: tex(pplb.vf) = %{tl_version}
Provides: tex(pplb7t.vf) = %{tl_version}
Provides: tex(pplb8c.vf) = %{tl_version}
Provides: tex(pplb8t.vf) = %{tl_version}
Provides: tex(pplb9c.vf) = %{tl_version}
Provides: tex(pplb9d.vf) = %{tl_version}
Provides: tex(pplb9e.vf) = %{tl_version}
Provides: tex(pplb9o.vf) = %{tl_version}
Provides: tex(pplb9t.vf) = %{tl_version}
Provides: tex(pplbc.vf) = %{tl_version}
Provides: tex(pplbc7t.vf) = %{tl_version}
Provides: tex(pplbc8t.vf) = %{tl_version}
Provides: tex(pplbi.vf) = %{tl_version}
Provides: tex(pplbi7t.vf) = %{tl_version}
Provides: tex(pplbi8c.vf) = %{tl_version}
Provides: tex(pplbi8t.vf) = %{tl_version}
Provides: tex(pplbi9c.vf) = %{tl_version}
Provides: tex(pplbi9d.vf) = %{tl_version}
Provides: tex(pplbi9e.vf) = %{tl_version}
Provides: tex(pplbi9o.vf) = %{tl_version}
Provides: tex(pplbi9t.vf) = %{tl_version}
Provides: tex(pplbo.vf) = %{tl_version}
Provides: tex(pplbo7t.vf) = %{tl_version}
Provides: tex(pplbo8c.vf) = %{tl_version}
Provides: tex(pplbo8t.vf) = %{tl_version}
Provides: tex(pplbu.vf) = %{tl_version}
Provides: tex(pplr.vf) = %{tl_version}
Provides: tex(pplr7t.vf) = %{tl_version}
Provides: tex(pplr8c.vf) = %{tl_version}
Provides: tex(pplr8t.vf) = %{tl_version}
Provides: tex(pplr9c.vf) = %{tl_version}
Provides: tex(pplr9d.vf) = %{tl_version}
Provides: tex(pplr9e.vf) = %{tl_version}
Provides: tex(pplr9o.vf) = %{tl_version}
Provides: tex(pplr9t.vf) = %{tl_version}
Provides: tex(pplrc.vf) = %{tl_version}
Provides: tex(pplrc7t.vf) = %{tl_version}
Provides: tex(pplrc8t.vf) = %{tl_version}
Provides: tex(pplrc9d.vf) = %{tl_version}
Provides: tex(pplrc9e.vf) = %{tl_version}
Provides: tex(pplrc9o.vf) = %{tl_version}
Provides: tex(pplrc9t.vf) = %{tl_version}
Provides: tex(pplri.vf) = %{tl_version}
Provides: tex(pplri7t.vf) = %{tl_version}
Provides: tex(pplri8c.vf) = %{tl_version}
Provides: tex(pplri8t.vf) = %{tl_version}
Provides: tex(pplri9c.vf) = %{tl_version}
Provides: tex(pplri9d.vf) = %{tl_version}
Provides: tex(pplri9e.vf) = %{tl_version}
Provides: tex(pplri9o.vf) = %{tl_version}
Provides: tex(pplri9t.vf) = %{tl_version}
Provides: tex(pplro.vf) = %{tl_version}
Provides: tex(pplro7t.vf) = %{tl_version}
Provides: tex(pplro8c.vf) = %{tl_version}
Provides: tex(pplro8t.vf) = %{tl_version}
Provides: tex(pplrre.vf) = %{tl_version}
Provides: tex(pplrrn.vf) = %{tl_version}
Provides: tex(pplru.vf) = %{tl_version}
Provides: tex(zppleb7m.vf) = %{tl_version}
Provides: tex(zppleb7t.vf) = %{tl_version}
Provides: tex(zppleb7y.vf) = %{tl_version}
Provides: tex(zppler7m.vf) = %{tl_version}
Provides: tex(zppler7t.vf) = %{tl_version}
Provides: tex(zppler7v.vf) = %{tl_version}
Provides: tex(zppler7y.vf) = %{tl_version}
Provides: tex(uplb7t.vf) = %{tl_version}
Provides: tex(uplb8c.vf) = %{tl_version}
Provides: tex(uplb8t.vf) = %{tl_version}
Provides: tex(uplbc7t.vf) = %{tl_version}
Provides: tex(uplbc8t.vf) = %{tl_version}
Provides: tex(uplbi7t.vf) = %{tl_version}
Provides: tex(uplbi8c.vf) = %{tl_version}
Provides: tex(uplbi8t.vf) = %{tl_version}
Provides: tex(uplbo7t.vf) = %{tl_version}
Provides: tex(uplbo8c.vf) = %{tl_version}
Provides: tex(uplbo8t.vf) = %{tl_version}
Provides: tex(uplr7t.vf) = %{tl_version}
Provides: tex(uplr8c.vf) = %{tl_version}
Provides: tex(uplr8t.vf) = %{tl_version}
Provides: tex(uplrc7t.vf) = %{tl_version}
Provides: tex(uplrc8t.vf) = %{tl_version}
Provides: tex(uplri7t.vf) = %{tl_version}
Provides: tex(uplri8c.vf) = %{tl_version}
Provides: tex(uplri8t.vf) = %{tl_version}
Provides: tex(uplro7t.vf) = %{tl_version}
Provides: tex(uplro8c.vf) = %{tl_version}
Provides: tex(uplro8t.vf) = %{tl_version}
Provides: tex(8rupl.fd) = %{tl_version}
Provides: tex(omlupl.fd) = %{tl_version}
Provides: tex(omsupl.fd) = %{tl_version}
Provides: tex(ot1upl.fd) = %{tl_version}
Provides: tex(t1upl.fd) = %{tl_version}
Provides: tex(ts1upl.fd) = %{tl_version}

%description palatino
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package pxfonts
Provides: tex-pxfonts = %{tl_version}
License: GPL+
Summary: Palatino-like fonts in support of mathematics
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(pxfonts.map) = %{tl_version}
Provides: tex(pxr.map) = %{tl_version}
Provides: tex(pxr1.map) = %{tl_version}
Provides: tex(pxr2.map) = %{tl_version}
Provides: tex(pxr3.map) = %{tl_version}
Provides: tex(p1xb.tfm) = %{tl_version}
Provides: tex(p1xbi.tfm) = %{tl_version}
Provides: tex(p1xbsc.tfm) = %{tl_version}
Provides: tex(p1xbsl.tfm) = %{tl_version}
Provides: tex(p1xi.tfm) = %{tl_version}
Provides: tex(p1xr.tfm) = %{tl_version}
Provides: tex(p1xsc.tfm) = %{tl_version}
Provides: tex(p1xsl.tfm) = %{tl_version}
Provides: tex(pcxb.tfm) = %{tl_version}
Provides: tex(pcxbi.tfm) = %{tl_version}
Provides: tex(pcxbsl.tfm) = %{tl_version}
Provides: tex(pcxi.tfm) = %{tl_version}
Provides: tex(pcxr.tfm) = %{tl_version}
Provides: tex(pcxsl.tfm) = %{tl_version}
Provides: tex(pxb.tfm) = %{tl_version}
Provides: tex(pxbex.tfm) = %{tl_version}
Provides: tex(pxbexa.tfm) = %{tl_version}
Provides: tex(pxbi.tfm) = %{tl_version}
Provides: tex(pxbmi.tfm) = %{tl_version}
Provides: tex(pxbmi1.tfm) = %{tl_version}
Provides: tex(pxbmia.tfm) = %{tl_version}
Provides: tex(pxbsc.tfm) = %{tl_version}
Provides: tex(pxbsl.tfm) = %{tl_version}
Provides: tex(pxbsy.tfm) = %{tl_version}
Provides: tex(pxbsya.tfm) = %{tl_version}
Provides: tex(pxbsyb.tfm) = %{tl_version}
Provides: tex(pxbsyc.tfm) = %{tl_version}
Provides: tex(pxex.tfm) = %{tl_version}
Provides: tex(pxexa.tfm) = %{tl_version}
Provides: tex(pxi.tfm) = %{tl_version}
Provides: tex(pxmi.tfm) = %{tl_version}
Provides: tex(pxmi1.tfm) = %{tl_version}
Provides: tex(pxmia.tfm) = %{tl_version}
Provides: tex(pxr.tfm) = %{tl_version}
Provides: tex(pxsc.tfm) = %{tl_version}
Provides: tex(pxsl.tfm) = %{tl_version}
Provides: tex(pxsy.tfm) = %{tl_version}
Provides: tex(pxsya.tfm) = %{tl_version}
Provides: tex(pxsyb.tfm) = %{tl_version}
Provides: tex(pxsyc.tfm) = %{tl_version}
Provides: tex(rpcxb.tfm) = %{tl_version}
Provides: tex(rpcxbi.tfm) = %{tl_version}
Provides: tex(rpcxbsl.tfm) = %{tl_version}
Provides: tex(rpcxi.tfm) = %{tl_version}
Provides: tex(rpcxr.tfm) = %{tl_version}
Provides: tex(rpcxsl.tfm) = %{tl_version}
Provides: tex(rpxb.tfm) = %{tl_version}
Provides: tex(rpxbi.tfm) = %{tl_version}
Provides: tex(rpxbmi.tfm) = %{tl_version}
Provides: tex(rpxbsc.tfm) = %{tl_version}
Provides: tex(rpxbsl.tfm) = %{tl_version}
Provides: tex(rpxi.tfm) = %{tl_version}
Provides: tex(rpxmi.tfm) = %{tl_version}
Provides: tex(rpxpplb.tfm) = %{tl_version}
Provides: tex(rpxpplbi.tfm) = %{tl_version}
Provides: tex(rpxpplbo.tfm) = %{tl_version}
Provides: tex(rpxpplr.tfm) = %{tl_version}
Provides: tex(rpxpplri.tfm) = %{tl_version}
Provides: tex(rpxpplro.tfm) = %{tl_version}
Provides: tex(rpxr.tfm) = %{tl_version}
Provides: tex(rpxsc.tfm) = %{tl_version}
Provides: tex(rpxsl.tfm) = %{tl_version}
Provides: tex(pxbex.pfb) = %{tl_version}
Provides: tex(pxbexa.pfb) = %{tl_version}
Provides: tex(pxbmia.pfb) = %{tl_version}
Provides: tex(pxbsy.pfb) = %{tl_version}
Provides: tex(pxbsya.pfb) = %{tl_version}
Provides: tex(pxbsyb.pfb) = %{tl_version}
Provides: tex(pxbsyc.pfb) = %{tl_version}
Provides: tex(pxex.pfb) = %{tl_version}
Provides: tex(pxexa.pfb) = %{tl_version}
Provides: tex(pxmia.pfb) = %{tl_version}
Provides: tex(pxsy.pfb) = %{tl_version}
Provides: tex(pxsya.pfb) = %{tl_version}
Provides: tex(pxsyb.pfb) = %{tl_version}
Provides: tex(pxsyc.pfb) = %{tl_version}
Provides: tex(rpcxb.pfb) = %{tl_version}
Provides: tex(rpcxbi.pfb) = %{tl_version}
Provides: tex(rpcxi.pfb) = %{tl_version}
Provides: tex(rpcxr.pfb) = %{tl_version}
Provides: tex(rpxb.pfb) = %{tl_version}
Provides: tex(rpxbi.pfb) = %{tl_version}
Provides: tex(rpxbmi.pfb) = %{tl_version}
Provides: tex(rpxbsc.pfb) = %{tl_version}
Provides: tex(rpxi.pfb) = %{tl_version}
Provides: tex(rpxmi.pfb) = %{tl_version}
Provides: tex(rpxr.pfb) = %{tl_version}
Provides: tex(rpxsc.pfb) = %{tl_version}
Provides: tex(p1xb.vf) = %{tl_version}
Provides: tex(p1xbi.vf) = %{tl_version}
Provides: tex(p1xbsc.vf) = %{tl_version}
Provides: tex(p1xbsl.vf) = %{tl_version}
Provides: tex(p1xi.vf) = %{tl_version}
Provides: tex(p1xr.vf) = %{tl_version}
Provides: tex(p1xsc.vf) = %{tl_version}
Provides: tex(p1xsl.vf) = %{tl_version}
Provides: tex(pcxb.vf) = %{tl_version}
Provides: tex(pcxbi.vf) = %{tl_version}
Provides: tex(pcxbsl.vf) = %{tl_version}
Provides: tex(pcxi.vf) = %{tl_version}
Provides: tex(pcxr.vf) = %{tl_version}
Provides: tex(pcxsl.vf) = %{tl_version}
Provides: tex(pxb.vf) = %{tl_version}
Provides: tex(pxbi.vf) = %{tl_version}
Provides: tex(pxbmi.vf) = %{tl_version}
Provides: tex(pxbmi1.vf) = %{tl_version}
Provides: tex(pxbsc.vf) = %{tl_version}
Provides: tex(pxbsl.vf) = %{tl_version}
Provides: tex(pxi.vf) = %{tl_version}
Provides: tex(pxmi.vf) = %{tl_version}
Provides: tex(pxmi1.vf) = %{tl_version}
Provides: tex(pxr.vf) = %{tl_version}
Provides: tex(pxsc.vf) = %{tl_version}
Provides: tex(pxsl.vf) = %{tl_version}
Provides: tex(omlpxmi.fd) = %{tl_version}
Provides: tex(omlpxr.fd) = %{tl_version}
Provides: tex(omspxr.fd) = %{tl_version}
Provides: tex(omspxsy.fd) = %{tl_version}
Provides: tex(omxpxex.fd) = %{tl_version}
Provides: tex(ot1pxr.fd) = %{tl_version}
Provides: tex(ot1pxss.fd) = %{tl_version}
Provides: tex(ot1pxtt.fd) = %{tl_version}
Provides: tex(pxfonts.sty) = %{tl_version}
Provides: tex(t1pxr.fd) = %{tl_version}
Provides: tex(t1pxss.fd) = %{tl_version}
Provides: tex(t1pxtt.fd) = %{tl_version}
Provides: tex(ts1pxr.fd) = %{tl_version}
Provides: tex(ts1pxss.fd) = %{tl_version}
Provides: tex(ts1pxtt.fd) = %{tl_version}
Provides: tex(upxexa.fd) = %{tl_version}
Provides: tex(upxmia.fd) = %{tl_version}
Provides: tex(upxr.fd) = %{tl_version}
Provides: tex(upxss.fd) = %{tl_version}
Provides: tex(upxsya.fd) = %{tl_version}
Provides: tex(upxsyb.fd) = %{tl_version}
Provides: tex(upxsyc.fd) = %{tl_version}
Provides: tex(upxtt.fd) = %{tl_version}

%description pxfonts
Pxfonts supplies virtual text roman fonts using Adobe Palatino
(or URWPalladioL) with some modified and additional text
symbols in the OT1, T1, and TS1 encodings; maths alphabets
using Palatino/Palladio; maths fonts providing all the symbols
of the Computer Modern and AMS fonts, including all the Greek
capital letters from CMR; and additional maths fonts of various
other symbols. The set is complemented by a sans-serif set of
text fonts, based on Helvetica/NimbusSanL, and a monospace set
derived from the parallel TX font set. All the fonts are in
Type 1 format (AFM and PFB files), and are supported by TeX
metrics (VF and TFM files) and macros for use with LaTeX.

%package pxfonts-doc
Summary: Documentation for pxfonts
Version: svn15878.0

Provides: tex-pxfonts-doc
AutoReqProv: No

%description pxfonts-doc
Documentation for pxfonts

%package rsfs
Provides: tex-rsfs = %{tl_version}
License: rsfs
Summary: Ralph Smith's Formal Script font
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(rsfs.map) = %{tl_version}
Provides: tex(rsfs10.tfm) = %{tl_version}
Provides: tex(rsfs5.tfm) = %{tl_version}
Provides: tex(rsfs7.tfm) = %{tl_version}
Provides: tex(rsfs10.pfb) = %{tl_version}
Provides: tex(rsfs5.pfb) = %{tl_version}
Provides: tex(rsfs7.pfb) = %{tl_version}
Provides: tex(scrload.tex) = %{tl_version}

%description rsfs
The fonts provide uppercase 'formal' script letters for use as
symbols in scientific and mathematical typesetting (in contrast
to the informal script fonts such as that used for the
'calligraphic' symbols in the TeX maths symbol font). The fonts
are provided as Metafont source, and as derived Adobe Type 1
format. LaTeX support, for using these fonts in mathematics, is
available via one of the packages calrsfs and mathrsfs.

%package rsfs-doc
Summary: Documentation for rsfs
Version: svn15878.0

Provides: tex-rsfs-doc
AutoReqProv: No

%description rsfs-doc
Documentation for rsfs

%package symbol
Provides: tex-symbol = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(usy.map) = %{tl_version}
Provides: tex(psyr.tfm) = %{tl_version}
Provides: tex(msyr.tfm) = %{tl_version}
Provides: tex(usyr.tfm) = %{tl_version}
Provides: tex(usyr.pfb) = %{tl_version}
Provides: tex(uusy.fd) = %{tl_version}

%description symbol
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package tex-gyre
Provides: tex-tex-gyre = %{tl_version}
License: GFSL
Summary: TeX Fonts extending freely available URW fonts
Version: svn18651.2.004

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(tgcursor.sty)
Requires: tex(tgheros.sty)
Requires: tex(tgchorus.sty)
Requires: tex(kvoptions.sty)
Provides: tex(q-cs-sc.enc) = %{tl_version}
Provides: tex(q-cs.enc) = %{tl_version}
Provides: tex(q-csm-sc.enc) = %{tl_version}
Provides: tex(q-csm.enc) = %{tl_version}
Provides: tex(q-cszc.enc) = %{tl_version}
Provides: tex(q-ec-sc.enc) = %{tl_version}
Provides: tex(q-ec.enc) = %{tl_version}
Provides: tex(q-l7x-sc.enc) = %{tl_version}
Provides: tex(q-l7x.enc) = %{tl_version}
Provides: tex(q-l7xzc.enc) = %{tl_version}
Provides: tex(q-qx-sc.enc) = %{tl_version}
Provides: tex(q-qx.enc) = %{tl_version}
Provides: tex(q-qxm-sc.enc) = %{tl_version}
Provides: tex(q-qxm.enc) = %{tl_version}
Provides: tex(q-qxzc.enc) = %{tl_version}
Provides: tex(q-rm-sc.enc) = %{tl_version}
Provides: tex(q-rm.enc) = %{tl_version}
Provides: tex(q-rmm-sc.enc) = %{tl_version}
Provides: tex(q-rmm.enc) = %{tl_version}
Provides: tex(q-rmzc.enc) = %{tl_version}
Provides: tex(q-t5-sc.enc) = %{tl_version}
Provides: tex(q-t5.enc) = %{tl_version}
Provides: tex(q-texnansi-sc.enc) = %{tl_version}
Provides: tex(q-texnansi.enc) = %{tl_version}
Provides: tex(q-texnansizc.enc) = %{tl_version}
Provides: tex(q-ts1.enc) = %{tl_version}
Provides: tex(qag-cs.map) = %{tl_version}
Provides: tex(qag-ec.map) = %{tl_version}
Provides: tex(qag-l7x.map) = %{tl_version}
Provides: tex(qag-qx.map) = %{tl_version}
Provides: tex(qag-rm.map) = %{tl_version}
Provides: tex(qag-t5.map) = %{tl_version}
Provides: tex(qag-texnansi.map) = %{tl_version}
Provides: tex(qag-ts1.map) = %{tl_version}
Provides: tex(qag.map) = %{tl_version}
Provides: tex(qbk-cs.map) = %{tl_version}
Provides: tex(qbk-ec.map) = %{tl_version}
Provides: tex(qbk-l7x.map) = %{tl_version}
Provides: tex(qbk-qx.map) = %{tl_version}
Provides: tex(qbk-rm.map) = %{tl_version}
Provides: tex(qbk-t5.map) = %{tl_version}
Provides: tex(qbk-texnansi.map) = %{tl_version}
Provides: tex(qbk-ts1.map) = %{tl_version}
Provides: tex(qbk.map) = %{tl_version}
Provides: tex(qcr-cs.map) = %{tl_version}
Provides: tex(qcr-ec.map) = %{tl_version}
Provides: tex(qcr-l7x.map) = %{tl_version}
Provides: tex(qcr-qx.map) = %{tl_version}
Provides: tex(qcr-rm.map) = %{tl_version}
Provides: tex(qcr-t5.map) = %{tl_version}
Provides: tex(qcr-texnansi.map) = %{tl_version}
Provides: tex(qcr-ts1.map) = %{tl_version}
Provides: tex(qcr.map) = %{tl_version}
Provides: tex(qcs-cs.map) = %{tl_version}
Provides: tex(qcs-ec.map) = %{tl_version}
Provides: tex(qcs-l7x.map) = %{tl_version}
Provides: tex(qcs-qx.map) = %{tl_version}
Provides: tex(qcs-rm.map) = %{tl_version}
Provides: tex(qcs-t5.map) = %{tl_version}
Provides: tex(qcs-texnansi.map) = %{tl_version}
Provides: tex(qcs-ts1.map) = %{tl_version}
Provides: tex(qcs.map) = %{tl_version}
Provides: tex(qhv-cs.map) = %{tl_version}
Provides: tex(qhv-ec.map) = %{tl_version}
Provides: tex(qhv-l7x.map) = %{tl_version}
Provides: tex(qhv-qx.map) = %{tl_version}
Provides: tex(qhv-rm.map) = %{tl_version}
Provides: tex(qhv-t5.map) = %{tl_version}
Provides: tex(qhv-texnansi.map) = %{tl_version}
Provides: tex(qhv-ts1.map) = %{tl_version}
Provides: tex(qhv.map) = %{tl_version}
Provides: tex(qpl-cs.map) = %{tl_version}
Provides: tex(qpl-ec.map) = %{tl_version}
Provides: tex(qpl-l7x.map) = %{tl_version}
Provides: tex(qpl-qx.map) = %{tl_version}
Provides: tex(qpl-rm.map) = %{tl_version}
Provides: tex(qpl-t5.map) = %{tl_version}
Provides: tex(qpl-texnansi.map) = %{tl_version}
Provides: tex(qpl-ts1.map) = %{tl_version}
Provides: tex(qpl.map) = %{tl_version}
Provides: tex(qtm-cs.map) = %{tl_version}
Provides: tex(qtm-ec.map) = %{tl_version}
Provides: tex(qtm-l7x.map) = %{tl_version}
Provides: tex(qtm-qx.map) = %{tl_version}
Provides: tex(qtm-rm.map) = %{tl_version}
Provides: tex(qtm-t5.map) = %{tl_version}
Provides: tex(qtm-texnansi.map) = %{tl_version}
Provides: tex(qtm-ts1.map) = %{tl_version}
Provides: tex(qtm.map) = %{tl_version}
Provides: tex(qzc-cs.map) = %{tl_version}
Provides: tex(qzc-ec.map) = %{tl_version}
Provides: tex(qzc-l7x.map) = %{tl_version}
Provides: tex(qzc-qx.map) = %{tl_version}
Provides: tex(qzc-rm.map) = %{tl_version}
Provides: tex(qzc-t5.map) = %{tl_version}
Provides: tex(qzc-texnansi.map) = %{tl_version}
Provides: tex(qzc-ts1.map) = %{tl_version}
Provides: tex(qzc.map) = %{tl_version}
Provides: tex(texgyreadventor-bold.otf) = %{tl_version}
Provides: tex(texgyreadventor-bolditalic.otf) = %{tl_version}
Provides: tex(texgyreadventor-italic.otf) = %{tl_version}
Provides: tex(texgyreadventor-regular.otf) = %{tl_version}
Provides: tex(texgyrebonum-bold.otf) = %{tl_version}
Provides: tex(texgyrebonum-bolditalic.otf) = %{tl_version}
Provides: tex(texgyrebonum-italic.otf) = %{tl_version}
Provides: tex(texgyrebonum-regular.otf) = %{tl_version}
Provides: tex(texgyrechorus-mediumitalic.otf) = %{tl_version}
Provides: tex(texgyrecursor-bold.otf) = %{tl_version}
Provides: tex(texgyrecursor-bolditalic.otf) = %{tl_version}
Provides: tex(texgyrecursor-italic.otf) = %{tl_version}
Provides: tex(texgyrecursor-regular.otf) = %{tl_version}
Provides: tex(texgyreheros-bold.otf) = %{tl_version}
Provides: tex(texgyreheros-bolditalic.otf) = %{tl_version}
Provides: tex(texgyreheros-italic.otf) = %{tl_version}
Provides: tex(texgyreheros-regular.otf) = %{tl_version}
Provides: tex(texgyreheroscn-bold.otf) = %{tl_version}
Provides: tex(texgyreheroscn-bolditalic.otf) = %{tl_version}
Provides: tex(texgyreheroscn-italic.otf) = %{tl_version}
Provides: tex(texgyreheroscn-regular.otf) = %{tl_version}
Provides: tex(texgyrepagella-bold.otf) = %{tl_version}
Provides: tex(texgyrepagella-bolditalic.otf) = %{tl_version}
Provides: tex(texgyrepagella-italic.otf) = %{tl_version}
Provides: tex(texgyrepagella-regular.otf) = %{tl_version}
Provides: tex(texgyreschola-bold.otf) = %{tl_version}
Provides: tex(texgyreschola-bolditalic.otf) = %{tl_version}
Provides: tex(texgyreschola-italic.otf) = %{tl_version}
Provides: tex(texgyreschola-regular.otf) = %{tl_version}
Provides: tex(texgyretermes-bold.otf) = %{tl_version}
Provides: tex(texgyretermes-bolditalic.otf) = %{tl_version}
Provides: tex(texgyretermes-italic.otf) = %{tl_version}
Provides: tex(texgyretermes-regular.otf) = %{tl_version}
Provides: tex(cs-qagb-sc.tfm) = %{tl_version}
Provides: tex(cs-qagb.tfm) = %{tl_version}
Provides: tex(cs-qagbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qagbi.tfm) = %{tl_version}
Provides: tex(cs-qagr-sc.tfm) = %{tl_version}
Provides: tex(cs-qagr.tfm) = %{tl_version}
Provides: tex(cs-qagri-sc.tfm) = %{tl_version}
Provides: tex(cs-qagri.tfm) = %{tl_version}
Provides: tex(cs-qbkb-sc.tfm) = %{tl_version}
Provides: tex(cs-qbkb.tfm) = %{tl_version}
Provides: tex(cs-qbkbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qbkbi.tfm) = %{tl_version}
Provides: tex(cs-qbkr-sc.tfm) = %{tl_version}
Provides: tex(cs-qbkr.tfm) = %{tl_version}
Provides: tex(cs-qbkri-sc.tfm) = %{tl_version}
Provides: tex(cs-qbkri.tfm) = %{tl_version}
Provides: tex(cs-qcrb-sc.tfm) = %{tl_version}
Provides: tex(cs-qcrb.tfm) = %{tl_version}
Provides: tex(cs-qcrbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qcrbi.tfm) = %{tl_version}
Provides: tex(cs-qcrr-sc.tfm) = %{tl_version}
Provides: tex(cs-qcrr.tfm) = %{tl_version}
Provides: tex(cs-qcrri-sc.tfm) = %{tl_version}
Provides: tex(cs-qcrri.tfm) = %{tl_version}
Provides: tex(cs-qcsb-sc.tfm) = %{tl_version}
Provides: tex(cs-qcsb.tfm) = %{tl_version}
Provides: tex(cs-qcsbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qcsbi.tfm) = %{tl_version}
Provides: tex(cs-qcsr-sc.tfm) = %{tl_version}
Provides: tex(cs-qcsr.tfm) = %{tl_version}
Provides: tex(cs-qcsri-sc.tfm) = %{tl_version}
Provides: tex(cs-qcsri.tfm) = %{tl_version}
Provides: tex(cs-qhvb-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvb.tfm) = %{tl_version}
Provides: tex(cs-qhvbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvbi.tfm) = %{tl_version}
Provides: tex(cs-qhvcb-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvcb.tfm) = %{tl_version}
Provides: tex(cs-qhvcbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvcbi.tfm) = %{tl_version}
Provides: tex(cs-qhvcr-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvcr.tfm) = %{tl_version}
Provides: tex(cs-qhvcri-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvcri.tfm) = %{tl_version}
Provides: tex(cs-qhvr-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvr.tfm) = %{tl_version}
Provides: tex(cs-qhvri-sc.tfm) = %{tl_version}
Provides: tex(cs-qhvri.tfm) = %{tl_version}
Provides: tex(cs-qplb-sc.tfm) = %{tl_version}
Provides: tex(cs-qplb.tfm) = %{tl_version}
Provides: tex(cs-qplbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qplbi.tfm) = %{tl_version}
Provides: tex(cs-qplr-sc.tfm) = %{tl_version}
Provides: tex(cs-qplr.tfm) = %{tl_version}
Provides: tex(cs-qplri-sc.tfm) = %{tl_version}
Provides: tex(cs-qplri.tfm) = %{tl_version}
Provides: tex(cs-qtmb-sc.tfm) = %{tl_version}
Provides: tex(cs-qtmb.tfm) = %{tl_version}
Provides: tex(cs-qtmbi-sc.tfm) = %{tl_version}
Provides: tex(cs-qtmbi.tfm) = %{tl_version}
Provides: tex(cs-qtmr-sc.tfm) = %{tl_version}
Provides: tex(cs-qtmr.tfm) = %{tl_version}
Provides: tex(cs-qtmri-sc.tfm) = %{tl_version}
Provides: tex(cs-qtmri.tfm) = %{tl_version}
Provides: tex(cs-qzcmi.tfm) = %{tl_version}
Provides: tex(ec-qagb-sc.tfm) = %{tl_version}
Provides: tex(ec-qagb.tfm) = %{tl_version}
Provides: tex(ec-qagbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qagbi.tfm) = %{tl_version}
Provides: tex(ec-qagr-sc.tfm) = %{tl_version}
Provides: tex(ec-qagr.tfm) = %{tl_version}
Provides: tex(ec-qagri-sc.tfm) = %{tl_version}
Provides: tex(ec-qagri.tfm) = %{tl_version}
Provides: tex(ec-qbkb-sc.tfm) = %{tl_version}
Provides: tex(ec-qbkb.tfm) = %{tl_version}
Provides: tex(ec-qbkbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qbkbi.tfm) = %{tl_version}
Provides: tex(ec-qbkr-sc.tfm) = %{tl_version}
Provides: tex(ec-qbkr.tfm) = %{tl_version}
Provides: tex(ec-qbkri-sc.tfm) = %{tl_version}
Provides: tex(ec-qbkri.tfm) = %{tl_version}
Provides: tex(ec-qcrb-sc.tfm) = %{tl_version}
Provides: tex(ec-qcrb.tfm) = %{tl_version}
Provides: tex(ec-qcrbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qcrbi.tfm) = %{tl_version}
Provides: tex(ec-qcrr-sc.tfm) = %{tl_version}
Provides: tex(ec-qcrr.tfm) = %{tl_version}
Provides: tex(ec-qcrri-sc.tfm) = %{tl_version}
Provides: tex(ec-qcrri.tfm) = %{tl_version}
Provides: tex(ec-qcsb-sc.tfm) = %{tl_version}
Provides: tex(ec-qcsb.tfm) = %{tl_version}
Provides: tex(ec-qcsbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qcsbi.tfm) = %{tl_version}
Provides: tex(ec-qcsr-sc.tfm) = %{tl_version}
Provides: tex(ec-qcsr.tfm) = %{tl_version}
Provides: tex(ec-qcsri-sc.tfm) = %{tl_version}
Provides: tex(ec-qcsri.tfm) = %{tl_version}
Provides: tex(ec-qhvb-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvb.tfm) = %{tl_version}
Provides: tex(ec-qhvbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvbi.tfm) = %{tl_version}
Provides: tex(ec-qhvcb-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvcb.tfm) = %{tl_version}
Provides: tex(ec-qhvcbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvcbi.tfm) = %{tl_version}
Provides: tex(ec-qhvcr-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvcr.tfm) = %{tl_version}
Provides: tex(ec-qhvcri-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvcri.tfm) = %{tl_version}
Provides: tex(ec-qhvr-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvr.tfm) = %{tl_version}
Provides: tex(ec-qhvri-sc.tfm) = %{tl_version}
Provides: tex(ec-qhvri.tfm) = %{tl_version}
Provides: tex(ec-qplb-sc.tfm) = %{tl_version}
Provides: tex(ec-qplb.tfm) = %{tl_version}
Provides: tex(ec-qplbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qplbi.tfm) = %{tl_version}
Provides: tex(ec-qplr-sc.tfm) = %{tl_version}
Provides: tex(ec-qplr.tfm) = %{tl_version}
Provides: tex(ec-qplri-sc.tfm) = %{tl_version}
Provides: tex(ec-qplri.tfm) = %{tl_version}
Provides: tex(ec-qtmb-sc.tfm) = %{tl_version}
Provides: tex(ec-qtmb.tfm) = %{tl_version}
Provides: tex(ec-qtmbi-sc.tfm) = %{tl_version}
Provides: tex(ec-qtmbi.tfm) = %{tl_version}
Provides: tex(ec-qtmr-sc.tfm) = %{tl_version}
Provides: tex(ec-qtmr.tfm) = %{tl_version}
Provides: tex(ec-qtmri-sc.tfm) = %{tl_version}
Provides: tex(ec-qtmri.tfm) = %{tl_version}
Provides: tex(ec-qzcmi.tfm) = %{tl_version}
Provides: tex(l7x-qagb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qagb.tfm) = %{tl_version}
Provides: tex(l7x-qagbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qagbi.tfm) = %{tl_version}
Provides: tex(l7x-qagr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qagr.tfm) = %{tl_version}
Provides: tex(l7x-qagri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qagri.tfm) = %{tl_version}
Provides: tex(l7x-qbkb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qbkb.tfm) = %{tl_version}
Provides: tex(l7x-qbkbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qbkbi.tfm) = %{tl_version}
Provides: tex(l7x-qbkr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qbkr.tfm) = %{tl_version}
Provides: tex(l7x-qbkri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qbkri.tfm) = %{tl_version}
Provides: tex(l7x-qcrb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcrb.tfm) = %{tl_version}
Provides: tex(l7x-qcrbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcrbi.tfm) = %{tl_version}
Provides: tex(l7x-qcrr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcrr.tfm) = %{tl_version}
Provides: tex(l7x-qcrri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcrri.tfm) = %{tl_version}
Provides: tex(l7x-qcsb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcsb.tfm) = %{tl_version}
Provides: tex(l7x-qcsbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcsbi.tfm) = %{tl_version}
Provides: tex(l7x-qcsr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcsr.tfm) = %{tl_version}
Provides: tex(l7x-qcsri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qcsri.tfm) = %{tl_version}
Provides: tex(l7x-qhvb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvb.tfm) = %{tl_version}
Provides: tex(l7x-qhvbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvbi.tfm) = %{tl_version}
Provides: tex(l7x-qhvcb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvcb.tfm) = %{tl_version}
Provides: tex(l7x-qhvcbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvcbi.tfm) = %{tl_version}
Provides: tex(l7x-qhvcr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvcr.tfm) = %{tl_version}
Provides: tex(l7x-qhvcri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvcri.tfm) = %{tl_version}
Provides: tex(l7x-qhvr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvr.tfm) = %{tl_version}
Provides: tex(l7x-qhvri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qhvri.tfm) = %{tl_version}
Provides: tex(l7x-qplb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qplb.tfm) = %{tl_version}
Provides: tex(l7x-qplbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qplbi.tfm) = %{tl_version}
Provides: tex(l7x-qplr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qplr.tfm) = %{tl_version}
Provides: tex(l7x-qplri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qplri.tfm) = %{tl_version}
Provides: tex(l7x-qtmb-sc.tfm) = %{tl_version}
Provides: tex(l7x-qtmb.tfm) = %{tl_version}
Provides: tex(l7x-qtmbi-sc.tfm) = %{tl_version}
Provides: tex(l7x-qtmbi.tfm) = %{tl_version}
Provides: tex(l7x-qtmr-sc.tfm) = %{tl_version}
Provides: tex(l7x-qtmr.tfm) = %{tl_version}
Provides: tex(l7x-qtmri-sc.tfm) = %{tl_version}
Provides: tex(l7x-qtmri.tfm) = %{tl_version}
Provides: tex(l7x-qzcmi.tfm) = %{tl_version}
Provides: tex(qx-qagb-sc.tfm) = %{tl_version}
Provides: tex(qx-qagb.tfm) = %{tl_version}
Provides: tex(qx-qagbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qagbi.tfm) = %{tl_version}
Provides: tex(qx-qagr-sc.tfm) = %{tl_version}
Provides: tex(qx-qagr.tfm) = %{tl_version}
Provides: tex(qx-qagri-sc.tfm) = %{tl_version}
Provides: tex(qx-qagri.tfm) = %{tl_version}
Provides: tex(qx-qbkb-sc.tfm) = %{tl_version}
Provides: tex(qx-qbkb.tfm) = %{tl_version}
Provides: tex(qx-qbkbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qbkbi.tfm) = %{tl_version}
Provides: tex(qx-qbkr-sc.tfm) = %{tl_version}
Provides: tex(qx-qbkr.tfm) = %{tl_version}
Provides: tex(qx-qbkri-sc.tfm) = %{tl_version}
Provides: tex(qx-qbkri.tfm) = %{tl_version}
Provides: tex(qx-qcrb-sc.tfm) = %{tl_version}
Provides: tex(qx-qcrb.tfm) = %{tl_version}
Provides: tex(qx-qcrbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qcrbi.tfm) = %{tl_version}
Provides: tex(qx-qcrr-sc.tfm) = %{tl_version}
Provides: tex(qx-qcrr.tfm) = %{tl_version}
Provides: tex(qx-qcrri-sc.tfm) = %{tl_version}
Provides: tex(qx-qcrri.tfm) = %{tl_version}
Provides: tex(qx-qcsb-sc.tfm) = %{tl_version}
Provides: tex(qx-qcsb.tfm) = %{tl_version}
Provides: tex(qx-qcsbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qcsbi.tfm) = %{tl_version}
Provides: tex(qx-qcsr-sc.tfm) = %{tl_version}
Provides: tex(qx-qcsr.tfm) = %{tl_version}
Provides: tex(qx-qcsri-sc.tfm) = %{tl_version}
Provides: tex(qx-qcsri.tfm) = %{tl_version}
Provides: tex(qx-qhvb-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvb.tfm) = %{tl_version}
Provides: tex(qx-qhvbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvbi.tfm) = %{tl_version}
Provides: tex(qx-qhvcb-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvcb.tfm) = %{tl_version}
Provides: tex(qx-qhvcbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvcbi.tfm) = %{tl_version}
Provides: tex(qx-qhvcr-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvcr.tfm) = %{tl_version}
Provides: tex(qx-qhvcri-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvcri.tfm) = %{tl_version}
Provides: tex(qx-qhvr-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvr.tfm) = %{tl_version}
Provides: tex(qx-qhvri-sc.tfm) = %{tl_version}
Provides: tex(qx-qhvri.tfm) = %{tl_version}
Provides: tex(qx-qplb-sc.tfm) = %{tl_version}
Provides: tex(qx-qplb.tfm) = %{tl_version}
Provides: tex(qx-qplbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qplbi.tfm) = %{tl_version}
Provides: tex(qx-qplr-sc.tfm) = %{tl_version}
Provides: tex(qx-qplr.tfm) = %{tl_version}
Provides: tex(qx-qplri-sc.tfm) = %{tl_version}
Provides: tex(qx-qplri.tfm) = %{tl_version}
Provides: tex(qx-qtmb-sc.tfm) = %{tl_version}
Provides: tex(qx-qtmb.tfm) = %{tl_version}
Provides: tex(qx-qtmbi-sc.tfm) = %{tl_version}
Provides: tex(qx-qtmbi.tfm) = %{tl_version}
Provides: tex(qx-qtmr-sc.tfm) = %{tl_version}
Provides: tex(qx-qtmr.tfm) = %{tl_version}
Provides: tex(qx-qtmri-sc.tfm) = %{tl_version}
Provides: tex(qx-qtmri.tfm) = %{tl_version}
Provides: tex(qx-qzcmi.tfm) = %{tl_version}
Provides: tex(rm-qagb-sc.tfm) = %{tl_version}
Provides: tex(rm-qagb.tfm) = %{tl_version}
Provides: tex(rm-qagbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qagbi.tfm) = %{tl_version}
Provides: tex(rm-qagr-sc.tfm) = %{tl_version}
Provides: tex(rm-qagr.tfm) = %{tl_version}
Provides: tex(rm-qagri-sc.tfm) = %{tl_version}
Provides: tex(rm-qagri.tfm) = %{tl_version}
Provides: tex(rm-qbkb-sc.tfm) = %{tl_version}
Provides: tex(rm-qbkb.tfm) = %{tl_version}
Provides: tex(rm-qbkbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qbkbi.tfm) = %{tl_version}
Provides: tex(rm-qbkr-sc.tfm) = %{tl_version}
Provides: tex(rm-qbkr.tfm) = %{tl_version}
Provides: tex(rm-qbkri-sc.tfm) = %{tl_version}
Provides: tex(rm-qbkri.tfm) = %{tl_version}
Provides: tex(rm-qcrb-sc.tfm) = %{tl_version}
Provides: tex(rm-qcrb.tfm) = %{tl_version}
Provides: tex(rm-qcrbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qcrbi.tfm) = %{tl_version}
Provides: tex(rm-qcrr-sc.tfm) = %{tl_version}
Provides: tex(rm-qcrr.tfm) = %{tl_version}
Provides: tex(rm-qcrri-sc.tfm) = %{tl_version}
Provides: tex(rm-qcrri.tfm) = %{tl_version}
Provides: tex(rm-qcsb-sc.tfm) = %{tl_version}
Provides: tex(rm-qcsb.tfm) = %{tl_version}
Provides: tex(rm-qcsbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qcsbi.tfm) = %{tl_version}
Provides: tex(rm-qcsr-sc.tfm) = %{tl_version}
Provides: tex(rm-qcsr.tfm) = %{tl_version}
Provides: tex(rm-qcsri-sc.tfm) = %{tl_version}
Provides: tex(rm-qcsri.tfm) = %{tl_version}
Provides: tex(rm-qhvb-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvb.tfm) = %{tl_version}
Provides: tex(rm-qhvbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvbi.tfm) = %{tl_version}
Provides: tex(rm-qhvcb-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvcb.tfm) = %{tl_version}
Provides: tex(rm-qhvcbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvcbi.tfm) = %{tl_version}
Provides: tex(rm-qhvcr-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvcr.tfm) = %{tl_version}
Provides: tex(rm-qhvcri-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvcri.tfm) = %{tl_version}
Provides: tex(rm-qhvr-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvr.tfm) = %{tl_version}
Provides: tex(rm-qhvri-sc.tfm) = %{tl_version}
Provides: tex(rm-qhvri.tfm) = %{tl_version}
Provides: tex(rm-qplb-sc.tfm) = %{tl_version}
Provides: tex(rm-qplb.tfm) = %{tl_version}
Provides: tex(rm-qplbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qplbi.tfm) = %{tl_version}
Provides: tex(rm-qplr-sc.tfm) = %{tl_version}
Provides: tex(rm-qplr.tfm) = %{tl_version}
Provides: tex(rm-qplri-sc.tfm) = %{tl_version}
Provides: tex(rm-qplri.tfm) = %{tl_version}
Provides: tex(rm-qtmb-sc.tfm) = %{tl_version}
Provides: tex(rm-qtmb.tfm) = %{tl_version}
Provides: tex(rm-qtmbi-sc.tfm) = %{tl_version}
Provides: tex(rm-qtmbi.tfm) = %{tl_version}
Provides: tex(rm-qtmr-sc.tfm) = %{tl_version}
Provides: tex(rm-qtmr.tfm) = %{tl_version}
Provides: tex(rm-qtmri-sc.tfm) = %{tl_version}
Provides: tex(rm-qtmri.tfm) = %{tl_version}
Provides: tex(rm-qzcmi.tfm) = %{tl_version}
Provides: tex(t5-qagb-sc.tfm) = %{tl_version}
Provides: tex(t5-qagb.tfm) = %{tl_version}
Provides: tex(t5-qagbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qagbi.tfm) = %{tl_version}
Provides: tex(t5-qagr-sc.tfm) = %{tl_version}
Provides: tex(t5-qagr.tfm) = %{tl_version}
Provides: tex(t5-qagri-sc.tfm) = %{tl_version}
Provides: tex(t5-qagri.tfm) = %{tl_version}
Provides: tex(t5-qbkb-sc.tfm) = %{tl_version}
Provides: tex(t5-qbkb.tfm) = %{tl_version}
Provides: tex(t5-qbkbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qbkbi.tfm) = %{tl_version}
Provides: tex(t5-qbkr-sc.tfm) = %{tl_version}
Provides: tex(t5-qbkr.tfm) = %{tl_version}
Provides: tex(t5-qbkri-sc.tfm) = %{tl_version}
Provides: tex(t5-qbkri.tfm) = %{tl_version}
Provides: tex(t5-qcrb-sc.tfm) = %{tl_version}
Provides: tex(t5-qcrb.tfm) = %{tl_version}
Provides: tex(t5-qcrbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qcrbi.tfm) = %{tl_version}
Provides: tex(t5-qcrr-sc.tfm) = %{tl_version}
Provides: tex(t5-qcrr.tfm) = %{tl_version}
Provides: tex(t5-qcrri-sc.tfm) = %{tl_version}
Provides: tex(t5-qcrri.tfm) = %{tl_version}
Provides: tex(t5-qcsb-sc.tfm) = %{tl_version}
Provides: tex(t5-qcsb.tfm) = %{tl_version}
Provides: tex(t5-qcsbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qcsbi.tfm) = %{tl_version}
Provides: tex(t5-qcsr-sc.tfm) = %{tl_version}
Provides: tex(t5-qcsr.tfm) = %{tl_version}
Provides: tex(t5-qcsri-sc.tfm) = %{tl_version}
Provides: tex(t5-qcsri.tfm) = %{tl_version}
Provides: tex(t5-qhvb-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvb.tfm) = %{tl_version}
Provides: tex(t5-qhvbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvbi.tfm) = %{tl_version}
Provides: tex(t5-qhvcb-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvcb.tfm) = %{tl_version}
Provides: tex(t5-qhvcbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvcbi.tfm) = %{tl_version}
Provides: tex(t5-qhvcr-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvcr.tfm) = %{tl_version}
Provides: tex(t5-qhvcri-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvcri.tfm) = %{tl_version}
Provides: tex(t5-qhvr-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvr.tfm) = %{tl_version}
Provides: tex(t5-qhvri-sc.tfm) = %{tl_version}
Provides: tex(t5-qhvri.tfm) = %{tl_version}
Provides: tex(t5-qplb-sc.tfm) = %{tl_version}
Provides: tex(t5-qplb.tfm) = %{tl_version}
Provides: tex(t5-qplbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qplbi.tfm) = %{tl_version}
Provides: tex(t5-qplr-sc.tfm) = %{tl_version}
Provides: tex(t5-qplr.tfm) = %{tl_version}
Provides: tex(t5-qplri-sc.tfm) = %{tl_version}
Provides: tex(t5-qplri.tfm) = %{tl_version}
Provides: tex(t5-qtmb-sc.tfm) = %{tl_version}
Provides: tex(t5-qtmb.tfm) = %{tl_version}
Provides: tex(t5-qtmbi-sc.tfm) = %{tl_version}
Provides: tex(t5-qtmbi.tfm) = %{tl_version}
Provides: tex(t5-qtmr-sc.tfm) = %{tl_version}
Provides: tex(t5-qtmr.tfm) = %{tl_version}
Provides: tex(t5-qtmri-sc.tfm) = %{tl_version}
Provides: tex(t5-qtmri.tfm) = %{tl_version}
Provides: tex(t5-qzcmi.tfm) = %{tl_version}
Provides: tex(texnansi-qagb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qagb.tfm) = %{tl_version}
Provides: tex(texnansi-qagbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qagbi.tfm) = %{tl_version}
Provides: tex(texnansi-qagr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qagr.tfm) = %{tl_version}
Provides: tex(texnansi-qagri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qagri.tfm) = %{tl_version}
Provides: tex(texnansi-qbkb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qbkb.tfm) = %{tl_version}
Provides: tex(texnansi-qbkbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qbkbi.tfm) = %{tl_version}
Provides: tex(texnansi-qbkr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qbkr.tfm) = %{tl_version}
Provides: tex(texnansi-qbkri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qbkri.tfm) = %{tl_version}
Provides: tex(texnansi-qcrb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcrb.tfm) = %{tl_version}
Provides: tex(texnansi-qcrbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcrbi.tfm) = %{tl_version}
Provides: tex(texnansi-qcrr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcrr.tfm) = %{tl_version}
Provides: tex(texnansi-qcrri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcrri.tfm) = %{tl_version}
Provides: tex(texnansi-qcsb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcsb.tfm) = %{tl_version}
Provides: tex(texnansi-qcsbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcsbi.tfm) = %{tl_version}
Provides: tex(texnansi-qcsr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcsr.tfm) = %{tl_version}
Provides: tex(texnansi-qcsri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qcsri.tfm) = %{tl_version}
Provides: tex(texnansi-qhvb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvb.tfm) = %{tl_version}
Provides: tex(texnansi-qhvbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvbi.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcb.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcbi.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcr.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvcri.tfm) = %{tl_version}
Provides: tex(texnansi-qhvr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvr.tfm) = %{tl_version}
Provides: tex(texnansi-qhvri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qhvri.tfm) = %{tl_version}
Provides: tex(texnansi-qplb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qplb.tfm) = %{tl_version}
Provides: tex(texnansi-qplbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qplbi.tfm) = %{tl_version}
Provides: tex(texnansi-qplr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qplr.tfm) = %{tl_version}
Provides: tex(texnansi-qplri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qplri.tfm) = %{tl_version}
Provides: tex(texnansi-qtmb-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qtmb.tfm) = %{tl_version}
Provides: tex(texnansi-qtmbi-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qtmbi.tfm) = %{tl_version}
Provides: tex(texnansi-qtmr-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qtmr.tfm) = %{tl_version}
Provides: tex(texnansi-qtmri-sc.tfm) = %{tl_version}
Provides: tex(texnansi-qtmri.tfm) = %{tl_version}
Provides: tex(texnansi-qzcmi.tfm) = %{tl_version}
Provides: tex(ts1-qagb.tfm) = %{tl_version}
Provides: tex(ts1-qagbi.tfm) = %{tl_version}
Provides: tex(ts1-qagr.tfm) = %{tl_version}
Provides: tex(ts1-qagri.tfm) = %{tl_version}
Provides: tex(ts1-qbkb.tfm) = %{tl_version}
Provides: tex(ts1-qbkbi.tfm) = %{tl_version}
Provides: tex(ts1-qbkr.tfm) = %{tl_version}
Provides: tex(ts1-qbkri.tfm) = %{tl_version}
Provides: tex(ts1-qcrb.tfm) = %{tl_version}
Provides: tex(ts1-qcrbi.tfm) = %{tl_version}
Provides: tex(ts1-qcrr.tfm) = %{tl_version}
Provides: tex(ts1-qcrri.tfm) = %{tl_version}
Provides: tex(ts1-qcsb.tfm) = %{tl_version}
Provides: tex(ts1-qcsbi.tfm) = %{tl_version}
Provides: tex(ts1-qcsr.tfm) = %{tl_version}
Provides: tex(ts1-qcsri.tfm) = %{tl_version}
Provides: tex(ts1-qhvb.tfm) = %{tl_version}
Provides: tex(ts1-qhvbi.tfm) = %{tl_version}
Provides: tex(ts1-qhvcb.tfm) = %{tl_version}
Provides: tex(ts1-qhvcbi.tfm) = %{tl_version}
Provides: tex(ts1-qhvcr.tfm) = %{tl_version}
Provides: tex(ts1-qhvcri.tfm) = %{tl_version}
Provides: tex(ts1-qhvr.tfm) = %{tl_version}
Provides: tex(ts1-qhvri.tfm) = %{tl_version}
Provides: tex(ts1-qplb.tfm) = %{tl_version}
Provides: tex(ts1-qplbi.tfm) = %{tl_version}
Provides: tex(ts1-qplr.tfm) = %{tl_version}
Provides: tex(ts1-qplri.tfm) = %{tl_version}
Provides: tex(ts1-qtmb.tfm) = %{tl_version}
Provides: tex(ts1-qtmbi.tfm) = %{tl_version}
Provides: tex(ts1-qtmr.tfm) = %{tl_version}
Provides: tex(ts1-qtmri.tfm) = %{tl_version}
Provides: tex(ts1-qzcmi.tfm) = %{tl_version}
Provides: tex(qagb.pfb) = %{tl_version}
Provides: tex(qagbi.pfb) = %{tl_version}
Provides: tex(qagr.pfb) = %{tl_version}
Provides: tex(qagri.pfb) = %{tl_version}
Provides: tex(qbkb.pfb) = %{tl_version}
Provides: tex(qbkbi.pfb) = %{tl_version}
Provides: tex(qbkr.pfb) = %{tl_version}
Provides: tex(qbkri.pfb) = %{tl_version}
Provides: tex(qcrb.pfb) = %{tl_version}
Provides: tex(qcrbi.pfb) = %{tl_version}
Provides: tex(qcrr.pfb) = %{tl_version}
Provides: tex(qcrri.pfb) = %{tl_version}
Provides: tex(qcsb.pfb) = %{tl_version}
Provides: tex(qcsbi.pfb) = %{tl_version}
Provides: tex(qcsr.pfb) = %{tl_version}
Provides: tex(qcsri.pfb) = %{tl_version}
Provides: tex(qhvb.pfb) = %{tl_version}
Provides: tex(qhvbi.pfb) = %{tl_version}
Provides: tex(qhvcb.pfb) = %{tl_version}
Provides: tex(qhvcbi.pfb) = %{tl_version}
Provides: tex(qhvcr.pfb) = %{tl_version}
Provides: tex(qhvcri.pfb) = %{tl_version}
Provides: tex(qhvr.pfb) = %{tl_version}
Provides: tex(qhvri.pfb) = %{tl_version}
Provides: tex(qplb.pfb) = %{tl_version}
Provides: tex(qplbi.pfb) = %{tl_version}
Provides: tex(qplr.pfb) = %{tl_version}
Provides: tex(qplri.pfb) = %{tl_version}
Provides: tex(qtmb.pfb) = %{tl_version}
Provides: tex(qtmbi.pfb) = %{tl_version}
Provides: tex(qtmr.pfb) = %{tl_version}
Provides: tex(qtmri.pfb) = %{tl_version}
Provides: tex(qzcmi.pfb) = %{tl_version}
Provides: tex(il2qag.fd) = %{tl_version}
Provides: tex(il2qbk.fd) = %{tl_version}
Provides: tex(il2qcr.fd) = %{tl_version}
Provides: tex(il2qcs.fd) = %{tl_version}
Provides: tex(il2qhv.fd) = %{tl_version}
Provides: tex(il2qhvc.fd) = %{tl_version}
Provides: tex(il2qpl.fd) = %{tl_version}
Provides: tex(il2qtm.fd) = %{tl_version}
Provides: tex(il2qzc.fd) = %{tl_version}
Provides: tex(l7xqag.fd) = %{tl_version}
Provides: tex(l7xqbk.fd) = %{tl_version}
Provides: tex(l7xqcr.fd) = %{tl_version}
Provides: tex(l7xqcs.fd) = %{tl_version}
Provides: tex(l7xqhv.fd) = %{tl_version}
Provides: tex(l7xqhvc.fd) = %{tl_version}
Provides: tex(l7xqpl.fd) = %{tl_version}
Provides: tex(l7xqtm.fd) = %{tl_version}
Provides: tex(l7xqzc.fd) = %{tl_version}
Provides: tex(ly1qag.fd) = %{tl_version}
Provides: tex(ly1qbk.fd) = %{tl_version}
Provides: tex(ly1qcr.fd) = %{tl_version}
Provides: tex(ly1qcs.fd) = %{tl_version}
Provides: tex(ly1qhv.fd) = %{tl_version}
Provides: tex(ly1qhvc.fd) = %{tl_version}
Provides: tex(ly1qpl.fd) = %{tl_version}
Provides: tex(ly1qtm.fd) = %{tl_version}
Provides: tex(ly1qzc.fd) = %{tl_version}
Provides: tex(ot1qag.fd) = %{tl_version}
Provides: tex(ot1qbk.fd) = %{tl_version}
Provides: tex(ot1qcr.fd) = %{tl_version}
Provides: tex(ot1qcs.fd) = %{tl_version}
Provides: tex(ot1qhv.fd) = %{tl_version}
Provides: tex(ot1qhvc.fd) = %{tl_version}
Provides: tex(ot1qpl.fd) = %{tl_version}
Provides: tex(ot1qtm.fd) = %{tl_version}
Provides: tex(ot1qzc.fd) = %{tl_version}
Provides: tex(ot4qag.fd) = %{tl_version}
Provides: tex(ot4qbk.fd) = %{tl_version}
Provides: tex(ot4qcr.fd) = %{tl_version}
Provides: tex(ot4qcs.fd) = %{tl_version}
Provides: tex(ot4qhv.fd) = %{tl_version}
Provides: tex(ot4qhvc.fd) = %{tl_version}
Provides: tex(ot4qpl.fd) = %{tl_version}
Provides: tex(ot4qtm.fd) = %{tl_version}
Provides: tex(ot4qzc.fd) = %{tl_version}
Provides: tex(qbookman.sty) = %{tl_version}
Provides: tex(qcourier.sty) = %{tl_version}
Provides: tex(qpalatin.sty) = %{tl_version}
Provides: tex(qswiss.sty) = %{tl_version}
Provides: tex(qtimes.sty) = %{tl_version}
Provides: tex(qxqag.fd) = %{tl_version}
Provides: tex(qxqbk.fd) = %{tl_version}
Provides: tex(qxqcr.fd) = %{tl_version}
Provides: tex(qxqcs.fd) = %{tl_version}
Provides: tex(qxqhv.fd) = %{tl_version}
Provides: tex(qxqhvc.fd) = %{tl_version}
Provides: tex(qxqpl.fd) = %{tl_version}
Provides: tex(qxqtm.fd) = %{tl_version}
Provides: tex(qxqzc.fd) = %{tl_version}
Provides: tex(qzapfcha.sty) = %{tl_version}
Provides: tex(t1qag.fd) = %{tl_version}
Provides: tex(t1qbk.fd) = %{tl_version}
Provides: tex(t1qcr.fd) = %{tl_version}
Provides: tex(t1qcs.fd) = %{tl_version}
Provides: tex(t1qhv.fd) = %{tl_version}
Provides: tex(t1qhvc.fd) = %{tl_version}
Provides: tex(t1qpl.fd) = %{tl_version}
Provides: tex(t1qtm.fd) = %{tl_version}
Provides: tex(t1qzc.fd) = %{tl_version}
Provides: tex(t5qag.fd) = %{tl_version}
Provides: tex(t5qbk.fd) = %{tl_version}
Provides: tex(t5qcr.fd) = %{tl_version}
Provides: tex(t5qcs.fd) = %{tl_version}
Provides: tex(t5qhv.fd) = %{tl_version}
Provides: tex(t5qhvc.fd) = %{tl_version}
Provides: tex(t5qpl.fd) = %{tl_version}
Provides: tex(t5qtm.fd) = %{tl_version}
Provides: tex(t5qzc.fd) = %{tl_version}
Provides: tex(tgadventor.sty) = %{tl_version}
Provides: tex(tgbonum.sty) = %{tl_version}
Provides: tex(tgchorus.sty) = %{tl_version}
Provides: tex(tgcursor.sty) = %{tl_version}
Provides: tex(tgheros.sty) = %{tl_version}
Provides: tex(tgpagella.sty) = %{tl_version}
Provides: tex(tgschola.sty) = %{tl_version}
Provides: tex(tgtermes.sty) = %{tl_version}
Provides: tex(ts1qag.fd) = %{tl_version}
Provides: tex(ts1qbk.fd) = %{tl_version}
Provides: tex(ts1qcr.fd) = %{tl_version}
Provides: tex(ts1qcs.fd) = %{tl_version}
Provides: tex(ts1qhv.fd) = %{tl_version}
Provides: tex(ts1qhvc.fd) = %{tl_version}
Provides: tex(ts1qpl.fd) = %{tl_version}
Provides: tex(ts1qtm.fd) = %{tl_version}
Provides: tex(ts1qzc.fd) = %{tl_version}

%description tex-gyre
The TeX-GYRE bundle consists of six font families: TeX Gyre
Adventor is based on the URW Gothic L family of fonts (which is
derived from ITC Avant Garde Gothic, designed by Herb Lubalin
and Tom Carnase). TeX Gyre Bonum is based on the URW Bookman L
family (from Bookman Old Style, designed by Alexander
Phemister). TeX Gyre Chorus is based on URW Chancery L Medium
Italic (from ITC Zapf Chancery, designed by Hermann Zapf in
1979). TeX-Gyre Cursor is based on URW Nimbus Mono L (based on
Courier, designed by Howard G. Kettler in 1955, for IBM). TeX
Gyre Heros is based on URW Nimbus Sans L (from Helvetica,
prepared by Max Miedinger, with Eduard Hoffmann in 1957). TeX
Gyre Pagella is based on URW Palladio L (from Palatino,
designed by Hermann Zapf in the 1940s). TeX Gyre Schola is
based on the URW Century Schoolbook L family (which was
designed by Morris Fuller Benton for the American Type
Founders). TeX Gyre Termes is based on the URW Nimbus Roman No9
L family of fonts (whose original, Times, was designed by
Stanley Morison together with Starling Burgess and Victor
Lardent and first offered by Monotype). The constituent
standard faces of each family have been greatly extended, and
contain nearly 1100 glyphs each (though Chorus omits Greek
support, has no small-caps family and has approximately 800
glyphs). Each family is available in Adobe Type 1 and Open Type
formats, and LaTeX support (for use with a variety of
encodings) is provided. Vietnamese characters were added by Han
The Thanh.

%package tex-gyre-doc
Summary: Documentation for tex-gyre
Version: svn18651.2.004

Provides: tex-tex-gyre-doc
AutoReqProv: No

%description tex-gyre-doc
Documentation for tex-gyre

%package tex-gyre-math
Provides: tex-tex-gyre-math = %{tl_version}
License: LPPL
Summary: Maths fonts to match tex-gyre text fonts
Version: svn41264

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(texgyrebonum-math.otf) = %{tl_version}
Provides: tex(texgyrepagella-math.otf) = %{tl_version}
Provides: tex(texgyreschola-math.otf) = %{tl_version}
Provides: tex(texgyretermes-math.otf) = %{tl_version}

%description tex-gyre-math
TeX-Gyre-Math is a collection of maths fonts to match the text
fonts of the TeX-Gyre collection. The collection is available
in OpenType format, only; fonts conform to the developing
standards for OpenType maths fonts. TeX-Gyre-Math-Bonum (to
match TeX-Gyre-Bonum), TeX-Gyre-Math-Pagella (to match TeX-Gyre-
Pagella), TeX-Gyre-Math-Schola (to match TeX-Gyre-Schola) and
TeX-Gyre-Math-Termes (to match TeX-Gyre-Termes) fonts are
provided.

%package tex-gyre-math-doc
Summary: Documentation for tex-gyre-math
Version: svn41264

Provides: tex-tex-gyre-math-doc
AutoReqProv: No

%description tex-gyre-math-doc
Documentation for tex-gyre-math

%package times
Provides: tex-times = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn35058.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(utm.map) = %{tl_version}
Provides: tex(psyro.tfm) = %{tl_version}
Provides: tex(ptmb.tfm) = %{tl_version}
Provides: tex(ptmb7t.tfm) = %{tl_version}
Provides: tex(ptmb8c.tfm) = %{tl_version}
Provides: tex(ptmb8r.tfm) = %{tl_version}
Provides: tex(ptmb8t.tfm) = %{tl_version}
Provides: tex(ptmbc.tfm) = %{tl_version}
Provides: tex(ptmbc7t.tfm) = %{tl_version}
Provides: tex(ptmbc8t.tfm) = %{tl_version}
Provides: tex(ptmbi.tfm) = %{tl_version}
Provides: tex(ptmbi7t.tfm) = %{tl_version}
Provides: tex(ptmbi8c.tfm) = %{tl_version}
Provides: tex(ptmbi8r.tfm) = %{tl_version}
Provides: tex(ptmbi8t.tfm) = %{tl_version}
Provides: tex(ptmbo.tfm) = %{tl_version}
Provides: tex(ptmbo7t.tfm) = %{tl_version}
Provides: tex(ptmbo8c.tfm) = %{tl_version}
Provides: tex(ptmbo8r.tfm) = %{tl_version}
Provides: tex(ptmbo8t.tfm) = %{tl_version}
Provides: tex(ptmr.tfm) = %{tl_version}
Provides: tex(ptmr7t.tfm) = %{tl_version}
Provides: tex(ptmr8c.tfm) = %{tl_version}
Provides: tex(ptmr8r.tfm) = %{tl_version}
Provides: tex(ptmr8rn.tfm) = %{tl_version}
Provides: tex(ptmr8t.tfm) = %{tl_version}
Provides: tex(ptmrc.tfm) = %{tl_version}
Provides: tex(ptmrc7t.tfm) = %{tl_version}
Provides: tex(ptmrc8t.tfm) = %{tl_version}
Provides: tex(ptmri.tfm) = %{tl_version}
Provides: tex(ptmri7t.tfm) = %{tl_version}
Provides: tex(ptmri8c.tfm) = %{tl_version}
Provides: tex(ptmri8r.tfm) = %{tl_version}
Provides: tex(ptmri8t.tfm) = %{tl_version}
Provides: tex(ptmro.tfm) = %{tl_version}
Provides: tex(ptmro7t.tfm) = %{tl_version}
Provides: tex(ptmro8c.tfm) = %{tl_version}
Provides: tex(ptmro8r.tfm) = %{tl_version}
Provides: tex(ptmro8t.tfm) = %{tl_version}
Provides: tex(ptmrr8re.tfm) = %{tl_version}
Provides: tex(ptmrre.tfm) = %{tl_version}
Provides: tex(ptmrrn.tfm) = %{tl_version}
Provides: tex(zpsycmrv.tfm) = %{tl_version}
Provides: tex(zptmcm7m.tfm) = %{tl_version}
Provides: tex(zptmcm7t.tfm) = %{tl_version}
Provides: tex(zptmcm7v.tfm) = %{tl_version}
Provides: tex(zptmcm7y.tfm) = %{tl_version}
Provides: tex(zptmcmr.tfm) = %{tl_version}
Provides: tex(zptmcmrm.tfm) = %{tl_version}
Provides: tex(zpzccmry.tfm) = %{tl_version}
Provides: tex(utmb7t.tfm) = %{tl_version}
Provides: tex(utmb8c.tfm) = %{tl_version}
Provides: tex(utmb8r.tfm) = %{tl_version}
Provides: tex(utmb8t.tfm) = %{tl_version}
Provides: tex(utmbc7t.tfm) = %{tl_version}
Provides: tex(utmbc8t.tfm) = %{tl_version}
Provides: tex(utmbi7t.tfm) = %{tl_version}
Provides: tex(utmbi8c.tfm) = %{tl_version}
Provides: tex(utmbi8r.tfm) = %{tl_version}
Provides: tex(utmbi8t.tfm) = %{tl_version}
Provides: tex(utmbo7t.tfm) = %{tl_version}
Provides: tex(utmbo8c.tfm) = %{tl_version}
Provides: tex(utmbo8r.tfm) = %{tl_version}
Provides: tex(utmbo8t.tfm) = %{tl_version}
Provides: tex(utmr7t.tfm) = %{tl_version}
Provides: tex(utmr8c.tfm) = %{tl_version}
Provides: tex(utmr8r.tfm) = %{tl_version}
Provides: tex(utmr8t.tfm) = %{tl_version}
Provides: tex(utmrc7t.tfm) = %{tl_version}
Provides: tex(utmrc8t.tfm) = %{tl_version}
Provides: tex(utmri7t.tfm) = %{tl_version}
Provides: tex(utmri8c.tfm) = %{tl_version}
Provides: tex(utmri8r.tfm) = %{tl_version}
Provides: tex(utmri8t.tfm) = %{tl_version}
Provides: tex(utmro7t.tfm) = %{tl_version}
Provides: tex(utmro8c.tfm) = %{tl_version}
Provides: tex(utmro8r.tfm) = %{tl_version}
Provides: tex(utmro8t.tfm) = %{tl_version}
Provides: tex(utmb8a.pfb) = %{tl_version}
Provides: tex(utmbi8a.pfb) = %{tl_version}
Provides: tex(utmr8a.pfb) = %{tl_version}
Provides: tex(utmri8a.pfb) = %{tl_version}
Provides: tex(ptmb.vf) = %{tl_version}
Provides: tex(ptmb7t.vf) = %{tl_version}
Provides: tex(ptmb8c.vf) = %{tl_version}
Provides: tex(ptmb8t.vf) = %{tl_version}
Provides: tex(ptmbc.vf) = %{tl_version}
Provides: tex(ptmbc7t.vf) = %{tl_version}
Provides: tex(ptmbc8t.vf) = %{tl_version}
Provides: tex(ptmbi.vf) = %{tl_version}
Provides: tex(ptmbi7t.vf) = %{tl_version}
Provides: tex(ptmbi8c.vf) = %{tl_version}
Provides: tex(ptmbi8t.vf) = %{tl_version}
Provides: tex(ptmbo.vf) = %{tl_version}
Provides: tex(ptmbo7t.vf) = %{tl_version}
Provides: tex(ptmbo8c.vf) = %{tl_version}
Provides: tex(ptmbo8t.vf) = %{tl_version}
Provides: tex(ptmr.vf) = %{tl_version}
Provides: tex(ptmr7t.vf) = %{tl_version}
Provides: tex(ptmr8c.vf) = %{tl_version}
Provides: tex(ptmr8t.vf) = %{tl_version}
Provides: tex(ptmrc.vf) = %{tl_version}
Provides: tex(ptmrc7t.vf) = %{tl_version}
Provides: tex(ptmrc8t.vf) = %{tl_version}
Provides: tex(ptmri.vf) = %{tl_version}
Provides: tex(ptmri7t.vf) = %{tl_version}
Provides: tex(ptmri8c.vf) = %{tl_version}
Provides: tex(ptmri8t.vf) = %{tl_version}
Provides: tex(ptmro.vf) = %{tl_version}
Provides: tex(ptmro7t.vf) = %{tl_version}
Provides: tex(ptmro8c.vf) = %{tl_version}
Provides: tex(ptmro8t.vf) = %{tl_version}
Provides: tex(ptmrre.vf) = %{tl_version}
Provides: tex(ptmrrn.vf) = %{tl_version}
Provides: tex(zpsycmrv.vf) = %{tl_version}
Provides: tex(zptmcm7m.vf) = %{tl_version}
Provides: tex(zptmcm7t.vf) = %{tl_version}
Provides: tex(zptmcm7v.vf) = %{tl_version}
Provides: tex(zptmcm7y.vf) = %{tl_version}
Provides: tex(zptmcmr.vf) = %{tl_version}
Provides: tex(zptmcmrm.vf) = %{tl_version}
Provides: tex(zpzccmry.vf) = %{tl_version}
Provides: tex(utmb7t.vf) = %{tl_version}
Provides: tex(utmb8c.vf) = %{tl_version}
Provides: tex(utmb8t.vf) = %{tl_version}
Provides: tex(utmbc7t.vf) = %{tl_version}
Provides: tex(utmbc8t.vf) = %{tl_version}
Provides: tex(utmbi7t.vf) = %{tl_version}
Provides: tex(utmbi8c.vf) = %{tl_version}
Provides: tex(utmbi8t.vf) = %{tl_version}
Provides: tex(utmbo7t.vf) = %{tl_version}
Provides: tex(utmbo8c.vf) = %{tl_version}
Provides: tex(utmbo8t.vf) = %{tl_version}
Provides: tex(utmr7t.vf) = %{tl_version}
Provides: tex(utmr8c.vf) = %{tl_version}
Provides: tex(utmr8t.vf) = %{tl_version}
Provides: tex(utmrc7t.vf) = %{tl_version}
Provides: tex(utmrc8t.vf) = %{tl_version}
Provides: tex(utmri7t.vf) = %{tl_version}
Provides: tex(utmri8c.vf) = %{tl_version}
Provides: tex(utmri8t.vf) = %{tl_version}
Provides: tex(utmro7t.vf) = %{tl_version}
Provides: tex(utmro8c.vf) = %{tl_version}
Provides: tex(utmro8t.vf) = %{tl_version}
Provides: tex(8rutm.fd) = %{tl_version}
Provides: tex(omlutm.fd) = %{tl_version}
Provides: tex(omsutm.fd) = %{tl_version}
Provides: tex(ot1utm.fd) = %{tl_version}
Provides: tex(t1utm.fd) = %{tl_version}
Provides: tex(ts1utm.fd) = %{tl_version}

%description times
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package tipa
Provides: tex-tipa = %{tl_version}
License: LPPL
Summary: Fonts and macros for IPA phonetics characters
Version: svn29349.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(tipx.sty)
Requires: tex(fontenc.sty)
Provides: tex(tipa.map) = %{tl_version}
Provides: tex(tipaprm.def) = %{tl_version}
Provides: tex(xipaprm.def) = %{tl_version}
Provides: tex(tipa10.tfm) = %{tl_version}
Provides: tex(tipa12.tfm) = %{tl_version}
Provides: tex(tipa17.tfm) = %{tl_version}
Provides: tex(tipa8.tfm) = %{tl_version}
Provides: tex(tipa9.tfm) = %{tl_version}
Provides: tex(tipab10.tfm) = %{tl_version}
Provides: tex(tipabs10.tfm) = %{tl_version}
Provides: tex(tipabx10.tfm) = %{tl_version}
Provides: tex(tipabx12.tfm) = %{tl_version}
Provides: tex(tipabx8.tfm) = %{tl_version}
Provides: tex(tipabx9.tfm) = %{tl_version}
Provides: tex(tipasb10.tfm) = %{tl_version}
Provides: tex(tipasi10.tfm) = %{tl_version}
Provides: tex(tipasl10.tfm) = %{tl_version}
Provides: tex(tipasl12.tfm) = %{tl_version}
Provides: tex(tipasl8.tfm) = %{tl_version}
Provides: tex(tipasl9.tfm) = %{tl_version}
Provides: tex(tipass10.tfm) = %{tl_version}
Provides: tex(tipass12.tfm) = %{tl_version}
Provides: tex(tipass17.tfm) = %{tl_version}
Provides: tex(tipass8.tfm) = %{tl_version}
Provides: tex(tipass9.tfm) = %{tl_version}
Provides: tex(tipats10.tfm) = %{tl_version}
Provides: tex(tipatt10.tfm) = %{tl_version}
Provides: tex(tipatt12.tfm) = %{tl_version}
Provides: tex(tipatt8.tfm) = %{tl_version}
Provides: tex(tipatt9.tfm) = %{tl_version}
Provides: tex(tipx10.tfm) = %{tl_version}
Provides: tex(tipx12.tfm) = %{tl_version}
Provides: tex(tipx17.tfm) = %{tl_version}
Provides: tex(tipx8.tfm) = %{tl_version}
Provides: tex(tipx9.tfm) = %{tl_version}
Provides: tex(tipxb10.tfm) = %{tl_version}
Provides: tex(tipxbs10.tfm) = %{tl_version}
Provides: tex(tipxbx10.tfm) = %{tl_version}
Provides: tex(tipxbx12.tfm) = %{tl_version}
Provides: tex(tipxbx8.tfm) = %{tl_version}
Provides: tex(tipxbx9.tfm) = %{tl_version}
Provides: tex(tipxsb10.tfm) = %{tl_version}
Provides: tex(tipxsi10.tfm) = %{tl_version}
Provides: tex(tipxsl10.tfm) = %{tl_version}
Provides: tex(tipxsl12.tfm) = %{tl_version}
Provides: tex(tipxsl8.tfm) = %{tl_version}
Provides: tex(tipxsl9.tfm) = %{tl_version}
Provides: tex(tipxss10.tfm) = %{tl_version}
Provides: tex(tipxss12.tfm) = %{tl_version}
Provides: tex(tipxss17.tfm) = %{tl_version}
Provides: tex(tipxss8.tfm) = %{tl_version}
Provides: tex(tipxss9.tfm) = %{tl_version}
Provides: tex(tipxts10.tfm) = %{tl_version}
Provides: tex(tipxtt10.tfm) = %{tl_version}
Provides: tex(tipxtt12.tfm) = %{tl_version}
Provides: tex(tipxtt8.tfm) = %{tl_version}
Provides: tex(tipxtt9.tfm) = %{tl_version}
Provides: tex(xipa10.tfm) = %{tl_version}
Provides: tex(xipab10.tfm) = %{tl_version}
Provides: tex(xipabs10.tfm) = %{tl_version}
Provides: tex(xipasb10.tfm) = %{tl_version}
Provides: tex(xipasi10.tfm) = %{tl_version}
Provides: tex(xipasl10.tfm) = %{tl_version}
Provides: tex(xipass10.tfm) = %{tl_version}
Provides: tex(xipx10.tfm) = %{tl_version}
Provides: tex(xipxb10.tfm) = %{tl_version}
Provides: tex(xipxbs10.tfm) = %{tl_version}
Provides: tex(xipxsb10.tfm) = %{tl_version}
Provides: tex(xipxsi10.tfm) = %{tl_version}
Provides: tex(xipxsl10.tfm) = %{tl_version}
Provides: tex(xipxss10.tfm) = %{tl_version}
Provides: tex(tipa10.pfb) = %{tl_version}
Provides: tex(tipa12.pfb) = %{tl_version}
Provides: tex(tipa17.pfb) = %{tl_version}
Provides: tex(tipa8.pfb) = %{tl_version}
Provides: tex(tipa9.pfb) = %{tl_version}
Provides: tex(tipab10.pfb) = %{tl_version}
Provides: tex(tipabs10.pfb) = %{tl_version}
Provides: tex(tipabx10.pfb) = %{tl_version}
Provides: tex(tipabx12.pfb) = %{tl_version}
Provides: tex(tipabx8.pfb) = %{tl_version}
Provides: tex(tipabx9.pfb) = %{tl_version}
Provides: tex(tipasb10.pfb) = %{tl_version}
Provides: tex(tipasi10.pfb) = %{tl_version}
Provides: tex(tipasl10.pfb) = %{tl_version}
Provides: tex(tipasl12.pfb) = %{tl_version}
Provides: tex(tipasl8.pfb) = %{tl_version}
Provides: tex(tipasl9.pfb) = %{tl_version}
Provides: tex(tipass10.pfb) = %{tl_version}
Provides: tex(tipass12.pfb) = %{tl_version}
Provides: tex(tipass17.pfb) = %{tl_version}
Provides: tex(tipass8.pfb) = %{tl_version}
Provides: tex(tipass9.pfb) = %{tl_version}
Provides: tex(tipats10.pfb) = %{tl_version}
Provides: tex(tipatt10.pfb) = %{tl_version}
Provides: tex(tipatt12.pfb) = %{tl_version}
Provides: tex(tipatt8.pfb) = %{tl_version}
Provides: tex(tipatt9.pfb) = %{tl_version}
Provides: tex(tipx10.pfb) = %{tl_version}
Provides: tex(tipx12.pfb) = %{tl_version}
Provides: tex(tipx17.pfb) = %{tl_version}
Provides: tex(tipx8.pfb) = %{tl_version}
Provides: tex(tipx9.pfb) = %{tl_version}
Provides: tex(tipxb10.pfb) = %{tl_version}
Provides: tex(tipxbs10.pfb) = %{tl_version}
Provides: tex(tipxbx10.pfb) = %{tl_version}
Provides: tex(tipxbx12.pfb) = %{tl_version}
Provides: tex(tipxbx8.pfb) = %{tl_version}
Provides: tex(tipxbx9.pfb) = %{tl_version}
Provides: tex(tipxsb10.pfb) = %{tl_version}
Provides: tex(tipxsi10.pfb) = %{tl_version}
Provides: tex(tipxsl10.pfb) = %{tl_version}
Provides: tex(tipxsl12.pfb) = %{tl_version}
Provides: tex(tipxsl8.pfb) = %{tl_version}
Provides: tex(tipxsl9.pfb) = %{tl_version}
Provides: tex(tipxss10.pfb) = %{tl_version}
Provides: tex(tipxss12.pfb) = %{tl_version}
Provides: tex(tipxss17.pfb) = %{tl_version}
Provides: tex(tipxss8.pfb) = %{tl_version}
Provides: tex(tipxss9.pfb) = %{tl_version}
Provides: tex(tipxts10.pfb) = %{tl_version}
Provides: tex(tipxtt10.pfb) = %{tl_version}
Provides: tex(tipxtt12.pfb) = %{tl_version}
Provides: tex(tipxtt8.pfb) = %{tl_version}
Provides: tex(tipxtt9.pfb) = %{tl_version}
Provides: tex(xipa10.pfb) = %{tl_version}
Provides: tex(xipab10.pfb) = %{tl_version}
Provides: tex(xipabs10.pfb) = %{tl_version}
Provides: tex(xipasb10.pfb) = %{tl_version}
Provides: tex(xipasi10.pfb) = %{tl_version}
Provides: tex(xipasl10.pfb) = %{tl_version}
Provides: tex(xipass10.pfb) = %{tl_version}
Provides: tex(xipx10.pfb) = %{tl_version}
Provides: tex(xipxb10.pfb) = %{tl_version}
Provides: tex(xipxbs10.pfb) = %{tl_version}
Provides: tex(xipxsb10.pfb) = %{tl_version}
Provides: tex(xipxsi10.pfb) = %{tl_version}
Provides: tex(xipxsl10.pfb) = %{tl_version}
Provides: tex(xipxss10.pfb) = %{tl_version}
Provides: tex(exaccent.sty) = %{tl_version}
Provides: tex(extraipa.sty) = %{tl_version}
Provides: tex(t3cmr.fd) = %{tl_version}
Provides: tex(t3cmss.fd) = %{tl_version}
Provides: tex(t3cmtt.fd) = %{tl_version}
Provides: tex(t3enc.def) = %{tl_version}
Provides: tex(t3phv.fd) = %{tl_version}
Provides: tex(t3ptm.fd) = %{tl_version}
Provides: tex(tipa.sty) = %{tl_version}
Provides: tex(tipx.sty) = %{tl_version}
Provides: tex(tone.sty) = %{tl_version}
Provides: tex(ts3cmr.fd) = %{tl_version}
Provides: tex(ts3cmss.fd) = %{tl_version}
Provides: tex(ts3cmtt.fd) = %{tl_version}
Provides: tex(ts3enc.def) = %{tl_version}
Provides: tex(ts3phv.fd) = %{tl_version}
Provides: tex(ts3ptm.fd) = %{tl_version}
Provides: tex(utipx.fd) = %{tl_version}
Provides: tex(utipxss.fd) = %{tl_version}
Provides: tex(utipxtt.fd) = %{tl_version}
Provides: tex(uxipx.fd) = %{tl_version}
Provides: tex(uxipxss.fd) = %{tl_version}
Provides: tex(vowel.sty) = %{tl_version}

%description tipa
These fonts are considered the 'ultimate answer' to IPA
typesetting. The encoding of these 8-bit fonts has been
registered as LaTeX standard encoding T3, and the set of
addendum symbols as encoding TS3. 'Times-like' Adobe Type 1
versions are provided for both the T3 and the TS3 fonts.

%package tipa-doc
Summary: Documentation for tipa
Version: svn29349.1.3

Provides: tex-tipa-doc
AutoReqProv: No

%description tipa-doc
Documentation for tipa

%package txfonts
Provides: tex-txfonts = %{tl_version}
License: GPL+
Summary: Times-like fonts in support of mathematics
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(tx8r.enc) = %{tl_version}
Provides: tex(txfonts.map) = %{tl_version}
Provides: tex(txr.map) = %{tl_version}
Provides: tex(txr1.map) = %{tl_version}
Provides: tex(txr2.map) = %{tl_version}
Provides: tex(txr3.map) = %{tl_version}
Provides: tex(rtcxb.tfm) = %{tl_version}
Provides: tex(rtcxbi.tfm) = %{tl_version}
Provides: tex(rtcxbsl.tfm) = %{tl_version}
Provides: tex(rtcxbss.tfm) = %{tl_version}
Provides: tex(rtcxbsso.tfm) = %{tl_version}
Provides: tex(rtcxi.tfm) = %{tl_version}
Provides: tex(rtcxr.tfm) = %{tl_version}
Provides: tex(rtcxsl.tfm) = %{tl_version}
Provides: tex(rtcxss.tfm) = %{tl_version}
Provides: tex(rtcxsssl.tfm) = %{tl_version}
Provides: tex(rtxb.tfm) = %{tl_version}
Provides: tex(rtxbi.tfm) = %{tl_version}
Provides: tex(rtxbmi.tfm) = %{tl_version}
Provides: tex(rtxbsc.tfm) = %{tl_version}
Provides: tex(rtxbsl.tfm) = %{tl_version}
Provides: tex(rtxbss.tfm) = %{tl_version}
Provides: tex(rtxbsssc.tfm) = %{tl_version}
Provides: tex(rtxbsssl.tfm) = %{tl_version}
Provides: tex(rtxi.tfm) = %{tl_version}
Provides: tex(rtxmi.tfm) = %{tl_version}
Provides: tex(rtxphvb.tfm) = %{tl_version}
Provides: tex(rtxphvbo.tfm) = %{tl_version}
Provides: tex(rtxphvr.tfm) = %{tl_version}
Provides: tex(rtxphvro.tfm) = %{tl_version}
Provides: tex(rtxptmb.tfm) = %{tl_version}
Provides: tex(rtxptmbi.tfm) = %{tl_version}
Provides: tex(rtxptmbo.tfm) = %{tl_version}
Provides: tex(rtxptmr.tfm) = %{tl_version}
Provides: tex(rtxptmri.tfm) = %{tl_version}
Provides: tex(rtxptmro.tfm) = %{tl_version}
Provides: tex(rtxr.tfm) = %{tl_version}
Provides: tex(rtxsc.tfm) = %{tl_version}
Provides: tex(rtxsl.tfm) = %{tl_version}
Provides: tex(rtxss.tfm) = %{tl_version}
Provides: tex(rtxsssc.tfm) = %{tl_version}
Provides: tex(rtxsssl.tfm) = %{tl_version}
Provides: tex(t1xb.tfm) = %{tl_version}
Provides: tex(t1xbi.tfm) = %{tl_version}
Provides: tex(t1xbsc.tfm) = %{tl_version}
Provides: tex(t1xbsl.tfm) = %{tl_version}
Provides: tex(t1xbss.tfm) = %{tl_version}
Provides: tex(t1xbsssc.tfm) = %{tl_version}
Provides: tex(t1xbsssl.tfm) = %{tl_version}
Provides: tex(t1xbtt.tfm) = %{tl_version}
Provides: tex(t1xbttsc.tfm) = %{tl_version}
Provides: tex(t1xbttsl.tfm) = %{tl_version}
Provides: tex(t1xi.tfm) = %{tl_version}
Provides: tex(t1xr.tfm) = %{tl_version}
Provides: tex(t1xsc.tfm) = %{tl_version}
Provides: tex(t1xsl.tfm) = %{tl_version}
Provides: tex(t1xss.tfm) = %{tl_version}
Provides: tex(t1xsssc.tfm) = %{tl_version}
Provides: tex(t1xsssl.tfm) = %{tl_version}
Provides: tex(t1xtt.tfm) = %{tl_version}
Provides: tex(t1xttsc.tfm) = %{tl_version}
Provides: tex(t1xttsl.tfm) = %{tl_version}
Provides: tex(tcxb.tfm) = %{tl_version}
Provides: tex(tcxbi.tfm) = %{tl_version}
Provides: tex(tcxbsl.tfm) = %{tl_version}
Provides: tex(tcxbss.tfm) = %{tl_version}
Provides: tex(tcxbsssl.tfm) = %{tl_version}
Provides: tex(tcxbtt.tfm) = %{tl_version}
Provides: tex(tcxbttsl.tfm) = %{tl_version}
Provides: tex(tcxi.tfm) = %{tl_version}
Provides: tex(tcxr.tfm) = %{tl_version}
Provides: tex(tcxsl.tfm) = %{tl_version}
Provides: tex(tcxss.tfm) = %{tl_version}
Provides: tex(tcxsssl.tfm) = %{tl_version}
Provides: tex(tcxtt.tfm) = %{tl_version}
Provides: tex(tcxttsl.tfm) = %{tl_version}
Provides: tex(txb.tfm) = %{tl_version}
Provides: tex(txbex.tfm) = %{tl_version}
Provides: tex(txbexa.tfm) = %{tl_version}
Provides: tex(txbi.tfm) = %{tl_version}
Provides: tex(txbmi.tfm) = %{tl_version}
Provides: tex(txbmi1.tfm) = %{tl_version}
Provides: tex(txbmia.tfm) = %{tl_version}
Provides: tex(txbsc.tfm) = %{tl_version}
Provides: tex(txbsl.tfm) = %{tl_version}
Provides: tex(txbss.tfm) = %{tl_version}
Provides: tex(txbsssc.tfm) = %{tl_version}
Provides: tex(txbsssl.tfm) = %{tl_version}
Provides: tex(txbsy.tfm) = %{tl_version}
Provides: tex(txbsya.tfm) = %{tl_version}
Provides: tex(txbsyb.tfm) = %{tl_version}
Provides: tex(txbsyc.tfm) = %{tl_version}
Provides: tex(txbtt.tfm) = %{tl_version}
Provides: tex(txbttsc.tfm) = %{tl_version}
Provides: tex(txbttsl.tfm) = %{tl_version}
Provides: tex(txex.tfm) = %{tl_version}
Provides: tex(txexa.tfm) = %{tl_version}
Provides: tex(txi.tfm) = %{tl_version}
Provides: tex(txmi.tfm) = %{tl_version}
Provides: tex(txmi1.tfm) = %{tl_version}
Provides: tex(txmia.tfm) = %{tl_version}
Provides: tex(txr.tfm) = %{tl_version}
Provides: tex(txsc.tfm) = %{tl_version}
Provides: tex(txsl.tfm) = %{tl_version}
Provides: tex(txss.tfm) = %{tl_version}
Provides: tex(txsssc.tfm) = %{tl_version}
Provides: tex(txsssl.tfm) = %{tl_version}
Provides: tex(txsy.tfm) = %{tl_version}
Provides: tex(txsya.tfm) = %{tl_version}
Provides: tex(txsyb.tfm) = %{tl_version}
Provides: tex(txsyc.tfm) = %{tl_version}
Provides: tex(txtt.tfm) = %{tl_version}
Provides: tex(txttsc.tfm) = %{tl_version}
Provides: tex(txttsl.tfm) = %{tl_version}
Provides: tex(tyxb.tfm) = %{tl_version}
Provides: tex(tyxbi.tfm) = %{tl_version}
Provides: tex(tyxbsc.tfm) = %{tl_version}
Provides: tex(tyxbsl.tfm) = %{tl_version}
Provides: tex(tyxbss.tfm) = %{tl_version}
Provides: tex(tyxbsssc.tfm) = %{tl_version}
Provides: tex(tyxbsssl.tfm) = %{tl_version}
Provides: tex(tyxbtt.tfm) = %{tl_version}
Provides: tex(tyxbttsc.tfm) = %{tl_version}
Provides: tex(tyxbttsl.tfm) = %{tl_version}
Provides: tex(tyxi.tfm) = %{tl_version}
Provides: tex(tyxr.tfm) = %{tl_version}
Provides: tex(tyxsc.tfm) = %{tl_version}
Provides: tex(tyxsl.tfm) = %{tl_version}
Provides: tex(tyxss.tfm) = %{tl_version}
Provides: tex(tyxsssc.tfm) = %{tl_version}
Provides: tex(tyxsssl.tfm) = %{tl_version}
Provides: tex(tyxtt.tfm) = %{tl_version}
Provides: tex(tyxttsc.tfm) = %{tl_version}
Provides: tex(tyxttsl.tfm) = %{tl_version}
Provides: tex(rtcxb.pfb) = %{tl_version}
Provides: tex(rtcxbi.pfb) = %{tl_version}
Provides: tex(rtcxbss.pfb) = %{tl_version}
Provides: tex(rtcxi.pfb) = %{tl_version}
Provides: tex(rtcxr.pfb) = %{tl_version}
Provides: tex(rtcxss.pfb) = %{tl_version}
Provides: tex(rtxb.pfb) = %{tl_version}
Provides: tex(rtxbi.pfb) = %{tl_version}
Provides: tex(rtxbmi.pfb) = %{tl_version}
Provides: tex(rtxbsc.pfb) = %{tl_version}
Provides: tex(rtxbss.pfb) = %{tl_version}
Provides: tex(rtxbsssc.pfb) = %{tl_version}
Provides: tex(rtxi.pfb) = %{tl_version}
Provides: tex(rtxmi.pfb) = %{tl_version}
Provides: tex(rtxr.pfb) = %{tl_version}
Provides: tex(rtxsc.pfb) = %{tl_version}
Provides: tex(rtxss.pfb) = %{tl_version}
Provides: tex(rtxsssc.pfb) = %{tl_version}
Provides: tex(t1xbtt.pfb) = %{tl_version}
Provides: tex(t1xbttsc.pfb) = %{tl_version}
Provides: tex(t1xtt.pfb) = %{tl_version}
Provides: tex(t1xttsc.pfb) = %{tl_version}
Provides: tex(tcxbtt.pfb) = %{tl_version}
Provides: tex(tcxtt.pfb) = %{tl_version}
Provides: tex(txbex.pfb) = %{tl_version}
Provides: tex(txbexa.pfb) = %{tl_version}
Provides: tex(txbmia.pfb) = %{tl_version}
Provides: tex(txbsy.pfb) = %{tl_version}
Provides: tex(txbsya.pfb) = %{tl_version}
Provides: tex(txbsyb.pfb) = %{tl_version}
Provides: tex(txbsyc.pfb) = %{tl_version}
Provides: tex(txbtt.pfb) = %{tl_version}
Provides: tex(txbttsc.pfb) = %{tl_version}
Provides: tex(txex.pfb) = %{tl_version}
Provides: tex(txexa.pfb) = %{tl_version}
Provides: tex(txmia.pfb) = %{tl_version}
Provides: tex(txsy.pfb) = %{tl_version}
Provides: tex(txsya.pfb) = %{tl_version}
Provides: tex(txsyb.pfb) = %{tl_version}
Provides: tex(txsyc.pfb) = %{tl_version}
Provides: tex(txtt.pfb) = %{tl_version}
Provides: tex(txttsc.pfb) = %{tl_version}
Provides: tex(t1xb.vf) = %{tl_version}
Provides: tex(t1xbi.vf) = %{tl_version}
Provides: tex(t1xbsc.vf) = %{tl_version}
Provides: tex(t1xbsl.vf) = %{tl_version}
Provides: tex(t1xbss.vf) = %{tl_version}
Provides: tex(t1xbsssc.vf) = %{tl_version}
Provides: tex(t1xbsssl.vf) = %{tl_version}
Provides: tex(t1xi.vf) = %{tl_version}
Provides: tex(t1xr.vf) = %{tl_version}
Provides: tex(t1xsc.vf) = %{tl_version}
Provides: tex(t1xsl.vf) = %{tl_version}
Provides: tex(t1xss.vf) = %{tl_version}
Provides: tex(t1xsssc.vf) = %{tl_version}
Provides: tex(t1xsssl.vf) = %{tl_version}
Provides: tex(tcxb.vf) = %{tl_version}
Provides: tex(tcxbi.vf) = %{tl_version}
Provides: tex(tcxbsl.vf) = %{tl_version}
Provides: tex(tcxbss.vf) = %{tl_version}
Provides: tex(tcxbsssl.vf) = %{tl_version}
Provides: tex(tcxi.vf) = %{tl_version}
Provides: tex(tcxr.vf) = %{tl_version}
Provides: tex(tcxsl.vf) = %{tl_version}
Provides: tex(tcxss.vf) = %{tl_version}
Provides: tex(tcxsssl.vf) = %{tl_version}
Provides: tex(txb.vf) = %{tl_version}
Provides: tex(txbi.vf) = %{tl_version}
Provides: tex(txbmi.vf) = %{tl_version}
Provides: tex(txbmi1.vf) = %{tl_version}
Provides: tex(txbsc.vf) = %{tl_version}
Provides: tex(txbsl.vf) = %{tl_version}
Provides: tex(txbss.vf) = %{tl_version}
Provides: tex(txbsssc.vf) = %{tl_version}
Provides: tex(txbsssl.vf) = %{tl_version}
Provides: tex(txi.vf) = %{tl_version}
Provides: tex(txmi.vf) = %{tl_version}
Provides: tex(txmi1.vf) = %{tl_version}
Provides: tex(txr.vf) = %{tl_version}
Provides: tex(txsc.vf) = %{tl_version}
Provides: tex(txsl.vf) = %{tl_version}
Provides: tex(txss.vf) = %{tl_version}
Provides: tex(txsssc.vf) = %{tl_version}
Provides: tex(txsssl.vf) = %{tl_version}
Provides: tex(tyxb.vf) = %{tl_version}
Provides: tex(tyxbi.vf) = %{tl_version}
Provides: tex(tyxbsc.vf) = %{tl_version}
Provides: tex(tyxbsl.vf) = %{tl_version}
Provides: tex(tyxbss.vf) = %{tl_version}
Provides: tex(tyxbsssc.vf) = %{tl_version}
Provides: tex(tyxbsssl.vf) = %{tl_version}
Provides: tex(tyxbtt.vf) = %{tl_version}
Provides: tex(tyxbttsc.vf) = %{tl_version}
Provides: tex(tyxbttsl.vf) = %{tl_version}
Provides: tex(tyxi.vf) = %{tl_version}
Provides: tex(tyxr.vf) = %{tl_version}
Provides: tex(tyxsc.vf) = %{tl_version}
Provides: tex(tyxsl.vf) = %{tl_version}
Provides: tex(tyxss.vf) = %{tl_version}
Provides: tex(tyxsssc.vf) = %{tl_version}
Provides: tex(tyxsssl.vf) = %{tl_version}
Provides: tex(tyxtt.vf) = %{tl_version}
Provides: tex(tyxttsc.vf) = %{tl_version}
Provides: tex(tyxttsl.vf) = %{tl_version}
Provides: tex(ly1txr.fd) = %{tl_version}
Provides: tex(ly1txss.fd) = %{tl_version}
Provides: tex(ly1txtt.fd) = %{tl_version}
Provides: tex(omltxmi.fd) = %{tl_version}
Provides: tex(omltxr.fd) = %{tl_version}
Provides: tex(omstxr.fd) = %{tl_version}
Provides: tex(omstxsy.fd) = %{tl_version}
Provides: tex(omxtxex.fd) = %{tl_version}
Provides: tex(ot1txr.fd) = %{tl_version}
Provides: tex(ot1txss.fd) = %{tl_version}
Provides: tex(ot1txtt.fd) = %{tl_version}
Provides: tex(t1txr.fd) = %{tl_version}
Provides: tex(t1txss.fd) = %{tl_version}
Provides: tex(t1txtt.fd) = %{tl_version}
Provides: tex(ts1txr.fd) = %{tl_version}
Provides: tex(ts1txss.fd) = %{tl_version}
Provides: tex(ts1txtt.fd) = %{tl_version}
Provides: tex(txfonts.sty) = %{tl_version}
Provides: tex(utxexa.fd) = %{tl_version}
Provides: tex(utxmia.fd) = %{tl_version}
Provides: tex(utxr.fd) = %{tl_version}
Provides: tex(utxss.fd) = %{tl_version}
Provides: tex(utxsya.fd) = %{tl_version}
Provides: tex(utxsyb.fd) = %{tl_version}
Provides: tex(utxsyc.fd) = %{tl_version}
Provides: tex(utxtt.fd) = %{tl_version}

%description txfonts
Txfonts supplies virtual text roman fonts using Adobe Times (or
URW NimbusRomNo9L) with some modified and additional text
symbols in the OT1, T1, and TS1 encodings; maths alphabets
using Times/URW Nimbus; maths fonts providing all the symbols
of the Computer Modern and AMS fonts, including all the Greek
capital letters from CMR; and additional maths fonts of various
other symbols. The set is complemented by a sans-serif set of
text fonts, based on Helvetica/NimbusSanL, and a monospace set.
All the fonts are in Type 1 format (AFM and PFB files), and are
supported by TeX metrics (VF and TFM files) and macros for use
with LaTeX.

%package txfonts-doc
Summary: Documentation for txfonts
Version: svn15878.0

Provides: tex-txfonts-doc
AutoReqProv: No

%description txfonts-doc
Documentation for txfonts

%package utopia
Provides: tex-utopia = %{tl_version}
License: Utopia
Summary: Adobe Utopia fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(putb7t.tfm) = %{tl_version}
Provides: tex(putb8c.tfm) = %{tl_version}
Provides: tex(putb8r.tfm) = %{tl_version}
Provides: tex(putb8t.tfm) = %{tl_version}
Provides: tex(putbc7t.tfm) = %{tl_version}
Provides: tex(putbc8t.tfm) = %{tl_version}
Provides: tex(putbi7t.tfm) = %{tl_version}
Provides: tex(putbi8c.tfm) = %{tl_version}
Provides: tex(putbi8r.tfm) = %{tl_version}
Provides: tex(putbi8t.tfm) = %{tl_version}
Provides: tex(putbo7t.tfm) = %{tl_version}
Provides: tex(putbo8c.tfm) = %{tl_version}
Provides: tex(putbo8r.tfm) = %{tl_version}
Provides: tex(putbo8t.tfm) = %{tl_version}
Provides: tex(putr7t.tfm) = %{tl_version}
Provides: tex(putr8c.tfm) = %{tl_version}
Provides: tex(putr8r.tfm) = %{tl_version}
Provides: tex(putr8t.tfm) = %{tl_version}
Provides: tex(putrc7t.tfm) = %{tl_version}
Provides: tex(putrc8t.tfm) = %{tl_version}
Provides: tex(putri7t.tfm) = %{tl_version}
Provides: tex(putri8c.tfm) = %{tl_version}
Provides: tex(putri8r.tfm) = %{tl_version}
Provides: tex(putri8t.tfm) = %{tl_version}
Provides: tex(putro7t.tfm) = %{tl_version}
Provides: tex(putro8c.tfm) = %{tl_version}
Provides: tex(putro8r.tfm) = %{tl_version}
Provides: tex(putro8t.tfm) = %{tl_version}
Provides: tex(putb8a.pfb) = %{tl_version}
Provides: tex(putbi8a.pfb) = %{tl_version}
Provides: tex(putr8a.pfb) = %{tl_version}
Provides: tex(putri8a.pfb) = %{tl_version}
Provides: tex(putb7t.vf) = %{tl_version}
Provides: tex(putb8c.vf) = %{tl_version}
Provides: tex(putb8t.vf) = %{tl_version}
Provides: tex(putbc7t.vf) = %{tl_version}
Provides: tex(putbc8t.vf) = %{tl_version}
Provides: tex(putbi7t.vf) = %{tl_version}
Provides: tex(putbi8c.vf) = %{tl_version}
Provides: tex(putbi8t.vf) = %{tl_version}
Provides: tex(putbo7t.vf) = %{tl_version}
Provides: tex(putbo8c.vf) = %{tl_version}
Provides: tex(putbo8t.vf) = %{tl_version}
Provides: tex(putr7t.vf) = %{tl_version}
Provides: tex(putr8c.vf) = %{tl_version}
Provides: tex(putr8t.vf) = %{tl_version}
Provides: tex(putrc7t.vf) = %{tl_version}
Provides: tex(putrc8t.vf) = %{tl_version}
Provides: tex(putri7t.vf) = %{tl_version}
Provides: tex(putri8c.vf) = %{tl_version}
Provides: tex(putri8t.vf) = %{tl_version}
Provides: tex(putro7t.vf) = %{tl_version}
Provides: tex(putro8c.vf) = %{tl_version}
Provides: tex(putro8t.vf) = %{tl_version}

%description utopia
The Adobe Standard Encoding set (upright and italic shapes,
medium and bold weights) of the Utopia font family, which Adobe
donated to the X Consortium. Macro support, and maths fonts
that match the Utopia family, are provided by the Fourier and
the Mathdesign font packages.

%package utopia-doc
Summary: Documentation for utopia
Version: svn15878.0

Provides: tex-utopia-doc
AutoReqProv: No

%description utopia-doc
Documentation for utopia

%package wasy
Provides: tex-wasy = %{tl_version}
License: Public Domain
Summary: The wasy fonts (Waldi symbol fonts)
Version: svn35831.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(wasy10.tfm) = %{tl_version}
Provides: tex(wasy5.tfm) = %{tl_version}
Provides: tex(wasy6.tfm) = %{tl_version}
Provides: tex(wasy7.tfm) = %{tl_version}
Provides: tex(wasy8.tfm) = %{tl_version}
Provides: tex(wasy9.tfm) = %{tl_version}
Provides: tex(wasyb10.tfm) = %{tl_version}
Provides: tex(wasyfont.tex) = %{tl_version}

%description wasy
These are the wasy (Waldi symbol) fonts, second release. This
bundle presents the fonts in Metafont format, but they are also
available in Adobe Type 1 format. Support under LaTeX is
provided by the wasysym package.

%package wasy-doc
Summary: Documentation for wasy
Version: svn35831.0

Provides: tex-wasy-doc
AutoReqProv: No

%description wasy-doc
Documentation for wasy

%package wasy2-ps
Provides: tex-wasy2-ps = %{tl_version}
License: Public Domain
Summary: Type 1 versions of wasy2 fonts
Version: svn35830.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-wasy
Provides: tex(wasy.map) = %{tl_version}
Provides: tex(wasy10.pfb) = %{tl_version}
Provides: tex(wasy5.pfb) = %{tl_version}
Provides: tex(wasy6.pfb) = %{tl_version}
Provides: tex(wasy7.pfb) = %{tl_version}
Provides: tex(wasy8.pfb) = %{tl_version}
Provides: tex(wasy9.pfb) = %{tl_version}
Provides: tex(wasyb10.pfb) = %{tl_version}

%description wasy2-ps
Converted (Adobe Type 1) outlines of (some of) the wasy2 fonts.

%package wasy2-ps-doc
Summary: Documentation for wasy2-ps
Version: svn35830.0

Provides: tex-wasy2-ps-doc
AutoReqProv: No
Requires: tex-wasy-doc

%description wasy2-ps-doc
Documentation for wasy2-ps

%package wasysym
Provides: tex-wasysym = %{tl_version}
License: LPPL
Summary: LaTeX support file to use the WASY2 fonts
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(uwasy.fd) = %{tl_version}
Provides: tex(uwasyvar.fd) = %{tl_version}
Provides: tex(wasysym.sty) = %{tl_version}

%description wasysym
The WASY2 (Waldi Symbol) font by Roland Waldi provides many
glyphs like male and female symbols and astronomical symbols,
as well as the complete lasy font set and other odds and ends.
The wasysym package implements an easy to use interface for
these symbols.

%package wasysym-doc
Summary: Documentation for wasysym
Version: svn15878.2.0

Provides: tex-wasysym-doc
AutoReqProv: No

%description wasysym-doc
Documentation for wasysym

%package zapfchan
Provides: tex-zapfchan = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(uzc.map) = %{tl_version}
Provides: tex(pzcmi.tfm) = %{tl_version}
Provides: tex(pzcmi7t.tfm) = %{tl_version}
Provides: tex(pzcmi8c.tfm) = %{tl_version}
Provides: tex(pzcmi8r.tfm) = %{tl_version}
Provides: tex(pzcmi8t.tfm) = %{tl_version}
Provides: tex(uzcmi7t.tfm) = %{tl_version}
Provides: tex(uzcmi8c.tfm) = %{tl_version}
Provides: tex(uzcmi8r.tfm) = %{tl_version}
Provides: tex(uzcmi8t.tfm) = %{tl_version}
Provides: tex(uzcmi8a.pfb) = %{tl_version}
Provides: tex(pzcmi.vf) = %{tl_version}
Provides: tex(pzcmi7t.vf) = %{tl_version}
Provides: tex(pzcmi8c.vf) = %{tl_version}
Provides: tex(pzcmi8t.vf) = %{tl_version}
Provides: tex(uzcmi7t.vf) = %{tl_version}
Provides: tex(uzcmi8c.vf) = %{tl_version}
Provides: tex(uzcmi8t.vf) = %{tl_version}
Provides: tex(8ruzc.fd) = %{tl_version}
Provides: tex(omluzc.fd) = %{tl_version}
Provides: tex(omsuzc.fd) = %{tl_version}
Provides: tex(ot1uzc.fd) = %{tl_version}
Provides: tex(t1uzc.fd) = %{tl_version}
Provides: tex(ts1uzc.fd) = %{tl_version}

%description zapfchan
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package zapfding
Provides: tex-zapfding = %{tl_version}
License: GPL+
Summary: URW "Base 35" font pack for LaTeX
Version: svn31835.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(uzd.map) = %{tl_version}
Provides: tex(pzdr.tfm) = %{tl_version}
Provides: tex(uzdr.tfm) = %{tl_version}
Provides: tex(uzdr.pfb) = %{tl_version}
Provides: tex(uuzd.fd) = %{tl_version}

%description zapfding
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: Century Schoolbook (substituting for
Adobe's New Century Schoolbook); Dingbats (substituting for
Adobe's Zapf Dingbats); Nimbus Mono L (substituting for Abobe's
Courier); Nimbus Roman No9 L (substituting for Adobe's Times);
Nimbus Sans L (substituting for Adobe's Helvetica); Standard
Symbols L (substituting for Adobe's Symbol); URW Bookman; URW
Chancery L Medium Italic (substituting for Adobe's Zapf
Chancery); URW Gothic L Book (substituting for Adobe's Avant
Garde); and URW Palladio L (substituting for Adobe's Palatino).

%package collection-fontutils
Summary: Graphics and font utilities
Version: svn37105.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: tex-accfonts
Requires: tex-afm2pl
Requires: tex-dosepsbin
Requires: tex-epstopdf
Requires: tex-fontware
Requires: tex-lcdftypetools
Requires: tex-ps2pk
Requires: tex-pstools
Requires: tex-dvipsconfig
Requires: tex-fontinst
Requires: tex-fontools
Requires: tex-mf2pt1
Requires: tex-ttfutils
Requires: t1utils, psutils

%description collection-fontutils
Programs for conversion between font formats, testing fonts,
virtual fonts, .gf and .pk manipulation, mft, fontinst, etc.
Manipulating OpenType, TrueType, Type 1,and for manipulation of
PostScript and other image formats.

%package dvipsconfig
Provides: tex-dvipsconfig = %{tl_version}
License: GPL+
Summary: Collection of dvips PostScript headers
Version: svn13293.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description dvipsconfig
This is a collection of dvips PostScript header and dvips
config files. They control certain features of the printer,
including: A4, A3, usletter, simplex, duplex / long edge,
duplex / short edge, screen frequencies of images, black/white
invers, select transparency / paper for tektronix 550/560,
manual feeder, envelope feeder, and tray 1, 2 and 3, and
printing a PostScript grid underneath the page material--very
useful for measuring and eliminating paper feed errors!

%package collection-formatsextra
Summary: Additional formats
Version: svn44177
Provides: texlive-collection-htmlxml = %{epoch}:svn35743.0.obsolete
Obsoletes: texlive-collection-htmlxml <= 6:svn35743.0
Provides: texlive-collection-omega = %{epoch}:svn30388.0.obsolete
Obsoletes: texlive-collection-omega <= 6:svn30388.0
Requires: texlive-aleph
Requires: texlive-antomega
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-latex
Requires: texlive-edmac
Requires: texlive-eplain
Requires: texlive-jadetex
Requires: texlive-lambda
Requires: texlive-lollipop
Requires: texlive-mltex
Requires: texlive-mxedruli
Requires: texlive-omega
Requires: texlive-omegaware
Requires: texlive-otibet
Requires: texlive-passivetex
Requires: texlive-psizzl
Requires: texlive-startex
Requires: texlive-texsis
Requires: texlive-xmltex
Requires: texlive-xmltexconfig

%description collection-formatsextra
Collected TeX `formats', i.e., large-scale macro packages
designed to be dumped into .fmt files -- excluding the most
common ones, such as latex and context, which have their own
package(s).

%package edmac
Provides: tex-edmac = %{tl_version}
License: GPLv2+
Summary: Typeset critical editions
Version: svn15878.3.17

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(edmac.tex) = %{tl_version}
Provides: tex(edmacfss.sty) = %{tl_version}
Provides: tex(edstanza.tex) = %{tl_version}
Provides: tex(tabmac.tex) = %{tl_version}

%description edmac
This is the type example package for typesetting scholarly
critical editions.

%package edmac-doc
Summary: Documentation for edmac
Version: svn15878.3.17

Provides: tex-edmac-doc
AutoReqProv: No

%description edmac-doc
Documentation for edmac

%package psizzl
Provides: tex-psizzl = %{tl_version}
License: LPPL
Summary: A TeX format for physics papers
Version: svn15878.0.35

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mypsizzl.tex) = %{tl_version}
Provides: tex(psizzl.tex) = %{tl_version}

%description psizzl
PSIZZL is a TeX format for physics papers written at SLAC and
used at several other places. It dates from rather early in the
development of TeX82; as a result, some of the descriptions of
limitations look rather quaint to modern eyes.

%package psizzl-doc
Summary: Documentation for psizzl
Version: svn15878.0.35

Provides: tex-psizzl-doc
AutoReqProv: No

%description psizzl-doc
Documentation for psizzl

%package startex
Provides: tex-startex = %{tl_version}
License: Public Domain
Summary: An XML-inspired format for student use
Version: svn35718.1.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(startex.tex) = %{tl_version}

%description startex
A TeX format designed to help students write short reports and
essays. It provides the user with a suitable set of commands
for such a task. It is also more robust than plain TeX and
LaTeX.

%package startex-doc
Summary: Documentation for startex
Version: svn35718.1.04

Provides: tex-startex-doc
AutoReqProv: No

%description startex-doc
Documentation for startex

%package collection-games
Summary: Games typesetting
Version: svn42992
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-bartel-chess-fonts
Requires: texlive-chess
Requires: texlive-chess-problem-diagrams
Requires: texlive-chessboard
Requires: texlive-chessfss
Requires: texlive-crossword
Requires: texlive-crosswrd
Requires: texlive-egameps
Requires: texlive-gamebook
Requires: texlive-go
Requires: texlive-hanoi
Requires: texlive-havannah
Requires: texlive-hexgame
Requires: texlive-horoscop
Requires: texlive-labyrinth
Requires: texlive-logicpuzzle
Requires: texlive-othello
Requires: texlive-othelloboard
Requires: texlive-pas-crosswords
Requires: texlive-psgo
Requires: texlive-reverxii-doc
Requires: texlive-rubik
Requires: texlive-schwalbe-chess
Requires: texlive-sgame
Requires: texlive-skak
Requires: texlive-skaknew
Requires: texlive-soup
Requires: texlive-sudoku
Requires: texlive-sudokubundle
Requires: texlive-xq
Requires: texlive-xskak

%description collection-games
Setups for typesetting various games, including chess.

%package crossword
Provides: tex-crossword = %{tl_version}
License: Crossword
Summary: Typeset crossword puzzles
Version: svn32657.1.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Provides: tex(cwpuzzle.sty) = %{tl_version}

%description crossword
An extended grid-based puzzle package, designed to take all
input (both grid and clues) from the same file. The package can
typeset grids with holes in them (for advertisements, or other
sorts of stuff), and can deal with several sorts of puzzle: The
classical puzzle contains numbers for the words and clues for
the words to be filled in. The numbered puzzle contains numbers
in each cell where identical numbers represent identical
letters. The goal is to find out which number corresponds to
which letter. The fill-in type of puzzle consists of a grid and
a list of words. The goal is to place all words in the grid.
Sudoku and Kakuro puzzles involve filling in grids of numbers
according to their own rules. Format may be block-separated, or
separated by thick lines. Input to the package is somewhat
redundant: specification of the grid is separate from
specification of the clues (if they're necessary). The author
considers this style both 'natural' and robust.

%package crossword-doc
Summary: Documentation for crossword
Version: svn32657.1.9

Provides: tex-crossword-doc
AutoReqProv: No

%description crossword-doc
Documentation for crossword

%package crosswrd
Provides: tex-crosswrd = %{tl_version}
License: LPPL
Summary: Macros for typesetting crossword puzzles
Version: svn16896.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(crosswrd.sty) = %{tl_version}

%description crosswrd
The package provides a LaTeX method of typesetting crosswords,
and assists the composer ensure that the grid all goes together
properly. Brian Hamilton Kelly's original was written for LaTeX
2.09, and needed to be updated to run with current LaTeX.

%package crosswrd-doc
Summary: Documentation for crosswrd
Version: svn16896.3.0

Provides: tex-crosswrd-doc
AutoReqProv: No

%description crosswrd-doc
Documentation for crosswrd

%package egameps
Provides: tex-egameps = %{tl_version}
License: LPPL
Summary: LaTeX package for typesetting extensive games
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(egameps.sty) = %{tl_version}

%description egameps
The style is intended to have enough features to draw any
extensive game with relative ease. The facilities of PSTricks
are used for graphics. (An older version of the package, which
uses the LaTeX picture environment rather than PSTricks and
consequently has many fewer features is available on the
package home page.)

%package egameps-doc
Summary: Documentation for egameps
Version: svn15878.1.1

Provides: tex-egameps-doc
AutoReqProv: No

%description egameps-doc
Documentation for egameps

%package gamebook
Provides: tex-gamebook = %{tl_version}
License: LPPL 1.3
Summary: Typeset gamebooks and other interactive novels
Version: svn24714.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(extramarks.sty)
Requires: tex(titlesec.sty)
Requires: tex(enumitem.sty)
Requires: tex(draftwatermark.sty)
Requires: tex(scrtime.sty)
Requires: tex(prelim2e.sty)
Provides: tex(gamebook.sty) = %{tl_version}

%description gamebook
This package provides the means in order to lay-out gamebooks
with LaTeX. A simple gamebook example is included with the
package, and acts as a tutorial.

%package gamebook-doc
Summary: Documentation for gamebook
Version: svn24714.1.0

Provides: tex-gamebook-doc
AutoReqProv: No

%description gamebook-doc
Documentation for gamebook

%package go
Provides: tex-go = %{tl_version}
License: Public Domain
Summary: Fonts and macros for typesetting go games
Version: svn28628.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(go10.tfm) = %{tl_version}
Provides: tex(go15.tfm) = %{tl_version}
Provides: tex(go1bla10.tfm) = %{tl_version}
Provides: tex(go1bla15.tfm) = %{tl_version}
Provides: tex(go1bla20.tfm) = %{tl_version}
Provides: tex(go1whi10.tfm) = %{tl_version}
Provides: tex(go1whi15.tfm) = %{tl_version}
Provides: tex(go1whi20.tfm) = %{tl_version}
Provides: tex(go20.tfm) = %{tl_version}
Provides: tex(go2bla10.tfm) = %{tl_version}
Provides: tex(go2bla15.tfm) = %{tl_version}
Provides: tex(go2bla20.tfm) = %{tl_version}
Provides: tex(go2whi10.tfm) = %{tl_version}
Provides: tex(go2whi15.tfm) = %{tl_version}
Provides: tex(go2whi20.tfm) = %{tl_version}
Provides: tex(gosign50.tfm) = %{tl_version}
Provides: tex(go.sty) = %{tl_version}

%description go
The macros provide for nothing more complicated than the
standard 19x19 board; the fonts are written in Metafont.

%package go-doc
Summary: Documentation for go
Version: svn28628.0

Provides: tex-go-doc
AutoReqProv: No

%description go-doc
Documentation for go

%package hanoi
Provides: tex-hanoi = %{tl_version}
License: Public Domain
Summary: Tower of Hanoi in TeX
Version: svn25019.20120101

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hanoi.tex) = %{tl_version}

%description hanoi
The Plain TeX program (typed in the shape of the towers of
Hanoi) serves both as a game and as a TeX programming exercise.
As a game it will solve the towers with (up to) 15 discs (with
15 discs, 32767 moves are needed).

%package havannah
Provides: tex-havannah = %{tl_version}
License: LPPL 1.2
Summary: Diagrams of board positions in the games of Havannah and Hex
Version: svn36348.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(havannah.sty) = %{tl_version}

%description havannah
This package defines macros for typesetting diagrams of board
positions in the games of Havannah and Hex.

%package havannah-doc
Summary: Documentation for havannah
Version: svn36348.0

Provides: tex-havannah-doc
AutoReqProv: No

%description havannah-doc
Documentation for havannah

%package hexgame
Provides: tex-hexgame = %{tl_version}
License: LPPL
Summary: Provide an environment to draw a hexgame-board
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstcol.sty)
Requires: tex(pst-poly.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Provides: tex(hexgame.sty) = %{tl_version}

%description hexgame
Hex is a mathematical game invented by the Danish mathematician
Piet Hein and independently by the mathematician John Nash.
This package defines an environment that enables the user to
draw such a game in a trivial way.

%package hexgame-doc
Summary: Documentation for hexgame
Version: svn15878.1.0

Provides: tex-hexgame-doc
AutoReqProv: No

%description hexgame-doc
Documentation for hexgame

%package horoscop
Provides: tex-horoscop = %{tl_version}
License: Public Domain
Summary: Generate astrological charts in LaTeX
Version: svn30530.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(wasysym.sty)
Requires: tex(marvosym.sty)
Requires: tex(starfont.sty)
Requires: tex(pict2e.sty)
Requires: tex(trig.sty)
Provides: tex(horoscop.sty) = %{tl_version}

%description horoscop
The horoscop package provides a unified interface for
astrological font packages; typesetting with pict2e of standard
wheel charts and some variations, in PostScript- and PDF-
generating TeX engines; and access to external calculation
software (Astrolog and Swiss Ephemeris) for computing object
positions.

%package horoscop-doc
Summary: Documentation for horoscop
Version: svn30530.0.92

Provides: tex-horoscop-doc
AutoReqProv: No

%description horoscop-doc
Documentation for horoscop

%package labyrinth
Provides: tex-labyrinth = %{tl_version}
License: LPPL
Summary: Draw labyrinths and solution paths
Version: svn33454.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(xkeyval.sty)
Requires: tex(picture.sty)
Provides: tex(labyrinth.sty) = %{tl_version}

%description labyrinth
The labyrinth package provides code and an environment for
typesetting simple labyrinths with LaTeX, and generating an
automatic or manual solution path.

%package labyrinth-doc
Summary: Documentation for labyrinth
Version: svn33454.1.0

Provides: tex-labyrinth-doc
AutoReqProv: No

%description labyrinth-doc
Documentation for labyrinth

%package logicpuzzle
Provides: tex-logicpuzzle = %{tl_version}
License: LPPL 1.3
Summary: Typeset (grid-based) logic puzzles
Version: svn34491.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(ragged2e.sty)
Requires: tex(marginnote.sty)
Requires: tex(tikz.sty)
Provides: tex(logicpuzzle.sty) = %{tl_version}
Provides: tex(lpenv.sty) = %{tl_version}

%description logicpuzzle
The package allows the user to typeset various logic puzzles.
At the moment the following puzzles are supported: 2D-Sudoku
(aka Magiequadrat, Diagon, ...), Battleship (aka Bimaru,
Marinespiel, Batalla Naval, ...), Bokkusu (aka Kakurasu,
Feldersummenratsel, ...), Bridges (akak Bruckenbau, Hashi,
...), Chaos Sudoku, Four Winds (aka Eminent Domain,
Lichtstrahl, ...), Hakyuu (aka Seismic, Ripple Effect, ...),
Hitori, Kakuro, Kendoku (aka Mathdoku, Calcudoku, Basic,
MiniPlu, Ken Ken, Square Wisdom, Sukendo, Caldoku, ..., Killer
Sudoku (aka Samunapure, Sum Number Place, Sumdoku,
Gebietssummen, ...), Laser Beam (aka Laserstrahl, ...), Magic
Labyrinth (aka Magic Spiral, Magisches Labyrinth, ...), Magnets
(aka Magnetplatte, Magnetfeld, ...), Masyu (aka Mashi,
{White|Black} Pearls, ...), Minesweeper (aka Minensuche, ...),
Nonogram (aka Griddlers, Hanjie, Tsunami, Logic Art, Logimage,
...), Number Link (aka Alphabet Link, Arukone, Buchstabenbund,
...), Resuko, Schatzsuche, Skyline (aka Skycrapers,
Wolkenkratzer, Hochhauser, ...), including Skyline Sudoku and
Skyline Sudoku (N*N) variants, Slitherlink (aka Fences, Number
Line, Dotty Dilemma, Sli-Lin, Takegaki, Great Wall of China,
Loop the Loop, Rundweg, Gartenzaun, ...), Star Battle (aka
Sternenschlacht, ...), Stars and Arrows (aka Sternenhimmel,
...), Sudoku, Sun and Moon (aka Sternenhaufen, Munraito, ...),
Tents and Trees (aka Zeltlager, Zeltplatz, Camping, ...), and
Tunnel.

%package logicpuzzle-doc
Summary: Documentation for logicpuzzle
Version: svn34491.2.5

Provides: tex-logicpuzzle-doc
AutoReqProv: No

%description logicpuzzle-doc
Documentation for logicpuzzle

%package othello
Provides: tex-othello = %{tl_version}
License: GPL+
Summary: Modification of a Go package to create othello boards
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ot10.tfm) = %{tl_version}
Provides: tex(ot15.tfm) = %{tl_version}
Provides: tex(ot1bla10.tfm) = %{tl_version}
Provides: tex(ot1bla15.tfm) = %{tl_version}
Provides: tex(ot1bla20.tfm) = %{tl_version}
Provides: tex(ot1neu10.tfm) = %{tl_version}
Provides: tex(ot1neu15.tfm) = %{tl_version}
Provides: tex(ot1neu20.tfm) = %{tl_version}
Provides: tex(ot1whi10.tfm) = %{tl_version}
Provides: tex(ot1whi15.tfm) = %{tl_version}
Provides: tex(ot1whi20.tfm) = %{tl_version}
Provides: tex(othello.sty) = %{tl_version}

%description othello
A package (based on Kolodziejska's go), and fonts (as Metafont
source) are provided.

%package othello-doc
Summary: Documentation for othello
Version: svn15878.0

Provides: tex-othello-doc
AutoReqProv: No

%description othello-doc
Documentation for othello

%package othelloboard
Provides: tex-othelloboard = %{tl_version}
License: LPPL 1.3
Summary: Typeset Othello (Reversi) diagrams of any size, with annotations
Version: svn23714.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(pict2e.sty)
Requires: tex(ifthen.sty)
Requires: tex(color.sty)
Requires: tex(xstring.sty)
Requires: tex(stringstrings.sty)
Provides: tex(othelloboard.sty) = %{tl_version}

%description othelloboard
The package enables the user to generate high-quality Othello
(also known as Reversi) board diagrams of any size. The
diagrams support annotations, including full game transcripts.
Automated board or transcript creation, from plain text formats
standard to WZebra (and other programs) is also supported.

%package othelloboard-doc
Summary: Documentation for othelloboard
Version: svn23714.1.2

Provides: tex-othelloboard-doc
AutoReqProv: No

%description othelloboard-doc
Documentation for othelloboard

%package pas-crosswords
Provides: tex-pas-crosswords = %{tl_version}
License: LPPL
Summary: Creating crossword grids, using TikZ
Version: svn32313.1.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(xstring.sty)
Requires: tex(tikz.sty)
Requires: tex(multido.sty)
Requires: tex(fp.sty)
Provides: tex(pas-crosswords.sty) = %{tl_version}

%description pas-crosswords
The package produces crossword grids, using a wide variety of
colours and decorations of the grids and the text in them. The
package uses TikZ for its graphical output.

%package pas-crosswords-doc
Summary: Documentation for pas-crosswords
Version: svn32313.1.03

Provides: tex-pas-crosswords-doc
AutoReqProv: No

%description pas-crosswords-doc
Documentation for pas-crosswords

%package psgo
Provides: tex-psgo = %{tl_version}
License: LPPL
Summary: Typeset go diagrams with PSTricks
Version: svn15878.0.17

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Provides: tex(psgo.sty) = %{tl_version}

%description psgo
psgo package

%package psgo-doc
Summary: Documentation for psgo
Version: svn15878.0.17

Provides: tex-psgo-doc
AutoReqProv: No

%description psgo-doc
Documentation for psgo

%package reverxii-doc
Summary: Documentation for reverxii
Version: svn24976.0

Provides: tex-reverxii-doc
AutoReqProv: No

%description reverxii-doc
Documentation for reverxii

%package schwalbe-chess
Provides: tex-schwalbe-chess = %{tl_version}
License: LPPL 1.2
Summary: Typeset the German chess magazine "Die Schwalbe"
Version: svn39318

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Requires: tex(ifthen.sty)
Requires: tex(times.sty)
Requires: tex(picinpar.sty)
Requires: tex(multicol.sty)
Requires: tex(url.sty)
Requires: tex(diagram.sty)
Provides: tex(schwalbe.cls) = %{tl_version}
Provides: tex(schwalbe.sty) = %{tl_version}

%description schwalbe-chess
The package is based on chess-problem-diagrams, which in its
turn has a dependency on the bartel-chess-fonts

%package schwalbe-chess-doc
Summary: Documentation for schwalbe-chess
Version: svn39318

Provides: tex-schwalbe-chess-doc
AutoReqProv: No

%description schwalbe-chess-doc
Documentation for schwalbe-chess

%package sgame
Provides: tex-sgame = %{tl_version}
License: LPPL
Summary: LaTeX style for typesetting strategic games
Version: svn30959.2.15

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(sgame.sty) = %{tl_version}
Provides: tex(sgamevar.sty) = %{tl_version}

%description sgame
Formats strategic games. For a 2x2 game, for example, the
input: \begin{game}{2}{2} &$L$ &$M$\\ $T$ &$2,2$ &$2,0$\\ $B$
&$3,0$ &$0,9$ \end{game} produces output with (a) boxes around
the payoffs, (b) payoff columns of equal width, and (c) payoffs
vertically centered within the boxes. Note that the game
environment will not work in the argument of another command.

%package sgame-doc
Summary: Documentation for sgame
Version: svn30959.2.15

Provides: tex-sgame-doc
AutoReqProv: No

%description sgame-doc
Documentation for sgame

%package skak
Provides: tex-skak = %{tl_version}
License: LPPL
Summary: Fonts and macros for typesetting chess games
Version: svn32758.1.5.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(latexsym.sty)
Requires: tex(chessfss.sty)
Requires: tex(lambda.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(textcomp.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Provides: tex(skak10.tfm) = %{tl_version}
Provides: tex(skak15.tfm) = %{tl_version}
Provides: tex(skak20.tfm) = %{tl_version}
Provides: tex(skak30.tfm) = %{tl_version}
Provides: tex(skakf10.tfm) = %{tl_version}
Provides: tex(skakf10b.tfm) = %{tl_version}
Provides: tex(chess-workshop-symbols.sty) = %{tl_version}
Provides: tex(skak.fd) = %{tl_version}
Provides: tex(skak.sty) = %{tl_version}
Provides: tex(uskak.fd) = %{tl_version}

%description skak
This package provides macros and fonts in Metafont format which
can be used to typeset chess games using PGN, and to show
diagrams of the current board in a document. The package builds
on work by Piet Tutelaers -- the main novelty is the use of PGN
for input instead of the more cumbersome coordinate notation
(g1f3 becomes the more readable Nf3 in PGN). An Adobe Type 1
implementation of skak's fonts is available as package skaknew;
an alternative chess notational scheme is available in package
texmate, and a general mechanism for selecting chess fonts is
provided in chessfss.

%package skak-doc
Summary: Documentation for skak
Version: svn32758.1.5.2

Provides: tex-skak-doc
AutoReqProv: No

%description skak-doc
Documentation for skak

%package sudoku
Provides: tex-sudoku = %{tl_version}
License: LPPL
Summary: Create sudoku grids
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sudoku.sty) = %{tl_version}

%description sudoku
The sudoku package provides an environment for typesetting
sudoku grids. A sudoku puzzle is a 9x9 grid where some of the
squares in the grid contain numbers. The rules are simple:
every column can only contain the digits 1 to 9, every row can
only contain the digits 1 to 9 and every 3x3 box can only
contain the digits 1 to 9. More information, including help and
example puzzles, can be found at sudoku.org.uk. This site also
has blank sudoku grids (or worksheets), but you will not need
to print them from there if you have this package installed.

%package sudoku-doc
Summary: Documentation for sudoku
Version: svn15878.1.0

Provides: tex-sudoku-doc
AutoReqProv: No

%description sudoku-doc
Documentation for sudoku

%package sudokubundle
Provides: tex-sudokubundle = %{tl_version}
License: LPPL
Summary: A set of sudoku-related packages
Version: svn15878.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(random.tex)
Provides: tex(createsudoku.sty) = %{tl_version}
Provides: tex(printsudoku.sty) = %{tl_version}
Provides: tex(solvesudoku.sty) = %{tl_version}

%description sudokubundle
The bundle provides three packages: printsudoku, which provides
a command \sudoku whose argument is the name of a file
containing a puzzle specification; solvesudoku, which attempts
to find a solution to the puzzle in the file named in the
argument; and createsudoku, which uses the random package to
generate a puzzle according to a bunch of parameters that the
user sets via macros. The bundle comes with a set of ready-
prepared puzzle files.

%package sudokubundle-doc
Summary: Documentation for sudokubundle
Version: svn15878.1.0a

Provides: tex-sudokubundle-doc
AutoReqProv: No

%description sudokubundle-doc
Documentation for sudokubundle

%package xq
Provides: tex-xq = %{tl_version}
License: LPPL
Summary: Support for writing about xiangqi
Version: svn35211.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xqlarge.tfm) = %{tl_version}
Provides: tex(xqnormal.tfm) = %{tl_version}
Provides: tex(xq.sty) = %{tl_version}

%description xq
The package is for writing about xiangqi or chinese chess. You
can write games or parts of games and show diagrams with
special positions.

%package xq-doc
Summary: Documentation for xq
Version: svn35211.0.4

Provides: tex-xq-doc
AutoReqProv: No

%description xq-doc
Documentation for xq

%package xskak
Provides: tex-xskak = %{tl_version}
License: LPPL
Summary: An extension to the skak package for chess typesetting
Version: svn35945.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xifthen.sty)
Requires: tex(etoolbox.sty)
Requires: tex(chessboard.sty)
Provides: tex(xskak-keys.sty) = %{tl_version}
Provides: tex(xskak-nagdef.sty) = %{tl_version}
Provides: tex(xskak.sty) = %{tl_version}

%description xskak
Xskak, as its prime function, saves information about a chess
game for later use (e.g., to loop through a game to make an
animated board). The package also extends the input that the
parsing commands can handle and offers an interface to define
and switch between indefinite levels of styles.

%package xskak-doc
Summary: Documentation for xskak
Version: svn35945.1.4

Provides: tex-xskak-doc
AutoReqProv: No

%description xskak-doc
Documentation for xskak

%package c-pascal
Provides: tex-c-pascal = %{tl_version}
License: Public Domain
Summary: Typeset Python, C and Pascal programs
Version: svn18337.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cap.tex) = %{tl_version}
Provides: tex(cap_c.tex) = %{tl_version}
Provides: tex(cap_comm.tex) = %{tl_version}
Provides: tex(cap_pas.tex) = %{tl_version}
Provides: tex(cap_pyt.tex) = %{tl_version}

%description c-pascal
A TeX macro package for easy typesetting programs in Python, C
and Pascal. Program source files may also be input.

%package c-pascal-doc
Summary: Documentation for c-pascal
Version: svn18337.1.2

Provides: tex-c-pascal-doc
AutoReqProv: No

%description c-pascal-doc
Documentation for c-pascal

%package colorsep
Provides: tex-colorsep = %{tl_version}
License: Public Domain
Summary: Color separation
Version: svn13293.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description colorsep
Support for colour separation when using dvips.

%package dinat
Provides: tex-dinat = %{tl_version}
License: Public Domain
Summary: Bibliography style for German texts
Version: svn15878.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description dinat
Bibliography style files intended for texts in german. They
draw up bibliographies in accordance with the german DIN 1505,
parts 2 and 3.

%package dinat-doc
Summary: Documentation for dinat
Version: svn15878.2.5

Provides: tex-dinat-doc
AutoReqProv: No

%description dinat-doc
Documentation for dinat

%package dirtree
Provides: tex-dirtree = %{tl_version}
License: LPPL
Summary: Display trees in the style of windows explorer
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(dirtree.sty) = %{tl_version}
Provides: tex(dirtree.tex) = %{tl_version}

%description dirtree
This package is designed to emulate the way windows explorer
displays directory and file trees, with the root at top left,
and each level of subtree displaying one step in to the right.
The macros work equally well with Plain TeX and with LaTeX.

%package dirtree-doc
Summary: Documentation for dirtree
Version: svn42428
Provides: tex-dirtree-doc
AutoReqProv: No

%description dirtree-doc
Documentation for dirtree

%package docbytex
Provides: tex-docbytex = %{tl_version}
License: Copyright only
Summary: Creating documentation from source code
Version: svn34294.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(docby.tex) = %{tl_version}

%description docbytex
The package creates documentation from C source code, or other
programming languages.

%package docbytex-doc
Summary: Documentation for docbytex
Version: svn34294.0

Provides: tex-docbytex-doc
AutoReqProv: No

%description docbytex-doc
Documentation for docbytex

%package dowith
Provides: tex-dowith = %{tl_version}
License: LPPL 1.3
Summary: Apply a command to a list of items
Version: svn38860

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(plainpkg.tex)
Provides: tex(domore.sty) = %{tl_version}
Provides: tex(dowith.sty) = %{tl_version}

%description dowith
The package provides macros for applying a command to all
elements of a list without separators, such as
'\DoWithAllIn{<cmd>}{<list-macro>}', and also for extending and
reducing macros storing such lists. Applications in mind
belonged to LaTeX, but the package should work with other
formats as well. Loop and list macros in other packages are
discussed. A further package, domore, is also provided, which
enhances the functionality of dowith.

%package dowith-doc
Summary: Documentation for dowith
Version: svn38860

Provides: tex-dowith-doc
AutoReqProv: No

%description dowith-doc
Documentation for dowith

%package eijkhout
Provides: tex-eijkhout = %{tl_version}
License: Public Domain
Summary: Victor Eijkhout's packages
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(CD_labeler.tex) = %{tl_version}
Provides: tex(CD_labeler_test.tex) = %{tl_version}
Provides: tex(DB_process.tex) = %{tl_version}
Provides: tex(repeat.tex) = %{tl_version}

%description eijkhout
Three unrelated packages: DB_process, to parse and process
database output; CD_labeler, to typeset user text to fit on a
CD label; and repeat, a nestable, generic loop macro.

%package encxvlna
Provides: tex-encxvlna = %{tl_version}
License: LPPL
Summary: Insert nonbreakable spaces, using encTeX
Version: svn34087.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(encxvlna.sty) = %{tl_version}
Provides: tex(encxvlna.tex) = %{tl_version}

%description encxvlna
The package provides tools for inserting nonbreakable spaces
after nonsyllabic prepositions and single letter conjunctions
as required by Czech and Slovak typographical rules. It is
implemented using encTeX and provides files both for plain TeX
and LaTeX. The LaTeX solution tries to avoid conflicts with
other packages.

%package encxvlna-doc
Summary: Documentation for encxvlna
Version: svn34087.1.1

Provides: tex-encxvlna-doc
AutoReqProv: No

%description encxvlna-doc
Documentation for encxvlna

%package epigram
Provides: tex-epigram = %{tl_version}
License: Public Domain
Summary: Display short quotations
Version: svn20513.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(epigram.tex) = %{tl_version}

%description epigram
The package determines (on the basis of the width of the text
of the epigram, laid out on a single line) whether to produce a
line or a displayed paragraph.

%package fenixpar
Provides: tex-fenixpar = %{tl_version}
License: LPPL
Summary: One-shot changes to token registers such as \everypar
Version: svn24730.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fenixpar.sty) = %{tl_version}
Provides: tex(fenixtok.sty) = %{tl_version}

%description fenixpar
The bundle provides two packages, fenxitok and fenixpar. The
fenixtok package provides user macros to add material to a
token register; the material will be (automatically) removed
from the token register when the register is executed. Material
may be added either to the left or to the right, and care is
taken not to override any redefinition that may be included in
the token register itself. The fenixpar package uses the macros
of fenixtok to provide a user interface to manipulation of the
\everypar token register. The packages require the e-TeX
extensions; with them, they work either with Plain TeX or with
LaTeX.

%package fenixpar-doc
Summary: Documentation for fenixpar
Version: svn24730.0.92

Provides: tex-fenixpar-doc
AutoReqProv: No

%description fenixpar-doc
Documentation for fenixpar

%package fltpoint
Provides: tex-fltpoint = %{tl_version}
License: LPPL
Summary: Simple floating point arithmetic
Version: svn15878.1.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(deccomma.sty) = %{tl_version}
Provides: tex(fltpoint.sty) = %{tl_version}
Provides: tex(fltpoint.tex) = %{tl_version}

%description fltpoint
The package provides simple floating point operations
(addition, subtraction, multiplication, division and rounding).
Used, for example, by rccol.

%package fltpoint-doc
Summary: Documentation for fltpoint
Version: svn15878.1.1b

Provides: tex-fltpoint-doc
AutoReqProv: No

%description fltpoint-doc
Documentation for fltpoint

%package fntproof
Provides: tex-fntproof = %{tl_version}
License: Public Domain
Summary: A programmable font test pattern generator
Version: svn20638.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fntproof.tex) = %{tl_version}

%description fntproof
The package implements all the font testing commands of Knuth's
testfont.tex, but arranges that information necessary for each
command is supplied as arguments to that command, rather than
prompted for. This makes it possible to type all the tests in
one command line, and easy to input the package in a file and
to use the commands there. A few additional commands supporting
this last purpose are also made available.

%package fntproof-doc
Summary: Documentation for fntproof
Version: svn20638.0

Provides: tex-fntproof-doc
AutoReqProv: No

%description fntproof-doc
Documentation for fntproof

%package gates
Provides: tex-gates = %{tl_version}
License: LPPL
Summary: Support for writing modular and customisable code
Version: svn29803.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gates.sty) = %{tl_version}
Provides: tex(gates.tex) = %{tl_version}
Provides: tex(t-gates.tex) = %{tl_version}

%description gates
The package provides the means of writing code in a modular
fashion: big macros or functions are divided into small chunks
(called gates) with names, which can be externally controlled
(e.g. they can be disabled, subjected to conditionals,
loops...) and/or augmented with new chunks. Thus complex code
may easily be customised without having to rewrite it, or even
understand its implementation: the behavior of existing gates
can be modified, and new ones can be added, without endangering
the whole design. This allows code to be hacked in ways the
original authors might have never envisioned. The gates package
is implemented independently for both TeX and Lua. The TeX
implementation, running in any current environment, requires
the texapi package, whereas the Lua version can be run with any
Lua interpreter, not just LuaTeX.

%package gates-doc
Summary: Documentation for gates
Version: svn29803.0.2

Provides: tex-gates-doc
AutoReqProv: No

%description gates-doc
Documentation for gates

%package ifetex
Provides: tex-ifetex = %{tl_version}
License: LPPL 1.3
Summary: Provides \ifetex switch
Version: svn24853.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ifetex.sty) = %{tl_version}
Provides: tex(ifetex.tex) = %{tl_version}

%description ifetex
The package provides the switch \ifetex which indicates whether
e-TeX is available or not. The package can be loaded as LaTeX
package using \usepackage{ifetex} or in plain TeX using \input
ifetex. In either case it aborts silently if the \ifetex macro
is already defined. The package's test is whether \eTeXversion
is defined as a primitive; if it is, the package assumes e-TeX
features are available.

%package ifetex-doc
Summary: Documentation for ifetex
Version: svn24853.1.2

Provides: tex-ifetex-doc
AutoReqProv: No

%description ifetex-doc
Documentation for ifetex

%package iftex
Provides: tex-iftex = %{tl_version}
License: LPPL 1.3
Summary: Am I running under pdfTeX, XeTeX or LuaTeX?
Version: svn29654.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(iftex.sty) = %{tl_version}

%description iftex
The package, which works both for Plain TeX and for LaTeX,
defines the \ifPDFTeX, \ifXeTeX, and \ifLuaTeX conditionals for
testing which engine is being used for typesetting. The package
also provides the \RequirePDFTeX, \RequireXeTeX, and
\RequireLuaTeX commands which throw an error if pdfTeX, XeTeX
or LuaTeX (respectively) is not the engine in use.

%package iftex-doc
Summary: Documentation for iftex
Version: svn29654.0.2

Provides: tex-iftex-doc
AutoReqProv: No

%description iftex-doc
Documentation for iftex

%package insbox
Provides: tex-insbox = %{tl_version}
License: Public Domain
Summary: Insert pictures/boxes into paragraphs
Version: svn34299.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(insbox.tex) = %{tl_version}

%description insbox
The package provides convenient bundling of the \parshape
primitive. LaTeX users should note that this is a generic
package, and should be loaded using \input .

%package insbox-doc
Summary: Documentation for insbox
Version: svn34299.2.2

Provides: tex-insbox-doc
AutoReqProv: No

%description insbox-doc
Documentation for insbox

%package lambda-lists
Provides: tex-lambda-lists = %{tl_version}
License: LPPL
Summary: Lists in TeX's mouth
Version: svn31402.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lambda.sty) = %{tl_version}

%description lambda-lists
These list-processing macros avoid the reassignments employed
in the macros shown in Appendix D of the TeXbook: all the
manipulations take place in what Knuth is pleased to call
"TeX's mouth".

%package lambda-lists-doc
Summary: Documentation for lambda-lists
Version: svn31402.0

Provides: tex-lambda-lists-doc
AutoReqProv: No

%description lambda-lists-doc
Documentation for lambda-lists

%package langcode
Provides: tex-langcode = %{tl_version}
License: LPPL 1.3
Summary: Simple language-dependent settings based on language codes
Version: svn27764.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(dowith.sty)
Requires: tex(dhua.sty)
Provides: tex(langcode.sty) = %{tl_version}

%description langcode
The package provides a command \uselangcode{<code>} to adjust
language-dependent settings such as key words, typographical
conventions and language codes (ISO 639-1). The package
provides a means of selecting macros according to the specified
code, for preparing a document that is to be separately typeset
in different laguages. The package is dependent on the plainpkg
package, and is already in use in the morehype and catcodes
packages.

%package langcode-doc
Summary: Documentation for langcode
Version: svn27764.0.2

Provides: tex-langcode-doc
AutoReqProv: No

%description langcode-doc
Documentation for langcode

%package lecturer
Provides: tex-lecturer = %{tl_version}
License: LPPL
Summary: On-screen presentations for (almost) all formats
Version: svn23916.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lecturer.sty) = %{tl_version}
Provides: tex(lecturer.tex) = %{tl_version}
Provides: tex(ltr-areas.tex) = %{tl_version}
Provides: tex(ltr-graphics.tex) = %{tl_version}
Provides: tex(ltr-job.tex) = %{tl_version}
Provides: tex(ltr-navigation.tex) = %{tl_version}
Provides: tex(ltr-slides.tex) = %{tl_version}
Provides: tex(ltr-steps.tex) = %{tl_version}
Provides: tex(t-lecturer.tex) = %{tl_version}

%description lecturer
The package creates slides for on-screen presentations based on
PDF features without manipulating TeX's typesetting process.
The presentation flow relies on PDF's abilities to display
content step by step. Features include: Free positioning of
anything anywhere in painted areas on the slide, as well as in
the main textblock; Numerous attributes to control the layout
and the presentation flow, from TeX's primitive dimensions to
the visibility of steps; Feature inheritance from global to
local settings, with intermediate types; Basic drawing
facilities to produce symbols, e.g., for list items or buttons;
Colours, transparency, shades, and pictures; Navigation with
links, pop-up menus, and customizable bookmarks; Easy switch
between presentation and handout; and PDF transitions. Besides
the traditional documentation, the distribution includes visual
documentation and six demo presentations ranging from geometric
abstraction to classic style to silly video game. Lecturer is
designed to work with all formats, but presently fails with
ConTeXt MkIV (because of clashes in management of PDF objects,
probably), works only with pdfTeX and LuaTeX for the time
being, and requires texapi and yax, both v.1.02.

%package lecturer-doc
Summary: Documentation for lecturer
Version: svn23916.0

Provides: tex-lecturer-doc
AutoReqProv: No

%description lecturer-doc
Documentation for lecturer

%package librarian
Provides: tex-librarian = %{tl_version}
License: LPPL
Summary: Tools to create bibliographies in TeX
Version: svn19880.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(librarian.sty) = %{tl_version}
Provides: tex(librarian.tex) = %{tl_version}
Provides: tex(t-librarian.tex) = %{tl_version}

%description librarian
The package extracts information in bib files, makes it
available in the current document, and sorts lists of entries
according to that information and the user's specifications.
Citation and bibliography styles can then be written directly
in TeX, without any use of BibTeX. Creating references thus
depends entirely on the user's skill in TeX. The package works
with all formats that use plain TeX's basic syntactic sugar;
the distribution includes a third-party file for ConTeXt and a
style file for LaTeX. As an example of use, an Author (Year)
style is given in a separate file and explained in the
documentation.

%package librarian-doc
Summary: Documentation for librarian
Version: svn19880.1.0

Provides: tex-librarian-doc
AutoReqProv: No

%description librarian-doc
Documentation for librarian

%package mathdots
Provides: tex-mathdots = %{tl_version}
License: LPPL
Summary: Commands to produce dots in math that respect font size
Version: svn34301.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mathdots.sty) = %{tl_version}
Provides: tex(mathdots.tex) = %{tl_version}

%description mathdots
Redefines \ddots and \vdots, and defines \iddots. The dots
produced by \iddots slant in the opposite direction to \ddots.
All the commands are designed to change size appropriately in
scripts, as well as in response to LaTeX size changing
commands. The commands may also be used in plain TeX.

%package mathdots-doc
Summary: Documentation for mathdots
Version: svn34301.0.9

Provides: tex-mathdots-doc
AutoReqProv: No

%description mathdots-doc
Documentation for mathdots

%package metatex
Provides: tex-metatex = %{tl_version}
License: GPL+
Summary: Incorporate Metafont pictures in TeX source
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(metatex.tex) = %{tl_version}

%description metatex
METATeX is a set of plain TeX and Metafont macros that you can
use to define both the text and the figures in a single source
file. Because METATeX sets up two way communication, from TeX
to Metafont and back from Metafont to TeX, drawing dimensions
can be controlled by TeX and labels can be located by Metafont.
Only standard features of TeX and Metafont are used, but two
runs of TeX and one of Metafont are needed.

%package metatex-doc
Summary: Documentation for metatex
Version: svn15878.1.1

Provides: tex-metatex-doc
AutoReqProv: No

%description metatex-doc
Documentation for metatex

%package midnight
Provides: tex-midnight = %{tl_version}
License: midnight
Summary: A set of useful macro tools
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(border.tex) = %{tl_version}
Provides: tex(dolines.tex) = %{tl_version}
Provides: tex(gloss.tex) = %{tl_version}
Provides: tex(labels.tex) = %{tl_version}
Provides: tex(loop.tex) = %{tl_version}
Provides: tex(quire.tex) = %{tl_version}
Provides: tex(styledef.tex) = %{tl_version}

%description midnight
Included are: quire: making booklets, etc.; gloss: vertically
align words in consecutive sentences; loop: a looping
construct; dolines: 'meta'-macros to separate arguments by
newlines; labels: address labels and bulk mail letters;
styledef: selectively input part of a file; and border: borders
around boxes.

%package midnight-doc
Summary: Documentation for midnight
Version: svn15878.0

Provides: tex-midnight-doc
AutoReqProv: No

%description midnight-doc
Documentation for midnight

%package navigator
Provides: tex-navigator = %{tl_version}
License: LPPL
Summary: PDF features across formats and engines
Version: svn41413

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(navigator.sty) = %{tl_version}
Provides: tex(navigator.tex) = %{tl_version}
Provides: tex(t-navigator.tex) = %{tl_version}

%description navigator
Navigator implements PDF features for all formats (with some
limitations in ConTeXt) with PDFTeX, LuaTeX and XeTeX (i.e.
xdvipdfmx). Features include: Customizable outlines (i.e.
bookmarks); Anchors; Links and actions (e.g. JavaScript or user-
defined PDF actions); File embedding (not in ConTeXt); Document
information and PDF viewer's display (not in ConTeXt); and
Commands to create and use raw PDF objects. Navigator requires
texapi and yax, both version at least 1.03.

%package navigator-doc
Summary: Documentation for navigator
Version: svn41413

Provides: tex-navigator-doc
AutoReqProv: No

%description navigator-doc
Documentation for navigator

%package ofs
Provides: tex-ofs = %{tl_version}
License: Knuth
Summary: Macros for managing large font collections
Version: svn16991.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(a117.tex) = %{tl_version}
Provides: tex(a35.sty) = %{tl_version}
Provides: tex(a35.tex) = %{tl_version}
Provides: tex(allfonts.sty) = %{tl_version}
Provides: tex(allfonts.tex) = %{tl_version}
Provides: tex(amsfn.tex) = %{tl_version}
Provides: tex(mtfn.tex) = %{tl_version}
Provides: tex(ofs-6a.tex) = %{tl_version}
Provides: tex(ofs-6c.tex) = %{tl_version}
Provides: tex(ofs-6k.tex) = %{tl_version}
Provides: tex(ofs-6s.tex) = %{tl_version}
Provides: tex(ofs-6t.tex) = %{tl_version}
Provides: tex(ofs-6x.tex) = %{tl_version}
Provides: tex(ofs-6y.tex) = %{tl_version}
Provides: tex(ofs-8c.tex) = %{tl_version}
Provides: tex(ofs-8t.tex) = %{tl_version}
Provides: tex(ofs-8x.tex) = %{tl_version}
Provides: tex(ofs-8z.tex) = %{tl_version}
Provides: tex(ofs-ams.tex) = %{tl_version}
Provides: tex(ofs-cm.tex) = %{tl_version}
Provides: tex(ofs-mt.tex) = %{tl_version}
Provides: tex(ofs-ps.tex) = %{tl_version}
Provides: tex(ofs-px.tex) = %{tl_version}
Provides: tex(ofs-slt.tex) = %{tl_version}
Provides: tex(ofs-tx.tex) = %{tl_version}
Provides: tex(ofs.sty) = %{tl_version}
Provides: tex(ofs.tex) = %{tl_version}
Provides: tex(ofsdef.tex) = %{tl_version}
Provides: tex(pantyk.tex) = %{tl_version}
Provides: tex(txfn.tex) = %{tl_version}

%description ofs
OFS (Olsak's Font System) is a set of Plain TeX and LaTeX
macros for managing large font collections; it has been used by
Czech/Slovak users for many years. Main features include:
Mapping from long names of fonts to the metric file name. The
user can specify only exact long names in documents. Support
for many font encodings. Printing of catalogues of fonts and
test samples of font families; the interactive macro \showfonts
shows all font families you have installed via OFS. The user
interface is the same for Plain TeX and for LaTeX, but the
implementation differs: the LaTeX variant of OFS uses NFSS, but
the Plain variant implements its own font management (which may
even be better than NFSS) Support for math fonts including TX
fonts.

%package ofs-doc
Summary: Documentation for ofs
Version: svn16991.0

Provides: tex-ofs-doc
AutoReqProv: No

%description ofs-doc
Documentation for ofs

%package pdf-trans
Provides: tex-pdf-trans = %{tl_version}
License: Public Domain
Summary: A set of macros for various transformations of TeX boxes
Version: svn32809.2.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pdf-trans.tex) = %{tl_version}

%description pdf-trans
pdf-trans is a set of macros offering various transformations
of TeX boxes (based on plain and pdfeTeX primitives). It was
initially inspired by trans.tex, remade to work with pdfTeX.

%package pdf-trans-doc
Summary: Documentation for pdf-trans
Version: svn32809.2.4

Provides: tex-pdf-trans-doc
AutoReqProv: No

%description pdf-trans-doc
Documentation for pdf-trans

%package plainpkg
Provides: tex-plainpkg = %{tl_version}
License: LPPL 1.3
Summary: A minimal method for making generic packages
Version: svn27765.0.4a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(plainpkg.tex) = %{tl_version}

%description plainpkg
The package provides a minimal method for making generic (i.e.,
TeX-format-independent) packaged, combining maybeload
functionality, fallback definitions for LaTeX \ProvidesPackage
and \RequirePackage functionality, and handling of arbitrary
(multiple) "private letters" (analagous LaTeX packages' use of
"@") in nested package files. The documentation contains a
central reference for making and using generic packages based
on the package.

%package plainpkg-doc
Summary: Documentation for plainpkg
Version: svn27765.0.4a

Provides: tex-plainpkg-doc
AutoReqProv: No

%description plainpkg-doc
Documentation for plainpkg

%package schemata
Provides: tex-schemata = %{tl_version}
License: LPPL 1.3
Summary: Print topical diagrams
Version: svn39510

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(schemata.sty) = %{tl_version}

%description schemata
The package facilitates the creation of topical schemata,
outlines that use braces (or facsimiles thereof) to illustrate
the breakdown of concepts and categories in Scholastic thought
from late medieval and early modern periods.

%package schemata-doc
Summary: Documentation for schemata
Version: svn39510

Provides: tex-schemata-doc
AutoReqProv: No

%description schemata-doc
Documentation for schemata

%package shade
Provides: tex-shade = %{tl_version}
License: LPPL
Summary: Shade pieces of text
Version: svn22212.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(shade.tex) = %{tl_version}

%description shade
The package provides a shaded backdrop to a box of text. It
uses a Metafont font (provided) which generates to appropriate
shading dependent on the resolution used in the Metafont
printer parameters.

%package shade-doc
Summary: Documentation for shade
Version: svn22212.1

Provides: tex-shade-doc
AutoReqProv: No

%description shade-doc
Documentation for shade

%package systeme
Provides: tex-systeme = %{tl_version}
License: LPPL 1.3
Summary: Format systems of equations
Version: svn32473.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xstring.sty)
Provides: tex(systeme.sty) = %{tl_version}
Provides: tex(systeme.tex) = %{tl_version}

%description systeme
The package allows you to enter systems of equations or
inequalities in an intuitive way, and produces typeset output
where the terms and signs are aligned vertically. The package
works with plain TeX or LaTeX, but e-TeX is required. Cette
petite extension permet de saisir des systemes d'equations ou
inequations de facon intuitive, et produit un affichage ou les
termes et les signes sont alignes verticalement.

%package systeme-doc
Summary: Documentation for systeme
Version: svn32473.0.3

Provides: tex-systeme-doc
AutoReqProv: No

%description systeme-doc
Documentation for systeme

%package tabto-generic
Provides: tex-tabto-generic = %{tl_version}
License: Public Domain
Summary: "Tab" to a measured position in the line
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tabto.tex) = %{tl_version}

%description tabto-generic
\tabto{<length>} moves the typesetting position to <length>
from the left margin of the paragraph. If the typesetting
position is already further along, \tabto starts a new line.

%package termmenu
Provides: tex-termmenu = %{tl_version}
License: LPPL 1.3
Summary: The package provides support for terminal-based menus using expl3
Version: svn37700.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(termmenu.tex) = %{tl_version}

%description termmenu
When writing programs, it's often required to present the user
with a list of options/actions. The user is then expected to
select one of these options for the program to process.
termmenu provides this mechanism for TeX. It requires only
expl3 support, thus the l3kernel and l3packages are both
required.

%package termmenu-doc
Summary: Documentation for termmenu
Version: svn37700.0

Provides: tex-termmenu-doc
AutoReqProv: No

%description termmenu-doc
Documentation for termmenu

%package tracklang
Provides: tex-tracklang = %{tl_version}
License: LPPL 1.3
Summary: Language and dialect tracker
Version: svn43605
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(tracklang.tex) = %{tl_version}
Provides: tex(tracklang.sty) = %{tl_version}

%description tracklang
The tracklang package is provided for package developers who
want a simple interface to find out which languages the user
has requested through packages such as babel or polyglossia.
This package does not provide any translations! Its purpose is
simply to track which languages have been requested by the
user. Generic TeX code is in tracklang.tex for non-LaTeX users.

%package tracklang-doc
Summary: Documentation for tracklang
Version: svn43605
Provides: tex-tracklang-doc
AutoReqProv: No

%description tracklang-doc
Documentation for tracklang

%package texapi
Provides: tex-texapi = %{tl_version}
License: LPPL
Summary: Macros to write format-independent packages
Version: svn24237.1.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(texapi.tex) = %{tl_version}

%description texapi
Texapi provides utility macros to write format-independent (and
-aware) packages. It is similar in spirit to the etoolbox,
except that it isn't tied to LaTeX. Tools include: engine and
format detection, expansion control, command definition and
manipulation, various testing macros, string operations, and
highly customizable while and for loops. The package requires e-
TeX (and, should you want to compile its documentation, the
pitex package is also needed).

%package texapi-doc
Summary: Documentation for texapi
Version: svn24237.1.04

Provides: tex-texapi-doc
AutoReqProv: No

%description texapi-doc
Documentation for texapi

%package upca
Provides: tex-upca = %{tl_version}
License: LPPL
Summary: Print UPC-A barcodes
Version: svn22511.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(upca.tex) = %{tl_version}

%description upca
The package defines a single macro \upca, to print UPC-A
barcodes.

%package upca-doc
Summary: Documentation for upca
Version: svn22511.0

Provides: tex-upca-doc
AutoReqProv: No

%description upca-doc
Documentation for upca

%package xlop
Provides: tex-xlop = %{tl_version}
License: LPPL
Summary: Calculates and displays arithmetic operations
Version: svn42899
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(xlop.sty) = %{tl_version}
Provides: tex(xlop.tex) = %{tl_version}

%description xlop
Xlop (eXtra Large OPeration) will typeset arithmetic problems
either in-line or "as in school" (using French school
conventions). So for example, \opadd{2}{3} can give either
$2+3=5$ or something similar to: \begin{tabular}{r} 2\\ +3\\
\hline 5\end{tabular}. Furthermore, numbers may be very large,
e.g 200 figures (with a very long compilation time). Many other
features allow to deal with numbers (tests, display, some high
level operations, etc.)

%package xlop-doc
Summary: Documentation for xlop
Version: svn42899
Provides: tex-xlop-doc
AutoReqProv: No

%description xlop-doc
Documentation for xlop

%package yax
Provides: tex-yax = %{tl_version}
License: LPPL
Summary: Yet Another Key System
Version: svn21183.1.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(t-yax.tex) = %{tl_version}
Provides: tex(yax.sty) = %{tl_version}
Provides: tex(yax.tex) = %{tl_version}

%description yax
YaX is advertised as a key system, but it rather organizes
attributes in parameters, which parameters can be executed, so
that YaX is halfway between key management and macro definition
(and actually hopes to provide a user's interface). Values
assigned to attributes can be retrieved and tested in various
ways, with full expandability ensured as much as possible.
Finally, YaX's syntax is a quite peculiar (as few braces as
possible), but may be customized. YaX is based on texapi and
thus requires e-TeX.

%package yax-doc
Summary: Documentation for yax
Version: svn21183.1.03

Provides: tex-yax-doc
AutoReqProv: No

%description yax-doc
Documentation for yax

%package epsf
Provides: tex-epsf = %{tl_version}
License: Public Domain
Summary: Simple macros for EPS inclusion
Version: svn21461.2.7.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(epsf.sty) = %{tl_version}
Provides: tex(epsf.tex) = %{tl_version}

%description epsf
The original (and now obsolescent) graphics inclusion macros
for use with dvips, still widely used by Plain TeX users (in
particular). For LaTeX users, the package is nowadays (rather
strongly) deprecated in favour of the more sophisticated
standard LaTeX graphics bundle of packages. (The graphics
bundle is also available to Plain TeX users, via its Plain TeX
version.)

%package epsf-doc
Summary: Documentation for epsf
Version: svn21461.2.7.4

Provides: tex-epsf-doc
AutoReqProv: No

%description epsf-doc
Documentation for epsf

%package fontname
Provides: tex-fontname = %{tl_version}
License: GPL+
Summary: Scheme for naming fonts in TeX
Version: svn38345.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(adobe.map) = %{tl_version}
Provides: tex(apple.map) = %{tl_version}
Provides: tex(bitstrea.map) = %{tl_version}
Provides: tex(dtc.map) = %{tl_version}
Provides: tex(itc.map) = %{tl_version}
Provides: tex(linot-cd.map) = %{tl_version}
Provides: tex(linotype-cd.map) = %{tl_version}
Provides: tex(linotype.map) = %{tl_version}
Provides: tex(monotype.map) = %{tl_version}
Provides: tex(skey1250.map) = %{tl_version}
Provides: tex(skey1555.map) = %{tl_version}
Provides: tex(softkey-1250.map) = %{tl_version}
Provides: tex(softkey-1555.map) = %{tl_version}
Provides: tex(softkey.map) = %{tl_version}
Provides: tex(special.map) = %{tl_version}
Provides: tex(supplier.map) = %{tl_version}
Provides: tex(texfonts.map) = %{tl_version}
Provides: tex(typeface.map) = %{tl_version}
Provides: tex(urw.map) = %{tl_version}
Provides: tex(variant.map) = %{tl_version}
Provides: tex(weight.map) = %{tl_version}
Provides: tex(width.map) = %{tl_version}
Provides: tex(yandy.map) = %{tl_version}

%description fontname
The scheme for assigning names is described (in the
documentation part of the package), and map files giving the
relation between foundry name and 'TeX-name' are also provided.

%package fontname-doc
Summary: Documentation for fontname
Version: svn38345.0

Provides: tex-fontname-doc
AutoReqProv: No

%description fontname-doc
Documentation for fontname

%package genmisc
Provides: tex-genmisc = %{tl_version}
License: LPPL
Summary: genmisc package
Version: svn27208.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(anti.tex) = %{tl_version}
Provides: tex(apldef.tex) = %{tl_version}
Provides: tex(arabic.tex) = %{tl_version}
Provides: tex(backgrnd.tex) = %{tl_version}
Provides: tex(balancedquotes.sty) = %{tl_version}
Provides: tex(chessmin.tex) = %{tl_version}
Provides: tex(compare.tex) = %{tl_version}
Provides: tex(cropmark.sty) = %{tl_version}
Provides: tex(cropmark.tex) = %{tl_version}
Provides: tex(croptest.tex) = %{tl_version}
Provides: tex(dayofweek.tex) = %{tl_version}
Provides: tex(daytime.sty) = %{tl_version}
Provides: tex(default.sty) = %{tl_version}
Provides: tex(dow.tex) = %{tl_version}
Provides: tex(emtrees.tex) = %{tl_version}
Provides: tex(endnote.tex) = %{tl_version}
Provides: tex(fakebold.tex) = %{tl_version}
Provides: tex(hep.tex) = %{tl_version}
Provides: tex(inscrutable.tex) = %{tl_version}
Provides: tex(laps.tex) = %{tl_version}
Provides: tex(letterspacing.tex) = %{tl_version}
Provides: tex(longdiv.tex) = %{tl_version}
Provides: tex(mandel.tex) = %{tl_version}
Provides: tex(mathlig.tex) = %{tl_version}
Provides: tex(nth.sty) = %{tl_version}
Provides: tex(outerhbox.sty) = %{tl_version}
Provides: tex(pagereference.tex) = %{tl_version}
Provides: tex(quotation.tex) = %{tl_version}
Provides: tex(ragged.sty) = %{tl_version}
Provides: tex(random.tex) = %{tl_version}
Provides: tex(ruler.tex) = %{tl_version}
Provides: tex(selectpage.tex) = %{tl_version}
Provides: tex(shadebox.tex) = %{tl_version}
Provides: tex(swrule.sty) = %{tl_version}
Provides: tex(underlin.tex) = %{tl_version}
Provides: tex(undertilde.tex) = %{tl_version}
Provides: tex(verbatim.tex) = %{tl_version}
Provides: tex(weekday.sty) = %{tl_version}
Provides: tex(wiggly.tex) = %{tl_version}
Provides: tex(zip.tex) = %{tl_version}

%description genmisc
genmisc package

%package kastrup
Provides: tex-kastrup = %{tl_version}
License: Copyright only
Summary: Convert numbers into binary, octal and hexadecimal
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(binhex.tex) = %{tl_version}

%description kastrup
Provides expandable macros for both fixed-width and minimum-
width numbers to bases 2, 4, 8 and 16.

%package kastrup-doc
Summary: Documentation for kastrup
Version: svn15878.0

Provides: tex-kastrup-doc
AutoReqProv: No

%description kastrup-doc
Documentation for kastrup

%package multido
Provides: tex-multido = %{tl_version}
License: LPPL
Summary: A loop facility for Generic TeX
Version: svn18302.1.42

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(multido.tex) = %{tl_version}
Provides: tex(multido.sty) = %{tl_version}

%description multido
The package provides the \multido command, which was originally
designed for use with PSTricks. Fixed-point arithmetic is used
when working on the loop variable, so that the package is
equally applicable in graphics applications like PSTricks as it
is with the more common integer loops.

%package multido-doc
Summary: Documentation for multido
Version: svn18302.1.42

Provides: tex-multido-doc
AutoReqProv: No

%description multido-doc
Documentation for multido

%package path
Provides: tex-path = %{tl_version}
License: Bibtex
Summary: Typeset paths, making them breakable
Version: svn22045.3.05

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(path.sty) = %{tl_version}

%description path
Defines a macro \path|...|, similar to the LaTeX \verb|...|,
that sets the text in typewriter font and allows hyphen-less
breaks at punctuation characters. The set of characters to be
regarded as punctuation may be changed from the package's
default.

%package path-doc
Summary: Documentation for path
Version: svn22045.3.05

Provides: tex-path-doc
AutoReqProv: No

%description path-doc
Documentation for path

%package tex-ps
Provides: tex-tex-ps = %{tl_version}
License: Public Domain
Summary: TeX to PostScript generic macros and add-ons
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmyk-hax.tex) = %{tl_version}
Provides: tex(epsfx.tex) = %{tl_version}
Provides: tex(poligraf.sty) = %{tl_version}
Provides: tex(trans.tex) = %{tl_version}

%description tex-ps
TeX to PostScript generic macros and add-ons: transformations
of EPS files, prepress preparation, color separation, mirror,
etc.

%package tex-ps-doc
Summary: Documentation for tex-ps
Version: svn15878.0

Provides: tex-tex-ps-doc
AutoReqProv: No

%description tex-ps-doc
Documentation for tex-ps

%package ulem
Provides: tex-ulem = %{tl_version}
License: Copyright only
Summary: Package for underlining
Version: svn26785.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ulem.sty) = %{tl_version}

%description ulem
The package provides an \ul (underline) command which will
break over line ends; this technique may be used to replace \em
(both in that form and as the \emph command), so as to make
output look as if it comes from a typewriter. The package also
offers double and wavy underlining, and striking out (line
through words) and crossing out (/// over words). The package
works with both Plain TeX and LaTeX.

%package ulem-doc
Summary: Documentation for ulem
Version: svn26785.0

Provides: tex-ulem-doc
AutoReqProv: No

%description ulem-doc
Documentation for ulem

%package passivetex
Provides: tex-passivetex = %{tl_version}
License: MIT
Summary: Support package for XML/SGML typesetting
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(multicol.sty)
Requires: tex(rotating.sty)
Requires: tex(array.sty)
Requires: tex(amsmath.sty)
Requires: tex(longtable.sty)
Requires: tex(url.sty)
Requires: tex(ulem.sty)
Requires: tex(color.sty)
Requires: tex(times.sty)
Requires: tex(unicode.sty)
Requires: tex(marvosym.sty)
Requires: tex(nameref.sty)
Requires: tex(hyperref.sty)
Requires: tex(ifthen.sty)
Requires: tex(fontenc.sty)
Requires: tex(tipa.sty)
Requires: tex(tone.sty)
Requires: tex(amssymb.sty)
Requires: tex(bm.sty)
Requires: tex(textcomp.sty)
Requires: tex(pifont.sty)
Provides: tex(dummyels.sty) = %{tl_version}
Provides: tex(fotex.sty) = %{tl_version}
Provides: tex(mlnames.sty) = %{tl_version}
Provides: tex(teixml.sty) = %{tl_version}
Provides: tex(teixmlslides.sty) = %{tl_version}
Provides: tex(ucharacters.sty) = %{tl_version}
Provides: tex(unicode.sty) = %{tl_version}

%description passivetex
Packages providing XML parsing, UTF-8 parsing, Unicode
entities, and common formatting object definitions for jadetex.

%package xmltexconfig
Provides: tex-xmltexconfig = %{tl_version}
License: LPPL
Summary: xmltexconfig package
Version: svn35743.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description xmltexconfig
xmltexconfig package

%package collection-humanities
Summary: Humanities packages
Version: svn45363
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-adtrees
Requires: texlive-bibleref
Requires: texlive-bibleref-lds
Requires: texlive-bibleref-mouth
Requires: texlive-bibleref-parse
Requires: texlive-covington
Requires: texlive-diadia
Requires: texlive-dramatist
Requires: texlive-dvgloss
Requires: texlive-ecltree
Requires: texlive-edfnotes
Requires: texlive-ednotes
Requires: texlive-eledform
Requires: texlive-eledmac
Requires: texlive-expex
Requires: texlive-gb4e
Requires: texlive-gmverse
Requires: texlive-jura
Requires: texlive-juraabbrev
Requires: texlive-juramisc
Requires: texlive-jurarsp
Requires: texlive-ledmac
Requires: texlive-lexikon
Requires: texlive-lexref
Requires: texlive-ling-macros
Requires: texlive-linguex
Requires: texlive-liturg
Requires: texlive-metrix
Requires: texlive-parallel
Requires: texlive-parrun
Requires: texlive-phonrule
Requires: texlive-plari
Requires: texlive-play
Requires: texlive-poemscol
Requires: texlive-poetry
Requires: texlive-poetrytex
Requires: texlive-qobitree
Requires: texlive-qtree
Requires: texlive-reledmac
Requires: texlive-rrgtrees
Requires: texlive-rtklage
Requires: texlive-screenplay
Requires: texlive-screenplay-pkg
Requires: texlive-sides
Requires: texlive-stage
Requires: texlive-textglos
Requires: texlive-thalie
Requires: texlive-tree-dvips
Requires: texlive-verse
Requires: texlive-xyling

%description collection-humanities
Packages for law, linguistics, social sciences, humanities,
etc.

%package covington
Provides: tex-covington = %{tl_version}
License: Public Domain
Summary: Linguistic support
Version: svn44501
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(covington.sty) = %{tl_version}

%description covington
Numerous minor LaTeX enhancements for linguistics, including
multiple accents on the same letter, interline glosses (word-by-
word translations), Discourse Representation Structures, and
example numbering.

%package covington-doc
Summary: Documentation for covington
Version: svn44501
Provides: tex-covington-doc
AutoReqProv: No

%description covington-doc
Documentation for covington

%package dramatist
Provides: tex-dramatist = %{tl_version}
License: GPL+
Summary: Typeset dramas, both in verse and in prose
Version: svn35866.1.2e

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(dramatist.sty) = %{tl_version}

%description dramatist
This package is intended for typesetting drama of any length.
It provides two environments for typesetting dialogues in prose
or in verse; new document divisions corresponding to acts and
scenes; macros that control the appearance of characters and
stage directions; and automatic generation of a `dramatis
personae' list.

%package dramatist-doc
Summary: Documentation for dramatist
Version: svn35866.1.2e

Provides: tex-dramatist-doc
AutoReqProv: No

%description dramatist-doc
Documentation for dramatist

%package dvgloss
Provides: tex-dvgloss = %{tl_version}
License: LPPL
Summary: Facilities for setting interlinear glossed text
Version: svn29103.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dvgloss.sty) = %{tl_version}

%description dvgloss
The package provides extensible macros for setting interlinear
glossed text -- useful, for instance, for typing linguistics
papers. The operative word here is "extensible": few features
are built in, but some flexible and powerful facilities are
included for adding your own.

%package dvgloss-doc
Summary: Documentation for dvgloss
Version: svn29103.0.1

Provides: tex-dvgloss-doc
AutoReqProv: No

%description dvgloss-doc
Documentation for dvgloss

%package ecltree
Provides: tex-ecltree = %{tl_version}
License: LPPL
Summary: Trees using epic and eepic macros
Version: svn15878.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ecltree.sty) = %{tl_version}

%description ecltree
The package recursively draws trees: each subtree is defined in
a 'bundle' environment, with a set of leaves described by
\chunk macros. A chunk may have a bundle environment inside it.

%package ecltree-doc
Summary: Documentation for ecltree
Version: svn15878.1.1a

Provides: tex-ecltree-doc
AutoReqProv: No

%description ecltree-doc
Documentation for ecltree

%package edfnotes
Provides: tex-edfnotes = %{tl_version}
License: LPPL 1.3
Summary: Critical annotations to footnotes with ednotes
Version: svn21540.0.6b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fnlineno.sty)
Provides: tex(edfnotes.sty) = %{tl_version}

%description edfnotes
The package modifies the annotation commands and label-test
mechanism of the ednotes package so that critical notes appear
on the pages and in the order that one would expect.

%package edfnotes-doc
Summary: Documentation for edfnotes
Version: svn21540.0.6b

Provides: tex-edfnotes-doc
AutoReqProv: No

%description edfnotes-doc
Documentation for edfnotes

%package ednotes
Provides: tex-ednotes = %{tl_version}
License: LPPL
Summary: Typeset scholarly editions
Version: svn35829.1.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-ncctools
Requires: tex(mfparptc.sty)
Requires: tex(manyfoot.sty)
Requires: tex(lineno.sty)
Provides: tex(edcntwd0.sty) = %{tl_version}
Provides: tex(ednotes.sty) = %{tl_version}
Provides: tex(lblchng1.sty) = %{tl_version}
Provides: tex(mfparptc.sty) = %{tl_version}
Provides: tex(mfparxsp.sty) = %{tl_version}

%description ednotes
A macro package for typesetting scholarly critical editions.
Provides macros for critical edition typesetting with LaTeX,
including support for line numbers and layers of footnotes.

%package ednotes-doc
Summary: Documentation for ednotes
Version: svn35829.1.3a

Provides: tex-ednotes-doc
AutoReqProv: No
Requires: tex-ncctools-doc

%description ednotes-doc
Documentation for ednotes

%package ncctools
Provides: tex-ncctools = %{tl_version}
License: LPPL
Summary: A collection of general packages for LaTeX
Version: svn15878.3.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(perpage.sty)
Requires: tex(amsmath.sty)
Requires: tex(graphicx.sty)
Requires: tex(amsgen.sty)
Provides: tex(afterpackage.sty) = %{tl_version}
Provides: tex(dcounter.sty) = %{tl_version}
Provides: tex(desclist.sty) = %{tl_version}
Provides: tex(extdash.sty) = %{tl_version}
Provides: tex(manyfoot.sty) = %{tl_version}
Provides: tex(mboxfill.sty) = %{tl_version}
Provides: tex(nccbbb.sty) = %{tl_version}
Provides: tex(nccboxes.sty) = %{tl_version}
Provides: tex(ncccomma.sty) = %{tl_version}
Provides: tex(ncccropbox.sty) = %{tl_version}
Provides: tex(ncccropmark.sty) = %{tl_version}
Provides: tex(nccfancyhdr.sty) = %{tl_version}
Provides: tex(nccfloats.sty) = %{tl_version}
Provides: tex(nccfoots.sty) = %{tl_version}
Provides: tex(nccmath.sty) = %{tl_version}
Provides: tex(nccparskip.sty) = %{tl_version}
Provides: tex(nccpic.sty) = %{tl_version}
Provides: tex(nccrules.sty) = %{tl_version}
Provides: tex(nccsect.sty) = %{tl_version}
Provides: tex(nccstretch.sty) = %{tl_version}
Provides: tex(nccthm.sty) = %{tl_version}
Provides: tex(textarea.sty) = %{tl_version}
Provides: tex(tocenter.sty) = %{tl_version}
Provides: tex(topsection.sty) = %{tl_version}
Provides: tex(watermark.sty) = %{tl_version}

%description ncctools
The NCCtools bundle contains many packages for general use
under LaTeX; many are also used by NCC LaTeX. The bundle
includes tools for: executing commands after a package is
loaded; watermarks; counter manipulation (dynamic counters,
changing counter numbering with another counter); improvements
to the description environment; hyphenation of compound words;
new levels of footnotes; space-filling patterns; "poor man's"
Black Board Bold symbols; alignment of the content of a box;
use comma as decimal separator; boxes with their own crop
marks; page cropmarks; improvements to fancy headers; float
"styles", mini floats, side floats; manually marked footnotes;
extension of amsmath; control of paragraph skip; an envelope to
the graphicx package; dashed and multiple rules; alternative
techniques for declarations of sections, captions, and toc-
entries; generalised text-stretching; generation of new theorem-
like environments; control of the text area; centred page
layouts; and un-numbered top-level section.

%package ncctools-doc
Summary: Documentation for ncctools
Version: svn15878.3.5

Provides: tex-ncctools-doc
AutoReqProv: No

%description ncctools-doc
Documentation for ncctools

%package eledform
Provides: tex-eledform = %{tl_version}
License: LPPL 1.3
Summary: Define textual variants
Version: svn38114.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(eledmac.sty)
Provides: tex(eledform.sty) = %{tl_version}

%description eledform
The package provides commands to formalize textual variants in
critical editions typeset using eledmac.

%package eledform-doc
Summary: Documentation for eledform
Version: svn38114.1.1a

Provides: tex-eledform-doc
AutoReqProv: No

%description eledform-doc
Documentation for eledform

%package eledmac
Provides: tex-eledmac = %{tl_version}
License: LPPL 1.3
Summary: Typeset scholarly editions
Version: svn45418
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(xargs.sty)
Requires: tex(etoolbox.sty)
Requires: tex(etex.sty)
Requires: tex(suffix.sty)
Requires: tex(xstring.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ragged2e.sty)
Requires: tex(ifxetex.sty)
Requires: tex(xspace.sty)
Provides: tex(eledmac.sty) = %{tl_version}
Provides: tex(eledpar.sty) = %{tl_version}

%description eledmac
A package for typesetting scholarly critical editions,
replacing the established ledmac package. Ledmac itself was a
LaTeX port of the plain TeX EDMAC macros. The package supports
indexing by page and by line numbers, and simple tabular- and
array-style environments. The package is distributed with the
related eledpar package. The package is now superseded by
reledmac.

%package eledmac-doc
Summary: Documentation for eledmac
Version: svn45418
Provides: tex-eledmac-doc
AutoReqProv: No

%description eledmac-doc
Documentation for eledmac

%package expex
Provides: tex-expex = %{tl_version}
License: LPPL
Summary: Format linguistic examples and glosses, with reference capabilities
Version: svn44499
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Provides: tex(epltxchapno.sty) = %{tl_version}
Provides: tex(epltxfn.sty) = %{tl_version}
Provides: tex(eptexfn.tex) = %{tl_version}
Provides: tex(expex-demo.tex) = %{tl_version}
Provides: tex(expex.sty) = %{tl_version}
Provides: tex(expex.tex) = %{tl_version}

%description expex
The package provides macros for typesetting linguistic examples
and glosses, with a refined mechanism for referencing examples
and parts of examples. The package can be used with LaTex using
the .sty wrapper or with PlainTex.

%package expex-doc
Summary: Documentation for expex
Version: svn44499
Provides: tex-expex-doc
AutoReqProv: No

%description expex-doc
Documentation for expex

%package gb4e
Provides: tex-gb4e = %{tl_version}
License: LPPL 1.2
Summary: Linguistic tools
Version: svn19216.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cgloss4e.sty) = %{tl_version}
Provides: tex(gb4e.sty) = %{tl_version}

%description gb4e
Provides an environment for linguistic examples, tools for
glosses, and various other goodies. The code was developed from
the midnight and covington packages.

%package gb4e-doc
Summary: Documentation for gb4e
Version: svn19216.0

Provides: tex-gb4e-doc
AutoReqProv: No

%description gb4e-doc
Documentation for gb4e

%package gmverse
Provides: tex-gmverse = %{tl_version}
License: LPPL
Summary: A package for typesetting (short) poems
Version: svn29803.v0.73

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gmverse.sty) = %{tl_version}

%description gmverse
A redefinition of the verse environment to make the \\ command
optional for line ends and to give it a possibility of optical
centering and `right-hanging' alignment of lines broken because
of length.

%package gmverse-doc
Summary: Documentation for gmverse
Version: svn29803.v0.73

Provides: tex-gmverse-doc
AutoReqProv: No

%description gmverse-doc
Documentation for gmverse

%package jura
Provides: tex-jura = %{tl_version}
License: GPL+
Summary: A document class for German legal texts
Version: svn15878.4.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(alphanum.sty) = %{tl_version}
Provides: tex(jura.cls) = %{tl_version}

%description jura
Implements the standard layout for German term papers in law
(one-and-half linespacing, 7 cm margins, etc.). Includes
alphanum that permits alphanumeric section numbering (e.g., A.
Introduction; III. International Law).

%package jura-doc
Summary: Documentation for jura
Version: svn15878.4.3

Provides: tex-jura-doc
AutoReqProv: No

%description jura-doc
Documentation for jura

%package juraabbrev
Provides: tex-juraabbrev = %{tl_version}
License: GPL+
Summary: Abbreviations for typesetting (German) juridical documents
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(juraabbrev.sty) = %{tl_version}

%description juraabbrev
This package should be helpful for people working on (German)
law. It helps you to handle abbreviations and creates a list of
those (pre-defined) abbreviations that have actually been used
in the document

%package juraabbrev-doc
Summary: Documentation for juraabbrev
Version: svn15878.0

Provides: tex-juraabbrev-doc
AutoReqProv: No

%description juraabbrev-doc
Documentation for juraabbrev

%package juramisc
Provides: tex-juramisc = %{tl_version}
License: LPPL
Summary: Typesetting German juridical documents
Version: svn15878.0.91

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(remreset.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(multicol.sty)
Requires: tex(ragged2e.sty)
Requires: tex(array.sty)
Requires: tex(pifont.sty)
Requires: tex(fancybox.sty)
Requires: tex(color.sty)
Provides: tex(jbgoe.clo) = %{tl_version}
Provides: tex(jbstgallen.clo) = %{tl_version}
Provides: tex(jbtrier.clo) = %{tl_version}
Provides: tex(jurabase.sty) = %{tl_version}
Provides: tex(jurabook.cls) = %{tl_version}
Provides: tex(juraovw.cls) = %{tl_version}
Provides: tex(juraurtl.cls) = %{tl_version}

%description juramisc
A collection of classes for typesetting court sentences, legal
opinions, books and dissertations for German lawyers. A
jurabook class is also provided, which may not yet be complete.

%package juramisc-doc
Summary: Documentation for juramisc
Version: svn15878.0.91

Provides: tex-juramisc-doc
AutoReqProv: No

%description juramisc-doc
Documentation for juramisc

%package jurarsp
Provides: tex-jurarsp = %{tl_version}
License: GPL+
Summary: Citations of judgements and official documents in (German) juridical documents
Version: svn15878.0.52

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Requires: tex(xspace.sty)
Requires: tex(calc.sty)
Provides: tex(jurarsp.cfg) = %{tl_version}
Provides: tex(jurarsp.sty) = %{tl_version}

%description jurarsp
This package should be helpful for people working on (German)
law. It (ab)uses BibTeX for citations of judgements and
official documents. For this purpose, a special BibTeX-style is
provided.

%package jurarsp-doc
Summary: Documentation for jurarsp
Version: svn15878.0.52

Provides: tex-jurarsp-doc
AutoReqProv: No

%description jurarsp-doc
Documentation for jurarsp

%package ledmac
Provides: tex-ledmac = %{tl_version}
License: LPPL 1.3
Summary: Typeset scholarly editions
Version: svn41811
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(afoot.sty) = %{tl_version}
Provides: tex(ledarab.sty) = %{tl_version}
Provides: tex(ledmac.sty) = %{tl_version}
Provides: tex(ledpar.sty) = %{tl_version}

%description ledmac
A macro package for typesetting scholarly critical editions.
The ledmac package is a LaTeX port of the plain TeX EDMAC
macros. It supports indexing by page and line number and simple
tabular- and array-style environments. The package is
distributed with the related ledpar and ledarab packages. The
package is now superseded by eledmac.

%package ledmac-doc
Summary: Documentation for ledmac
Version: svn41811
Provides: tex-ledmac-doc
AutoReqProv: No

%description ledmac-doc
Documentation for ledmac

%package leipzig
Provides: tex-leipzig = %{tl_version}
License: LPPL 1.3
Summary: Typeset and index linguistic gloss abbreviations
Version: svn44625
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(leipzig.sty) = %{tl_version}
Provides: tex(leipzig.tex) = %{tl_version}

%description leipzig
The leipzig package provides a set of macros for standard
glossing abbreviations, with options to create new ones. They
are mnemonic (e.g. \Acc{} for accusative, abbreviated acc).
These abbre can be used alone or on top of the glossaries
package for easy indexing and glossary printing.

%package leipzig-doc
Summary: Documentation for leipzig
Version: svn44625
Provides: tex-leipzig-doc
AutoReqProv: No

%description leipzig-doc
Documentation for leipzig

%package lexikon
Provides: tex-lexikon = %{tl_version}
License: LPPL
Summary: Macros for a two language dictionary
Version: svn17364.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ipa.sty)
Provides: tex(lexikon.sty) = %{tl_version}

%description lexikon
lexikon package

%package lexikon-doc
Summary: Documentation for lexikon
Version: svn17364.1.0c

Provides: tex-lexikon-doc
AutoReqProv: No

%description lexikon-doc
Documentation for lexikon

%package lexref
Provides: tex-lexref = %{tl_version}
License: LPPL 1.3
Summary: Convenient and uniform references to legal provisions
Version: svn36026.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(xargs.sty)
Requires: tex(xstring.sty)
Requires: tex(nomencl.sty)
Requires: tex(splitidx.sty)
Requires: tex(ifthen.sty)
Requires: tex(stringstrings.sty)
Provides: tex(lexref.sty) = %{tl_version}

%description lexref
The package is aimed at continental lawyers (especially those
in Switzerland and Germany), allowing the user to make
references to legal provisions conveniently and uniformly. The
package also allows the user to add cited Acts to a
nomenclature list (automatically), and to build specific
indexes for each cited Act. The package is still under
development, and should be treated as an 'alpha'-release.

%package lexref-doc
Summary: Documentation for lexref
Version: svn36026.1.1a

Provides: tex-lexref-doc
AutoReqProv: No

%description lexref-doc
Documentation for lexref

%package linguex
Provides: tex-linguex = %{tl_version}
License: LPPL
Summary: Format linguists' examples
Version: svn30815.4.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(cgloss4e.sty)
Requires: tex(tree-dvips.sty)
Provides: tex(linguex.sty) = %{tl_version}
Provides: tex(linguho.sty) = %{tl_version}
Provides: tex(lingo.sty) = %{tl_version}
Provides: tex(ps-trees.sty) = %{tl_version}

%description linguex
This bundle comprises two packages: The linguex package
facilitates the formatting of linguist examples, automatically
taking care of example numbering, indentations, indexed
brackets, and the '*' in grammaticality judgments. The ps-trees
package provides linguistic trees, building on the macros of
tree-dvips, but overcoming some of the older package's
shortcomings.

%package linguex-doc
Summary: Documentation for linguex
Version: svn30815.4.3

Provides: tex-linguex-doc
AutoReqProv: No

%description linguex-doc
Documentation for linguex

%package liturg
Provides: tex-liturg = %{tl_version}
License: LPPL
Summary: Support for typesetting Catholic liturgical texts
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(babel.sty)
Requires: tex(color.sty)
Requires: tex(lettrine.sty)
Requires: tex(ecclesiastic.sty)
Provides: tex(liturg.sty) = %{tl_version}

%description liturg
The packages offers simple macros for typesetting Catholic
liturgical texts, particularly Missal and Breviary texts. The
package assumes availability of Latin typesetting packages.

%package liturg-doc
Summary: Documentation for liturg
Version: svn15878.1.0

Provides: tex-liturg-doc
AutoReqProv: No

%description liturg-doc
Documentation for liturg

%package metrix
Provides: tex-metrix = %{tl_version}
License: LPPL 1.3
Summary: Typeset metric marks for Latin text
Version: svn40099

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(xpatch.sty)
Requires: tex(tikz.sty)
Provides: tex(metrix.sty) = %{tl_version}

%description metrix
The package may be used to type the prosodics/metrics of
(latin) verse; it provides macros to typeset the symbols
standing alone, and in combination with symbols, giving
automatic alignment. The package requires tikz (including the
calc library, and the xparse package (thus also requiring the
experimental LaTeX 3 environment).

%package metrix-doc
Summary: Documentation for metrix
Version: svn40099

Provides: tex-metrix-doc
AutoReqProv: No

%description metrix-doc
Documentation for metrix

%package parallel
Provides: tex-parallel = %{tl_version}
License: LPPL
Summary: Typeset parallel texts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(parallel.sty) = %{tl_version}

%description parallel
Provides a parallel environment which allows two potentially
different texts to be typeset in two columns, while maintaining
alignment. The two columns may be on the same page, or on
facing pages. This arrangement of text is commonly used when
typesetting translations, but it can have value when comparing
any two texts.

%package parallel-doc
Summary: Documentation for parallel
Version: svn15878.0

Provides: tex-parallel-doc
AutoReqProv: No

%description parallel-doc
Documentation for parallel

%package parrun
Provides: tex-parrun = %{tl_version}
License: LPPL
Summary: Typesets (two) streams of text running parallel
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Provides: tex(parrun.sty) = %{tl_version}

%description parrun
For typesetting translated text and the original source,
parallel on the same page, one above the other.

%package parrun-doc
Summary: Documentation for parrun
Version: svn15878.0

Provides: tex-parrun-doc
AutoReqProv: No

%description parrun-doc
Documentation for parrun

%package phonrule
Provides: tex-phonrule = %{tl_version}
License: LPPL
Summary: Typeset linear phonological rules
Version: svn43963
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pbox.sty)
Provides: tex(phonrule.sty) = %{tl_version}

%description phonrule
The package provides macros for typesetting phonological rules
like those in 'Sound Pattern of English' (Chomsky and Halle
1968).

%package phonrule-doc
Summary: Documentation for phonrule
Version: svn43963
Provides: tex-phonrule-doc
AutoReqProv: No

%description phonrule-doc
Documentation for phonrule

%package plari
Provides: tex-plari = %{tl_version}
License: GPL+
Summary: Typesetting stageplay scripts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(plari.cls) = %{tl_version}

%description plari
Plari (the name comes from the Finnish usage for the working
copy of a play) is a report-alike class, without section
headings, and with paragraphs vertically separated rather than
indented.

%package plari-doc
Summary: Documentation for plari
Version: svn15878.0

Provides: tex-plari-doc
AutoReqProv: No

%description plari-doc
Documentation for plari

%package play
Provides: tex-play = %{tl_version}
License: LPPL
Summary: Typeset drama using LaTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(play.cls) = %{tl_version}
Provides: tex(play.sty) = %{tl_version}

%description play
A class and style file that supports the typesetting of plays,
including options for line numbering.

%package play-doc
Summary: Documentation for play
Version: svn15878.0

Provides: tex-play-doc
AutoReqProv: No

%description play-doc
Documentation for play

%package poemscol
Provides: tex-poemscol = %{tl_version}
License: LPPL 1.3
Summary: Typesetting Critical Editions of Poetry
Version: svn45197
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(poemscol.sty) = %{tl_version}

%description poemscol
The package offers LaTeX macros for typesetting critical
editions of poetry. Its features include automatic
linenumbering, generation of separate endnotes sections for
emendations, textual collations, and explanatory notes, special
marking for cases in which page breaks occur during stanza
breaks, running headers of the form 'Notes to pp. xx-yy' for
the notes sections, index of titles and first lines, and
automatic generation of a table of contents.

%package poemscol-doc
Summary: Documentation for poemscol
Version: svn45197
Provides: tex-poemscol-doc
AutoReqProv: No

%description poemscol-doc
Documentation for poemscol

%package poetrytex
Provides: tex-poetrytex = %{tl_version}
License: LPPL 1.3
Summary: Typeset anthologies of poetry
Version: svn39921

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(tocloft.sty)
Provides: tex(poetrytex.sty) = %{tl_version}

%description poetrytex
The package is designed to aid in the management and formatting
of anthologies of poetry and other writings; it does not
concern itself with actually typesettinig the verse itself.

%package poetrytex-doc
Summary: Documentation for poetrytex
Version: svn39921

Provides: tex-poetrytex-doc
AutoReqProv: No

%description poetrytex-doc
Documentation for poetrytex

%package qobitree
Provides: tex-qobitree = %{tl_version}
License: LPPL
Summary: LaTeX macros for typesetting trees
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(qobitree.tex) = %{tl_version}

%description qobitree
Provides commands \branch and \leaf for specifying the elements
of the tree; you build up your tree with those commands, and
then issue the \tree command to typeset the whole.

%package qobitree-doc
Summary: Documentation for qobitree
Version: svn15878.0

Provides: tex-qobitree-doc
AutoReqProv: No

%description qobitree-doc
Documentation for qobitree

%package qtree
Provides: tex-qtree = %{tl_version}
License: LPPL
Summary: Draw tree structures
Version: svn15878.3.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pict2e.sty)
Provides: tex(qtree.sty) = %{tl_version}

%description qtree
The package offers support for drawing tree diagrams, and is
especially suitable for linguistics use. It allows trees to be
specified in a simple bracket notation, automatically
calculates branch sizes, and supports both DVI/PostScript and
PDF output by use of pict2e facilities. The package is a
development of the existing qobitree package, offering a new
front end.

%package qtree-doc
Summary: Documentation for qtree
Version: svn15878.3.1b

Provides: tex-qtree-doc
AutoReqProv: No

%description qtree-doc
Documentation for qtree

%package reledmac
Provides: tex-reledmac = %{tl_version}
License: LPPL 1.3
Summary: Typeset scholarly editions
Version: svn45580
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(xargs.sty)
Requires: tex(etoolbox.sty)
Requires: tex(etex.sty)
Requires: tex(suffix.sty)
Requires: tex(xstring.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ragged2e.sty)
Requires: tex(ifxetex.sty)
Requires: tex(xspace.sty)
Provides: tex(reledmac.sty) = %{tl_version}
Provides: tex(reledpar.sty) = %{tl_version}

%description reledmac
A package for typesetting scholarly critical editions,
replacing the established ledmac and eledmac packages. Ledmac
itself was a LaTeX port of the plain TeX EDMAC macros. The
package supports indexing by page and by line numbers, and
simple tabular- and array-style environments. The package is
distributed with the related reledpar package.

%package reledmac-doc
Summary: Documentation for reledmac
Version: svn45580
Provides: tex-reledmac-doc
AutoReqProv: No

%description reledmac-doc
Documentation for reledmac

%package rrgtrees
Provides: tex-rrgtrees = %{tl_version}
License: LPPL
Summary: Linguistic tree diagrams for Role and Reference Grammar (RRG) with LaTeX
Version: svn27322.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pst-node.sty)
Requires: tex(pst-tree.sty)
Provides: tex(rrgtrees.sty) = %{tl_version}

%description rrgtrees
A set of LaTeX macros that makes it easy to produce linguistic
tree diagrams suitable for Role and Reference Grammar (RRG).
This package allows the construction of trees with crossing
lines, as is required by this theory for many languages. There
is no known limit on number of tree nodes or levels. Requires
the pst-node and pst-tree LaTeX packages.

%package rrgtrees-doc
Summary: Documentation for rrgtrees
Version: svn27322.1.1

Provides: tex-rrgtrees-doc
AutoReqProv: No

%description rrgtrees-doc
Documentation for rrgtrees

%package rtklage
Provides: tex-rtklage = %{tl_version}
License: LPPL
Summary: A package for German lawyers
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(babel.sty)
Requires: tex(twoopt.sty)
Requires: tex(ifthen.sty)
Requires: tex(scrdate.sty)
Requires: tex(calc.sty)
Requires: tex(numprint.sty)
Requires: tex(scrpage2.sty)
Requires: tex(alphanum.sty)
Requires: tex(eso-pic.sty)
Requires: tex(color.sty)
Requires: tex(graphicx.sty)
Requires: tex(xspace.sty)
Provides: tex(rtklage.cls) = %{tl_version}

%description rtklage
RATeX is a newly developed bundle of packages and classes
provided for German lawyers. Now in the early beginning it only
contains rtklage, a class to make lawsuits.

%package rtklage-doc
Summary: Documentation for rtklage
Version: svn15878.0

Provides: tex-rtklage-doc
AutoReqProv: No

%description rtklage-doc
Documentation for rtklage

%package screenplay
Provides: tex-screenplay = %{tl_version}
License: GPL+
Summary: A class file to typeset screenplays
Version: svn27223.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(geometry.sty)
Requires: tex(courier.sty)
Provides: tex(hardmarg.sty) = %{tl_version}
Provides: tex(screenplay.cls) = %{tl_version}

%description screenplay
The class implements the format recommended by the Academy of
Motion Picture Arts and Sciences.

%package screenplay-doc
Summary: Documentation for screenplay
Version: svn27223.1.6

Provides: tex-screenplay-doc
AutoReqProv: No

%description screenplay-doc
Documentation for screenplay

%package screenplay-pkg
Provides: tex-screenplay-pkg = %{tl_version}
License: LPPL 1.3
Summary: Package version of the screenplay document class
Version: svn44965
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(setspace.sty)
Provides: tex(screenplay-pkg.sty) = %{tl_version}

%description screenplay-pkg
This package implements the tools of the screenplay document
class in the form of a package so that screenplay fragments can
be included within another document class. For full
documentation of the available commands, please consult the
screenplay class documentation in addition to the included
package documentation.

%package screenplay-pkg-doc
Summary: Documentation for screenplay-pkg
Version: svn44965
Provides: tex-screenplay-pkg-doc
AutoReqProv: No

%description screenplay-pkg-doc
Documentation for screenplay-pkg

%package sides
Provides: tex-sides = %{tl_version}
License: GPL+
Summary: A LaTeX class for typesetting stage plays
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sides.cls) = %{tl_version}

%description sides
This is a LaTeX class for typesetting stage plays, based on the
plari class written by Antti-Juhani Kaijanaho in 1998. It has
been updated and several formatting changes have been made to
it--most noticibly there are no longer orphans.

%package sides-doc
Summary: Documentation for sides
Version: svn15878.0

Provides: tex-sides-doc
AutoReqProv: No

%description sides-doc
Documentation for sides

%package stage
Provides: tex-stage = %{tl_version}
License: LPPL 1.3
Summary: A LaTeX class for stage plays
Version: svn44100
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(extramarks.sty)
Provides: tex(stage.cls) = %{tl_version}

%description stage
Stage.cls is a LaTeX class for creating plays of any length in
a standard manuscript format for production and submission.

%package stage-doc
Summary: Documentation for stage
Version: svn44100
Provides: tex-stage-doc
AutoReqProv: No

%description stage-doc
Documentation for stage

%package textglos
Provides: tex-textglos = %{tl_version}
License: LPPL 1.3
Summary: Typeset and index linguistic gloss abbreviations
Version: svn30788.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Provides: tex(textglos.sty) = %{tl_version}

%description textglos
The package provides a set of macros for in-line linguistic
examples (as opposed to interlinear glossing, set apart from
the main text). It prevents hyphenated examples from breaking
across lines and consistently formats phonemic examples,
orthographic examples, and more.

%package textglos-doc
Summary: Documentation for textglos
Version: svn30788.1.0

Provides: tex-textglos-doc
AutoReqProv: No

%description textglos-doc
Documentation for textglos

%package thalie
Provides: tex-thalie = %{tl_version}
License: LPPL 1.3
Summary: Typeset drama plays
Version: svn44048
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(etoolbox.sty)
Requires: tex(suffix.sty)
Requires: tex(longtable.sty)
Requires: tex(xspace.sty)
Requires: tex(pgfopts.sty)
Provides: tex(thalie.sty) = %{tl_version}

%description thalie
The package provides tools to typeset drama plays. It defines
commands to introduce characters' lines, to render stage
directions, to divide a play into acts and scenes and to build
the dramatis personae automatically.

%package thalie-doc
Summary: Documentation for thalie
Version: svn44048
Provides: tex-thalie-doc
AutoReqProv: No

%description thalie-doc
Documentation for thalie

%package tree-dvips
Provides: tex-tree-dvips = %{tl_version}
License: LPPL
Summary: Trees and other linguists' macros
Version: svn21751.91

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lingmacros.sty) = %{tl_version}
Provides: tex(tree-dvips.sty) = %{tl_version}

%description tree-dvips
The package defines a mechanism for specifying connected trees
that uses a tabular environment to generate node positions. The
package uses PostScript code, loaded by dvips, so output can
only be generated by use of dvips. The package lingmacros.sty
defines a few macros for linguists: \enumsentence for
enumerating sentence examples, simple tabular-based non-
connected tree macros, and gloss macros.

%package tree-dvips-doc
Summary: Documentation for tree-dvips
Version: svn21751.91

Provides: tex-tree-dvips-doc
AutoReqProv: No

%description tree-dvips-doc
Documentation for tree-dvips

%package verse
Provides: tex-verse = %{tl_version}
License: LPPL
Summary: Aids for typesetting simple verse
Version: svn34017.2.4b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(verse.sty) = %{tl_version}

%description verse
The package documentation discusses approaches to the problem;
the package is strong on layout, from simple alternate-line
indentation to the Mouse's tale from Alice in Wonderland.

%package verse-doc
Summary: Documentation for verse
Version: svn34017.2.4b

Provides: tex-verse-doc
AutoReqProv: No

%description verse-doc
Documentation for verse

%package xyling
Provides: tex-xyling = %{tl_version}
License: LPPL
Summary: Draw syntactic trees, etc., for linguistics literature, using xy-pic
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xy.sty)
Requires: tex(color.sty)
Requires: tex(ifthen.sty)
Provides: tex(xyling.sty) = %{tl_version}

%description xyling
The macros in this package model the construction of linguistic
tree structures as a genuinely graphical problem: they contain
two types of objects, BRANCHES and NODE LABELS, and these are
positioned relative to a GRID. It is essential that each of
these three elements is constructed independent of the other
two, and hence they can be modified without unwanted side
effects. The macros are based on the xy-pic package.

%package xyling-doc
Summary: Documentation for xyling
Version: svn15878.1.1

Provides: tex-xyling-doc
AutoReqProv: No

%description xyling-doc
Documentation for xyling

%package ethiop
Provides: tex-ethiop = %{tl_version}
License: GPL+
Summary: LaTeX macros and fonts for typesetting Amharic
Version: svn15878.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(etha10.tfm) = %{tl_version}
Provides: tex(etha6.tfm) = %{tl_version}
Provides: tex(etha7.tfm) = %{tl_version}
Provides: tex(etha8.tfm) = %{tl_version}
Provides: tex(ethab10.tfm) = %{tl_version}
Provides: tex(ethab11.tfm) = %{tl_version}
Provides: tex(ethab12.tfm) = %{tl_version}
Provides: tex(ethab14.tfm) = %{tl_version}
Provides: tex(ethab18.tfm) = %{tl_version}
Provides: tex(ethab24.tfm) = %{tl_version}
Provides: tex(ethab36.tfm) = %{tl_version}
Provides: tex(ethab9.tfm) = %{tl_version}
Provides: tex(ethas10.tfm) = %{tl_version}
Provides: tex(ethasb10.tfm) = %{tl_version}
Provides: tex(ethasb11.tfm) = %{tl_version}
Provides: tex(ethasb12.tfm) = %{tl_version}
Provides: tex(ethasb14.tfm) = %{tl_version}
Provides: tex(ethasb18.tfm) = %{tl_version}
Provides: tex(ethasb24.tfm) = %{tl_version}
Provides: tex(ethasb36.tfm) = %{tl_version}
Provides: tex(ethasb9.tfm) = %{tl_version}
Provides: tex(ethatt10.tfm) = %{tl_version}
Provides: tex(ethb10.tfm) = %{tl_version}
Provides: tex(ethb6.tfm) = %{tl_version}
Provides: tex(ethb7.tfm) = %{tl_version}
Provides: tex(ethb8.tfm) = %{tl_version}
Provides: tex(ethbb10.tfm) = %{tl_version}
Provides: tex(ethbb11.tfm) = %{tl_version}
Provides: tex(ethbb12.tfm) = %{tl_version}
Provides: tex(ethbb14.tfm) = %{tl_version}
Provides: tex(ethbb18.tfm) = %{tl_version}
Provides: tex(ethbb24.tfm) = %{tl_version}
Provides: tex(ethbb36.tfm) = %{tl_version}
Provides: tex(ethbb9.tfm) = %{tl_version}
Provides: tex(ethbs10.tfm) = %{tl_version}
Provides: tex(ethbsb10.tfm) = %{tl_version}
Provides: tex(ethbsb11.tfm) = %{tl_version}
Provides: tex(ethbsb12.tfm) = %{tl_version}
Provides: tex(ethbsb14.tfm) = %{tl_version}
Provides: tex(ethbsb18.tfm) = %{tl_version}
Provides: tex(ethbsb24.tfm) = %{tl_version}
Provides: tex(ethbsb36.tfm) = %{tl_version}
Provides: tex(ethbsb9.tfm) = %{tl_version}
Provides: tex(ethbtt10.tfm) = %{tl_version}
Provides: tex(etharab.sty) = %{tl_version}
Provides: tex(ethiop.ldf) = %{tl_version}
Provides: tex(ethiop.sty) = %{tl_version}
Provides: tex(uetha.fd) = %{tl_version}
Provides: tex(uethb.fd) = %{tl_version}
Provides: tex(uetho.fd) = %{tl_version}

%description ethiop
Ethiopian language support for the babel package, including a
collection of fonts and TeX macros for typesetting the
characters of the languages of Ethiopia, with Metafont fonts
based on EthTeX's. The macros use the Babel framework.

%package ethiop-doc
Summary: Documentation for ethiop
Version: svn15878.0.7

Provides: tex-ethiop-doc
AutoReqProv: No

%description ethiop-doc
Documentation for ethiop

%package ethiop-t1
Provides: tex-ethiop-t1 = %{tl_version}
License: GPL+
Summary: Type 1 versions of Amharic fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(ethiop.map) = %{tl_version}
Provides: tex(etha10.pfb) = %{tl_version}
Provides: tex(etha6.pfb) = %{tl_version}
Provides: tex(etha7.pfb) = %{tl_version}
Provides: tex(etha8.pfb) = %{tl_version}
Provides: tex(ethab10.pfb) = %{tl_version}
Provides: tex(ethab11.pfb) = %{tl_version}
Provides: tex(ethab12.pfb) = %{tl_version}
Provides: tex(ethab14.pfb) = %{tl_version}
Provides: tex(ethab18.pfb) = %{tl_version}
Provides: tex(ethab24.pfb) = %{tl_version}
Provides: tex(ethab36.pfb) = %{tl_version}
Provides: tex(ethab9.pfb) = %{tl_version}
Provides: tex(ethas10.pfb) = %{tl_version}
Provides: tex(ethasb10.pfb) = %{tl_version}
Provides: tex(ethasb11.pfb) = %{tl_version}
Provides: tex(ethasb12.pfb) = %{tl_version}
Provides: tex(ethasb14.pfb) = %{tl_version}
Provides: tex(ethasb18.pfb) = %{tl_version}
Provides: tex(ethasb24.pfb) = %{tl_version}
Provides: tex(ethasb36.pfb) = %{tl_version}
Provides: tex(ethasb9.pfb) = %{tl_version}
Provides: tex(ethatt10.pfb) = %{tl_version}
Provides: tex(ethb10.pfb) = %{tl_version}
Provides: tex(ethb6.pfb) = %{tl_version}
Provides: tex(ethb7.pfb) = %{tl_version}
Provides: tex(ethb8.pfb) = %{tl_version}
Provides: tex(ethbb10.pfb) = %{tl_version}
Provides: tex(ethbb11.pfb) = %{tl_version}
Provides: tex(ethbb12.pfb) = %{tl_version}
Provides: tex(ethbb14.pfb) = %{tl_version}
Provides: tex(ethbb18.pfb) = %{tl_version}
Provides: tex(ethbb24.pfb) = %{tl_version}
Provides: tex(ethbb36.pfb) = %{tl_version}
Provides: tex(ethbb9.pfb) = %{tl_version}
Provides: tex(ethbs10.pfb) = %{tl_version}
Provides: tex(ethbsb10.pfb) = %{tl_version}
Provides: tex(ethbsb11.pfb) = %{tl_version}
Provides: tex(ethbsb12.pfb) = %{tl_version}
Provides: tex(ethbsb14.pfb) = %{tl_version}
Provides: tex(ethbsb18.pfb) = %{tl_version}
Provides: tex(ethbsb24.pfb) = %{tl_version}
Provides: tex(ethbsb36.pfb) = %{tl_version}
Provides: tex(ethbsb9.pfb) = %{tl_version}
Provides: tex(ethbtt10.pfb) = %{tl_version}

%description ethiop-t1
These fonts are drop-in Adobe type 1 replacements for the fonts
of the ethiop package.

%package ethiop-t1-doc
Summary: Documentation for ethiop-t1
Version: svn15878.0

Provides: tex-ethiop-t1-doc
AutoReqProv: No

%description ethiop-t1-doc
Documentation for ethiop-t1

%package fc
Provides: tex-fc = %{tl_version}
License: GPLv2+
Summary: Fonts for African languages
Version: svn32796.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(newlfont.sty)
Requires: tex(fontenc.sty)
Provides: tex(fcbx10.tfm) = %{tl_version}
Provides: tex(fcbx11.tfm) = %{tl_version}
Provides: tex(fcbx12.tfm) = %{tl_version}
Provides: tex(fcbx14.tfm) = %{tl_version}
Provides: tex(fcbx17.tfm) = %{tl_version}
Provides: tex(fcbx20.tfm) = %{tl_version}
Provides: tex(fcbx25.tfm) = %{tl_version}
Provides: tex(fcbx5.tfm) = %{tl_version}
Provides: tex(fcbx6.tfm) = %{tl_version}
Provides: tex(fcbx7.tfm) = %{tl_version}
Provides: tex(fcbx8.tfm) = %{tl_version}
Provides: tex(fcbx9.tfm) = %{tl_version}
Provides: tex(fcbxi10.tfm) = %{tl_version}
Provides: tex(fcbxi11.tfm) = %{tl_version}
Provides: tex(fcbxi12.tfm) = %{tl_version}
Provides: tex(fcbxi14.tfm) = %{tl_version}
Provides: tex(fcbxi17.tfm) = %{tl_version}
Provides: tex(fcbxi20.tfm) = %{tl_version}
Provides: tex(fcbxi25.tfm) = %{tl_version}
Provides: tex(fcbxi5.tfm) = %{tl_version}
Provides: tex(fcbxi6.tfm) = %{tl_version}
Provides: tex(fcbxi7.tfm) = %{tl_version}
Provides: tex(fcbxi8.tfm) = %{tl_version}
Provides: tex(fcbxi9.tfm) = %{tl_version}
Provides: tex(fcbxsl10.tfm) = %{tl_version}
Provides: tex(fcbxsl11.tfm) = %{tl_version}
Provides: tex(fcbxsl12.tfm) = %{tl_version}
Provides: tex(fcbxsl14.tfm) = %{tl_version}
Provides: tex(fcbxsl17.tfm) = %{tl_version}
Provides: tex(fcbxsl20.tfm) = %{tl_version}
Provides: tex(fcbxsl25.tfm) = %{tl_version}
Provides: tex(fcbxsl5.tfm) = %{tl_version}
Provides: tex(fcbxsl6.tfm) = %{tl_version}
Provides: tex(fcbxsl7.tfm) = %{tl_version}
Provides: tex(fcbxsl8.tfm) = %{tl_version}
Provides: tex(fcbxsl9.tfm) = %{tl_version}
Provides: tex(fcbxu10.tfm) = %{tl_version}
Provides: tex(fcbxu11.tfm) = %{tl_version}
Provides: tex(fcbxu12.tfm) = %{tl_version}
Provides: tex(fcbxu14.tfm) = %{tl_version}
Provides: tex(fcbxu17.tfm) = %{tl_version}
Provides: tex(fcbxu20.tfm) = %{tl_version}
Provides: tex(fcbxu25.tfm) = %{tl_version}
Provides: tex(fcbxu5.tfm) = %{tl_version}
Provides: tex(fcbxu6.tfm) = %{tl_version}
Provides: tex(fcbxu7.tfm) = %{tl_version}
Provides: tex(fcbxu8.tfm) = %{tl_version}
Provides: tex(fcbxu9.tfm) = %{tl_version}
Provides: tex(fccsc10.tfm) = %{tl_version}
Provides: tex(fccsc11.tfm) = %{tl_version}
Provides: tex(fccsc12.tfm) = %{tl_version}
Provides: tex(fccsc14.tfm) = %{tl_version}
Provides: tex(fccsc17.tfm) = %{tl_version}
Provides: tex(fccsc20.tfm) = %{tl_version}
Provides: tex(fccsc25.tfm) = %{tl_version}
Provides: tex(fccsc5.tfm) = %{tl_version}
Provides: tex(fccsc6.tfm) = %{tl_version}
Provides: tex(fccsc7.tfm) = %{tl_version}
Provides: tex(fccsc8.tfm) = %{tl_version}
Provides: tex(fccsc9.tfm) = %{tl_version}
Provides: tex(fci10.tfm) = %{tl_version}
Provides: tex(fci11.tfm) = %{tl_version}
Provides: tex(fci12.tfm) = %{tl_version}
Provides: tex(fci14.tfm) = %{tl_version}
Provides: tex(fci17.tfm) = %{tl_version}
Provides: tex(fci20.tfm) = %{tl_version}
Provides: tex(fci25.tfm) = %{tl_version}
Provides: tex(fci5.tfm) = %{tl_version}
Provides: tex(fci6.tfm) = %{tl_version}
Provides: tex(fci7.tfm) = %{tl_version}
Provides: tex(fci8.tfm) = %{tl_version}
Provides: tex(fci9.tfm) = %{tl_version}
Provides: tex(fcitt10.tfm) = %{tl_version}
Provides: tex(fcitt11.tfm) = %{tl_version}
Provides: tex(fcitt12.tfm) = %{tl_version}
Provides: tex(fcitt14.tfm) = %{tl_version}
Provides: tex(fcitt17.tfm) = %{tl_version}
Provides: tex(fcitt20.tfm) = %{tl_version}
Provides: tex(fcitt25.tfm) = %{tl_version}
Provides: tex(fcitt5.tfm) = %{tl_version}
Provides: tex(fcitt6.tfm) = %{tl_version}
Provides: tex(fcitt7.tfm) = %{tl_version}
Provides: tex(fcitt8.tfm) = %{tl_version}
Provides: tex(fcitt9.tfm) = %{tl_version}
Provides: tex(fcr10.tfm) = %{tl_version}
Provides: tex(fcr11.tfm) = %{tl_version}
Provides: tex(fcr12.tfm) = %{tl_version}
Provides: tex(fcr14.tfm) = %{tl_version}
Provides: tex(fcr17.tfm) = %{tl_version}
Provides: tex(fcr20.tfm) = %{tl_version}
Provides: tex(fcr25.tfm) = %{tl_version}
Provides: tex(fcr5.tfm) = %{tl_version}
Provides: tex(fcr6.tfm) = %{tl_version}
Provides: tex(fcr7.tfm) = %{tl_version}
Provides: tex(fcr8.tfm) = %{tl_version}
Provides: tex(fcr9.tfm) = %{tl_version}
Provides: tex(fcsibx10.tfm) = %{tl_version}
Provides: tex(fcsibx11.tfm) = %{tl_version}
Provides: tex(fcsibx12.tfm) = %{tl_version}
Provides: tex(fcsibx14.tfm) = %{tl_version}
Provides: tex(fcsibx17.tfm) = %{tl_version}
Provides: tex(fcsibx20.tfm) = %{tl_version}
Provides: tex(fcsibx25.tfm) = %{tl_version}
Provides: tex(fcsibx5.tfm) = %{tl_version}
Provides: tex(fcsibx6.tfm) = %{tl_version}
Provides: tex(fcsibx7.tfm) = %{tl_version}
Provides: tex(fcsibx8.tfm) = %{tl_version}
Provides: tex(fcsibx9.tfm) = %{tl_version}
Provides: tex(fcsitt10.tfm) = %{tl_version}
Provides: tex(fcsitt11.tfm) = %{tl_version}
Provides: tex(fcsitt12.tfm) = %{tl_version}
Provides: tex(fcsitt14.tfm) = %{tl_version}
Provides: tex(fcsitt17.tfm) = %{tl_version}
Provides: tex(fcsitt20.tfm) = %{tl_version}
Provides: tex(fcsitt25.tfm) = %{tl_version}
Provides: tex(fcsitt5.tfm) = %{tl_version}
Provides: tex(fcsitt6.tfm) = %{tl_version}
Provides: tex(fcsitt7.tfm) = %{tl_version}
Provides: tex(fcsitt8.tfm) = %{tl_version}
Provides: tex(fcsitt9.tfm) = %{tl_version}
Provides: tex(fcsl10.tfm) = %{tl_version}
Provides: tex(fcsl11.tfm) = %{tl_version}
Provides: tex(fcsl12.tfm) = %{tl_version}
Provides: tex(fcsl14.tfm) = %{tl_version}
Provides: tex(fcsl17.tfm) = %{tl_version}
Provides: tex(fcsl20.tfm) = %{tl_version}
Provides: tex(fcsl25.tfm) = %{tl_version}
Provides: tex(fcsl5.tfm) = %{tl_version}
Provides: tex(fcsl6.tfm) = %{tl_version}
Provides: tex(fcsl7.tfm) = %{tl_version}
Provides: tex(fcsl8.tfm) = %{tl_version}
Provides: tex(fcsl9.tfm) = %{tl_version}
Provides: tex(fcss10.tfm) = %{tl_version}
Provides: tex(fcss11.tfm) = %{tl_version}
Provides: tex(fcss12.tfm) = %{tl_version}
Provides: tex(fcss14.tfm) = %{tl_version}
Provides: tex(fcss17.tfm) = %{tl_version}
Provides: tex(fcss20.tfm) = %{tl_version}
Provides: tex(fcss25.tfm) = %{tl_version}
Provides: tex(fcss5.tfm) = %{tl_version}
Provides: tex(fcss6.tfm) = %{tl_version}
Provides: tex(fcss7.tfm) = %{tl_version}
Provides: tex(fcss8.tfm) = %{tl_version}
Provides: tex(fcss9.tfm) = %{tl_version}
Provides: tex(fcssbx10.tfm) = %{tl_version}
Provides: tex(fcssbx11.tfm) = %{tl_version}
Provides: tex(fcssbx12.tfm) = %{tl_version}
Provides: tex(fcssbx14.tfm) = %{tl_version}
Provides: tex(fcssbx17.tfm) = %{tl_version}
Provides: tex(fcssbx20.tfm) = %{tl_version}
Provides: tex(fcssbx25.tfm) = %{tl_version}
Provides: tex(fcssbx5.tfm) = %{tl_version}
Provides: tex(fcssbx6.tfm) = %{tl_version}
Provides: tex(fcssbx7.tfm) = %{tl_version}
Provides: tex(fcssbx8.tfm) = %{tl_version}
Provides: tex(fcssbx9.tfm) = %{tl_version}
Provides: tex(fcssi10.tfm) = %{tl_version}
Provides: tex(fcssi11.tfm) = %{tl_version}
Provides: tex(fcssi12.tfm) = %{tl_version}
Provides: tex(fcssi14.tfm) = %{tl_version}
Provides: tex(fcssi17.tfm) = %{tl_version}
Provides: tex(fcssi20.tfm) = %{tl_version}
Provides: tex(fcssi25.tfm) = %{tl_version}
Provides: tex(fcssi5.tfm) = %{tl_version}
Provides: tex(fcssi6.tfm) = %{tl_version}
Provides: tex(fcssi7.tfm) = %{tl_version}
Provides: tex(fcssi8.tfm) = %{tl_version}
Provides: tex(fcssi9.tfm) = %{tl_version}
Provides: tex(fcsstt10.tfm) = %{tl_version}
Provides: tex(fcsstt11.tfm) = %{tl_version}
Provides: tex(fcsstt12.tfm) = %{tl_version}
Provides: tex(fcsstt14.tfm) = %{tl_version}
Provides: tex(fcsstt17.tfm) = %{tl_version}
Provides: tex(fcsstt20.tfm) = %{tl_version}
Provides: tex(fcsstt25.tfm) = %{tl_version}
Provides: tex(fcsstt5.tfm) = %{tl_version}
Provides: tex(fcsstt6.tfm) = %{tl_version}
Provides: tex(fcsstt7.tfm) = %{tl_version}
Provides: tex(fcsstt8.tfm) = %{tl_version}
Provides: tex(fcsstt9.tfm) = %{tl_version}
Provides: tex(fctt10.tfm) = %{tl_version}
Provides: tex(fctt11.tfm) = %{tl_version}
Provides: tex(fctt12.tfm) = %{tl_version}
Provides: tex(fctt14.tfm) = %{tl_version}
Provides: tex(fctt17.tfm) = %{tl_version}
Provides: tex(fctt20.tfm) = %{tl_version}
Provides: tex(fctt25.tfm) = %{tl_version}
Provides: tex(fctt5.tfm) = %{tl_version}
Provides: tex(fctt6.tfm) = %{tl_version}
Provides: tex(fctt7.tfm) = %{tl_version}
Provides: tex(fctt8.tfm) = %{tl_version}
Provides: tex(fctt9.tfm) = %{tl_version}
Provides: tex(fcu10.tfm) = %{tl_version}
Provides: tex(fcu11.tfm) = %{tl_version}
Provides: tex(fcu12.tfm) = %{tl_version}
Provides: tex(fcu14.tfm) = %{tl_version}
Provides: tex(fcu17.tfm) = %{tl_version}
Provides: tex(fcu20.tfm) = %{tl_version}
Provides: tex(fcu25.tfm) = %{tl_version}
Provides: tex(fcu5.tfm) = %{tl_version}
Provides: tex(fcu6.tfm) = %{tl_version}
Provides: tex(fcu7.tfm) = %{tl_version}
Provides: tex(fcu8.tfm) = %{tl_version}
Provides: tex(fcu9.tfm) = %{tl_version}
Provides: tex(fclfont.sty) = %{tl_version}
Provides: tex(fcuse.sty) = %{tl_version}
Provides: tex(t4cmr.fd) = %{tl_version}
Provides: tex(t4cmss.fd) = %{tl_version}
Provides: tex(t4cmtt.fd) = %{tl_version}
Provides: tex(t4enc.def) = %{tl_version}
Provides: tex(t4fcr.fd) = %{tl_version}
Provides: tex(t4phonet.sty) = %{tl_version}

%description fc
The fonts are provided as Metafont source, in the familiar
arrangement of lots of (autogenerated) preamble files and a
modest set of glyph specifications. (A similar arrangement
appears in the ec and lh font bundles.)

%package fc-doc
Summary: Documentation for fc
Version: svn32796.1.4

Provides: tex-fc-doc
AutoReqProv: No

%description fc-doc
Documentation for fc

%package hyphen-ethiopic
Provides: tex-hyphen-ethiopic = %{tl_version}
License: LPPL
Summary: Hyphenation patterns for Ethiopic scripts
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-ethiopic
Hyphenation patterns for languages written using the Ethiopic
script for Unicode engines. They are not supposed to be
linguistically relevant in all cases and should, for proper
typography, be replaced by files tailored to individual
languages.

%post hyphen-ethiopic
if [ $1 -gt 0 ] ; then
sed -i '/ethiopic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "ethiopic loadhyph-mul-ethi.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=amharic/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=amharic" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=geez/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=geez" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{ethiopic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ethiopic}{loadhyph-mul-ethi.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{amharic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{amharic}{loadhyph-mul-ethi.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{geez}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{geez}{loadhyph-mul-ethi.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-ethiopic
if [ $1 == 0 ] ; then
sed -i '/ethiopic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=amharic/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=geez/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{ethiopic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{amharic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{geez}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package collection-langarabic
Summary: Arabic
Version: svn45569
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-alkalami
Requires: texlive-amiri
Requires: texlive-arabi
Requires: texlive-arabi-add
Requires: texlive-arabluatex
Requires: texlive-arabtex
Requires: texlive-bidi
Requires: texlive-bidihl
Requires: texlive-dad
Requires: texlive-ghab
Requires: texlive-hyphen-arabic
Requires: texlive-hyphen-farsi
Requires: texlive-imsproc
Requires: texlive-lshort-persian-doc
Requires: texlive-luabidi
Requires: texlive-na-box
Requires: texlive-persian-bib
Requires: texlive-simurgh
Requires: texlive-tram
Requires: texlive-xepersian

%description collection-langarabic
Support for Arabic and Persian.

%package dad
Provides: tex-dad = %{tl_version}
License: LPPL
Summary: Simple typesetting system for mixed Arabic/Latin documents
Version: svn35362.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(dad.map) = %{tl_version}
Provides: tex(dadreal.tfm) = %{tl_version}
Provides: tex(dadrealbold.tfm) = %{tl_version}
Provides: tex(dadrealmono.tfm) = %{tl_version}
Provides: tex(Dad-bold.pfb) = %{tl_version}
Provides: tex(Dad-mono.pfb) = %{tl_version}
Provides: tex(Dad.pfb) = %{tl_version}
Provides: tex(OT1dad.fd) = %{tl_version}
Provides: tex(T1dad.fd) = %{tl_version}
Provides: tex(dad.sty) = %{tl_version}

%description dad
This package allows simple typesetting in Arabic script,
intended for mixed Arabic/Latin script usage in situations
where heavy-duty solutions are discouraged. The  system
operates with both Unicode and transliterated input, allowing
the user to choose the most appropriate approach for every
situation.

%package dad-doc
Summary: Documentation for dad
Version: svn35362.1.1

Provides: tex-dad-doc
AutoReqProv: No

%description dad-doc
Documentation for dad

%package ghab
Provides: tex-ghab = %{tl_version}
License: LPPL
Summary: Typeset ghab boxes in LaTeX
Version: svn29803.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(biditools.sty)
Provides: tex(ghab.sty) = %{tl_version}

%description ghab
The package defines a command \darghab that will typeset its
argument in a box with a decorated frame. The width of the box
may be set using an optional argument.

%package ghab-doc
Summary: Documentation for ghab
Version: svn29803.0.5

Provides: tex-ghab-doc
AutoReqProv: No

%description ghab-doc
Documentation for ghab

%package hyphen-arabic
Provides: tex-hyphen-arabic = %{tl_version}
License: LPPL
Summary: (No) Arabic hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-arabic
Prevent hyphenation in Arabic.

%post hyphen-arabic
if [ $1 -gt 0 ] ; then
sed -i '/arabic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "arabic zerohyph.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{arabic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{arabic}{zerohyph.tex}{}{}{}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-arabic
if [ $1 == 0 ] ; then
sed -i '/arabic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{arabic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-farsi
Provides: tex-hyphen-farsi = %{tl_version}
License: LPPL
Summary: (No) Persian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-farsi
Prevent hyphenation in Persian.

%post hyphen-farsi
if [ $1 -gt 0 ] ; then
sed -i '/farsi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "farsi zerohyph.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=persian/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=persian" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{farsi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{farsi}{zerohyph.tex}{}{}{}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{persian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{persian}{zerohyph.tex}{}{}{}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-farsi
if [ $1 == 0 ] ; then
sed -i '/farsi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=persian/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{farsi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{persian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package imsproc
Provides: tex-imsproc = %{tl_version}
License: LPPL 1.3
Summary: Typeset IMS conference proceedings
Version: svn29803.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amstex.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Provides: tex(imsproc.cls) = %{tl_version}

%description imsproc
The class typesets papers for IMS (Iranian Mathematical
Society) conference proceedings. The class uses the XePersian
package.

%package imsproc-doc
Summary: Documentation for imsproc
Version: svn29803.0.1

Provides: tex-imsproc-doc
AutoReqProv: No

%description imsproc-doc
Documentation for imsproc

%package lshort-persian-doc
Summary: Documentation for lshort-persian
Version: svn31296.5.01

Provides: tex-lshort-persian-doc
AutoReqProv: No

%description lshort-persian-doc
Documentation for lshort-persian

%package persian-bib
Provides: tex-persian-bib = %{tl_version}
License: LPPL 1.3
Summary: Persian translations of classic BibTeX styles
Version: svn37297.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description persian-bib
Currently 9 files: acm-fa.bst, asa-fa.bst, chicago-fa.bst,
ieeetr-fa.bst, plain-fa-inLTR-beamer.bst, plain-fa-inLTR.bst,
plain-fa.bst, plainnat-fa.bst and unsrt-fa.bst are modified for
Persian documents prepared with XePersian (which the present
package depends on). The Persian .bst files can simultaneously
handle both Latin and Persian references. A file cp1256fa.csf
is provided for correct sorting of Persian references and three
fields LANGUAGE, TRANSLATOR and AUTHORFA are defined.

%package persian-bib-doc
Summary: Documentation for persian-bib
Version: svn37297.0.9

Provides: tex-persian-bib-doc
AutoReqProv: No

%description persian-bib-doc
Documentation for persian-bib

%package simurgh
Provides: tex-simurgh = %{tl_version}
License: GPLv2+
Summary: Typeset Parsi in LuaLaTeX
Version: svn31719.0.01b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(simurgh-extbook.sty)
Requires: tex(simurgh-extreport.sty)
Requires: tex(simurgh-memoir.sty)
Requires: tex(simurgh-rapport3.sty)
Requires: tex(simurgh-report.sty)
Requires: tex(simurgh-scrbook.sty)
Requires: tex(simurgh-scrreprt.sty)
Requires: tex(simurgh-tartibi.sty)
Requires: tex(xcolor.sty)
Requires: tex(minted.sty)
Requires: tex(graphicx.sty)
Requires: tex(fontspec.sty)
Requires: tex(hyperref.sty)
Requires: tex(geometry.sty)
Requires: tex(makeidx.sty)
Requires: tex(microtype.sty)
Requires: tex(zref-abspage.sty)
Requires: tex(auxhook.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(xkeyval.sty)
Provides: tex(simurgh-abjad.sty) = %{tl_version}
Provides: tex(simurgh-adadi.sty) = %{tl_version}
Provides: tex(simurgh-algorithm.sty) = %{tl_version}
Provides: tex(simurgh-algorithmic.sty) = %{tl_version}
Provides: tex(simurgh-amsart.sty) = %{tl_version}
Provides: tex(simurgh-amsbook.sty) = %{tl_version}
Provides: tex(simurgh-amsmath.sty) = %{tl_version}
Provides: tex(simurgh-amstext.sty) = %{tl_version}
Provides: tex(simurgh-amsthm.sty) = %{tl_version}
Provides: tex(simurgh-array.sty) = %{tl_version}
Provides: tex(simurgh-article.sty) = %{tl_version}
Provides: tex(simurgh-artikel1.sty) = %{tl_version}
Provides: tex(simurgh-artikel2.sty) = %{tl_version}
Provides: tex(simurgh-artikel3.sty) = %{tl_version}
Provides: tex(simurgh-arydshln.sty) = %{tl_version}
Provides: tex(simurgh-backref.sty) = %{tl_version}
Provides: tex(simurgh-bidi.sty) = %{tl_version}
Provides: tex(simurgh-boek.sty) = %{tl_version}
Provides: tex(simurgh-boek3.sty) = %{tl_version}
Provides: tex(simurgh-book.sty) = %{tl_version}
Provides: tex(simurgh-bookest.sty) = %{tl_version}
Provides: tex(simurgh-caption3.sty) = %{tl_version}
Provides: tex(simurgh-chkeng.sty) = %{tl_version}
Provides: tex(simurgh-clss.sty) = %{tl_version}
Provides: tex(simurgh-counters.sty) = %{tl_version}
Provides: tex(simurgh-cptns.sty) = %{tl_version}
Provides: tex(simurgh-doc.cls) = %{tl_version}
Provides: tex(simurgh-empheq.sty) = %{tl_version}
Provides: tex(simurgh-extarticle.sty) = %{tl_version}
Provides: tex(simurgh-extbook.sty) = %{tl_version}
Provides: tex(simurgh-extletter.sty) = %{tl_version}
Provides: tex(simurgh-extreport.sty) = %{tl_version}
Provides: tex(simurgh-fleqn.sty) = %{tl_version}
Provides: tex(simurgh-fonts.sty) = %{tl_version}
Provides: tex(simurgh-footnotes.sty) = %{tl_version}
Provides: tex(simurgh-ftnxtra.sty) = %{tl_version}
Provides: tex(simurgh-glossaries.sty) = %{tl_version}
Provides: tex(simurgh-harfi.sty) = %{tl_version}
Provides: tex(simurgh-jalalical.sty) = %{tl_version}
Provides: tex(simurgh-leqno.sty) = %{tl_version}
Provides: tex(simurgh-letter.sty) = %{tl_version}
Provides: tex(simurgh-lettrine.sty) = %{tl_version}
Provides: tex(simurgh-loader.sty) = %{tl_version}
Provides: tex(simurgh-ltx.sty) = %{tl_version}
Provides: tex(simurgh-mathdigitspec.sty) = %{tl_version}
Provides: tex(simurgh-memoir.sty) = %{tl_version}
Provides: tex(simurgh-minitoc.sty) = %{tl_version}
Provides: tex(simurgh-natbib.sty) = %{tl_version}
Provides: tex(simurgh-pkgs.sty) = %{tl_version}
Provides: tex(simurgh-poem.sty) = %{tl_version}
Provides: tex(simurgh-rapport1.sty) = %{tl_version}
Provides: tex(simurgh-rappport1.sty) = %{tl_version}
Provides: tex(simurgh-rapport3.sty) = %{tl_version}
Provides: tex(simurgh-refrep.sty) = %{tl_version}
Provides: tex(simurgh-report.sty) = %{tl_version}
Provides: tex(simurgh-scrartcl.sty) = %{tl_version}
Provides: tex(simurgh-scrbook.sty) = %{tl_version}
Provides: tex(simurgh-scrlettr.sty) = %{tl_version}
Provides: tex(simurgh-scrreprt.sty) = %{tl_version}
Provides: tex(simurgh-shellescape.sty) = %{tl_version}
Provides: tex(simurgh-tags.sty) = %{tl_version}
Provides: tex(simurgh-tartibi.sty) = %{tl_version}
Provides: tex(simurgh-tools.sty) = %{tl_version}
Provides: tex(simurgh-unibidi.sty) = %{tl_version}
Provides: tex(simurgh.sty) = %{tl_version}

%description simurgh
The package provides an automatic and unified interface for
Parsi typesetting in LaTeX, using the LuaTeX engine. The
project to produce this system is dedicated to Ferdowsi The
Great.

%package simurgh-doc
Summary: Documentation for simurgh
Version: svn31719.0.01b

Provides: tex-simurgh-doc
AutoReqProv: No

%description simurgh-doc
Documentation for simurgh

%package tram
Provides: tex-tram = %{tl_version}
License: LPPL
Summary: Typeset tram boxes in LaTeX
Version: svn29803.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tram.sty) = %{tl_version}

%description tram
Tram boxes are highlighted with patterns of dots; the package
defines an environment tram that typesets its content into a
tram box. The pattern used may be selected in an optional
argument to the environment.

%package tram-doc
Summary: Documentation for tram
Version: svn29803.0.2

Provides: tex-tram-doc
AutoReqProv: No

%description tram-doc
Documentation for tram

%package collection-langchinese
Summary: Chinese
Version: svn45193
Requires: texlive-base
Requires: texlive-collection-langcjk
Requires: texlive-arphic
Requires: texlive-arphic-ttf
Requires: texlive-asymptote-by-example-zh-cn-doc
Requires: texlive-asymptote-faq-zh-cn-doc
Requires: texlive-asymptote-manual-zh-cn-doc
Requires: texlive-cns
Requires: texlive-ctex
Requires: texlive-ctex-faq-doc
Requires: texlive-fandol
Requires: texlive-hyphen-chinese
Requires: texlive-impatient-cn-doc
Requires: texlive-latex-notes-zh-cn-doc
Requires: texlive-lshort-chinese-doc
Requires: texlive-texlive-zh-cn-doc
Requires: texlive-texproposal-doc
Requires: texlive-upzhkinsoku
Requires: texlive-xpinyin
Requires: texlive-zhlipsum
Requires: texlive-zhmetrics
Requires: texlive-zhmetrics-uptex
Requires: texlive-zhnumber
Requires: texlive-zhspacing

%description collection-langchinese
Support for Chinese; additional packages in collection-langcjk.

%package collection-langcjk
Summary: Chinese/Japanese/Korean (base)
Version: svn45194
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-adobemapping
Requires: texlive-c90
# Requires: tex-cjk-gs-integrate
Requires: texlive-cjk
Requires: texlive-cjkpunct
Requires: texlive-cjkutils
Requires: texlive-dnp
Requires: texlive-fixjfm
Requires: texlive-garuda-c90
Requires: texlive-jfmutil
Requires: texlive-norasi-c90
Requires: texlive-pxtatescale
Requires: texlive-xcjk2uni
Requires: texlive-zxjafont
Provides: tex(japanese) = %{tl_version}
Provides: tex(east-asian) = %{tl_version}
Obsoletes: texlive-east-asian < %{tl_version}
Obsoletes: texlive-texmf-east-asian < %{tl_version}

%description collection-langcjk
Packages supporting a combination of Chinese, Japanese, Korean,
including macros, fonts, documentation.  Also Thai in the c90
encoding, since there is some overlap in those fonts; standard
Thai support is in collection-langother.  Additional packages
for CJK are in their individual language collections.

%package dnp
Provides: tex-dnp = %{tl_version}
License: LPPL
Summary: dnp package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description dnp
dnp package

%package xcjk2uni
Provides: tex-xcjk2uni = %{tl_version}
License: LPPL 1.3
Summary: Convert CJK characters to Unicode, in pdfTeX
Version: svn41121

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Provides: tex(xCJK2uni-UBg5plus.def) = %{tl_version}
Provides: tex(xCJK2uni-UBig5.def) = %{tl_version}
Provides: tex(xCJK2uni-UGB.def) = %{tl_version}
Provides: tex(xCJK2uni-UGBK.def) = %{tl_version}
Provides: tex(xCJK2uni-UJIS.def) = %{tl_version}
Provides: tex(xCJK2uni-UKS.def) = %{tl_version}
Provides: tex(xCJK2uni-make.tex) = %{tl_version}
Provides: tex(xCJK2uni-sfd.def) = %{tl_version}
Provides: tex(xCJK2uni.sty) = %{tl_version}

%description xcjk2uni
The package provides commands to convert CJK characters to
Unicode in non-UTF-8 encoding; it provides hooks to support
hyperref in producing correct bookmarks. The bundle also
provides /ToUnicode mapping file(s) for a CJK subfont; these
can be used with the cmap package, allowing searches of, and
cut-and-paste operations on a PDF file generated by pdfTeX..

%package xcjk2uni-doc
Summary: Documentation for xcjk2uni
Version: svn41121

Provides: tex-xcjk2uni-doc
AutoReqProv: No

%description xcjk2uni-doc
Documentation for xcjk2uni

%package zxjafont
Provides: tex-zxjafont = %{tl_version}
License: MIT
Summary: Set up Japanese font families for XeLaTeX
Version: svn37281.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(fontspec.sty)
Requires: tex(keyval.sty)
Provides: tex(zxjafont.sty) = %{tl_version}

%description zxjafont
zxjafont package

%package zxjafont-doc
Summary: Documentation for zxjafont
Version: svn37281.0.3

Provides: tex-zxjafont-doc
AutoReqProv: No

%description zxjafont-doc
Documentation for zxjafont

%package ctex
Provides: tex-ctex = %{tl_version}
License: LPPL 1.3
Summary: LaTeX classes and packages for Chinese typesetting
Version: svn44974
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-ttfutils
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(ctexpatch.sty)
Requires: tex(fix-cm.sty)
Requires: tex(everysel.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(hyperref.sty)
Requires: tex(zhnumber.sty)
Provides: tex(ctexmakespa.tex) = %{tl_version}
Provides: tex(ctexspamacro.tex) = %{tl_version}
Provides: tex(zhadobefonts.tex) = %{tl_version}
Provides: tex(zhfandolfonts.tex) = %{tl_version}
Provides: tex(zhfounderfonts.tex) = %{tl_version}
Provides: tex(zhubuntufonts.tex) = %{tl_version}
Provides: tex(zhwindowsfonts.tex) = %{tl_version}
Provides: tex(ctex-name-gbk.cfg) = %{tl_version}
Provides: tex(ctex-name-utf8.cfg) = %{tl_version}
Provides: tex(ctex.cfg) = %{tl_version}
Provides: tex(ctexopts.cfg) = %{tl_version}
Provides: tex(ctex-article.def) = %{tl_version}
Provides: tex(ctex-book.def) = %{tl_version}
Provides: tex(ctex-c5size.clo) = %{tl_version}
Provides: tex(ctex-cs4size.clo) = %{tl_version}
Provides: tex(ctex-report.def) = %{tl_version}
Provides: tex(ctex.sty) = %{tl_version}
Provides: tex(ctexart.cls) = %{tl_version}
Provides: tex(ctexbook.cls) = %{tl_version}
Provides: tex(ctexcap.sty) = %{tl_version}
Provides: tex(ctexheading.sty) = %{tl_version}
Provides: tex(ctexhook.sty) = %{tl_version}
Provides: tex(ctexpatch.sty) = %{tl_version}
Provides: tex(ctexrep.cls) = %{tl_version}
Provides: tex(ctexsize.sty) = %{tl_version}
Provides: tex(ctexspa.def) = %{tl_version}
Provides: tex(ctex-engine-luatex.def) = %{tl_version}
Provides: tex(ctex-engine-pdftex.def) = %{tl_version}
Provides: tex(ctex-engine-xetex.def) = %{tl_version}
Provides: tex(c19rm.fd) = %{tl_version}
Provides: tex(c19sf.fd) = %{tl_version}
Provides: tex(c19tt.fd) = %{tl_version}
Provides: tex(c70rm.fd) = %{tl_version}
Provides: tex(c70sf.fd) = %{tl_version}
Provides: tex(c70tt.fd) = %{tl_version}
Provides: tex(ctex-fontset-adobe.def) = %{tl_version}
Provides: tex(ctex-fontset-fandol.def) = %{tl_version}
Provides: tex(ctex-fontset-founder.def) = %{tl_version}
Provides: tex(ctex-fontset-mac.def) = %{tl_version}
Provides: tex(ctex-fontset-ubuntu.def) = %{tl_version}
Provides: tex(ctex-fontset-windows.def) = %{tl_version}
Provides: tex(ctex-fontset-windowsnew.def) = %{tl_version}
Provides: tex(ctex-fontset-windowsold.def) = %{tl_version}
Provides: tex(ctex-scheme-chinese-article.def) = %{tl_version}
Provides: tex(ctex-scheme-chinese-book.def) = %{tl_version}
Provides: tex(ctex-scheme-chinese-report.def) = %{tl_version}
Provides: tex(ctex-scheme-chinese.def) = %{tl_version}
Provides: tex(ctex-scheme-plain-article.def) = %{tl_version}
Provides: tex(ctex-scheme-plain-book.def) = %{tl_version}
Provides: tex(ctex-scheme-plain-report.def) = %{tl_version}
Provides: tex(ctex-scheme-plain.def) = %{tl_version}

%description ctex
ctex package

%package ctex-doc
Summary: Documentation for ctex
Version: svn44974
Provides: tex-ctex-doc
AutoReqProv: No
Requires: tex-ttfutils-doc

%description ctex-doc
Documentation for ctex

%package ctex-faq-doc
Summary: Documentation for ctex-faq
Version: svn15878.0

Provides: tex-ctex-faq-doc
AutoReqProv: No

%description ctex-faq-doc
Documentation for ctex-faq

%package fandol
Provides: tex-fandol = %{tl_version}
License: GPL+
Summary: Four basic fonts for Chinese typesetting
Version: svn37889.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(FandolBraille-Display.otf) = %{tl_version}
Provides: tex(FandolBraille-Regular.otf) = %{tl_version}
Provides: tex(FandolFang-Regular.otf) = %{tl_version}
Provides: tex(FandolHei-Bold.otf) = %{tl_version}
Provides: tex(FandolHei-Regular.otf) = %{tl_version}
Provides: tex(FandolKai-Regular.otf) = %{tl_version}
Provides: tex(FandolSong-Bold.otf) = %{tl_version}
Provides: tex(FandolSong-Regular.otf) = %{tl_version}

%description fandol
Fandol fonts designed for Chinese typesetting. The current
version contains four styles: Song, Hei, Kai, Fang. All fonts
are in OpenType format.

%package fandol-doc
Summary: Documentation for fandol
Version: svn37889.0.3

Provides: tex-fandol-doc
AutoReqProv: No

%description fandol-doc
Documentation for fandol

%package hyphen-chinese
Provides: tex-hyphen-chinese = %{tl_version}
License: LPPL
Summary: Chinese pinyin hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-chinese
Hyphenation patterns for unaccented transliterated Mandarin
Chinese (pinyin) in T1/EC and UTF-8 encodings.

%post hyphen-chinese
if [ $1 -gt 0 ] ; then
sed -i '/pinyin.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "pinyin loadhyph-zh-latn-pinyin.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{pinyin}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{pinyin}{loadhyph-zh-latn-pinyin.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-chinese
if [ $1 == 0 ] ; then
sed -i '/pinyin.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{pinyin}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package impatient-cn-doc
Summary: Documentation for impatient-cn
Version: svn35576.0

Provides: tex-impatient-cn-doc
AutoReqProv: No

%description impatient-cn-doc
Documentation for impatient-cn

%package latex-notes-zh-cn-doc
Summary: Documentation for latex-notes-zh-cn
Version: svn15878.1.20

Provides: tex-latex-notes-zh-cn-doc
AutoReqProv: No

%description latex-notes-zh-cn-doc
Documentation for latex-notes-zh-cn

%package lshort-chinese-doc
Summary: Documentation for lshort-chinese
Version: svn43606
Provides: tex-lshort-chinese-doc
AutoReqProv: No

%description lshort-chinese-doc
Documentation for lshort-chinese

%package texlive-zh-cn-doc
Summary: Documentation for texlive-zh-cn
Version: svn44333
Provides: tex-texlive-zh-cn-doc
AutoReqProv: No

%description texlive-zh-cn-doc
Documentation for texlive-zh-cn

%package xpinyin
Provides: tex-xpinyin = %{tl_version}
License: LPPL 1.3
Summary: Automatically add pinyin to Chinese characters
Version: svn44976
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xCJK2uni.sty)
Requires: tex(xeCJK.sty)
Requires: tex(CJKutf8.sty)
Provides: tex(xpinyin-database.def) = %{tl_version}
Provides: tex(xpinyin.sty) = %{tl_version}

%description xpinyin
The package is written to simplify the input of Hanyu Pinyin.
Macros are provided that automatically add pinyin to Chinese
characters.

%package xpinyin-doc
Summary: Documentation for xpinyin
Version: svn44976
Provides: tex-xpinyin-doc
AutoReqProv: No

%description xpinyin-doc
Documentation for xpinyin

%package zhmetrics
Provides: tex-zhmetrics = %{tl_version}
License: LPPL
Summary: TFM subfont files for using Chinese fonts in 8-bit TeX
Version: svn22207.r206

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cyberb00.tfm) = %{tl_version}
Provides: tex(cyberb01.tfm) = %{tl_version}
Provides: tex(cyberb02.tfm) = %{tl_version}
Provides: tex(cyberb03.tfm) = %{tl_version}
Provides: tex(cyberb04.tfm) = %{tl_version}
Provides: tex(cyberb05.tfm) = %{tl_version}
Provides: tex(cyberb06.tfm) = %{tl_version}
Provides: tex(cyberb07.tfm) = %{tl_version}
Provides: tex(cyberb08.tfm) = %{tl_version}
Provides: tex(cyberb09.tfm) = %{tl_version}
Provides: tex(cyberb0a.tfm) = %{tl_version}
Provides: tex(cyberb0b.tfm) = %{tl_version}
Provides: tex(cyberb0c.tfm) = %{tl_version}
Provides: tex(cyberb0d.tfm) = %{tl_version}
Provides: tex(cyberb0e.tfm) = %{tl_version}
Provides: tex(cyberb0f.tfm) = %{tl_version}
Provides: tex(cyberb10.tfm) = %{tl_version}
Provides: tex(cyberb11.tfm) = %{tl_version}
Provides: tex(cyberb12.tfm) = %{tl_version}
Provides: tex(cyberb13.tfm) = %{tl_version}
Provides: tex(cyberb14.tfm) = %{tl_version}
Provides: tex(cyberb15.tfm) = %{tl_version}
Provides: tex(cyberb16.tfm) = %{tl_version}
Provides: tex(cyberb17.tfm) = %{tl_version}
Provides: tex(cyberb18.tfm) = %{tl_version}
Provides: tex(cyberb19.tfm) = %{tl_version}
Provides: tex(cyberb1a.tfm) = %{tl_version}
Provides: tex(cyberb1b.tfm) = %{tl_version}
Provides: tex(cyberb1c.tfm) = %{tl_version}
Provides: tex(cyberb1d.tfm) = %{tl_version}
Provides: tex(cyberb1e.tfm) = %{tl_version}
Provides: tex(cyberb1f.tfm) = %{tl_version}
Provides: tex(cyberb20.tfm) = %{tl_version}
Provides: tex(cyberb21.tfm) = %{tl_version}
Provides: tex(cyberb22.tfm) = %{tl_version}
Provides: tex(cyberb23.tfm) = %{tl_version}
Provides: tex(cyberb24.tfm) = %{tl_version}
Provides: tex(cyberb25.tfm) = %{tl_version}
Provides: tex(cyberb26.tfm) = %{tl_version}
Provides: tex(cyberb27.tfm) = %{tl_version}
Provides: tex(cyberb28.tfm) = %{tl_version}
Provides: tex(cyberb29.tfm) = %{tl_version}
Provides: tex(cyberb2a.tfm) = %{tl_version}
Provides: tex(cyberb2b.tfm) = %{tl_version}
Provides: tex(cyberb2c.tfm) = %{tl_version}
Provides: tex(cyberb2d.tfm) = %{tl_version}
Provides: tex(cyberb2e.tfm) = %{tl_version}
Provides: tex(cyberb2f.tfm) = %{tl_version}
Provides: tex(cyberb30.tfm) = %{tl_version}
Provides: tex(cyberb31.tfm) = %{tl_version}
Provides: tex(cyberb32.tfm) = %{tl_version}
Provides: tex(cyberb33.tfm) = %{tl_version}
Provides: tex(cyberb34.tfm) = %{tl_version}
Provides: tex(cyberb35.tfm) = %{tl_version}
Provides: tex(cyberb36.tfm) = %{tl_version}
Provides: tex(cyberb37.tfm) = %{tl_version}
Provides: tex(cyberb38.tfm) = %{tl_version}
Provides: tex(cyberb39.tfm) = %{tl_version}
Provides: tex(cyberb3a.tfm) = %{tl_version}
Provides: tex(cyberb3b.tfm) = %{tl_version}
Provides: tex(cyberb3c.tfm) = %{tl_version}
Provides: tex(cyberb3d.tfm) = %{tl_version}
Provides: tex(cyberb3e.tfm) = %{tl_version}
Provides: tex(cyberb3f.tfm) = %{tl_version}
Provides: tex(cyberb40.tfm) = %{tl_version}
Provides: tex(cyberb41.tfm) = %{tl_version}
Provides: tex(cyberb42.tfm) = %{tl_version}
Provides: tex(cyberb43.tfm) = %{tl_version}
Provides: tex(cyberb44.tfm) = %{tl_version}
Provides: tex(cyberb45.tfm) = %{tl_version}
Provides: tex(cyberb46.tfm) = %{tl_version}
Provides: tex(cyberb47.tfm) = %{tl_version}
Provides: tex(cyberb48.tfm) = %{tl_version}
Provides: tex(cyberb49.tfm) = %{tl_version}
Provides: tex(cyberb4a.tfm) = %{tl_version}
Provides: tex(cyberb4b.tfm) = %{tl_version}
Provides: tex(cyberb4c.tfm) = %{tl_version}
Provides: tex(cyberb4d.tfm) = %{tl_version}
Provides: tex(cyberb4e.tfm) = %{tl_version}
Provides: tex(cyberb4f.tfm) = %{tl_version}
Provides: tex(cyberb50.tfm) = %{tl_version}
Provides: tex(cyberb51.tfm) = %{tl_version}
Provides: tex(cyberb52.tfm) = %{tl_version}
Provides: tex(cyberb53.tfm) = %{tl_version}
Provides: tex(cyberb54.tfm) = %{tl_version}
Provides: tex(cyberb55.tfm) = %{tl_version}
Provides: tex(cyberb56.tfm) = %{tl_version}
Provides: tex(cyberb57.tfm) = %{tl_version}
Provides: tex(cyberb58.tfm) = %{tl_version}
Provides: tex(cyberb59.tfm) = %{tl_version}
Provides: tex(cyberb5a.tfm) = %{tl_version}
Provides: tex(cyberb5b.tfm) = %{tl_version}
Provides: tex(cyberb5c.tfm) = %{tl_version}
Provides: tex(cyberb5d.tfm) = %{tl_version}
Provides: tex(cyberb5e.tfm) = %{tl_version}
Provides: tex(cyberb5f.tfm) = %{tl_version}
Provides: tex(cyberb60.tfm) = %{tl_version}
Provides: tex(cyberb61.tfm) = %{tl_version}
Provides: tex(cyberb62.tfm) = %{tl_version}
Provides: tex(cyberb63.tfm) = %{tl_version}
Provides: tex(cyberb64.tfm) = %{tl_version}
Provides: tex(cyberb65.tfm) = %{tl_version}
Provides: tex(cyberb66.tfm) = %{tl_version}
Provides: tex(cyberb67.tfm) = %{tl_version}
Provides: tex(cyberb68.tfm) = %{tl_version}
Provides: tex(cyberb69.tfm) = %{tl_version}
Provides: tex(cyberb6a.tfm) = %{tl_version}
Provides: tex(cyberb6b.tfm) = %{tl_version}
Provides: tex(cyberb6c.tfm) = %{tl_version}
Provides: tex(cyberb6d.tfm) = %{tl_version}
Provides: tex(cyberb6e.tfm) = %{tl_version}
Provides: tex(cyberb6f.tfm) = %{tl_version}
Provides: tex(cyberb70.tfm) = %{tl_version}
Provides: tex(cyberb71.tfm) = %{tl_version}
Provides: tex(cyberb72.tfm) = %{tl_version}
Provides: tex(cyberb73.tfm) = %{tl_version}
Provides: tex(cyberb74.tfm) = %{tl_version}
Provides: tex(cyberb75.tfm) = %{tl_version}
Provides: tex(cyberb76.tfm) = %{tl_version}
Provides: tex(cyberb77.tfm) = %{tl_version}
Provides: tex(cyberb78.tfm) = %{tl_version}
Provides: tex(cyberb79.tfm) = %{tl_version}
Provides: tex(cyberb7a.tfm) = %{tl_version}
Provides: tex(cyberb7b.tfm) = %{tl_version}
Provides: tex(cyberb7c.tfm) = %{tl_version}
Provides: tex(cyberb7d.tfm) = %{tl_version}
Provides: tex(cyberb7e.tfm) = %{tl_version}
Provides: tex(cyberb7f.tfm) = %{tl_version}
Provides: tex(cyberb80.tfm) = %{tl_version}
Provides: tex(cyberb81.tfm) = %{tl_version}
Provides: tex(cyberb82.tfm) = %{tl_version}
Provides: tex(cyberb83.tfm) = %{tl_version}
Provides: tex(cyberb84.tfm) = %{tl_version}
Provides: tex(cyberb85.tfm) = %{tl_version}
Provides: tex(cyberb86.tfm) = %{tl_version}
Provides: tex(cyberb87.tfm) = %{tl_version}
Provides: tex(cyberb88.tfm) = %{tl_version}
Provides: tex(cyberb89.tfm) = %{tl_version}
Provides: tex(cyberb8a.tfm) = %{tl_version}
Provides: tex(cyberb8b.tfm) = %{tl_version}
Provides: tex(cyberb8c.tfm) = %{tl_version}
Provides: tex(cyberb8d.tfm) = %{tl_version}
Provides: tex(cyberb8e.tfm) = %{tl_version}
Provides: tex(cyberb8f.tfm) = %{tl_version}
Provides: tex(cyberb90.tfm) = %{tl_version}
Provides: tex(cyberb91.tfm) = %{tl_version}
Provides: tex(cyberb92.tfm) = %{tl_version}
Provides: tex(cyberb93.tfm) = %{tl_version}
Provides: tex(cyberb94.tfm) = %{tl_version}
Provides: tex(cyberb95.tfm) = %{tl_version}
Provides: tex(cyberb96.tfm) = %{tl_version}
Provides: tex(cyberb97.tfm) = %{tl_version}
Provides: tex(cyberb98.tfm) = %{tl_version}
Provides: tex(cyberb99.tfm) = %{tl_version}
Provides: tex(cyberb9a.tfm) = %{tl_version}
Provides: tex(cyberb9b.tfm) = %{tl_version}
Provides: tex(cyberb9c.tfm) = %{tl_version}
Provides: tex(cyberb9d.tfm) = %{tl_version}
Provides: tex(cyberb9e.tfm) = %{tl_version}
Provides: tex(cyberb9f.tfm) = %{tl_version}
Provides: tex(cyberba0.tfm) = %{tl_version}
Provides: tex(cyberba1.tfm) = %{tl_version}
Provides: tex(cyberba2.tfm) = %{tl_version}
Provides: tex(cyberba3.tfm) = %{tl_version}
Provides: tex(cyberba4.tfm) = %{tl_version}
Provides: tex(cyberba5.tfm) = %{tl_version}
Provides: tex(cyberba6.tfm) = %{tl_version}
Provides: tex(cyberba7.tfm) = %{tl_version}
Provides: tex(cyberba8.tfm) = %{tl_version}
Provides: tex(cyberba9.tfm) = %{tl_version}
Provides: tex(cyberbaa.tfm) = %{tl_version}
Provides: tex(cyberbab.tfm) = %{tl_version}
Provides: tex(cyberbac.tfm) = %{tl_version}
Provides: tex(cyberbad.tfm) = %{tl_version}
Provides: tex(cyberbae.tfm) = %{tl_version}
Provides: tex(cyberbaf.tfm) = %{tl_version}
Provides: tex(cyberbb0.tfm) = %{tl_version}
Provides: tex(cyberbb1.tfm) = %{tl_version}
Provides: tex(cyberbb2.tfm) = %{tl_version}
Provides: tex(cyberbb3.tfm) = %{tl_version}
Provides: tex(cyberbb4.tfm) = %{tl_version}
Provides: tex(cyberbb5.tfm) = %{tl_version}
Provides: tex(cyberbb6.tfm) = %{tl_version}
Provides: tex(cyberbb7.tfm) = %{tl_version}
Provides: tex(cyberbb8.tfm) = %{tl_version}
Provides: tex(cyberbb9.tfm) = %{tl_version}
Provides: tex(cyberbba.tfm) = %{tl_version}
Provides: tex(cyberbbb.tfm) = %{tl_version}
Provides: tex(cyberbbc.tfm) = %{tl_version}
Provides: tex(cyberbbd.tfm) = %{tl_version}
Provides: tex(cyberbbe.tfm) = %{tl_version}
Provides: tex(cyberbbf.tfm) = %{tl_version}
Provides: tex(cyberbc0.tfm) = %{tl_version}
Provides: tex(cyberbc1.tfm) = %{tl_version}
Provides: tex(cyberbc2.tfm) = %{tl_version}
Provides: tex(cyberbc3.tfm) = %{tl_version}
Provides: tex(cyberbc4.tfm) = %{tl_version}
Provides: tex(cyberbc5.tfm) = %{tl_version}
Provides: tex(cyberbc6.tfm) = %{tl_version}
Provides: tex(cyberbc7.tfm) = %{tl_version}
Provides: tex(cyberbc8.tfm) = %{tl_version}
Provides: tex(cyberbc9.tfm) = %{tl_version}
Provides: tex(cyberbca.tfm) = %{tl_version}
Provides: tex(cyberbcb.tfm) = %{tl_version}
Provides: tex(cyberbcc.tfm) = %{tl_version}
Provides: tex(cyberbcd.tfm) = %{tl_version}
Provides: tex(cyberbce.tfm) = %{tl_version}
Provides: tex(cyberbcf.tfm) = %{tl_version}
Provides: tex(cyberbd0.tfm) = %{tl_version}
Provides: tex(cyberbd1.tfm) = %{tl_version}
Provides: tex(cyberbd2.tfm) = %{tl_version}
Provides: tex(cyberbd3.tfm) = %{tl_version}
Provides: tex(cyberbd4.tfm) = %{tl_version}
Provides: tex(cyberbd5.tfm) = %{tl_version}
Provides: tex(cyberbd6.tfm) = %{tl_version}
Provides: tex(cyberbd7.tfm) = %{tl_version}
Provides: tex(cyberbd8.tfm) = %{tl_version}
Provides: tex(cyberbd9.tfm) = %{tl_version}
Provides: tex(cyberbda.tfm) = %{tl_version}
Provides: tex(cyberbdb.tfm) = %{tl_version}
Provides: tex(cyberbdc.tfm) = %{tl_version}
Provides: tex(cyberbdd.tfm) = %{tl_version}
Provides: tex(cyberbde.tfm) = %{tl_version}
Provides: tex(cyberbdf.tfm) = %{tl_version}
Provides: tex(cyberbe0.tfm) = %{tl_version}
Provides: tex(cyberbe1.tfm) = %{tl_version}
Provides: tex(cyberbe2.tfm) = %{tl_version}
Provides: tex(cyberbe3.tfm) = %{tl_version}
Provides: tex(cyberbe4.tfm) = %{tl_version}
Provides: tex(cyberbe5.tfm) = %{tl_version}
Provides: tex(cyberbe6.tfm) = %{tl_version}
Provides: tex(cyberbe7.tfm) = %{tl_version}
Provides: tex(cyberbe8.tfm) = %{tl_version}
Provides: tex(cyberbe9.tfm) = %{tl_version}
Provides: tex(cyberbea.tfm) = %{tl_version}
Provides: tex(cyberbeb.tfm) = %{tl_version}
Provides: tex(cyberbec.tfm) = %{tl_version}
Provides: tex(cyberbed.tfm) = %{tl_version}
Provides: tex(cyberbee.tfm) = %{tl_version}
Provides: tex(cyberbef.tfm) = %{tl_version}
Provides: tex(cyberbf0.tfm) = %{tl_version}
Provides: tex(cyberbf1.tfm) = %{tl_version}
Provides: tex(cyberbf2.tfm) = %{tl_version}
Provides: tex(cyberbf3.tfm) = %{tl_version}
Provides: tex(cyberbf4.tfm) = %{tl_version}
Provides: tex(cyberbf5.tfm) = %{tl_version}
Provides: tex(cyberbf6.tfm) = %{tl_version}
Provides: tex(cyberbf7.tfm) = %{tl_version}
Provides: tex(cyberbf8.tfm) = %{tl_version}
Provides: tex(cyberbf9.tfm) = %{tl_version}
Provides: tex(cyberbfa.tfm) = %{tl_version}
Provides: tex(cyberbfb.tfm) = %{tl_version}
Provides: tex(cyberbfc.tfm) = %{tl_version}
Provides: tex(cyberbfd.tfm) = %{tl_version}
Provides: tex(cyberbfe.tfm) = %{tl_version}
Provides: tex(cyberbff.tfm) = %{tl_version}
Provides: tex(cyberbsl00.tfm) = %{tl_version}
Provides: tex(cyberbsl01.tfm) = %{tl_version}
Provides: tex(cyberbsl02.tfm) = %{tl_version}
Provides: tex(cyberbsl03.tfm) = %{tl_version}
Provides: tex(cyberbsl04.tfm) = %{tl_version}
Provides: tex(cyberbsl05.tfm) = %{tl_version}
Provides: tex(cyberbsl06.tfm) = %{tl_version}
Provides: tex(cyberbsl07.tfm) = %{tl_version}
Provides: tex(cyberbsl08.tfm) = %{tl_version}
Provides: tex(cyberbsl09.tfm) = %{tl_version}
Provides: tex(cyberbsl0a.tfm) = %{tl_version}
Provides: tex(cyberbsl0b.tfm) = %{tl_version}
Provides: tex(cyberbsl0c.tfm) = %{tl_version}
Provides: tex(cyberbsl0d.tfm) = %{tl_version}
Provides: tex(cyberbsl0e.tfm) = %{tl_version}
Provides: tex(cyberbsl0f.tfm) = %{tl_version}
Provides: tex(cyberbsl10.tfm) = %{tl_version}
Provides: tex(cyberbsl11.tfm) = %{tl_version}
Provides: tex(cyberbsl12.tfm) = %{tl_version}
Provides: tex(cyberbsl13.tfm) = %{tl_version}
Provides: tex(cyberbsl14.tfm) = %{tl_version}
Provides: tex(cyberbsl15.tfm) = %{tl_version}
Provides: tex(cyberbsl16.tfm) = %{tl_version}
Provides: tex(cyberbsl17.tfm) = %{tl_version}
Provides: tex(cyberbsl18.tfm) = %{tl_version}
Provides: tex(cyberbsl19.tfm) = %{tl_version}
Provides: tex(cyberbsl1a.tfm) = %{tl_version}
Provides: tex(cyberbsl1b.tfm) = %{tl_version}
Provides: tex(cyberbsl1c.tfm) = %{tl_version}
Provides: tex(cyberbsl1d.tfm) = %{tl_version}
Provides: tex(cyberbsl1e.tfm) = %{tl_version}
Provides: tex(cyberbsl1f.tfm) = %{tl_version}
Provides: tex(cyberbsl20.tfm) = %{tl_version}
Provides: tex(cyberbsl21.tfm) = %{tl_version}
Provides: tex(cyberbsl22.tfm) = %{tl_version}
Provides: tex(cyberbsl23.tfm) = %{tl_version}
Provides: tex(cyberbsl24.tfm) = %{tl_version}
Provides: tex(cyberbsl25.tfm) = %{tl_version}
Provides: tex(cyberbsl26.tfm) = %{tl_version}
Provides: tex(cyberbsl27.tfm) = %{tl_version}
Provides: tex(cyberbsl28.tfm) = %{tl_version}
Provides: tex(cyberbsl29.tfm) = %{tl_version}
Provides: tex(cyberbsl2a.tfm) = %{tl_version}
Provides: tex(cyberbsl2b.tfm) = %{tl_version}
Provides: tex(cyberbsl2c.tfm) = %{tl_version}
Provides: tex(cyberbsl2d.tfm) = %{tl_version}
Provides: tex(cyberbsl2e.tfm) = %{tl_version}
Provides: tex(cyberbsl2f.tfm) = %{tl_version}
Provides: tex(cyberbsl30.tfm) = %{tl_version}
Provides: tex(cyberbsl31.tfm) = %{tl_version}
Provides: tex(cyberbsl32.tfm) = %{tl_version}
Provides: tex(cyberbsl33.tfm) = %{tl_version}
Provides: tex(cyberbsl34.tfm) = %{tl_version}
Provides: tex(cyberbsl35.tfm) = %{tl_version}
Provides: tex(cyberbsl36.tfm) = %{tl_version}
Provides: tex(cyberbsl37.tfm) = %{tl_version}
Provides: tex(cyberbsl38.tfm) = %{tl_version}
Provides: tex(cyberbsl39.tfm) = %{tl_version}
Provides: tex(cyberbsl3a.tfm) = %{tl_version}
Provides: tex(cyberbsl3b.tfm) = %{tl_version}
Provides: tex(cyberbsl3c.tfm) = %{tl_version}
Provides: tex(cyberbsl3d.tfm) = %{tl_version}
Provides: tex(cyberbsl3e.tfm) = %{tl_version}
Provides: tex(cyberbsl3f.tfm) = %{tl_version}
Provides: tex(cyberbsl40.tfm) = %{tl_version}
Provides: tex(cyberbsl41.tfm) = %{tl_version}
Provides: tex(cyberbsl42.tfm) = %{tl_version}
Provides: tex(cyberbsl43.tfm) = %{tl_version}
Provides: tex(cyberbsl44.tfm) = %{tl_version}
Provides: tex(cyberbsl45.tfm) = %{tl_version}
Provides: tex(cyberbsl46.tfm) = %{tl_version}
Provides: tex(cyberbsl47.tfm) = %{tl_version}
Provides: tex(cyberbsl48.tfm) = %{tl_version}
Provides: tex(cyberbsl49.tfm) = %{tl_version}
Provides: tex(cyberbsl4a.tfm) = %{tl_version}
Provides: tex(cyberbsl4b.tfm) = %{tl_version}
Provides: tex(cyberbsl4c.tfm) = %{tl_version}
Provides: tex(cyberbsl4d.tfm) = %{tl_version}
Provides: tex(cyberbsl4e.tfm) = %{tl_version}
Provides: tex(cyberbsl4f.tfm) = %{tl_version}
Provides: tex(cyberbsl50.tfm) = %{tl_version}
Provides: tex(cyberbsl51.tfm) = %{tl_version}
Provides: tex(cyberbsl52.tfm) = %{tl_version}
Provides: tex(cyberbsl53.tfm) = %{tl_version}
Provides: tex(cyberbsl54.tfm) = %{tl_version}
Provides: tex(cyberbsl55.tfm) = %{tl_version}
Provides: tex(cyberbsl56.tfm) = %{tl_version}
Provides: tex(cyberbsl57.tfm) = %{tl_version}
Provides: tex(cyberbsl58.tfm) = %{tl_version}
Provides: tex(cyberbsl59.tfm) = %{tl_version}
Provides: tex(cyberbsl5a.tfm) = %{tl_version}
Provides: tex(cyberbsl5b.tfm) = %{tl_version}
Provides: tex(cyberbsl5c.tfm) = %{tl_version}
Provides: tex(cyberbsl5d.tfm) = %{tl_version}
Provides: tex(cyberbsl5e.tfm) = %{tl_version}
Provides: tex(cyberbsl5f.tfm) = %{tl_version}
Provides: tex(cyberbsl60.tfm) = %{tl_version}
Provides: tex(cyberbsl61.tfm) = %{tl_version}
Provides: tex(cyberbsl62.tfm) = %{tl_version}
Provides: tex(cyberbsl63.tfm) = %{tl_version}
Provides: tex(cyberbsl64.tfm) = %{tl_version}
Provides: tex(cyberbsl65.tfm) = %{tl_version}
Provides: tex(cyberbsl66.tfm) = %{tl_version}
Provides: tex(cyberbsl67.tfm) = %{tl_version}
Provides: tex(cyberbsl68.tfm) = %{tl_version}
Provides: tex(cyberbsl69.tfm) = %{tl_version}
Provides: tex(cyberbsl6a.tfm) = %{tl_version}
Provides: tex(cyberbsl6b.tfm) = %{tl_version}
Provides: tex(cyberbsl6c.tfm) = %{tl_version}
Provides: tex(cyberbsl6d.tfm) = %{tl_version}
Provides: tex(cyberbsl6e.tfm) = %{tl_version}
Provides: tex(cyberbsl6f.tfm) = %{tl_version}
Provides: tex(cyberbsl70.tfm) = %{tl_version}
Provides: tex(cyberbsl71.tfm) = %{tl_version}
Provides: tex(cyberbsl72.tfm) = %{tl_version}
Provides: tex(cyberbsl73.tfm) = %{tl_version}
Provides: tex(cyberbsl74.tfm) = %{tl_version}
Provides: tex(cyberbsl75.tfm) = %{tl_version}
Provides: tex(cyberbsl76.tfm) = %{tl_version}
Provides: tex(cyberbsl77.tfm) = %{tl_version}
Provides: tex(cyberbsl78.tfm) = %{tl_version}
Provides: tex(cyberbsl79.tfm) = %{tl_version}
Provides: tex(cyberbsl7a.tfm) = %{tl_version}
Provides: tex(cyberbsl7b.tfm) = %{tl_version}
Provides: tex(cyberbsl7c.tfm) = %{tl_version}
Provides: tex(cyberbsl7d.tfm) = %{tl_version}
Provides: tex(cyberbsl7e.tfm) = %{tl_version}
Provides: tex(cyberbsl7f.tfm) = %{tl_version}
Provides: tex(cyberbsl80.tfm) = %{tl_version}
Provides: tex(cyberbsl81.tfm) = %{tl_version}
Provides: tex(cyberbsl82.tfm) = %{tl_version}
Provides: tex(cyberbsl83.tfm) = %{tl_version}
Provides: tex(cyberbsl84.tfm) = %{tl_version}
Provides: tex(cyberbsl85.tfm) = %{tl_version}
Provides: tex(cyberbsl86.tfm) = %{tl_version}
Provides: tex(cyberbsl87.tfm) = %{tl_version}
Provides: tex(cyberbsl88.tfm) = %{tl_version}
Provides: tex(cyberbsl89.tfm) = %{tl_version}
Provides: tex(cyberbsl8a.tfm) = %{tl_version}
Provides: tex(cyberbsl8b.tfm) = %{tl_version}
Provides: tex(cyberbsl8c.tfm) = %{tl_version}
Provides: tex(cyberbsl8d.tfm) = %{tl_version}
Provides: tex(cyberbsl8e.tfm) = %{tl_version}
Provides: tex(cyberbsl8f.tfm) = %{tl_version}
Provides: tex(cyberbsl90.tfm) = %{tl_version}
Provides: tex(cyberbsl91.tfm) = %{tl_version}
Provides: tex(cyberbsl92.tfm) = %{tl_version}
Provides: tex(cyberbsl93.tfm) = %{tl_version}
Provides: tex(cyberbsl94.tfm) = %{tl_version}
Provides: tex(cyberbsl95.tfm) = %{tl_version}
Provides: tex(cyberbsl96.tfm) = %{tl_version}
Provides: tex(cyberbsl97.tfm) = %{tl_version}
Provides: tex(cyberbsl98.tfm) = %{tl_version}
Provides: tex(cyberbsl99.tfm) = %{tl_version}
Provides: tex(cyberbsl9a.tfm) = %{tl_version}
Provides: tex(cyberbsl9b.tfm) = %{tl_version}
Provides: tex(cyberbsl9c.tfm) = %{tl_version}
Provides: tex(cyberbsl9d.tfm) = %{tl_version}
Provides: tex(cyberbsl9e.tfm) = %{tl_version}
Provides: tex(cyberbsl9f.tfm) = %{tl_version}
Provides: tex(cyberbsla0.tfm) = %{tl_version}
Provides: tex(cyberbsla1.tfm) = %{tl_version}
Provides: tex(cyberbsla2.tfm) = %{tl_version}
Provides: tex(cyberbsla3.tfm) = %{tl_version}
Provides: tex(cyberbsla4.tfm) = %{tl_version}
Provides: tex(cyberbsla5.tfm) = %{tl_version}
Provides: tex(cyberbsla6.tfm) = %{tl_version}
Provides: tex(cyberbsla7.tfm) = %{tl_version}
Provides: tex(cyberbsla8.tfm) = %{tl_version}
Provides: tex(cyberbsla9.tfm) = %{tl_version}
Provides: tex(cyberbslaa.tfm) = %{tl_version}
Provides: tex(cyberbslab.tfm) = %{tl_version}
Provides: tex(cyberbslac.tfm) = %{tl_version}
Provides: tex(cyberbslad.tfm) = %{tl_version}
Provides: tex(cyberbslae.tfm) = %{tl_version}
Provides: tex(cyberbslaf.tfm) = %{tl_version}
Provides: tex(cyberbslb0.tfm) = %{tl_version}
Provides: tex(cyberbslb1.tfm) = %{tl_version}
Provides: tex(cyberbslb2.tfm) = %{tl_version}
Provides: tex(cyberbslb3.tfm) = %{tl_version}
Provides: tex(cyberbslb4.tfm) = %{tl_version}
Provides: tex(cyberbslb5.tfm) = %{tl_version}
Provides: tex(cyberbslb6.tfm) = %{tl_version}
Provides: tex(cyberbslb7.tfm) = %{tl_version}
Provides: tex(cyberbslb8.tfm) = %{tl_version}
Provides: tex(cyberbslb9.tfm) = %{tl_version}
Provides: tex(cyberbslba.tfm) = %{tl_version}
Provides: tex(cyberbslbb.tfm) = %{tl_version}
Provides: tex(cyberbslbc.tfm) = %{tl_version}
Provides: tex(cyberbslbd.tfm) = %{tl_version}
Provides: tex(cyberbslbe.tfm) = %{tl_version}
Provides: tex(cyberbslbf.tfm) = %{tl_version}
Provides: tex(cyberbslc0.tfm) = %{tl_version}
Provides: tex(cyberbslc1.tfm) = %{tl_version}
Provides: tex(cyberbslc2.tfm) = %{tl_version}
Provides: tex(cyberbslc3.tfm) = %{tl_version}
Provides: tex(cyberbslc4.tfm) = %{tl_version}
Provides: tex(cyberbslc5.tfm) = %{tl_version}
Provides: tex(cyberbslc6.tfm) = %{tl_version}
Provides: tex(cyberbslc7.tfm) = %{tl_version}
Provides: tex(cyberbslc8.tfm) = %{tl_version}
Provides: tex(cyberbslc9.tfm) = %{tl_version}
Provides: tex(cyberbslca.tfm) = %{tl_version}
Provides: tex(cyberbslcb.tfm) = %{tl_version}
Provides: tex(cyberbslcc.tfm) = %{tl_version}
Provides: tex(cyberbslcd.tfm) = %{tl_version}
Provides: tex(cyberbslce.tfm) = %{tl_version}
Provides: tex(cyberbslcf.tfm) = %{tl_version}
Provides: tex(cyberbsld0.tfm) = %{tl_version}
Provides: tex(cyberbsld1.tfm) = %{tl_version}
Provides: tex(cyberbsld2.tfm) = %{tl_version}
Provides: tex(cyberbsld3.tfm) = %{tl_version}
Provides: tex(cyberbsld4.tfm) = %{tl_version}
Provides: tex(cyberbsld5.tfm) = %{tl_version}
Provides: tex(cyberbsld6.tfm) = %{tl_version}
Provides: tex(cyberbsld7.tfm) = %{tl_version}
Provides: tex(cyberbsld8.tfm) = %{tl_version}
Provides: tex(cyberbsld9.tfm) = %{tl_version}
Provides: tex(cyberbslda.tfm) = %{tl_version}
Provides: tex(cyberbsldb.tfm) = %{tl_version}
Provides: tex(cyberbsldc.tfm) = %{tl_version}
Provides: tex(cyberbsldd.tfm) = %{tl_version}
Provides: tex(cyberbslde.tfm) = %{tl_version}
Provides: tex(cyberbsldf.tfm) = %{tl_version}
Provides: tex(cyberbsle0.tfm) = %{tl_version}
Provides: tex(cyberbsle1.tfm) = %{tl_version}
Provides: tex(cyberbsle2.tfm) = %{tl_version}
Provides: tex(cyberbsle3.tfm) = %{tl_version}
Provides: tex(cyberbsle4.tfm) = %{tl_version}
Provides: tex(cyberbsle5.tfm) = %{tl_version}
Provides: tex(cyberbsle6.tfm) = %{tl_version}
Provides: tex(cyberbsle7.tfm) = %{tl_version}
Provides: tex(cyberbsle8.tfm) = %{tl_version}
Provides: tex(cyberbsle9.tfm) = %{tl_version}
Provides: tex(cyberbslea.tfm) = %{tl_version}
Provides: tex(cyberbsleb.tfm) = %{tl_version}
Provides: tex(cyberbslec.tfm) = %{tl_version}
Provides: tex(cyberbsled.tfm) = %{tl_version}
Provides: tex(cyberbslee.tfm) = %{tl_version}
Provides: tex(cyberbslef.tfm) = %{tl_version}
Provides: tex(cyberbslf0.tfm) = %{tl_version}
Provides: tex(cyberbslf1.tfm) = %{tl_version}
Provides: tex(cyberbslf2.tfm) = %{tl_version}
Provides: tex(cyberbslf3.tfm) = %{tl_version}
Provides: tex(cyberbslf4.tfm) = %{tl_version}
Provides: tex(cyberbslf5.tfm) = %{tl_version}
Provides: tex(cyberbslf6.tfm) = %{tl_version}
Provides: tex(cyberbslf7.tfm) = %{tl_version}
Provides: tex(cyberbslf8.tfm) = %{tl_version}
Provides: tex(cyberbslf9.tfm) = %{tl_version}
Provides: tex(cyberbslfa.tfm) = %{tl_version}
Provides: tex(cyberbslfb.tfm) = %{tl_version}
Provides: tex(cyberbslfc.tfm) = %{tl_version}
Provides: tex(cyberbslfd.tfm) = %{tl_version}
Provides: tex(cyberbslfe.tfm) = %{tl_version}
Provides: tex(cyberbslff.tfm) = %{tl_version}
Provides: tex(gbk00.tfm) = %{tl_version}
Provides: tex(gbk01.tfm) = %{tl_version}
Provides: tex(gbk02.tfm) = %{tl_version}
Provides: tex(gbk03.tfm) = %{tl_version}
Provides: tex(gbk04.tfm) = %{tl_version}
Provides: tex(gbk05.tfm) = %{tl_version}
Provides: tex(gbk06.tfm) = %{tl_version}
Provides: tex(gbk07.tfm) = %{tl_version}
Provides: tex(gbk08.tfm) = %{tl_version}
Provides: tex(gbk09.tfm) = %{tl_version}
Provides: tex(gbk10.tfm) = %{tl_version}
Provides: tex(gbk11.tfm) = %{tl_version}
Provides: tex(gbk12.tfm) = %{tl_version}
Provides: tex(gbk13.tfm) = %{tl_version}
Provides: tex(gbk14.tfm) = %{tl_version}
Provides: tex(gbk15.tfm) = %{tl_version}
Provides: tex(gbk16.tfm) = %{tl_version}
Provides: tex(gbk17.tfm) = %{tl_version}
Provides: tex(gbk18.tfm) = %{tl_version}
Provides: tex(gbk19.tfm) = %{tl_version}
Provides: tex(gbk20.tfm) = %{tl_version}
Provides: tex(gbk21.tfm) = %{tl_version}
Provides: tex(gbk22.tfm) = %{tl_version}
Provides: tex(gbk23.tfm) = %{tl_version}
Provides: tex(gbk24.tfm) = %{tl_version}
Provides: tex(gbk25.tfm) = %{tl_version}
Provides: tex(gbk26.tfm) = %{tl_version}
Provides: tex(gbk27.tfm) = %{tl_version}
Provides: tex(gbk28.tfm) = %{tl_version}
Provides: tex(gbk29.tfm) = %{tl_version}
Provides: tex(gbk30.tfm) = %{tl_version}
Provides: tex(gbk31.tfm) = %{tl_version}
Provides: tex(gbk32.tfm) = %{tl_version}
Provides: tex(gbk33.tfm) = %{tl_version}
Provides: tex(gbk34.tfm) = %{tl_version}
Provides: tex(gbk35.tfm) = %{tl_version}
Provides: tex(gbk36.tfm) = %{tl_version}
Provides: tex(gbk37.tfm) = %{tl_version}
Provides: tex(gbk38.tfm) = %{tl_version}
Provides: tex(gbk39.tfm) = %{tl_version}
Provides: tex(gbk40.tfm) = %{tl_version}
Provides: tex(gbk41.tfm) = %{tl_version}
Provides: tex(gbk42.tfm) = %{tl_version}
Provides: tex(gbk43.tfm) = %{tl_version}
Provides: tex(gbk44.tfm) = %{tl_version}
Provides: tex(gbk45.tfm) = %{tl_version}
Provides: tex(gbk46.tfm) = %{tl_version}
Provides: tex(gbk47.tfm) = %{tl_version}
Provides: tex(gbk48.tfm) = %{tl_version}
Provides: tex(gbk49.tfm) = %{tl_version}
Provides: tex(gbk50.tfm) = %{tl_version}
Provides: tex(gbk51.tfm) = %{tl_version}
Provides: tex(gbk52.tfm) = %{tl_version}
Provides: tex(gbk53.tfm) = %{tl_version}
Provides: tex(gbk54.tfm) = %{tl_version}
Provides: tex(gbk55.tfm) = %{tl_version}
Provides: tex(gbk56.tfm) = %{tl_version}
Provides: tex(gbk57.tfm) = %{tl_version}
Provides: tex(gbk58.tfm) = %{tl_version}
Provides: tex(gbk59.tfm) = %{tl_version}
Provides: tex(gbk60.tfm) = %{tl_version}
Provides: tex(gbk61.tfm) = %{tl_version}
Provides: tex(gbk62.tfm) = %{tl_version}
Provides: tex(gbk63.tfm) = %{tl_version}
Provides: tex(gbk64.tfm) = %{tl_version}
Provides: tex(gbk65.tfm) = %{tl_version}
Provides: tex(gbk66.tfm) = %{tl_version}
Provides: tex(gbk67.tfm) = %{tl_version}
Provides: tex(gbk68.tfm) = %{tl_version}
Provides: tex(gbk69.tfm) = %{tl_version}
Provides: tex(gbk70.tfm) = %{tl_version}
Provides: tex(gbk71.tfm) = %{tl_version}
Provides: tex(gbk72.tfm) = %{tl_version}
Provides: tex(gbk73.tfm) = %{tl_version}
Provides: tex(gbk74.tfm) = %{tl_version}
Provides: tex(gbk75.tfm) = %{tl_version}
Provides: tex(gbk76.tfm) = %{tl_version}
Provides: tex(gbk77.tfm) = %{tl_version}
Provides: tex(gbk78.tfm) = %{tl_version}
Provides: tex(gbk79.tfm) = %{tl_version}
Provides: tex(gbk80.tfm) = %{tl_version}
Provides: tex(gbk81.tfm) = %{tl_version}
Provides: tex(gbk82.tfm) = %{tl_version}
Provides: tex(gbk83.tfm) = %{tl_version}
Provides: tex(gbk84.tfm) = %{tl_version}
Provides: tex(gbk85.tfm) = %{tl_version}
Provides: tex(gbk86.tfm) = %{tl_version}
Provides: tex(gbk87.tfm) = %{tl_version}
Provides: tex(gbk88.tfm) = %{tl_version}
Provides: tex(gbk89.tfm) = %{tl_version}
Provides: tex(gbk90.tfm) = %{tl_version}
Provides: tex(gbk91.tfm) = %{tl_version}
Provides: tex(gbk92.tfm) = %{tl_version}
Provides: tex(gbk93.tfm) = %{tl_version}
Provides: tex(gbk94.tfm) = %{tl_version}
Provides: tex(gbksl00.tfm) = %{tl_version}
Provides: tex(gbksl01.tfm) = %{tl_version}
Provides: tex(gbksl02.tfm) = %{tl_version}
Provides: tex(gbksl03.tfm) = %{tl_version}
Provides: tex(gbksl04.tfm) = %{tl_version}
Provides: tex(gbksl05.tfm) = %{tl_version}
Provides: tex(gbksl06.tfm) = %{tl_version}
Provides: tex(gbksl07.tfm) = %{tl_version}
Provides: tex(gbksl08.tfm) = %{tl_version}
Provides: tex(gbksl09.tfm) = %{tl_version}
Provides: tex(gbksl10.tfm) = %{tl_version}
Provides: tex(gbksl11.tfm) = %{tl_version}
Provides: tex(gbksl12.tfm) = %{tl_version}
Provides: tex(gbksl13.tfm) = %{tl_version}
Provides: tex(gbksl14.tfm) = %{tl_version}
Provides: tex(gbksl15.tfm) = %{tl_version}
Provides: tex(gbksl16.tfm) = %{tl_version}
Provides: tex(gbksl17.tfm) = %{tl_version}
Provides: tex(gbksl18.tfm) = %{tl_version}
Provides: tex(gbksl19.tfm) = %{tl_version}
Provides: tex(gbksl20.tfm) = %{tl_version}
Provides: tex(gbksl21.tfm) = %{tl_version}
Provides: tex(gbksl22.tfm) = %{tl_version}
Provides: tex(gbksl23.tfm) = %{tl_version}
Provides: tex(gbksl24.tfm) = %{tl_version}
Provides: tex(gbksl25.tfm) = %{tl_version}
Provides: tex(gbksl26.tfm) = %{tl_version}
Provides: tex(gbksl27.tfm) = %{tl_version}
Provides: tex(gbksl28.tfm) = %{tl_version}
Provides: tex(gbksl29.tfm) = %{tl_version}
Provides: tex(gbksl30.tfm) = %{tl_version}
Provides: tex(gbksl31.tfm) = %{tl_version}
Provides: tex(gbksl32.tfm) = %{tl_version}
Provides: tex(gbksl33.tfm) = %{tl_version}
Provides: tex(gbksl34.tfm) = %{tl_version}
Provides: tex(gbksl35.tfm) = %{tl_version}
Provides: tex(gbksl36.tfm) = %{tl_version}
Provides: tex(gbksl37.tfm) = %{tl_version}
Provides: tex(gbksl38.tfm) = %{tl_version}
Provides: tex(gbksl39.tfm) = %{tl_version}
Provides: tex(gbksl40.tfm) = %{tl_version}
Provides: tex(gbksl41.tfm) = %{tl_version}
Provides: tex(gbksl42.tfm) = %{tl_version}
Provides: tex(gbksl43.tfm) = %{tl_version}
Provides: tex(gbksl44.tfm) = %{tl_version}
Provides: tex(gbksl45.tfm) = %{tl_version}
Provides: tex(gbksl46.tfm) = %{tl_version}
Provides: tex(gbksl47.tfm) = %{tl_version}
Provides: tex(gbksl48.tfm) = %{tl_version}
Provides: tex(gbksl49.tfm) = %{tl_version}
Provides: tex(gbksl50.tfm) = %{tl_version}
Provides: tex(gbksl51.tfm) = %{tl_version}
Provides: tex(gbksl52.tfm) = %{tl_version}
Provides: tex(gbksl53.tfm) = %{tl_version}
Provides: tex(gbksl54.tfm) = %{tl_version}
Provides: tex(gbksl55.tfm) = %{tl_version}
Provides: tex(gbksl56.tfm) = %{tl_version}
Provides: tex(gbksl57.tfm) = %{tl_version}
Provides: tex(gbksl58.tfm) = %{tl_version}
Provides: tex(gbksl59.tfm) = %{tl_version}
Provides: tex(gbksl60.tfm) = %{tl_version}
Provides: tex(gbksl61.tfm) = %{tl_version}
Provides: tex(gbksl62.tfm) = %{tl_version}
Provides: tex(gbksl63.tfm) = %{tl_version}
Provides: tex(gbksl64.tfm) = %{tl_version}
Provides: tex(gbksl65.tfm) = %{tl_version}
Provides: tex(gbksl66.tfm) = %{tl_version}
Provides: tex(gbksl67.tfm) = %{tl_version}
Provides: tex(gbksl68.tfm) = %{tl_version}
Provides: tex(gbksl69.tfm) = %{tl_version}
Provides: tex(gbksl70.tfm) = %{tl_version}
Provides: tex(gbksl71.tfm) = %{tl_version}
Provides: tex(gbksl72.tfm) = %{tl_version}
Provides: tex(gbksl73.tfm) = %{tl_version}
Provides: tex(gbksl74.tfm) = %{tl_version}
Provides: tex(gbksl75.tfm) = %{tl_version}
Provides: tex(gbksl76.tfm) = %{tl_version}
Provides: tex(gbksl77.tfm) = %{tl_version}
Provides: tex(gbksl78.tfm) = %{tl_version}
Provides: tex(gbksl79.tfm) = %{tl_version}
Provides: tex(gbksl80.tfm) = %{tl_version}
Provides: tex(gbksl81.tfm) = %{tl_version}
Provides: tex(gbksl82.tfm) = %{tl_version}
Provides: tex(gbksl83.tfm) = %{tl_version}
Provides: tex(gbksl84.tfm) = %{tl_version}
Provides: tex(gbksl85.tfm) = %{tl_version}
Provides: tex(gbksl86.tfm) = %{tl_version}
Provides: tex(gbksl87.tfm) = %{tl_version}
Provides: tex(gbksl88.tfm) = %{tl_version}
Provides: tex(gbksl89.tfm) = %{tl_version}
Provides: tex(gbksl90.tfm) = %{tl_version}
Provides: tex(gbksl91.tfm) = %{tl_version}
Provides: tex(gbksl92.tfm) = %{tl_version}
Provides: tex(gbksl93.tfm) = %{tl_version}
Provides: tex(gbksl94.tfm) = %{tl_version}
Provides: tex(gbkfs00.tfm) = %{tl_version}
Provides: tex(gbkfs01.tfm) = %{tl_version}
Provides: tex(gbkfs02.tfm) = %{tl_version}
Provides: tex(gbkfs03.tfm) = %{tl_version}
Provides: tex(gbkfs04.tfm) = %{tl_version}
Provides: tex(gbkfs05.tfm) = %{tl_version}
Provides: tex(gbkfs06.tfm) = %{tl_version}
Provides: tex(gbkfs07.tfm) = %{tl_version}
Provides: tex(gbkfs08.tfm) = %{tl_version}
Provides: tex(gbkfs09.tfm) = %{tl_version}
Provides: tex(gbkfs10.tfm) = %{tl_version}
Provides: tex(gbkfs11.tfm) = %{tl_version}
Provides: tex(gbkfs12.tfm) = %{tl_version}
Provides: tex(gbkfs13.tfm) = %{tl_version}
Provides: tex(gbkfs14.tfm) = %{tl_version}
Provides: tex(gbkfs15.tfm) = %{tl_version}
Provides: tex(gbkfs16.tfm) = %{tl_version}
Provides: tex(gbkfs17.tfm) = %{tl_version}
Provides: tex(gbkfs18.tfm) = %{tl_version}
Provides: tex(gbkfs19.tfm) = %{tl_version}
Provides: tex(gbkfs20.tfm) = %{tl_version}
Provides: tex(gbkfs21.tfm) = %{tl_version}
Provides: tex(gbkfs22.tfm) = %{tl_version}
Provides: tex(gbkfs23.tfm) = %{tl_version}
Provides: tex(gbkfs24.tfm) = %{tl_version}
Provides: tex(gbkfs25.tfm) = %{tl_version}
Provides: tex(gbkfs26.tfm) = %{tl_version}
Provides: tex(gbkfs27.tfm) = %{tl_version}
Provides: tex(gbkfs28.tfm) = %{tl_version}
Provides: tex(gbkfs29.tfm) = %{tl_version}
Provides: tex(gbkfs30.tfm) = %{tl_version}
Provides: tex(gbkfs31.tfm) = %{tl_version}
Provides: tex(gbkfs32.tfm) = %{tl_version}
Provides: tex(gbkfs33.tfm) = %{tl_version}
Provides: tex(gbkfs34.tfm) = %{tl_version}
Provides: tex(gbkfs35.tfm) = %{tl_version}
Provides: tex(gbkfs36.tfm) = %{tl_version}
Provides: tex(gbkfs37.tfm) = %{tl_version}
Provides: tex(gbkfs38.tfm) = %{tl_version}
Provides: tex(gbkfs39.tfm) = %{tl_version}
Provides: tex(gbkfs40.tfm) = %{tl_version}
Provides: tex(gbkfs41.tfm) = %{tl_version}
Provides: tex(gbkfs42.tfm) = %{tl_version}
Provides: tex(gbkfs43.tfm) = %{tl_version}
Provides: tex(gbkfs44.tfm) = %{tl_version}
Provides: tex(gbkfs45.tfm) = %{tl_version}
Provides: tex(gbkfs46.tfm) = %{tl_version}
Provides: tex(gbkfs47.tfm) = %{tl_version}
Provides: tex(gbkfs48.tfm) = %{tl_version}
Provides: tex(gbkfs49.tfm) = %{tl_version}
Provides: tex(gbkfs50.tfm) = %{tl_version}
Provides: tex(gbkfs51.tfm) = %{tl_version}
Provides: tex(gbkfs52.tfm) = %{tl_version}
Provides: tex(gbkfs53.tfm) = %{tl_version}
Provides: tex(gbkfs54.tfm) = %{tl_version}
Provides: tex(gbkfs55.tfm) = %{tl_version}
Provides: tex(gbkfs56.tfm) = %{tl_version}
Provides: tex(gbkfs57.tfm) = %{tl_version}
Provides: tex(gbkfs58.tfm) = %{tl_version}
Provides: tex(gbkfs59.tfm) = %{tl_version}
Provides: tex(gbkfs60.tfm) = %{tl_version}
Provides: tex(gbkfs61.tfm) = %{tl_version}
Provides: tex(gbkfs62.tfm) = %{tl_version}
Provides: tex(gbkfs63.tfm) = %{tl_version}
Provides: tex(gbkfs64.tfm) = %{tl_version}
Provides: tex(gbkfs65.tfm) = %{tl_version}
Provides: tex(gbkfs66.tfm) = %{tl_version}
Provides: tex(gbkfs67.tfm) = %{tl_version}
Provides: tex(gbkfs68.tfm) = %{tl_version}
Provides: tex(gbkfs69.tfm) = %{tl_version}
Provides: tex(gbkfs70.tfm) = %{tl_version}
Provides: tex(gbkfs71.tfm) = %{tl_version}
Provides: tex(gbkfs72.tfm) = %{tl_version}
Provides: tex(gbkfs73.tfm) = %{tl_version}
Provides: tex(gbkfs74.tfm) = %{tl_version}
Provides: tex(gbkfs75.tfm) = %{tl_version}
Provides: tex(gbkfs76.tfm) = %{tl_version}
Provides: tex(gbkfs77.tfm) = %{tl_version}
Provides: tex(gbkfs78.tfm) = %{tl_version}
Provides: tex(gbkfs79.tfm) = %{tl_version}
Provides: tex(gbkfs80.tfm) = %{tl_version}
Provides: tex(gbkfs81.tfm) = %{tl_version}
Provides: tex(gbkfs82.tfm) = %{tl_version}
Provides: tex(gbkfs83.tfm) = %{tl_version}
Provides: tex(gbkfs84.tfm) = %{tl_version}
Provides: tex(gbkfs85.tfm) = %{tl_version}
Provides: tex(gbkfs86.tfm) = %{tl_version}
Provides: tex(gbkfs87.tfm) = %{tl_version}
Provides: tex(gbkfs88.tfm) = %{tl_version}
Provides: tex(gbkfs89.tfm) = %{tl_version}
Provides: tex(gbkfs90.tfm) = %{tl_version}
Provides: tex(gbkfs91.tfm) = %{tl_version}
Provides: tex(gbkfs92.tfm) = %{tl_version}
Provides: tex(gbkfs93.tfm) = %{tl_version}
Provides: tex(gbkfs94.tfm) = %{tl_version}
Provides: tex(gbkfssl00.tfm) = %{tl_version}
Provides: tex(gbkfssl01.tfm) = %{tl_version}
Provides: tex(gbkfssl02.tfm) = %{tl_version}
Provides: tex(gbkfssl03.tfm) = %{tl_version}
Provides: tex(gbkfssl04.tfm) = %{tl_version}
Provides: tex(gbkfssl05.tfm) = %{tl_version}
Provides: tex(gbkfssl06.tfm) = %{tl_version}
Provides: tex(gbkfssl07.tfm) = %{tl_version}
Provides: tex(gbkfssl08.tfm) = %{tl_version}
Provides: tex(gbkfssl09.tfm) = %{tl_version}
Provides: tex(gbkfssl10.tfm) = %{tl_version}
Provides: tex(gbkfssl11.tfm) = %{tl_version}
Provides: tex(gbkfssl12.tfm) = %{tl_version}
Provides: tex(gbkfssl13.tfm) = %{tl_version}
Provides: tex(gbkfssl14.tfm) = %{tl_version}
Provides: tex(gbkfssl15.tfm) = %{tl_version}
Provides: tex(gbkfssl16.tfm) = %{tl_version}
Provides: tex(gbkfssl17.tfm) = %{tl_version}
Provides: tex(gbkfssl18.tfm) = %{tl_version}
Provides: tex(gbkfssl19.tfm) = %{tl_version}
Provides: tex(gbkfssl20.tfm) = %{tl_version}
Provides: tex(gbkfssl21.tfm) = %{tl_version}
Provides: tex(gbkfssl22.tfm) = %{tl_version}
Provides: tex(gbkfssl23.tfm) = %{tl_version}
Provides: tex(gbkfssl24.tfm) = %{tl_version}
Provides: tex(gbkfssl25.tfm) = %{tl_version}
Provides: tex(gbkfssl26.tfm) = %{tl_version}
Provides: tex(gbkfssl27.tfm) = %{tl_version}
Provides: tex(gbkfssl28.tfm) = %{tl_version}
Provides: tex(gbkfssl29.tfm) = %{tl_version}
Provides: tex(gbkfssl30.tfm) = %{tl_version}
Provides: tex(gbkfssl31.tfm) = %{tl_version}
Provides: tex(gbkfssl32.tfm) = %{tl_version}
Provides: tex(gbkfssl33.tfm) = %{tl_version}
Provides: tex(gbkfssl34.tfm) = %{tl_version}
Provides: tex(gbkfssl35.tfm) = %{tl_version}
Provides: tex(gbkfssl36.tfm) = %{tl_version}
Provides: tex(gbkfssl37.tfm) = %{tl_version}
Provides: tex(gbkfssl38.tfm) = %{tl_version}
Provides: tex(gbkfssl39.tfm) = %{tl_version}
Provides: tex(gbkfssl40.tfm) = %{tl_version}
Provides: tex(gbkfssl41.tfm) = %{tl_version}
Provides: tex(gbkfssl42.tfm) = %{tl_version}
Provides: tex(gbkfssl43.tfm) = %{tl_version}
Provides: tex(gbkfssl44.tfm) = %{tl_version}
Provides: tex(gbkfssl45.tfm) = %{tl_version}
Provides: tex(gbkfssl46.tfm) = %{tl_version}
Provides: tex(gbkfssl47.tfm) = %{tl_version}
Provides: tex(gbkfssl48.tfm) = %{tl_version}
Provides: tex(gbkfssl49.tfm) = %{tl_version}
Provides: tex(gbkfssl50.tfm) = %{tl_version}
Provides: tex(gbkfssl51.tfm) = %{tl_version}
Provides: tex(gbkfssl52.tfm) = %{tl_version}
Provides: tex(gbkfssl53.tfm) = %{tl_version}
Provides: tex(gbkfssl54.tfm) = %{tl_version}
Provides: tex(gbkfssl55.tfm) = %{tl_version}
Provides: tex(gbkfssl56.tfm) = %{tl_version}
Provides: tex(gbkfssl57.tfm) = %{tl_version}
Provides: tex(gbkfssl58.tfm) = %{tl_version}
Provides: tex(gbkfssl59.tfm) = %{tl_version}
Provides: tex(gbkfssl60.tfm) = %{tl_version}
Provides: tex(gbkfssl61.tfm) = %{tl_version}
Provides: tex(gbkfssl62.tfm) = %{tl_version}
Provides: tex(gbkfssl63.tfm) = %{tl_version}
Provides: tex(gbkfssl64.tfm) = %{tl_version}
Provides: tex(gbkfssl65.tfm) = %{tl_version}
Provides: tex(gbkfssl66.tfm) = %{tl_version}
Provides: tex(gbkfssl67.tfm) = %{tl_version}
Provides: tex(gbkfssl68.tfm) = %{tl_version}
Provides: tex(gbkfssl69.tfm) = %{tl_version}
Provides: tex(gbkfssl70.tfm) = %{tl_version}
Provides: tex(gbkfssl71.tfm) = %{tl_version}
Provides: tex(gbkfssl72.tfm) = %{tl_version}
Provides: tex(gbkfssl73.tfm) = %{tl_version}
Provides: tex(gbkfssl74.tfm) = %{tl_version}
Provides: tex(gbkfssl75.tfm) = %{tl_version}
Provides: tex(gbkfssl76.tfm) = %{tl_version}
Provides: tex(gbkfssl77.tfm) = %{tl_version}
Provides: tex(gbkfssl78.tfm) = %{tl_version}
Provides: tex(gbkfssl79.tfm) = %{tl_version}
Provides: tex(gbkfssl80.tfm) = %{tl_version}
Provides: tex(gbkfssl81.tfm) = %{tl_version}
Provides: tex(gbkfssl82.tfm) = %{tl_version}
Provides: tex(gbkfssl83.tfm) = %{tl_version}
Provides: tex(gbkfssl84.tfm) = %{tl_version}
Provides: tex(gbkfssl85.tfm) = %{tl_version}
Provides: tex(gbkfssl86.tfm) = %{tl_version}
Provides: tex(gbkfssl87.tfm) = %{tl_version}
Provides: tex(gbkfssl88.tfm) = %{tl_version}
Provides: tex(gbkfssl89.tfm) = %{tl_version}
Provides: tex(gbkfssl90.tfm) = %{tl_version}
Provides: tex(gbkfssl91.tfm) = %{tl_version}
Provides: tex(gbkfssl92.tfm) = %{tl_version}
Provides: tex(gbkfssl93.tfm) = %{tl_version}
Provides: tex(gbkfssl94.tfm) = %{tl_version}
Provides: tex(gbkhei00.tfm) = %{tl_version}
Provides: tex(gbkhei01.tfm) = %{tl_version}
Provides: tex(gbkhei02.tfm) = %{tl_version}
Provides: tex(gbkhei03.tfm) = %{tl_version}
Provides: tex(gbkhei04.tfm) = %{tl_version}
Provides: tex(gbkhei05.tfm) = %{tl_version}
Provides: tex(gbkhei06.tfm) = %{tl_version}
Provides: tex(gbkhei07.tfm) = %{tl_version}
Provides: tex(gbkhei08.tfm) = %{tl_version}
Provides: tex(gbkhei09.tfm) = %{tl_version}
Provides: tex(gbkhei10.tfm) = %{tl_version}
Provides: tex(gbkhei11.tfm) = %{tl_version}
Provides: tex(gbkhei12.tfm) = %{tl_version}
Provides: tex(gbkhei13.tfm) = %{tl_version}
Provides: tex(gbkhei14.tfm) = %{tl_version}
Provides: tex(gbkhei15.tfm) = %{tl_version}
Provides: tex(gbkhei16.tfm) = %{tl_version}
Provides: tex(gbkhei17.tfm) = %{tl_version}
Provides: tex(gbkhei18.tfm) = %{tl_version}
Provides: tex(gbkhei19.tfm) = %{tl_version}
Provides: tex(gbkhei20.tfm) = %{tl_version}
Provides: tex(gbkhei21.tfm) = %{tl_version}
Provides: tex(gbkhei22.tfm) = %{tl_version}
Provides: tex(gbkhei23.tfm) = %{tl_version}
Provides: tex(gbkhei24.tfm) = %{tl_version}
Provides: tex(gbkhei25.tfm) = %{tl_version}
Provides: tex(gbkhei26.tfm) = %{tl_version}
Provides: tex(gbkhei27.tfm) = %{tl_version}
Provides: tex(gbkhei28.tfm) = %{tl_version}
Provides: tex(gbkhei29.tfm) = %{tl_version}
Provides: tex(gbkhei30.tfm) = %{tl_version}
Provides: tex(gbkhei31.tfm) = %{tl_version}
Provides: tex(gbkhei32.tfm) = %{tl_version}
Provides: tex(gbkhei33.tfm) = %{tl_version}
Provides: tex(gbkhei34.tfm) = %{tl_version}
Provides: tex(gbkhei35.tfm) = %{tl_version}
Provides: tex(gbkhei36.tfm) = %{tl_version}
Provides: tex(gbkhei37.tfm) = %{tl_version}
Provides: tex(gbkhei38.tfm) = %{tl_version}
Provides: tex(gbkhei39.tfm) = %{tl_version}
Provides: tex(gbkhei40.tfm) = %{tl_version}
Provides: tex(gbkhei41.tfm) = %{tl_version}
Provides: tex(gbkhei42.tfm) = %{tl_version}
Provides: tex(gbkhei43.tfm) = %{tl_version}
Provides: tex(gbkhei44.tfm) = %{tl_version}
Provides: tex(gbkhei45.tfm) = %{tl_version}
Provides: tex(gbkhei46.tfm) = %{tl_version}
Provides: tex(gbkhei47.tfm) = %{tl_version}
Provides: tex(gbkhei48.tfm) = %{tl_version}
Provides: tex(gbkhei49.tfm) = %{tl_version}
Provides: tex(gbkhei50.tfm) = %{tl_version}
Provides: tex(gbkhei51.tfm) = %{tl_version}
Provides: tex(gbkhei52.tfm) = %{tl_version}
Provides: tex(gbkhei53.tfm) = %{tl_version}
Provides: tex(gbkhei54.tfm) = %{tl_version}
Provides: tex(gbkhei55.tfm) = %{tl_version}
Provides: tex(gbkhei56.tfm) = %{tl_version}
Provides: tex(gbkhei57.tfm) = %{tl_version}
Provides: tex(gbkhei58.tfm) = %{tl_version}
Provides: tex(gbkhei59.tfm) = %{tl_version}
Provides: tex(gbkhei60.tfm) = %{tl_version}
Provides: tex(gbkhei61.tfm) = %{tl_version}
Provides: tex(gbkhei62.tfm) = %{tl_version}
Provides: tex(gbkhei63.tfm) = %{tl_version}
Provides: tex(gbkhei64.tfm) = %{tl_version}
Provides: tex(gbkhei65.tfm) = %{tl_version}
Provides: tex(gbkhei66.tfm) = %{tl_version}
Provides: tex(gbkhei67.tfm) = %{tl_version}
Provides: tex(gbkhei68.tfm) = %{tl_version}
Provides: tex(gbkhei69.tfm) = %{tl_version}
Provides: tex(gbkhei70.tfm) = %{tl_version}
Provides: tex(gbkhei71.tfm) = %{tl_version}
Provides: tex(gbkhei72.tfm) = %{tl_version}
Provides: tex(gbkhei73.tfm) = %{tl_version}
Provides: tex(gbkhei74.tfm) = %{tl_version}
Provides: tex(gbkhei75.tfm) = %{tl_version}
Provides: tex(gbkhei76.tfm) = %{tl_version}
Provides: tex(gbkhei77.tfm) = %{tl_version}
Provides: tex(gbkhei78.tfm) = %{tl_version}
Provides: tex(gbkhei79.tfm) = %{tl_version}
Provides: tex(gbkhei80.tfm) = %{tl_version}
Provides: tex(gbkhei81.tfm) = %{tl_version}
Provides: tex(gbkhei82.tfm) = %{tl_version}
Provides: tex(gbkhei83.tfm) = %{tl_version}
Provides: tex(gbkhei84.tfm) = %{tl_version}
Provides: tex(gbkhei85.tfm) = %{tl_version}
Provides: tex(gbkhei86.tfm) = %{tl_version}
Provides: tex(gbkhei87.tfm) = %{tl_version}
Provides: tex(gbkhei88.tfm) = %{tl_version}
Provides: tex(gbkhei89.tfm) = %{tl_version}
Provides: tex(gbkhei90.tfm) = %{tl_version}
Provides: tex(gbkhei91.tfm) = %{tl_version}
Provides: tex(gbkhei92.tfm) = %{tl_version}
Provides: tex(gbkhei93.tfm) = %{tl_version}
Provides: tex(gbkhei94.tfm) = %{tl_version}
Provides: tex(gbkheisl00.tfm) = %{tl_version}
Provides: tex(gbkheisl01.tfm) = %{tl_version}
Provides: tex(gbkheisl02.tfm) = %{tl_version}
Provides: tex(gbkheisl03.tfm) = %{tl_version}
Provides: tex(gbkheisl04.tfm) = %{tl_version}
Provides: tex(gbkheisl05.tfm) = %{tl_version}
Provides: tex(gbkheisl06.tfm) = %{tl_version}
Provides: tex(gbkheisl07.tfm) = %{tl_version}
Provides: tex(gbkheisl08.tfm) = %{tl_version}
Provides: tex(gbkheisl09.tfm) = %{tl_version}
Provides: tex(gbkheisl10.tfm) = %{tl_version}
Provides: tex(gbkheisl11.tfm) = %{tl_version}
Provides: tex(gbkheisl12.tfm) = %{tl_version}
Provides: tex(gbkheisl13.tfm) = %{tl_version}
Provides: tex(gbkheisl14.tfm) = %{tl_version}
Provides: tex(gbkheisl15.tfm) = %{tl_version}
Provides: tex(gbkheisl16.tfm) = %{tl_version}
Provides: tex(gbkheisl17.tfm) = %{tl_version}
Provides: tex(gbkheisl18.tfm) = %{tl_version}
Provides: tex(gbkheisl19.tfm) = %{tl_version}
Provides: tex(gbkheisl20.tfm) = %{tl_version}
Provides: tex(gbkheisl21.tfm) = %{tl_version}
Provides: tex(gbkheisl22.tfm) = %{tl_version}
Provides: tex(gbkheisl23.tfm) = %{tl_version}
Provides: tex(gbkheisl24.tfm) = %{tl_version}
Provides: tex(gbkheisl25.tfm) = %{tl_version}
Provides: tex(gbkheisl26.tfm) = %{tl_version}
Provides: tex(gbkheisl27.tfm) = %{tl_version}
Provides: tex(gbkheisl28.tfm) = %{tl_version}
Provides: tex(gbkheisl29.tfm) = %{tl_version}
Provides: tex(gbkheisl30.tfm) = %{tl_version}
Provides: tex(gbkheisl31.tfm) = %{tl_version}
Provides: tex(gbkheisl32.tfm) = %{tl_version}
Provides: tex(gbkheisl33.tfm) = %{tl_version}
Provides: tex(gbkheisl34.tfm) = %{tl_version}
Provides: tex(gbkheisl35.tfm) = %{tl_version}
Provides: tex(gbkheisl36.tfm) = %{tl_version}
Provides: tex(gbkheisl37.tfm) = %{tl_version}
Provides: tex(gbkheisl38.tfm) = %{tl_version}
Provides: tex(gbkheisl39.tfm) = %{tl_version}
Provides: tex(gbkheisl40.tfm) = %{tl_version}
Provides: tex(gbkheisl41.tfm) = %{tl_version}
Provides: tex(gbkheisl42.tfm) = %{tl_version}
Provides: tex(gbkheisl43.tfm) = %{tl_version}
Provides: tex(gbkheisl44.tfm) = %{tl_version}
Provides: tex(gbkheisl45.tfm) = %{tl_version}
Provides: tex(gbkheisl46.tfm) = %{tl_version}
Provides: tex(gbkheisl47.tfm) = %{tl_version}
Provides: tex(gbkheisl48.tfm) = %{tl_version}
Provides: tex(gbkheisl49.tfm) = %{tl_version}
Provides: tex(gbkheisl50.tfm) = %{tl_version}
Provides: tex(gbkheisl51.tfm) = %{tl_version}
Provides: tex(gbkheisl52.tfm) = %{tl_version}
Provides: tex(gbkheisl53.tfm) = %{tl_version}
Provides: tex(gbkheisl54.tfm) = %{tl_version}
Provides: tex(gbkheisl55.tfm) = %{tl_version}
Provides: tex(gbkheisl56.tfm) = %{tl_version}
Provides: tex(gbkheisl57.tfm) = %{tl_version}
Provides: tex(gbkheisl58.tfm) = %{tl_version}
Provides: tex(gbkheisl59.tfm) = %{tl_version}
Provides: tex(gbkheisl60.tfm) = %{tl_version}
Provides: tex(gbkheisl61.tfm) = %{tl_version}
Provides: tex(gbkheisl62.tfm) = %{tl_version}
Provides: tex(gbkheisl63.tfm) = %{tl_version}
Provides: tex(gbkheisl64.tfm) = %{tl_version}
Provides: tex(gbkheisl65.tfm) = %{tl_version}
Provides: tex(gbkheisl66.tfm) = %{tl_version}
Provides: tex(gbkheisl67.tfm) = %{tl_version}
Provides: tex(gbkheisl68.tfm) = %{tl_version}
Provides: tex(gbkheisl69.tfm) = %{tl_version}
Provides: tex(gbkheisl70.tfm) = %{tl_version}
Provides: tex(gbkheisl71.tfm) = %{tl_version}
Provides: tex(gbkheisl72.tfm) = %{tl_version}
Provides: tex(gbkheisl73.tfm) = %{tl_version}
Provides: tex(gbkheisl74.tfm) = %{tl_version}
Provides: tex(gbkheisl75.tfm) = %{tl_version}
Provides: tex(gbkheisl76.tfm) = %{tl_version}
Provides: tex(gbkheisl77.tfm) = %{tl_version}
Provides: tex(gbkheisl78.tfm) = %{tl_version}
Provides: tex(gbkheisl79.tfm) = %{tl_version}
Provides: tex(gbkheisl80.tfm) = %{tl_version}
Provides: tex(gbkheisl81.tfm) = %{tl_version}
Provides: tex(gbkheisl82.tfm) = %{tl_version}
Provides: tex(gbkheisl83.tfm) = %{tl_version}
Provides: tex(gbkheisl84.tfm) = %{tl_version}
Provides: tex(gbkheisl85.tfm) = %{tl_version}
Provides: tex(gbkheisl86.tfm) = %{tl_version}
Provides: tex(gbkheisl87.tfm) = %{tl_version}
Provides: tex(gbkheisl88.tfm) = %{tl_version}
Provides: tex(gbkheisl89.tfm) = %{tl_version}
Provides: tex(gbkheisl90.tfm) = %{tl_version}
Provides: tex(gbkheisl91.tfm) = %{tl_version}
Provides: tex(gbkheisl92.tfm) = %{tl_version}
Provides: tex(gbkheisl93.tfm) = %{tl_version}
Provides: tex(gbkheisl94.tfm) = %{tl_version}
Provides: tex(gbkkai00.tfm) = %{tl_version}
Provides: tex(gbkkai01.tfm) = %{tl_version}
Provides: tex(gbkkai02.tfm) = %{tl_version}
Provides: tex(gbkkai03.tfm) = %{tl_version}
Provides: tex(gbkkai04.tfm) = %{tl_version}
Provides: tex(gbkkai05.tfm) = %{tl_version}
Provides: tex(gbkkai06.tfm) = %{tl_version}
Provides: tex(gbkkai07.tfm) = %{tl_version}
Provides: tex(gbkkai08.tfm) = %{tl_version}
Provides: tex(gbkkai09.tfm) = %{tl_version}
Provides: tex(gbkkai10.tfm) = %{tl_version}
Provides: tex(gbkkai11.tfm) = %{tl_version}
Provides: tex(gbkkai12.tfm) = %{tl_version}
Provides: tex(gbkkai13.tfm) = %{tl_version}
Provides: tex(gbkkai14.tfm) = %{tl_version}
Provides: tex(gbkkai15.tfm) = %{tl_version}
Provides: tex(gbkkai16.tfm) = %{tl_version}
Provides: tex(gbkkai17.tfm) = %{tl_version}
Provides: tex(gbkkai18.tfm) = %{tl_version}
Provides: tex(gbkkai19.tfm) = %{tl_version}
Provides: tex(gbkkai20.tfm) = %{tl_version}
Provides: tex(gbkkai21.tfm) = %{tl_version}
Provides: tex(gbkkai22.tfm) = %{tl_version}
Provides: tex(gbkkai23.tfm) = %{tl_version}
Provides: tex(gbkkai24.tfm) = %{tl_version}
Provides: tex(gbkkai25.tfm) = %{tl_version}
Provides: tex(gbkkai26.tfm) = %{tl_version}
Provides: tex(gbkkai27.tfm) = %{tl_version}
Provides: tex(gbkkai28.tfm) = %{tl_version}
Provides: tex(gbkkai29.tfm) = %{tl_version}
Provides: tex(gbkkai30.tfm) = %{tl_version}
Provides: tex(gbkkai31.tfm) = %{tl_version}
Provides: tex(gbkkai32.tfm) = %{tl_version}
Provides: tex(gbkkai33.tfm) = %{tl_version}
Provides: tex(gbkkai34.tfm) = %{tl_version}
Provides: tex(gbkkai35.tfm) = %{tl_version}
Provides: tex(gbkkai36.tfm) = %{tl_version}
Provides: tex(gbkkai37.tfm) = %{tl_version}
Provides: tex(gbkkai38.tfm) = %{tl_version}
Provides: tex(gbkkai39.tfm) = %{tl_version}
Provides: tex(gbkkai40.tfm) = %{tl_version}
Provides: tex(gbkkai41.tfm) = %{tl_version}
Provides: tex(gbkkai42.tfm) = %{tl_version}
Provides: tex(gbkkai43.tfm) = %{tl_version}
Provides: tex(gbkkai44.tfm) = %{tl_version}
Provides: tex(gbkkai45.tfm) = %{tl_version}
Provides: tex(gbkkai46.tfm) = %{tl_version}
Provides: tex(gbkkai47.tfm) = %{tl_version}
Provides: tex(gbkkai48.tfm) = %{tl_version}
Provides: tex(gbkkai49.tfm) = %{tl_version}
Provides: tex(gbkkai50.tfm) = %{tl_version}
Provides: tex(gbkkai51.tfm) = %{tl_version}
Provides: tex(gbkkai52.tfm) = %{tl_version}
Provides: tex(gbkkai53.tfm) = %{tl_version}
Provides: tex(gbkkai54.tfm) = %{tl_version}
Provides: tex(gbkkai55.tfm) = %{tl_version}
Provides: tex(gbkkai56.tfm) = %{tl_version}
Provides: tex(gbkkai57.tfm) = %{tl_version}
Provides: tex(gbkkai58.tfm) = %{tl_version}
Provides: tex(gbkkai59.tfm) = %{tl_version}
Provides: tex(gbkkai60.tfm) = %{tl_version}
Provides: tex(gbkkai61.tfm) = %{tl_version}
Provides: tex(gbkkai62.tfm) = %{tl_version}
Provides: tex(gbkkai63.tfm) = %{tl_version}
Provides: tex(gbkkai64.tfm) = %{tl_version}
Provides: tex(gbkkai65.tfm) = %{tl_version}
Provides: tex(gbkkai66.tfm) = %{tl_version}
Provides: tex(gbkkai67.tfm) = %{tl_version}
Provides: tex(gbkkai68.tfm) = %{tl_version}
Provides: tex(gbkkai69.tfm) = %{tl_version}
Provides: tex(gbkkai70.tfm) = %{tl_version}
Provides: tex(gbkkai71.tfm) = %{tl_version}
Provides: tex(gbkkai72.tfm) = %{tl_version}
Provides: tex(gbkkai73.tfm) = %{tl_version}
Provides: tex(gbkkai74.tfm) = %{tl_version}
Provides: tex(gbkkai75.tfm) = %{tl_version}
Provides: tex(gbkkai76.tfm) = %{tl_version}
Provides: tex(gbkkai77.tfm) = %{tl_version}
Provides: tex(gbkkai78.tfm) = %{tl_version}
Provides: tex(gbkkai79.tfm) = %{tl_version}
Provides: tex(gbkkai80.tfm) = %{tl_version}
Provides: tex(gbkkai81.tfm) = %{tl_version}
Provides: tex(gbkkai82.tfm) = %{tl_version}
Provides: tex(gbkkai83.tfm) = %{tl_version}
Provides: tex(gbkkai84.tfm) = %{tl_version}
Provides: tex(gbkkai85.tfm) = %{tl_version}
Provides: tex(gbkkai86.tfm) = %{tl_version}
Provides: tex(gbkkai87.tfm) = %{tl_version}
Provides: tex(gbkkai88.tfm) = %{tl_version}
Provides: tex(gbkkai89.tfm) = %{tl_version}
Provides: tex(gbkkai90.tfm) = %{tl_version}
Provides: tex(gbkkai91.tfm) = %{tl_version}
Provides: tex(gbkkai92.tfm) = %{tl_version}
Provides: tex(gbkkai93.tfm) = %{tl_version}
Provides: tex(gbkkai94.tfm) = %{tl_version}
Provides: tex(gbkkaisl00.tfm) = %{tl_version}
Provides: tex(gbkkaisl01.tfm) = %{tl_version}
Provides: tex(gbkkaisl02.tfm) = %{tl_version}
Provides: tex(gbkkaisl03.tfm) = %{tl_version}
Provides: tex(gbkkaisl04.tfm) = %{tl_version}
Provides: tex(gbkkaisl05.tfm) = %{tl_version}
Provides: tex(gbkkaisl06.tfm) = %{tl_version}
Provides: tex(gbkkaisl07.tfm) = %{tl_version}
Provides: tex(gbkkaisl08.tfm) = %{tl_version}
Provides: tex(gbkkaisl09.tfm) = %{tl_version}
Provides: tex(gbkkaisl10.tfm) = %{tl_version}
Provides: tex(gbkkaisl11.tfm) = %{tl_version}
Provides: tex(gbkkaisl12.tfm) = %{tl_version}
Provides: tex(gbkkaisl13.tfm) = %{tl_version}
Provides: tex(gbkkaisl14.tfm) = %{tl_version}
Provides: tex(gbkkaisl15.tfm) = %{tl_version}
Provides: tex(gbkkaisl16.tfm) = %{tl_version}
Provides: tex(gbkkaisl17.tfm) = %{tl_version}
Provides: tex(gbkkaisl18.tfm) = %{tl_version}
Provides: tex(gbkkaisl19.tfm) = %{tl_version}
Provides: tex(gbkkaisl20.tfm) = %{tl_version}
Provides: tex(gbkkaisl21.tfm) = %{tl_version}
Provides: tex(gbkkaisl22.tfm) = %{tl_version}
Provides: tex(gbkkaisl23.tfm) = %{tl_version}
Provides: tex(gbkkaisl24.tfm) = %{tl_version}
Provides: tex(gbkkaisl25.tfm) = %{tl_version}
Provides: tex(gbkkaisl26.tfm) = %{tl_version}
Provides: tex(gbkkaisl27.tfm) = %{tl_version}
Provides: tex(gbkkaisl28.tfm) = %{tl_version}
Provides: tex(gbkkaisl29.tfm) = %{tl_version}
Provides: tex(gbkkaisl30.tfm) = %{tl_version}
Provides: tex(gbkkaisl31.tfm) = %{tl_version}
Provides: tex(gbkkaisl32.tfm) = %{tl_version}
Provides: tex(gbkkaisl33.tfm) = %{tl_version}
Provides: tex(gbkkaisl34.tfm) = %{tl_version}
Provides: tex(gbkkaisl35.tfm) = %{tl_version}
Provides: tex(gbkkaisl36.tfm) = %{tl_version}
Provides: tex(gbkkaisl37.tfm) = %{tl_version}
Provides: tex(gbkkaisl38.tfm) = %{tl_version}
Provides: tex(gbkkaisl39.tfm) = %{tl_version}
Provides: tex(gbkkaisl40.tfm) = %{tl_version}
Provides: tex(gbkkaisl41.tfm) = %{tl_version}
Provides: tex(gbkkaisl42.tfm) = %{tl_version}
Provides: tex(gbkkaisl43.tfm) = %{tl_version}
Provides: tex(gbkkaisl44.tfm) = %{tl_version}
Provides: tex(gbkkaisl45.tfm) = %{tl_version}
Provides: tex(gbkkaisl46.tfm) = %{tl_version}
Provides: tex(gbkkaisl47.tfm) = %{tl_version}
Provides: tex(gbkkaisl48.tfm) = %{tl_version}
Provides: tex(gbkkaisl49.tfm) = %{tl_version}
Provides: tex(gbkkaisl50.tfm) = %{tl_version}
Provides: tex(gbkkaisl51.tfm) = %{tl_version}
Provides: tex(gbkkaisl52.tfm) = %{tl_version}
Provides: tex(gbkkaisl53.tfm) = %{tl_version}
Provides: tex(gbkkaisl54.tfm) = %{tl_version}
Provides: tex(gbkkaisl55.tfm) = %{tl_version}
Provides: tex(gbkkaisl56.tfm) = %{tl_version}
Provides: tex(gbkkaisl57.tfm) = %{tl_version}
Provides: tex(gbkkaisl58.tfm) = %{tl_version}
Provides: tex(gbkkaisl59.tfm) = %{tl_version}
Provides: tex(gbkkaisl60.tfm) = %{tl_version}
Provides: tex(gbkkaisl61.tfm) = %{tl_version}
Provides: tex(gbkkaisl62.tfm) = %{tl_version}
Provides: tex(gbkkaisl63.tfm) = %{tl_version}
Provides: tex(gbkkaisl64.tfm) = %{tl_version}
Provides: tex(gbkkaisl65.tfm) = %{tl_version}
Provides: tex(gbkkaisl66.tfm) = %{tl_version}
Provides: tex(gbkkaisl67.tfm) = %{tl_version}
Provides: tex(gbkkaisl68.tfm) = %{tl_version}
Provides: tex(gbkkaisl69.tfm) = %{tl_version}
Provides: tex(gbkkaisl70.tfm) = %{tl_version}
Provides: tex(gbkkaisl71.tfm) = %{tl_version}
Provides: tex(gbkkaisl72.tfm) = %{tl_version}
Provides: tex(gbkkaisl73.tfm) = %{tl_version}
Provides: tex(gbkkaisl74.tfm) = %{tl_version}
Provides: tex(gbkkaisl75.tfm) = %{tl_version}
Provides: tex(gbkkaisl76.tfm) = %{tl_version}
Provides: tex(gbkkaisl77.tfm) = %{tl_version}
Provides: tex(gbkkaisl78.tfm) = %{tl_version}
Provides: tex(gbkkaisl79.tfm) = %{tl_version}
Provides: tex(gbkkaisl80.tfm) = %{tl_version}
Provides: tex(gbkkaisl81.tfm) = %{tl_version}
Provides: tex(gbkkaisl82.tfm) = %{tl_version}
Provides: tex(gbkkaisl83.tfm) = %{tl_version}
Provides: tex(gbkkaisl84.tfm) = %{tl_version}
Provides: tex(gbkkaisl85.tfm) = %{tl_version}
Provides: tex(gbkkaisl86.tfm) = %{tl_version}
Provides: tex(gbkkaisl87.tfm) = %{tl_version}
Provides: tex(gbkkaisl88.tfm) = %{tl_version}
Provides: tex(gbkkaisl89.tfm) = %{tl_version}
Provides: tex(gbkkaisl90.tfm) = %{tl_version}
Provides: tex(gbkkaisl91.tfm) = %{tl_version}
Provides: tex(gbkkaisl92.tfm) = %{tl_version}
Provides: tex(gbkkaisl93.tfm) = %{tl_version}
Provides: tex(gbkkaisl94.tfm) = %{tl_version}
Provides: tex(gbkli00.tfm) = %{tl_version}
Provides: tex(gbkli01.tfm) = %{tl_version}
Provides: tex(gbkli02.tfm) = %{tl_version}
Provides: tex(gbkli03.tfm) = %{tl_version}
Provides: tex(gbkli04.tfm) = %{tl_version}
Provides: tex(gbkli05.tfm) = %{tl_version}
Provides: tex(gbkli06.tfm) = %{tl_version}
Provides: tex(gbkli07.tfm) = %{tl_version}
Provides: tex(gbkli08.tfm) = %{tl_version}
Provides: tex(gbkli09.tfm) = %{tl_version}
Provides: tex(gbkli10.tfm) = %{tl_version}
Provides: tex(gbkli11.tfm) = %{tl_version}
Provides: tex(gbkli12.tfm) = %{tl_version}
Provides: tex(gbkli13.tfm) = %{tl_version}
Provides: tex(gbkli14.tfm) = %{tl_version}
Provides: tex(gbkli15.tfm) = %{tl_version}
Provides: tex(gbkli16.tfm) = %{tl_version}
Provides: tex(gbkli17.tfm) = %{tl_version}
Provides: tex(gbkli18.tfm) = %{tl_version}
Provides: tex(gbkli19.tfm) = %{tl_version}
Provides: tex(gbkli20.tfm) = %{tl_version}
Provides: tex(gbkli21.tfm) = %{tl_version}
Provides: tex(gbkli22.tfm) = %{tl_version}
Provides: tex(gbkli23.tfm) = %{tl_version}
Provides: tex(gbkli24.tfm) = %{tl_version}
Provides: tex(gbkli25.tfm) = %{tl_version}
Provides: tex(gbkli26.tfm) = %{tl_version}
Provides: tex(gbkli27.tfm) = %{tl_version}
Provides: tex(gbkli28.tfm) = %{tl_version}
Provides: tex(gbkli29.tfm) = %{tl_version}
Provides: tex(gbkli30.tfm) = %{tl_version}
Provides: tex(gbkli31.tfm) = %{tl_version}
Provides: tex(gbkli32.tfm) = %{tl_version}
Provides: tex(gbkli33.tfm) = %{tl_version}
Provides: tex(gbkli34.tfm) = %{tl_version}
Provides: tex(gbkli35.tfm) = %{tl_version}
Provides: tex(gbkli36.tfm) = %{tl_version}
Provides: tex(gbkli37.tfm) = %{tl_version}
Provides: tex(gbkli38.tfm) = %{tl_version}
Provides: tex(gbkli39.tfm) = %{tl_version}
Provides: tex(gbkli40.tfm) = %{tl_version}
Provides: tex(gbkli41.tfm) = %{tl_version}
Provides: tex(gbkli42.tfm) = %{tl_version}
Provides: tex(gbkli43.tfm) = %{tl_version}
Provides: tex(gbkli44.tfm) = %{tl_version}
Provides: tex(gbkli45.tfm) = %{tl_version}
Provides: tex(gbkli46.tfm) = %{tl_version}
Provides: tex(gbkli47.tfm) = %{tl_version}
Provides: tex(gbkli48.tfm) = %{tl_version}
Provides: tex(gbkli49.tfm) = %{tl_version}
Provides: tex(gbkli50.tfm) = %{tl_version}
Provides: tex(gbkli51.tfm) = %{tl_version}
Provides: tex(gbkli52.tfm) = %{tl_version}
Provides: tex(gbkli53.tfm) = %{tl_version}
Provides: tex(gbkli54.tfm) = %{tl_version}
Provides: tex(gbkli55.tfm) = %{tl_version}
Provides: tex(gbkli56.tfm) = %{tl_version}
Provides: tex(gbkli57.tfm) = %{tl_version}
Provides: tex(gbkli58.tfm) = %{tl_version}
Provides: tex(gbkli59.tfm) = %{tl_version}
Provides: tex(gbkli60.tfm) = %{tl_version}
Provides: tex(gbkli61.tfm) = %{tl_version}
Provides: tex(gbkli62.tfm) = %{tl_version}
Provides: tex(gbkli63.tfm) = %{tl_version}
Provides: tex(gbkli64.tfm) = %{tl_version}
Provides: tex(gbkli65.tfm) = %{tl_version}
Provides: tex(gbkli66.tfm) = %{tl_version}
Provides: tex(gbkli67.tfm) = %{tl_version}
Provides: tex(gbkli68.tfm) = %{tl_version}
Provides: tex(gbkli69.tfm) = %{tl_version}
Provides: tex(gbkli70.tfm) = %{tl_version}
Provides: tex(gbkli71.tfm) = %{tl_version}
Provides: tex(gbkli72.tfm) = %{tl_version}
Provides: tex(gbkli73.tfm) = %{tl_version}
Provides: tex(gbkli74.tfm) = %{tl_version}
Provides: tex(gbkli75.tfm) = %{tl_version}
Provides: tex(gbkli76.tfm) = %{tl_version}
Provides: tex(gbkli77.tfm) = %{tl_version}
Provides: tex(gbkli78.tfm) = %{tl_version}
Provides: tex(gbkli79.tfm) = %{tl_version}
Provides: tex(gbkli80.tfm) = %{tl_version}
Provides: tex(gbkli81.tfm) = %{tl_version}
Provides: tex(gbkli82.tfm) = %{tl_version}
Provides: tex(gbkli83.tfm) = %{tl_version}
Provides: tex(gbkli84.tfm) = %{tl_version}
Provides: tex(gbkli85.tfm) = %{tl_version}
Provides: tex(gbkli86.tfm) = %{tl_version}
Provides: tex(gbkli87.tfm) = %{tl_version}
Provides: tex(gbkli88.tfm) = %{tl_version}
Provides: tex(gbkli89.tfm) = %{tl_version}
Provides: tex(gbkli90.tfm) = %{tl_version}
Provides: tex(gbkli91.tfm) = %{tl_version}
Provides: tex(gbkli92.tfm) = %{tl_version}
Provides: tex(gbkli93.tfm) = %{tl_version}
Provides: tex(gbkli94.tfm) = %{tl_version}
Provides: tex(gbklisl00.tfm) = %{tl_version}
Provides: tex(gbklisl01.tfm) = %{tl_version}
Provides: tex(gbklisl02.tfm) = %{tl_version}
Provides: tex(gbklisl03.tfm) = %{tl_version}
Provides: tex(gbklisl04.tfm) = %{tl_version}
Provides: tex(gbklisl05.tfm) = %{tl_version}
Provides: tex(gbklisl06.tfm) = %{tl_version}
Provides: tex(gbklisl07.tfm) = %{tl_version}
Provides: tex(gbklisl08.tfm) = %{tl_version}
Provides: tex(gbklisl09.tfm) = %{tl_version}
Provides: tex(gbklisl10.tfm) = %{tl_version}
Provides: tex(gbklisl11.tfm) = %{tl_version}
Provides: tex(gbklisl12.tfm) = %{tl_version}
Provides: tex(gbklisl13.tfm) = %{tl_version}
Provides: tex(gbklisl14.tfm) = %{tl_version}
Provides: tex(gbklisl15.tfm) = %{tl_version}
Provides: tex(gbklisl16.tfm) = %{tl_version}
Provides: tex(gbklisl17.tfm) = %{tl_version}
Provides: tex(gbklisl18.tfm) = %{tl_version}
Provides: tex(gbklisl19.tfm) = %{tl_version}
Provides: tex(gbklisl20.tfm) = %{tl_version}
Provides: tex(gbklisl21.tfm) = %{tl_version}
Provides: tex(gbklisl22.tfm) = %{tl_version}
Provides: tex(gbklisl23.tfm) = %{tl_version}
Provides: tex(gbklisl24.tfm) = %{tl_version}
Provides: tex(gbklisl25.tfm) = %{tl_version}
Provides: tex(gbklisl26.tfm) = %{tl_version}
Provides: tex(gbklisl27.tfm) = %{tl_version}
Provides: tex(gbklisl28.tfm) = %{tl_version}
Provides: tex(gbklisl29.tfm) = %{tl_version}
Provides: tex(gbklisl30.tfm) = %{tl_version}
Provides: tex(gbklisl31.tfm) = %{tl_version}
Provides: tex(gbklisl32.tfm) = %{tl_version}
Provides: tex(gbklisl33.tfm) = %{tl_version}
Provides: tex(gbklisl34.tfm) = %{tl_version}
Provides: tex(gbklisl35.tfm) = %{tl_version}
Provides: tex(gbklisl36.tfm) = %{tl_version}
Provides: tex(gbklisl37.tfm) = %{tl_version}
Provides: tex(gbklisl38.tfm) = %{tl_version}
Provides: tex(gbklisl39.tfm) = %{tl_version}
Provides: tex(gbklisl40.tfm) = %{tl_version}
Provides: tex(gbklisl41.tfm) = %{tl_version}
Provides: tex(gbklisl42.tfm) = %{tl_version}
Provides: tex(gbklisl43.tfm) = %{tl_version}
Provides: tex(gbklisl44.tfm) = %{tl_version}
Provides: tex(gbklisl45.tfm) = %{tl_version}
Provides: tex(gbklisl46.tfm) = %{tl_version}
Provides: tex(gbklisl47.tfm) = %{tl_version}
Provides: tex(gbklisl48.tfm) = %{tl_version}
Provides: tex(gbklisl49.tfm) = %{tl_version}
Provides: tex(gbklisl50.tfm) = %{tl_version}
Provides: tex(gbklisl51.tfm) = %{tl_version}
Provides: tex(gbklisl52.tfm) = %{tl_version}
Provides: tex(gbklisl53.tfm) = %{tl_version}
Provides: tex(gbklisl54.tfm) = %{tl_version}
Provides: tex(gbklisl55.tfm) = %{tl_version}
Provides: tex(gbklisl56.tfm) = %{tl_version}
Provides: tex(gbklisl57.tfm) = %{tl_version}
Provides: tex(gbklisl58.tfm) = %{tl_version}
Provides: tex(gbklisl59.tfm) = %{tl_version}
Provides: tex(gbklisl60.tfm) = %{tl_version}
Provides: tex(gbklisl61.tfm) = %{tl_version}
Provides: tex(gbklisl62.tfm) = %{tl_version}
Provides: tex(gbklisl63.tfm) = %{tl_version}
Provides: tex(gbklisl64.tfm) = %{tl_version}
Provides: tex(gbklisl65.tfm) = %{tl_version}
Provides: tex(gbklisl66.tfm) = %{tl_version}
Provides: tex(gbklisl67.tfm) = %{tl_version}
Provides: tex(gbklisl68.tfm) = %{tl_version}
Provides: tex(gbklisl69.tfm) = %{tl_version}
Provides: tex(gbklisl70.tfm) = %{tl_version}
Provides: tex(gbklisl71.tfm) = %{tl_version}
Provides: tex(gbklisl72.tfm) = %{tl_version}
Provides: tex(gbklisl73.tfm) = %{tl_version}
Provides: tex(gbklisl74.tfm) = %{tl_version}
Provides: tex(gbklisl75.tfm) = %{tl_version}
Provides: tex(gbklisl76.tfm) = %{tl_version}
Provides: tex(gbklisl77.tfm) = %{tl_version}
Provides: tex(gbklisl78.tfm) = %{tl_version}
Provides: tex(gbklisl79.tfm) = %{tl_version}
Provides: tex(gbklisl80.tfm) = %{tl_version}
Provides: tex(gbklisl81.tfm) = %{tl_version}
Provides: tex(gbklisl82.tfm) = %{tl_version}
Provides: tex(gbklisl83.tfm) = %{tl_version}
Provides: tex(gbklisl84.tfm) = %{tl_version}
Provides: tex(gbklisl85.tfm) = %{tl_version}
Provides: tex(gbklisl86.tfm) = %{tl_version}
Provides: tex(gbklisl87.tfm) = %{tl_version}
Provides: tex(gbklisl88.tfm) = %{tl_version}
Provides: tex(gbklisl89.tfm) = %{tl_version}
Provides: tex(gbklisl90.tfm) = %{tl_version}
Provides: tex(gbklisl91.tfm) = %{tl_version}
Provides: tex(gbklisl92.tfm) = %{tl_version}
Provides: tex(gbklisl93.tfm) = %{tl_version}
Provides: tex(gbklisl94.tfm) = %{tl_version}
Provides: tex(gbksong00.tfm) = %{tl_version}
Provides: tex(gbksong01.tfm) = %{tl_version}
Provides: tex(gbksong02.tfm) = %{tl_version}
Provides: tex(gbksong03.tfm) = %{tl_version}
Provides: tex(gbksong04.tfm) = %{tl_version}
Provides: tex(gbksong05.tfm) = %{tl_version}
Provides: tex(gbksong06.tfm) = %{tl_version}
Provides: tex(gbksong07.tfm) = %{tl_version}
Provides: tex(gbksong08.tfm) = %{tl_version}
Provides: tex(gbksong09.tfm) = %{tl_version}
Provides: tex(gbksong10.tfm) = %{tl_version}
Provides: tex(gbksong11.tfm) = %{tl_version}
Provides: tex(gbksong12.tfm) = %{tl_version}
Provides: tex(gbksong13.tfm) = %{tl_version}
Provides: tex(gbksong14.tfm) = %{tl_version}
Provides: tex(gbksong15.tfm) = %{tl_version}
Provides: tex(gbksong16.tfm) = %{tl_version}
Provides: tex(gbksong17.tfm) = %{tl_version}
Provides: tex(gbksong18.tfm) = %{tl_version}
Provides: tex(gbksong19.tfm) = %{tl_version}
Provides: tex(gbksong20.tfm) = %{tl_version}
Provides: tex(gbksong21.tfm) = %{tl_version}
Provides: tex(gbksong22.tfm) = %{tl_version}
Provides: tex(gbksong23.tfm) = %{tl_version}
Provides: tex(gbksong24.tfm) = %{tl_version}
Provides: tex(gbksong25.tfm) = %{tl_version}
Provides: tex(gbksong26.tfm) = %{tl_version}
Provides: tex(gbksong27.tfm) = %{tl_version}
Provides: tex(gbksong28.tfm) = %{tl_version}
Provides: tex(gbksong29.tfm) = %{tl_version}
Provides: tex(gbksong30.tfm) = %{tl_version}
Provides: tex(gbksong31.tfm) = %{tl_version}
Provides: tex(gbksong32.tfm) = %{tl_version}
Provides: tex(gbksong33.tfm) = %{tl_version}
Provides: tex(gbksong34.tfm) = %{tl_version}
Provides: tex(gbksong35.tfm) = %{tl_version}
Provides: tex(gbksong36.tfm) = %{tl_version}
Provides: tex(gbksong37.tfm) = %{tl_version}
Provides: tex(gbksong38.tfm) = %{tl_version}
Provides: tex(gbksong39.tfm) = %{tl_version}
Provides: tex(gbksong40.tfm) = %{tl_version}
Provides: tex(gbksong41.tfm) = %{tl_version}
Provides: tex(gbksong42.tfm) = %{tl_version}
Provides: tex(gbksong43.tfm) = %{tl_version}
Provides: tex(gbksong44.tfm) = %{tl_version}
Provides: tex(gbksong45.tfm) = %{tl_version}
Provides: tex(gbksong46.tfm) = %{tl_version}
Provides: tex(gbksong47.tfm) = %{tl_version}
Provides: tex(gbksong48.tfm) = %{tl_version}
Provides: tex(gbksong49.tfm) = %{tl_version}
Provides: tex(gbksong50.tfm) = %{tl_version}
Provides: tex(gbksong51.tfm) = %{tl_version}
Provides: tex(gbksong52.tfm) = %{tl_version}
Provides: tex(gbksong53.tfm) = %{tl_version}
Provides: tex(gbksong54.tfm) = %{tl_version}
Provides: tex(gbksong55.tfm) = %{tl_version}
Provides: tex(gbksong56.tfm) = %{tl_version}
Provides: tex(gbksong57.tfm) = %{tl_version}
Provides: tex(gbksong58.tfm) = %{tl_version}
Provides: tex(gbksong59.tfm) = %{tl_version}
Provides: tex(gbksong60.tfm) = %{tl_version}
Provides: tex(gbksong61.tfm) = %{tl_version}
Provides: tex(gbksong62.tfm) = %{tl_version}
Provides: tex(gbksong63.tfm) = %{tl_version}
Provides: tex(gbksong64.tfm) = %{tl_version}
Provides: tex(gbksong65.tfm) = %{tl_version}
Provides: tex(gbksong66.tfm) = %{tl_version}
Provides: tex(gbksong67.tfm) = %{tl_version}
Provides: tex(gbksong68.tfm) = %{tl_version}
Provides: tex(gbksong69.tfm) = %{tl_version}
Provides: tex(gbksong70.tfm) = %{tl_version}
Provides: tex(gbksong71.tfm) = %{tl_version}
Provides: tex(gbksong72.tfm) = %{tl_version}
Provides: tex(gbksong73.tfm) = %{tl_version}
Provides: tex(gbksong74.tfm) = %{tl_version}
Provides: tex(gbksong75.tfm) = %{tl_version}
Provides: tex(gbksong76.tfm) = %{tl_version}
Provides: tex(gbksong77.tfm) = %{tl_version}
Provides: tex(gbksong78.tfm) = %{tl_version}
Provides: tex(gbksong79.tfm) = %{tl_version}
Provides: tex(gbksong80.tfm) = %{tl_version}
Provides: tex(gbksong81.tfm) = %{tl_version}
Provides: tex(gbksong82.tfm) = %{tl_version}
Provides: tex(gbksong83.tfm) = %{tl_version}
Provides: tex(gbksong84.tfm) = %{tl_version}
Provides: tex(gbksong85.tfm) = %{tl_version}
Provides: tex(gbksong86.tfm) = %{tl_version}
Provides: tex(gbksong87.tfm) = %{tl_version}
Provides: tex(gbksong88.tfm) = %{tl_version}
Provides: tex(gbksong89.tfm) = %{tl_version}
Provides: tex(gbksong90.tfm) = %{tl_version}
Provides: tex(gbksong91.tfm) = %{tl_version}
Provides: tex(gbksong92.tfm) = %{tl_version}
Provides: tex(gbksong93.tfm) = %{tl_version}
Provides: tex(gbksong94.tfm) = %{tl_version}
Provides: tex(gbksongsl00.tfm) = %{tl_version}
Provides: tex(gbksongsl01.tfm) = %{tl_version}
Provides: tex(gbksongsl02.tfm) = %{tl_version}
Provides: tex(gbksongsl03.tfm) = %{tl_version}
Provides: tex(gbksongsl04.tfm) = %{tl_version}
Provides: tex(gbksongsl05.tfm) = %{tl_version}
Provides: tex(gbksongsl06.tfm) = %{tl_version}
Provides: tex(gbksongsl07.tfm) = %{tl_version}
Provides: tex(gbksongsl08.tfm) = %{tl_version}
Provides: tex(gbksongsl09.tfm) = %{tl_version}
Provides: tex(gbksongsl10.tfm) = %{tl_version}
Provides: tex(gbksongsl11.tfm) = %{tl_version}
Provides: tex(gbksongsl12.tfm) = %{tl_version}
Provides: tex(gbksongsl13.tfm) = %{tl_version}
Provides: tex(gbksongsl14.tfm) = %{tl_version}
Provides: tex(gbksongsl15.tfm) = %{tl_version}
Provides: tex(gbksongsl16.tfm) = %{tl_version}
Provides: tex(gbksongsl17.tfm) = %{tl_version}
Provides: tex(gbksongsl18.tfm) = %{tl_version}
Provides: tex(gbksongsl19.tfm) = %{tl_version}
Provides: tex(gbksongsl20.tfm) = %{tl_version}
Provides: tex(gbksongsl21.tfm) = %{tl_version}
Provides: tex(gbksongsl22.tfm) = %{tl_version}
Provides: tex(gbksongsl23.tfm) = %{tl_version}
Provides: tex(gbksongsl24.tfm) = %{tl_version}
Provides: tex(gbksongsl25.tfm) = %{tl_version}
Provides: tex(gbksongsl26.tfm) = %{tl_version}
Provides: tex(gbksongsl27.tfm) = %{tl_version}
Provides: tex(gbksongsl28.tfm) = %{tl_version}
Provides: tex(gbksongsl29.tfm) = %{tl_version}
Provides: tex(gbksongsl30.tfm) = %{tl_version}
Provides: tex(gbksongsl31.tfm) = %{tl_version}
Provides: tex(gbksongsl32.tfm) = %{tl_version}
Provides: tex(gbksongsl33.tfm) = %{tl_version}
Provides: tex(gbksongsl34.tfm) = %{tl_version}
Provides: tex(gbksongsl35.tfm) = %{tl_version}
Provides: tex(gbksongsl36.tfm) = %{tl_version}
Provides: tex(gbksongsl37.tfm) = %{tl_version}
Provides: tex(gbksongsl38.tfm) = %{tl_version}
Provides: tex(gbksongsl39.tfm) = %{tl_version}
Provides: tex(gbksongsl40.tfm) = %{tl_version}
Provides: tex(gbksongsl41.tfm) = %{tl_version}
Provides: tex(gbksongsl42.tfm) = %{tl_version}
Provides: tex(gbksongsl43.tfm) = %{tl_version}
Provides: tex(gbksongsl44.tfm) = %{tl_version}
Provides: tex(gbksongsl45.tfm) = %{tl_version}
Provides: tex(gbksongsl46.tfm) = %{tl_version}
Provides: tex(gbksongsl47.tfm) = %{tl_version}
Provides: tex(gbksongsl48.tfm) = %{tl_version}
Provides: tex(gbksongsl49.tfm) = %{tl_version}
Provides: tex(gbksongsl50.tfm) = %{tl_version}
Provides: tex(gbksongsl51.tfm) = %{tl_version}
Provides: tex(gbksongsl52.tfm) = %{tl_version}
Provides: tex(gbksongsl53.tfm) = %{tl_version}
Provides: tex(gbksongsl54.tfm) = %{tl_version}
Provides: tex(gbksongsl55.tfm) = %{tl_version}
Provides: tex(gbksongsl56.tfm) = %{tl_version}
Provides: tex(gbksongsl57.tfm) = %{tl_version}
Provides: tex(gbksongsl58.tfm) = %{tl_version}
Provides: tex(gbksongsl59.tfm) = %{tl_version}
Provides: tex(gbksongsl60.tfm) = %{tl_version}
Provides: tex(gbksongsl61.tfm) = %{tl_version}
Provides: tex(gbksongsl62.tfm) = %{tl_version}
Provides: tex(gbksongsl63.tfm) = %{tl_version}
Provides: tex(gbksongsl64.tfm) = %{tl_version}
Provides: tex(gbksongsl65.tfm) = %{tl_version}
Provides: tex(gbksongsl66.tfm) = %{tl_version}
Provides: tex(gbksongsl67.tfm) = %{tl_version}
Provides: tex(gbksongsl68.tfm) = %{tl_version}
Provides: tex(gbksongsl69.tfm) = %{tl_version}
Provides: tex(gbksongsl70.tfm) = %{tl_version}
Provides: tex(gbksongsl71.tfm) = %{tl_version}
Provides: tex(gbksongsl72.tfm) = %{tl_version}
Provides: tex(gbksongsl73.tfm) = %{tl_version}
Provides: tex(gbksongsl74.tfm) = %{tl_version}
Provides: tex(gbksongsl75.tfm) = %{tl_version}
Provides: tex(gbksongsl76.tfm) = %{tl_version}
Provides: tex(gbksongsl77.tfm) = %{tl_version}
Provides: tex(gbksongsl78.tfm) = %{tl_version}
Provides: tex(gbksongsl79.tfm) = %{tl_version}
Provides: tex(gbksongsl80.tfm) = %{tl_version}
Provides: tex(gbksongsl81.tfm) = %{tl_version}
Provides: tex(gbksongsl82.tfm) = %{tl_version}
Provides: tex(gbksongsl83.tfm) = %{tl_version}
Provides: tex(gbksongsl84.tfm) = %{tl_version}
Provides: tex(gbksongsl85.tfm) = %{tl_version}
Provides: tex(gbksongsl86.tfm) = %{tl_version}
Provides: tex(gbksongsl87.tfm) = %{tl_version}
Provides: tex(gbksongsl88.tfm) = %{tl_version}
Provides: tex(gbksongsl89.tfm) = %{tl_version}
Provides: tex(gbksongsl90.tfm) = %{tl_version}
Provides: tex(gbksongsl91.tfm) = %{tl_version}
Provides: tex(gbksongsl92.tfm) = %{tl_version}
Provides: tex(gbksongsl93.tfm) = %{tl_version}
Provides: tex(gbksongsl94.tfm) = %{tl_version}
Provides: tex(gbkyou00.tfm) = %{tl_version}
Provides: tex(gbkyou01.tfm) = %{tl_version}
Provides: tex(gbkyou02.tfm) = %{tl_version}
Provides: tex(gbkyou03.tfm) = %{tl_version}
Provides: tex(gbkyou04.tfm) = %{tl_version}
Provides: tex(gbkyou05.tfm) = %{tl_version}
Provides: tex(gbkyou06.tfm) = %{tl_version}
Provides: tex(gbkyou07.tfm) = %{tl_version}
Provides: tex(gbkyou08.tfm) = %{tl_version}
Provides: tex(gbkyou09.tfm) = %{tl_version}
Provides: tex(gbkyou10.tfm) = %{tl_version}
Provides: tex(gbkyou11.tfm) = %{tl_version}
Provides: tex(gbkyou12.tfm) = %{tl_version}
Provides: tex(gbkyou13.tfm) = %{tl_version}
Provides: tex(gbkyou14.tfm) = %{tl_version}
Provides: tex(gbkyou15.tfm) = %{tl_version}
Provides: tex(gbkyou16.tfm) = %{tl_version}
Provides: tex(gbkyou17.tfm) = %{tl_version}
Provides: tex(gbkyou18.tfm) = %{tl_version}
Provides: tex(gbkyou19.tfm) = %{tl_version}
Provides: tex(gbkyou20.tfm) = %{tl_version}
Provides: tex(gbkyou21.tfm) = %{tl_version}
Provides: tex(gbkyou22.tfm) = %{tl_version}
Provides: tex(gbkyou23.tfm) = %{tl_version}
Provides: tex(gbkyou24.tfm) = %{tl_version}
Provides: tex(gbkyou25.tfm) = %{tl_version}
Provides: tex(gbkyou26.tfm) = %{tl_version}
Provides: tex(gbkyou27.tfm) = %{tl_version}
Provides: tex(gbkyou28.tfm) = %{tl_version}
Provides: tex(gbkyou29.tfm) = %{tl_version}
Provides: tex(gbkyou30.tfm) = %{tl_version}
Provides: tex(gbkyou31.tfm) = %{tl_version}
Provides: tex(gbkyou32.tfm) = %{tl_version}
Provides: tex(gbkyou33.tfm) = %{tl_version}
Provides: tex(gbkyou34.tfm) = %{tl_version}
Provides: tex(gbkyou35.tfm) = %{tl_version}
Provides: tex(gbkyou36.tfm) = %{tl_version}
Provides: tex(gbkyou37.tfm) = %{tl_version}
Provides: tex(gbkyou38.tfm) = %{tl_version}
Provides: tex(gbkyou39.tfm) = %{tl_version}
Provides: tex(gbkyou40.tfm) = %{tl_version}
Provides: tex(gbkyou41.tfm) = %{tl_version}
Provides: tex(gbkyou42.tfm) = %{tl_version}
Provides: tex(gbkyou43.tfm) = %{tl_version}
Provides: tex(gbkyou44.tfm) = %{tl_version}
Provides: tex(gbkyou45.tfm) = %{tl_version}
Provides: tex(gbkyou46.tfm) = %{tl_version}
Provides: tex(gbkyou47.tfm) = %{tl_version}
Provides: tex(gbkyou48.tfm) = %{tl_version}
Provides: tex(gbkyou49.tfm) = %{tl_version}
Provides: tex(gbkyou50.tfm) = %{tl_version}
Provides: tex(gbkyou51.tfm) = %{tl_version}
Provides: tex(gbkyou52.tfm) = %{tl_version}
Provides: tex(gbkyou53.tfm) = %{tl_version}
Provides: tex(gbkyou54.tfm) = %{tl_version}
Provides: tex(gbkyou55.tfm) = %{tl_version}
Provides: tex(gbkyou56.tfm) = %{tl_version}
Provides: tex(gbkyou57.tfm) = %{tl_version}
Provides: tex(gbkyou58.tfm) = %{tl_version}
Provides: tex(gbkyou59.tfm) = %{tl_version}
Provides: tex(gbkyou60.tfm) = %{tl_version}
Provides: tex(gbkyou61.tfm) = %{tl_version}
Provides: tex(gbkyou62.tfm) = %{tl_version}
Provides: tex(gbkyou63.tfm) = %{tl_version}
Provides: tex(gbkyou64.tfm) = %{tl_version}
Provides: tex(gbkyou65.tfm) = %{tl_version}
Provides: tex(gbkyou66.tfm) = %{tl_version}
Provides: tex(gbkyou67.tfm) = %{tl_version}
Provides: tex(gbkyou68.tfm) = %{tl_version}
Provides: tex(gbkyou69.tfm) = %{tl_version}
Provides: tex(gbkyou70.tfm) = %{tl_version}
Provides: tex(gbkyou71.tfm) = %{tl_version}
Provides: tex(gbkyou72.tfm) = %{tl_version}
Provides: tex(gbkyou73.tfm) = %{tl_version}
Provides: tex(gbkyou74.tfm) = %{tl_version}
Provides: tex(gbkyou75.tfm) = %{tl_version}
Provides: tex(gbkyou76.tfm) = %{tl_version}
Provides: tex(gbkyou77.tfm) = %{tl_version}
Provides: tex(gbkyou78.tfm) = %{tl_version}
Provides: tex(gbkyou79.tfm) = %{tl_version}
Provides: tex(gbkyou80.tfm) = %{tl_version}
Provides: tex(gbkyou81.tfm) = %{tl_version}
Provides: tex(gbkyou82.tfm) = %{tl_version}
Provides: tex(gbkyou83.tfm) = %{tl_version}
Provides: tex(gbkyou84.tfm) = %{tl_version}
Provides: tex(gbkyou85.tfm) = %{tl_version}
Provides: tex(gbkyou86.tfm) = %{tl_version}
Provides: tex(gbkyou87.tfm) = %{tl_version}
Provides: tex(gbkyou88.tfm) = %{tl_version}
Provides: tex(gbkyou89.tfm) = %{tl_version}
Provides: tex(gbkyou90.tfm) = %{tl_version}
Provides: tex(gbkyou91.tfm) = %{tl_version}
Provides: tex(gbkyou92.tfm) = %{tl_version}
Provides: tex(gbkyou93.tfm) = %{tl_version}
Provides: tex(gbkyou94.tfm) = %{tl_version}
Provides: tex(gbkyousl00.tfm) = %{tl_version}
Provides: tex(gbkyousl01.tfm) = %{tl_version}
Provides: tex(gbkyousl02.tfm) = %{tl_version}
Provides: tex(gbkyousl03.tfm) = %{tl_version}
Provides: tex(gbkyousl04.tfm) = %{tl_version}
Provides: tex(gbkyousl05.tfm) = %{tl_version}
Provides: tex(gbkyousl06.tfm) = %{tl_version}
Provides: tex(gbkyousl07.tfm) = %{tl_version}
Provides: tex(gbkyousl08.tfm) = %{tl_version}
Provides: tex(gbkyousl09.tfm) = %{tl_version}
Provides: tex(gbkyousl10.tfm) = %{tl_version}
Provides: tex(gbkyousl11.tfm) = %{tl_version}
Provides: tex(gbkyousl12.tfm) = %{tl_version}
Provides: tex(gbkyousl13.tfm) = %{tl_version}
Provides: tex(gbkyousl14.tfm) = %{tl_version}
Provides: tex(gbkyousl15.tfm) = %{tl_version}
Provides: tex(gbkyousl16.tfm) = %{tl_version}
Provides: tex(gbkyousl17.tfm) = %{tl_version}
Provides: tex(gbkyousl18.tfm) = %{tl_version}
Provides: tex(gbkyousl19.tfm) = %{tl_version}
Provides: tex(gbkyousl20.tfm) = %{tl_version}
Provides: tex(gbkyousl21.tfm) = %{tl_version}
Provides: tex(gbkyousl22.tfm) = %{tl_version}
Provides: tex(gbkyousl23.tfm) = %{tl_version}
Provides: tex(gbkyousl24.tfm) = %{tl_version}
Provides: tex(gbkyousl25.tfm) = %{tl_version}
Provides: tex(gbkyousl26.tfm) = %{tl_version}
Provides: tex(gbkyousl27.tfm) = %{tl_version}
Provides: tex(gbkyousl28.tfm) = %{tl_version}
Provides: tex(gbkyousl29.tfm) = %{tl_version}
Provides: tex(gbkyousl30.tfm) = %{tl_version}
Provides: tex(gbkyousl31.tfm) = %{tl_version}
Provides: tex(gbkyousl32.tfm) = %{tl_version}
Provides: tex(gbkyousl33.tfm) = %{tl_version}
Provides: tex(gbkyousl34.tfm) = %{tl_version}
Provides: tex(gbkyousl35.tfm) = %{tl_version}
Provides: tex(gbkyousl36.tfm) = %{tl_version}
Provides: tex(gbkyousl37.tfm) = %{tl_version}
Provides: tex(gbkyousl38.tfm) = %{tl_version}
Provides: tex(gbkyousl39.tfm) = %{tl_version}
Provides: tex(gbkyousl40.tfm) = %{tl_version}
Provides: tex(gbkyousl41.tfm) = %{tl_version}
Provides: tex(gbkyousl42.tfm) = %{tl_version}
Provides: tex(gbkyousl43.tfm) = %{tl_version}
Provides: tex(gbkyousl44.tfm) = %{tl_version}
Provides: tex(gbkyousl45.tfm) = %{tl_version}
Provides: tex(gbkyousl46.tfm) = %{tl_version}
Provides: tex(gbkyousl47.tfm) = %{tl_version}
Provides: tex(gbkyousl48.tfm) = %{tl_version}
Provides: tex(gbkyousl49.tfm) = %{tl_version}
Provides: tex(gbkyousl50.tfm) = %{tl_version}
Provides: tex(gbkyousl51.tfm) = %{tl_version}
Provides: tex(gbkyousl52.tfm) = %{tl_version}
Provides: tex(gbkyousl53.tfm) = %{tl_version}
Provides: tex(gbkyousl54.tfm) = %{tl_version}
Provides: tex(gbkyousl55.tfm) = %{tl_version}
Provides: tex(gbkyousl56.tfm) = %{tl_version}
Provides: tex(gbkyousl57.tfm) = %{tl_version}
Provides: tex(gbkyousl58.tfm) = %{tl_version}
Provides: tex(gbkyousl59.tfm) = %{tl_version}
Provides: tex(gbkyousl60.tfm) = %{tl_version}
Provides: tex(gbkyousl61.tfm) = %{tl_version}
Provides: tex(gbkyousl62.tfm) = %{tl_version}
Provides: tex(gbkyousl63.tfm) = %{tl_version}
Provides: tex(gbkyousl64.tfm) = %{tl_version}
Provides: tex(gbkyousl65.tfm) = %{tl_version}
Provides: tex(gbkyousl66.tfm) = %{tl_version}
Provides: tex(gbkyousl67.tfm) = %{tl_version}
Provides: tex(gbkyousl68.tfm) = %{tl_version}
Provides: tex(gbkyousl69.tfm) = %{tl_version}
Provides: tex(gbkyousl70.tfm) = %{tl_version}
Provides: tex(gbkyousl71.tfm) = %{tl_version}
Provides: tex(gbkyousl72.tfm) = %{tl_version}
Provides: tex(gbkyousl73.tfm) = %{tl_version}
Provides: tex(gbkyousl74.tfm) = %{tl_version}
Provides: tex(gbkyousl75.tfm) = %{tl_version}
Provides: tex(gbkyousl76.tfm) = %{tl_version}
Provides: tex(gbkyousl77.tfm) = %{tl_version}
Provides: tex(gbkyousl78.tfm) = %{tl_version}
Provides: tex(gbkyousl79.tfm) = %{tl_version}
Provides: tex(gbkyousl80.tfm) = %{tl_version}
Provides: tex(gbkyousl81.tfm) = %{tl_version}
Provides: tex(gbkyousl82.tfm) = %{tl_version}
Provides: tex(gbkyousl83.tfm) = %{tl_version}
Provides: tex(gbkyousl84.tfm) = %{tl_version}
Provides: tex(gbkyousl85.tfm) = %{tl_version}
Provides: tex(gbkyousl86.tfm) = %{tl_version}
Provides: tex(gbkyousl87.tfm) = %{tl_version}
Provides: tex(gbkyousl88.tfm) = %{tl_version}
Provides: tex(gbkyousl89.tfm) = %{tl_version}
Provides: tex(gbkyousl90.tfm) = %{tl_version}
Provides: tex(gbkyousl91.tfm) = %{tl_version}
Provides: tex(gbkyousl92.tfm) = %{tl_version}
Provides: tex(gbkyousl93.tfm) = %{tl_version}
Provides: tex(gbkyousl94.tfm) = %{tl_version}
Provides: tex(unifs00.tfm) = %{tl_version}
Provides: tex(unifs01.tfm) = %{tl_version}
Provides: tex(unifs02.tfm) = %{tl_version}
Provides: tex(unifs03.tfm) = %{tl_version}
Provides: tex(unifs04.tfm) = %{tl_version}
Provides: tex(unifs05.tfm) = %{tl_version}
Provides: tex(unifs06.tfm) = %{tl_version}
Provides: tex(unifs07.tfm) = %{tl_version}
Provides: tex(unifs08.tfm) = %{tl_version}
Provides: tex(unifs09.tfm) = %{tl_version}
Provides: tex(unifs0a.tfm) = %{tl_version}
Provides: tex(unifs0b.tfm) = %{tl_version}
Provides: tex(unifs0c.tfm) = %{tl_version}
Provides: tex(unifs0d.tfm) = %{tl_version}
Provides: tex(unifs0e.tfm) = %{tl_version}
Provides: tex(unifs0f.tfm) = %{tl_version}
Provides: tex(unifs10.tfm) = %{tl_version}
Provides: tex(unifs11.tfm) = %{tl_version}
Provides: tex(unifs12.tfm) = %{tl_version}
Provides: tex(unifs13.tfm) = %{tl_version}
Provides: tex(unifs14.tfm) = %{tl_version}
Provides: tex(unifs15.tfm) = %{tl_version}
Provides: tex(unifs16.tfm) = %{tl_version}
Provides: tex(unifs17.tfm) = %{tl_version}
Provides: tex(unifs18.tfm) = %{tl_version}
Provides: tex(unifs19.tfm) = %{tl_version}
Provides: tex(unifs1a.tfm) = %{tl_version}
Provides: tex(unifs1b.tfm) = %{tl_version}
Provides: tex(unifs1c.tfm) = %{tl_version}
Provides: tex(unifs1d.tfm) = %{tl_version}
Provides: tex(unifs1e.tfm) = %{tl_version}
Provides: tex(unifs1f.tfm) = %{tl_version}
Provides: tex(unifs20.tfm) = %{tl_version}
Provides: tex(unifs21.tfm) = %{tl_version}
Provides: tex(unifs22.tfm) = %{tl_version}
Provides: tex(unifs23.tfm) = %{tl_version}
Provides: tex(unifs24.tfm) = %{tl_version}
Provides: tex(unifs25.tfm) = %{tl_version}
Provides: tex(unifs26.tfm) = %{tl_version}
Provides: tex(unifs27.tfm) = %{tl_version}
Provides: tex(unifs28.tfm) = %{tl_version}
Provides: tex(unifs29.tfm) = %{tl_version}
Provides: tex(unifs2a.tfm) = %{tl_version}
Provides: tex(unifs2b.tfm) = %{tl_version}
Provides: tex(unifs2c.tfm) = %{tl_version}
Provides: tex(unifs2d.tfm) = %{tl_version}
Provides: tex(unifs2e.tfm) = %{tl_version}
Provides: tex(unifs2f.tfm) = %{tl_version}
Provides: tex(unifs30.tfm) = %{tl_version}
Provides: tex(unifs31.tfm) = %{tl_version}
Provides: tex(unifs32.tfm) = %{tl_version}
Provides: tex(unifs33.tfm) = %{tl_version}
Provides: tex(unifs34.tfm) = %{tl_version}
Provides: tex(unifs35.tfm) = %{tl_version}
Provides: tex(unifs36.tfm) = %{tl_version}
Provides: tex(unifs37.tfm) = %{tl_version}
Provides: tex(unifs38.tfm) = %{tl_version}
Provides: tex(unifs39.tfm) = %{tl_version}
Provides: tex(unifs3a.tfm) = %{tl_version}
Provides: tex(unifs3b.tfm) = %{tl_version}
Provides: tex(unifs3c.tfm) = %{tl_version}
Provides: tex(unifs3d.tfm) = %{tl_version}
Provides: tex(unifs3e.tfm) = %{tl_version}
Provides: tex(unifs3f.tfm) = %{tl_version}
Provides: tex(unifs40.tfm) = %{tl_version}
Provides: tex(unifs41.tfm) = %{tl_version}
Provides: tex(unifs42.tfm) = %{tl_version}
Provides: tex(unifs43.tfm) = %{tl_version}
Provides: tex(unifs44.tfm) = %{tl_version}
Provides: tex(unifs45.tfm) = %{tl_version}
Provides: tex(unifs46.tfm) = %{tl_version}
Provides: tex(unifs47.tfm) = %{tl_version}
Provides: tex(unifs48.tfm) = %{tl_version}
Provides: tex(unifs49.tfm) = %{tl_version}
Provides: tex(unifs4a.tfm) = %{tl_version}
Provides: tex(unifs4b.tfm) = %{tl_version}
Provides: tex(unifs4c.tfm) = %{tl_version}
Provides: tex(unifs4d.tfm) = %{tl_version}
Provides: tex(unifs4e.tfm) = %{tl_version}
Provides: tex(unifs4f.tfm) = %{tl_version}
Provides: tex(unifs50.tfm) = %{tl_version}
Provides: tex(unifs51.tfm) = %{tl_version}
Provides: tex(unifs52.tfm) = %{tl_version}
Provides: tex(unifs53.tfm) = %{tl_version}
Provides: tex(unifs54.tfm) = %{tl_version}
Provides: tex(unifs55.tfm) = %{tl_version}
Provides: tex(unifs56.tfm) = %{tl_version}
Provides: tex(unifs57.tfm) = %{tl_version}
Provides: tex(unifs58.tfm) = %{tl_version}
Provides: tex(unifs59.tfm) = %{tl_version}
Provides: tex(unifs5a.tfm) = %{tl_version}
Provides: tex(unifs5b.tfm) = %{tl_version}
Provides: tex(unifs5c.tfm) = %{tl_version}
Provides: tex(unifs5d.tfm) = %{tl_version}
Provides: tex(unifs5e.tfm) = %{tl_version}
Provides: tex(unifs5f.tfm) = %{tl_version}
Provides: tex(unifs60.tfm) = %{tl_version}
Provides: tex(unifs61.tfm) = %{tl_version}
Provides: tex(unifs62.tfm) = %{tl_version}
Provides: tex(unifs63.tfm) = %{tl_version}
Provides: tex(unifs64.tfm) = %{tl_version}
Provides: tex(unifs65.tfm) = %{tl_version}
Provides: tex(unifs66.tfm) = %{tl_version}
Provides: tex(unifs67.tfm) = %{tl_version}
Provides: tex(unifs68.tfm) = %{tl_version}
Provides: tex(unifs69.tfm) = %{tl_version}
Provides: tex(unifs6a.tfm) = %{tl_version}
Provides: tex(unifs6b.tfm) = %{tl_version}
Provides: tex(unifs6c.tfm) = %{tl_version}
Provides: tex(unifs6d.tfm) = %{tl_version}
Provides: tex(unifs6e.tfm) = %{tl_version}
Provides: tex(unifs6f.tfm) = %{tl_version}
Provides: tex(unifs70.tfm) = %{tl_version}
Provides: tex(unifs71.tfm) = %{tl_version}
Provides: tex(unifs72.tfm) = %{tl_version}
Provides: tex(unifs73.tfm) = %{tl_version}
Provides: tex(unifs74.tfm) = %{tl_version}
Provides: tex(unifs75.tfm) = %{tl_version}
Provides: tex(unifs76.tfm) = %{tl_version}
Provides: tex(unifs77.tfm) = %{tl_version}
Provides: tex(unifs78.tfm) = %{tl_version}
Provides: tex(unifs79.tfm) = %{tl_version}
Provides: tex(unifs7a.tfm) = %{tl_version}
Provides: tex(unifs7b.tfm) = %{tl_version}
Provides: tex(unifs7c.tfm) = %{tl_version}
Provides: tex(unifs7d.tfm) = %{tl_version}
Provides: tex(unifs7e.tfm) = %{tl_version}
Provides: tex(unifs7f.tfm) = %{tl_version}
Provides: tex(unifs80.tfm) = %{tl_version}
Provides: tex(unifs81.tfm) = %{tl_version}
Provides: tex(unifs82.tfm) = %{tl_version}
Provides: tex(unifs83.tfm) = %{tl_version}
Provides: tex(unifs84.tfm) = %{tl_version}
Provides: tex(unifs85.tfm) = %{tl_version}
Provides: tex(unifs86.tfm) = %{tl_version}
Provides: tex(unifs87.tfm) = %{tl_version}
Provides: tex(unifs88.tfm) = %{tl_version}
Provides: tex(unifs89.tfm) = %{tl_version}
Provides: tex(unifs8a.tfm) = %{tl_version}
Provides: tex(unifs8b.tfm) = %{tl_version}
Provides: tex(unifs8c.tfm) = %{tl_version}
Provides: tex(unifs8d.tfm) = %{tl_version}
Provides: tex(unifs8e.tfm) = %{tl_version}
Provides: tex(unifs8f.tfm) = %{tl_version}
Provides: tex(unifs90.tfm) = %{tl_version}
Provides: tex(unifs91.tfm) = %{tl_version}
Provides: tex(unifs92.tfm) = %{tl_version}
Provides: tex(unifs93.tfm) = %{tl_version}
Provides: tex(unifs94.tfm) = %{tl_version}
Provides: tex(unifs95.tfm) = %{tl_version}
Provides: tex(unifs96.tfm) = %{tl_version}
Provides: tex(unifs97.tfm) = %{tl_version}
Provides: tex(unifs98.tfm) = %{tl_version}
Provides: tex(unifs99.tfm) = %{tl_version}
Provides: tex(unifs9a.tfm) = %{tl_version}
Provides: tex(unifs9b.tfm) = %{tl_version}
Provides: tex(unifs9c.tfm) = %{tl_version}
Provides: tex(unifs9d.tfm) = %{tl_version}
Provides: tex(unifs9e.tfm) = %{tl_version}
Provides: tex(unifs9f.tfm) = %{tl_version}
Provides: tex(unifsa0.tfm) = %{tl_version}
Provides: tex(unifsa1.tfm) = %{tl_version}
Provides: tex(unifsa2.tfm) = %{tl_version}
Provides: tex(unifsa3.tfm) = %{tl_version}
Provides: tex(unifsa4.tfm) = %{tl_version}
Provides: tex(unifsa5.tfm) = %{tl_version}
Provides: tex(unifsa6.tfm) = %{tl_version}
Provides: tex(unifsa7.tfm) = %{tl_version}
Provides: tex(unifsa8.tfm) = %{tl_version}
Provides: tex(unifsa9.tfm) = %{tl_version}
Provides: tex(unifsaa.tfm) = %{tl_version}
Provides: tex(unifsab.tfm) = %{tl_version}
Provides: tex(unifsac.tfm) = %{tl_version}
Provides: tex(unifsad.tfm) = %{tl_version}
Provides: tex(unifsae.tfm) = %{tl_version}
Provides: tex(unifsaf.tfm) = %{tl_version}
Provides: tex(unifsb0.tfm) = %{tl_version}
Provides: tex(unifsb1.tfm) = %{tl_version}
Provides: tex(unifsb2.tfm) = %{tl_version}
Provides: tex(unifsb3.tfm) = %{tl_version}
Provides: tex(unifsb4.tfm) = %{tl_version}
Provides: tex(unifsb5.tfm) = %{tl_version}
Provides: tex(unifsb6.tfm) = %{tl_version}
Provides: tex(unifsb7.tfm) = %{tl_version}
Provides: tex(unifsb8.tfm) = %{tl_version}
Provides: tex(unifsb9.tfm) = %{tl_version}
Provides: tex(unifsba.tfm) = %{tl_version}
Provides: tex(unifsbb.tfm) = %{tl_version}
Provides: tex(unifsbc.tfm) = %{tl_version}
Provides: tex(unifsbd.tfm) = %{tl_version}
Provides: tex(unifsbe.tfm) = %{tl_version}
Provides: tex(unifsbf.tfm) = %{tl_version}
Provides: tex(unifsc0.tfm) = %{tl_version}
Provides: tex(unifsc1.tfm) = %{tl_version}
Provides: tex(unifsc2.tfm) = %{tl_version}
Provides: tex(unifsc3.tfm) = %{tl_version}
Provides: tex(unifsc4.tfm) = %{tl_version}
Provides: tex(unifsc5.tfm) = %{tl_version}
Provides: tex(unifsc6.tfm) = %{tl_version}
Provides: tex(unifsc7.tfm) = %{tl_version}
Provides: tex(unifsc8.tfm) = %{tl_version}
Provides: tex(unifsc9.tfm) = %{tl_version}
Provides: tex(unifsca.tfm) = %{tl_version}
Provides: tex(unifscb.tfm) = %{tl_version}
Provides: tex(unifscc.tfm) = %{tl_version}
Provides: tex(unifscd.tfm) = %{tl_version}
Provides: tex(unifsce.tfm) = %{tl_version}
Provides: tex(unifscf.tfm) = %{tl_version}
Provides: tex(unifsd0.tfm) = %{tl_version}
Provides: tex(unifsd1.tfm) = %{tl_version}
Provides: tex(unifsd2.tfm) = %{tl_version}
Provides: tex(unifsd3.tfm) = %{tl_version}
Provides: tex(unifsd4.tfm) = %{tl_version}
Provides: tex(unifsd5.tfm) = %{tl_version}
Provides: tex(unifsd6.tfm) = %{tl_version}
Provides: tex(unifsd7.tfm) = %{tl_version}
Provides: tex(unifsd8.tfm) = %{tl_version}
Provides: tex(unifsd9.tfm) = %{tl_version}
Provides: tex(unifsda.tfm) = %{tl_version}
Provides: tex(unifsdb.tfm) = %{tl_version}
Provides: tex(unifsdc.tfm) = %{tl_version}
Provides: tex(unifsdd.tfm) = %{tl_version}
Provides: tex(unifsde.tfm) = %{tl_version}
Provides: tex(unifsdf.tfm) = %{tl_version}
Provides: tex(unifse0.tfm) = %{tl_version}
Provides: tex(unifse1.tfm) = %{tl_version}
Provides: tex(unifse2.tfm) = %{tl_version}
Provides: tex(unifse3.tfm) = %{tl_version}
Provides: tex(unifse4.tfm) = %{tl_version}
Provides: tex(unifse5.tfm) = %{tl_version}
Provides: tex(unifse6.tfm) = %{tl_version}
Provides: tex(unifse7.tfm) = %{tl_version}
Provides: tex(unifse8.tfm) = %{tl_version}
Provides: tex(unifse9.tfm) = %{tl_version}
Provides: tex(unifsea.tfm) = %{tl_version}
Provides: tex(unifseb.tfm) = %{tl_version}
Provides: tex(unifsec.tfm) = %{tl_version}
Provides: tex(unifsed.tfm) = %{tl_version}
Provides: tex(unifsee.tfm) = %{tl_version}
Provides: tex(unifsef.tfm) = %{tl_version}
Provides: tex(unifsf0.tfm) = %{tl_version}
Provides: tex(unifsf1.tfm) = %{tl_version}
Provides: tex(unifsf2.tfm) = %{tl_version}
Provides: tex(unifsf3.tfm) = %{tl_version}
Provides: tex(unifsf4.tfm) = %{tl_version}
Provides: tex(unifsf5.tfm) = %{tl_version}
Provides: tex(unifsf6.tfm) = %{tl_version}
Provides: tex(unifsf7.tfm) = %{tl_version}
Provides: tex(unifsf8.tfm) = %{tl_version}
Provides: tex(unifsf9.tfm) = %{tl_version}
Provides: tex(unifsfa.tfm) = %{tl_version}
Provides: tex(unifsfb.tfm) = %{tl_version}
Provides: tex(unifsfc.tfm) = %{tl_version}
Provides: tex(unifsfd.tfm) = %{tl_version}
Provides: tex(unifsfe.tfm) = %{tl_version}
Provides: tex(unifsff.tfm) = %{tl_version}
Provides: tex(unifssl00.tfm) = %{tl_version}
Provides: tex(unifssl01.tfm) = %{tl_version}
Provides: tex(unifssl02.tfm) = %{tl_version}
Provides: tex(unifssl03.tfm) = %{tl_version}
Provides: tex(unifssl04.tfm) = %{tl_version}
Provides: tex(unifssl05.tfm) = %{tl_version}
Provides: tex(unifssl06.tfm) = %{tl_version}
Provides: tex(unifssl07.tfm) = %{tl_version}
Provides: tex(unifssl08.tfm) = %{tl_version}
Provides: tex(unifssl09.tfm) = %{tl_version}
Provides: tex(unifssl0a.tfm) = %{tl_version}
Provides: tex(unifssl0b.tfm) = %{tl_version}
Provides: tex(unifssl0c.tfm) = %{tl_version}
Provides: tex(unifssl0d.tfm) = %{tl_version}
Provides: tex(unifssl0e.tfm) = %{tl_version}
Provides: tex(unifssl0f.tfm) = %{tl_version}
Provides: tex(unifssl10.tfm) = %{tl_version}
Provides: tex(unifssl11.tfm) = %{tl_version}
Provides: tex(unifssl12.tfm) = %{tl_version}
Provides: tex(unifssl13.tfm) = %{tl_version}
Provides: tex(unifssl14.tfm) = %{tl_version}
Provides: tex(unifssl15.tfm) = %{tl_version}
Provides: tex(unifssl16.tfm) = %{tl_version}
Provides: tex(unifssl17.tfm) = %{tl_version}
Provides: tex(unifssl18.tfm) = %{tl_version}
Provides: tex(unifssl19.tfm) = %{tl_version}
Provides: tex(unifssl1a.tfm) = %{tl_version}
Provides: tex(unifssl1b.tfm) = %{tl_version}
Provides: tex(unifssl1c.tfm) = %{tl_version}
Provides: tex(unifssl1d.tfm) = %{tl_version}
Provides: tex(unifssl1e.tfm) = %{tl_version}
Provides: tex(unifssl1f.tfm) = %{tl_version}
Provides: tex(unifssl20.tfm) = %{tl_version}
Provides: tex(unifssl21.tfm) = %{tl_version}
Provides: tex(unifssl22.tfm) = %{tl_version}
Provides: tex(unifssl23.tfm) = %{tl_version}
Provides: tex(unifssl24.tfm) = %{tl_version}
Provides: tex(unifssl25.tfm) = %{tl_version}
Provides: tex(unifssl26.tfm) = %{tl_version}
Provides: tex(unifssl27.tfm) = %{tl_version}
Provides: tex(unifssl28.tfm) = %{tl_version}
Provides: tex(unifssl29.tfm) = %{tl_version}
Provides: tex(unifssl2a.tfm) = %{tl_version}
Provides: tex(unifssl2b.tfm) = %{tl_version}
Provides: tex(unifssl2c.tfm) = %{tl_version}
Provides: tex(unifssl2d.tfm) = %{tl_version}
Provides: tex(unifssl2e.tfm) = %{tl_version}
Provides: tex(unifssl2f.tfm) = %{tl_version}
Provides: tex(unifssl30.tfm) = %{tl_version}
Provides: tex(unifssl31.tfm) = %{tl_version}
Provides: tex(unifssl32.tfm) = %{tl_version}
Provides: tex(unifssl33.tfm) = %{tl_version}
Provides: tex(unifssl34.tfm) = %{tl_version}
Provides: tex(unifssl35.tfm) = %{tl_version}
Provides: tex(unifssl36.tfm) = %{tl_version}
Provides: tex(unifssl37.tfm) = %{tl_version}
Provides: tex(unifssl38.tfm) = %{tl_version}
Provides: tex(unifssl39.tfm) = %{tl_version}
Provides: tex(unifssl3a.tfm) = %{tl_version}
Provides: tex(unifssl3b.tfm) = %{tl_version}
Provides: tex(unifssl3c.tfm) = %{tl_version}
Provides: tex(unifssl3d.tfm) = %{tl_version}
Provides: tex(unifssl3e.tfm) = %{tl_version}
Provides: tex(unifssl3f.tfm) = %{tl_version}
Provides: tex(unifssl40.tfm) = %{tl_version}
Provides: tex(unifssl41.tfm) = %{tl_version}
Provides: tex(unifssl42.tfm) = %{tl_version}
Provides: tex(unifssl43.tfm) = %{tl_version}
Provides: tex(unifssl44.tfm) = %{tl_version}
Provides: tex(unifssl45.tfm) = %{tl_version}
Provides: tex(unifssl46.tfm) = %{tl_version}
Provides: tex(unifssl47.tfm) = %{tl_version}
Provides: tex(unifssl48.tfm) = %{tl_version}
Provides: tex(unifssl49.tfm) = %{tl_version}
Provides: tex(unifssl4a.tfm) = %{tl_version}
Provides: tex(unifssl4b.tfm) = %{tl_version}
Provides: tex(unifssl4c.tfm) = %{tl_version}
Provides: tex(unifssl4d.tfm) = %{tl_version}
Provides: tex(unifssl4e.tfm) = %{tl_version}
Provides: tex(unifssl4f.tfm) = %{tl_version}
Provides: tex(unifssl50.tfm) = %{tl_version}
Provides: tex(unifssl51.tfm) = %{tl_version}
Provides: tex(unifssl52.tfm) = %{tl_version}
Provides: tex(unifssl53.tfm) = %{tl_version}
Provides: tex(unifssl54.tfm) = %{tl_version}
Provides: tex(unifssl55.tfm) = %{tl_version}
Provides: tex(unifssl56.tfm) = %{tl_version}
Provides: tex(unifssl57.tfm) = %{tl_version}
Provides: tex(unifssl58.tfm) = %{tl_version}
Provides: tex(unifssl59.tfm) = %{tl_version}
Provides: tex(unifssl5a.tfm) = %{tl_version}
Provides: tex(unifssl5b.tfm) = %{tl_version}
Provides: tex(unifssl5c.tfm) = %{tl_version}
Provides: tex(unifssl5d.tfm) = %{tl_version}
Provides: tex(unifssl5e.tfm) = %{tl_version}
Provides: tex(unifssl5f.tfm) = %{tl_version}
Provides: tex(unifssl60.tfm) = %{tl_version}
Provides: tex(unifssl61.tfm) = %{tl_version}
Provides: tex(unifssl62.tfm) = %{tl_version}
Provides: tex(unifssl63.tfm) = %{tl_version}
Provides: tex(unifssl64.tfm) = %{tl_version}
Provides: tex(unifssl65.tfm) = %{tl_version}
Provides: tex(unifssl66.tfm) = %{tl_version}
Provides: tex(unifssl67.tfm) = %{tl_version}
Provides: tex(unifssl68.tfm) = %{tl_version}
Provides: tex(unifssl69.tfm) = %{tl_version}
Provides: tex(unifssl6a.tfm) = %{tl_version}
Provides: tex(unifssl6b.tfm) = %{tl_version}
Provides: tex(unifssl6c.tfm) = %{tl_version}
Provides: tex(unifssl6d.tfm) = %{tl_version}
Provides: tex(unifssl6e.tfm) = %{tl_version}
Provides: tex(unifssl6f.tfm) = %{tl_version}
Provides: tex(unifssl70.tfm) = %{tl_version}
Provides: tex(unifssl71.tfm) = %{tl_version}
Provides: tex(unifssl72.tfm) = %{tl_version}
Provides: tex(unifssl73.tfm) = %{tl_version}
Provides: tex(unifssl74.tfm) = %{tl_version}
Provides: tex(unifssl75.tfm) = %{tl_version}
Provides: tex(unifssl76.tfm) = %{tl_version}
Provides: tex(unifssl77.tfm) = %{tl_version}
Provides: tex(unifssl78.tfm) = %{tl_version}
Provides: tex(unifssl79.tfm) = %{tl_version}
Provides: tex(unifssl7a.tfm) = %{tl_version}
Provides: tex(unifssl7b.tfm) = %{tl_version}
Provides: tex(unifssl7c.tfm) = %{tl_version}
Provides: tex(unifssl7d.tfm) = %{tl_version}
Provides: tex(unifssl7e.tfm) = %{tl_version}
Provides: tex(unifssl7f.tfm) = %{tl_version}
Provides: tex(unifssl80.tfm) = %{tl_version}
Provides: tex(unifssl81.tfm) = %{tl_version}
Provides: tex(unifssl82.tfm) = %{tl_version}
Provides: tex(unifssl83.tfm) = %{tl_version}
Provides: tex(unifssl84.tfm) = %{tl_version}
Provides: tex(unifssl85.tfm) = %{tl_version}
Provides: tex(unifssl86.tfm) = %{tl_version}
Provides: tex(unifssl87.tfm) = %{tl_version}
Provides: tex(unifssl88.tfm) = %{tl_version}
Provides: tex(unifssl89.tfm) = %{tl_version}
Provides: tex(unifssl8a.tfm) = %{tl_version}
Provides: tex(unifssl8b.tfm) = %{tl_version}
Provides: tex(unifssl8c.tfm) = %{tl_version}
Provides: tex(unifssl8d.tfm) = %{tl_version}
Provides: tex(unifssl8e.tfm) = %{tl_version}
Provides: tex(unifssl8f.tfm) = %{tl_version}
Provides: tex(unifssl90.tfm) = %{tl_version}
Provides: tex(unifssl91.tfm) = %{tl_version}
Provides: tex(unifssl92.tfm) = %{tl_version}
Provides: tex(unifssl93.tfm) = %{tl_version}
Provides: tex(unifssl94.tfm) = %{tl_version}
Provides: tex(unifssl95.tfm) = %{tl_version}
Provides: tex(unifssl96.tfm) = %{tl_version}
Provides: tex(unifssl97.tfm) = %{tl_version}
Provides: tex(unifssl98.tfm) = %{tl_version}
Provides: tex(unifssl99.tfm) = %{tl_version}
Provides: tex(unifssl9a.tfm) = %{tl_version}
Provides: tex(unifssl9b.tfm) = %{tl_version}
Provides: tex(unifssl9c.tfm) = %{tl_version}
Provides: tex(unifssl9d.tfm) = %{tl_version}
Provides: tex(unifssl9e.tfm) = %{tl_version}
Provides: tex(unifssl9f.tfm) = %{tl_version}
Provides: tex(unifssla0.tfm) = %{tl_version}
Provides: tex(unifssla1.tfm) = %{tl_version}
Provides: tex(unifssla2.tfm) = %{tl_version}
Provides: tex(unifssla3.tfm) = %{tl_version}
Provides: tex(unifssla4.tfm) = %{tl_version}
Provides: tex(unifssla5.tfm) = %{tl_version}
Provides: tex(unifssla6.tfm) = %{tl_version}
Provides: tex(unifssla7.tfm) = %{tl_version}
Provides: tex(unifssla8.tfm) = %{tl_version}
Provides: tex(unifssla9.tfm) = %{tl_version}
Provides: tex(unifsslaa.tfm) = %{tl_version}
Provides: tex(unifsslab.tfm) = %{tl_version}
Provides: tex(unifsslac.tfm) = %{tl_version}
Provides: tex(unifsslad.tfm) = %{tl_version}
Provides: tex(unifsslae.tfm) = %{tl_version}
Provides: tex(unifsslaf.tfm) = %{tl_version}
Provides: tex(unifsslb0.tfm) = %{tl_version}
Provides: tex(unifsslb1.tfm) = %{tl_version}
Provides: tex(unifsslb2.tfm) = %{tl_version}
Provides: tex(unifsslb3.tfm) = %{tl_version}
Provides: tex(unifsslb4.tfm) = %{tl_version}
Provides: tex(unifsslb5.tfm) = %{tl_version}
Provides: tex(unifsslb6.tfm) = %{tl_version}
Provides: tex(unifsslb7.tfm) = %{tl_version}
Provides: tex(unifsslb8.tfm) = %{tl_version}
Provides: tex(unifsslb9.tfm) = %{tl_version}
Provides: tex(unifsslba.tfm) = %{tl_version}
Provides: tex(unifsslbb.tfm) = %{tl_version}
Provides: tex(unifsslbc.tfm) = %{tl_version}
Provides: tex(unifsslbd.tfm) = %{tl_version}
Provides: tex(unifsslbe.tfm) = %{tl_version}
Provides: tex(unifsslbf.tfm) = %{tl_version}
Provides: tex(unifsslc0.tfm) = %{tl_version}
Provides: tex(unifsslc1.tfm) = %{tl_version}
Provides: tex(unifsslc2.tfm) = %{tl_version}
Provides: tex(unifsslc3.tfm) = %{tl_version}
Provides: tex(unifsslc4.tfm) = %{tl_version}
Provides: tex(unifsslc5.tfm) = %{tl_version}
Provides: tex(unifsslc6.tfm) = %{tl_version}
Provides: tex(unifsslc7.tfm) = %{tl_version}
Provides: tex(unifsslc8.tfm) = %{tl_version}
Provides: tex(unifsslc9.tfm) = %{tl_version}
Provides: tex(unifsslca.tfm) = %{tl_version}
Provides: tex(unifsslcb.tfm) = %{tl_version}
Provides: tex(unifsslcc.tfm) = %{tl_version}
Provides: tex(unifsslcd.tfm) = %{tl_version}
Provides: tex(unifsslce.tfm) = %{tl_version}
Provides: tex(unifsslcf.tfm) = %{tl_version}
Provides: tex(unifssld0.tfm) = %{tl_version}
Provides: tex(unifssld1.tfm) = %{tl_version}
Provides: tex(unifssld2.tfm) = %{tl_version}
Provides: tex(unifssld3.tfm) = %{tl_version}
Provides: tex(unifssld4.tfm) = %{tl_version}
Provides: tex(unifssld5.tfm) = %{tl_version}
Provides: tex(unifssld6.tfm) = %{tl_version}
Provides: tex(unifssld7.tfm) = %{tl_version}
Provides: tex(unifssld8.tfm) = %{tl_version}
Provides: tex(unifssld9.tfm) = %{tl_version}
Provides: tex(unifsslda.tfm) = %{tl_version}
Provides: tex(unifssldb.tfm) = %{tl_version}
Provides: tex(unifssldc.tfm) = %{tl_version}
Provides: tex(unifssldd.tfm) = %{tl_version}
Provides: tex(unifsslde.tfm) = %{tl_version}
Provides: tex(unifssldf.tfm) = %{tl_version}
Provides: tex(unifssle0.tfm) = %{tl_version}
Provides: tex(unifssle1.tfm) = %{tl_version}
Provides: tex(unifssle2.tfm) = %{tl_version}
Provides: tex(unifssle3.tfm) = %{tl_version}
Provides: tex(unifssle4.tfm) = %{tl_version}
Provides: tex(unifssle5.tfm) = %{tl_version}
Provides: tex(unifssle6.tfm) = %{tl_version}
Provides: tex(unifssle7.tfm) = %{tl_version}
Provides: tex(unifssle8.tfm) = %{tl_version}
Provides: tex(unifssle9.tfm) = %{tl_version}
Provides: tex(unifsslea.tfm) = %{tl_version}
Provides: tex(unifssleb.tfm) = %{tl_version}
Provides: tex(unifsslec.tfm) = %{tl_version}
Provides: tex(unifssled.tfm) = %{tl_version}
Provides: tex(unifsslee.tfm) = %{tl_version}
Provides: tex(unifsslef.tfm) = %{tl_version}
Provides: tex(unifsslf0.tfm) = %{tl_version}
Provides: tex(unifsslf1.tfm) = %{tl_version}
Provides: tex(unifsslf2.tfm) = %{tl_version}
Provides: tex(unifsslf3.tfm) = %{tl_version}
Provides: tex(unifsslf4.tfm) = %{tl_version}
Provides: tex(unifsslf5.tfm) = %{tl_version}
Provides: tex(unifsslf6.tfm) = %{tl_version}
Provides: tex(unifsslf7.tfm) = %{tl_version}
Provides: tex(unifsslf8.tfm) = %{tl_version}
Provides: tex(unifsslf9.tfm) = %{tl_version}
Provides: tex(unifsslfa.tfm) = %{tl_version}
Provides: tex(unifsslfb.tfm) = %{tl_version}
Provides: tex(unifsslfc.tfm) = %{tl_version}
Provides: tex(unifsslfd.tfm) = %{tl_version}
Provides: tex(unifsslfe.tfm) = %{tl_version}
Provides: tex(unifsslff.tfm) = %{tl_version}
Provides: tex(unihei00.tfm) = %{tl_version}
Provides: tex(unihei01.tfm) = %{tl_version}
Provides: tex(unihei02.tfm) = %{tl_version}
Provides: tex(unihei03.tfm) = %{tl_version}
Provides: tex(unihei04.tfm) = %{tl_version}
Provides: tex(unihei05.tfm) = %{tl_version}
Provides: tex(unihei06.tfm) = %{tl_version}
Provides: tex(unihei07.tfm) = %{tl_version}
Provides: tex(unihei08.tfm) = %{tl_version}
Provides: tex(unihei09.tfm) = %{tl_version}
Provides: tex(unihei0a.tfm) = %{tl_version}
Provides: tex(unihei0b.tfm) = %{tl_version}
Provides: tex(unihei0c.tfm) = %{tl_version}
Provides: tex(unihei0d.tfm) = %{tl_version}
Provides: tex(unihei0e.tfm) = %{tl_version}
Provides: tex(unihei0f.tfm) = %{tl_version}
Provides: tex(unihei10.tfm) = %{tl_version}
Provides: tex(unihei11.tfm) = %{tl_version}
Provides: tex(unihei12.tfm) = %{tl_version}
Provides: tex(unihei13.tfm) = %{tl_version}
Provides: tex(unihei14.tfm) = %{tl_version}
Provides: tex(unihei15.tfm) = %{tl_version}
Provides: tex(unihei16.tfm) = %{tl_version}
Provides: tex(unihei17.tfm) = %{tl_version}
Provides: tex(unihei18.tfm) = %{tl_version}
Provides: tex(unihei19.tfm) = %{tl_version}
Provides: tex(unihei1a.tfm) = %{tl_version}
Provides: tex(unihei1b.tfm) = %{tl_version}
Provides: tex(unihei1c.tfm) = %{tl_version}
Provides: tex(unihei1d.tfm) = %{tl_version}
Provides: tex(unihei1e.tfm) = %{tl_version}
Provides: tex(unihei1f.tfm) = %{tl_version}
Provides: tex(unihei20.tfm) = %{tl_version}
Provides: tex(unihei21.tfm) = %{tl_version}
Provides: tex(unihei22.tfm) = %{tl_version}
Provides: tex(unihei23.tfm) = %{tl_version}
Provides: tex(unihei24.tfm) = %{tl_version}
Provides: tex(unihei25.tfm) = %{tl_version}
Provides: tex(unihei26.tfm) = %{tl_version}
Provides: tex(unihei27.tfm) = %{tl_version}
Provides: tex(unihei28.tfm) = %{tl_version}
Provides: tex(unihei29.tfm) = %{tl_version}
Provides: tex(unihei2a.tfm) = %{tl_version}
Provides: tex(unihei2b.tfm) = %{tl_version}
Provides: tex(unihei2c.tfm) = %{tl_version}
Provides: tex(unihei2d.tfm) = %{tl_version}
Provides: tex(unihei2e.tfm) = %{tl_version}
Provides: tex(unihei2f.tfm) = %{tl_version}
Provides: tex(unihei30.tfm) = %{tl_version}
Provides: tex(unihei31.tfm) = %{tl_version}
Provides: tex(unihei32.tfm) = %{tl_version}
Provides: tex(unihei33.tfm) = %{tl_version}
Provides: tex(unihei34.tfm) = %{tl_version}
Provides: tex(unihei35.tfm) = %{tl_version}
Provides: tex(unihei36.tfm) = %{tl_version}
Provides: tex(unihei37.tfm) = %{tl_version}
Provides: tex(unihei38.tfm) = %{tl_version}
Provides: tex(unihei39.tfm) = %{tl_version}
Provides: tex(unihei3a.tfm) = %{tl_version}
Provides: tex(unihei3b.tfm) = %{tl_version}
Provides: tex(unihei3c.tfm) = %{tl_version}
Provides: tex(unihei3d.tfm) = %{tl_version}
Provides: tex(unihei3e.tfm) = %{tl_version}
Provides: tex(unihei3f.tfm) = %{tl_version}
Provides: tex(unihei40.tfm) = %{tl_version}
Provides: tex(unihei41.tfm) = %{tl_version}
Provides: tex(unihei42.tfm) = %{tl_version}
Provides: tex(unihei43.tfm) = %{tl_version}
Provides: tex(unihei44.tfm) = %{tl_version}
Provides: tex(unihei45.tfm) = %{tl_version}
Provides: tex(unihei46.tfm) = %{tl_version}
Provides: tex(unihei47.tfm) = %{tl_version}
Provides: tex(unihei48.tfm) = %{tl_version}
Provides: tex(unihei49.tfm) = %{tl_version}
Provides: tex(unihei4a.tfm) = %{tl_version}
Provides: tex(unihei4b.tfm) = %{tl_version}
Provides: tex(unihei4c.tfm) = %{tl_version}
Provides: tex(unihei4d.tfm) = %{tl_version}
Provides: tex(unihei4e.tfm) = %{tl_version}
Provides: tex(unihei4f.tfm) = %{tl_version}
Provides: tex(unihei50.tfm) = %{tl_version}
Provides: tex(unihei51.tfm) = %{tl_version}
Provides: tex(unihei52.tfm) = %{tl_version}
Provides: tex(unihei53.tfm) = %{tl_version}
Provides: tex(unihei54.tfm) = %{tl_version}
Provides: tex(unihei55.tfm) = %{tl_version}
Provides: tex(unihei56.tfm) = %{tl_version}
Provides: tex(unihei57.tfm) = %{tl_version}
Provides: tex(unihei58.tfm) = %{tl_version}
Provides: tex(unihei59.tfm) = %{tl_version}
Provides: tex(unihei5a.tfm) = %{tl_version}
Provides: tex(unihei5b.tfm) = %{tl_version}
Provides: tex(unihei5c.tfm) = %{tl_version}
Provides: tex(unihei5d.tfm) = %{tl_version}
Provides: tex(unihei5e.tfm) = %{tl_version}
Provides: tex(unihei5f.tfm) = %{tl_version}
Provides: tex(unihei60.tfm) = %{tl_version}
Provides: tex(unihei61.tfm) = %{tl_version}
Provides: tex(unihei62.tfm) = %{tl_version}
Provides: tex(unihei63.tfm) = %{tl_version}
Provides: tex(unihei64.tfm) = %{tl_version}
Provides: tex(unihei65.tfm) = %{tl_version}
Provides: tex(unihei66.tfm) = %{tl_version}
Provides: tex(unihei67.tfm) = %{tl_version}
Provides: tex(unihei68.tfm) = %{tl_version}
Provides: tex(unihei69.tfm) = %{tl_version}
Provides: tex(unihei6a.tfm) = %{tl_version}
Provides: tex(unihei6b.tfm) = %{tl_version}
Provides: tex(unihei6c.tfm) = %{tl_version}
Provides: tex(unihei6d.tfm) = %{tl_version}
Provides: tex(unihei6e.tfm) = %{tl_version}
Provides: tex(unihei6f.tfm) = %{tl_version}
Provides: tex(unihei70.tfm) = %{tl_version}
Provides: tex(unihei71.tfm) = %{tl_version}
Provides: tex(unihei72.tfm) = %{tl_version}
Provides: tex(unihei73.tfm) = %{tl_version}
Provides: tex(unihei74.tfm) = %{tl_version}
Provides: tex(unihei75.tfm) = %{tl_version}
Provides: tex(unihei76.tfm) = %{tl_version}
Provides: tex(unihei77.tfm) = %{tl_version}
Provides: tex(unihei78.tfm) = %{tl_version}
Provides: tex(unihei79.tfm) = %{tl_version}
Provides: tex(unihei7a.tfm) = %{tl_version}
Provides: tex(unihei7b.tfm) = %{tl_version}
Provides: tex(unihei7c.tfm) = %{tl_version}
Provides: tex(unihei7d.tfm) = %{tl_version}
Provides: tex(unihei7e.tfm) = %{tl_version}
Provides: tex(unihei7f.tfm) = %{tl_version}
Provides: tex(unihei80.tfm) = %{tl_version}
Provides: tex(unihei81.tfm) = %{tl_version}
Provides: tex(unihei82.tfm) = %{tl_version}
Provides: tex(unihei83.tfm) = %{tl_version}
Provides: tex(unihei84.tfm) = %{tl_version}
Provides: tex(unihei85.tfm) = %{tl_version}
Provides: tex(unihei86.tfm) = %{tl_version}
Provides: tex(unihei87.tfm) = %{tl_version}
Provides: tex(unihei88.tfm) = %{tl_version}
Provides: tex(unihei89.tfm) = %{tl_version}
Provides: tex(unihei8a.tfm) = %{tl_version}
Provides: tex(unihei8b.tfm) = %{tl_version}
Provides: tex(unihei8c.tfm) = %{tl_version}
Provides: tex(unihei8d.tfm) = %{tl_version}
Provides: tex(unihei8e.tfm) = %{tl_version}
Provides: tex(unihei8f.tfm) = %{tl_version}
Provides: tex(unihei90.tfm) = %{tl_version}
Provides: tex(unihei91.tfm) = %{tl_version}
Provides: tex(unihei92.tfm) = %{tl_version}
Provides: tex(unihei93.tfm) = %{tl_version}
Provides: tex(unihei94.tfm) = %{tl_version}
Provides: tex(unihei95.tfm) = %{tl_version}
Provides: tex(unihei96.tfm) = %{tl_version}
Provides: tex(unihei97.tfm) = %{tl_version}
Provides: tex(unihei98.tfm) = %{tl_version}
Provides: tex(unihei99.tfm) = %{tl_version}
Provides: tex(unihei9a.tfm) = %{tl_version}
Provides: tex(unihei9b.tfm) = %{tl_version}
Provides: tex(unihei9c.tfm) = %{tl_version}
Provides: tex(unihei9d.tfm) = %{tl_version}
Provides: tex(unihei9e.tfm) = %{tl_version}
Provides: tex(unihei9f.tfm) = %{tl_version}
Provides: tex(uniheia0.tfm) = %{tl_version}
Provides: tex(uniheia1.tfm) = %{tl_version}
Provides: tex(uniheia2.tfm) = %{tl_version}
Provides: tex(uniheia3.tfm) = %{tl_version}
Provides: tex(uniheia4.tfm) = %{tl_version}
Provides: tex(uniheia5.tfm) = %{tl_version}
Provides: tex(uniheia6.tfm) = %{tl_version}
Provides: tex(uniheia7.tfm) = %{tl_version}
Provides: tex(uniheia8.tfm) = %{tl_version}
Provides: tex(uniheia9.tfm) = %{tl_version}
Provides: tex(uniheiaa.tfm) = %{tl_version}
Provides: tex(uniheiab.tfm) = %{tl_version}
Provides: tex(uniheiac.tfm) = %{tl_version}
Provides: tex(uniheiad.tfm) = %{tl_version}
Provides: tex(uniheiae.tfm) = %{tl_version}
Provides: tex(uniheiaf.tfm) = %{tl_version}
Provides: tex(uniheib0.tfm) = %{tl_version}
Provides: tex(uniheib1.tfm) = %{tl_version}
Provides: tex(uniheib2.tfm) = %{tl_version}
Provides: tex(uniheib3.tfm) = %{tl_version}
Provides: tex(uniheib4.tfm) = %{tl_version}
Provides: tex(uniheib5.tfm) = %{tl_version}
Provides: tex(uniheib6.tfm) = %{tl_version}
Provides: tex(uniheib7.tfm) = %{tl_version}
Provides: tex(uniheib8.tfm) = %{tl_version}
Provides: tex(uniheib9.tfm) = %{tl_version}
Provides: tex(uniheiba.tfm) = %{tl_version}
Provides: tex(uniheibb.tfm) = %{tl_version}
Provides: tex(uniheibc.tfm) = %{tl_version}
Provides: tex(uniheibd.tfm) = %{tl_version}
Provides: tex(uniheibe.tfm) = %{tl_version}
Provides: tex(uniheibf.tfm) = %{tl_version}
Provides: tex(uniheic0.tfm) = %{tl_version}
Provides: tex(uniheic1.tfm) = %{tl_version}
Provides: tex(uniheic2.tfm) = %{tl_version}
Provides: tex(uniheic3.tfm) = %{tl_version}
Provides: tex(uniheic4.tfm) = %{tl_version}
Provides: tex(uniheic5.tfm) = %{tl_version}
Provides: tex(uniheic6.tfm) = %{tl_version}
Provides: tex(uniheic7.tfm) = %{tl_version}
Provides: tex(uniheic8.tfm) = %{tl_version}
Provides: tex(uniheic9.tfm) = %{tl_version}
Provides: tex(uniheica.tfm) = %{tl_version}
Provides: tex(uniheicb.tfm) = %{tl_version}
Provides: tex(uniheicc.tfm) = %{tl_version}
Provides: tex(uniheicd.tfm) = %{tl_version}
Provides: tex(uniheice.tfm) = %{tl_version}
Provides: tex(uniheicf.tfm) = %{tl_version}
Provides: tex(uniheid0.tfm) = %{tl_version}
Provides: tex(uniheid1.tfm) = %{tl_version}
Provides: tex(uniheid2.tfm) = %{tl_version}
Provides: tex(uniheid3.tfm) = %{tl_version}
Provides: tex(uniheid4.tfm) = %{tl_version}
Provides: tex(uniheid5.tfm) = %{tl_version}
Provides: tex(uniheid6.tfm) = %{tl_version}
Provides: tex(uniheid7.tfm) = %{tl_version}
Provides: tex(uniheid8.tfm) = %{tl_version}
Provides: tex(uniheid9.tfm) = %{tl_version}
Provides: tex(uniheida.tfm) = %{tl_version}
Provides: tex(uniheidb.tfm) = %{tl_version}
Provides: tex(uniheidc.tfm) = %{tl_version}
Provides: tex(uniheidd.tfm) = %{tl_version}
Provides: tex(uniheide.tfm) = %{tl_version}
Provides: tex(uniheidf.tfm) = %{tl_version}
Provides: tex(uniheie0.tfm) = %{tl_version}
Provides: tex(uniheie1.tfm) = %{tl_version}
Provides: tex(uniheie2.tfm) = %{tl_version}
Provides: tex(uniheie3.tfm) = %{tl_version}
Provides: tex(uniheie4.tfm) = %{tl_version}
Provides: tex(uniheie5.tfm) = %{tl_version}
Provides: tex(uniheie6.tfm) = %{tl_version}
Provides: tex(uniheie7.tfm) = %{tl_version}
Provides: tex(uniheie8.tfm) = %{tl_version}
Provides: tex(uniheie9.tfm) = %{tl_version}
Provides: tex(uniheiea.tfm) = %{tl_version}
Provides: tex(uniheieb.tfm) = %{tl_version}
Provides: tex(uniheiec.tfm) = %{tl_version}
Provides: tex(uniheied.tfm) = %{tl_version}
Provides: tex(uniheiee.tfm) = %{tl_version}
Provides: tex(uniheief.tfm) = %{tl_version}
Provides: tex(uniheif0.tfm) = %{tl_version}
Provides: tex(uniheif1.tfm) = %{tl_version}
Provides: tex(uniheif2.tfm) = %{tl_version}
Provides: tex(uniheif3.tfm) = %{tl_version}
Provides: tex(uniheif4.tfm) = %{tl_version}
Provides: tex(uniheif5.tfm) = %{tl_version}
Provides: tex(uniheif6.tfm) = %{tl_version}
Provides: tex(uniheif7.tfm) = %{tl_version}
Provides: tex(uniheif8.tfm) = %{tl_version}
Provides: tex(uniheif9.tfm) = %{tl_version}
Provides: tex(uniheifa.tfm) = %{tl_version}
Provides: tex(uniheifb.tfm) = %{tl_version}
Provides: tex(uniheifc.tfm) = %{tl_version}
Provides: tex(uniheifd.tfm) = %{tl_version}
Provides: tex(uniheife.tfm) = %{tl_version}
Provides: tex(uniheiff.tfm) = %{tl_version}
Provides: tex(uniheisl00.tfm) = %{tl_version}
Provides: tex(uniheisl01.tfm) = %{tl_version}
Provides: tex(uniheisl02.tfm) = %{tl_version}
Provides: tex(uniheisl03.tfm) = %{tl_version}
Provides: tex(uniheisl04.tfm) = %{tl_version}
Provides: tex(uniheisl05.tfm) = %{tl_version}
Provides: tex(uniheisl06.tfm) = %{tl_version}
Provides: tex(uniheisl07.tfm) = %{tl_version}
Provides: tex(uniheisl08.tfm) = %{tl_version}
Provides: tex(uniheisl09.tfm) = %{tl_version}
Provides: tex(uniheisl0a.tfm) = %{tl_version}
Provides: tex(uniheisl0b.tfm) = %{tl_version}
Provides: tex(uniheisl0c.tfm) = %{tl_version}
Provides: tex(uniheisl0d.tfm) = %{tl_version}
Provides: tex(uniheisl0e.tfm) = %{tl_version}
Provides: tex(uniheisl0f.tfm) = %{tl_version}
Provides: tex(uniheisl10.tfm) = %{tl_version}
Provides: tex(uniheisl11.tfm) = %{tl_version}
Provides: tex(uniheisl12.tfm) = %{tl_version}
Provides: tex(uniheisl13.tfm) = %{tl_version}
Provides: tex(uniheisl14.tfm) = %{tl_version}
Provides: tex(uniheisl15.tfm) = %{tl_version}
Provides: tex(uniheisl16.tfm) = %{tl_version}
Provides: tex(uniheisl17.tfm) = %{tl_version}
Provides: tex(uniheisl18.tfm) = %{tl_version}
Provides: tex(uniheisl19.tfm) = %{tl_version}
Provides: tex(uniheisl1a.tfm) = %{tl_version}
Provides: tex(uniheisl1b.tfm) = %{tl_version}
Provides: tex(uniheisl1c.tfm) = %{tl_version}
Provides: tex(uniheisl1d.tfm) = %{tl_version}
Provides: tex(uniheisl1e.tfm) = %{tl_version}
Provides: tex(uniheisl1f.tfm) = %{tl_version}
Provides: tex(uniheisl20.tfm) = %{tl_version}
Provides: tex(uniheisl21.tfm) = %{tl_version}
Provides: tex(uniheisl22.tfm) = %{tl_version}
Provides: tex(uniheisl23.tfm) = %{tl_version}
Provides: tex(uniheisl24.tfm) = %{tl_version}
Provides: tex(uniheisl25.tfm) = %{tl_version}
Provides: tex(uniheisl26.tfm) = %{tl_version}
Provides: tex(uniheisl27.tfm) = %{tl_version}
Provides: tex(uniheisl28.tfm) = %{tl_version}
Provides: tex(uniheisl29.tfm) = %{tl_version}
Provides: tex(uniheisl2a.tfm) = %{tl_version}
Provides: tex(uniheisl2b.tfm) = %{tl_version}
Provides: tex(uniheisl2c.tfm) = %{tl_version}
Provides: tex(uniheisl2d.tfm) = %{tl_version}
Provides: tex(uniheisl2e.tfm) = %{tl_version}
Provides: tex(uniheisl2f.tfm) = %{tl_version}
Provides: tex(uniheisl30.tfm) = %{tl_version}
Provides: tex(uniheisl31.tfm) = %{tl_version}
Provides: tex(uniheisl32.tfm) = %{tl_version}
Provides: tex(uniheisl33.tfm) = %{tl_version}
Provides: tex(uniheisl34.tfm) = %{tl_version}
Provides: tex(uniheisl35.tfm) = %{tl_version}
Provides: tex(uniheisl36.tfm) = %{tl_version}
Provides: tex(uniheisl37.tfm) = %{tl_version}
Provides: tex(uniheisl38.tfm) = %{tl_version}
Provides: tex(uniheisl39.tfm) = %{tl_version}
Provides: tex(uniheisl3a.tfm) = %{tl_version}
Provides: tex(uniheisl3b.tfm) = %{tl_version}
Provides: tex(uniheisl3c.tfm) = %{tl_version}
Provides: tex(uniheisl3d.tfm) = %{tl_version}
Provides: tex(uniheisl3e.tfm) = %{tl_version}
Provides: tex(uniheisl3f.tfm) = %{tl_version}
Provides: tex(uniheisl40.tfm) = %{tl_version}
Provides: tex(uniheisl41.tfm) = %{tl_version}
Provides: tex(uniheisl42.tfm) = %{tl_version}
Provides: tex(uniheisl43.tfm) = %{tl_version}
Provides: tex(uniheisl44.tfm) = %{tl_version}
Provides: tex(uniheisl45.tfm) = %{tl_version}
Provides: tex(uniheisl46.tfm) = %{tl_version}
Provides: tex(uniheisl47.tfm) = %{tl_version}
Provides: tex(uniheisl48.tfm) = %{tl_version}
Provides: tex(uniheisl49.tfm) = %{tl_version}
Provides: tex(uniheisl4a.tfm) = %{tl_version}
Provides: tex(uniheisl4b.tfm) = %{tl_version}
Provides: tex(uniheisl4c.tfm) = %{tl_version}
Provides: tex(uniheisl4d.tfm) = %{tl_version}
Provides: tex(uniheisl4e.tfm) = %{tl_version}
Provides: tex(uniheisl4f.tfm) = %{tl_version}
Provides: tex(uniheisl50.tfm) = %{tl_version}
Provides: tex(uniheisl51.tfm) = %{tl_version}
Provides: tex(uniheisl52.tfm) = %{tl_version}
Provides: tex(uniheisl53.tfm) = %{tl_version}
Provides: tex(uniheisl54.tfm) = %{tl_version}
Provides: tex(uniheisl55.tfm) = %{tl_version}
Provides: tex(uniheisl56.tfm) = %{tl_version}
Provides: tex(uniheisl57.tfm) = %{tl_version}
Provides: tex(uniheisl58.tfm) = %{tl_version}
Provides: tex(uniheisl59.tfm) = %{tl_version}
Provides: tex(uniheisl5a.tfm) = %{tl_version}
Provides: tex(uniheisl5b.tfm) = %{tl_version}
Provides: tex(uniheisl5c.tfm) = %{tl_version}
Provides: tex(uniheisl5d.tfm) = %{tl_version}
Provides: tex(uniheisl5e.tfm) = %{tl_version}
Provides: tex(uniheisl5f.tfm) = %{tl_version}
Provides: tex(uniheisl60.tfm) = %{tl_version}
Provides: tex(uniheisl61.tfm) = %{tl_version}
Provides: tex(uniheisl62.tfm) = %{tl_version}
Provides: tex(uniheisl63.tfm) = %{tl_version}
Provides: tex(uniheisl64.tfm) = %{tl_version}
Provides: tex(uniheisl65.tfm) = %{tl_version}
Provides: tex(uniheisl66.tfm) = %{tl_version}
Provides: tex(uniheisl67.tfm) = %{tl_version}
Provides: tex(uniheisl68.tfm) = %{tl_version}
Provides: tex(uniheisl69.tfm) = %{tl_version}
Provides: tex(uniheisl6a.tfm) = %{tl_version}
Provides: tex(uniheisl6b.tfm) = %{tl_version}
Provides: tex(uniheisl6c.tfm) = %{tl_version}
Provides: tex(uniheisl6d.tfm) = %{tl_version}
Provides: tex(uniheisl6e.tfm) = %{tl_version}
Provides: tex(uniheisl6f.tfm) = %{tl_version}
Provides: tex(uniheisl70.tfm) = %{tl_version}
Provides: tex(uniheisl71.tfm) = %{tl_version}
Provides: tex(uniheisl72.tfm) = %{tl_version}
Provides: tex(uniheisl73.tfm) = %{tl_version}
Provides: tex(uniheisl74.tfm) = %{tl_version}
Provides: tex(uniheisl75.tfm) = %{tl_version}
Provides: tex(uniheisl76.tfm) = %{tl_version}
Provides: tex(uniheisl77.tfm) = %{tl_version}
Provides: tex(uniheisl78.tfm) = %{tl_version}
Provides: tex(uniheisl79.tfm) = %{tl_version}
Provides: tex(uniheisl7a.tfm) = %{tl_version}
Provides: tex(uniheisl7b.tfm) = %{tl_version}
Provides: tex(uniheisl7c.tfm) = %{tl_version}
Provides: tex(uniheisl7d.tfm) = %{tl_version}
Provides: tex(uniheisl7e.tfm) = %{tl_version}
Provides: tex(uniheisl7f.tfm) = %{tl_version}
Provides: tex(uniheisl80.tfm) = %{tl_version}
Provides: tex(uniheisl81.tfm) = %{tl_version}
Provides: tex(uniheisl82.tfm) = %{tl_version}
Provides: tex(uniheisl83.tfm) = %{tl_version}
Provides: tex(uniheisl84.tfm) = %{tl_version}
Provides: tex(uniheisl85.tfm) = %{tl_version}
Provides: tex(uniheisl86.tfm) = %{tl_version}
Provides: tex(uniheisl87.tfm) = %{tl_version}
Provides: tex(uniheisl88.tfm) = %{tl_version}
Provides: tex(uniheisl89.tfm) = %{tl_version}
Provides: tex(uniheisl8a.tfm) = %{tl_version}
Provides: tex(uniheisl8b.tfm) = %{tl_version}
Provides: tex(uniheisl8c.tfm) = %{tl_version}
Provides: tex(uniheisl8d.tfm) = %{tl_version}
Provides: tex(uniheisl8e.tfm) = %{tl_version}
Provides: tex(uniheisl8f.tfm) = %{tl_version}
Provides: tex(uniheisl90.tfm) = %{tl_version}
Provides: tex(uniheisl91.tfm) = %{tl_version}
Provides: tex(uniheisl92.tfm) = %{tl_version}
Provides: tex(uniheisl93.tfm) = %{tl_version}
Provides: tex(uniheisl94.tfm) = %{tl_version}
Provides: tex(uniheisl95.tfm) = %{tl_version}
Provides: tex(uniheisl96.tfm) = %{tl_version}
Provides: tex(uniheisl97.tfm) = %{tl_version}
Provides: tex(uniheisl98.tfm) = %{tl_version}
Provides: tex(uniheisl99.tfm) = %{tl_version}
Provides: tex(uniheisl9a.tfm) = %{tl_version}
Provides: tex(uniheisl9b.tfm) = %{tl_version}
Provides: tex(uniheisl9c.tfm) = %{tl_version}
Provides: tex(uniheisl9d.tfm) = %{tl_version}
Provides: tex(uniheisl9e.tfm) = %{tl_version}
Provides: tex(uniheisl9f.tfm) = %{tl_version}
Provides: tex(uniheisla0.tfm) = %{tl_version}
Provides: tex(uniheisla1.tfm) = %{tl_version}
Provides: tex(uniheisla2.tfm) = %{tl_version}
Provides: tex(uniheisla3.tfm) = %{tl_version}
Provides: tex(uniheisla4.tfm) = %{tl_version}
Provides: tex(uniheisla5.tfm) = %{tl_version}
Provides: tex(uniheisla6.tfm) = %{tl_version}
Provides: tex(uniheisla7.tfm) = %{tl_version}
Provides: tex(uniheisla8.tfm) = %{tl_version}
Provides: tex(uniheisla9.tfm) = %{tl_version}
Provides: tex(uniheislaa.tfm) = %{tl_version}
Provides: tex(uniheislab.tfm) = %{tl_version}
Provides: tex(uniheislac.tfm) = %{tl_version}
Provides: tex(uniheislad.tfm) = %{tl_version}
Provides: tex(uniheislae.tfm) = %{tl_version}
Provides: tex(uniheislaf.tfm) = %{tl_version}
Provides: tex(uniheislb0.tfm) = %{tl_version}
Provides: tex(uniheislb1.tfm) = %{tl_version}
Provides: tex(uniheislb2.tfm) = %{tl_version}
Provides: tex(uniheislb3.tfm) = %{tl_version}
Provides: tex(uniheislb4.tfm) = %{tl_version}
Provides: tex(uniheislb5.tfm) = %{tl_version}
Provides: tex(uniheislb6.tfm) = %{tl_version}
Provides: tex(uniheislb7.tfm) = %{tl_version}
Provides: tex(uniheislb8.tfm) = %{tl_version}
Provides: tex(uniheislb9.tfm) = %{tl_version}
Provides: tex(uniheislba.tfm) = %{tl_version}
Provides: tex(uniheislbb.tfm) = %{tl_version}
Provides: tex(uniheislbc.tfm) = %{tl_version}
Provides: tex(uniheislbd.tfm) = %{tl_version}
Provides: tex(uniheislbe.tfm) = %{tl_version}
Provides: tex(uniheislbf.tfm) = %{tl_version}
Provides: tex(uniheislc0.tfm) = %{tl_version}
Provides: tex(uniheislc1.tfm) = %{tl_version}
Provides: tex(uniheislc2.tfm) = %{tl_version}
Provides: tex(uniheislc3.tfm) = %{tl_version}
Provides: tex(uniheislc4.tfm) = %{tl_version}
Provides: tex(uniheislc5.tfm) = %{tl_version}
Provides: tex(uniheislc6.tfm) = %{tl_version}
Provides: tex(uniheislc7.tfm) = %{tl_version}
Provides: tex(uniheislc8.tfm) = %{tl_version}
Provides: tex(uniheislc9.tfm) = %{tl_version}
Provides: tex(uniheislca.tfm) = %{tl_version}
Provides: tex(uniheislcb.tfm) = %{tl_version}
Provides: tex(uniheislcc.tfm) = %{tl_version}
Provides: tex(uniheislcd.tfm) = %{tl_version}
Provides: tex(uniheislce.tfm) = %{tl_version}
Provides: tex(uniheislcf.tfm) = %{tl_version}
Provides: tex(uniheisld0.tfm) = %{tl_version}
Provides: tex(uniheisld1.tfm) = %{tl_version}
Provides: tex(uniheisld2.tfm) = %{tl_version}
Provides: tex(uniheisld3.tfm) = %{tl_version}
Provides: tex(uniheisld4.tfm) = %{tl_version}
Provides: tex(uniheisld5.tfm) = %{tl_version}
Provides: tex(uniheisld6.tfm) = %{tl_version}
Provides: tex(uniheisld7.tfm) = %{tl_version}
Provides: tex(uniheisld8.tfm) = %{tl_version}
Provides: tex(uniheisld9.tfm) = %{tl_version}
Provides: tex(uniheislda.tfm) = %{tl_version}
Provides: tex(uniheisldb.tfm) = %{tl_version}
Provides: tex(uniheisldc.tfm) = %{tl_version}
Provides: tex(uniheisldd.tfm) = %{tl_version}
Provides: tex(uniheislde.tfm) = %{tl_version}
Provides: tex(uniheisldf.tfm) = %{tl_version}
Provides: tex(uniheisle0.tfm) = %{tl_version}
Provides: tex(uniheisle1.tfm) = %{tl_version}
Provides: tex(uniheisle2.tfm) = %{tl_version}
Provides: tex(uniheisle3.tfm) = %{tl_version}
Provides: tex(uniheisle4.tfm) = %{tl_version}
Provides: tex(uniheisle5.tfm) = %{tl_version}
Provides: tex(uniheisle6.tfm) = %{tl_version}
Provides: tex(uniheisle7.tfm) = %{tl_version}
Provides: tex(uniheisle8.tfm) = %{tl_version}
Provides: tex(uniheisle9.tfm) = %{tl_version}
Provides: tex(uniheislea.tfm) = %{tl_version}
Provides: tex(uniheisleb.tfm) = %{tl_version}
Provides: tex(uniheislec.tfm) = %{tl_version}
Provides: tex(uniheisled.tfm) = %{tl_version}
Provides: tex(uniheislee.tfm) = %{tl_version}
Provides: tex(uniheislef.tfm) = %{tl_version}
Provides: tex(uniheislf0.tfm) = %{tl_version}
Provides: tex(uniheislf1.tfm) = %{tl_version}
Provides: tex(uniheislf2.tfm) = %{tl_version}
Provides: tex(uniheislf3.tfm) = %{tl_version}
Provides: tex(uniheislf4.tfm) = %{tl_version}
Provides: tex(uniheislf5.tfm) = %{tl_version}
Provides: tex(uniheislf6.tfm) = %{tl_version}
Provides: tex(uniheislf7.tfm) = %{tl_version}
Provides: tex(uniheislf8.tfm) = %{tl_version}
Provides: tex(uniheislf9.tfm) = %{tl_version}
Provides: tex(uniheislfa.tfm) = %{tl_version}
Provides: tex(uniheislfb.tfm) = %{tl_version}
Provides: tex(uniheislfc.tfm) = %{tl_version}
Provides: tex(uniheislfd.tfm) = %{tl_version}
Provides: tex(uniheislfe.tfm) = %{tl_version}
Provides: tex(uniheislff.tfm) = %{tl_version}
Provides: tex(unikai00.tfm) = %{tl_version}
Provides: tex(unikai01.tfm) = %{tl_version}
Provides: tex(unikai02.tfm) = %{tl_version}
Provides: tex(unikai03.tfm) = %{tl_version}
Provides: tex(unikai04.tfm) = %{tl_version}
Provides: tex(unikai05.tfm) = %{tl_version}
Provides: tex(unikai06.tfm) = %{tl_version}
Provides: tex(unikai07.tfm) = %{tl_version}
Provides: tex(unikai08.tfm) = %{tl_version}
Provides: tex(unikai09.tfm) = %{tl_version}
Provides: tex(unikai0a.tfm) = %{tl_version}
Provides: tex(unikai0b.tfm) = %{tl_version}
Provides: tex(unikai0c.tfm) = %{tl_version}
Provides: tex(unikai0d.tfm) = %{tl_version}
Provides: tex(unikai0e.tfm) = %{tl_version}
Provides: tex(unikai0f.tfm) = %{tl_version}
Provides: tex(unikai10.tfm) = %{tl_version}
Provides: tex(unikai11.tfm) = %{tl_version}
Provides: tex(unikai12.tfm) = %{tl_version}
Provides: tex(unikai13.tfm) = %{tl_version}
Provides: tex(unikai14.tfm) = %{tl_version}
Provides: tex(unikai15.tfm) = %{tl_version}
Provides: tex(unikai16.tfm) = %{tl_version}
Provides: tex(unikai17.tfm) = %{tl_version}
Provides: tex(unikai18.tfm) = %{tl_version}
Provides: tex(unikai19.tfm) = %{tl_version}
Provides: tex(unikai1a.tfm) = %{tl_version}
Provides: tex(unikai1b.tfm) = %{tl_version}
Provides: tex(unikai1c.tfm) = %{tl_version}
Provides: tex(unikai1d.tfm) = %{tl_version}
Provides: tex(unikai1e.tfm) = %{tl_version}
Provides: tex(unikai1f.tfm) = %{tl_version}
Provides: tex(unikai20.tfm) = %{tl_version}
Provides: tex(unikai21.tfm) = %{tl_version}
Provides: tex(unikai22.tfm) = %{tl_version}
Provides: tex(unikai23.tfm) = %{tl_version}
Provides: tex(unikai24.tfm) = %{tl_version}
Provides: tex(unikai25.tfm) = %{tl_version}
Provides: tex(unikai26.tfm) = %{tl_version}
Provides: tex(unikai27.tfm) = %{tl_version}
Provides: tex(unikai28.tfm) = %{tl_version}
Provides: tex(unikai29.tfm) = %{tl_version}
Provides: tex(unikai2a.tfm) = %{tl_version}
Provides: tex(unikai2b.tfm) = %{tl_version}
Provides: tex(unikai2c.tfm) = %{tl_version}
Provides: tex(unikai2d.tfm) = %{tl_version}
Provides: tex(unikai2e.tfm) = %{tl_version}
Provides: tex(unikai2f.tfm) = %{tl_version}
Provides: tex(unikai30.tfm) = %{tl_version}
Provides: tex(unikai31.tfm) = %{tl_version}
Provides: tex(unikai32.tfm) = %{tl_version}
Provides: tex(unikai33.tfm) = %{tl_version}
Provides: tex(unikai34.tfm) = %{tl_version}
Provides: tex(unikai35.tfm) = %{tl_version}
Provides: tex(unikai36.tfm) = %{tl_version}
Provides: tex(unikai37.tfm) = %{tl_version}
Provides: tex(unikai38.tfm) = %{tl_version}
Provides: tex(unikai39.tfm) = %{tl_version}
Provides: tex(unikai3a.tfm) = %{tl_version}
Provides: tex(unikai3b.tfm) = %{tl_version}
Provides: tex(unikai3c.tfm) = %{tl_version}
Provides: tex(unikai3d.tfm) = %{tl_version}
Provides: tex(unikai3e.tfm) = %{tl_version}
Provides: tex(unikai3f.tfm) = %{tl_version}
Provides: tex(unikai40.tfm) = %{tl_version}
Provides: tex(unikai41.tfm) = %{tl_version}
Provides: tex(unikai42.tfm) = %{tl_version}
Provides: tex(unikai43.tfm) = %{tl_version}
Provides: tex(unikai44.tfm) = %{tl_version}
Provides: tex(unikai45.tfm) = %{tl_version}
Provides: tex(unikai46.tfm) = %{tl_version}
Provides: tex(unikai47.tfm) = %{tl_version}
Provides: tex(unikai48.tfm) = %{tl_version}
Provides: tex(unikai49.tfm) = %{tl_version}
Provides: tex(unikai4a.tfm) = %{tl_version}
Provides: tex(unikai4b.tfm) = %{tl_version}
Provides: tex(unikai4c.tfm) = %{tl_version}
Provides: tex(unikai4d.tfm) = %{tl_version}
Provides: tex(unikai4e.tfm) = %{tl_version}
Provides: tex(unikai4f.tfm) = %{tl_version}
Provides: tex(unikai50.tfm) = %{tl_version}
Provides: tex(unikai51.tfm) = %{tl_version}
Provides: tex(unikai52.tfm) = %{tl_version}
Provides: tex(unikai53.tfm) = %{tl_version}
Provides: tex(unikai54.tfm) = %{tl_version}
Provides: tex(unikai55.tfm) = %{tl_version}
Provides: tex(unikai56.tfm) = %{tl_version}
Provides: tex(unikai57.tfm) = %{tl_version}
Provides: tex(unikai58.tfm) = %{tl_version}
Provides: tex(unikai59.tfm) = %{tl_version}
Provides: tex(unikai5a.tfm) = %{tl_version}
Provides: tex(unikai5b.tfm) = %{tl_version}
Provides: tex(unikai5c.tfm) = %{tl_version}
Provides: tex(unikai5d.tfm) = %{tl_version}
Provides: tex(unikai5e.tfm) = %{tl_version}
Provides: tex(unikai5f.tfm) = %{tl_version}
Provides: tex(unikai60.tfm) = %{tl_version}
Provides: tex(unikai61.tfm) = %{tl_version}
Provides: tex(unikai62.tfm) = %{tl_version}
Provides: tex(unikai63.tfm) = %{tl_version}
Provides: tex(unikai64.tfm) = %{tl_version}
Provides: tex(unikai65.tfm) = %{tl_version}
Provides: tex(unikai66.tfm) = %{tl_version}
Provides: tex(unikai67.tfm) = %{tl_version}
Provides: tex(unikai68.tfm) = %{tl_version}
Provides: tex(unikai69.tfm) = %{tl_version}
Provides: tex(unikai6a.tfm) = %{tl_version}
Provides: tex(unikai6b.tfm) = %{tl_version}
Provides: tex(unikai6c.tfm) = %{tl_version}
Provides: tex(unikai6d.tfm) = %{tl_version}
Provides: tex(unikai6e.tfm) = %{tl_version}
Provides: tex(unikai6f.tfm) = %{tl_version}
Provides: tex(unikai70.tfm) = %{tl_version}
Provides: tex(unikai71.tfm) = %{tl_version}
Provides: tex(unikai72.tfm) = %{tl_version}
Provides: tex(unikai73.tfm) = %{tl_version}
Provides: tex(unikai74.tfm) = %{tl_version}
Provides: tex(unikai75.tfm) = %{tl_version}
Provides: tex(unikai76.tfm) = %{tl_version}
Provides: tex(unikai77.tfm) = %{tl_version}
Provides: tex(unikai78.tfm) = %{tl_version}
Provides: tex(unikai79.tfm) = %{tl_version}
Provides: tex(unikai7a.tfm) = %{tl_version}
Provides: tex(unikai7b.tfm) = %{tl_version}
Provides: tex(unikai7c.tfm) = %{tl_version}
Provides: tex(unikai7d.tfm) = %{tl_version}
Provides: tex(unikai7e.tfm) = %{tl_version}
Provides: tex(unikai7f.tfm) = %{tl_version}
Provides: tex(unikai80.tfm) = %{tl_version}
Provides: tex(unikai81.tfm) = %{tl_version}
Provides: tex(unikai82.tfm) = %{tl_version}
Provides: tex(unikai83.tfm) = %{tl_version}
Provides: tex(unikai84.tfm) = %{tl_version}
Provides: tex(unikai85.tfm) = %{tl_version}
Provides: tex(unikai86.tfm) = %{tl_version}
Provides: tex(unikai87.tfm) = %{tl_version}
Provides: tex(unikai88.tfm) = %{tl_version}
Provides: tex(unikai89.tfm) = %{tl_version}
Provides: tex(unikai8a.tfm) = %{tl_version}
Provides: tex(unikai8b.tfm) = %{tl_version}
Provides: tex(unikai8c.tfm) = %{tl_version}
Provides: tex(unikai8d.tfm) = %{tl_version}
Provides: tex(unikai8e.tfm) = %{tl_version}
Provides: tex(unikai8f.tfm) = %{tl_version}
Provides: tex(unikai90.tfm) = %{tl_version}
Provides: tex(unikai91.tfm) = %{tl_version}
Provides: tex(unikai92.tfm) = %{tl_version}
Provides: tex(unikai93.tfm) = %{tl_version}
Provides: tex(unikai94.tfm) = %{tl_version}
Provides: tex(unikai95.tfm) = %{tl_version}
Provides: tex(unikai96.tfm) = %{tl_version}
Provides: tex(unikai97.tfm) = %{tl_version}
Provides: tex(unikai98.tfm) = %{tl_version}
Provides: tex(unikai99.tfm) = %{tl_version}
Provides: tex(unikai9a.tfm) = %{tl_version}
Provides: tex(unikai9b.tfm) = %{tl_version}
Provides: tex(unikai9c.tfm) = %{tl_version}
Provides: tex(unikai9d.tfm) = %{tl_version}
Provides: tex(unikai9e.tfm) = %{tl_version}
Provides: tex(unikai9f.tfm) = %{tl_version}
Provides: tex(unikaia0.tfm) = %{tl_version}
Provides: tex(unikaia1.tfm) = %{tl_version}
Provides: tex(unikaia2.tfm) = %{tl_version}
Provides: tex(unikaia3.tfm) = %{tl_version}
Provides: tex(unikaia4.tfm) = %{tl_version}
Provides: tex(unikaia5.tfm) = %{tl_version}
Provides: tex(unikaia6.tfm) = %{tl_version}
Provides: tex(unikaia7.tfm) = %{tl_version}
Provides: tex(unikaia8.tfm) = %{tl_version}
Provides: tex(unikaia9.tfm) = %{tl_version}
Provides: tex(unikaiaa.tfm) = %{tl_version}
Provides: tex(unikaiab.tfm) = %{tl_version}
Provides: tex(unikaiac.tfm) = %{tl_version}
Provides: tex(unikaiad.tfm) = %{tl_version}
Provides: tex(unikaiae.tfm) = %{tl_version}
Provides: tex(unikaiaf.tfm) = %{tl_version}
Provides: tex(unikaib0.tfm) = %{tl_version}
Provides: tex(unikaib1.tfm) = %{tl_version}
Provides: tex(unikaib2.tfm) = %{tl_version}
Provides: tex(unikaib3.tfm) = %{tl_version}
Provides: tex(unikaib4.tfm) = %{tl_version}
Provides: tex(unikaib5.tfm) = %{tl_version}
Provides: tex(unikaib6.tfm) = %{tl_version}
Provides: tex(unikaib7.tfm) = %{tl_version}
Provides: tex(unikaib8.tfm) = %{tl_version}
Provides: tex(unikaib9.tfm) = %{tl_version}
Provides: tex(unikaiba.tfm) = %{tl_version}
Provides: tex(unikaibb.tfm) = %{tl_version}
Provides: tex(unikaibc.tfm) = %{tl_version}
Provides: tex(unikaibd.tfm) = %{tl_version}
Provides: tex(unikaibe.tfm) = %{tl_version}
Provides: tex(unikaibf.tfm) = %{tl_version}
Provides: tex(unikaic0.tfm) = %{tl_version}
Provides: tex(unikaic1.tfm) = %{tl_version}
Provides: tex(unikaic2.tfm) = %{tl_version}
Provides: tex(unikaic3.tfm) = %{tl_version}
Provides: tex(unikaic4.tfm) = %{tl_version}
Provides: tex(unikaic5.tfm) = %{tl_version}
Provides: tex(unikaic6.tfm) = %{tl_version}
Provides: tex(unikaic7.tfm) = %{tl_version}
Provides: tex(unikaic8.tfm) = %{tl_version}
Provides: tex(unikaic9.tfm) = %{tl_version}
Provides: tex(unikaica.tfm) = %{tl_version}
Provides: tex(unikaicb.tfm) = %{tl_version}
Provides: tex(unikaicc.tfm) = %{tl_version}
Provides: tex(unikaicd.tfm) = %{tl_version}
Provides: tex(unikaice.tfm) = %{tl_version}
Provides: tex(unikaicf.tfm) = %{tl_version}
Provides: tex(unikaid0.tfm) = %{tl_version}
Provides: tex(unikaid1.tfm) = %{tl_version}
Provides: tex(unikaid2.tfm) = %{tl_version}
Provides: tex(unikaid3.tfm) = %{tl_version}
Provides: tex(unikaid4.tfm) = %{tl_version}
Provides: tex(unikaid5.tfm) = %{tl_version}
Provides: tex(unikaid6.tfm) = %{tl_version}
Provides: tex(unikaid7.tfm) = %{tl_version}
Provides: tex(unikaid8.tfm) = %{tl_version}
Provides: tex(unikaid9.tfm) = %{tl_version}
Provides: tex(unikaida.tfm) = %{tl_version}
Provides: tex(unikaidb.tfm) = %{tl_version}
Provides: tex(unikaidc.tfm) = %{tl_version}
Provides: tex(unikaidd.tfm) = %{tl_version}
Provides: tex(unikaide.tfm) = %{tl_version}
Provides: tex(unikaidf.tfm) = %{tl_version}
Provides: tex(unikaie0.tfm) = %{tl_version}
Provides: tex(unikaie1.tfm) = %{tl_version}
Provides: tex(unikaie2.tfm) = %{tl_version}
Provides: tex(unikaie3.tfm) = %{tl_version}
Provides: tex(unikaie4.tfm) = %{tl_version}
Provides: tex(unikaie5.tfm) = %{tl_version}
Provides: tex(unikaie6.tfm) = %{tl_version}
Provides: tex(unikaie7.tfm) = %{tl_version}
Provides: tex(unikaie8.tfm) = %{tl_version}
Provides: tex(unikaie9.tfm) = %{tl_version}
Provides: tex(unikaiea.tfm) = %{tl_version}
Provides: tex(unikaieb.tfm) = %{tl_version}
Provides: tex(unikaiec.tfm) = %{tl_version}
Provides: tex(unikaied.tfm) = %{tl_version}
Provides: tex(unikaiee.tfm) = %{tl_version}
Provides: tex(unikaief.tfm) = %{tl_version}
Provides: tex(unikaif0.tfm) = %{tl_version}
Provides: tex(unikaif1.tfm) = %{tl_version}
Provides: tex(unikaif2.tfm) = %{tl_version}
Provides: tex(unikaif3.tfm) = %{tl_version}
Provides: tex(unikaif4.tfm) = %{tl_version}
Provides: tex(unikaif5.tfm) = %{tl_version}
Provides: tex(unikaif6.tfm) = %{tl_version}
Provides: tex(unikaif7.tfm) = %{tl_version}
Provides: tex(unikaif8.tfm) = %{tl_version}
Provides: tex(unikaif9.tfm) = %{tl_version}
Provides: tex(unikaifa.tfm) = %{tl_version}
Provides: tex(unikaifb.tfm) = %{tl_version}
Provides: tex(unikaifc.tfm) = %{tl_version}
Provides: tex(unikaifd.tfm) = %{tl_version}
Provides: tex(unikaife.tfm) = %{tl_version}
Provides: tex(unikaiff.tfm) = %{tl_version}
Provides: tex(unikaisl00.tfm) = %{tl_version}
Provides: tex(unikaisl01.tfm) = %{tl_version}
Provides: tex(unikaisl02.tfm) = %{tl_version}
Provides: tex(unikaisl03.tfm) = %{tl_version}
Provides: tex(unikaisl04.tfm) = %{tl_version}
Provides: tex(unikaisl05.tfm) = %{tl_version}
Provides: tex(unikaisl06.tfm) = %{tl_version}
Provides: tex(unikaisl07.tfm) = %{tl_version}
Provides: tex(unikaisl08.tfm) = %{tl_version}
Provides: tex(unikaisl09.tfm) = %{tl_version}
Provides: tex(unikaisl0a.tfm) = %{tl_version}
Provides: tex(unikaisl0b.tfm) = %{tl_version}
Provides: tex(unikaisl0c.tfm) = %{tl_version}
Provides: tex(unikaisl0d.tfm) = %{tl_version}
Provides: tex(unikaisl0e.tfm) = %{tl_version}
Provides: tex(unikaisl0f.tfm) = %{tl_version}
Provides: tex(unikaisl10.tfm) = %{tl_version}
Provides: tex(unikaisl11.tfm) = %{tl_version}
Provides: tex(unikaisl12.tfm) = %{tl_version}
Provides: tex(unikaisl13.tfm) = %{tl_version}
Provides: tex(unikaisl14.tfm) = %{tl_version}
Provides: tex(unikaisl15.tfm) = %{tl_version}
Provides: tex(unikaisl16.tfm) = %{tl_version}
Provides: tex(unikaisl17.tfm) = %{tl_version}
Provides: tex(unikaisl18.tfm) = %{tl_version}
Provides: tex(unikaisl19.tfm) = %{tl_version}
Provides: tex(unikaisl1a.tfm) = %{tl_version}
Provides: tex(unikaisl1b.tfm) = %{tl_version}
Provides: tex(unikaisl1c.tfm) = %{tl_version}
Provides: tex(unikaisl1d.tfm) = %{tl_version}
Provides: tex(unikaisl1e.tfm) = %{tl_version}
Provides: tex(unikaisl1f.tfm) = %{tl_version}
Provides: tex(unikaisl20.tfm) = %{tl_version}
Provides: tex(unikaisl21.tfm) = %{tl_version}
Provides: tex(unikaisl22.tfm) = %{tl_version}
Provides: tex(unikaisl23.tfm) = %{tl_version}
Provides: tex(unikaisl24.tfm) = %{tl_version}
Provides: tex(unikaisl25.tfm) = %{tl_version}
Provides: tex(unikaisl26.tfm) = %{tl_version}
Provides: tex(unikaisl27.tfm) = %{tl_version}
Provides: tex(unikaisl28.tfm) = %{tl_version}
Provides: tex(unikaisl29.tfm) = %{tl_version}
Provides: tex(unikaisl2a.tfm) = %{tl_version}
Provides: tex(unikaisl2b.tfm) = %{tl_version}
Provides: tex(unikaisl2c.tfm) = %{tl_version}
Provides: tex(unikaisl2d.tfm) = %{tl_version}
Provides: tex(unikaisl2e.tfm) = %{tl_version}
Provides: tex(unikaisl2f.tfm) = %{tl_version}
Provides: tex(unikaisl30.tfm) = %{tl_version}
Provides: tex(unikaisl31.tfm) = %{tl_version}
Provides: tex(unikaisl32.tfm) = %{tl_version}
Provides: tex(unikaisl33.tfm) = %{tl_version}
Provides: tex(unikaisl34.tfm) = %{tl_version}
Provides: tex(unikaisl35.tfm) = %{tl_version}
Provides: tex(unikaisl36.tfm) = %{tl_version}
Provides: tex(unikaisl37.tfm) = %{tl_version}
Provides: tex(unikaisl38.tfm) = %{tl_version}
Provides: tex(unikaisl39.tfm) = %{tl_version}
Provides: tex(unikaisl3a.tfm) = %{tl_version}
Provides: tex(unikaisl3b.tfm) = %{tl_version}
Provides: tex(unikaisl3c.tfm) = %{tl_version}
Provides: tex(unikaisl3d.tfm) = %{tl_version}
Provides: tex(unikaisl3e.tfm) = %{tl_version}
Provides: tex(unikaisl3f.tfm) = %{tl_version}
Provides: tex(unikaisl40.tfm) = %{tl_version}
Provides: tex(unikaisl41.tfm) = %{tl_version}
Provides: tex(unikaisl42.tfm) = %{tl_version}
Provides: tex(unikaisl43.tfm) = %{tl_version}
Provides: tex(unikaisl44.tfm) = %{tl_version}
Provides: tex(unikaisl45.tfm) = %{tl_version}
Provides: tex(unikaisl46.tfm) = %{tl_version}
Provides: tex(unikaisl47.tfm) = %{tl_version}
Provides: tex(unikaisl48.tfm) = %{tl_version}
Provides: tex(unikaisl49.tfm) = %{tl_version}
Provides: tex(unikaisl4a.tfm) = %{tl_version}
Provides: tex(unikaisl4b.tfm) = %{tl_version}
Provides: tex(unikaisl4c.tfm) = %{tl_version}
Provides: tex(unikaisl4d.tfm) = %{tl_version}
Provides: tex(unikaisl4e.tfm) = %{tl_version}
Provides: tex(unikaisl4f.tfm) = %{tl_version}
Provides: tex(unikaisl50.tfm) = %{tl_version}
Provides: tex(unikaisl51.tfm) = %{tl_version}
Provides: tex(unikaisl52.tfm) = %{tl_version}
Provides: tex(unikaisl53.tfm) = %{tl_version}
Provides: tex(unikaisl54.tfm) = %{tl_version}
Provides: tex(unikaisl55.tfm) = %{tl_version}
Provides: tex(unikaisl56.tfm) = %{tl_version}
Provides: tex(unikaisl57.tfm) = %{tl_version}
Provides: tex(unikaisl58.tfm) = %{tl_version}
Provides: tex(unikaisl59.tfm) = %{tl_version}
Provides: tex(unikaisl5a.tfm) = %{tl_version}
Provides: tex(unikaisl5b.tfm) = %{tl_version}
Provides: tex(unikaisl5c.tfm) = %{tl_version}
Provides: tex(unikaisl5d.tfm) = %{tl_version}
Provides: tex(unikaisl5e.tfm) = %{tl_version}
Provides: tex(unikaisl5f.tfm) = %{tl_version}
Provides: tex(unikaisl60.tfm) = %{tl_version}
Provides: tex(unikaisl61.tfm) = %{tl_version}
Provides: tex(unikaisl62.tfm) = %{tl_version}
Provides: tex(unikaisl63.tfm) = %{tl_version}
Provides: tex(unikaisl64.tfm) = %{tl_version}
Provides: tex(unikaisl65.tfm) = %{tl_version}
Provides: tex(unikaisl66.tfm) = %{tl_version}
Provides: tex(unikaisl67.tfm) = %{tl_version}
Provides: tex(unikaisl68.tfm) = %{tl_version}
Provides: tex(unikaisl69.tfm) = %{tl_version}
Provides: tex(unikaisl6a.tfm) = %{tl_version}
Provides: tex(unikaisl6b.tfm) = %{tl_version}
Provides: tex(unikaisl6c.tfm) = %{tl_version}
Provides: tex(unikaisl6d.tfm) = %{tl_version}
Provides: tex(unikaisl6e.tfm) = %{tl_version}
Provides: tex(unikaisl6f.tfm) = %{tl_version}
Provides: tex(unikaisl70.tfm) = %{tl_version}
Provides: tex(unikaisl71.tfm) = %{tl_version}
Provides: tex(unikaisl72.tfm) = %{tl_version}
Provides: tex(unikaisl73.tfm) = %{tl_version}
Provides: tex(unikaisl74.tfm) = %{tl_version}
Provides: tex(unikaisl75.tfm) = %{tl_version}
Provides: tex(unikaisl76.tfm) = %{tl_version}
Provides: tex(unikaisl77.tfm) = %{tl_version}
Provides: tex(unikaisl78.tfm) = %{tl_version}
Provides: tex(unikaisl79.tfm) = %{tl_version}
Provides: tex(unikaisl7a.tfm) = %{tl_version}
Provides: tex(unikaisl7b.tfm) = %{tl_version}
Provides: tex(unikaisl7c.tfm) = %{tl_version}
Provides: tex(unikaisl7d.tfm) = %{tl_version}
Provides: tex(unikaisl7e.tfm) = %{tl_version}
Provides: tex(unikaisl7f.tfm) = %{tl_version}
Provides: tex(unikaisl80.tfm) = %{tl_version}
Provides: tex(unikaisl81.tfm) = %{tl_version}
Provides: tex(unikaisl82.tfm) = %{tl_version}
Provides: tex(unikaisl83.tfm) = %{tl_version}
Provides: tex(unikaisl84.tfm) = %{tl_version}
Provides: tex(unikaisl85.tfm) = %{tl_version}
Provides: tex(unikaisl86.tfm) = %{tl_version}
Provides: tex(unikaisl87.tfm) = %{tl_version}
Provides: tex(unikaisl88.tfm) = %{tl_version}
Provides: tex(unikaisl89.tfm) = %{tl_version}
Provides: tex(unikaisl8a.tfm) = %{tl_version}
Provides: tex(unikaisl8b.tfm) = %{tl_version}
Provides: tex(unikaisl8c.tfm) = %{tl_version}
Provides: tex(unikaisl8d.tfm) = %{tl_version}
Provides: tex(unikaisl8e.tfm) = %{tl_version}
Provides: tex(unikaisl8f.tfm) = %{tl_version}
Provides: tex(unikaisl90.tfm) = %{tl_version}
Provides: tex(unikaisl91.tfm) = %{tl_version}
Provides: tex(unikaisl92.tfm) = %{tl_version}
Provides: tex(unikaisl93.tfm) = %{tl_version}
Provides: tex(unikaisl94.tfm) = %{tl_version}
Provides: tex(unikaisl95.tfm) = %{tl_version}
Provides: tex(unikaisl96.tfm) = %{tl_version}
Provides: tex(unikaisl97.tfm) = %{tl_version}
Provides: tex(unikaisl98.tfm) = %{tl_version}
Provides: tex(unikaisl99.tfm) = %{tl_version}
Provides: tex(unikaisl9a.tfm) = %{tl_version}
Provides: tex(unikaisl9b.tfm) = %{tl_version}
Provides: tex(unikaisl9c.tfm) = %{tl_version}
Provides: tex(unikaisl9d.tfm) = %{tl_version}
Provides: tex(unikaisl9e.tfm) = %{tl_version}
Provides: tex(unikaisl9f.tfm) = %{tl_version}
Provides: tex(unikaisla0.tfm) = %{tl_version}
Provides: tex(unikaisla1.tfm) = %{tl_version}
Provides: tex(unikaisla2.tfm) = %{tl_version}
Provides: tex(unikaisla3.tfm) = %{tl_version}
Provides: tex(unikaisla4.tfm) = %{tl_version}
Provides: tex(unikaisla5.tfm) = %{tl_version}
Provides: tex(unikaisla6.tfm) = %{tl_version}
Provides: tex(unikaisla7.tfm) = %{tl_version}
Provides: tex(unikaisla8.tfm) = %{tl_version}
Provides: tex(unikaisla9.tfm) = %{tl_version}
Provides: tex(unikaislaa.tfm) = %{tl_version}
Provides: tex(unikaislab.tfm) = %{tl_version}
Provides: tex(unikaislac.tfm) = %{tl_version}
Provides: tex(unikaislad.tfm) = %{tl_version}
Provides: tex(unikaislae.tfm) = %{tl_version}
Provides: tex(unikaislaf.tfm) = %{tl_version}
Provides: tex(unikaislb0.tfm) = %{tl_version}
Provides: tex(unikaislb1.tfm) = %{tl_version}
Provides: tex(unikaislb2.tfm) = %{tl_version}
Provides: tex(unikaislb3.tfm) = %{tl_version}
Provides: tex(unikaislb4.tfm) = %{tl_version}
Provides: tex(unikaislb5.tfm) = %{tl_version}
Provides: tex(unikaislb6.tfm) = %{tl_version}
Provides: tex(unikaislb7.tfm) = %{tl_version}
Provides: tex(unikaislb8.tfm) = %{tl_version}
Provides: tex(unikaislb9.tfm) = %{tl_version}
Provides: tex(unikaislba.tfm) = %{tl_version}
Provides: tex(unikaislbb.tfm) = %{tl_version}
Provides: tex(unikaislbc.tfm) = %{tl_version}
Provides: tex(unikaislbd.tfm) = %{tl_version}
Provides: tex(unikaislbe.tfm) = %{tl_version}
Provides: tex(unikaislbf.tfm) = %{tl_version}
Provides: tex(unikaislc0.tfm) = %{tl_version}
Provides: tex(unikaislc1.tfm) = %{tl_version}
Provides: tex(unikaislc2.tfm) = %{tl_version}
Provides: tex(unikaislc3.tfm) = %{tl_version}
Provides: tex(unikaislc4.tfm) = %{tl_version}
Provides: tex(unikaislc5.tfm) = %{tl_version}
Provides: tex(unikaislc6.tfm) = %{tl_version}
Provides: tex(unikaislc7.tfm) = %{tl_version}
Provides: tex(unikaislc8.tfm) = %{tl_version}
Provides: tex(unikaislc9.tfm) = %{tl_version}
Provides: tex(unikaislca.tfm) = %{tl_version}
Provides: tex(unikaislcb.tfm) = %{tl_version}
Provides: tex(unikaislcc.tfm) = %{tl_version}
Provides: tex(unikaislcd.tfm) = %{tl_version}
Provides: tex(unikaislce.tfm) = %{tl_version}
Provides: tex(unikaislcf.tfm) = %{tl_version}
Provides: tex(unikaisld0.tfm) = %{tl_version}
Provides: tex(unikaisld1.tfm) = %{tl_version}
Provides: tex(unikaisld2.tfm) = %{tl_version}
Provides: tex(unikaisld3.tfm) = %{tl_version}
Provides: tex(unikaisld4.tfm) = %{tl_version}
Provides: tex(unikaisld5.tfm) = %{tl_version}
Provides: tex(unikaisld6.tfm) = %{tl_version}
Provides: tex(unikaisld7.tfm) = %{tl_version}
Provides: tex(unikaisld8.tfm) = %{tl_version}
Provides: tex(unikaisld9.tfm) = %{tl_version}
Provides: tex(unikaislda.tfm) = %{tl_version}
Provides: tex(unikaisldb.tfm) = %{tl_version}
Provides: tex(unikaisldc.tfm) = %{tl_version}
Provides: tex(unikaisldd.tfm) = %{tl_version}
Provides: tex(unikaislde.tfm) = %{tl_version}
Provides: tex(unikaisldf.tfm) = %{tl_version}
Provides: tex(unikaisle0.tfm) = %{tl_version}
Provides: tex(unikaisle1.tfm) = %{tl_version}
Provides: tex(unikaisle2.tfm) = %{tl_version}
Provides: tex(unikaisle3.tfm) = %{tl_version}
Provides: tex(unikaisle4.tfm) = %{tl_version}
Provides: tex(unikaisle5.tfm) = %{tl_version}
Provides: tex(unikaisle6.tfm) = %{tl_version}
Provides: tex(unikaisle7.tfm) = %{tl_version}
Provides: tex(unikaisle8.tfm) = %{tl_version}
Provides: tex(unikaisle9.tfm) = %{tl_version}
Provides: tex(unikaislea.tfm) = %{tl_version}
Provides: tex(unikaisleb.tfm) = %{tl_version}
Provides: tex(unikaislec.tfm) = %{tl_version}
Provides: tex(unikaisled.tfm) = %{tl_version}
Provides: tex(unikaislee.tfm) = %{tl_version}
Provides: tex(unikaislef.tfm) = %{tl_version}
Provides: tex(unikaislf0.tfm) = %{tl_version}
Provides: tex(unikaislf1.tfm) = %{tl_version}
Provides: tex(unikaislf2.tfm) = %{tl_version}
Provides: tex(unikaislf3.tfm) = %{tl_version}
Provides: tex(unikaislf4.tfm) = %{tl_version}
Provides: tex(unikaislf5.tfm) = %{tl_version}
Provides: tex(unikaislf6.tfm) = %{tl_version}
Provides: tex(unikaislf7.tfm) = %{tl_version}
Provides: tex(unikaislf8.tfm) = %{tl_version}
Provides: tex(unikaislf9.tfm) = %{tl_version}
Provides: tex(unikaislfa.tfm) = %{tl_version}
Provides: tex(unikaislfb.tfm) = %{tl_version}
Provides: tex(unikaislfc.tfm) = %{tl_version}
Provides: tex(unikaislfd.tfm) = %{tl_version}
Provides: tex(unikaislfe.tfm) = %{tl_version}
Provides: tex(unikaislff.tfm) = %{tl_version}
Provides: tex(unili00.tfm) = %{tl_version}
Provides: tex(unili01.tfm) = %{tl_version}
Provides: tex(unili02.tfm) = %{tl_version}
Provides: tex(unili03.tfm) = %{tl_version}
Provides: tex(unili04.tfm) = %{tl_version}
Provides: tex(unili05.tfm) = %{tl_version}
Provides: tex(unili06.tfm) = %{tl_version}
Provides: tex(unili07.tfm) = %{tl_version}
Provides: tex(unili08.tfm) = %{tl_version}
Provides: tex(unili09.tfm) = %{tl_version}
Provides: tex(unili0a.tfm) = %{tl_version}
Provides: tex(unili0b.tfm) = %{tl_version}
Provides: tex(unili0c.tfm) = %{tl_version}
Provides: tex(unili0d.tfm) = %{tl_version}
Provides: tex(unili0e.tfm) = %{tl_version}
Provides: tex(unili0f.tfm) = %{tl_version}
Provides: tex(unili10.tfm) = %{tl_version}
Provides: tex(unili11.tfm) = %{tl_version}
Provides: tex(unili12.tfm) = %{tl_version}
Provides: tex(unili13.tfm) = %{tl_version}
Provides: tex(unili14.tfm) = %{tl_version}
Provides: tex(unili15.tfm) = %{tl_version}
Provides: tex(unili16.tfm) = %{tl_version}
Provides: tex(unili17.tfm) = %{tl_version}
Provides: tex(unili18.tfm) = %{tl_version}
Provides: tex(unili19.tfm) = %{tl_version}
Provides: tex(unili1a.tfm) = %{tl_version}
Provides: tex(unili1b.tfm) = %{tl_version}
Provides: tex(unili1c.tfm) = %{tl_version}
Provides: tex(unili1d.tfm) = %{tl_version}
Provides: tex(unili1e.tfm) = %{tl_version}
Provides: tex(unili1f.tfm) = %{tl_version}
Provides: tex(unili20.tfm) = %{tl_version}
Provides: tex(unili21.tfm) = %{tl_version}
Provides: tex(unili22.tfm) = %{tl_version}
Provides: tex(unili23.tfm) = %{tl_version}
Provides: tex(unili24.tfm) = %{tl_version}
Provides: tex(unili25.tfm) = %{tl_version}
Provides: tex(unili26.tfm) = %{tl_version}
Provides: tex(unili27.tfm) = %{tl_version}
Provides: tex(unili28.tfm) = %{tl_version}
Provides: tex(unili29.tfm) = %{tl_version}
Provides: tex(unili2a.tfm) = %{tl_version}
Provides: tex(unili2b.tfm) = %{tl_version}
Provides: tex(unili2c.tfm) = %{tl_version}
Provides: tex(unili2d.tfm) = %{tl_version}
Provides: tex(unili2e.tfm) = %{tl_version}
Provides: tex(unili2f.tfm) = %{tl_version}
Provides: tex(unili30.tfm) = %{tl_version}
Provides: tex(unili31.tfm) = %{tl_version}
Provides: tex(unili32.tfm) = %{tl_version}
Provides: tex(unili33.tfm) = %{tl_version}
Provides: tex(unili34.tfm) = %{tl_version}
Provides: tex(unili35.tfm) = %{tl_version}
Provides: tex(unili36.tfm) = %{tl_version}
Provides: tex(unili37.tfm) = %{tl_version}
Provides: tex(unili38.tfm) = %{tl_version}
Provides: tex(unili39.tfm) = %{tl_version}
Provides: tex(unili3a.tfm) = %{tl_version}
Provides: tex(unili3b.tfm) = %{tl_version}
Provides: tex(unili3c.tfm) = %{tl_version}
Provides: tex(unili3d.tfm) = %{tl_version}
Provides: tex(unili3e.tfm) = %{tl_version}
Provides: tex(unili3f.tfm) = %{tl_version}
Provides: tex(unili40.tfm) = %{tl_version}
Provides: tex(unili41.tfm) = %{tl_version}
Provides: tex(unili42.tfm) = %{tl_version}
Provides: tex(unili43.tfm) = %{tl_version}
Provides: tex(unili44.tfm) = %{tl_version}
Provides: tex(unili45.tfm) = %{tl_version}
Provides: tex(unili46.tfm) = %{tl_version}
Provides: tex(unili47.tfm) = %{tl_version}
Provides: tex(unili48.tfm) = %{tl_version}
Provides: tex(unili49.tfm) = %{tl_version}
Provides: tex(unili4a.tfm) = %{tl_version}
Provides: tex(unili4b.tfm) = %{tl_version}
Provides: tex(unili4c.tfm) = %{tl_version}
Provides: tex(unili4d.tfm) = %{tl_version}
Provides: tex(unili4e.tfm) = %{tl_version}
Provides: tex(unili4f.tfm) = %{tl_version}
Provides: tex(unili50.tfm) = %{tl_version}
Provides: tex(unili51.tfm) = %{tl_version}
Provides: tex(unili52.tfm) = %{tl_version}
Provides: tex(unili53.tfm) = %{tl_version}
Provides: tex(unili54.tfm) = %{tl_version}
Provides: tex(unili55.tfm) = %{tl_version}
Provides: tex(unili56.tfm) = %{tl_version}
Provides: tex(unili57.tfm) = %{tl_version}
Provides: tex(unili58.tfm) = %{tl_version}
Provides: tex(unili59.tfm) = %{tl_version}
Provides: tex(unili5a.tfm) = %{tl_version}
Provides: tex(unili5b.tfm) = %{tl_version}
Provides: tex(unili5c.tfm) = %{tl_version}
Provides: tex(unili5d.tfm) = %{tl_version}
Provides: tex(unili5e.tfm) = %{tl_version}
Provides: tex(unili5f.tfm) = %{tl_version}
Provides: tex(unili60.tfm) = %{tl_version}
Provides: tex(unili61.tfm) = %{tl_version}
Provides: tex(unili62.tfm) = %{tl_version}
Provides: tex(unili63.tfm) = %{tl_version}
Provides: tex(unili64.tfm) = %{tl_version}
Provides: tex(unili65.tfm) = %{tl_version}
Provides: tex(unili66.tfm) = %{tl_version}
Provides: tex(unili67.tfm) = %{tl_version}
Provides: tex(unili68.tfm) = %{tl_version}
Provides: tex(unili69.tfm) = %{tl_version}
Provides: tex(unili6a.tfm) = %{tl_version}
Provides: tex(unili6b.tfm) = %{tl_version}
Provides: tex(unili6c.tfm) = %{tl_version}
Provides: tex(unili6d.tfm) = %{tl_version}
Provides: tex(unili6e.tfm) = %{tl_version}
Provides: tex(unili6f.tfm) = %{tl_version}
Provides: tex(unili70.tfm) = %{tl_version}
Provides: tex(unili71.tfm) = %{tl_version}
Provides: tex(unili72.tfm) = %{tl_version}
Provides: tex(unili73.tfm) = %{tl_version}
Provides: tex(unili74.tfm) = %{tl_version}
Provides: tex(unili75.tfm) = %{tl_version}
Provides: tex(unili76.tfm) = %{tl_version}
Provides: tex(unili77.tfm) = %{tl_version}
Provides: tex(unili78.tfm) = %{tl_version}
Provides: tex(unili79.tfm) = %{tl_version}
Provides: tex(unili7a.tfm) = %{tl_version}
Provides: tex(unili7b.tfm) = %{tl_version}
Provides: tex(unili7c.tfm) = %{tl_version}
Provides: tex(unili7d.tfm) = %{tl_version}
Provides: tex(unili7e.tfm) = %{tl_version}
Provides: tex(unili7f.tfm) = %{tl_version}
Provides: tex(unili80.tfm) = %{tl_version}
Provides: tex(unili81.tfm) = %{tl_version}
Provides: tex(unili82.tfm) = %{tl_version}
Provides: tex(unili83.tfm) = %{tl_version}
Provides: tex(unili84.tfm) = %{tl_version}
Provides: tex(unili85.tfm) = %{tl_version}
Provides: tex(unili86.tfm) = %{tl_version}
Provides: tex(unili87.tfm) = %{tl_version}
Provides: tex(unili88.tfm) = %{tl_version}
Provides: tex(unili89.tfm) = %{tl_version}
Provides: tex(unili8a.tfm) = %{tl_version}
Provides: tex(unili8b.tfm) = %{tl_version}
Provides: tex(unili8c.tfm) = %{tl_version}
Provides: tex(unili8d.tfm) = %{tl_version}
Provides: tex(unili8e.tfm) = %{tl_version}
Provides: tex(unili8f.tfm) = %{tl_version}
Provides: tex(unili90.tfm) = %{tl_version}
Provides: tex(unili91.tfm) = %{tl_version}
Provides: tex(unili92.tfm) = %{tl_version}
Provides: tex(unili93.tfm) = %{tl_version}
Provides: tex(unili94.tfm) = %{tl_version}
Provides: tex(unili95.tfm) = %{tl_version}
Provides: tex(unili96.tfm) = %{tl_version}
Provides: tex(unili97.tfm) = %{tl_version}
Provides: tex(unili98.tfm) = %{tl_version}
Provides: tex(unili99.tfm) = %{tl_version}
Provides: tex(unili9a.tfm) = %{tl_version}
Provides: tex(unili9b.tfm) = %{tl_version}
Provides: tex(unili9c.tfm) = %{tl_version}
Provides: tex(unili9d.tfm) = %{tl_version}
Provides: tex(unili9e.tfm) = %{tl_version}
Provides: tex(unili9f.tfm) = %{tl_version}
Provides: tex(unilia0.tfm) = %{tl_version}
Provides: tex(unilia1.tfm) = %{tl_version}
Provides: tex(unilia2.tfm) = %{tl_version}
Provides: tex(unilia3.tfm) = %{tl_version}
Provides: tex(unilia4.tfm) = %{tl_version}
Provides: tex(unilia5.tfm) = %{tl_version}
Provides: tex(unilia6.tfm) = %{tl_version}
Provides: tex(unilia7.tfm) = %{tl_version}
Provides: tex(unilia8.tfm) = %{tl_version}
Provides: tex(unilia9.tfm) = %{tl_version}
Provides: tex(uniliaa.tfm) = %{tl_version}
Provides: tex(uniliab.tfm) = %{tl_version}
Provides: tex(uniliac.tfm) = %{tl_version}
Provides: tex(uniliad.tfm) = %{tl_version}
Provides: tex(uniliae.tfm) = %{tl_version}
Provides: tex(uniliaf.tfm) = %{tl_version}
Provides: tex(unilib0.tfm) = %{tl_version}
Provides: tex(unilib1.tfm) = %{tl_version}
Provides: tex(unilib2.tfm) = %{tl_version}
Provides: tex(unilib3.tfm) = %{tl_version}
Provides: tex(unilib4.tfm) = %{tl_version}
Provides: tex(unilib5.tfm) = %{tl_version}
Provides: tex(unilib6.tfm) = %{tl_version}
Provides: tex(unilib7.tfm) = %{tl_version}
Provides: tex(unilib8.tfm) = %{tl_version}
Provides: tex(unilib9.tfm) = %{tl_version}
Provides: tex(uniliba.tfm) = %{tl_version}
Provides: tex(unilibb.tfm) = %{tl_version}
Provides: tex(unilibc.tfm) = %{tl_version}
Provides: tex(unilibd.tfm) = %{tl_version}
Provides: tex(unilibe.tfm) = %{tl_version}
Provides: tex(unilibf.tfm) = %{tl_version}
Provides: tex(unilic0.tfm) = %{tl_version}
Provides: tex(unilic1.tfm) = %{tl_version}
Provides: tex(unilic2.tfm) = %{tl_version}
Provides: tex(unilic3.tfm) = %{tl_version}
Provides: tex(unilic4.tfm) = %{tl_version}
Provides: tex(unilic5.tfm) = %{tl_version}
Provides: tex(unilic6.tfm) = %{tl_version}
Provides: tex(unilic7.tfm) = %{tl_version}
Provides: tex(unilic8.tfm) = %{tl_version}
Provides: tex(unilic9.tfm) = %{tl_version}
Provides: tex(unilica.tfm) = %{tl_version}
Provides: tex(unilicb.tfm) = %{tl_version}
Provides: tex(unilicc.tfm) = %{tl_version}
Provides: tex(unilicd.tfm) = %{tl_version}
Provides: tex(unilice.tfm) = %{tl_version}
Provides: tex(unilicf.tfm) = %{tl_version}
Provides: tex(unilid0.tfm) = %{tl_version}
Provides: tex(unilid1.tfm) = %{tl_version}
Provides: tex(unilid2.tfm) = %{tl_version}
Provides: tex(unilid3.tfm) = %{tl_version}
Provides: tex(unilid4.tfm) = %{tl_version}
Provides: tex(unilid5.tfm) = %{tl_version}
Provides: tex(unilid6.tfm) = %{tl_version}
Provides: tex(unilid7.tfm) = %{tl_version}
Provides: tex(unilid8.tfm) = %{tl_version}
Provides: tex(unilid9.tfm) = %{tl_version}
Provides: tex(unilida.tfm) = %{tl_version}
Provides: tex(unilidb.tfm) = %{tl_version}
Provides: tex(unilidc.tfm) = %{tl_version}
Provides: tex(unilidd.tfm) = %{tl_version}
Provides: tex(unilide.tfm) = %{tl_version}
Provides: tex(unilidf.tfm) = %{tl_version}
Provides: tex(unilie0.tfm) = %{tl_version}
Provides: tex(unilie1.tfm) = %{tl_version}
Provides: tex(unilie2.tfm) = %{tl_version}
Provides: tex(unilie3.tfm) = %{tl_version}
Provides: tex(unilie4.tfm) = %{tl_version}
Provides: tex(unilie5.tfm) = %{tl_version}
Provides: tex(unilie6.tfm) = %{tl_version}
Provides: tex(unilie7.tfm) = %{tl_version}
Provides: tex(unilie8.tfm) = %{tl_version}
Provides: tex(unilie9.tfm) = %{tl_version}
Provides: tex(uniliea.tfm) = %{tl_version}
Provides: tex(unilieb.tfm) = %{tl_version}
Provides: tex(uniliec.tfm) = %{tl_version}
Provides: tex(unilied.tfm) = %{tl_version}
Provides: tex(uniliee.tfm) = %{tl_version}
Provides: tex(unilief.tfm) = %{tl_version}
Provides: tex(unilif0.tfm) = %{tl_version}
Provides: tex(unilif1.tfm) = %{tl_version}
Provides: tex(unilif2.tfm) = %{tl_version}
Provides: tex(unilif3.tfm) = %{tl_version}
Provides: tex(unilif4.tfm) = %{tl_version}
Provides: tex(unilif5.tfm) = %{tl_version}
Provides: tex(unilif6.tfm) = %{tl_version}
Provides: tex(unilif7.tfm) = %{tl_version}
Provides: tex(unilif8.tfm) = %{tl_version}
Provides: tex(unilif9.tfm) = %{tl_version}
Provides: tex(unilifa.tfm) = %{tl_version}
Provides: tex(unilifb.tfm) = %{tl_version}
Provides: tex(unilifc.tfm) = %{tl_version}
Provides: tex(unilifd.tfm) = %{tl_version}
Provides: tex(unilife.tfm) = %{tl_version}
Provides: tex(uniliff.tfm) = %{tl_version}
Provides: tex(unilisl00.tfm) = %{tl_version}
Provides: tex(unilisl01.tfm) = %{tl_version}
Provides: tex(unilisl02.tfm) = %{tl_version}
Provides: tex(unilisl03.tfm) = %{tl_version}
Provides: tex(unilisl04.tfm) = %{tl_version}
Provides: tex(unilisl05.tfm) = %{tl_version}
Provides: tex(unilisl06.tfm) = %{tl_version}
Provides: tex(unilisl07.tfm) = %{tl_version}
Provides: tex(unilisl08.tfm) = %{tl_version}
Provides: tex(unilisl09.tfm) = %{tl_version}
Provides: tex(unilisl0a.tfm) = %{tl_version}
Provides: tex(unilisl0b.tfm) = %{tl_version}
Provides: tex(unilisl0c.tfm) = %{tl_version}
Provides: tex(unilisl0d.tfm) = %{tl_version}
Provides: tex(unilisl0e.tfm) = %{tl_version}
Provides: tex(unilisl0f.tfm) = %{tl_version}
Provides: tex(unilisl10.tfm) = %{tl_version}
Provides: tex(unilisl11.tfm) = %{tl_version}
Provides: tex(unilisl12.tfm) = %{tl_version}
Provides: tex(unilisl13.tfm) = %{tl_version}
Provides: tex(unilisl14.tfm) = %{tl_version}
Provides: tex(unilisl15.tfm) = %{tl_version}
Provides: tex(unilisl16.tfm) = %{tl_version}
Provides: tex(unilisl17.tfm) = %{tl_version}
Provides: tex(unilisl18.tfm) = %{tl_version}
Provides: tex(unilisl19.tfm) = %{tl_version}
Provides: tex(unilisl1a.tfm) = %{tl_version}
Provides: tex(unilisl1b.tfm) = %{tl_version}
Provides: tex(unilisl1c.tfm) = %{tl_version}
Provides: tex(unilisl1d.tfm) = %{tl_version}
Provides: tex(unilisl1e.tfm) = %{tl_version}
Provides: tex(unilisl1f.tfm) = %{tl_version}
Provides: tex(unilisl20.tfm) = %{tl_version}
Provides: tex(unilisl21.tfm) = %{tl_version}
Provides: tex(unilisl22.tfm) = %{tl_version}
Provides: tex(unilisl23.tfm) = %{tl_version}
Provides: tex(unilisl24.tfm) = %{tl_version}
Provides: tex(unilisl25.tfm) = %{tl_version}
Provides: tex(unilisl26.tfm) = %{tl_version}
Provides: tex(unilisl27.tfm) = %{tl_version}
Provides: tex(unilisl28.tfm) = %{tl_version}
Provides: tex(unilisl29.tfm) = %{tl_version}
Provides: tex(unilisl2a.tfm) = %{tl_version}
Provides: tex(unilisl2b.tfm) = %{tl_version}
Provides: tex(unilisl2c.tfm) = %{tl_version}
Provides: tex(unilisl2d.tfm) = %{tl_version}
Provides: tex(unilisl2e.tfm) = %{tl_version}
Provides: tex(unilisl2f.tfm) = %{tl_version}
Provides: tex(unilisl30.tfm) = %{tl_version}
Provides: tex(unilisl31.tfm) = %{tl_version}
Provides: tex(unilisl32.tfm) = %{tl_version}
Provides: tex(unilisl33.tfm) = %{tl_version}
Provides: tex(unilisl34.tfm) = %{tl_version}
Provides: tex(unilisl35.tfm) = %{tl_version}
Provides: tex(unilisl36.tfm) = %{tl_version}
Provides: tex(unilisl37.tfm) = %{tl_version}
Provides: tex(unilisl38.tfm) = %{tl_version}
Provides: tex(unilisl39.tfm) = %{tl_version}
Provides: tex(unilisl3a.tfm) = %{tl_version}
Provides: tex(unilisl3b.tfm) = %{tl_version}
Provides: tex(unilisl3c.tfm) = %{tl_version}
Provides: tex(unilisl3d.tfm) = %{tl_version}
Provides: tex(unilisl3e.tfm) = %{tl_version}
Provides: tex(unilisl3f.tfm) = %{tl_version}
Provides: tex(unilisl40.tfm) = %{tl_version}
Provides: tex(unilisl41.tfm) = %{tl_version}
Provides: tex(unilisl42.tfm) = %{tl_version}
Provides: tex(unilisl43.tfm) = %{tl_version}
Provides: tex(unilisl44.tfm) = %{tl_version}
Provides: tex(unilisl45.tfm) = %{tl_version}
Provides: tex(unilisl46.tfm) = %{tl_version}
Provides: tex(unilisl47.tfm) = %{tl_version}
Provides: tex(unilisl48.tfm) = %{tl_version}
Provides: tex(unilisl49.tfm) = %{tl_version}
Provides: tex(unilisl4a.tfm) = %{tl_version}
Provides: tex(unilisl4b.tfm) = %{tl_version}
Provides: tex(unilisl4c.tfm) = %{tl_version}
Provides: tex(unilisl4d.tfm) = %{tl_version}
Provides: tex(unilisl4e.tfm) = %{tl_version}
Provides: tex(unilisl4f.tfm) = %{tl_version}
Provides: tex(unilisl50.tfm) = %{tl_version}
Provides: tex(unilisl51.tfm) = %{tl_version}
Provides: tex(unilisl52.tfm) = %{tl_version}
Provides: tex(unilisl53.tfm) = %{tl_version}
Provides: tex(unilisl54.tfm) = %{tl_version}
Provides: tex(unilisl55.tfm) = %{tl_version}
Provides: tex(unilisl56.tfm) = %{tl_version}
Provides: tex(unilisl57.tfm) = %{tl_version}
Provides: tex(unilisl58.tfm) = %{tl_version}
Provides: tex(unilisl59.tfm) = %{tl_version}
Provides: tex(unilisl5a.tfm) = %{tl_version}
Provides: tex(unilisl5b.tfm) = %{tl_version}
Provides: tex(unilisl5c.tfm) = %{tl_version}
Provides: tex(unilisl5d.tfm) = %{tl_version}
Provides: tex(unilisl5e.tfm) = %{tl_version}
Provides: tex(unilisl5f.tfm) = %{tl_version}
Provides: tex(unilisl60.tfm) = %{tl_version}
Provides: tex(unilisl61.tfm) = %{tl_version}
Provides: tex(unilisl62.tfm) = %{tl_version}
Provides: tex(unilisl63.tfm) = %{tl_version}
Provides: tex(unilisl64.tfm) = %{tl_version}
Provides: tex(unilisl65.tfm) = %{tl_version}
Provides: tex(unilisl66.tfm) = %{tl_version}
Provides: tex(unilisl67.tfm) = %{tl_version}
Provides: tex(unilisl68.tfm) = %{tl_version}
Provides: tex(unilisl69.tfm) = %{tl_version}
Provides: tex(unilisl6a.tfm) = %{tl_version}
Provides: tex(unilisl6b.tfm) = %{tl_version}
Provides: tex(unilisl6c.tfm) = %{tl_version}
Provides: tex(unilisl6d.tfm) = %{tl_version}
Provides: tex(unilisl6e.tfm) = %{tl_version}
Provides: tex(unilisl6f.tfm) = %{tl_version}
Provides: tex(unilisl70.tfm) = %{tl_version}
Provides: tex(unilisl71.tfm) = %{tl_version}
Provides: tex(unilisl72.tfm) = %{tl_version}
Provides: tex(unilisl73.tfm) = %{tl_version}
Provides: tex(unilisl74.tfm) = %{tl_version}
Provides: tex(unilisl75.tfm) = %{tl_version}
Provides: tex(unilisl76.tfm) = %{tl_version}
Provides: tex(unilisl77.tfm) = %{tl_version}
Provides: tex(unilisl78.tfm) = %{tl_version}
Provides: tex(unilisl79.tfm) = %{tl_version}
Provides: tex(unilisl7a.tfm) = %{tl_version}
Provides: tex(unilisl7b.tfm) = %{tl_version}
Provides: tex(unilisl7c.tfm) = %{tl_version}
Provides: tex(unilisl7d.tfm) = %{tl_version}
Provides: tex(unilisl7e.tfm) = %{tl_version}
Provides: tex(unilisl7f.tfm) = %{tl_version}
Provides: tex(unilisl80.tfm) = %{tl_version}
Provides: tex(unilisl81.tfm) = %{tl_version}
Provides: tex(unilisl82.tfm) = %{tl_version}
Provides: tex(unilisl83.tfm) = %{tl_version}
Provides: tex(unilisl84.tfm) = %{tl_version}
Provides: tex(unilisl85.tfm) = %{tl_version}
Provides: tex(unilisl86.tfm) = %{tl_version}
Provides: tex(unilisl87.tfm) = %{tl_version}
Provides: tex(unilisl88.tfm) = %{tl_version}
Provides: tex(unilisl89.tfm) = %{tl_version}
Provides: tex(unilisl8a.tfm) = %{tl_version}
Provides: tex(unilisl8b.tfm) = %{tl_version}
Provides: tex(unilisl8c.tfm) = %{tl_version}
Provides: tex(unilisl8d.tfm) = %{tl_version}
Provides: tex(unilisl8e.tfm) = %{tl_version}
Provides: tex(unilisl8f.tfm) = %{tl_version}
Provides: tex(unilisl90.tfm) = %{tl_version}
Provides: tex(unilisl91.tfm) = %{tl_version}
Provides: tex(unilisl92.tfm) = %{tl_version}
Provides: tex(unilisl93.tfm) = %{tl_version}
Provides: tex(unilisl94.tfm) = %{tl_version}
Provides: tex(unilisl95.tfm) = %{tl_version}
Provides: tex(unilisl96.tfm) = %{tl_version}
Provides: tex(unilisl97.tfm) = %{tl_version}
Provides: tex(unilisl98.tfm) = %{tl_version}
Provides: tex(unilisl99.tfm) = %{tl_version}
Provides: tex(unilisl9a.tfm) = %{tl_version}
Provides: tex(unilisl9b.tfm) = %{tl_version}
Provides: tex(unilisl9c.tfm) = %{tl_version}
Provides: tex(unilisl9d.tfm) = %{tl_version}
Provides: tex(unilisl9e.tfm) = %{tl_version}
Provides: tex(unilisl9f.tfm) = %{tl_version}
Provides: tex(unilisla0.tfm) = %{tl_version}
Provides: tex(unilisla1.tfm) = %{tl_version}
Provides: tex(unilisla2.tfm) = %{tl_version}
Provides: tex(unilisla3.tfm) = %{tl_version}
Provides: tex(unilisla4.tfm) = %{tl_version}
Provides: tex(unilisla5.tfm) = %{tl_version}
Provides: tex(unilisla6.tfm) = %{tl_version}
Provides: tex(unilisla7.tfm) = %{tl_version}
Provides: tex(unilisla8.tfm) = %{tl_version}
Provides: tex(unilisla9.tfm) = %{tl_version}
Provides: tex(unilislaa.tfm) = %{tl_version}
Provides: tex(unilislab.tfm) = %{tl_version}
Provides: tex(unilislac.tfm) = %{tl_version}
Provides: tex(unilislad.tfm) = %{tl_version}
Provides: tex(unilislae.tfm) = %{tl_version}
Provides: tex(unilislaf.tfm) = %{tl_version}
Provides: tex(unilislb0.tfm) = %{tl_version}
Provides: tex(unilislb1.tfm) = %{tl_version}
Provides: tex(unilislb2.tfm) = %{tl_version}
Provides: tex(unilislb3.tfm) = %{tl_version}
Provides: tex(unilislb4.tfm) = %{tl_version}
Provides: tex(unilislb5.tfm) = %{tl_version}
Provides: tex(unilislb6.tfm) = %{tl_version}
Provides: tex(unilislb7.tfm) = %{tl_version}
Provides: tex(unilislb8.tfm) = %{tl_version}
Provides: tex(unilislb9.tfm) = %{tl_version}
Provides: tex(unilislba.tfm) = %{tl_version}
Provides: tex(unilislbb.tfm) = %{tl_version}
Provides: tex(unilislbc.tfm) = %{tl_version}
Provides: tex(unilislbd.tfm) = %{tl_version}
Provides: tex(unilislbe.tfm) = %{tl_version}
Provides: tex(unilislbf.tfm) = %{tl_version}
Provides: tex(unilislc0.tfm) = %{tl_version}
Provides: tex(unilislc1.tfm) = %{tl_version}
Provides: tex(unilislc2.tfm) = %{tl_version}
Provides: tex(unilislc3.tfm) = %{tl_version}
Provides: tex(unilislc4.tfm) = %{tl_version}
Provides: tex(unilislc5.tfm) = %{tl_version}
Provides: tex(unilislc6.tfm) = %{tl_version}
Provides: tex(unilislc7.tfm) = %{tl_version}
Provides: tex(unilislc8.tfm) = %{tl_version}
Provides: tex(unilislc9.tfm) = %{tl_version}
Provides: tex(unilislca.tfm) = %{tl_version}
Provides: tex(unilislcb.tfm) = %{tl_version}
Provides: tex(unilislcc.tfm) = %{tl_version}
Provides: tex(unilislcd.tfm) = %{tl_version}
Provides: tex(unilislce.tfm) = %{tl_version}
Provides: tex(unilislcf.tfm) = %{tl_version}
Provides: tex(unilisld0.tfm) = %{tl_version}
Provides: tex(unilisld1.tfm) = %{tl_version}
Provides: tex(unilisld2.tfm) = %{tl_version}
Provides: tex(unilisld3.tfm) = %{tl_version}
Provides: tex(unilisld4.tfm) = %{tl_version}
Provides: tex(unilisld5.tfm) = %{tl_version}
Provides: tex(unilisld6.tfm) = %{tl_version}
Provides: tex(unilisld7.tfm) = %{tl_version}
Provides: tex(unilisld8.tfm) = %{tl_version}
Provides: tex(unilisld9.tfm) = %{tl_version}
Provides: tex(unilislda.tfm) = %{tl_version}
Provides: tex(unilisldb.tfm) = %{tl_version}
Provides: tex(unilisldc.tfm) = %{tl_version}
Provides: tex(unilisldd.tfm) = %{tl_version}
Provides: tex(unilislde.tfm) = %{tl_version}
Provides: tex(unilisldf.tfm) = %{tl_version}
Provides: tex(unilisle0.tfm) = %{tl_version}
Provides: tex(unilisle1.tfm) = %{tl_version}
Provides: tex(unilisle2.tfm) = %{tl_version}
Provides: tex(unilisle3.tfm) = %{tl_version}
Provides: tex(unilisle4.tfm) = %{tl_version}
Provides: tex(unilisle5.tfm) = %{tl_version}
Provides: tex(unilisle6.tfm) = %{tl_version}
Provides: tex(unilisle7.tfm) = %{tl_version}
Provides: tex(unilisle8.tfm) = %{tl_version}
Provides: tex(unilisle9.tfm) = %{tl_version}
Provides: tex(unilislea.tfm) = %{tl_version}
Provides: tex(unilisleb.tfm) = %{tl_version}
Provides: tex(unilislec.tfm) = %{tl_version}
Provides: tex(unilisled.tfm) = %{tl_version}
Provides: tex(unilislee.tfm) = %{tl_version}
Provides: tex(unilislef.tfm) = %{tl_version}
Provides: tex(unilislf0.tfm) = %{tl_version}
Provides: tex(unilislf1.tfm) = %{tl_version}
Provides: tex(unilislf2.tfm) = %{tl_version}
Provides: tex(unilislf3.tfm) = %{tl_version}
Provides: tex(unilislf4.tfm) = %{tl_version}
Provides: tex(unilislf5.tfm) = %{tl_version}
Provides: tex(unilislf6.tfm) = %{tl_version}
Provides: tex(unilislf7.tfm) = %{tl_version}
Provides: tex(unilislf8.tfm) = %{tl_version}
Provides: tex(unilislf9.tfm) = %{tl_version}
Provides: tex(unilislfa.tfm) = %{tl_version}
Provides: tex(unilislfb.tfm) = %{tl_version}
Provides: tex(unilislfc.tfm) = %{tl_version}
Provides: tex(unilislfd.tfm) = %{tl_version}
Provides: tex(unilislfe.tfm) = %{tl_version}
Provides: tex(unilislff.tfm) = %{tl_version}
Provides: tex(unisong00.tfm) = %{tl_version}
Provides: tex(unisong01.tfm) = %{tl_version}
Provides: tex(unisong02.tfm) = %{tl_version}
Provides: tex(unisong03.tfm) = %{tl_version}
Provides: tex(unisong04.tfm) = %{tl_version}
Provides: tex(unisong05.tfm) = %{tl_version}
Provides: tex(unisong06.tfm) = %{tl_version}
Provides: tex(unisong07.tfm) = %{tl_version}
Provides: tex(unisong08.tfm) = %{tl_version}
Provides: tex(unisong09.tfm) = %{tl_version}
Provides: tex(unisong0a.tfm) = %{tl_version}
Provides: tex(unisong0b.tfm) = %{tl_version}
Provides: tex(unisong0c.tfm) = %{tl_version}
Provides: tex(unisong0d.tfm) = %{tl_version}
Provides: tex(unisong0e.tfm) = %{tl_version}
Provides: tex(unisong0f.tfm) = %{tl_version}
Provides: tex(unisong10.tfm) = %{tl_version}
Provides: tex(unisong11.tfm) = %{tl_version}
Provides: tex(unisong12.tfm) = %{tl_version}
Provides: tex(unisong13.tfm) = %{tl_version}
Provides: tex(unisong14.tfm) = %{tl_version}
Provides: tex(unisong15.tfm) = %{tl_version}
Provides: tex(unisong16.tfm) = %{tl_version}
Provides: tex(unisong17.tfm) = %{tl_version}
Provides: tex(unisong18.tfm) = %{tl_version}
Provides: tex(unisong19.tfm) = %{tl_version}
Provides: tex(unisong1a.tfm) = %{tl_version}
Provides: tex(unisong1b.tfm) = %{tl_version}
Provides: tex(unisong1c.tfm) = %{tl_version}
Provides: tex(unisong1d.tfm) = %{tl_version}
Provides: tex(unisong1e.tfm) = %{tl_version}
Provides: tex(unisong1f.tfm) = %{tl_version}
Provides: tex(unisong20.tfm) = %{tl_version}
Provides: tex(unisong21.tfm) = %{tl_version}
Provides: tex(unisong22.tfm) = %{tl_version}
Provides: tex(unisong23.tfm) = %{tl_version}
Provides: tex(unisong24.tfm) = %{tl_version}
Provides: tex(unisong25.tfm) = %{tl_version}
Provides: tex(unisong26.tfm) = %{tl_version}
Provides: tex(unisong27.tfm) = %{tl_version}
Provides: tex(unisong28.tfm) = %{tl_version}
Provides: tex(unisong29.tfm) = %{tl_version}
Provides: tex(unisong2a.tfm) = %{tl_version}
Provides: tex(unisong2b.tfm) = %{tl_version}
Provides: tex(unisong2c.tfm) = %{tl_version}
Provides: tex(unisong2d.tfm) = %{tl_version}
Provides: tex(unisong2e.tfm) = %{tl_version}
Provides: tex(unisong2f.tfm) = %{tl_version}
Provides: tex(unisong30.tfm) = %{tl_version}
Provides: tex(unisong31.tfm) = %{tl_version}
Provides: tex(unisong32.tfm) = %{tl_version}
Provides: tex(unisong33.tfm) = %{tl_version}
Provides: tex(unisong34.tfm) = %{tl_version}
Provides: tex(unisong35.tfm) = %{tl_version}
Provides: tex(unisong36.tfm) = %{tl_version}
Provides: tex(unisong37.tfm) = %{tl_version}
Provides: tex(unisong38.tfm) = %{tl_version}
Provides: tex(unisong39.tfm) = %{tl_version}
Provides: tex(unisong3a.tfm) = %{tl_version}
Provides: tex(unisong3b.tfm) = %{tl_version}
Provides: tex(unisong3c.tfm) = %{tl_version}
Provides: tex(unisong3d.tfm) = %{tl_version}
Provides: tex(unisong3e.tfm) = %{tl_version}
Provides: tex(unisong3f.tfm) = %{tl_version}
Provides: tex(unisong40.tfm) = %{tl_version}
Provides: tex(unisong41.tfm) = %{tl_version}
Provides: tex(unisong42.tfm) = %{tl_version}
Provides: tex(unisong43.tfm) = %{tl_version}
Provides: tex(unisong44.tfm) = %{tl_version}
Provides: tex(unisong45.tfm) = %{tl_version}
Provides: tex(unisong46.tfm) = %{tl_version}
Provides: tex(unisong47.tfm) = %{tl_version}
Provides: tex(unisong48.tfm) = %{tl_version}
Provides: tex(unisong49.tfm) = %{tl_version}
Provides: tex(unisong4a.tfm) = %{tl_version}
Provides: tex(unisong4b.tfm) = %{tl_version}
Provides: tex(unisong4c.tfm) = %{tl_version}
Provides: tex(unisong4d.tfm) = %{tl_version}
Provides: tex(unisong4e.tfm) = %{tl_version}
Provides: tex(unisong4f.tfm) = %{tl_version}
Provides: tex(unisong50.tfm) = %{tl_version}
Provides: tex(unisong51.tfm) = %{tl_version}
Provides: tex(unisong52.tfm) = %{tl_version}
Provides: tex(unisong53.tfm) = %{tl_version}
Provides: tex(unisong54.tfm) = %{tl_version}
Provides: tex(unisong55.tfm) = %{tl_version}
Provides: tex(unisong56.tfm) = %{tl_version}
Provides: tex(unisong57.tfm) = %{tl_version}
Provides: tex(unisong58.tfm) = %{tl_version}
Provides: tex(unisong59.tfm) = %{tl_version}
Provides: tex(unisong5a.tfm) = %{tl_version}
Provides: tex(unisong5b.tfm) = %{tl_version}
Provides: tex(unisong5c.tfm) = %{tl_version}
Provides: tex(unisong5d.tfm) = %{tl_version}
Provides: tex(unisong5e.tfm) = %{tl_version}
Provides: tex(unisong5f.tfm) = %{tl_version}
Provides: tex(unisong60.tfm) = %{tl_version}
Provides: tex(unisong61.tfm) = %{tl_version}
Provides: tex(unisong62.tfm) = %{tl_version}
Provides: tex(unisong63.tfm) = %{tl_version}
Provides: tex(unisong64.tfm) = %{tl_version}
Provides: tex(unisong65.tfm) = %{tl_version}
Provides: tex(unisong66.tfm) = %{tl_version}
Provides: tex(unisong67.tfm) = %{tl_version}
Provides: tex(unisong68.tfm) = %{tl_version}
Provides: tex(unisong69.tfm) = %{tl_version}
Provides: tex(unisong6a.tfm) = %{tl_version}
Provides: tex(unisong6b.tfm) = %{tl_version}
Provides: tex(unisong6c.tfm) = %{tl_version}
Provides: tex(unisong6d.tfm) = %{tl_version}
Provides: tex(unisong6e.tfm) = %{tl_version}
Provides: tex(unisong6f.tfm) = %{tl_version}
Provides: tex(unisong70.tfm) = %{tl_version}
Provides: tex(unisong71.tfm) = %{tl_version}
Provides: tex(unisong72.tfm) = %{tl_version}
Provides: tex(unisong73.tfm) = %{tl_version}
Provides: tex(unisong74.tfm) = %{tl_version}
Provides: tex(unisong75.tfm) = %{tl_version}
Provides: tex(unisong76.tfm) = %{tl_version}
Provides: tex(unisong77.tfm) = %{tl_version}
Provides: tex(unisong78.tfm) = %{tl_version}
Provides: tex(unisong79.tfm) = %{tl_version}
Provides: tex(unisong7a.tfm) = %{tl_version}
Provides: tex(unisong7b.tfm) = %{tl_version}
Provides: tex(unisong7c.tfm) = %{tl_version}
Provides: tex(unisong7d.tfm) = %{tl_version}
Provides: tex(unisong7e.tfm) = %{tl_version}
Provides: tex(unisong7f.tfm) = %{tl_version}
Provides: tex(unisong80.tfm) = %{tl_version}
Provides: tex(unisong81.tfm) = %{tl_version}
Provides: tex(unisong82.tfm) = %{tl_version}
Provides: tex(unisong83.tfm) = %{tl_version}
Provides: tex(unisong84.tfm) = %{tl_version}
Provides: tex(unisong85.tfm) = %{tl_version}
Provides: tex(unisong86.tfm) = %{tl_version}
Provides: tex(unisong87.tfm) = %{tl_version}
Provides: tex(unisong88.tfm) = %{tl_version}
Provides: tex(unisong89.tfm) = %{tl_version}
Provides: tex(unisong8a.tfm) = %{tl_version}
Provides: tex(unisong8b.tfm) = %{tl_version}
Provides: tex(unisong8c.tfm) = %{tl_version}
Provides: tex(unisong8d.tfm) = %{tl_version}
Provides: tex(unisong8e.tfm) = %{tl_version}
Provides: tex(unisong8f.tfm) = %{tl_version}
Provides: tex(unisong90.tfm) = %{tl_version}
Provides: tex(unisong91.tfm) = %{tl_version}
Provides: tex(unisong92.tfm) = %{tl_version}
Provides: tex(unisong93.tfm) = %{tl_version}
Provides: tex(unisong94.tfm) = %{tl_version}
Provides: tex(unisong95.tfm) = %{tl_version}
Provides: tex(unisong96.tfm) = %{tl_version}
Provides: tex(unisong97.tfm) = %{tl_version}
Provides: tex(unisong98.tfm) = %{tl_version}
Provides: tex(unisong99.tfm) = %{tl_version}
Provides: tex(unisong9a.tfm) = %{tl_version}
Provides: tex(unisong9b.tfm) = %{tl_version}
Provides: tex(unisong9c.tfm) = %{tl_version}
Provides: tex(unisong9d.tfm) = %{tl_version}
Provides: tex(unisong9e.tfm) = %{tl_version}
Provides: tex(unisong9f.tfm) = %{tl_version}
Provides: tex(unisonga0.tfm) = %{tl_version}
Provides: tex(unisonga1.tfm) = %{tl_version}
Provides: tex(unisonga2.tfm) = %{tl_version}
Provides: tex(unisonga3.tfm) = %{tl_version}
Provides: tex(unisonga4.tfm) = %{tl_version}
Provides: tex(unisonga5.tfm) = %{tl_version}
Provides: tex(unisonga6.tfm) = %{tl_version}
Provides: tex(unisonga7.tfm) = %{tl_version}
Provides: tex(unisonga8.tfm) = %{tl_version}
Provides: tex(unisonga9.tfm) = %{tl_version}
Provides: tex(unisongaa.tfm) = %{tl_version}
Provides: tex(unisongab.tfm) = %{tl_version}
Provides: tex(unisongac.tfm) = %{tl_version}
Provides: tex(unisongad.tfm) = %{tl_version}
Provides: tex(unisongae.tfm) = %{tl_version}
Provides: tex(unisongaf.tfm) = %{tl_version}
Provides: tex(unisongb0.tfm) = %{tl_version}
Provides: tex(unisongb1.tfm) = %{tl_version}
Provides: tex(unisongb2.tfm) = %{tl_version}
Provides: tex(unisongb3.tfm) = %{tl_version}
Provides: tex(unisongb4.tfm) = %{tl_version}
Provides: tex(unisongb5.tfm) = %{tl_version}
Provides: tex(unisongb6.tfm) = %{tl_version}
Provides: tex(unisongb7.tfm) = %{tl_version}
Provides: tex(unisongb8.tfm) = %{tl_version}
Provides: tex(unisongb9.tfm) = %{tl_version}
Provides: tex(unisongba.tfm) = %{tl_version}
Provides: tex(unisongbb.tfm) = %{tl_version}
Provides: tex(unisongbc.tfm) = %{tl_version}
Provides: tex(unisongbd.tfm) = %{tl_version}
Provides: tex(unisongbe.tfm) = %{tl_version}
Provides: tex(unisongbf.tfm) = %{tl_version}
Provides: tex(unisongc0.tfm) = %{tl_version}
Provides: tex(unisongc1.tfm) = %{tl_version}
Provides: tex(unisongc2.tfm) = %{tl_version}
Provides: tex(unisongc3.tfm) = %{tl_version}
Provides: tex(unisongc4.tfm) = %{tl_version}
Provides: tex(unisongc5.tfm) = %{tl_version}
Provides: tex(unisongc6.tfm) = %{tl_version}
Provides: tex(unisongc7.tfm) = %{tl_version}
Provides: tex(unisongc8.tfm) = %{tl_version}
Provides: tex(unisongc9.tfm) = %{tl_version}
Provides: tex(unisongca.tfm) = %{tl_version}
Provides: tex(unisongcb.tfm) = %{tl_version}
Provides: tex(unisongcc.tfm) = %{tl_version}
Provides: tex(unisongcd.tfm) = %{tl_version}
Provides: tex(unisongce.tfm) = %{tl_version}
Provides: tex(unisongcf.tfm) = %{tl_version}
Provides: tex(unisongd0.tfm) = %{tl_version}
Provides: tex(unisongd1.tfm) = %{tl_version}
Provides: tex(unisongd2.tfm) = %{tl_version}
Provides: tex(unisongd3.tfm) = %{tl_version}
Provides: tex(unisongd4.tfm) = %{tl_version}
Provides: tex(unisongd5.tfm) = %{tl_version}
Provides: tex(unisongd6.tfm) = %{tl_version}
Provides: tex(unisongd7.tfm) = %{tl_version}
Provides: tex(unisongd8.tfm) = %{tl_version}
Provides: tex(unisongd9.tfm) = %{tl_version}
Provides: tex(unisongda.tfm) = %{tl_version}
Provides: tex(unisongdb.tfm) = %{tl_version}
Provides: tex(unisongdc.tfm) = %{tl_version}
Provides: tex(unisongdd.tfm) = %{tl_version}
Provides: tex(unisongde.tfm) = %{tl_version}
Provides: tex(unisongdf.tfm) = %{tl_version}
Provides: tex(unisonge0.tfm) = %{tl_version}
Provides: tex(unisonge1.tfm) = %{tl_version}
Provides: tex(unisonge2.tfm) = %{tl_version}
Provides: tex(unisonge3.tfm) = %{tl_version}
Provides: tex(unisonge4.tfm) = %{tl_version}
Provides: tex(unisonge5.tfm) = %{tl_version}
Provides: tex(unisonge6.tfm) = %{tl_version}
Provides: tex(unisonge7.tfm) = %{tl_version}
Provides: tex(unisonge8.tfm) = %{tl_version}
Provides: tex(unisonge9.tfm) = %{tl_version}
Provides: tex(unisongea.tfm) = %{tl_version}
Provides: tex(unisongeb.tfm) = %{tl_version}
Provides: tex(unisongec.tfm) = %{tl_version}
Provides: tex(unisonged.tfm) = %{tl_version}
Provides: tex(unisongee.tfm) = %{tl_version}
Provides: tex(unisongef.tfm) = %{tl_version}
Provides: tex(unisongf0.tfm) = %{tl_version}
Provides: tex(unisongf1.tfm) = %{tl_version}
Provides: tex(unisongf2.tfm) = %{tl_version}
Provides: tex(unisongf3.tfm) = %{tl_version}
Provides: tex(unisongf4.tfm) = %{tl_version}
Provides: tex(unisongf5.tfm) = %{tl_version}
Provides: tex(unisongf6.tfm) = %{tl_version}
Provides: tex(unisongf7.tfm) = %{tl_version}
Provides: tex(unisongf8.tfm) = %{tl_version}
Provides: tex(unisongf9.tfm) = %{tl_version}
Provides: tex(unisongfa.tfm) = %{tl_version}
Provides: tex(unisongfb.tfm) = %{tl_version}
Provides: tex(unisongfc.tfm) = %{tl_version}
Provides: tex(unisongfd.tfm) = %{tl_version}
Provides: tex(unisongfe.tfm) = %{tl_version}
Provides: tex(unisongff.tfm) = %{tl_version}
Provides: tex(unisongsl00.tfm) = %{tl_version}
Provides: tex(unisongsl01.tfm) = %{tl_version}
Provides: tex(unisongsl02.tfm) = %{tl_version}
Provides: tex(unisongsl03.tfm) = %{tl_version}
Provides: tex(unisongsl04.tfm) = %{tl_version}
Provides: tex(unisongsl05.tfm) = %{tl_version}
Provides: tex(unisongsl06.tfm) = %{tl_version}
Provides: tex(unisongsl07.tfm) = %{tl_version}
Provides: tex(unisongsl08.tfm) = %{tl_version}
Provides: tex(unisongsl09.tfm) = %{tl_version}
Provides: tex(unisongsl0a.tfm) = %{tl_version}
Provides: tex(unisongsl0b.tfm) = %{tl_version}
Provides: tex(unisongsl0c.tfm) = %{tl_version}
Provides: tex(unisongsl0d.tfm) = %{tl_version}
Provides: tex(unisongsl0e.tfm) = %{tl_version}
Provides: tex(unisongsl0f.tfm) = %{tl_version}
Provides: tex(unisongsl10.tfm) = %{tl_version}
Provides: tex(unisongsl11.tfm) = %{tl_version}
Provides: tex(unisongsl12.tfm) = %{tl_version}
Provides: tex(unisongsl13.tfm) = %{tl_version}
Provides: tex(unisongsl14.tfm) = %{tl_version}
Provides: tex(unisongsl15.tfm) = %{tl_version}
Provides: tex(unisongsl16.tfm) = %{tl_version}
Provides: tex(unisongsl17.tfm) = %{tl_version}
Provides: tex(unisongsl18.tfm) = %{tl_version}
Provides: tex(unisongsl19.tfm) = %{tl_version}
Provides: tex(unisongsl1a.tfm) = %{tl_version}
Provides: tex(unisongsl1b.tfm) = %{tl_version}
Provides: tex(unisongsl1c.tfm) = %{tl_version}
Provides: tex(unisongsl1d.tfm) = %{tl_version}
Provides: tex(unisongsl1e.tfm) = %{tl_version}
Provides: tex(unisongsl1f.tfm) = %{tl_version}
Provides: tex(unisongsl20.tfm) = %{tl_version}
Provides: tex(unisongsl21.tfm) = %{tl_version}
Provides: tex(unisongsl22.tfm) = %{tl_version}
Provides: tex(unisongsl23.tfm) = %{tl_version}
Provides: tex(unisongsl24.tfm) = %{tl_version}
Provides: tex(unisongsl25.tfm) = %{tl_version}
Provides: tex(unisongsl26.tfm) = %{tl_version}
Provides: tex(unisongsl27.tfm) = %{tl_version}
Provides: tex(unisongsl28.tfm) = %{tl_version}
Provides: tex(unisongsl29.tfm) = %{tl_version}
Provides: tex(unisongsl2a.tfm) = %{tl_version}
Provides: tex(unisongsl2b.tfm) = %{tl_version}
Provides: tex(unisongsl2c.tfm) = %{tl_version}
Provides: tex(unisongsl2d.tfm) = %{tl_version}
Provides: tex(unisongsl2e.tfm) = %{tl_version}
Provides: tex(unisongsl2f.tfm) = %{tl_version}
Provides: tex(unisongsl30.tfm) = %{tl_version}
Provides: tex(unisongsl31.tfm) = %{tl_version}
Provides: tex(unisongsl32.tfm) = %{tl_version}
Provides: tex(unisongsl33.tfm) = %{tl_version}
Provides: tex(unisongsl34.tfm) = %{tl_version}
Provides: tex(unisongsl35.tfm) = %{tl_version}
Provides: tex(unisongsl36.tfm) = %{tl_version}
Provides: tex(unisongsl37.tfm) = %{tl_version}
Provides: tex(unisongsl38.tfm) = %{tl_version}
Provides: tex(unisongsl39.tfm) = %{tl_version}
Provides: tex(unisongsl3a.tfm) = %{tl_version}
Provides: tex(unisongsl3b.tfm) = %{tl_version}
Provides: tex(unisongsl3c.tfm) = %{tl_version}
Provides: tex(unisongsl3d.tfm) = %{tl_version}
Provides: tex(unisongsl3e.tfm) = %{tl_version}
Provides: tex(unisongsl3f.tfm) = %{tl_version}
Provides: tex(unisongsl40.tfm) = %{tl_version}
Provides: tex(unisongsl41.tfm) = %{tl_version}
Provides: tex(unisongsl42.tfm) = %{tl_version}
Provides: tex(unisongsl43.tfm) = %{tl_version}
Provides: tex(unisongsl44.tfm) = %{tl_version}
Provides: tex(unisongsl45.tfm) = %{tl_version}
Provides: tex(unisongsl46.tfm) = %{tl_version}
Provides: tex(unisongsl47.tfm) = %{tl_version}
Provides: tex(unisongsl48.tfm) = %{tl_version}
Provides: tex(unisongsl49.tfm) = %{tl_version}
Provides: tex(unisongsl4a.tfm) = %{tl_version}
Provides: tex(unisongsl4b.tfm) = %{tl_version}
Provides: tex(unisongsl4c.tfm) = %{tl_version}
Provides: tex(unisongsl4d.tfm) = %{tl_version}
Provides: tex(unisongsl4e.tfm) = %{tl_version}
Provides: tex(unisongsl4f.tfm) = %{tl_version}
Provides: tex(unisongsl50.tfm) = %{tl_version}
Provides: tex(unisongsl51.tfm) = %{tl_version}
Provides: tex(unisongsl52.tfm) = %{tl_version}
Provides: tex(unisongsl53.tfm) = %{tl_version}
Provides: tex(unisongsl54.tfm) = %{tl_version}
Provides: tex(unisongsl55.tfm) = %{tl_version}
Provides: tex(unisongsl56.tfm) = %{tl_version}
Provides: tex(unisongsl57.tfm) = %{tl_version}
Provides: tex(unisongsl58.tfm) = %{tl_version}
Provides: tex(unisongsl59.tfm) = %{tl_version}
Provides: tex(unisongsl5a.tfm) = %{tl_version}
Provides: tex(unisongsl5b.tfm) = %{tl_version}
Provides: tex(unisongsl5c.tfm) = %{tl_version}
Provides: tex(unisongsl5d.tfm) = %{tl_version}
Provides: tex(unisongsl5e.tfm) = %{tl_version}
Provides: tex(unisongsl5f.tfm) = %{tl_version}
Provides: tex(unisongsl60.tfm) = %{tl_version}
Provides: tex(unisongsl61.tfm) = %{tl_version}
Provides: tex(unisongsl62.tfm) = %{tl_version}
Provides: tex(unisongsl63.tfm) = %{tl_version}
Provides: tex(unisongsl64.tfm) = %{tl_version}
Provides: tex(unisongsl65.tfm) = %{tl_version}
Provides: tex(unisongsl66.tfm) = %{tl_version}
Provides: tex(unisongsl67.tfm) = %{tl_version}
Provides: tex(unisongsl68.tfm) = %{tl_version}
Provides: tex(unisongsl69.tfm) = %{tl_version}
Provides: tex(unisongsl6a.tfm) = %{tl_version}
Provides: tex(unisongsl6b.tfm) = %{tl_version}
Provides: tex(unisongsl6c.tfm) = %{tl_version}
Provides: tex(unisongsl6d.tfm) = %{tl_version}
Provides: tex(unisongsl6e.tfm) = %{tl_version}
Provides: tex(unisongsl6f.tfm) = %{tl_version}
Provides: tex(unisongsl70.tfm) = %{tl_version}
Provides: tex(unisongsl71.tfm) = %{tl_version}
Provides: tex(unisongsl72.tfm) = %{tl_version}
Provides: tex(unisongsl73.tfm) = %{tl_version}
Provides: tex(unisongsl74.tfm) = %{tl_version}
Provides: tex(unisongsl75.tfm) = %{tl_version}
Provides: tex(unisongsl76.tfm) = %{tl_version}
Provides: tex(unisongsl77.tfm) = %{tl_version}
Provides: tex(unisongsl78.tfm) = %{tl_version}
Provides: tex(unisongsl79.tfm) = %{tl_version}
Provides: tex(unisongsl7a.tfm) = %{tl_version}
Provides: tex(unisongsl7b.tfm) = %{tl_version}
Provides: tex(unisongsl7c.tfm) = %{tl_version}
Provides: tex(unisongsl7d.tfm) = %{tl_version}
Provides: tex(unisongsl7e.tfm) = %{tl_version}
Provides: tex(unisongsl7f.tfm) = %{tl_version}
Provides: tex(unisongsl80.tfm) = %{tl_version}
Provides: tex(unisongsl81.tfm) = %{tl_version}
Provides: tex(unisongsl82.tfm) = %{tl_version}
Provides: tex(unisongsl83.tfm) = %{tl_version}
Provides: tex(unisongsl84.tfm) = %{tl_version}
Provides: tex(unisongsl85.tfm) = %{tl_version}
Provides: tex(unisongsl86.tfm) = %{tl_version}
Provides: tex(unisongsl87.tfm) = %{tl_version}
Provides: tex(unisongsl88.tfm) = %{tl_version}
Provides: tex(unisongsl89.tfm) = %{tl_version}
Provides: tex(unisongsl8a.tfm) = %{tl_version}
Provides: tex(unisongsl8b.tfm) = %{tl_version}
Provides: tex(unisongsl8c.tfm) = %{tl_version}
Provides: tex(unisongsl8d.tfm) = %{tl_version}
Provides: tex(unisongsl8e.tfm) = %{tl_version}
Provides: tex(unisongsl8f.tfm) = %{tl_version}
Provides: tex(unisongsl90.tfm) = %{tl_version}
Provides: tex(unisongsl91.tfm) = %{tl_version}
Provides: tex(unisongsl92.tfm) = %{tl_version}
Provides: tex(unisongsl93.tfm) = %{tl_version}
Provides: tex(unisongsl94.tfm) = %{tl_version}
Provides: tex(unisongsl95.tfm) = %{tl_version}
Provides: tex(unisongsl96.tfm) = %{tl_version}
Provides: tex(unisongsl97.tfm) = %{tl_version}
Provides: tex(unisongsl98.tfm) = %{tl_version}
Provides: tex(unisongsl99.tfm) = %{tl_version}
Provides: tex(unisongsl9a.tfm) = %{tl_version}
Provides: tex(unisongsl9b.tfm) = %{tl_version}
Provides: tex(unisongsl9c.tfm) = %{tl_version}
Provides: tex(unisongsl9d.tfm) = %{tl_version}
Provides: tex(unisongsl9e.tfm) = %{tl_version}
Provides: tex(unisongsl9f.tfm) = %{tl_version}
Provides: tex(unisongsla0.tfm) = %{tl_version}
Provides: tex(unisongsla1.tfm) = %{tl_version}
Provides: tex(unisongsla2.tfm) = %{tl_version}
Provides: tex(unisongsla3.tfm) = %{tl_version}
Provides: tex(unisongsla4.tfm) = %{tl_version}
Provides: tex(unisongsla5.tfm) = %{tl_version}
Provides: tex(unisongsla6.tfm) = %{tl_version}
Provides: tex(unisongsla7.tfm) = %{tl_version}
Provides: tex(unisongsla8.tfm) = %{tl_version}
Provides: tex(unisongsla9.tfm) = %{tl_version}
Provides: tex(unisongslaa.tfm) = %{tl_version}
Provides: tex(unisongslab.tfm) = %{tl_version}
Provides: tex(unisongslac.tfm) = %{tl_version}
Provides: tex(unisongslad.tfm) = %{tl_version}
Provides: tex(unisongslae.tfm) = %{tl_version}
Provides: tex(unisongslaf.tfm) = %{tl_version}
Provides: tex(unisongslb0.tfm) = %{tl_version}
Provides: tex(unisongslb1.tfm) = %{tl_version}
Provides: tex(unisongslb2.tfm) = %{tl_version}
Provides: tex(unisongslb3.tfm) = %{tl_version}
Provides: tex(unisongslb4.tfm) = %{tl_version}
Provides: tex(unisongslb5.tfm) = %{tl_version}
Provides: tex(unisongslb6.tfm) = %{tl_version}
Provides: tex(unisongslb7.tfm) = %{tl_version}
Provides: tex(unisongslb8.tfm) = %{tl_version}
Provides: tex(unisongslb9.tfm) = %{tl_version}
Provides: tex(unisongslba.tfm) = %{tl_version}
Provides: tex(unisongslbb.tfm) = %{tl_version}
Provides: tex(unisongslbc.tfm) = %{tl_version}
Provides: tex(unisongslbd.tfm) = %{tl_version}
Provides: tex(unisongslbe.tfm) = %{tl_version}
Provides: tex(unisongslbf.tfm) = %{tl_version}
Provides: tex(unisongslc0.tfm) = %{tl_version}
Provides: tex(unisongslc1.tfm) = %{tl_version}
Provides: tex(unisongslc2.tfm) = %{tl_version}
Provides: tex(unisongslc3.tfm) = %{tl_version}
Provides: tex(unisongslc4.tfm) = %{tl_version}
Provides: tex(unisongslc5.tfm) = %{tl_version}
Provides: tex(unisongslc6.tfm) = %{tl_version}
Provides: tex(unisongslc7.tfm) = %{tl_version}
Provides: tex(unisongslc8.tfm) = %{tl_version}
Provides: tex(unisongslc9.tfm) = %{tl_version}
Provides: tex(unisongslca.tfm) = %{tl_version}
Provides: tex(unisongslcb.tfm) = %{tl_version}
Provides: tex(unisongslcc.tfm) = %{tl_version}
Provides: tex(unisongslcd.tfm) = %{tl_version}
Provides: tex(unisongslce.tfm) = %{tl_version}
Provides: tex(unisongslcf.tfm) = %{tl_version}
Provides: tex(unisongsld0.tfm) = %{tl_version}
Provides: tex(unisongsld1.tfm) = %{tl_version}
Provides: tex(unisongsld2.tfm) = %{tl_version}
Provides: tex(unisongsld3.tfm) = %{tl_version}
Provides: tex(unisongsld4.tfm) = %{tl_version}
Provides: tex(unisongsld5.tfm) = %{tl_version}
Provides: tex(unisongsld6.tfm) = %{tl_version}
Provides: tex(unisongsld7.tfm) = %{tl_version}
Provides: tex(unisongsld8.tfm) = %{tl_version}
Provides: tex(unisongsld9.tfm) = %{tl_version}
Provides: tex(unisongslda.tfm) = %{tl_version}
Provides: tex(unisongsldb.tfm) = %{tl_version}
Provides: tex(unisongsldc.tfm) = %{tl_version}
Provides: tex(unisongsldd.tfm) = %{tl_version}
Provides: tex(unisongslde.tfm) = %{tl_version}
Provides: tex(unisongsldf.tfm) = %{tl_version}
Provides: tex(unisongsle0.tfm) = %{tl_version}
Provides: tex(unisongsle1.tfm) = %{tl_version}
Provides: tex(unisongsle2.tfm) = %{tl_version}
Provides: tex(unisongsle3.tfm) = %{tl_version}
Provides: tex(unisongsle4.tfm) = %{tl_version}
Provides: tex(unisongsle5.tfm) = %{tl_version}
Provides: tex(unisongsle6.tfm) = %{tl_version}
Provides: tex(unisongsle7.tfm) = %{tl_version}
Provides: tex(unisongsle8.tfm) = %{tl_version}
Provides: tex(unisongsle9.tfm) = %{tl_version}
Provides: tex(unisongslea.tfm) = %{tl_version}
Provides: tex(unisongsleb.tfm) = %{tl_version}
Provides: tex(unisongslec.tfm) = %{tl_version}
Provides: tex(unisongsled.tfm) = %{tl_version}
Provides: tex(unisongslee.tfm) = %{tl_version}
Provides: tex(unisongslef.tfm) = %{tl_version}
Provides: tex(unisongslf0.tfm) = %{tl_version}
Provides: tex(unisongslf1.tfm) = %{tl_version}
Provides: tex(unisongslf2.tfm) = %{tl_version}
Provides: tex(unisongslf3.tfm) = %{tl_version}
Provides: tex(unisongslf4.tfm) = %{tl_version}
Provides: tex(unisongslf5.tfm) = %{tl_version}
Provides: tex(unisongslf6.tfm) = %{tl_version}
Provides: tex(unisongslf7.tfm) = %{tl_version}
Provides: tex(unisongslf8.tfm) = %{tl_version}
Provides: tex(unisongslf9.tfm) = %{tl_version}
Provides: tex(unisongslfa.tfm) = %{tl_version}
Provides: tex(unisongslfb.tfm) = %{tl_version}
Provides: tex(unisongslfc.tfm) = %{tl_version}
Provides: tex(unisongslfd.tfm) = %{tl_version}
Provides: tex(unisongslfe.tfm) = %{tl_version}
Provides: tex(unisongslff.tfm) = %{tl_version}
Provides: tex(uniyou00.tfm) = %{tl_version}
Provides: tex(uniyou01.tfm) = %{tl_version}
Provides: tex(uniyou02.tfm) = %{tl_version}
Provides: tex(uniyou03.tfm) = %{tl_version}
Provides: tex(uniyou04.tfm) = %{tl_version}
Provides: tex(uniyou05.tfm) = %{tl_version}
Provides: tex(uniyou06.tfm) = %{tl_version}
Provides: tex(uniyou07.tfm) = %{tl_version}
Provides: tex(uniyou08.tfm) = %{tl_version}
Provides: tex(uniyou09.tfm) = %{tl_version}
Provides: tex(uniyou0a.tfm) = %{tl_version}
Provides: tex(uniyou0b.tfm) = %{tl_version}
Provides: tex(uniyou0c.tfm) = %{tl_version}
Provides: tex(uniyou0d.tfm) = %{tl_version}
Provides: tex(uniyou0e.tfm) = %{tl_version}
Provides: tex(uniyou0f.tfm) = %{tl_version}
Provides: tex(uniyou10.tfm) = %{tl_version}
Provides: tex(uniyou11.tfm) = %{tl_version}
Provides: tex(uniyou12.tfm) = %{tl_version}
Provides: tex(uniyou13.tfm) = %{tl_version}
Provides: tex(uniyou14.tfm) = %{tl_version}
Provides: tex(uniyou15.tfm) = %{tl_version}
Provides: tex(uniyou16.tfm) = %{tl_version}
Provides: tex(uniyou17.tfm) = %{tl_version}
Provides: tex(uniyou18.tfm) = %{tl_version}
Provides: tex(uniyou19.tfm) = %{tl_version}
Provides: tex(uniyou1a.tfm) = %{tl_version}
Provides: tex(uniyou1b.tfm) = %{tl_version}
Provides: tex(uniyou1c.tfm) = %{tl_version}
Provides: tex(uniyou1d.tfm) = %{tl_version}
Provides: tex(uniyou1e.tfm) = %{tl_version}
Provides: tex(uniyou1f.tfm) = %{tl_version}
Provides: tex(uniyou20.tfm) = %{tl_version}
Provides: tex(uniyou21.tfm) = %{tl_version}
Provides: tex(uniyou22.tfm) = %{tl_version}
Provides: tex(uniyou23.tfm) = %{tl_version}
Provides: tex(uniyou24.tfm) = %{tl_version}
Provides: tex(uniyou25.tfm) = %{tl_version}
Provides: tex(uniyou26.tfm) = %{tl_version}
Provides: tex(uniyou27.tfm) = %{tl_version}
Provides: tex(uniyou28.tfm) = %{tl_version}
Provides: tex(uniyou29.tfm) = %{tl_version}
Provides: tex(uniyou2a.tfm) = %{tl_version}
Provides: tex(uniyou2b.tfm) = %{tl_version}
Provides: tex(uniyou2c.tfm) = %{tl_version}
Provides: tex(uniyou2d.tfm) = %{tl_version}
Provides: tex(uniyou2e.tfm) = %{tl_version}
Provides: tex(uniyou2f.tfm) = %{tl_version}
Provides: tex(uniyou30.tfm) = %{tl_version}
Provides: tex(uniyou31.tfm) = %{tl_version}
Provides: tex(uniyou32.tfm) = %{tl_version}
Provides: tex(uniyou33.tfm) = %{tl_version}
Provides: tex(uniyou34.tfm) = %{tl_version}
Provides: tex(uniyou35.tfm) = %{tl_version}
Provides: tex(uniyou36.tfm) = %{tl_version}
Provides: tex(uniyou37.tfm) = %{tl_version}
Provides: tex(uniyou38.tfm) = %{tl_version}
Provides: tex(uniyou39.tfm) = %{tl_version}
Provides: tex(uniyou3a.tfm) = %{tl_version}
Provides: tex(uniyou3b.tfm) = %{tl_version}
Provides: tex(uniyou3c.tfm) = %{tl_version}
Provides: tex(uniyou3d.tfm) = %{tl_version}
Provides: tex(uniyou3e.tfm) = %{tl_version}
Provides: tex(uniyou3f.tfm) = %{tl_version}
Provides: tex(uniyou40.tfm) = %{tl_version}
Provides: tex(uniyou41.tfm) = %{tl_version}
Provides: tex(uniyou42.tfm) = %{tl_version}
Provides: tex(uniyou43.tfm) = %{tl_version}
Provides: tex(uniyou44.tfm) = %{tl_version}
Provides: tex(uniyou45.tfm) = %{tl_version}
Provides: tex(uniyou46.tfm) = %{tl_version}
Provides: tex(uniyou47.tfm) = %{tl_version}
Provides: tex(uniyou48.tfm) = %{tl_version}
Provides: tex(uniyou49.tfm) = %{tl_version}
Provides: tex(uniyou4a.tfm) = %{tl_version}
Provides: tex(uniyou4b.tfm) = %{tl_version}
Provides: tex(uniyou4c.tfm) = %{tl_version}
Provides: tex(uniyou4d.tfm) = %{tl_version}
Provides: tex(uniyou4e.tfm) = %{tl_version}
Provides: tex(uniyou4f.tfm) = %{tl_version}
Provides: tex(uniyou50.tfm) = %{tl_version}
Provides: tex(uniyou51.tfm) = %{tl_version}
Provides: tex(uniyou52.tfm) = %{tl_version}
Provides: tex(uniyou53.tfm) = %{tl_version}
Provides: tex(uniyou54.tfm) = %{tl_version}
Provides: tex(uniyou55.tfm) = %{tl_version}
Provides: tex(uniyou56.tfm) = %{tl_version}
Provides: tex(uniyou57.tfm) = %{tl_version}
Provides: tex(uniyou58.tfm) = %{tl_version}
Provides: tex(uniyou59.tfm) = %{tl_version}
Provides: tex(uniyou5a.tfm) = %{tl_version}
Provides: tex(uniyou5b.tfm) = %{tl_version}
Provides: tex(uniyou5c.tfm) = %{tl_version}
Provides: tex(uniyou5d.tfm) = %{tl_version}
Provides: tex(uniyou5e.tfm) = %{tl_version}
Provides: tex(uniyou5f.tfm) = %{tl_version}
Provides: tex(uniyou60.tfm) = %{tl_version}
Provides: tex(uniyou61.tfm) = %{tl_version}
Provides: tex(uniyou62.tfm) = %{tl_version}
Provides: tex(uniyou63.tfm) = %{tl_version}
Provides: tex(uniyou64.tfm) = %{tl_version}
Provides: tex(uniyou65.tfm) = %{tl_version}
Provides: tex(uniyou66.tfm) = %{tl_version}
Provides: tex(uniyou67.tfm) = %{tl_version}
Provides: tex(uniyou68.tfm) = %{tl_version}
Provides: tex(uniyou69.tfm) = %{tl_version}
Provides: tex(uniyou6a.tfm) = %{tl_version}
Provides: tex(uniyou6b.tfm) = %{tl_version}
Provides: tex(uniyou6c.tfm) = %{tl_version}
Provides: tex(uniyou6d.tfm) = %{tl_version}
Provides: tex(uniyou6e.tfm) = %{tl_version}
Provides: tex(uniyou6f.tfm) = %{tl_version}
Provides: tex(uniyou70.tfm) = %{tl_version}
Provides: tex(uniyou71.tfm) = %{tl_version}
Provides: tex(uniyou72.tfm) = %{tl_version}
Provides: tex(uniyou73.tfm) = %{tl_version}
Provides: tex(uniyou74.tfm) = %{tl_version}
Provides: tex(uniyou75.tfm) = %{tl_version}
Provides: tex(uniyou76.tfm) = %{tl_version}
Provides: tex(uniyou77.tfm) = %{tl_version}
Provides: tex(uniyou78.tfm) = %{tl_version}
Provides: tex(uniyou79.tfm) = %{tl_version}
Provides: tex(uniyou7a.tfm) = %{tl_version}
Provides: tex(uniyou7b.tfm) = %{tl_version}
Provides: tex(uniyou7c.tfm) = %{tl_version}
Provides: tex(uniyou7d.tfm) = %{tl_version}
Provides: tex(uniyou7e.tfm) = %{tl_version}
Provides: tex(uniyou7f.tfm) = %{tl_version}
Provides: tex(uniyou80.tfm) = %{tl_version}
Provides: tex(uniyou81.tfm) = %{tl_version}
Provides: tex(uniyou82.tfm) = %{tl_version}
Provides: tex(uniyou83.tfm) = %{tl_version}
Provides: tex(uniyou84.tfm) = %{tl_version}
Provides: tex(uniyou85.tfm) = %{tl_version}
Provides: tex(uniyou86.tfm) = %{tl_version}
Provides: tex(uniyou87.tfm) = %{tl_version}
Provides: tex(uniyou88.tfm) = %{tl_version}
Provides: tex(uniyou89.tfm) = %{tl_version}
Provides: tex(uniyou8a.tfm) = %{tl_version}
Provides: tex(uniyou8b.tfm) = %{tl_version}
Provides: tex(uniyou8c.tfm) = %{tl_version}
Provides: tex(uniyou8d.tfm) = %{tl_version}
Provides: tex(uniyou8e.tfm) = %{tl_version}
Provides: tex(uniyou8f.tfm) = %{tl_version}
Provides: tex(uniyou90.tfm) = %{tl_version}
Provides: tex(uniyou91.tfm) = %{tl_version}
Provides: tex(uniyou92.tfm) = %{tl_version}
Provides: tex(uniyou93.tfm) = %{tl_version}
Provides: tex(uniyou94.tfm) = %{tl_version}
Provides: tex(uniyou95.tfm) = %{tl_version}
Provides: tex(uniyou96.tfm) = %{tl_version}
Provides: tex(uniyou97.tfm) = %{tl_version}
Provides: tex(uniyou98.tfm) = %{tl_version}
Provides: tex(uniyou99.tfm) = %{tl_version}
Provides: tex(uniyou9a.tfm) = %{tl_version}
Provides: tex(uniyou9b.tfm) = %{tl_version}
Provides: tex(uniyou9c.tfm) = %{tl_version}
Provides: tex(uniyou9d.tfm) = %{tl_version}
Provides: tex(uniyou9e.tfm) = %{tl_version}
Provides: tex(uniyou9f.tfm) = %{tl_version}
Provides: tex(uniyoua0.tfm) = %{tl_version}
Provides: tex(uniyoua1.tfm) = %{tl_version}
Provides: tex(uniyoua2.tfm) = %{tl_version}
Provides: tex(uniyoua3.tfm) = %{tl_version}
Provides: tex(uniyoua4.tfm) = %{tl_version}
Provides: tex(uniyoua5.tfm) = %{tl_version}
Provides: tex(uniyoua6.tfm) = %{tl_version}
Provides: tex(uniyoua7.tfm) = %{tl_version}
Provides: tex(uniyoua8.tfm) = %{tl_version}
Provides: tex(uniyoua9.tfm) = %{tl_version}
Provides: tex(uniyouaa.tfm) = %{tl_version}
Provides: tex(uniyouab.tfm) = %{tl_version}
Provides: tex(uniyouac.tfm) = %{tl_version}
Provides: tex(uniyouad.tfm) = %{tl_version}
Provides: tex(uniyouae.tfm) = %{tl_version}
Provides: tex(uniyouaf.tfm) = %{tl_version}
Provides: tex(uniyoub0.tfm) = %{tl_version}
Provides: tex(uniyoub1.tfm) = %{tl_version}
Provides: tex(uniyoub2.tfm) = %{tl_version}
Provides: tex(uniyoub3.tfm) = %{tl_version}
Provides: tex(uniyoub4.tfm) = %{tl_version}
Provides: tex(uniyoub5.tfm) = %{tl_version}
Provides: tex(uniyoub6.tfm) = %{tl_version}
Provides: tex(uniyoub7.tfm) = %{tl_version}
Provides: tex(uniyoub8.tfm) = %{tl_version}
Provides: tex(uniyoub9.tfm) = %{tl_version}
Provides: tex(uniyouba.tfm) = %{tl_version}
Provides: tex(uniyoubb.tfm) = %{tl_version}
Provides: tex(uniyoubc.tfm) = %{tl_version}
Provides: tex(uniyoubd.tfm) = %{tl_version}
Provides: tex(uniyoube.tfm) = %{tl_version}
Provides: tex(uniyoubf.tfm) = %{tl_version}
Provides: tex(uniyouc0.tfm) = %{tl_version}
Provides: tex(uniyouc1.tfm) = %{tl_version}
Provides: tex(uniyouc2.tfm) = %{tl_version}
Provides: tex(uniyouc3.tfm) = %{tl_version}
Provides: tex(uniyouc4.tfm) = %{tl_version}
Provides: tex(uniyouc5.tfm) = %{tl_version}
Provides: tex(uniyouc6.tfm) = %{tl_version}
Provides: tex(uniyouc7.tfm) = %{tl_version}
Provides: tex(uniyouc8.tfm) = %{tl_version}
Provides: tex(uniyouc9.tfm) = %{tl_version}
Provides: tex(uniyouca.tfm) = %{tl_version}
Provides: tex(uniyoucb.tfm) = %{tl_version}
Provides: tex(uniyoucc.tfm) = %{tl_version}
Provides: tex(uniyoucd.tfm) = %{tl_version}
Provides: tex(uniyouce.tfm) = %{tl_version}
Provides: tex(uniyoucf.tfm) = %{tl_version}
Provides: tex(uniyoud0.tfm) = %{tl_version}
Provides: tex(uniyoud1.tfm) = %{tl_version}
Provides: tex(uniyoud2.tfm) = %{tl_version}
Provides: tex(uniyoud3.tfm) = %{tl_version}
Provides: tex(uniyoud4.tfm) = %{tl_version}
Provides: tex(uniyoud5.tfm) = %{tl_version}
Provides: tex(uniyoud6.tfm) = %{tl_version}
Provides: tex(uniyoud7.tfm) = %{tl_version}
Provides: tex(uniyoud8.tfm) = %{tl_version}
Provides: tex(uniyoud9.tfm) = %{tl_version}
Provides: tex(uniyouda.tfm) = %{tl_version}
Provides: tex(uniyoudb.tfm) = %{tl_version}
Provides: tex(uniyoudc.tfm) = %{tl_version}
Provides: tex(uniyoudd.tfm) = %{tl_version}
Provides: tex(uniyoude.tfm) = %{tl_version}
Provides: tex(uniyoudf.tfm) = %{tl_version}
Provides: tex(uniyoue0.tfm) = %{tl_version}
Provides: tex(uniyoue1.tfm) = %{tl_version}
Provides: tex(uniyoue2.tfm) = %{tl_version}
Provides: tex(uniyoue3.tfm) = %{tl_version}
Provides: tex(uniyoue4.tfm) = %{tl_version}
Provides: tex(uniyoue5.tfm) = %{tl_version}
Provides: tex(uniyoue6.tfm) = %{tl_version}
Provides: tex(uniyoue7.tfm) = %{tl_version}
Provides: tex(uniyoue8.tfm) = %{tl_version}
Provides: tex(uniyoue9.tfm) = %{tl_version}
Provides: tex(uniyouea.tfm) = %{tl_version}
Provides: tex(uniyoueb.tfm) = %{tl_version}
Provides: tex(uniyouec.tfm) = %{tl_version}
Provides: tex(uniyoued.tfm) = %{tl_version}
Provides: tex(uniyouee.tfm) = %{tl_version}
Provides: tex(uniyouef.tfm) = %{tl_version}
Provides: tex(uniyouf0.tfm) = %{tl_version}
Provides: tex(uniyouf1.tfm) = %{tl_version}
Provides: tex(uniyouf2.tfm) = %{tl_version}
Provides: tex(uniyouf3.tfm) = %{tl_version}
Provides: tex(uniyouf4.tfm) = %{tl_version}
Provides: tex(uniyouf5.tfm) = %{tl_version}
Provides: tex(uniyouf6.tfm) = %{tl_version}
Provides: tex(uniyouf7.tfm) = %{tl_version}
Provides: tex(uniyouf8.tfm) = %{tl_version}
Provides: tex(uniyouf9.tfm) = %{tl_version}
Provides: tex(uniyoufa.tfm) = %{tl_version}
Provides: tex(uniyoufb.tfm) = %{tl_version}
Provides: tex(uniyoufc.tfm) = %{tl_version}
Provides: tex(uniyoufd.tfm) = %{tl_version}
Provides: tex(uniyoufe.tfm) = %{tl_version}
Provides: tex(uniyouff.tfm) = %{tl_version}
Provides: tex(uniyousl00.tfm) = %{tl_version}
Provides: tex(uniyousl01.tfm) = %{tl_version}
Provides: tex(uniyousl02.tfm) = %{tl_version}
Provides: tex(uniyousl03.tfm) = %{tl_version}
Provides: tex(uniyousl04.tfm) = %{tl_version}
Provides: tex(uniyousl05.tfm) = %{tl_version}
Provides: tex(uniyousl06.tfm) = %{tl_version}
Provides: tex(uniyousl07.tfm) = %{tl_version}
Provides: tex(uniyousl08.tfm) = %{tl_version}
Provides: tex(uniyousl09.tfm) = %{tl_version}
Provides: tex(uniyousl0a.tfm) = %{tl_version}
Provides: tex(uniyousl0b.tfm) = %{tl_version}
Provides: tex(uniyousl0c.tfm) = %{tl_version}
Provides: tex(uniyousl0d.tfm) = %{tl_version}
Provides: tex(uniyousl0e.tfm) = %{tl_version}
Provides: tex(uniyousl0f.tfm) = %{tl_version}
Provides: tex(uniyousl10.tfm) = %{tl_version}
Provides: tex(uniyousl11.tfm) = %{tl_version}
Provides: tex(uniyousl12.tfm) = %{tl_version}
Provides: tex(uniyousl13.tfm) = %{tl_version}
Provides: tex(uniyousl14.tfm) = %{tl_version}
Provides: tex(uniyousl15.tfm) = %{tl_version}
Provides: tex(uniyousl16.tfm) = %{tl_version}
Provides: tex(uniyousl17.tfm) = %{tl_version}
Provides: tex(uniyousl18.tfm) = %{tl_version}
Provides: tex(uniyousl19.tfm) = %{tl_version}
Provides: tex(uniyousl1a.tfm) = %{tl_version}
Provides: tex(uniyousl1b.tfm) = %{tl_version}
Provides: tex(uniyousl1c.tfm) = %{tl_version}
Provides: tex(uniyousl1d.tfm) = %{tl_version}
Provides: tex(uniyousl1e.tfm) = %{tl_version}
Provides: tex(uniyousl1f.tfm) = %{tl_version}
Provides: tex(uniyousl20.tfm) = %{tl_version}
Provides: tex(uniyousl21.tfm) = %{tl_version}
Provides: tex(uniyousl22.tfm) = %{tl_version}
Provides: tex(uniyousl23.tfm) = %{tl_version}
Provides: tex(uniyousl24.tfm) = %{tl_version}
Provides: tex(uniyousl25.tfm) = %{tl_version}
Provides: tex(uniyousl26.tfm) = %{tl_version}
Provides: tex(uniyousl27.tfm) = %{tl_version}
Provides: tex(uniyousl28.tfm) = %{tl_version}
Provides: tex(uniyousl29.tfm) = %{tl_version}
Provides: tex(uniyousl2a.tfm) = %{tl_version}
Provides: tex(uniyousl2b.tfm) = %{tl_version}
Provides: tex(uniyousl2c.tfm) = %{tl_version}
Provides: tex(uniyousl2d.tfm) = %{tl_version}
Provides: tex(uniyousl2e.tfm) = %{tl_version}
Provides: tex(uniyousl2f.tfm) = %{tl_version}
Provides: tex(uniyousl30.tfm) = %{tl_version}
Provides: tex(uniyousl31.tfm) = %{tl_version}
Provides: tex(uniyousl32.tfm) = %{tl_version}
Provides: tex(uniyousl33.tfm) = %{tl_version}
Provides: tex(uniyousl34.tfm) = %{tl_version}
Provides: tex(uniyousl35.tfm) = %{tl_version}
Provides: tex(uniyousl36.tfm) = %{tl_version}
Provides: tex(uniyousl37.tfm) = %{tl_version}
Provides: tex(uniyousl38.tfm) = %{tl_version}
Provides: tex(uniyousl39.tfm) = %{tl_version}
Provides: tex(uniyousl3a.tfm) = %{tl_version}
Provides: tex(uniyousl3b.tfm) = %{tl_version}
Provides: tex(uniyousl3c.tfm) = %{tl_version}
Provides: tex(uniyousl3d.tfm) = %{tl_version}
Provides: tex(uniyousl3e.tfm) = %{tl_version}
Provides: tex(uniyousl3f.tfm) = %{tl_version}
Provides: tex(uniyousl40.tfm) = %{tl_version}
Provides: tex(uniyousl41.tfm) = %{tl_version}
Provides: tex(uniyousl42.tfm) = %{tl_version}
Provides: tex(uniyousl43.tfm) = %{tl_version}
Provides: tex(uniyousl44.tfm) = %{tl_version}
Provides: tex(uniyousl45.tfm) = %{tl_version}
Provides: tex(uniyousl46.tfm) = %{tl_version}
Provides: tex(uniyousl47.tfm) = %{tl_version}
Provides: tex(uniyousl48.tfm) = %{tl_version}
Provides: tex(uniyousl49.tfm) = %{tl_version}
Provides: tex(uniyousl4a.tfm) = %{tl_version}
Provides: tex(uniyousl4b.tfm) = %{tl_version}
Provides: tex(uniyousl4c.tfm) = %{tl_version}
Provides: tex(uniyousl4d.tfm) = %{tl_version}
Provides: tex(uniyousl4e.tfm) = %{tl_version}
Provides: tex(uniyousl4f.tfm) = %{tl_version}
Provides: tex(uniyousl50.tfm) = %{tl_version}
Provides: tex(uniyousl51.tfm) = %{tl_version}
Provides: tex(uniyousl52.tfm) = %{tl_version}
Provides: tex(uniyousl53.tfm) = %{tl_version}
Provides: tex(uniyousl54.tfm) = %{tl_version}
Provides: tex(uniyousl55.tfm) = %{tl_version}
Provides: tex(uniyousl56.tfm) = %{tl_version}
Provides: tex(uniyousl57.tfm) = %{tl_version}
Provides: tex(uniyousl58.tfm) = %{tl_version}
Provides: tex(uniyousl59.tfm) = %{tl_version}
Provides: tex(uniyousl5a.tfm) = %{tl_version}
Provides: tex(uniyousl5b.tfm) = %{tl_version}
Provides: tex(uniyousl5c.tfm) = %{tl_version}
Provides: tex(uniyousl5d.tfm) = %{tl_version}
Provides: tex(uniyousl5e.tfm) = %{tl_version}
Provides: tex(uniyousl5f.tfm) = %{tl_version}
Provides: tex(uniyousl60.tfm) = %{tl_version}
Provides: tex(uniyousl61.tfm) = %{tl_version}
Provides: tex(uniyousl62.tfm) = %{tl_version}
Provides: tex(uniyousl63.tfm) = %{tl_version}
Provides: tex(uniyousl64.tfm) = %{tl_version}
Provides: tex(uniyousl65.tfm) = %{tl_version}
Provides: tex(uniyousl66.tfm) = %{tl_version}
Provides: tex(uniyousl67.tfm) = %{tl_version}
Provides: tex(uniyousl68.tfm) = %{tl_version}
Provides: tex(uniyousl69.tfm) = %{tl_version}
Provides: tex(uniyousl6a.tfm) = %{tl_version}
Provides: tex(uniyousl6b.tfm) = %{tl_version}
Provides: tex(uniyousl6c.tfm) = %{tl_version}
Provides: tex(uniyousl6d.tfm) = %{tl_version}
Provides: tex(uniyousl6e.tfm) = %{tl_version}
Provides: tex(uniyousl6f.tfm) = %{tl_version}
Provides: tex(uniyousl70.tfm) = %{tl_version}
Provides: tex(uniyousl71.tfm) = %{tl_version}
Provides: tex(uniyousl72.tfm) = %{tl_version}
Provides: tex(uniyousl73.tfm) = %{tl_version}
Provides: tex(uniyousl74.tfm) = %{tl_version}
Provides: tex(uniyousl75.tfm) = %{tl_version}
Provides: tex(uniyousl76.tfm) = %{tl_version}
Provides: tex(uniyousl77.tfm) = %{tl_version}
Provides: tex(uniyousl78.tfm) = %{tl_version}
Provides: tex(uniyousl79.tfm) = %{tl_version}
Provides: tex(uniyousl7a.tfm) = %{tl_version}
Provides: tex(uniyousl7b.tfm) = %{tl_version}
Provides: tex(uniyousl7c.tfm) = %{tl_version}
Provides: tex(uniyousl7d.tfm) = %{tl_version}
Provides: tex(uniyousl7e.tfm) = %{tl_version}
Provides: tex(uniyousl7f.tfm) = %{tl_version}
Provides: tex(uniyousl80.tfm) = %{tl_version}
Provides: tex(uniyousl81.tfm) = %{tl_version}
Provides: tex(uniyousl82.tfm) = %{tl_version}
Provides: tex(uniyousl83.tfm) = %{tl_version}
Provides: tex(uniyousl84.tfm) = %{tl_version}
Provides: tex(uniyousl85.tfm) = %{tl_version}
Provides: tex(uniyousl86.tfm) = %{tl_version}
Provides: tex(uniyousl87.tfm) = %{tl_version}
Provides: tex(uniyousl88.tfm) = %{tl_version}
Provides: tex(uniyousl89.tfm) = %{tl_version}
Provides: tex(uniyousl8a.tfm) = %{tl_version}
Provides: tex(uniyousl8b.tfm) = %{tl_version}
Provides: tex(uniyousl8c.tfm) = %{tl_version}
Provides: tex(uniyousl8d.tfm) = %{tl_version}
Provides: tex(uniyousl8e.tfm) = %{tl_version}
Provides: tex(uniyousl8f.tfm) = %{tl_version}
Provides: tex(uniyousl90.tfm) = %{tl_version}
Provides: tex(uniyousl91.tfm) = %{tl_version}
Provides: tex(uniyousl92.tfm) = %{tl_version}
Provides: tex(uniyousl93.tfm) = %{tl_version}
Provides: tex(uniyousl94.tfm) = %{tl_version}
Provides: tex(uniyousl95.tfm) = %{tl_version}
Provides: tex(uniyousl96.tfm) = %{tl_version}
Provides: tex(uniyousl97.tfm) = %{tl_version}
Provides: tex(uniyousl98.tfm) = %{tl_version}
Provides: tex(uniyousl99.tfm) = %{tl_version}
Provides: tex(uniyousl9a.tfm) = %{tl_version}
Provides: tex(uniyousl9b.tfm) = %{tl_version}
Provides: tex(uniyousl9c.tfm) = %{tl_version}
Provides: tex(uniyousl9d.tfm) = %{tl_version}
Provides: tex(uniyousl9e.tfm) = %{tl_version}
Provides: tex(uniyousl9f.tfm) = %{tl_version}
Provides: tex(uniyousla0.tfm) = %{tl_version}
Provides: tex(uniyousla1.tfm) = %{tl_version}
Provides: tex(uniyousla2.tfm) = %{tl_version}
Provides: tex(uniyousla3.tfm) = %{tl_version}
Provides: tex(uniyousla4.tfm) = %{tl_version}
Provides: tex(uniyousla5.tfm) = %{tl_version}
Provides: tex(uniyousla6.tfm) = %{tl_version}
Provides: tex(uniyousla7.tfm) = %{tl_version}
Provides: tex(uniyousla8.tfm) = %{tl_version}
Provides: tex(uniyousla9.tfm) = %{tl_version}
Provides: tex(uniyouslaa.tfm) = %{tl_version}
Provides: tex(uniyouslab.tfm) = %{tl_version}
Provides: tex(uniyouslac.tfm) = %{tl_version}
Provides: tex(uniyouslad.tfm) = %{tl_version}
Provides: tex(uniyouslae.tfm) = %{tl_version}
Provides: tex(uniyouslaf.tfm) = %{tl_version}
Provides: tex(uniyouslb0.tfm) = %{tl_version}
Provides: tex(uniyouslb1.tfm) = %{tl_version}
Provides: tex(uniyouslb2.tfm) = %{tl_version}
Provides: tex(uniyouslb3.tfm) = %{tl_version}
Provides: tex(uniyouslb4.tfm) = %{tl_version}
Provides: tex(uniyouslb5.tfm) = %{tl_version}
Provides: tex(uniyouslb6.tfm) = %{tl_version}
Provides: tex(uniyouslb7.tfm) = %{tl_version}
Provides: tex(uniyouslb8.tfm) = %{tl_version}
Provides: tex(uniyouslb9.tfm) = %{tl_version}
Provides: tex(uniyouslba.tfm) = %{tl_version}
Provides: tex(uniyouslbb.tfm) = %{tl_version}
Provides: tex(uniyouslbc.tfm) = %{tl_version}
Provides: tex(uniyouslbd.tfm) = %{tl_version}
Provides: tex(uniyouslbe.tfm) = %{tl_version}
Provides: tex(uniyouslbf.tfm) = %{tl_version}
Provides: tex(uniyouslc0.tfm) = %{tl_version}
Provides: tex(uniyouslc1.tfm) = %{tl_version}
Provides: tex(uniyouslc2.tfm) = %{tl_version}
Provides: tex(uniyouslc3.tfm) = %{tl_version}
Provides: tex(uniyouslc4.tfm) = %{tl_version}
Provides: tex(uniyouslc5.tfm) = %{tl_version}
Provides: tex(uniyouslc6.tfm) = %{tl_version}
Provides: tex(uniyouslc7.tfm) = %{tl_version}
Provides: tex(uniyouslc8.tfm) = %{tl_version}
Provides: tex(uniyouslc9.tfm) = %{tl_version}
Provides: tex(uniyouslca.tfm) = %{tl_version}
Provides: tex(uniyouslcb.tfm) = %{tl_version}
Provides: tex(uniyouslcc.tfm) = %{tl_version}
Provides: tex(uniyouslcd.tfm) = %{tl_version}
Provides: tex(uniyouslce.tfm) = %{tl_version}
Provides: tex(uniyouslcf.tfm) = %{tl_version}
Provides: tex(uniyousld0.tfm) = %{tl_version}
Provides: tex(uniyousld1.tfm) = %{tl_version}
Provides: tex(uniyousld2.tfm) = %{tl_version}
Provides: tex(uniyousld3.tfm) = %{tl_version}
Provides: tex(uniyousld4.tfm) = %{tl_version}
Provides: tex(uniyousld5.tfm) = %{tl_version}
Provides: tex(uniyousld6.tfm) = %{tl_version}
Provides: tex(uniyousld7.tfm) = %{tl_version}
Provides: tex(uniyousld8.tfm) = %{tl_version}
Provides: tex(uniyousld9.tfm) = %{tl_version}
Provides: tex(uniyouslda.tfm) = %{tl_version}
Provides: tex(uniyousldb.tfm) = %{tl_version}
Provides: tex(uniyousldc.tfm) = %{tl_version}
Provides: tex(uniyousldd.tfm) = %{tl_version}
Provides: tex(uniyouslde.tfm) = %{tl_version}
Provides: tex(uniyousldf.tfm) = %{tl_version}
Provides: tex(uniyousle0.tfm) = %{tl_version}
Provides: tex(uniyousle1.tfm) = %{tl_version}
Provides: tex(uniyousle2.tfm) = %{tl_version}
Provides: tex(uniyousle3.tfm) = %{tl_version}
Provides: tex(uniyousle4.tfm) = %{tl_version}
Provides: tex(uniyousle5.tfm) = %{tl_version}
Provides: tex(uniyousle6.tfm) = %{tl_version}
Provides: tex(uniyousle7.tfm) = %{tl_version}
Provides: tex(uniyousle8.tfm) = %{tl_version}
Provides: tex(uniyousle9.tfm) = %{tl_version}
Provides: tex(uniyouslea.tfm) = %{tl_version}
Provides: tex(uniyousleb.tfm) = %{tl_version}
Provides: tex(uniyouslec.tfm) = %{tl_version}
Provides: tex(uniyousled.tfm) = %{tl_version}
Provides: tex(uniyouslee.tfm) = %{tl_version}
Provides: tex(uniyouslef.tfm) = %{tl_version}
Provides: tex(uniyouslf0.tfm) = %{tl_version}
Provides: tex(uniyouslf1.tfm) = %{tl_version}
Provides: tex(uniyouslf2.tfm) = %{tl_version}
Provides: tex(uniyouslf3.tfm) = %{tl_version}
Provides: tex(uniyouslf4.tfm) = %{tl_version}
Provides: tex(uniyouslf5.tfm) = %{tl_version}
Provides: tex(uniyouslf6.tfm) = %{tl_version}
Provides: tex(uniyouslf7.tfm) = %{tl_version}
Provides: tex(uniyouslf8.tfm) = %{tl_version}
Provides: tex(uniyouslf9.tfm) = %{tl_version}
Provides: tex(uniyouslfa.tfm) = %{tl_version}
Provides: tex(uniyouslfb.tfm) = %{tl_version}
Provides: tex(uniyouslfc.tfm) = %{tl_version}
Provides: tex(uniyouslfd.tfm) = %{tl_version}
Provides: tex(uniyouslfe.tfm) = %{tl_version}
Provides: tex(uniyouslff.tfm) = %{tl_version}
Provides: tex(zhwinfonts.tex) = %{tl_version}
Provides: tex(c19fs.fd) = %{tl_version}
Provides: tex(c19hei.fd) = %{tl_version}
Provides: tex(c19kai.fd) = %{tl_version}
Provides: tex(c19li.fd) = %{tl_version}
Provides: tex(c19you.fd) = %{tl_version}
Provides: tex(c19zhfs.fd) = %{tl_version}
Provides: tex(c19zhhei.fd) = %{tl_version}
Provides: tex(c19zhkai.fd) = %{tl_version}
Provides: tex(c19zhli.fd) = %{tl_version}
Provides: tex(c19zhsong.fd) = %{tl_version}
Provides: tex(c19zhyou.fd) = %{tl_version}
Provides: tex(c70fs.fd) = %{tl_version}
Provides: tex(c70hei.fd) = %{tl_version}
Provides: tex(c70kai.fd) = %{tl_version}
Provides: tex(c70li.fd) = %{tl_version}
Provides: tex(c70you.fd) = %{tl_version}
Provides: tex(c70zhfs.fd) = %{tl_version}
Provides: tex(c70zhhei.fd) = %{tl_version}
Provides: tex(c70zhkai.fd) = %{tl_version}
Provides: tex(c70zhli.fd) = %{tl_version}
Provides: tex(c70zhsong.fd) = %{tl_version}
Provides: tex(c70zhyou.fd) = %{tl_version}

%description zhmetrics
These are metrics to use existing Chinese TrueType fonts in
workflows that use LaTeX & dvipdfmx, or pdfLaTeX. The fonts
themselves are not included in the package. Six font families
are supported: kai, song, lishu, fangsong, youyuan and hei. Two
encodings (GBK and UTF-8) are supported.

%package zhmetrics-doc
Summary: Documentation for zhmetrics
Version: svn22207.r206

Provides: tex-zhmetrics-doc
AutoReqProv: No

%description zhmetrics-doc
Documentation for zhmetrics

%package zhnumber
Provides: tex-zhnumber = %{tl_version}
License: LPPL 1.3
Summary: Typeset Chinese representations of numbers
Version: svn44977
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Provides: tex(zhnumber-big5.cfg) = %{tl_version}
Provides: tex(zhnumber-gbk.cfg) = %{tl_version}
Provides: tex(zhnumber-utf8.cfg) = %{tl_version}
Provides: tex(zhnumber.sty) = %{tl_version}

%description zhnumber
The package provides commands to typeset Chinese
representations of numbers. The main difference between this
package and CJKnumb is that the commands provided are
expandable in the 'proper' way.

%package zhnumber-doc
Summary: Documentation for zhnumber
Version: svn44977
Provides: tex-zhnumber-doc
AutoReqProv: No

%description zhnumber-doc
Documentation for zhnumber

%package zhspacing
Provides: tex-zhspacing = %{tl_version}
License: LPPL
Summary: Spacing for mixed CJK-English documents in XeTeX
Version: svn41145

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontspec.sty)
Requires: tex(ulem.sty)
Provides: tex(t-zhspacing.tex) = %{tl_version}
Provides: tex(zhmath.sty) = %{tl_version}
Provides: tex(zhsmyclass.sty) = %{tl_version}
Provides: tex(zhspacing.sty) = %{tl_version}
Provides: tex(zhsusefulmacros.sty) = %{tl_version}
Provides: tex(zhfont.sty) = %{tl_version}
Provides: tex(zhulem.sty) = %{tl_version}

%description zhspacing
The package manages spacing in a CJK document; between
consecutive Chinese letters, spaces are ignored, but a
consistent space is inserted between Chinese text and English
(or mathematics). The package may be used by any document
format under XeTeX.

%package zhspacing-doc
Summary: Documentation for zhspacing
Version: svn41145

Provides: tex-zhspacing-doc
AutoReqProv: No

%description zhspacing-doc
Documentation for zhspacing

%package collection-langcyrillic
Summary: Cyrillic
Version: svn44895
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-latex
Requires: texlive-babel-belarusian
Requires: texlive-babel-bulgarian
Requires: texlive-babel-russian
Requires: texlive-babel-serbian
Requires: texlive-babel-serbianc
Requires: texlive-babel-ukrainian
Requires: texlive-churchslavonic
Requires: texlive-cmcyr
Requires: texlive-cyrillic
Requires: texlive-cyrillic-bin
Requires: texlive-cyrplain
Requires: texlive-disser
Requires: texlive-eskd
Requires: texlive-eskdx
Requires: texlive-gost
Requires: texlive-hyphen-belarusian
Requires: texlive-hyphen-bulgarian
Requires: texlive-hyphen-churchslavonic
Requires: texlive-hyphen-mongolian
Requires: texlive-hyphen-russian
Requires: texlive-hyphen-serbian
Requires: texlive-hyphen-ukrainian
Requires: texlive-lcyw
Requires: texlive-lh
Requires: texlive-lhcyr
Requires: texlive-lshort-bulgarian-doc
Requires: texlive-lshort-mongol-doc
Requires: texlive-lshort-russian-doc
Requires: texlive-lshort-ukr-doc
Requires: texlive-mongolian-babel
Requires: texlive-montex
Requires: texlive-mpman-ru-doc
Requires: texlive-numnameru
Requires: texlive-pst-eucl-translation-bg-doc
Requires: texlive-ruhyphen
Requires: texlive-russ
Requires: texlive-serbian-apostrophe
Requires: texlive-serbian-date-lat
Requires: texlive-serbian-def-cyr
Requires: texlive-serbian-lig
Requires: texlive-t2
Requires: texlive-texlive-ru-doc
Requires: texlive-texlive-sr-doc
Requires: texlive-ukrhyph

%description collection-langcyrillic
Support for Cyrillic scripts (Bulgarian, Russian, Serbian,
Ukrainian), even if Latin alphabets may also be used.

%package cyrplain
Provides: tex-cyrplain = %{tl_version}
License: LPPL
Summary: cyrplain package
Version: svn29349.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cyrcmfnt.tex) = %{tl_version}
Provides: tex(cyrecfnt.tex) = %{tl_version}
Provides: tex(cyrtex.cfg) = %{tl_version}
Provides: tex(cyrtex.tex) = %{tl_version}
Provides: tex(plainenc.tex) = %{tl_version}
Provides: tex(txxdefs.tex) = %{tl_version}
Provides: tex(txxextra.tex) = %{tl_version}

%description cyrplain
cyrplain package

%package disser
Provides: tex-disser = %{tl_version}
License: LPPL 1.3
Summary: Class and templates for typesetting dissertations in Russian
Version: svn43417
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifthen.sty)
Requires: tex(textcase.sty)
Requires: tex(exscale.sty)
Provides: tex(disser.cls) = %{tl_version}
Provides: tex(gost732.cls) = %{tl_version}

%description disser
Disser comprises a document class and set of templates for
typesetting dissertations in Russian. One of its primary
advantages is a simplicity of format specification for
titlepage, headers and elements of automatically generated
lists (table of contents, list of figures, etc). Bibliography
styles, that conform to the requirements of the Russian
standard GOST R 7.0.11-2011, are provided.

%package disser-doc
Summary: Documentation for disser
Version: svn43417
Provides: tex-disser-doc
AutoReqProv: No

%description disser-doc
Documentation for disser

%package eskd
Provides: tex-eskd = %{tl_version}
License: LPPL
Summary: Modern Russian typesetting
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Requires: tex(fontenc.sty)
Requires: tex(rotating.sty)
Requires: tex(lastpage.sty)
Requires: tex(ifthen.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(geometry.sty)
Provides: tex(eskd.cls) = %{tl_version}

%description eskd
The class offers modern Russian text formatting, in accordance
with accepted design standards. Fonts not (apparently)
available on CTAN are required for use of the class.

%package eskd-doc
Summary: Documentation for eskd
Version: svn15878.0

Provides: tex-eskd-doc
AutoReqProv: No

%description eskd-doc
Documentation for eskd

%package eskdx
Provides: tex-eskdx = %{tl_version}
License: LPPL 1.3
Summary: Modern Russian typesetting
Version: svn29235.0.98

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(eskdtitle.sty)
Requires: tex(caption.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(amsmath.sty)
Requires: tex(zref-perpage.sty)
Requires: tex(ifpdf.sty)
Requires: tex(indentfirst.sty)
Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Requires: tex(calc.sty)
Requires: tex(rotating.sty)
Requires: tex(chngpage.sty)
Requires: tex(lscape.sty)
Requires: tex(keyval.sty)
Requires: tex(geometry.sty)
Requires: tex(lastpage.sty)
Requires: tex(everyshi.sty)
Provides: tex(eskdafterpkg.sty) = %{tl_version}
Provides: tex(eskdappsheet.sty) = %{tl_version}
Provides: tex(eskdbiblist.sty) = %{tl_version}
Provides: tex(eskdcap.sty) = %{tl_version}
Provides: tex(eskdchngsheet.sty) = %{tl_version}
Provides: tex(eskddstu.sty) = %{tl_version}
Provides: tex(eskdexplan.sty) = %{tl_version}
Provides: tex(eskdfont.sty) = %{tl_version}
Provides: tex(eskdfootnote.sty) = %{tl_version}
Provides: tex(eskdfreesize.sty) = %{tl_version}
Provides: tex(eskdgraph.cls) = %{tl_version}
Provides: tex(eskdhash.sty) = %{tl_version}
Provides: tex(eskdindent.sty) = %{tl_version}
Provides: tex(eskdinfo.sty) = %{tl_version}
Provides: tex(eskdlang.sty) = %{tl_version}
Provides: tex(eskdlist.sty) = %{tl_version}
Provides: tex(eskdpara.sty) = %{tl_version}
Provides: tex(eskdplain.sty) = %{tl_version}
Provides: tex(eskdrussian.def) = %{tl_version}
Provides: tex(eskdsect.sty) = %{tl_version}
Provides: tex(eskdspec.sty) = %{tl_version}
Provides: tex(eskdspecii.sty) = %{tl_version}
Provides: tex(eskdstamp.sty) = %{tl_version}
Provides: tex(eskdtab.cls) = %{tl_version}
Provides: tex(eskdtext.cls) = %{tl_version}
Provides: tex(eskdtitle.sty) = %{tl_version}
Provides: tex(eskdtitlebase.sty) = %{tl_version}
Provides: tex(eskdtotal.sty) = %{tl_version}
Provides: tex(eskdukrainian.def) = %{tl_version}

%description eskdx
Eskdx is a collection of LaTeX classes and packages to typeset
textual and graphical documents in accordance with Russian (and
probably post USSR) standards for designers.

%package eskdx-doc
Summary: Documentation for eskdx
Version: svn29235.0.98

Provides: tex-eskdx-doc
AutoReqProv: No

%description eskdx-doc
Documentation for eskdx

%package gost
Provides: tex-gost = %{tl_version}
License: LPPL
Summary: BibTeX styles to format according to GOST
Version: svn44131
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description gost
BibTeX styles to format bibliographies in English, Russian or
Ukrainian according to GOST 7.0.5-2008 or GOST 7.1-2003. Both 8-
bit and Unicode (UTF-8) versions of each BibTeX style, in each
case offering a choice of sorted and unsorted. Further, a set
of three styles (which do not conform to current standards) are
retained for backwards compatibility.

%package gost-doc
Summary: Documentation for gost
Version: svn44131
Provides: tex-gost-doc
AutoReqProv: No

%description gost-doc
Documentation for gost

%package hyphen-bulgarian
Provides: tex-hyphen-bulgarian = %{tl_version}
License: LPPL
Summary: Bulgarian hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-bulgarian
Hyphenation patterns for Bulgarian in T2A and UTF-8 encodings.

%post hyphen-bulgarian
if [ $1 -gt 0 ] ; then
sed -i '/bulgarian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "bulgarian loadhyph-bg.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{bulgarian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{bulgarian}{loadhyph-bg.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-bulgarian
if [ $1 == 0 ] ; then
sed -i '/bulgarian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{bulgarian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-mongolian
Provides: tex-hyphen-mongolian = %{tl_version}
License: LPPL
Summary: Mongolian hyphenation patterns in Cyrillic script
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-mongolian
Hyphenation patterns for Mongolian in T2A, LMC and UTF-8
encodings. LMC encoding is used in MonTeX. The package includes
two sets of patterns that will hopefully be merged in future.

%post hyphen-mongolian
if [ $1 -gt 0 ] ; then
sed -i '/mongolian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "mongolian loadhyph-mn-cyrl.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{mongolian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{mongolian}{loadhyph-mn-cyrl.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/mongolianlmc.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "mongolianlmc loadhyph-mn-cyrl-x-lmc.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{mongolianlmc}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{mongolianlmc}{loadhyph-mn-cyrl-x-lmc.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-mongolian
if [ $1 == 0 ] ; then
sed -i '/mongolian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{mongolian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/mongolianlmc.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{mongolianlmc}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-russian
Provides: tex-hyphen-russian = %{tl_version}
License: LPPL
Summary: Russian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8
Requires: tex-ruhyphen

%description hyphen-russian
Hyphenation patterns for Russian in T2A and UTF-8 encodings.
For 8-bit engines, the 'ruhyphen' package provides a number of
different pattern sets, as well as different (8-bit) encodings,
that can be chosen at format-generation time.  The UTF-8
version only provides the default pattern set.  A mechanism
similar to the one used for 8-bit patterns may be implemented
in the future.

%post hyphen-russian
if [ $1 -gt 0 ] ; then
sed -i '/russian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "russian loadhyph-ru.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{russian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{russian}{loadhyph-ru.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-russian
if [ $1 == 0 ] ; then
sed -i '/russian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{russian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package ruhyphen
Provides: tex-ruhyphen = %{tl_version}
License: LPPL
Summary: Russian hyphenation
Version: svn21081.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(catkoi.tex) = %{tl_version}
Provides: tex(cyryoal.tex) = %{tl_version}
Provides: tex(cyryoas.tex) = %{tl_version}
Provides: tex(cyryoct.tex) = %{tl_version}
Provides: tex(cyryodv.tex) = %{tl_version}
Provides: tex(cyryomg.tex) = %{tl_version}
Provides: tex(cyryovl.tex) = %{tl_version}
Provides: tex(cyryozn.tex) = %{tl_version}
Provides: tex(enrhm2.tex) = %{tl_version}
Provides: tex(hypht2.tex) = %{tl_version}
Provides: tex(koi2koi.tex) = %{tl_version}
Provides: tex(koi2lcy.tex) = %{tl_version}
Provides: tex(koi2ot2.tex) = %{tl_version}
Provides: tex(koi2t2a.tex) = %{tl_version}
Provides: tex(koi2ucy.tex) = %{tl_version}
Provides: tex(ruenhyph.tex) = %{tl_version}
Provides: tex(ruhyphal.tex) = %{tl_version}
Provides: tex(ruhyphas.tex) = %{tl_version}
Provides: tex(ruhyphct.tex) = %{tl_version}
Provides: tex(ruhyphdv.tex) = %{tl_version}
Provides: tex(ruhyphen.tex) = %{tl_version}
Provides: tex(ruhyphmg.tex) = %{tl_version}
Provides: tex(ruhyphvl.tex) = %{tl_version}
Provides: tex(ruhyphzn.tex) = %{tl_version}

%description ruhyphen
A collection of Russian hyphenation patterns supporting a
number of Cyrillic font encodings, including T2, UCY (Omega
Unicode Cyrillic), LCY, LWN (OT2), and koi8-r.

%package hyphen-serbian
Provides: tex-hyphen-serbian = %{tl_version}
License: GPL+
Summary: Serbian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-serbian
Hyphenation patterns for Serbian in T1/EC, T2A and UTF-8
encodings. For 8-bit engines the patterns are available
separately as 'serbian' in T1/EC encoding for Latin script and
'serbianc' in T2A encoding for Cyrillic script. Unicode engines
should only use 'serbian' which has patterns in both scripts
combined.

%post hyphen-serbian
if [ $1 -gt 0 ] ; then
sed -i '/serbian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "serbian loadhyph-sr-latn.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{serbian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{serbian}{loadhyph-sr-latn.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/serbianc.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "serbianc loadhyph-sr-cyrl.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{serbianc}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{serbianc}{loadhyph-sr-cyrl.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-serbian
if [ $1 == 0 ] ; then
sed -i '/serbian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{serbian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/serbianc.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{serbianc}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-ukrainian
Provides: tex-hyphen-ukrainian = %{tl_version}
License: LPPL
Summary: Ukrainian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8
Requires: tex-ukrhyph

%description hyphen-ukrainian
Hyphenation patterns for Ukrainian in T2A and UTF-8 encodings.
For 8-bit engines, the 'ukrhyph' package provides a number of
different pattern sets, as well as different (8-bit) encodings,
that can be chosen at format-generation time.  The UTF-8
version only provides the default pattern set.  A mechanism
similar to the one used for 8-bit patterns may be implemented
in the future.

%post hyphen-ukrainian
if [ $1 -gt 0 ] ; then
sed -i '/ukrainian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "ukrainian loadhyph-uk.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{ukrainian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ukrainian}{loadhyph-uk.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-ukrainian
if [ $1 == 0 ] ; then
sed -i '/ukrainian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{ukrainian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package ukrhyph
Provides: tex-ukrhyph = %{tl_version}
License: LPPL
Summary: Hyphenation Patterns for Ukrainian
Version: svn21081.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(catlcy.tex) = %{tl_version}
Provides: tex(lcy2koi.tex) = %{tl_version}
Provides: tex(lcy2lcy.tex) = %{tl_version}
Provides: tex(lcy2ot2.tex) = %{tl_version}
Provides: tex(lcy2t2a.tex) = %{tl_version}
Provides: tex(lcy2ucy.tex) = %{tl_version}
Provides: tex(rules60.tex) = %{tl_version}
Provides: tex(rules90.tex) = %{tl_version}
Provides: tex(rules_ph.tex) = %{tl_version}
Provides: tex(ukrenhyp.tex) = %{tl_version}
Provides: tex(ukrhypfa.tex) = %{tl_version}
Provides: tex(ukrhyph.tex) = %{tl_version}
Provides: tex(ukrhypmp.tex) = %{tl_version}
Provides: tex(ukrhypmt.tex) = %{tl_version}
Provides: tex(ukrhypsm.tex) = %{tl_version}
Provides: tex(ukrhypst.tex) = %{tl_version}

%description ukrhyph
A range of patterns, depending on the encoding of the output
font (including the standard T2A, so one can use the patterns
with free fonts).

%package ukrhyph-doc
Summary: Documentation for ukrhyph
Version: svn21081.0

Provides: tex-ukrhyph-doc
AutoReqProv: No

%description ukrhyph-doc
Documentation for ukrhyph

%package lcyw
Provides: tex-lcyw = %{tl_version}
License: LPPL 1.3
Summary: Make Classic Cyrillic CM fonts accessible in LaTeX
Version: svn15878.v1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Provides: tex(cmap-cyr-vf.sty) = %{tl_version}
Provides: tex(lcywcmr.fd) = %{tl_version}
Provides: tex(lcywcmss.fd) = %{tl_version}
Provides: tex(lcywcmssq.fd) = %{tl_version}
Provides: tex(lcywcmtt.fd) = %{tl_version}
Provides: tex(lcywenc.def) = %{tl_version}

%description lcyw
The package makes the classic CM Cyrillic fonts accessible for
use with LaTeX.

%package lcyw-doc
Summary: Documentation for lcyw
Version: svn15878.v1.1

Provides: tex-lcyw-doc
AutoReqProv: No

%description lcyw-doc
Documentation for lcyw

%package lh
Provides: tex-lh = %{tl_version}
License: LPPL
Summary: Cyrillic fonts that support LaTeX standard encodings
Version: svn15878.3.5g

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-ec
Provides: tex(lh-lcy.sty) = %{tl_version}
Provides: tex(lh-lcyccr.sty) = %{tl_version}
Provides: tex(lh-lcyxccr.sty) = %{tl_version}
Provides: tex(lh-ot2.sty) = %{tl_version}
Provides: tex(lh-ot2ccr.sty) = %{tl_version}
Provides: tex(lh-ot2xccr.sty) = %{tl_version}
Provides: tex(lh-t2accr.sty) = %{tl_version}
Provides: tex(lh-t2axccr.sty) = %{tl_version}
Provides: tex(lh-t2bccr.sty) = %{tl_version}
Provides: tex(lh-t2bxccr.sty) = %{tl_version}
Provides: tex(lh-t2cccr.sty) = %{tl_version}
Provides: tex(lh-t2cxccr.sty) = %{tl_version}
Provides: tex(lh-x2ccr.sty) = %{tl_version}
Provides: tex(lh-x2xccr.sty) = %{tl_version}
Provides: tex(nfssfox.tex) = %{tl_version}
Provides: tex(testfox.tex) = %{tl_version}
Provides: tex(testkern.tex) = %{tl_version}

%description lh
The LH fonts address the problem of the wide variety of
alphabets that are written with Cyrillic-style characters. The
fonts are the original basis of the set of T2* and X2 encodings
that are now used when LaTeX users need to write in Cyrillic
languages. Macro support in standard LaTeX encodings is offered
through the cyrillic and t2 bundles, and the package itself
offers support for other (more traditional) encodings. The
fonts, in the standard T2* and X2 encodings are available in
Adobe Type 1 format, in the CM-Super family of fonts. The
package also offers its own LaTeX support for OT2 encoded
fonts, CM bright shaped fonts and Concrete shaped fonts.

%package lh-doc
Summary: Documentation for lh
Version: svn15878.3.5g

Provides: tex-lh-doc
AutoReqProv: No
Requires: tex-ec-doc

%description lh-doc
Documentation for lh

%package lhcyr
Provides: tex-lhcyr = %{tl_version}
License: Lhcyr
Summary: A non-standard Cyrillic input scheme
Version: svn31795.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(karabas.tex) = %{tl_version}
Provides: tex(kniga.tex) = %{tl_version}
Provides: tex(lhcyralt-hyphen.cfg) = %{tl_version}
Provides: tex(lhcyralt-rhyphen.tex) = %{tl_version}
Provides: tex(lhcyralt.sty) = %{tl_version}
Provides: tex(ot1lhdh.fd) = %{tl_version}
Provides: tex(ot1lhfib.fd) = %{tl_version}
Provides: tex(ot1lhfr.fd) = %{tl_version}
Provides: tex(ot1lhr.fd) = %{tl_version}
Provides: tex(ot1lhss.fd) = %{tl_version}
Provides: tex(ot1lhtt.fd) = %{tl_version}
Provides: tex(ot1lhvtt.fd) = %{tl_version}
Provides: tex(lhcyrkoi-hyphen.cfg) = %{tl_version}
Provides: tex(lhcyrkoi-rhyphen.tex) = %{tl_version}
Provides: tex(lhcyrkoi.sty) = %{tl_version}
Provides: tex(ot1kcdh.fd) = %{tl_version}
Provides: tex(ot1kcfib.fd) = %{tl_version}
Provides: tex(ot1kcfr.fd) = %{tl_version}
Provides: tex(ot1kcr.fd) = %{tl_version}
Provides: tex(ot1kcss.fd) = %{tl_version}
Provides: tex(ot1kctt.fd) = %{tl_version}
Provides: tex(ot1kcvtt.fd) = %{tl_version}
Provides: tex(lhcyrwin-hyphen.cfg) = %{tl_version}
Provides: tex(lhcyrwin-rhyphen.tex) = %{tl_version}
Provides: tex(lhcyrwin.sty) = %{tl_version}
Provides: tex(ot1wcdh.fd) = %{tl_version}
Provides: tex(ot1wcfib.fd) = %{tl_version}
Provides: tex(ot1wcfr.fd) = %{tl_version}
Provides: tex(ot1wcr.fd) = %{tl_version}
Provides: tex(ot1wcss.fd) = %{tl_version}
Provides: tex(ot1wctt.fd) = %{tl_version}
Provides: tex(ot1wcvtt.fd) = %{tl_version}
Provides: tex(otchet.tex) = %{tl_version}
Provides: tex(pismo.tex) = %{tl_version}
Provides: tex(rusfonts.tex) = %{tl_version}
Provides: tex(statya.tex) = %{tl_version}

%description lhcyr
A collection of three LaTeX 2e styles intended for typesetting
Russian and bilingual English-Russian documents, using the lh
fonts and without the benefit of babel's language-switching
mechanisms. The packages (lhcyralt and lhcyrwin for use under
emTeX, and lhcyrkoi for use under teTeX) provide mappings
between the input encoding and the font encoding (which is
described as OT1). The way this is done does not match the way
inputenc would do the job, for output via fontenc to one of the
T2 series of font encodings.

%package lshort-bulgarian-doc
Summary: Documentation for lshort-bulgarian
Version: svn15878.0

Provides: tex-lshort-bulgarian-doc
AutoReqProv: No

%description lshort-bulgarian-doc
Documentation for lshort-bulgarian

%package lshort-mongol-doc
Summary: Documentation for lshort-mongol
Version: svn15878.4.26

Provides: tex-lshort-mongol-doc
AutoReqProv: No

%description lshort-mongol-doc
Documentation for lshort-mongol

%package lshort-russian-doc
Summary: Documentation for lshort-russian
Version: svn18906.0

Provides: tex-lshort-russian-doc
AutoReqProv: No

%description lshort-russian-doc
Documentation for lshort-russian

%package lshort-ukr-doc
Summary: Documentation for lshort-ukr
Version: svn15878.4.00

Provides: tex-lshort-ukr-doc
AutoReqProv: No

%description lshort-ukr-doc
Documentation for lshort-ukr

%package mongolian-babel
Provides: tex-mongolian-babel = %{tl_version}
License: LPPL
Summary: A language definition file for Mongolian in Babel
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mn.def) = %{tl_version}
Provides: tex(mongolian.ldf) = %{tl_version}
Provides: tex(mongolian.sty) = %{tl_version}

%description mongolian-babel
This package provides support for Mongolian in a Cyrillic
alphabet. (The work derives from the earlier Russian work for
babel.)

%package mongolian-babel-doc
Summary: Documentation for mongolian-babel
Version: svn15878.1.2

Provides: tex-mongolian-babel-doc
AutoReqProv: No

%description mongolian-babel-doc
Documentation for mongolian-babel

%package montex
Provides: tex-montex = %{tl_version}
License: GPL+
Summary: Mongolian LaTeX
Version: svn29349.IVu.04.092

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-cbfonts
Requires: tex(ifthen.sty)
Requires: tex(diagnose.sty)
Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Requires: tex(rotating.sty)
Requires: tex(lscape.sty)
Provides: tex(mongolian.map) = %{tl_version}
Provides: tex(bcghsb.tfm) = %{tl_version}
Provides: tex(bcghsm.tfm) = %{tl_version}
Provides: tex(bcghwb.tfm) = %{tl_version}
Provides: tex(bcghwm.tfm) = %{tl_version}
Provides: tex(bcgvsb.tfm) = %{tl_version}
Provides: tex(bcgvsm.tfm) = %{tl_version}
Provides: tex(bcgvwb.tfm) = %{tl_version}
Provides: tex(bcgvwm.tfm) = %{tl_version}
Provides: tex(bicighb.tfm) = %{tl_version}
Provides: tex(bicighm.tfm) = %{tl_version}
Provides: tex(bicigvb.tfm) = %{tl_version}
Provides: tex(bicigvm.tfm) = %{tl_version}
Provides: tex(bthhsb.tfm) = %{tl_version}
Provides: tex(bthhsm.tfm) = %{tl_version}
Provides: tex(bthhwb.tfm) = %{tl_version}
Provides: tex(bthhwm.tfm) = %{tl_version}
Provides: tex(bthvsb.tfm) = %{tl_version}
Provides: tex(bthvsm.tfm) = %{tl_version}
Provides: tex(bthvwb.tfm) = %{tl_version}
Provides: tex(bthvwm.tfm) = %{tl_version}
Provides: tex(bxghsb.tfm) = %{tl_version}
Provides: tex(bxghsm.tfm) = %{tl_version}
Provides: tex(bxghwb.tfm) = %{tl_version}
Provides: tex(bxghwm.tfm) = %{tl_version}
Provides: tex(bxgvsb.tfm) = %{tl_version}
Provides: tex(bxgvsm.tfm) = %{tl_version}
Provides: tex(bxgvwb.tfm) = %{tl_version}
Provides: tex(bxgvwm.tfm) = %{tl_version}
Provides: tex(kmb10.tfm) = %{tl_version}
Provides: tex(kmbx10.tfm) = %{tl_version}
Provides: tex(kmbx12.tfm) = %{tl_version}
Provides: tex(kmbx5.tfm) = %{tl_version}
Provides: tex(kmbx6.tfm) = %{tl_version}
Provides: tex(kmbx7.tfm) = %{tl_version}
Provides: tex(kmbx8.tfm) = %{tl_version}
Provides: tex(kmbx9.tfm) = %{tl_version}
Provides: tex(kmbxsl10.tfm) = %{tl_version}
Provides: tex(kmbxti10.tfm) = %{tl_version}
Provides: tex(kmcsc10.tfm) = %{tl_version}
Provides: tex(kmcsc8.tfm) = %{tl_version}
Provides: tex(kmcsc9.tfm) = %{tl_version}
Provides: tex(kmdunh10.tfm) = %{tl_version}
Provides: tex(kmff10.tfm) = %{tl_version}
Provides: tex(kmfi10.tfm) = %{tl_version}
Provides: tex(kmfib8.tfm) = %{tl_version}
Provides: tex(kminch.tfm) = %{tl_version}
Provides: tex(kmitt10.tfm) = %{tl_version}
Provides: tex(kmr10.tfm) = %{tl_version}
Provides: tex(kmr12.tfm) = %{tl_version}
Provides: tex(kmr17.tfm) = %{tl_version}
Provides: tex(kmr5.tfm) = %{tl_version}
Provides: tex(kmr6.tfm) = %{tl_version}
Provides: tex(kmr7.tfm) = %{tl_version}
Provides: tex(kmr8.tfm) = %{tl_version}
Provides: tex(kmr9.tfm) = %{tl_version}
Provides: tex(kmsl10.tfm) = %{tl_version}
Provides: tex(kmsl12.tfm) = %{tl_version}
Provides: tex(kmsl8.tfm) = %{tl_version}
Provides: tex(kmsl9.tfm) = %{tl_version}
Provides: tex(kmsltt10.tfm) = %{tl_version}
Provides: tex(kmss10.tfm) = %{tl_version}
Provides: tex(kmss12.tfm) = %{tl_version}
Provides: tex(kmss17.tfm) = %{tl_version}
Provides: tex(kmss8.tfm) = %{tl_version}
Provides: tex(kmss9.tfm) = %{tl_version}
Provides: tex(kmssbx10.tfm) = %{tl_version}
Provides: tex(kmssdc10.tfm) = %{tl_version}
Provides: tex(kmssi10.tfm) = %{tl_version}
Provides: tex(kmssi12.tfm) = %{tl_version}
Provides: tex(kmssi17.tfm) = %{tl_version}
Provides: tex(kmssi8.tfm) = %{tl_version}
Provides: tex(kmssi9.tfm) = %{tl_version}
Provides: tex(kmssq8.tfm) = %{tl_version}
Provides: tex(kmssqi8.tfm) = %{tl_version}
Provides: tex(kmtcsc10.tfm) = %{tl_version}
Provides: tex(kmti10.tfm) = %{tl_version}
Provides: tex(kmti12.tfm) = %{tl_version}
Provides: tex(kmti7.tfm) = %{tl_version}
Provides: tex(kmti8.tfm) = %{tl_version}
Provides: tex(kmti9.tfm) = %{tl_version}
Provides: tex(kmtt10.tfm) = %{tl_version}
Provides: tex(kmtt12.tfm) = %{tl_version}
Provides: tex(kmtt8.tfm) = %{tl_version}
Provides: tex(kmtt9.tfm) = %{tl_version}
Provides: tex(kmu10.tfm) = %{tl_version}
Provides: tex(kmvtt10.tfm) = %{tl_version}
Provides: tex(kmvtti10.tfm) = %{tl_version}
Provides: tex(bcghsb.pfb) = %{tl_version}
Provides: tex(bcghsm.pfb) = %{tl_version}
Provides: tex(bcghwb.pfb) = %{tl_version}
Provides: tex(bcghwm.pfb) = %{tl_version}
Provides: tex(bcgvsb.pfb) = %{tl_version}
Provides: tex(bcgvsm.pfb) = %{tl_version}
Provides: tex(bcgvwb.pfb) = %{tl_version}
Provides: tex(bcgvwm.pfb) = %{tl_version}
Provides: tex(bicighb.pfb) = %{tl_version}
Provides: tex(bicighm.pfb) = %{tl_version}
Provides: tex(bicigvb.pfb) = %{tl_version}
Provides: tex(bicigvm.pfb) = %{tl_version}
Provides: tex(bthhsb.pfb) = %{tl_version}
Provides: tex(bthhsm.pfb) = %{tl_version}
Provides: tex(bthhwb.pfb) = %{tl_version}
Provides: tex(bthhwm.pfb) = %{tl_version}
Provides: tex(bthvsb.pfb) = %{tl_version}
Provides: tex(bthvsm.pfb) = %{tl_version}
Provides: tex(bthvwb.pfb) = %{tl_version}
Provides: tex(bthvwm.pfb) = %{tl_version}
Provides: tex(bxghsb.pfb) = %{tl_version}
Provides: tex(bxghsm.pfb) = %{tl_version}
Provides: tex(bxghwb.pfb) = %{tl_version}
Provides: tex(bxghwm.pfb) = %{tl_version}
Provides: tex(bxgvsb.pfb) = %{tl_version}
Provides: tex(bxgvsm.pfb) = %{tl_version}
Provides: tex(bxgvwb.pfb) = %{tl_version}
Provides: tex(bxgvwm.pfb) = %{tl_version}
Provides: tex(kmbx10.pfb) = %{tl_version}
Provides: tex(kmr10.pfb) = %{tl_version}
Provides: tex(kmss10.pfb) = %{tl_version}
Provides: tex(bicig.def) = %{tl_version}
Provides: tex(bithe.def) = %{tl_version}
Provides: tex(buryat.def) = %{tl_version}
Provides: tex(cpctt.def) = %{tl_version}
Provides: tex(cpdbk.def) = %{tl_version}
Provides: tex(cpibmrus.def) = %{tl_version}
Provides: tex(cpkoi.def) = %{tl_version}
Provides: tex(cpmls.def) = %{tl_version}
Provides: tex(cpmnk.def) = %{tl_version}
Provides: tex(cpmos.def) = %{tl_version}
Provides: tex(cpncc.def) = %{tl_version}
Provides: tex(english.def) = %{tl_version}
Provides: tex(kazakh.def) = %{tl_version}
Provides: tex(lmabthhs.fd) = %{tl_version}
Provides: tex(lmabthhw.fd) = %{tl_version}
Provides: tex(lmabthvs.fd) = %{tl_version}
Provides: tex(lmabthvw.fd) = %{tl_version}
Provides: tex(lmaenc.def) = %{tl_version}
Provides: tex(lmccmdh.fd) = %{tl_version}
Provides: tex(lmccmfib.fd) = %{tl_version}
Provides: tex(lmccmfr.fd) = %{tl_version}
Provides: tex(lmccmiss.fd) = %{tl_version}
Provides: tex(lmccmr.fd) = %{tl_version}
Provides: tex(lmccmss.fd) = %{tl_version}
Provides: tex(lmccmssq.fd) = %{tl_version}
Provides: tex(lmccmtt.fd) = %{tl_version}
Provides: tex(lmccmvtt.fd) = %{tl_version}
Provides: tex(lmcenc.def) = %{tl_version}
Provides: tex(lmclcmss.fd) = %{tl_version}
Provides: tex(lmobcghs.fd) = %{tl_version}
Provides: tex(lmobcghw.fd) = %{tl_version}
Provides: tex(lmobcgvs.fd) = %{tl_version}
Provides: tex(lmobcgvw.fd) = %{tl_version}
Provides: tex(lmoenc.def) = %{tl_version}
Provides: tex(lmsbcgh.fd) = %{tl_version}
Provides: tex(lmsbcgv.fd) = %{tl_version}
Provides: tex(lmsenc.def) = %{tl_version}
Provides: tex(lmubxghs.fd) = %{tl_version}
Provides: tex(lmubxghw.fd) = %{tl_version}
Provides: tex(lmubxgvs.fd) = %{tl_version}
Provides: tex(lmubxgvw.fd) = %{tl_version}
Provides: tex(lmuenc.def) = %{tl_version}
Provides: tex(mls.sty) = %{tl_version}
Provides: tex(mlsgalig.tex) = %{tl_version}
Provides: tex(mlstrans.tex) = %{tl_version}
Provides: tex(mnhyphex.tex) = %{tl_version}
Provides: tex(rlbicig.sty) = %{tl_version}
Provides: tex(russian.def) = %{tl_version}
Provides: tex(xalx.def) = %{tl_version}

%description montex
MonTeX provides Mongolian and Manju support for the TeX/LaTeX
community. Mongolian is a language spoken in North East Asia,
namely Mongolia and the Inner Mongol Autonomous Region of
China. Today, it is written in an extended Cyrillic alphabet in
Mongolia whereas the Uighur writing continues to be in use in
Inner Mongolia, though it is also, legally speaking, the
official writing system of Mongolia. Manju is another language
of North East Asia, belonging to the Tungusic branch of the
Altaic languages. Though it is hardly spoken nowadays, it
survives in written form as Manju was the native language of
the rulers of the Qing dynasty (1644-1911) in China. Large
quantities of documents of the Imperial Archives survive, as
well as some of the finest dictionaries ever compiled in Asia,
like the Pentaglot, a dictionary comprising Manju, Tibetan,
Mongolian, Uighur and Chinese. MonTeX provides all necessary
characters for writing standard Mongolian in Cyrillic and
Classical (aka Traditional or Uighur) writing, and Manju as
well as transliterated Tibetan texts, for which purpose a
number of additional characters was created. In MonTeX, both
Mongolian and Manju are entered in romanized form. The
retransliteration (from Latin input to Mongolian and Manju
output) is completely realized in TeX/Metafont so that no
external preprocessor is required. Please note that most of the
enhanced functions of MonTeX require a working e-LaTeX
environment. This is especially true when compiling documents
with Mongolian or Manju as the main document language. It is
recommended to choose pdfelatex as the resulting PDF files are
truly portable. Vertical text generated by MonTeX is not
supported in DVI.

%package montex-doc
Summary: Documentation for montex
Version: svn29349.IVu.04.092

Provides: tex-montex-doc
AutoReqProv: No
Requires: tex-cbfonts-doc

%description montex-doc
Documentation for montex

%package mpman-ru-doc
Summary: Documentation for mpman-ru
Version: svn15878.1.004

Provides: tex-mpman-ru-doc
AutoReqProv: No

%description mpman-ru-doc
Documentation for mpman-ru

%package pst-eucl-translation-bg-doc
Summary: Documentation for pst-eucl-translation-bg
Version: svn19296.1.3.2

Provides: tex-pst-eucl-translation-bg-doc
AutoReqProv: No

%description pst-eucl-translation-bg-doc
Documentation for pst-eucl-translation-bg

%package serbian-apostrophe
Provides: tex-serbian-apostrophe = %{tl_version}
License: LPPL 1.3
Summary: Commands for Serbian words with apostrophes
Version: svn23799.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(tipa.sty)
Provides: tex(serbian-apostrophe.sty) = %{tl_version}

%description serbian-apostrophe
The package provides a collection of commands (whose names are
Serbian words) whose expansion is the Serbian word with
appropriate apostrophes.

%package serbian-apostrophe-doc
Summary: Documentation for serbian-apostrophe
Version: svn23799.0

Provides: tex-serbian-apostrophe-doc
AutoReqProv: No

%description serbian-apostrophe-doc
Documentation for serbian-apostrophe

%package serbian-date-lat
Provides: tex-serbian-date-lat = %{tl_version}
License: GPLv2+
Summary: Updated date typesetting for Serbian
Version: svn23446.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(serbian-date-lat.sty) = %{tl_version}

%description serbian-date-lat
Babel defines dates for Serbian texts, in Latin script. The
style it uses does not match current practices. The present
package defines a \date command that solves the problem.

%package serbian-date-lat-doc
Summary: Documentation for serbian-date-lat
Version: svn23446.0

Provides: tex-serbian-date-lat-doc
AutoReqProv: No

%description serbian-date-lat-doc
Documentation for serbian-date-lat

%package serbian-def-cyr
Provides: tex-serbian-def-cyr = %{tl_version}
License: LPPL 1.3
Summary: Serbian cyrillic localization
Version: svn23734.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Provides: tex(serbian-def-cyr.sty) = %{tl_version}

%description serbian-def-cyr
This package provides abstract, chapter, title, date etc, for
serbian language in cyrillic scripts in T2A encoding and cp1251
code pages.

%package serbian-def-cyr-doc
Summary: Documentation for serbian-def-cyr
Version: svn23734.0

Provides: tex-serbian-def-cyr-doc
AutoReqProv: No

%description serbian-def-cyr-doc
Documentation for serbian-def-cyr

%package serbian-lig
Provides: tex-serbian-lig = %{tl_version}
License: LPPL 1.3
Summary: Control ligatures in Serbian
Version: svn39096

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(serbian-lig.sty) = %{tl_version}

%description serbian-lig
The package suppresses fi and fl (and other ligatures) in
Serbian text written using Roman script.

%package serbian-lig-doc
Summary: Documentation for serbian-lig
Version: svn39096

Provides: tex-serbian-lig-doc
AutoReqProv: No

%description serbian-lig-doc
Documentation for serbian-lig

%package t2
Provides: tex-t2 = %{tl_version}
License: LPPL
Summary: Support for using T2 encoding
Version: svn39024

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex(amssymb.sty)
Requires: tex(enumerate.sty)
Provides: tex(t2a-mod1.enc) = %{tl_version}
Provides: tex(t2a-mod2.enc) = %{tl_version}
Provides: tex(t2a.enc) = %{tl_version}
Provides: tex(t2b.enc) = %{tl_version}
Provides: tex(t2c.enc) = %{tl_version}
Provides: tex(x2.enc) = %{tl_version}
Provides: tex(alias-cmc.tex) = %{tl_version}
Provides: tex(alias-wncy.tex) = %{tl_version}
Provides: tex(cyralias.tex) = %{tl_version}
Provides: tex(fnstcorr.tex) = %{tl_version}
Provides: tex(citehack.sty) = %{tl_version}
Provides: tex(mathtext.sty) = %{tl_version}
Provides: tex(misccorr.sty) = %{tl_version}

%description t2
The T2 bundle provides a variety of separate support functions,
for using Cyrillic characters in LaTeX: - the mathtext package,
for using Cyrillic letters 'transparently' in formulae - the
citehack package, for using Cyrillic (or indeed any non-ascii)
characters in citation keys; - support for Cyrillic in BibTeX; -
support for Cyrillic in Makeindex; and - various items of font
support.

%post t2
if [ $1 -gt 0 ] ; then
sed -i 's/^\#\!\ cyramstex.*$/cyramstex pdftex language.dat -translate-file=cp227.tcx *cyramstx.ini/' %{_texdir}/texmf-dist/web2c/fmtutil.cnf
sed -i 's/^\#\!\ cyrtex.*$/cyrtex pdftex language.dat -translate-file=cp227.tcx *cyrtex.ini/' %{_texdir}/texmf-dist/web2c/fmtutil.cnf
sed -i 's/^\#\!\ cyrtexinfo.*$/cyrtexinfo pdftex language.dat -translate-file=cp227.tcx *cyrtxinf.ini/' %{_texdir}/texmf-dist/web2c/fmtutil.cnf
fi
:

%postun t2
if [ $1 == 0 ] ; then
sed -i 's/^cyramstex.*$/\#\!\ cyramstex pdftex language.dat -translate-file=cp227.tcx *cyramstx.ini/' %{_texdir}/texmf-dist/web2c/fmtutil.cnf > /dev/null 2>&1
sed -i 's/^cyrtex.*$/\#\!\ cyrtex pdftex language.dat -translate-file=cp227.tcx *cyrtex.ini/' %{_texdir}/texmf-dist/web2c/fmtutil.cnf > /dev/null 2>&1
sed -i 's/^cyrtexinfo.*$/\#\!\ cyrtexinfo pdftex language.dat -translate-file=cp227.tcx *cyrtxinf.ini/' %{_texdir}/texmf-dist/web2c/fmtutil.cnf > /dev/null 2>&1
fi
:

%package t2-doc
Summary: Documentation for t2
Version: svn39024

Provides: tex-t2-doc
AutoReqProv: No

%description t2-doc
Documentation for t2

%package texlive-ru-doc
Summary: Documentation for texlive-ru
Version: svn44444
Provides: tex-texlive-ru-doc
AutoReqProv: No

%description texlive-ru-doc
Documentation for texlive-ru

%package texlive-sr-doc
Summary: Documentation for texlive-sr
Version: svn44341
Provides: tex-texlive-sr-doc
AutoReqProv: No

%description texlive-sr-doc
Documentation for texlive-sr

%package collection-langczechslovak
Summary: Czech/Slovak
Version: svn32550.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-latex
Requires: tex-babel-czech
Requires: tex-babel-slovak
Requires: tex-cnbwp
Requires: tex-cs
Requires: tex-csbulletin
Requires: tex-cslatex
Requires: tex-csplain
Requires: texlive-cstex-doc
Requires: tex-hyphen-czech
Requires: tex-hyphen-slovak
Requires: tex-vlna
Requires: texlive-lshort-czech-doc
Requires: texlive-lshort-slovak-doc
Requires: texlive-texlive-cz-doc

%description collection-langczechslovak
Support for Czech/Slovak.

%package cs
Provides: tex-cs = %{tl_version}
License: GPL+
Summary: Czech/Slovak-tuned Computer Modern fonts
Version: svn40785

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(xl2.enc) = %{tl_version}
Provides: tex(xl2f.enc) = %{tl_version}
Provides: tex(xt2.enc) = %{tl_version}
Provides: tex(cs-a35-nodownload.map) = %{tl_version}
Provides: tex(cs-a35-urwdownload.map) = %{tl_version}
Provides: tex(cs-charter.map) = %{tl_version}
Provides: tex(csfonts.map) = %{tl_version}
Provides: tex(pagd8z.tfm) = %{tl_version}
Provides: tex(pagdc8z.tfm) = %{tl_version}
Provides: tex(pagdo8z.tfm) = %{tl_version}
Provides: tex(pagk8z.tfm) = %{tl_version}
Provides: tex(pagkc8z.tfm) = %{tl_version}
Provides: tex(pagko8z.tfm) = %{tl_version}
Provides: tex(pbkd8z.tfm) = %{tl_version}
Provides: tex(pbkdc8z.tfm) = %{tl_version}
Provides: tex(pbkdi8z.tfm) = %{tl_version}
Provides: tex(pbkl8z.tfm) = %{tl_version}
Provides: tex(pbklc8z.tfm) = %{tl_version}
Provides: tex(pbkli8z.tfm) = %{tl_version}
Provides: tex(pcrb8u.tfm) = %{tl_version}
Provides: tex(pcrbc8u.tfm) = %{tl_version}
Provides: tex(pcrbo8u.tfm) = %{tl_version}
Provides: tex(pcrr8u.tfm) = %{tl_version}
Provides: tex(pcrrc8u.tfm) = %{tl_version}
Provides: tex(pcrro8u.tfm) = %{tl_version}
Provides: tex(phvb8z.tfm) = %{tl_version}
Provides: tex(phvbc8z.tfm) = %{tl_version}
Provides: tex(phvbn8z.tfm) = %{tl_version}
Provides: tex(phvbnc8z.tfm) = %{tl_version}
Provides: tex(phvbo8z.tfm) = %{tl_version}
Provides: tex(phvbon8z.tfm) = %{tl_version}
Provides: tex(phvr8z.tfm) = %{tl_version}
Provides: tex(phvrc8z.tfm) = %{tl_version}
Provides: tex(phvrn8z.tfm) = %{tl_version}
Provides: tex(phvrnc8z.tfm) = %{tl_version}
Provides: tex(phvro8z.tfm) = %{tl_version}
Provides: tex(phvron8z.tfm) = %{tl_version}
Provides: tex(pncb8z.tfm) = %{tl_version}
Provides: tex(pncbc8z.tfm) = %{tl_version}
Provides: tex(pncbi8z.tfm) = %{tl_version}
Provides: tex(pncr8z.tfm) = %{tl_version}
Provides: tex(pncrc8z.tfm) = %{tl_version}
Provides: tex(pncri8z.tfm) = %{tl_version}
Provides: tex(pplb8z.tfm) = %{tl_version}
Provides: tex(pplbc8z.tfm) = %{tl_version}
Provides: tex(pplbi8z.tfm) = %{tl_version}
Provides: tex(pplr8z.tfm) = %{tl_version}
Provides: tex(pplrc8z.tfm) = %{tl_version}
Provides: tex(pplri8z.tfm) = %{tl_version}
Provides: tex(ptmb8z.tfm) = %{tl_version}
Provides: tex(ptmbc8z.tfm) = %{tl_version}
Provides: tex(ptmbi8z.tfm) = %{tl_version}
Provides: tex(ptmr8z.tfm) = %{tl_version}
Provides: tex(ptmrc8z.tfm) = %{tl_version}
Provides: tex(ptmri8z.tfm) = %{tl_version}
Provides: tex(pzcmi8z.tfm) = %{tl_version}
Provides: tex(bchb8z.tfm) = %{tl_version}
Provides: tex(bchbi8z.tfm) = %{tl_version}
Provides: tex(bchr8z.tfm) = %{tl_version}
Provides: tex(bchri8z.tfm) = %{tl_version}
Provides: tex(rbchb.tfm) = %{tl_version}
Provides: tex(rbchbi.tfm) = %{tl_version}
Provides: tex(rbchr.tfm) = %{tl_version}
Provides: tex(rbchri.tfm) = %{tl_version}
Provides: tex(csb10.tfm) = %{tl_version}
Provides: tex(csb12.tfm) = %{tl_version}
Provides: tex(csb17.tfm) = %{tl_version}
Provides: tex(csb5.tfm) = %{tl_version}
Provides: tex(csb6.tfm) = %{tl_version}
Provides: tex(csb7.tfm) = %{tl_version}
Provides: tex(csb8.tfm) = %{tl_version}
Provides: tex(csb9.tfm) = %{tl_version}
Provides: tex(csbx10.tfm) = %{tl_version}
Provides: tex(csbx12.tfm) = %{tl_version}
Provides: tex(csbx5.tfm) = %{tl_version}
Provides: tex(csbx6.tfm) = %{tl_version}
Provides: tex(csbx7.tfm) = %{tl_version}
Provides: tex(csbx8.tfm) = %{tl_version}
Provides: tex(csbx9.tfm) = %{tl_version}
Provides: tex(csbxsl10.tfm) = %{tl_version}
Provides: tex(csbxsl12.tfm) = %{tl_version}
Provides: tex(csbxsl5.tfm) = %{tl_version}
Provides: tex(csbxsl6.tfm) = %{tl_version}
Provides: tex(csbxsl7.tfm) = %{tl_version}
Provides: tex(csbxsl8.tfm) = %{tl_version}
Provides: tex(csbxsl9.tfm) = %{tl_version}
Provides: tex(csbxti10.tfm) = %{tl_version}
Provides: tex(csbxti12.tfm) = %{tl_version}
Provides: tex(csbxti17.tfm) = %{tl_version}
Provides: tex(cscsc10.tfm) = %{tl_version}
Provides: tex(cscsc12.tfm) = %{tl_version}
Provides: tex(cscsc17.tfm) = %{tl_version}
Provides: tex(cscsc8.tfm) = %{tl_version}
Provides: tex(cscsc9.tfm) = %{tl_version}
Provides: tex(csdunh10.tfm) = %{tl_version}
Provides: tex(csdunh12.tfm) = %{tl_version}
Provides: tex(csdunh17.tfm) = %{tl_version}
Provides: tex(csdunh5.tfm) = %{tl_version}
Provides: tex(csdunh6.tfm) = %{tl_version}
Provides: tex(csdunh7.tfm) = %{tl_version}
Provides: tex(csdunh8.tfm) = %{tl_version}
Provides: tex(csdunh9.tfm) = %{tl_version}
Provides: tex(csff10.tfm) = %{tl_version}
Provides: tex(csfi10.tfm) = %{tl_version}
Provides: tex(csfib10.tfm) = %{tl_version}
Provides: tex(csfib12.tfm) = %{tl_version}
Provides: tex(csfib8.tfm) = %{tl_version}
Provides: tex(csfib9.tfm) = %{tl_version}
Provides: tex(csinch.tfm) = %{tl_version}
Provides: tex(csitt10.tfm) = %{tl_version}
Provides: tex(csitt12.tfm) = %{tl_version}
Provides: tex(csitt17.tfm) = %{tl_version}
Provides: tex(csitt8.tfm) = %{tl_version}
Provides: tex(csitt9.tfm) = %{tl_version}
Provides: tex(csr10.tfm) = %{tl_version}
Provides: tex(csr12.tfm) = %{tl_version}
Provides: tex(csr17.tfm) = %{tl_version}
Provides: tex(csr5.tfm) = %{tl_version}
Provides: tex(csr6.tfm) = %{tl_version}
Provides: tex(csr7.tfm) = %{tl_version}
Provides: tex(csr8.tfm) = %{tl_version}
Provides: tex(csr9.tfm) = %{tl_version}
Provides: tex(cssl10.tfm) = %{tl_version}
Provides: tex(cssl12.tfm) = %{tl_version}
Provides: tex(cssl17.tfm) = %{tl_version}
Provides: tex(cssl5.tfm) = %{tl_version}
Provides: tex(cssl6.tfm) = %{tl_version}
Provides: tex(cssl7.tfm) = %{tl_version}
Provides: tex(cssl8.tfm) = %{tl_version}
Provides: tex(cssl9.tfm) = %{tl_version}
Provides: tex(cssltt10.tfm) = %{tl_version}
Provides: tex(cssltt12.tfm) = %{tl_version}
Provides: tex(cssltt8.tfm) = %{tl_version}
Provides: tex(cssltt9.tfm) = %{tl_version}
Provides: tex(csss10.tfm) = %{tl_version}
Provides: tex(csss12.tfm) = %{tl_version}
Provides: tex(csss17.tfm) = %{tl_version}
Provides: tex(csss8.tfm) = %{tl_version}
Provides: tex(csss9.tfm) = %{tl_version}
Provides: tex(csssbx10.tfm) = %{tl_version}
Provides: tex(csssbx12.tfm) = %{tl_version}
Provides: tex(csssbx17.tfm) = %{tl_version}
Provides: tex(csssbx9.tfm) = %{tl_version}
Provides: tex(csssdc10.tfm) = %{tl_version}
Provides: tex(csssi10.tfm) = %{tl_version}
Provides: tex(csssi12.tfm) = %{tl_version}
Provides: tex(csssi17.tfm) = %{tl_version}
Provides: tex(csssi8.tfm) = %{tl_version}
Provides: tex(csssi9.tfm) = %{tl_version}
Provides: tex(csssq8.tfm) = %{tl_version}
Provides: tex(csssqi8.tfm) = %{tl_version}
Provides: tex(cstcsc10.tfm) = %{tl_version}
Provides: tex(cstcsc12.tfm) = %{tl_version}
Provides: tex(cstcsc17.tfm) = %{tl_version}
Provides: tex(csti10.tfm) = %{tl_version}
Provides: tex(csti12.tfm) = %{tl_version}
Provides: tex(csti17.tfm) = %{tl_version}
Provides: tex(csti7.tfm) = %{tl_version}
Provides: tex(csti8.tfm) = %{tl_version}
Provides: tex(csti9.tfm) = %{tl_version}
Provides: tex(cstt10.tfm) = %{tl_version}
Provides: tex(cstt12.tfm) = %{tl_version}
Provides: tex(cstt8.tfm) = %{tl_version}
Provides: tex(cstt9.tfm) = %{tl_version}
Provides: tex(csu10.tfm) = %{tl_version}
Provides: tex(csu12.tfm) = %{tl_version}
Provides: tex(csu17.tfm) = %{tl_version}
Provides: tex(csu7.tfm) = %{tl_version}
Provides: tex(csu8.tfm) = %{tl_version}
Provides: tex(csu9.tfm) = %{tl_version}
Provides: tex(csvtt10.tfm) = %{tl_version}
Provides: tex(csvtt12.tfm) = %{tl_version}
Provides: tex(csvtt8.tfm) = %{tl_version}
Provides: tex(csvtt9.tfm) = %{tl_version}
Provides: tex(icscsc10.tfm) = %{tl_version}
Provides: tex(icstt8.tfm) = %{tl_version}
Provides: tex(ilcsss8.tfm) = %{tl_version}
Provides: tex(ilcsssb8.tfm) = %{tl_version}
Provides: tex(ilcsssi8.tfm) = %{tl_version}
Provides: tex(lcsss8.tfm) = %{tl_version}
Provides: tex(lcsssb8.tfm) = %{tl_version}
Provides: tex(lcsssi8.tfm) = %{tl_version}
Provides: tex(csb10.pfb) = %{tl_version}
Provides: tex(csbx10.pfb) = %{tl_version}
Provides: tex(csbx12.pfb) = %{tl_version}
Provides: tex(csbx5.pfb) = %{tl_version}
Provides: tex(csbx6.pfb) = %{tl_version}
Provides: tex(csbx7.pfb) = %{tl_version}
Provides: tex(csbx8.pfb) = %{tl_version}
Provides: tex(csbx9.pfb) = %{tl_version}
Provides: tex(csbxsl10.pfb) = %{tl_version}
Provides: tex(csbxti10.pfb) = %{tl_version}
Provides: tex(cscsc10.pfb) = %{tl_version}
Provides: tex(csdunh10.pfb) = %{tl_version}
Provides: tex(csff10.pfb) = %{tl_version}
Provides: tex(csfi10.pfb) = %{tl_version}
Provides: tex(csfib8.pfb) = %{tl_version}
Provides: tex(csinch.pfb) = %{tl_version}
Provides: tex(csitt10.pfb) = %{tl_version}
Provides: tex(csr10.pfb) = %{tl_version}
Provides: tex(csr12.pfb) = %{tl_version}
Provides: tex(csr17.pfb) = %{tl_version}
Provides: tex(csr5.pfb) = %{tl_version}
Provides: tex(csr6.pfb) = %{tl_version}
Provides: tex(csr7.pfb) = %{tl_version}
Provides: tex(csr8.pfb) = %{tl_version}
Provides: tex(csr9.pfb) = %{tl_version}
Provides: tex(cssl10.pfb) = %{tl_version}
Provides: tex(cssl12.pfb) = %{tl_version}
Provides: tex(cssl8.pfb) = %{tl_version}
Provides: tex(cssl9.pfb) = %{tl_version}
Provides: tex(cssltt10.pfb) = %{tl_version}
Provides: tex(csss10.pfb) = %{tl_version}
Provides: tex(csss12.pfb) = %{tl_version}
Provides: tex(csss17.pfb) = %{tl_version}
Provides: tex(csss8.pfb) = %{tl_version}
Provides: tex(csss9.pfb) = %{tl_version}
Provides: tex(csssbx10.pfb) = %{tl_version}
Provides: tex(csssdc10.pfb) = %{tl_version}
Provides: tex(csssi10.pfb) = %{tl_version}
Provides: tex(csssi12.pfb) = %{tl_version}
Provides: tex(csssi17.pfb) = %{tl_version}
Provides: tex(csssi8.pfb) = %{tl_version}
Provides: tex(csssi9.pfb) = %{tl_version}
Provides: tex(csssq8.pfb) = %{tl_version}
Provides: tex(csssqi8.pfb) = %{tl_version}
Provides: tex(cstcsc10.pfb) = %{tl_version}
Provides: tex(csti10.pfb) = %{tl_version}
Provides: tex(csti12.pfb) = %{tl_version}
Provides: tex(csti7.pfb) = %{tl_version}
Provides: tex(csti8.pfb) = %{tl_version}
Provides: tex(csti9.pfb) = %{tl_version}
Provides: tex(cstt10.pfb) = %{tl_version}
Provides: tex(cstt12.pfb) = %{tl_version}
Provides: tex(cstt8.pfb) = %{tl_version}
Provides: tex(cstt9.pfb) = %{tl_version}
Provides: tex(csu10.pfb) = %{tl_version}
Provides: tex(csvtt10.pfb) = %{tl_version}
Provides: tex(pagdc8z.vf) = %{tl_version}
Provides: tex(pagkc8z.vf) = %{tl_version}
Provides: tex(pbkdc8z.vf) = %{tl_version}
Provides: tex(pbklc8z.vf) = %{tl_version}
Provides: tex(pcrbc8u.vf) = %{tl_version}
Provides: tex(pcrrc8u.vf) = %{tl_version}
Provides: tex(phvbc8z.vf) = %{tl_version}
Provides: tex(phvbnc8z.vf) = %{tl_version}
Provides: tex(phvrc8z.vf) = %{tl_version}
Provides: tex(phvrnc8z.vf) = %{tl_version}
Provides: tex(pncbc8z.vf) = %{tl_version}
Provides: tex(pncrc8z.vf) = %{tl_version}
Provides: tex(pplbc8z.vf) = %{tl_version}
Provides: tex(pplrc8z.vf) = %{tl_version}
Provides: tex(ptmbc8z.vf) = %{tl_version}
Provides: tex(ptmrc8z.vf) = %{tl_version}
Provides: tex(bchb8z.vf) = %{tl_version}
Provides: tex(bchbi8z.vf) = %{tl_version}
Provides: tex(bchr8z.vf) = %{tl_version}
Provides: tex(bchri8z.vf) = %{tl_version}

%description cs
The fonts are provided as Metafont source; Type 1 format
versions (csfonts-t1) are also available.

%package csbulletin
Provides: tex-csbulletin = %{tl_version}
License: LPPL
Summary: LaTeX class for articles submitted to the CSTUG Bulletin (Zpravodaj)
Version: svn43277
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(babel.sty)
Requires: tex(fontenc.sty)
Requires: tex(lmodern.sty)
Requires: tex(mflogo.sty)
Requires: tex(ifpdf.sty)
Requires: tex(microtype.sty)
Requires: tex(array.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(verbatim.sty)
Requires: tex(encxvlna.sty)
Provides: tex(csbulacronym.sty) = %{tl_version}
Provides: tex(csbulletin.cls) = %{tl_version}

%description csbulletin
The package provides the class for articles for the CSTUG
Bulletin (Zpravodaj Ceskoslovenskeho sdruzeni uzivatelu TeXu).
You can see the structure of a document by looking to the
source file of the manual.

%package csbulletin-doc
Summary: Documentation for csbulletin
Version: svn43277
Provides: tex-csbulletin-doc
AutoReqProv: No

%description csbulletin-doc
Documentation for csbulletin

%package cstex-doc
Summary: Documentation for cstex
Version: svn41301

Provides: tex-cstex-doc
AutoReqProv: No

%description cstex-doc
Documentation for cstex

%package hyphen-czech
Provides: tex-hyphen-czech = %{tl_version}
License: LPPL
Summary: Czech hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-czech
Hyphenation patterns for Czech in T1/EC and UTF-8 encodings.
Original patterns 'czhyphen' are still distributed in the
'csplain' package and loaded with ISO Latin 2 encoding (IL2).

%post hyphen-czech
if [ $1 -gt 0 ] ; then
sed -i '/czech.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "czech loadhyph-cs.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{czech}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{czech}{loadhyph-cs.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-czech
if [ $1 == 0 ] ; then
sed -i '/czech.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{czech}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-slovak
Provides: tex-hyphen-slovak = %{tl_version}
License: LPPL
Summary: Slovak hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-slovak
Hyphenation patterns for Slovak in T1/EC and UTF-8 encodings.
Original patterns 'skhyphen' are still distributed in the
'csplain' package and loaded with ISO Latin 2 encoding (IL2).

%post hyphen-slovak
if [ $1 -gt 0 ] ; then
sed -i '/slovak.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "slovak loadhyph-sk.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{slovak}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{slovak}{loadhyph-sk.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-slovak
if [ $1 == 0 ] ; then
sed -i '/slovak.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{slovak}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package lshort-czech-doc
Summary: Documentation for lshort-czech
Version: svn29803.4.27

Provides: tex-lshort-czech-doc
AutoReqProv: No

%description lshort-czech-doc
Documentation for lshort-czech

%package lshort-slovak-doc
Summary: Documentation for lshort-slovak
Version: svn15878.0

Provides: tex-lshort-slovak-doc
AutoReqProv: No

%description lshort-slovak-doc
Documentation for lshort-slovak

%package texlive-cz-doc
Summary: Documentation for texlive-cz
Version: svn44347
Provides: tex-texlive-cz-doc
AutoReqProv: No

%description texlive-cz-doc
Documentation for texlive-cz

%package collection-langenglish
Summary: US and UK English
Version: svn45436
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-hyphen-english
Requires: texlive-FAQ-en-doc
Requires: texlive-MemoirChapStyles-doc
Requires: texlive-Type1fonts-doc
Requires: texlive-amslatex-primer-doc
Requires: texlive-around-the-bend-doc
Requires: texlive-ascii-chart-doc
Requires: texlive-biblatex-cheatsheet-doc
Requires: texlive-components-of-TeX-doc
Requires: texlive-comprehensive-doc
Requires: texlive-dickimaw-doc
Requires: texlive-docsurvey-doc
Requires: texlive-dtxtut-doc
Requires: texlive-first-latex-doc-doc
Requires: texlive-forest-quickstart-doc
Requires: texlive-gentle-doc
Requires: texlive-guide-to-latex-doc
Requires: texlive-happy4th-doc
Requires: texlive-impatient-doc
Requires: texlive-intro-scientific-doc
Requires: texlive-knuth-doc
Requires: texlive-l2tabu-english-doc
Requires: texlive-latex-brochure-doc
Requires: texlive-latex-course-doc
Requires: texlive-latex-doc-ptr-doc
Requires: texlive-latex-graphics-companion-doc
Requires: texlive-latex-refsheet-doc
Requires: texlive-latex-veryshortguide-doc
Requires: texlive-latex-web-companion-doc
Requires: texlive-latex2e-help-texinfo
Requires: texlive-latex4wp-doc
Requires: texlive-latexcheat-doc
Requires: texlive-latexcourse-rug-doc
Requires: texlive-latexfileinfo-pkgs
Requires: texlive-lshort-english-doc
Requires: texlive-macros2e-doc
Requires: texlive-math-e-doc
Requires: texlive-math-into-latex-4-doc
Requires: texlive-maths-symbols-doc
Requires: texlive-memdesign-doc
Requires: texlive-metafont-beginners-doc
Requires: texlive-metapost-examples-doc
Requires: texlive-patgen2-tutorial-doc
Requires: texlive-pictexsum-doc
Requires: texlive-plain-doc-doc
Requires: texlive-presentations-en-doc
Requires: texlive-simplified-latex-doc
Requires: texlive-svg-inkscape-doc
Requires: texlive-tabulars-e-doc
Requires: texlive-tamethebeast-doc
Requires: texlive-tds-doc
Requires: texlive-tex-font-errors-cheatsheet-doc
Requires: texlive-tex-overview-doc
Requires: texlive-tex-refs-doc
Requires: texlive-texbytopic-doc
Requires: texlive-titlepages-doc
Requires: texlive-tlc2-doc
Requires: texlive-undergradmath-doc
Requires: texlive-visualfaq-doc
Requires: texlive-webguide-doc
Requires: texlive-xetexref-doc

%description collection-langenglish
Support for (and documentation in) English.

%package hyphen-english
Provides: tex-hyphen-english = %{tl_version}
License: LPPL
Summary: English hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-english
Additional hyphenation patterns for American and British
English in ASCII encoding.  The American English patterns
(usenglishmax) greatly extend the standard patterns from Knuth
to find many additional hyphenation points.  British English
hyphenation is completely different from US English, so has its
own set of patterns.

%post hyphen-english
if [ $1 -gt 0 ] ; then
sed -i '/ukenglish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "ukenglish loadhyph-en-gb.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=british/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=british" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=UKenglish/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=UKenglish" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{ukenglish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ukenglish}{loadhyph-en-gb.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{british}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{british}{loadhyph-en-gb.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{UKenglish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{UKenglish}{loadhyph-en-gb.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/usenglishmax.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "usenglishmax loadhyph-en-us.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{usenglishmax}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{usenglishmax}{loadhyph-en-us.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-english
if [ $1 == 0 ] ; then
sed -i '/ukenglish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=british/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=UKenglish/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{ukenglish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{british}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{UKenglish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/usenglishmax.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{usenglishmax}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package FAQ-en-doc
Summary: Documentation for FAQ-en
Version: svn34303.3.28

Provides: tex-FAQ-en-doc
AutoReqProv: No

%description FAQ-en-doc
Documentation for FAQ-en

%package MemoirChapStyles-doc
Summary: Documentation for MemoirChapStyles
Version: svn25918.1.7e

Provides: tex-MemoirChapStyles-doc
AutoReqProv: No

%description MemoirChapStyles-doc
Documentation for MemoirChapStyles

%package Type1fonts-doc
Summary: Documentation for Type1fonts
Version: svn19603.2.14

Provides: tex-Type1fonts-doc
AutoReqProv: No

%description Type1fonts-doc
Documentation for Type1fonts

%package components-of-TeX-doc
Summary: Documentation for components-of-TeX
Version: svn15878.0

Provides: tex-components-of-TeX-doc
AutoReqProv: No

%description components-of-TeX-doc
Documentation for components-of-TeX

%package comprehensive-doc
Summary: Documentation for comprehensive
Version: svn43001
Provides: tex-comprehensive-doc
AutoReqProv: No

%description comprehensive-doc
Documentation for comprehensive

%package dickimaw-doc
Summary: Documentation for dickimaw
Version: svn32925.0

Provides: tex-dickimaw-doc
AutoReqProv: No

%description dickimaw-doc
Documentation for dickimaw

%package dtxtut-doc
Summary: Documentation for dtxtut
Version: svn38375.2.1

Provides: tex-dtxtut-doc
AutoReqProv: No

%description dtxtut-doc
Documentation for dtxtut

%package first-latex-doc-doc
Summary: Documentation for first-latex-doc
Version: svn15878.0

Provides: tex-first-latex-doc-doc
AutoReqProv: No

%description first-latex-doc-doc
Documentation for first-latex-doc

%package gentle-doc
Summary: Documentation for gentle
Version: svn15878.0

Provides: tex-gentle-doc
AutoReqProv: No

%description gentle-doc
Documentation for gentle

%package guide-to-latex-doc
Summary: Documentation for guide-to-latex
Version: svn15878.0

Provides: tex-guide-to-latex-doc
AutoReqProv: No

%description guide-to-latex-doc
Documentation for guide-to-latex

%package happy4th-doc
Summary: Documentation for happy4th
Version: svn25020.20120102

Provides: tex-happy4th-doc
AutoReqProv: No

%description happy4th-doc
Documentation for happy4th

%package impatient-doc
Summary: Documentation for impatient
Version: svn35573.0

Provides: tex-impatient-doc
AutoReqProv: No

%description impatient-doc
Documentation for impatient

%package intro-scientific-doc
Summary: Documentation for intro-scientific
Version: svn15878.5th_edition

Provides: tex-intro-scientific-doc
AutoReqProv: No

%description intro-scientific-doc
Documentation for intro-scientific

%package knuth-doc
Summary: Documentation for knuth
Version: svn32899.0

Provides: tex-knuth-doc
AutoReqProv: No

%description knuth-doc
Documentation for knuth

%package l2tabu-english-doc
Summary: Documentation for l2tabu-english
Version: svn15878.1.8.5.7

Provides: tex-l2tabu-english-doc
AutoReqProv: No

%description l2tabu-english-doc
Documentation for l2tabu-english

%package latex-brochure-doc
Summary: Documentation for latex-brochure
Version: svn40612

Provides: tex-latex-brochure-doc
AutoReqProv: No

%description latex-brochure-doc
Documentation for latex-brochure

%package latex-course-doc
Summary: Documentation for latex-course
Version: svn25505.2

Provides: tex-latex-course-doc
AutoReqProv: No

%description latex-course-doc
Documentation for latex-course

%package latex-doc-ptr-doc
Summary: Documentation for latex-doc-ptr
Version: svn15878.0

Provides: tex-latex-doc-ptr-doc
AutoReqProv: No

%description latex-doc-ptr-doc
Documentation for latex-doc-ptr

%package latex-graphics-companion-doc
Summary: Documentation for latex-graphics-companion
Version: svn29235.0

Provides: tex-latex-graphics-companion-doc
AutoReqProv: No

%description latex-graphics-companion-doc
Documentation for latex-graphics-companion

%package latex-veryshortguide-doc
Summary: Documentation for latex-veryshortguide
Version: svn41844
Provides: tex-latex-veryshortguide-doc
AutoReqProv: No

%description latex-veryshortguide-doc
Documentation for latex-veryshortguide

%package latex-web-companion-doc
Summary: Documentation for latex-web-companion
Version: svn29349.0

Provides: tex-latex-web-companion-doc
AutoReqProv: No

%description latex-web-companion-doc
Documentation for latex-web-companion

%package latex2e-help-texinfo
Provides: tex-latex2e-help-texinfo = %{tl_version}
License: Latex2e
Summary: Unofficial reference manual covering LaTeX2e
Version: svn44985
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description latex2e-help-texinfo
The manual is provided as Texinfo source (which was originally
derived from the VMS help file in the DECUS TeX distribution of
1990, with many subsequent changes). This is a collaborative
development, and details of getting involved are to be found on
the package home page. All the other formats in the
distribution are derived from the Texinfo source, as usual.

%package latex2e-help-texinfo-doc
Summary: Documentation for latex2e-help-texinfo
Version: svn44985
Provides: tex-latex2e-help-texinfo-doc
AutoReqProv: No

%description latex2e-help-texinfo-doc
Documentation for latex2e-help-texinfo

%package latex4wp-doc
Summary: Documentation for latex4wp
Version: svn35999.1.0.10

Provides: tex-latex4wp-doc
AutoReqProv: No

%description latex4wp-doc
Documentation for latex4wp

%package latexcheat-doc
Summary: Documentation for latexcheat
Version: svn15878.1.13

Provides: tex-latexcheat-doc
AutoReqProv: No

%description latexcheat-doc
Documentation for latexcheat

%package latexcourse-rug-doc
Summary: Documentation for latexcourse-rug
Version: svn39026

Provides: tex-latexcourse-rug-doc
AutoReqProv: No

%description latexcourse-rug-doc
Documentation for latexcourse-rug

%package latexfileinfo-pkgs
Provides: tex-latexfileinfo-pkgs = %{tl_version}
License: LPPL 1.3
Summary: A comparison of packages showing LaTeX file information
Version: svn26760.0.22

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description latexfileinfo-pkgs
The package provides an HTML file that lists and compares CTAN
packages that display LaTeX source file information from
\ProvidesClass, \ProvidesFile, and \ProvidesPackage commands in
the LaTeX file. Five packages of the author's, and several
other packages are discussed; revision control systems are
mentioned briefly.

%package latexfileinfo-pkgs-doc
Summary: Documentation for latexfileinfo-pkgs
Version: svn26760.0.22

Provides: tex-latexfileinfo-pkgs-doc
AutoReqProv: No

%description latexfileinfo-pkgs-doc
Documentation for latexfileinfo-pkgs

%package lshort-english-doc
Summary: Documentation for lshort-english
Version: svn37892.5.0.5

Provides: tex-lshort-english-doc
AutoReqProv: No

%description lshort-english-doc
Documentation for lshort-english

%package macros2e-doc
Summary: Documentation for macros2e
Version: svn23236.v0.4

Provides: tex-macros2e-doc
AutoReqProv: No

%description macros2e-doc
Documentation for macros2e

%package math-e-doc
Summary: Documentation for math-e
Version: svn20062.0

Provides: tex-math-e-doc
AutoReqProv: No

%description math-e-doc
Documentation for math-e

%package maths-symbols-doc
Summary: Documentation for maths-symbols
Version: svn37763.3.4

Provides: tex-maths-symbols-doc
AutoReqProv: No

%description maths-symbols-doc
Documentation for maths-symbols

%package memdesign-doc
Summary: Documentation for memdesign
Version: svn34157.0

Provides: tex-memdesign-doc
AutoReqProv: No

%description memdesign-doc
Documentation for memdesign

%package metafont-beginners-doc
Summary: Documentation for metafont-beginners
Version: svn29803.0

Provides: tex-metafont-beginners-doc
AutoReqProv: No

%description metafont-beginners-doc
Documentation for metafont-beginners

%package metapost-examples-doc
Summary: Documentation for metapost-examples
Version: svn15878.0

Provides: tex-metapost-examples-doc
AutoReqProv: No

%description metapost-examples-doc
Documentation for metapost-examples

%package patgen2-tutorial-doc
Summary: Documentation for patgen2-tutorial
Version: svn16490.0

Provides: tex-patgen2-tutorial-doc
AutoReqProv: No

%description patgen2-tutorial-doc
Documentation for patgen2-tutorial

%package pictexsum-doc
Summary: Documentation for pictexsum
Version: svn24965.0

Provides: tex-pictexsum-doc
AutoReqProv: No

%description pictexsum-doc
Documentation for pictexsum

%package plain-doc-doc
Summary: Documentation for plain-doc
Version: svn28424.0

Provides: tex-plain-doc-doc
AutoReqProv: No

%description plain-doc-doc
Documentation for plain-doc

%package presentations-en-doc
Summary: Documentation for presentations-en
Version: svn29803.0

Provides: tex-presentations-en-doc
AutoReqProv: No

%description presentations-en-doc
Documentation for presentations-en

%package simplified-latex-doc
Summary: Documentation for simplified-latex
Version: svn20620.0

Provides: tex-simplified-latex-doc
AutoReqProv: No

%description simplified-latex-doc
Documentation for simplified-latex

%package svg-inkscape-doc
Summary: Documentation for svg-inkscape
Version: svn32199.0

Provides: tex-svg-inkscape-doc
AutoReqProv: No

%description svg-inkscape-doc
Documentation for svg-inkscape

%package tabulars-e-doc
Summary: Documentation for tabulars-e
Version: svn21191.1.0

Provides: tex-tabulars-e-doc
AutoReqProv: No

%description tabulars-e-doc
Documentation for tabulars-e

%package tamethebeast-doc
Summary: Documentation for tamethebeast
Version: svn15878.1.4

Provides: tex-tamethebeast-doc
AutoReqProv: No

%description tamethebeast-doc
Documentation for tamethebeast

%package tds-doc
Summary: Documentation for tds
Version: svn15878.1.1

Provides: tex-tds-doc
AutoReqProv: No

%description tds-doc
Documentation for tds

%package tex-font-errors-cheatsheet-doc
Summary: Documentation for tex-font-errors-cheatsheet
Version: svn18314.0.1

Provides: tex-tex-font-errors-cheatsheet-doc
AutoReqProv: No

%description tex-font-errors-cheatsheet-doc
Documentation for tex-font-errors-cheatsheet

%package tex-overview-doc
Summary: Documentation for tex-overview
Version: svn41403

Provides: tex-tex-overview-doc
AutoReqProv: No

%description tex-overview-doc
Documentation for tex-overview

%package tex-refs-doc
Summary: Documentation for tex-refs
Version: svn44131
Provides: tex-tex-refs-doc
AutoReqProv: No

%description tex-refs-doc
Documentation for tex-refs

%package texbytopic-doc
Summary: Documentation for texbytopic
Version: svn15878.0

Provides: tex-texbytopic-doc
AutoReqProv: No

%description texbytopic-doc
Documentation for texbytopic

%package titlepages-doc
Summary: Documentation for titlepages
Version: svn19457.0

Provides: tex-titlepages-doc
AutoReqProv: No

%description titlepages-doc
Documentation for titlepages

%package tlc2-doc
Summary: Documentation for tlc2
Version: svn26096.0

Provides: tex-tlc2-doc
AutoReqProv: No

%description tlc2-doc
Documentation for tlc2

%package visualfaq-doc
Summary: Documentation for visualfaq
Version: svn38647

Provides: tex-visualfaq-doc
AutoReqProv: No

%description visualfaq-doc
Documentation for visualfaq

%package webguide-doc
Summary: Documentation for webguide
Version: svn25813.0

Provides: tex-webguide-doc
AutoReqProv: No

%description webguide-doc
Documentation for webguide

%package xetexref-doc
Summary: Documentation for xetexref
Version: svn45230
Provides: tex-xetexref-doc
AutoReqProv: No

%description xetexref-doc
Documentation for xetexref

%package collection-langeuropean
Summary: Other European languages
Version: svn44414
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-armtex
Requires: texlive-babel-albanian
Requires: texlive-babel-bosnian
Requires: texlive-babel-breton
Requires: texlive-babel-croatian
Requires: texlive-babel-danish
Requires: texlive-babel-dutch
Requires: texlive-babel-estonian
Requires: texlive-babel-finnish
Requires: texlive-babel-friulan
Requires: texlive-babel-hungarian
Requires: texlive-babel-icelandic
Requires: texlive-babel-irish
Requires: texlive-babel-kurmanji
Requires: texlive-babel-latin
Requires: texlive-babel-latvian
Requires: texlive-babel-macedonian
Requires: texlive-babel-norsk
Requires: texlive-babel-occitan
Requires: texlive-babel-piedmontese
Requires: texlive-babel-romanian
Requires: texlive-babel-romansh
Requires: texlive-babel-samin
Requires: texlive-babel-scottish
Requires: texlive-babel-slovenian
Requires: texlive-babel-swedish
Requires: texlive-babel-turkish
Requires: texlive-babel-welsh
Requires: texlive-finbib
Requires: texlive-gloss-occitan
Requires: texlive-hrlatex
Requires: texlive-hyphen-croatian
Requires: texlive-hyphen-danish
Requires: texlive-hyphen-dutch
Requires: texlive-hyphen-estonian
Requires: texlive-hyphen-finnish
Requires: texlive-hyphen-friulan
Requires: texlive-hyphen-hungarian
Requires: texlive-hyphen-icelandic
Requires: texlive-hyphen-irish
Requires: texlive-hyphen-kurmanji
Requires: texlive-hyphen-latin
Requires: texlive-hyphen-latvian
Requires: texlive-hyphen-lithuanian
Requires: texlive-hyphen-norwegian
Requires: texlive-hyphen-occitan
Requires: texlive-hyphen-piedmontese
Requires: texlive-hyphen-romanian
Requires: texlive-hyphen-romansh
Requires: texlive-hyphen-slovenian
Requires: texlive-hyphen-swedish
Requires: texlive-hyphen-turkish
Requires: texlive-hyphen-uppersorbian
Requires: texlive-hyphen-welsh
Requires: texlive-lithuanian
Requires: texlive-lshort-dutch-doc
Requires: texlive-lshort-estonian-doc
Requires: texlive-lshort-finnish-doc
Requires: texlive-lshort-slovenian-doc
Requires: texlive-lshort-turkish-doc
Requires: texlive-nevelok
Requires: texlive-swebib
Requires: texlive-turkmen

%description collection-langeuropean
Support for a number of European languages; others (Greek,
German, French, ...) have their own collections, depending
simply on the size of the support.

%package finbib
Provides: tex-finbib = %{tl_version}
License: Bibtex
Summary: A Finnish version of plain.bst
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description finbib
finbib package

%package hrlatex
Provides: tex-hrlatex = %{tl_version}
License: LPPL
Summary: LaTeX support for Croatian documents
Version: svn18020.0.23

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(txfonts.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(amssymb.sty)
Requires: tex(graphicx.sty)
Requires: tex(optional.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(framed.sty)
Requires: tex(multicol.sty)
Requires: tex(enumerate.sty)
Requires: tex(paralist.sty)
Requires: tex(xcolor.sty)
Requires: tex(cancel.sty)
Requires: tex(hyperref.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(amsopn.sty)
Provides: tex(fsbispit.cls) = %{tl_version}
Provides: tex(fsbmath.sty) = %{tl_version}
Provides: tex(hrlatex.sty) = %{tl_version}

%description hrlatex
This package simplifies creation of new documents for the
(average) Croatian user. As an example, a class file hrdipl.cls
(designed for the graduation thesis at the University of
Zagreb) and sample thesis documents are included.

%package hrlatex-doc
Summary: Documentation for hrlatex
Version: svn18020.0.23

Provides: tex-hrlatex-doc
AutoReqProv: No

%description hrlatex-doc
Documentation for hrlatex

%package hyphen-armenian
Provides: tex-hyphen-armenian = %{tl_version}
License: LPPL
Summary: Armenian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-armenian
Hyphenation patterns for Armenian for Unicode engines.

%post hyphen-armenian
if [ $1 -gt 0 ] ; then
sed -i '/armenian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "armenian loadhyph-hy.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{armenian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{armenian}{loadhyph-hy.tex}{}{1}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-armenian
if [ $1 == 0 ] ; then
sed -i '/armenian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{armenian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-croatian
Provides: tex-hyphen-croatian = %{tl_version}
License: LPPL 1.3
Summary: Croatian hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-croatian
Hyphenation patterns for Croatian in T1/EC and UTF-8 encodings.

%post hyphen-croatian
if [ $1 -gt 0 ] ; then
sed -i '/croatian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "croatian loadhyph-hr.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{croatian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{croatian}{loadhyph-hr.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-croatian
if [ $1 == 0 ] ; then
sed -i '/croatian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{croatian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-danish
Provides: tex-hyphen-danish = %{tl_version}
License: LPPL
Summary: Danish hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-danish
Hyphenation patterns for Danish in T1/EC and UTF-8 encodings.

%post hyphen-danish
if [ $1 -gt 0 ] ; then
sed -i '/danish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "danish loadhyph-da.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{danish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{danish}{loadhyph-da.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-danish
if [ $1 == 0 ] ; then
sed -i '/danish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{danish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-dutch
Provides: tex-hyphen-dutch = %{tl_version}
License: LPPL
Summary: Dutch hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-dutch
Hyphenation patterns for Dutch in T1/EC and UTF-8 encodings.
These patterns don't handle cases like 'menuutje' > 'menu-tje',
and don't hyphenate words that have different hyphenations
according to their meaning.

%post hyphen-dutch
if [ $1 -gt 0 ] ; then
sed -i '/dutch.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "dutch loadhyph-nl.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{dutch}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{dutch}{loadhyph-nl.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-dutch
if [ $1 == 0 ] ; then
sed -i '/dutch.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{dutch}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-estonian
Provides: tex-hyphen-estonian = %{tl_version}
License: LPPL
Summary: Estonian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-estonian
Hyphenation patterns for Estonian in T1/EC and UTF-8 encodings.

%post hyphen-estonian
if [ $1 -gt 0 ] ; then
sed -i '/estonian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "estonian loadhyph-et.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{estonian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{estonian}{loadhyph-et.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-estonian
if [ $1 == 0 ] ; then
sed -i '/estonian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{estonian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-finnish
Provides: tex-hyphen-finnish = %{tl_version}
License: Public Domain
Summary: Finnish hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-finnish
Hyphenation patterns for Finnish in T1/EC and UTF-8 encodings.

%post hyphen-finnish
if [ $1 -gt 0 ] ; then
sed -i '/finnish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "finnish loadhyph-fi.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{finnish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{finnish}{loadhyph-fi.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-finnish
if [ $1 == 0 ] ; then
sed -i '/finnish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{finnish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-friulan
Provides: tex-hyphen-friulan = %{tl_version}
License: LPPL
Summary: Friulan hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-friulan
Hyphenation patterns for Friulan in ASCII encoding. They are
supposed to comply with the common spelling of the Friulan
(Furlan) language as fixed by the Regional Law N.15/96 dated
November 6, 1996 and its following amendments.

%post hyphen-friulan
if [ $1 -gt 0 ] ; then
sed -i '/friulan.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "friulan loadhyph-fur.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{friulan}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{friulan}{loadhyph-fur.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-friulan
if [ $1 == 0 ] ; then
sed -i '/friulan.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{friulan}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-hungarian
Provides: tex-hyphen-hungarian = %{tl_version}
License: GPL+
Summary: Hungarian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-hungarian
Hyphenation patterns for Hungarian in T1/EC and UTF-8
encodings. From https://github.com/nagybence/huhyphn/.

%post hyphen-hungarian
if [ $1 -gt 0 ] ; then
sed -i '/hungarian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "hungarian loadhyph-hu.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{hungarian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{hungarian}{loadhyph-hu.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-hungarian
if [ $1 == 0 ] ; then
sed -i '/hungarian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{hungarian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-hungarian-doc
Summary: Documentation for hyphen-hungarian
Version: svn40340

Provides: tex-hyphen-hungarian-doc
AutoReqProv: No
Requires: tex-hyph-utf8-doc

%description hyphen-hungarian-doc
Documentation for hyphen-hungarian

%package hyphen-icelandic
Provides: tex-hyphen-icelandic = %{tl_version}
License: LPPL
Summary: Icelandic hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-icelandic
Hyphenation patterns for Icelandic in T1/EC and UTF-8
encodings.

%post hyphen-icelandic
if [ $1 -gt 0 ] ; then
sed -i '/icelandic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "icelandic loadhyph-is.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{icelandic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{icelandic}{loadhyph-is.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-icelandic
if [ $1 == 0 ] ; then
sed -i '/icelandic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{icelandic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-irish
Provides: tex-hyphen-irish = %{tl_version}
License: LPPL
Summary: Irish hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-irish
Hyphenation patterns for Irish (Gaeilge) in T1/EC and UTF-8
encodings. Visit http://borel.slu.edu/fleiscin/index.html for
more information.

%post hyphen-irish
if [ $1 -gt 0 ] ; then
sed -i '/irish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "irish loadhyph-ga.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{irish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{irish}{loadhyph-ga.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-irish
if [ $1 == 0 ] ; then
sed -i '/irish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{irish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-kurmanji
Provides: tex-hyphen-kurmanji = %{tl_version}
License: LPPL
Summary: Kurmanji hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-kurmanji
Hyphenation patterns for Kurmanji (Northern Kurdish) as spoken
in Turkey and by the Kurdish diaspora in Europe, in T1/EC and
UTF-8 encodings.

%post hyphen-kurmanji
if [ $1 -gt 0 ] ; then
sed -i '/kurmanji.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "kurmanji loadhyph-kmr.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{kurmanji}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{kurmanji}{loadhyph-kmr.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-kurmanji
if [ $1 == 0 ] ; then
sed -i '/kurmanji.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{kurmanji}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-latin
Provides: tex-hyphen-latin = %{tl_version}
License: LPPL
Summary: Latin and classical Latin hyphenation patterns
Version: svn44401
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-latin
Hyphenation patterns for Latin in T1/EC and UTF-8 encodings,
mainly in modern spelling (u when u is needed and v when v is
needed), medieval spelling with the ligatures \ae and \oe and
the (uncial) lowercase 'v' written as a 'u' is also supported.
Apparently there is no conflict between the patterns of modern
Latin and those of medieval Latin. Hyphenation patterns for the
Classical Latin in T1/EC and UTF-8 encodings. Classical Latin
hyphenation patterns are different from those of 'plain' Latin,
the latter being more adapted to modern Latin.

%post hyphen-latin
if [ $1 -gt 0 ] ; then
sed -i '/latin.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "latin loadhyph-la.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{latin}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{latin}{loadhyph-la.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/classiclatin.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "classiclatin loadhyph-la-x-classic.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{classiclatin}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{classiclatin}{loadhyph-la-x-classic.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-latin
if [ $1 == 0 ] ; then
sed -i '/latin.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{latin}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/classiclatin.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{classiclatin}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-latvian
Provides: tex-hyphen-latvian = %{tl_version}
License: LPPL
Summary: Latvian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-latvian
Hyphenation patterns for Latvian in L7X and UTF-8 encodings.

%post hyphen-latvian
if [ $1 -gt 0 ] ; then
sed -i '/latvian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "latvian loadhyph-lv.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{latvian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{latvian}{loadhyph-lv.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-latvian
if [ $1 == 0 ] ; then
sed -i '/latvian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{latvian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-lithuanian
Provides: tex-hyphen-lithuanian = %{tl_version}
License: LPPL
Summary: Lithuanian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-lithuanian
Hyphenation patterns for Lithuanian in L7X and UTF-8 encodings.
\lefthyphenmin and \righthyphenmin have to be at least 2.

%post hyphen-lithuanian
if [ $1 -gt 0 ] ; then
sed -i '/lithuanian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "lithuanian loadhyph-lt.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{lithuanian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{lithuanian}{loadhyph-lt.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-lithuanian
if [ $1 == 0 ] ; then
sed -i '/lithuanian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{lithuanian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-norwegian
Provides: tex-hyphen-norwegian = %{tl_version}
License: LPPL
Summary: Norwegian Bokmal and Nynorsk hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-norwegian
Hyphenation patterns for Norwegian Bokmal and Nynorsk in T1/EC
and UTF-8 encodings.

%post hyphen-norwegian
if [ $1 -gt 0 ] ; then
sed -i '/bokmal.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "bokmal loadhyph-nb.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=norwegian/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=norwegian" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=norsk/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=norsk" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{bokmal}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{bokmal}{loadhyph-nb.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{norwegian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{norwegian}{loadhyph-nb.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{norsk}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{norsk}{loadhyph-nb.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/nynorsk.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "nynorsk loadhyph-nn.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{nynorsk}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{nynorsk}{loadhyph-nn.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-norwegian
if [ $1 == 0 ] ; then
sed -i '/bokmal.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=norwegian/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=norsk/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{bokmal}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{norwegian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{norsk}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/nynorsk.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{nynorsk}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-piedmontese
Provides: tex-hyphen-piedmontese = %{tl_version}
License: LPPL
Summary: Piedmontese hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-piedmontese
Hyphenation patterns for Piedmontese in ASCII encoding.
Compliant with 'Gramatica dla lengua piemonteisa' by Camillo
Brero.

%post hyphen-piedmontese
if [ $1 -gt 0 ] ; then
sed -i '/piedmontese.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "piedmontese loadhyph-pms.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{piedmontese}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{piedmontese}{loadhyph-pms.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-piedmontese
if [ $1 == 0 ] ; then
sed -i '/piedmontese.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{piedmontese}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-romanian
Provides: tex-hyphen-romanian = %{tl_version}
License: LPPL
Summary: Romanian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-romanian
Hyphenation patterns for Romanian in T1/EC and UTF-8 encodings.
The UTF-8 patterns use U+0219 for the character 's with comma
accent' and U+021B for 't with comma accent', but we may
consider using U+015F and U+0163 as well in the future.

%post hyphen-romanian
if [ $1 -gt 0 ] ; then
sed -i '/romanian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "romanian loadhyph-ro.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{romanian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{romanian}{loadhyph-ro.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-romanian
if [ $1 == 0 ] ; then
sed -i '/romanian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{romanian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-romansh
Provides: tex-hyphen-romansh = %{tl_version}
License: LPPL
Summary: Romansh hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-romansh
Hyphenation patterns for Romansh in ASCII encoding. They are
supposed to comply with the rules indicated by the Lia
Rumantscha (Romansh language society).

%post hyphen-romansh
if [ $1 -gt 0 ] ; then
sed -i '/romansh.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "romansh loadhyph-rm.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{romansh}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{romansh}{loadhyph-rm.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-romansh
if [ $1 == 0 ] ; then
sed -i '/romansh.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{romansh}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-slovenian
Provides: tex-hyphen-slovenian = %{tl_version}
License: LPPL
Summary: Slovenian hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-slovenian
Hyphenation patterns for Slovenian in T1/EC and UTF-8
encodings.

%post hyphen-slovenian
if [ $1 -gt 0 ] ; then
sed -i '/slovenian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "slovenian loadhyph-sl.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=slovene/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=slovene" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{slovenian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{slovenian}{loadhyph-sl.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{slovene}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{slovene}{loadhyph-sl.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-slovenian
if [ $1 == 0 ] ; then
sed -i '/slovenian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=slovene/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{slovenian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{slovene}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-swedish
Provides: tex-hyphen-swedish = %{tl_version}
License: LPPL
Summary: Swedish hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-swedish
Hyphenation patterns for Swedish in T1/EC and UTF-8 encodings.

%post hyphen-swedish
if [ $1 -gt 0 ] ; then
sed -i '/swedish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "swedish loadhyph-sv.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{swedish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{swedish}{loadhyph-sv.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-swedish
if [ $1 == 0 ] ; then
sed -i '/swedish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{swedish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-turkish
Provides: tex-hyphen-turkish = %{tl_version}
License: Copyright only
Summary: Turkish hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-turkish
Hyphenation patterns for Turkish in T1/EC and UTF-8 encodings.
The patterns for Turkish were first produced for the Ottoman
Texts Project in 1987 and were suitable for both Modern Turkish
and Ottoman Turkish in Latin script, however the required
character set didn't fit into EC encoding, so support for
Ottoman Turkish had to be dropped to keep compatibility with 8-
bit engines.

%post hyphen-turkish
if [ $1 -gt 0 ] ; then
sed -i '/turkish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "turkish loadhyph-tr.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{turkish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{turkish}{loadhyph-tr.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-turkish
if [ $1 == 0 ] ; then
sed -i '/turkish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{turkish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-uppersorbian
Provides: tex-hyphen-uppersorbian = %{tl_version}
License: LPPL
Summary: Upper Sorbian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-uppersorbian
Hyphenation patterns for Upper Sorbian in T1/EC and UTF-8
encodings.

%post hyphen-uppersorbian
if [ $1 -gt 0 ] ; then
sed -i '/uppersorbian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "uppersorbian loadhyph-hsb.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{uppersorbian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{uppersorbian}{loadhyph-hsb.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-uppersorbian
if [ $1 == 0 ] ; then
sed -i '/uppersorbian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{uppersorbian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-welsh
Provides: tex-hyphen-welsh = %{tl_version}
License: LPPL
Summary: Welsh hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-welsh
Hyphenation patterns for Welsh in T1/EC and UTF-8 encodings.

%post hyphen-welsh
if [ $1 -gt 0 ] ; then
sed -i '/welsh.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "welsh loadhyph-cy.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{welsh}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{welsh}{loadhyph-cy.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-welsh
if [ $1 == 0 ] ; then
sed -i '/welsh.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{welsh}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package lithuanian
Provides: tex-lithuanian = %{tl_version}
License: LPPL
Summary: Lithuanian language support
Version: svn22722.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(latin7x.enc) = %{tl_version}
Provides: tex(l7x-urwvn.map) = %{tl_version}
Provides: tex(l7x-uagd.tfm) = %{tl_version}
Provides: tex(l7x-uagdo.tfm) = %{tl_version}
Provides: tex(l7x-uagk.tfm) = %{tl_version}
Provides: tex(l7x-uagko.tfm) = %{tl_version}
Provides: tex(l7x-ubkd.tfm) = %{tl_version}
Provides: tex(l7x-ubkdi.tfm) = %{tl_version}
Provides: tex(l7x-ubkl.tfm) = %{tl_version}
Provides: tex(l7x-ubkli.tfm) = %{tl_version}
Provides: tex(l7x-ucrb.tfm) = %{tl_version}
Provides: tex(l7x-ucrbo.tfm) = %{tl_version}
Provides: tex(l7x-ucrr.tfm) = %{tl_version}
Provides: tex(l7x-ucrro.tfm) = %{tl_version}
Provides: tex(l7x-uhvb.tfm) = %{tl_version}
Provides: tex(l7x-uhvbc.tfm) = %{tl_version}
Provides: tex(l7x-uhvbo.tfm) = %{tl_version}
Provides: tex(l7x-uhvboc.tfm) = %{tl_version}
Provides: tex(l7x-uhvr.tfm) = %{tl_version}
Provides: tex(l7x-uhvrc.tfm) = %{tl_version}
Provides: tex(l7x-uhvro.tfm) = %{tl_version}
Provides: tex(l7x-uhvroc.tfm) = %{tl_version}
Provides: tex(l7x-uncb.tfm) = %{tl_version}
Provides: tex(l7x-uncbi.tfm) = %{tl_version}
Provides: tex(l7x-uncr.tfm) = %{tl_version}
Provides: tex(l7x-uncri.tfm) = %{tl_version}
Provides: tex(l7x-uplb.tfm) = %{tl_version}
Provides: tex(l7x-uplbi.tfm) = %{tl_version}
Provides: tex(l7x-uplr.tfm) = %{tl_version}
Provides: tex(l7x-uplri.tfm) = %{tl_version}
Provides: tex(l7x-utmb.tfm) = %{tl_version}
Provides: tex(l7x-utmbi.tfm) = %{tl_version}
Provides: tex(l7x-utmr.tfm) = %{tl_version}
Provides: tex(l7x-utmri.tfm) = %{tl_version}
Provides: tex(l7x-uzcmi.tfm) = %{tl_version}
Provides: tex(cp772.def) = %{tl_version}
Provides: tex(cp774.def) = %{tl_version}
Provides: tex(cp775.def) = %{tl_version}
Provides: tex(cpKBL.def) = %{tl_version}
Provides: tex(cpRIM.def) = %{tl_version}
Provides: tex(l7xenc.def) = %{tl_version}
Provides: tex(l7xenc.sty) = %{tl_version}
Provides: tex(l7xuag.fd) = %{tl_version}
Provides: tex(l7xubk.fd) = %{tl_version}
Provides: tex(l7xucr.fd) = %{tl_version}
Provides: tex(l7xuhv.fd) = %{tl_version}
Provides: tex(l7xunc.fd) = %{tl_version}
Provides: tex(l7xupl.fd) = %{tl_version}
Provides: tex(l7xutm.fd) = %{tl_version}
Provides: tex(l7xuzc.fd) = %{tl_version}
Provides: tex(latin7.def) = %{tl_version}
Provides: tex(lithuanian.ldf) = %{tl_version}
Provides: tex(lithuanian.sty) = %{tl_version}

%description lithuanian
This language support package provides: Lithuanian language
hyphenation patterns; Lithuanian support for Babel; Lithuanian
mapping and metrics for using the URW base-35 Type 1 fonts;
examples for making Lithuanian fonts with fontinst; and extra
tools for intputenc and fontinst.

%package lithuanian-doc
Summary: Documentation for lithuanian
Version: svn22722.0

Provides: tex-lithuanian-doc
AutoReqProv: No

%description lithuanian-doc
Documentation for lithuanian

%package lshort-dutch-doc
Summary: Documentation for lshort-dutch
Version: svn15878.1.3

Provides: tex-lshort-dutch-doc
AutoReqProv: No

%description lshort-dutch-doc
Documentation for lshort-dutch

%package lshort-finnish-doc
Summary: Documentation for lshort-finnish
Version: svn15878.0

Provides: tex-lshort-finnish-doc
AutoReqProv: No

%description lshort-finnish-doc
Documentation for lshort-finnish

%package lshort-slovenian-doc
Summary: Documentation for lshort-slovenian
Version: svn15878.4.20

Provides: tex-lshort-slovenian-doc
AutoReqProv: No

%description lshort-slovenian-doc
Documentation for lshort-slovenian

%package lshort-turkish-doc
Summary: Documentation for lshort-turkish
Version: svn15878.4.20

Provides: tex-lshort-turkish-doc
AutoReqProv: No

%description lshort-turkish-doc
Documentation for lshort-turkish

%package nevelok
Provides: tex-nevelok = %{tl_version}
License: LPPL 1.3
Summary: LaTeX package for automatic definite articles for Hungarian
Version: svn39029

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xstring.sty)
Provides: tex(nevelok.sty) = %{tl_version}

%description nevelok
LaTeX package for automatic definite articles for Hungarian

%package nevelok-doc
Summary: Documentation for nevelok
Version: svn39029

Provides: tex-nevelok-doc
AutoReqProv: No

%description nevelok-doc
Documentation for nevelok

%package swebib
Provides: tex-swebib = %{tl_version}
License: LPPL 1.2
Summary: Swedish bibliography styles
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description swebib
The bundle contains Swedish versions of the standard
bibliography styles, and of the style plainnat. The styles
should be funtionally equivalent to the corresponding original
styles, apart from the Swedish translations. The styles do not
implement Swedish collation.

%package swebib-doc
Summary: Documentation for swebib
Version: svn15878.0

Provides: tex-swebib-doc
AutoReqProv: No

%description swebib-doc
Documentation for swebib

%package turkmen
Provides: tex-turkmen = %{tl_version}
License: LPPL
Summary: Babel support for Turkmen
Version: svn17748.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(turkmen.ldf) = %{tl_version}

%description turkmen
The package provides support for Turkmen in babel, but
integration with babel is not available.

%package turkmen-doc
Summary: Documentation for turkmen
Version: svn17748.0.2

Provides: tex-turkmen-doc
AutoReqProv: No

%description turkmen-doc
Documentation for turkmen

%package collection-langfrench
Summary: French
Version: svn40375
Requires: texlive-base
Requires: texlive-collection-basic
Requires: tex-aeguill
Requires: texlive-apprends-latex-doc
Requires: tex-babel-basque
Requires: tex-babel-french
Requires: tex-basque-book
Requires: tex-basque-date
Requires: tex-bib-fr
Requires: tex-bibleref-french
Requires: texlive-booktabs-fr-doc
Requires: tex-droit-fr
Requires: tex-e-french
Requires: texlive-epslatex-fr-doc
Requires: tex-facture
Requires: tex-frletter
Requires: tex-hyphen-basque
Requires: tex-hyphen-french
Requires: texlive-impatient-fr-doc
Requires: tex-impnattypo
Requires: texlive-l2tabu-french-doc
Requires: tex-latex2e-help-texinfo-fr-doc
Requires: texlive-lshort-french-doc
Requires: tex-mafr
Requires: tex-tabvar
Requires: tex-tdsfrmath
Requires: texlive-texlive-fr-doc
Requires: texlive-translation-array-fr-doc
Requires: texlive-translation-dcolumn-fr-doc
Requires: texlive-translation-natbib-fr-doc
Requires: texlive-translation-tabbing-fr-doc
Requires: tex-variations
Requires: tex-visualtikz-doc

%description collection-langfrench
Support for French and Basque.

%package droit-fr
Provides: tex-droit-fr = %{tl_version}
License: LPPL 1.3
Summary: Document class and bibliographic style for French law
Version: svn39802

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbose-ibid.bbx)
Requires: tex(verbose-ibid.cbx)
Requires: tex(kvoptions.sty)
Requires: tex(inputenc.sty)
Requires: tex(ifdraft.sty)
Requires: tex(xifthen.sty)
Requires: tex(xstring.sty)
Requires: tex(footmisc.sty)
Requires: tex(engrec.sty)
Requires: tex(filecontents.sty)
Provides: tex(droit-fr.bbx) = %{tl_version}
Provides: tex(droit-fr.cbx) = %{tl_version}
Provides: tex(droit-fr.cls) = %{tl_version}

%description droit-fr
The bundle provides a toolkit intended for students writing a
thesis in French law. It features: a LaTeX document class; a
bibliographic style for Biblatex package; a practical example
of french thesis document; and documentation. The class assumes
use of biber and biblatex.

%package droit-fr-doc
Summary: Documentation for droit-fr
Version: svn39802

Provides: tex-droit-fr-doc
AutoReqProv: No

%description droit-fr-doc
Documentation for droit-fr

%package e-french
Provides: tex-e-french = %{tl_version}
License: LPPL 1.3
Summary: Comprehensive LaTeX support for French-language typesetting
Version: svn45091
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(msg.sty)
Requires: tex(latexsym.sty)
Requires: tex(german.sty)
Requires: tex(ngerman.sty)
Provides: tex(efrench.ldf) = %{tl_version}
Provides: tex(efrench.sty) = %{tl_version}
Provides: tex(enbib.ldf) = %{tl_version}
Provides: tex(epreuve.sty) = %{tl_version}
Provides: tex(fenglish.sty) = %{tl_version}
Provides: tex(frabbrev.tex) = %{tl_version}
Provides: tex(frbabel.sty) = %{tl_version}
Provides: tex(frbib.ldf) = %{tl_version}
Provides: tex(french-msg.tex) = %{tl_version}
Provides: tex(french.cfg) = %{tl_version}
Provides: tex(french.ldf) = %{tl_version}
Provides: tex(french.sty) = %{tl_version}
Provides: tex(french_french-msg.tex) = %{tl_version}
Provides: tex(frenchle.cfg) = %{tl_version}
Provides: tex(frenchle.ldf) = %{tl_version}
Provides: tex(frenchle.sty) = %{tl_version}
Provides: tex(frenchpro.ldf) = %{tl_version}
Provides: tex(frenchpro.sty) = %{tl_version}
Provides: tex(frhyphex.tex) = %{tl_version}
Provides: tex(fxabbrev.tex) = %{tl_version}
Provides: tex(german_french-msg.tex) = %{tl_version}
Provides: tex(mlp-01.sty) = %{tl_version}
Provides: tex(mlp-31.sty) = %{tl_version}
Provides: tex(mlp-33.sty) = %{tl_version}
Provides: tex(mlp-49.sty) = %{tl_version}
Provides: tex(mlp-49n.sty) = %{tl_version}
Provides: tex(mlp-opts.sty) = %{tl_version}
Provides: tex(mlp.sty) = %{tl_version}
Provides: tex(pmfrench.sty) = %{tl_version}

%description e-french
E-french is a distribution that keeps alive the work of Bernard
Gaulle (now deceased), under a free licence. It replaces the
the old "full" frenchpro (the "professional" distribution) and
the light-weight frenchle packages.

%package e-french-doc
Summary: Documentation for e-french
Version: svn45091
Provides: tex-e-french-doc
AutoReqProv: No

%description e-french-doc
Documentation for e-french

%package epslatex-fr-doc
Summary: Documentation for epslatex-fr
Version: svn19440.0

Provides: tex-epslatex-fr-doc
AutoReqProv: No

%description epslatex-fr-doc
Documentation for epslatex-fr

%package facture
Provides: tex-facture = %{tl_version}
License: CC-BY-SA
Summary: Generate an invoice
Version: svn43865
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(xunicode.sty)
Requires: tex(polyglossia.sty)
Requires: tex(numprint.sty)
Requires: tex(fltpoint.sty)
Requires: tex(tikz.sty)
Requires: tex(graphicx.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(colortbl.sty)
Requires: tex(advdate.sty)
Requires: tex(xargs.sty)
Provides: tex(facture.cls) = %{tl_version}

%description facture
Une classe simple permettant de produire une facture, avec ou
sans TVA, avec gestion d'une adresse differente pour la
livraison et pour la facturation. A simple class that allows
production of an invoice, with or without VAT; different
addresses for delivery and for billing are permitted.

%package facture-doc
Summary: Documentation for facture
Version: svn43865
Provides: tex-facture-doc
AutoReqProv: No

%description facture-doc
Documentation for facture

%package frletter
Provides: tex-frletter = %{tl_version}
License: Public Domain
Summary: Typeset letters in the French style
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(frletter.cls) = %{tl_version}

%description frletter
A small class for typesetting letters in France. No assumption
is made about the language in use. The class represents a small
modification of the beletter class, which is itself a
modification of the standard LaTeX letter class.

%package frletter-doc
Summary: Documentation for frletter
Version: svn15878.0

Provides: tex-frletter-doc
AutoReqProv: No

%description frletter-doc
Documentation for frletter

%package hyphen-basque
Provides: tex-hyphen-basque = %{tl_version}
License: Bahyph
Summary: Basque hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-basque
Hyphenation patterns for Basque in T1/EC and UTF-8 encodings.

%post hyphen-basque
if [ $1 -gt 0 ] ; then
sed -i '/basque.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "basque loadhyph-eu.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{basque}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{basque}{loadhyph-eu.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-basque
if [ $1 == 0 ] ; then
sed -i '/basque.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{basque}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-french
Provides: tex-hyphen-french = %{tl_version}
License: LPPL
Summary: French hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-french
Hyphenation patterns for French in T1/EC and UTF-8 encodings.

%post hyphen-french
if [ $1 -gt 0 ] ; then
sed -i '/french.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "french loadhyph-fr.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=patois/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=patois" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=francais/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=francais" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{french}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{french}{loadhyph-fr.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{patois}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{patois}{loadhyph-fr.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{francais}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{francais}{loadhyph-fr.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-french
if [ $1 == 0 ] ; then
sed -i '/french.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=patois/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=francais/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{french}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{patois}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{francais}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package impatient-fr-doc
Summary: Documentation for impatient-fr
Version: svn15878.0

Provides: tex-impatient-fr-doc
AutoReqProv: No

%description impatient-fr-doc
Documentation for impatient-fr

%package impnattypo
Provides: tex-impnattypo = %{tl_version}
License: LPPL 1.3
Summary: Support typography of l'Imprimerie Nationale Francaise
Version: svn36448.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xcolor.sty)
Requires: tex(luatexbase.sty)
Requires: tex(luacode.sty)
Provides: tex(impnattypo.sty) = %{tl_version}

%description impnattypo
The package provides useful macros implementing recommendations
by the French Imprimerie Nationale.

%package impnattypo-doc
Summary: Documentation for impnattypo
Version: svn36448.1.4

Provides: tex-impnattypo-doc
AutoReqProv: No

%description impnattypo-doc
Documentation for impnattypo

%package l2tabu-french-doc
Summary: Documentation for l2tabu-french
Version: svn31315.2.3

Provides: tex-l2tabu-french-doc
AutoReqProv: No

%description l2tabu-french-doc
Documentation for l2tabu-french

%package lshort-french-doc
Summary: Documentation for lshort-french
Version: svn23332.5.01fr_0

Provides: tex-lshort-french-doc
AutoReqProv: No

%description lshort-french-doc
Documentation for lshort-french

%package mafr
Provides: tex-mafr = %{tl_version}
License: GPL+
Summary: Mathematics in accord with French usage
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(a4wide.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Provides: tex(cours.cls) = %{tl_version}
Provides: tex(fiche.cls) = %{tl_version}
Provides: tex(mafr.sty) = %{tl_version}

%description mafr
The package provides settings and macros for typesetting
mathematics with LaTeX in compliance with French usage. It
comes with two document classes, 'fiche' and 'cours', useful to
create short high school documents such as tests or lessons.
The documentation is in French.

%package mafr-doc
Summary: Documentation for mafr
Version: svn15878.1.0

Provides: tex-mafr-doc
AutoReqProv: No

%description mafr-doc
Documentation for mafr

%package tabvar
Provides: tex-tabvar = %{tl_version}
License: LPPL 1.3
Summary: Typesetting tables showing variations of functions
Version: svn28908.1.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(array.sty)
Requires: tex(colortbl.sty)
Requires: tex(varwidth.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifpdf.sty)
Provides: tex(tabvar.map) = %{tl_version}
Provides: tex(tabvar.tfm) = %{tl_version}
Provides: tex(tabvar.pfb) = %{tl_version}
Provides: tex(tabvar.cfg) = %{tl_version}
Provides: tex(tabvar.sty) = %{tl_version}

%description tabvar
This LaTeX package is meant to ease the typesetting of tables
showing variations of functions as they are used in France.

%package tabvar-doc
Summary: Documentation for tabvar
Version: svn28908.1.7

Provides: tex-tabvar-doc
AutoReqProv: No

%description tabvar-doc
Documentation for tabvar

%package tdsfrmath
Provides: tex-tdsfrmath = %{tl_version}
License: LPPL
Summary: Macros for French teachers of mathematics
Version: svn15878.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xstring.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(xspace.sty)
Requires: tex(xargs.sty)
Requires: tex(suffix.sty)
Requires: tex(stmaryrd.sty)
Provides: tex(tdsfrmath.sty) = %{tl_version}

%description tdsfrmath
A collection of macros for French maths teachers in colleges
and lycees (and perhaps elsewhere). It is hoped that the
package will facilitate the everyday use of LaTeX by
mathematics teachers.

%package tdsfrmath-doc
Summary: Documentation for tdsfrmath
Version: svn15878.1.3

Provides: tex-tdsfrmath-doc
AutoReqProv: No

%description tdsfrmath-doc
Documentation for tdsfrmath

%package texlive-fr-doc
Summary: Documentation for texlive-fr
Version: svn44342
Provides: tex-texlive-fr-doc
AutoReqProv: No

%description texlive-fr-doc
Documentation for texlive-fr

%package translation-array-fr-doc
Summary: Documentation for translation-array-fr
Version: svn24344.0

Provides: tex-translation-array-fr-doc
AutoReqProv: No

%description translation-array-fr-doc
Documentation for translation-array-fr

%package translation-dcolumn-fr-doc
Summary: Documentation for translation-dcolumn-fr
Version: svn24345.0

Provides: tex-translation-dcolumn-fr-doc
AutoReqProv: No

%description translation-dcolumn-fr-doc
Documentation for translation-dcolumn-fr

%package translation-natbib-fr-doc
Summary: Documentation for translation-natbib-fr
Version: svn25105.0

Provides: tex-translation-natbib-fr-doc
AutoReqProv: No

%description translation-natbib-fr-doc
Documentation for translation-natbib-fr

%package translation-tabbing-fr-doc
Summary: Documentation for translation-tabbing-fr
Version: svn24228.0

Provides: tex-translation-tabbing-fr-doc
AutoReqProv: No

%description translation-tabbing-fr-doc
Documentation for translation-tabbing-fr

%package variations
Provides: tex-variations = %{tl_version}
License: GPL+
Summary: Typeset tables of variations of functions
Version: svn15878.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(variations.sty) = %{tl_version}
Provides: tex(variations.tex) = %{tl_version}

%description variations
The package provides macros for typesetting tables showing
variations of functions according to French usage. These macros
may be used by both LaTeX and plain TeX users.

%package variations-doc
Summary: Documentation for variations
Version: svn15878.0.3

Provides: tex-variations-doc
AutoReqProv: No

%description variations-doc
Documentation for variations

%package collection-langgerman
Summary: German
Version: svn44952
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-apalike-german
Requires: texlive-babel-german
Requires: texlive-bibleref-german
Requires: texlive-booktabs-de-doc
Requires: texlive-csquotes-de-doc
Requires: texlive-dehyph-exptl
Requires: texlive-dhua
Requires: texlive-einfuehrung-doc
Requires: texlive-einfuehrung2-doc
Requires: texlive-etdipa-doc
Requires: texlive-etoolbox-de-doc
Requires: texlive-fifinddo-info-doc
Requires: texlive-geometry-de-doc
Requires: texlive-german
Requires: texlive-germbib
Requires: texlive-germkorr
Requires: texlive-hausarbeit-jura
Requires: texlive-hyphen-german
Requires: texlive-koma-script-examples-doc
Requires: texlive-l2picfaq-doc
Requires: texlive-l2tabu-doc
Requires: texlive-latex-bib-ex-doc
Requires: texlive-latex-bib2-ex-doc
Requires: texlive-latex-referenz-doc
Requires: texlive-latex-tabellen-doc
Requires: texlive-latexcheat-de-doc
Requires: texlive-lshort-german-doc
Requires: texlive-lualatex-doc-de-doc
Requires: texlive-microtype-de-doc
Requires: texlive-milog
Requires: texlive-presentations-doc
Requires: texlive-r_und_s
Requires: texlive-templates-fenn-doc
Requires: texlive-templates-sommer-doc
Requires: texlive-termcal-de
Requires: texlive-texlive-de-doc
Requires: texlive-tipa-de-doc
Requires: texlive-translation-arsclassica-de-doc
Requires: texlive-translation-biblatex-de-doc
Requires: texlive-translation-chemsym-de-doc
Requires: texlive-translation-ecv-de-doc
Requires: texlive-translation-enumitem-de-doc
Requires: texlive-translation-europecv-de-doc
Requires: texlive-translation-filecontents-de-doc
Requires: texlive-translation-moreverb-de-doc
Requires: texlive-udesoftec
Requires: texlive-uhrzeit
Requires: texlive-umlaute
Requires: texlive-voss-mathcol-doc

%description collection-langgerman
Support for German.

%package csquotes-de-doc
Summary: Documentation for csquotes-de
Version: svn23371.1.01

Provides: tex-csquotes-de-doc
AutoReqProv: No

%description csquotes-de-doc
Documentation for csquotes-de

%package dehyph-exptl
Provides: tex-dehyph-exptl = %{tl_version}
License: LPPL
Summary: Experimental hyphenation patterns for the German language
Version: svn43666
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8
Provides: tex(dehyphn-x-2014-05-21.tex) = %{tl_version}
Provides: tex(dehypht-x-2014-05-21.tex) = %{tl_version}
Provides: tex(dehyphts-x-2014-05-21.tex) = %{tl_version}

%description dehyph-exptl
The package provides experimental hyphenation patterns for the
German language, covering both traditional and reformed
orthography. The patterns can be used with packages Babel and
hyphsubst from the Oberdiek bundle. Dieses Paket enthalt
experimentelle Trennmuster fur die deutsche Sprache. Die
Trennmuster decken das in Deutschland, Osterreich und der
Schweiz gebrauchliche Standarddeutsch in der traditionellen und
reformierten Rechtschreibung ab und konnen mit den Paketen
Babel und hyphsubst aus dem Oberdiek-Bundel verwendet werden.

%post dehyph-exptl
if [ $1 -gt 0 ] ; then
sed -i '/german-x-2014-05-21.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "german-x-2014-05-21 dehypht-x-2014-05-21.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=german-x-latest/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=german-x-latest" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{german-x-2014-05-21}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{german-x-2014-05-21}{dehypht-x-2014-05-21.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{german-x-latest}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{german-x-latest}{dehypht-x-2014-05-21.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/ngerman-x-2014-05-21.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "ngerman-x-2014-05-21 dehyphn-x-2014-05-21.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=ngerman-x-latest/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=ngerman-x-latest" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{ngerman-x-2014-05-21}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ngerman-x-2014-05-21}{dehyphn-x-2014-05-21.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{ngerman-x-latest}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ngerman-x-latest}{dehyphn-x-2014-05-21.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun dehyph-exptl
if [ $1 == 0 ] ; then
sed -i '/german-x-2014-05-21.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=german-x-latest/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{german-x-2014-05-21}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{german-x-latest}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/ngerman-x-2014-05-21.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=ngerman-x-latest/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{ngerman-x-2014-05-21}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{ngerman-x-latest}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package dehyph-exptl-doc
Summary: Documentation for dehyph-exptl
Version: svn43666
Provides: tex-dehyph-exptl-doc
AutoReqProv: No
Requires: tex-hyph-utf8-doc

%description dehyph-exptl-doc
Documentation for dehyph-exptl

%package dhua
Provides: tex-dhua = %{tl_version}
License: LPPL 1.3
Summary: German abbreviations using thin space
Version: svn24035.0.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(dhua.cfg) = %{tl_version}
Provides: tex(dhua.sty) = %{tl_version}

%description dhua
The package provides commands for those abbreviations of German
phrases for which the use of thin space is recommended. Setup
commands \newdhua and \newtwopartdhua are provided, as well as
commands for single cases (such as \zB for 'z. B.', saving the
user from typing such as 'z.\,B.'). To typeset the
documentation, the niceverb package, version 0.44, or later, is
required. Das Paket `dhua' stellt Befehle fur sog.
mehrgliedrige Abkurzungen bereit, fur die schmale Leerzeichen
(Festabstande) empfohlen werden (Duden, Wikipedia). In die
englische Paketdokumentation sind deutsche Erlauterungen
eingestreut.

%package dhua-doc
Summary: Documentation for dhua
Version: svn24035.0.11

Provides: tex-dhua-doc
AutoReqProv: No

%description dhua-doc
Documentation for dhua

%package einfuehrung-doc
Summary: Documentation for einfuehrung
Version: svn29349.0

Provides: tex-einfuehrung-doc
AutoReqProv: No

%description einfuehrung-doc
Documentation for einfuehrung

%package etdipa-doc
Summary: Documentation for etdipa
Version: svn36354.2.6

Provides: tex-etdipa-doc
AutoReqProv: No

%description etdipa-doc
Documentation for etdipa

%package etoolbox-de-doc
Summary: Documentation for etoolbox-de
Version: svn21906.1

Provides: tex-etoolbox-de-doc
AutoReqProv: No

%description etoolbox-de-doc
Documentation for etoolbox-de

%package fifinddo-info-doc
Summary: Documentation for fifinddo-info
Version: svn29349.1.1b

Provides: tex-fifinddo-info-doc
AutoReqProv: No

%description fifinddo-info-doc
Documentation for fifinddo-info

%package geometry-de-doc
Summary: Documentation for geometry-de
Version: svn21882.1.1

Provides: tex-geometry-de-doc
AutoReqProv: No

%description geometry-de-doc
Documentation for geometry-de

%package german
Provides: tex-german = %{tl_version}
License: LPPL
Summary: Support for German typography
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(german.sty) = %{tl_version}
Provides: tex(ngerman.sty) = %{tl_version}

%description german
Supports the new German orthography (neue deutsche
Rechtschreibung).

%package german-doc
Summary: Documentation for german
Version: svn42428
Provides: tex-german-doc
AutoReqProv: No

%description german-doc
Documentation for german

%package germbib
Provides: tex-germbib = %{tl_version}
License: Bibtex
Summary: German variants of standard BibTeX styles
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(german.sty)
Provides: tex(bibgerm.sty) = %{tl_version}
Provides: tex(mynormal.sty) = %{tl_version}

%description germbib
A development of the (old) german.sty, this bundle provides
German packages, BibTeX styles and documentary examples, for
writing documents with bibliographies. The author has since
developed the babelbib bundle, which (he asserts) supersedes
germbib.

%package germbib-doc
Summary: Documentation for germbib
Version: svn15878.0

Provides: tex-germbib-doc
AutoReqProv: No

%description germbib-doc
Documentation for germbib

%package germkorr
Provides: tex-germkorr = %{tl_version}
License: GPL+
Summary: Change kerning for german quotation marks
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(germkorr.sty) = %{tl_version}

%description germkorr
The package germcorr has to be loaded after the package german.
It brings some letters like T nearer to german single and
double quotes even when that letter wears a standard accent
like "`\.T"'.

%package germkorr-doc
Summary: Documentation for germkorr
Version: svn15878.1.0

Provides: tex-germkorr-doc
AutoReqProv: No

%description germkorr-doc
Documentation for germkorr

%package hausarbeit-jura
Provides: tex-hausarbeit-jura = %{tl_version}
License: LPPL 1.3
Summary: Class for writing "juristiche Hausarbeiten" at German Universities
Version: svn42054
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(textcomp.sty)
Requires: tex(eurosym.sty)
Requires: tex(indentfirst.sty)
Requires: tex(geometry.sty)
Requires: tex(csquotes.sty)
Requires: tex(jurabib.sty)
Provides: tex(hausarbeit-jura.cls) = %{tl_version}

%description hausarbeit-jura
The class was developed for use by students writing legal
essays ("juristische Hausarbeit") at German Universities. It is
based on jurabook and jurabib and makes it easy for LaTeX
beginners to get a correct and nicely formatted paper.

%package hausarbeit-jura-doc
Summary: Documentation for hausarbeit-jura
Version: svn42054
Provides: tex-hausarbeit-jura-doc
AutoReqProv: No

%description hausarbeit-jura-doc
Documentation for hausarbeit-jura

%package hyphen-german
Provides: tex-hyphen-german = %{tl_version}
License: LPPL
Summary: German hyphenation patterns
Version: svn44401
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils
Requires: tex-hyphen-base
Requires: tex-hyph-utf8
Provides: tex(dehyphn.tex) = %{tl_version}
Provides: tex(dehypht.tex) = %{tl_version}
Provides: tex(dehyphtex.tex) = %{tl_version}

%description hyphen-german
Hyphenation patterns for German in T1/EC and UTF-8 encodings,
for traditional and reformed spelling, including Swiss German.
The package includes the latest patterns from dehyph-exptl
(known to TeX under names 'german', 'ngerman' and
'swissgerman'), however 8-bit engines still load old versions
of patterns for 'german' and 'ngerman' for backward-
compatibility reasons. Swiss German patterns are suitable for
Swiss Standard German (Hochdeutsch) not the Alemannic dialects
spoken in Switzerland (Schwyzerduetsch). There are no known
patterns for written Schwyzerduetsch.

%post hyphen-german
if [ $1 -gt 0 ] ; then
sed -i '/german.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "german loadhyph-de-1901.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{german}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{german}{loadhyph-de-1901.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/ngerman.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "ngerman loadhyph-de-1996.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{ngerman}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ngerman}{loadhyph-de-1996.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/swissgerman.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "swissgerman loadhyph-de-ch-1901.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{swissgerman}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{swissgerman}{loadhyph-de-ch-1901.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-german
if [ $1 == 0 ] ; then
sed -i '/german.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{german}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/ngerman.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{ngerman}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/swissgerman.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{swissgerman}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package koma-script-examples-doc
Summary: Documentation for koma-script-examples
Version: svn34243.0

Provides: tex-koma-script-examples-doc
AutoReqProv: No

%description koma-script-examples-doc
Documentation for koma-script-examples

%package l2picfaq-doc
Summary: Documentation for l2picfaq
Version: svn19601.1.50

Provides: tex-l2picfaq-doc
AutoReqProv: No

%description l2picfaq-doc
Documentation for l2picfaq

%package l2tabu-doc
Summary: Documentation for l2tabu
Version: svn39597

Provides: tex-l2tabu-doc
AutoReqProv: No

%description l2tabu-doc
Documentation for l2tabu

%package latex-bib-ex-doc
Summary: Documentation for latex-bib-ex
Version: svn25831.0

Provides: tex-latex-bib-ex-doc
AutoReqProv: No

%description latex-bib-ex-doc
Documentation for latex-bib-ex

%package latex-referenz-doc
Summary: Documentation for latex-referenz
Version: svn36671.2

Provides: tex-latex-referenz-doc
AutoReqProv: No

%description latex-referenz-doc
Documentation for latex-referenz

%package latex-tabellen-doc
Summary: Documentation for latex-tabellen
Version: svn16979.0

Provides: tex-latex-tabellen-doc
AutoReqProv: No

%description latex-tabellen-doc
Documentation for latex-tabellen

%package latexcheat-de-doc
Summary: Documentation for latexcheat-de
Version: svn35702.0

Provides: tex-latexcheat-de-doc
AutoReqProv: No

%description latexcheat-de-doc
Documentation for latexcheat-de

%package lshort-german-doc
Summary: Documentation for lshort-german
Version: svn42434
Provides: tex-lshort-german-doc
AutoReqProv: No

%description lshort-german-doc
Documentation for lshort-german

%package lualatex-doc-de-doc
Summary: Documentation for lualatex-doc-de
Version: svn30474.1.0

Provides: tex-lualatex-doc-de-doc
AutoReqProv: No

%description lualatex-doc-de-doc
Documentation for lualatex-doc-de

%package microtype-de-doc
Summary: Documentation for microtype-de
Version: svn24549.2.4

Provides: tex-microtype-de-doc
AutoReqProv: No

%description microtype-de-doc
Documentation for microtype-de

%package presentations-doc
Summary: Documentation for presentations
Version: svn43949
Provides: tex-presentations-doc
AutoReqProv: No

%description presentations-doc
Documentation for presentations

%package r_und_s
Provides: tex-r_und_s = %{tl_version}
License: BSD
Summary: Chemical hazard codes
Version: svn15878.1.3i

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eng_rs.sty) = %{tl_version}
Provides: tex(eng_rs.tex) = %{tl_version}
Provides: tex(fr_rs.sty) = %{tl_version}
Provides: tex(fr_rs.tex) = %{tl_version}
Provides: tex(nl_rs.sty) = %{tl_version}
Provides: tex(nl_rs.tex) = %{tl_version}
Provides: tex(r_und_s.sty) = %{tl_version}
Provides: tex(r_und_s.tex) = %{tl_version}

%description r_und_s
The r_und_s package decodes the german 'R- und S-Satze', which
are numerically coded security advice for chemical substances
into plain text. This is, e.g., used to compose security sheets
or lab protocols and especially useful for students of
chemistry. There are four packages, giving texts in German,
English, French and Dutch.

%package r_und_s-doc
Summary: Documentation for r_und_s
Version: svn15878.1.3i

Provides: tex-r_und_s-doc
AutoReqProv: No

%description r_und_s-doc
Documentation for r_und_s

%package templates-fenn-doc
Summary: Documentation for templates-fenn
Version: svn15878.0

Provides: tex-templates-fenn-doc
AutoReqProv: No

%description templates-fenn-doc
Documentation for templates-fenn

%package templates-sommer-doc
Summary: Documentation for templates-sommer
Version: svn15878.0

Provides: tex-templates-sommer-doc
AutoReqProv: No

%description templates-sommer-doc
Documentation for templates-sommer

%package texlive-de-doc
Summary: Documentation for texlive-de
Version: svn44366
Provides: tex-texlive-de-doc
AutoReqProv: No

%description texlive-de-doc
Documentation for texlive-de

%package tipa-de-doc
Summary: Documentation for tipa-de
Version: svn22005.1.3

Provides: tex-tipa-de-doc
AutoReqProv: No

%description tipa-de-doc
Documentation for tipa-de

%package translation-arsclassica-de-doc
Summary: Documentation for translation-arsclassica-de
Version: svn23803.0

Provides: tex-translation-arsclassica-de-doc
AutoReqProv: No

%description translation-arsclassica-de-doc
Documentation for translation-arsclassica-de

%package translation-biblatex-de-doc
Summary: Documentation for translation-biblatex-de
Version: svn42198
Provides: tex-translation-biblatex-de-doc
AutoReqProv: No

%description translation-biblatex-de-doc
Documentation for translation-biblatex-de

%package translation-chemsym-de-doc
Summary: Documentation for translation-chemsym-de
Version: svn23804.0

Provides: tex-translation-chemsym-de-doc
AutoReqProv: No

%description translation-chemsym-de-doc
Documentation for translation-chemsym-de

%package translation-ecv-de-doc
Summary: Documentation for translation-ecv-de
Version: svn24754.0

Provides: tex-translation-ecv-de-doc
AutoReqProv: No

%description translation-ecv-de-doc
Documentation for translation-ecv-de

%package translation-enumitem-de-doc
Summary: Documentation for translation-enumitem-de
Version: svn24196.0

Provides: tex-translation-enumitem-de-doc
AutoReqProv: No

%description translation-enumitem-de-doc
Documentation for translation-enumitem-de

%package translation-europecv-de-doc
Summary: Documentation for translation-europecv-de
Version: svn23840.0

Provides: tex-translation-europecv-de-doc
AutoReqProv: No

%description translation-europecv-de-doc
Documentation for translation-europecv-de

%package translation-filecontents-de-doc
Summary: Documentation for translation-filecontents-de
Version: svn24010.0

Provides: tex-translation-filecontents-de-doc
AutoReqProv: No

%description translation-filecontents-de-doc
Documentation for translation-filecontents-de

%package translation-moreverb-de-doc
Summary: Documentation for translation-moreverb-de
Version: svn23957.0

Provides: tex-translation-moreverb-de-doc
AutoReqProv: No

%description translation-moreverb-de-doc
Documentation for translation-moreverb-de

%package udesoftec
Provides: tex-udesoftec = %{tl_version}
License: LPPL 1.3
Summary: Thesis class for the University of Duisburg-Essen
Version: svn44308
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xstring.sty)
Requires: tex(babel.sty)
Requires: tex(csquotes.sty)
Requires: tex(regexpatch.sty)
Requires: tex(hyperref.sty)
Requires: tex(hyphenat.sty)
Requires: tex(scrbase.sty)
Requires: tex(nag.sty)
Provides: tex(udesoftec-bibcommon.sty) = %{tl_version}
Provides: tex(udesoftec-biblatex.sty) = %{tl_version}
Provides: tex(udesoftec-bst.sty) = %{tl_version}
Provides: tex(udesoftec-extra.sty) = %{tl_version}
Provides: tex(udesoftec.cls) = %{tl_version}

%description udesoftec
The class is designed for typesetting theses in the Research
Group for Business Informatics and Software Engineering. (The
class may also serve as a template for such theses.) The class
is designed for use with pdfLaTeX; input in UTF-8 encoding is
assumed.

%package udesoftec-doc
Summary: Documentation for udesoftec
Version: svn44308
Provides: tex-udesoftec-doc
AutoReqProv: No

%description udesoftec-doc
Documentation for udesoftec

%package umlaute
Provides: tex-umlaute = %{tl_version}
License: LPPL
Summary: German input encodings in LaTeX
Version: svn15878.v2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(inputenc.sty)
Provides: tex(atari.def) = %{tl_version}
Provides: tex(isolatin.def) = %{tl_version}
Provides: tex(mac.def) = %{tl_version}
Provides: tex(pc850.def) = %{tl_version}
Provides: tex(roman8.def) = %{tl_version}
Provides: tex(umlaute.sty) = %{tl_version}

%description umlaute
An early package for using alternate input encodings. The
author considers the package mostly obsolete, since most of its
functions are taken by the inputenc package; however, inputenc
doesn't support the roman8 and atari encodings, so umlaute
remains the sole source of that support.

%package umlaute-doc
Summary: Documentation for umlaute
Version: svn15878.v2.1

Provides: tex-umlaute-doc
AutoReqProv: No

%description umlaute-doc
Documentation for umlaute

%package voss-mathcol-doc
Summary: Documentation for voss-mathcol
Version: svn32954.0.1

Provides: tex-voss-mathcol-doc
AutoReqProv: No

%description voss-mathcol-doc
Documentation for voss-mathcol

%package collection-langgreek
Summary: Greek
Version: svn44192
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-babel-greek
Requires: texlive-begingreek
Requires: texlive-betababel
Requires: texlive-bgreek
Requires: texlive-cbfonts
Requires: texlive-cbfonts-fd
Requires: texlive-gfsbaskerville
Requires: texlive-gfsporson
Requires: texlive-greek-fontenc
Requires: texlive-greek-inputenc
Requires: texlive-greekdates
Requires: texlive-greektex
Requires: texlive-greektonoi
Requires: texlive-hyphen-greek
Requires: texlive-hyphen-ancientgreek
Requires: texlive-ibycus-babel
Requires: texlive-ibygrk
Requires: texlive-kerkis
Requires: texlive-levy
Requires: texlive-lgreek
Requires: texlive-mkgrkindex
Requires: texlive-teubner
Requires: texlive-xgreek
Requires: texlive-yannisgr

%description collection-langgreek
Support for Greek.

%package gfsbaskerville
Provides: tex-gfsbaskerville = %{tl_version}
License: LPPL
Summary: A Greek font, from one such by Baskerville
Version: svn19440.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(gpgfsbaskerville.enc) = %{tl_version}
Provides: tex(gfsbaskerville.map) = %{tl_version}
Provides: tex(GFSBaskerville.otf) = %{tl_version}
Provides: tex(ggfsbaskervillerg6a.tfm) = %{tl_version}
Provides: tex(ggfsbaskervillerg6r.tfm) = %{tl_version}
Provides: tex(GFSBaskerville-Regular.pfb) = %{tl_version}
Provides: tex(ggfsbaskervillerg6a.vf) = %{tl_version}
Provides: tex(gfsbaskerville.sty) = %{tl_version}
Provides: tex(lgrgfsbaskerville.fd) = %{tl_version}

%description gfsbaskerville
The font is a digital implementation of Baskerville's classic
Greek font, provided by the Greek Font Society. The font covers
Greek only, and LaTeX support provides for the use of LGR
encoding.

%package gfsbaskerville-doc
Summary: Documentation for gfsbaskerville
Version: svn19440.1.0

Provides: tex-gfsbaskerville-doc
AutoReqProv: No

%description gfsbaskerville-doc
Documentation for gfsbaskerville

%package gfsporson
Provides: tex-gfsporson = %{tl_version}
License: LPPL
Summary: A Greek font, originally from Porson
Version: svn18651.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(porsonel.enc) = %{tl_version}
Provides: tex(gfsporson.map) = %{tl_version}
Provides: tex(GFSPorson.otf) = %{tl_version}
Provides: tex(gporsonrg6a.tfm) = %{tl_version}
Provides: tex(gporsonrg6r.tfm) = %{tl_version}
Provides: tex(GFSPorson-Regular.pfb) = %{tl_version}
Provides: tex(gporsonrg6a.vf) = %{tl_version}
Provides: tex(gfsporson.sty) = %{tl_version}
Provides: tex(lgrporson.fd) = %{tl_version}

%description gfsporson
Porson is an elegant Greek font, originally cut at the turn of
the 19th Century in England. The present version has been
provided by the Greek Font Society. The font supports the Greek
alphabet only. LaTeX support is provided, using the LGR
encoding.

%package gfsporson-doc
Summary: Documentation for gfsporson
Version: svn18651.1.01

Provides: tex-gfsporson-doc
AutoReqProv: No

%description gfsporson-doc
Documentation for gfsporson

%package greek-fontenc
Provides: tex-greek-fontenc = %{tl_version}
License: LPPL 1.3
Summary: LICR macros and encoding definition files for Greek
Version: svn39606

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(alphabeta-euenc.def) = %{tl_version}
Provides: tex(alphabeta-lgr.def) = %{tl_version}
Provides: tex(alphabeta.sty) = %{tl_version}
Provides: tex(greek-euenc.def) = %{tl_version}
Provides: tex(greek-fontenc.def) = %{tl_version}
Provides: tex(lgrenc.def) = %{tl_version}
Provides: tex(textalpha.sty) = %{tl_version}

%description greek-fontenc
The package provides Greek LICR macro definitions and encoding
definition files for Greek text font encodings for use with
fontenc.

%package greek-fontenc-doc
Summary: Documentation for greek-fontenc
Version: svn39606

Provides: tex-greek-fontenc-doc
AutoReqProv: No

%description greek-fontenc-doc
Documentation for greek-fontenc

%package greek-inputenc
Provides: tex-greek-inputenc = %{tl_version}
License: LPPL 1.3
Summary: Greek encoding support for inputenc
Version: svn40613

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(iso-8859-7.def) = %{tl_version}
Provides: tex(macgreek.def) = %{tl_version}

%description greek-inputenc
The bundle provides UTF-8, Macintosh Greek encoding and ISO
8859-7 definition files for use with inputenc.

%package greek-inputenc-doc
Summary: Documentation for greek-inputenc
Version: svn40613

Provides: tex-greek-inputenc-doc
AutoReqProv: No

%description greek-inputenc-doc
Documentation for greek-inputenc

%package greekdates
Provides: tex-greekdates = %{tl_version}
License: LPPL
Summary: Provides ancient Greek day and month names, dates, etc
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Provides: tex(greekdates.sty) = %{tl_version}

%description greekdates
The package provides easy access to ancient Greek names of days
and months of various regions of Greece. In case the historical
information about a region is not complete, we use the Athenian
name of the month. Moreover commands and options are provided,
in order to completely switch to the "ancient way", commands
such as \today.

%package greekdates-doc
Summary: Documentation for greekdates
Version: svn15878.1.0

Provides: tex-greekdates-doc
AutoReqProv: No

%description greekdates-doc
Documentation for greekdates

%package greektex
Provides: tex-greektex = %{tl_version}
License: Public Domain
Summary: Fonts for typesetting Greek/English documents
Version: svn28327.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(greektex.sty) = %{tl_version}

%description greektex
The fonts are based on Silvio Levy's classical Greek fonts;
macros and Greek hyphenation patterns for the fonts' encoding
are also provided.

%package greektex-doc
Summary: Documentation for greektex
Version: svn28327.0

Provides: tex-greektex-doc
AutoReqProv: No

%description greektex-doc
Documentation for greektex

%package hyphen-greek
Provides: tex-hyphen-greek = %{tl_version}
License: LPPL
Summary: Modern Greek hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8
Provides: tex(grmhyph5.tex) = %{tl_version}
Provides: tex(grphyph5.tex) = %{tl_version}

%description hyphen-greek
Hyphenation patterns for Modern Greek in monotonic and
polytonic spelling in LGR and UTF-8 encodings.  Patterns in UTF-
8 use two code positions for each of the vowels with acute
accent (a.k.a tonos, oxia), e.g., U+03AC, U+1F71 for alpha.

%post hyphen-greek
if [ $1 -gt 0 ] ; then
sed -i '/monogreek.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "monogreek loadhyph-el-monoton.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{monogreek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{monogreek}{loadhyph-el-monoton.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/greek.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "greek loadhyph-el-polyton.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=polygreek/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=polygreek" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{greek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{greek}{loadhyph-el-polyton.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{polygreek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{polygreek}{loadhyph-el-polyton.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-greek
if [ $1 == 0 ] ; then
sed -i '/monogreek.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{monogreek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/greek.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=polygreek/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{greek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{polygreek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-greek-doc
Summary: Documentation for hyphen-greek
Version: svn40340

Provides: tex-hyphen-greek-doc
AutoReqProv: No
Requires: tex-hyph-utf8-doc

%description hyphen-greek-doc
Documentation for hyphen-greek

%package hyphen-ancientgreek
Provides: tex-hyphen-ancientgreek = %{tl_version}
License: LPPL
Summary: Ancient Greek hyphenation patterns
Version: svn41189

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8
Provides: tex(grahyph5.tex) = %{tl_version}
Provides: tex(ibyhyph.tex) = %{tl_version}

%description hyphen-ancientgreek
Hyphenation patterns for Ancient Greek in LGR and UTF-8
encodings, including support for (obsolete) Ibycus font
encoding. Patterns in UTF-8 use two code positions for each of
the vowels with acute accent (a.k.a tonos, oxia), e.g., U+03AE,
U+1F75 for eta.

%post hyphen-ancientgreek
if [ $1 -gt 0 ] ; then
sed -i '/ancientgreek.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "ancientgreek loadhyph-grc.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{ancientgreek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ancientgreek}{loadhyph-grc.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/ibycus.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "ibycus ibyhyph.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{ibycus}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{ibycus}{ibyhyph.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-ancientgreek
if [ $1 == 0 ] ; then
sed -i '/ancientgreek.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{ancientgreek}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/ibycus.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{ibycus}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package ibycus-babel
Provides: tex-ibycus-babel = %{tl_version}
License: LPPL
Summary: Use the Ibycus 4 Greek font with Babel
Version: svn15878.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ibycus.ldf) = %{tl_version}
Provides: tex(lgienc.def) = %{tl_version}
Provides: tex(lgifib.fd) = %{tl_version}

%description ibycus-babel
The package allows you to use the Ibycus 4 font for ancient
Greek with Babel. It uses a Perl script to generate hyphenation
patterns for Ibycus from those for the ordinary Babel encoding,
cbgreek. It sets up ibycus as a pseudo-language you can specify
in the normal Babel manner. For proper hyphenation of Greek
quoted in mid-paragraph, you should use it with elatex (all
current distributions of LaTeX are built with e-TeX, so the
constraint should not be onerous).

%package ibycus-babel-doc
Summary: Documentation for ibycus-babel
Version: svn15878.3.0

Provides: tex-ibycus-babel-doc
AutoReqProv: No

%description ibycus-babel-doc
Documentation for ibycus-babel

%package ibygrk
Provides: tex-ibygrk = %{tl_version}
License: GPL+
Summary: Fonts and macros to typeset ancient Greek
Version: svn15878.4.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(IbycusHTG.enc) = %{tl_version}
Provides: tex(iby.map) = %{tl_version}
Provides: tex(ibycus4.map) = %{tl_version}
Provides: tex(fibb84.tfm) = %{tl_version}
Provides: tex(fibb848.tfm) = %{tl_version}
Provides: tex(fibb849.tfm) = %{tl_version}
Provides: tex(fibo84.tfm) = %{tl_version}
Provides: tex(fibo848.tfm) = %{tl_version}
Provides: tex(fibo849.tfm) = %{tl_version}
Provides: tex(fibr84.tfm) = %{tl_version}
Provides: tex(fibr848.tfm) = %{tl_version}
Provides: tex(fibr849.tfm) = %{tl_version}
Provides: tex(fibb84.pfb) = %{tl_version}
Provides: tex(fibr84.pfb) = %{tl_version}
Provides: tex(Uibycus.fd) = %{tl_version}
Provides: tex(Uibycus4.fd) = %{tl_version}
Provides: tex(iby4extr.tex) = %{tl_version}
Provides: tex(ibycus4.map) = %{tl_version}
Provides: tex(ibycus4.sty) = %{tl_version}
Provides: tex(ibycus4.tex) = %{tl_version}
Provides: tex(ibycusps.tex) = %{tl_version}
Provides: tex(psibycus.sty) = %{tl_version}
Provides: tex(pssetiby.tex) = %{tl_version}
Provides: tex(setiby4.tex) = %{tl_version}
Provides: tex(tlgsqq.tex) = %{tl_version}
Provides: tex(version4.tex) = %{tl_version}

%description ibygrk
Ibycus is a Greek typeface, based on Silvio Levy's realisation
of a classic Didot cut of Greek type from around 1800. The
fonts are available both as Metafont source and in Adobe Type 1
format. This distribution of ibycus is accompanied by a set of
macro packages to use it with Plain TeX or LaTeX, but for use
with Babel, see the ibycus-babel package.

%package ibygrk-doc
Summary: Documentation for ibygrk
Version: svn15878.4.5

Provides: tex-ibygrk-doc
AutoReqProv: No

%description ibygrk-doc
Documentation for ibygrk

%package kerkis
Provides: tex-kerkis = %{tl_version}
License: LPPL
Summary: Kerkis (Greek) font family
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(txfonts.sty)
Provides: tex(gkerkis.enc) = %{tl_version}
Provides: tex(gkerkisc.enc) = %{tl_version}
Provides: tex(gpkerkis.enc) = %{tl_version}
Provides: tex(gpkerkisc.enc) = %{tl_version}
Provides: tex(kerkis.enc) = %{tl_version}
Provides: tex(kerkisc.enc) = %{tl_version}
Provides: tex(kerkisec.enc) = %{tl_version}
Provides: tex(kerkisecsc.enc) = %{tl_version}
Provides: tex(kmath.enc) = %{tl_version}
Provides: tex(kmex.enc) = %{tl_version}
Provides: tex(kmsym.enc) = %{tl_version}
Provides: tex(kerkis.map) = %{tl_version}
Provides: tex(ek8a.tfm) = %{tl_version}
Provides: tex(ek8r.tfm) = %{tl_version}
Provides: tex(ekb8a.tfm) = %{tl_version}
Provides: tex(ekb8r.tfm) = %{tl_version}
Provides: tex(ekbi8a.tfm) = %{tl_version}
Provides: tex(ekbi8r.tfm) = %{tl_version}
Provides: tex(ekbo8a.tfm) = %{tl_version}
Provides: tex(ekbo8r.tfm) = %{tl_version}
Provides: tex(ekbsc8a.tfm) = %{tl_version}
Provides: tex(ekbsc8r.tfm) = %{tl_version}
Provides: tex(ekbsco8a.tfm) = %{tl_version}
Provides: tex(ekbsco8r.tfm) = %{tl_version}
Provides: tex(ekbui8a.tfm) = %{tl_version}
Provides: tex(ekbui8r.tfm) = %{tl_version}
Provides: tex(ekcal8a.tfm) = %{tl_version}
Provides: tex(ekcal8r.tfm) = %{tl_version}
Provides: tex(eki8a.tfm) = %{tl_version}
Provides: tex(eki8r.tfm) = %{tl_version}
Provides: tex(eko8a.tfm) = %{tl_version}
Provides: tex(eko8r.tfm) = %{tl_version}
Provides: tex(eksb8a.tfm) = %{tl_version}
Provides: tex(eksb8r.tfm) = %{tl_version}
Provides: tex(eksbi8a.tfm) = %{tl_version}
Provides: tex(eksbi8r.tfm) = %{tl_version}
Provides: tex(eksbo8a.tfm) = %{tl_version}
Provides: tex(eksbo8r.tfm) = %{tl_version}
Provides: tex(eksbui8a.tfm) = %{tl_version}
Provides: tex(eksbui8r.tfm) = %{tl_version}
Provides: tex(eksc8a.tfm) = %{tl_version}
Provides: tex(eksc8r.tfm) = %{tl_version}
Provides: tex(eksco8a.tfm) = %{tl_version}
Provides: tex(eksco8r.tfm) = %{tl_version}
Provides: tex(eksf8a.tfm) = %{tl_version}
Provides: tex(eksf8t.tfm) = %{tl_version}
Provides: tex(eksfb8a.tfm) = %{tl_version}
Provides: tex(eksfb8t.tfm) = %{tl_version}
Provides: tex(eksfbi8a.tfm) = %{tl_version}
Provides: tex(eksfbi8t.tfm) = %{tl_version}
Provides: tex(eksfi8a.tfm) = %{tl_version}
Provides: tex(eksfi8t.tfm) = %{tl_version}
Provides: tex(eksfsc8a.tfm) = %{tl_version}
Provides: tex(eksfsc8t.tfm) = %{tl_version}
Provides: tex(ekui8a.tfm) = %{tl_version}
Provides: tex(ekui8r.tfm) = %{tl_version}
Provides: tex(gk7a.tfm) = %{tl_version}
Provides: tex(gk7t.tfm) = %{tl_version}
Provides: tex(gkb7a.tfm) = %{tl_version}
Provides: tex(gkb7t.tfm) = %{tl_version}
Provides: tex(gkbi7a.tfm) = %{tl_version}
Provides: tex(gkbi7t.tfm) = %{tl_version}
Provides: tex(gkbo7a.tfm) = %{tl_version}
Provides: tex(gkbo7t.tfm) = %{tl_version}
Provides: tex(gkbsc8a.tfm) = %{tl_version}
Provides: tex(gkbsc8r.tfm) = %{tl_version}
Provides: tex(gkbsco8a.tfm) = %{tl_version}
Provides: tex(gkbsco8r.tfm) = %{tl_version}
Provides: tex(gkbui7a.tfm) = %{tl_version}
Provides: tex(gkbui7t.tfm) = %{tl_version}
Provides: tex(gkcal7a.tfm) = %{tl_version}
Provides: tex(gkcal7t.tfm) = %{tl_version}
Provides: tex(gki7a.tfm) = %{tl_version}
Provides: tex(gki7t.tfm) = %{tl_version}
Provides: tex(gko7a.tfm) = %{tl_version}
Provides: tex(gko7t.tfm) = %{tl_version}
Provides: tex(gksb7a.tfm) = %{tl_version}
Provides: tex(gksb7t.tfm) = %{tl_version}
Provides: tex(gksbi7a.tfm) = %{tl_version}
Provides: tex(gksbi7t.tfm) = %{tl_version}
Provides: tex(gksbo7a.tfm) = %{tl_version}
Provides: tex(gksbo7t.tfm) = %{tl_version}
Provides: tex(gksbui7a.tfm) = %{tl_version}
Provides: tex(gksbui7t.tfm) = %{tl_version}
Provides: tex(gksc7a.tfm) = %{tl_version}
Provides: tex(gksc7t.tfm) = %{tl_version}
Provides: tex(gksco7a.tfm) = %{tl_version}
Provides: tex(gksco7t.tfm) = %{tl_version}
Provides: tex(gksf7a.tfm) = %{tl_version}
Provides: tex(gksf7t.tfm) = %{tl_version}
Provides: tex(gksfb7a.tfm) = %{tl_version}
Provides: tex(gksfb7t.tfm) = %{tl_version}
Provides: tex(gksfbi7a.tfm) = %{tl_version}
Provides: tex(gksfbi7t.tfm) = %{tl_version}
Provides: tex(gksfi7a.tfm) = %{tl_version}
Provides: tex(gksfi7t.tfm) = %{tl_version}
Provides: tex(gksfsc7a.tfm) = %{tl_version}
Provides: tex(gksfsc7t.tfm) = %{tl_version}
Provides: tex(gkui7a.tfm) = %{tl_version}
Provides: tex(gkui7t.tfm) = %{tl_version}
Provides: tex(k8a.tfm) = %{tl_version}
Provides: tex(k8r.tfm) = %{tl_version}
Provides: tex(kb8a.tfm) = %{tl_version}
Provides: tex(kb8r.tfm) = %{tl_version}
Provides: tex(kbi8a.tfm) = %{tl_version}
Provides: tex(kbi8r.tfm) = %{tl_version}
Provides: tex(kbo8a.tfm) = %{tl_version}
Provides: tex(kbo8r.tfm) = %{tl_version}
Provides: tex(kbsc8a.tfm) = %{tl_version}
Provides: tex(kbsc8r.tfm) = %{tl_version}
Provides: tex(kbsco8a.tfm) = %{tl_version}
Provides: tex(kbsco8r.tfm) = %{tl_version}
Provides: tex(kbui8a.tfm) = %{tl_version}
Provides: tex(kbui8r.tfm) = %{tl_version}
Provides: tex(kcal8a.tfm) = %{tl_version}
Provides: tex(kcal8r.tfm) = %{tl_version}
Provides: tex(ki8a.tfm) = %{tl_version}
Provides: tex(ki8r.tfm) = %{tl_version}
Provides: tex(kmath8a.tfm) = %{tl_version}
Provides: tex(kmath8r.tfm) = %{tl_version}
Provides: tex(ko8a.tfm) = %{tl_version}
Provides: tex(ko8r.tfm) = %{tl_version}
Provides: tex(ksb8a.tfm) = %{tl_version}
Provides: tex(ksb8r.tfm) = %{tl_version}
Provides: tex(ksbi8a.tfm) = %{tl_version}
Provides: tex(ksbi8r.tfm) = %{tl_version}
Provides: tex(ksbo8a.tfm) = %{tl_version}
Provides: tex(ksbo8r.tfm) = %{tl_version}
Provides: tex(ksbui8a.tfm) = %{tl_version}
Provides: tex(ksbui8r.tfm) = %{tl_version}
Provides: tex(ksc8a.tfm) = %{tl_version}
Provides: tex(ksc8r.tfm) = %{tl_version}
Provides: tex(ksco8a.tfm) = %{tl_version}
Provides: tex(ksco8r.tfm) = %{tl_version}
Provides: tex(ksf8a.tfm) = %{tl_version}
Provides: tex(ksf8t.tfm) = %{tl_version}
Provides: tex(ksfb8a.tfm) = %{tl_version}
Provides: tex(ksfb8t.tfm) = %{tl_version}
Provides: tex(ksfbi8a.tfm) = %{tl_version}
Provides: tex(ksfbi8t.tfm) = %{tl_version}
Provides: tex(ksfi8a.tfm) = %{tl_version}
Provides: tex(ksfi8t.tfm) = %{tl_version}
Provides: tex(ksfsc8a.tfm) = %{tl_version}
Provides: tex(ksfsc8t.tfm) = %{tl_version}
Provides: tex(ktsy8a.tfm) = %{tl_version}
Provides: tex(ktsy8r.tfm) = %{tl_version}
Provides: tex(kui8a.tfm) = %{tl_version}
Provides: tex(kui8r.tfm) = %{tl_version}
Provides: tex(Kerkis-Bold.pfb) = %{tl_version}
Provides: tex(Kerkis-BoldItalic.pfb) = %{tl_version}
Provides: tex(Kerkis-BoldSmallCaps.pfb) = %{tl_version}
Provides: tex(Kerkis-Calligraphic.pfb) = %{tl_version}
Provides: tex(Kerkis-Italic.pfb) = %{tl_version}
Provides: tex(Kerkis-SemiBold-Italic.pfb) = %{tl_version}
Provides: tex(Kerkis-SemiBold.pfb) = %{tl_version}
Provides: tex(Kerkis-SmallCaps.pfb) = %{tl_version}
Provides: tex(Kerkis.pfb) = %{tl_version}
Provides: tex(KerkisSans-Bold.pfb) = %{tl_version}
Provides: tex(KerkisSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(KerkisSans-Italic.pfb) = %{tl_version}
Provides: tex(KerkisSans-SmallCaps.pfb) = %{tl_version}
Provides: tex(KerkisSans.pfb) = %{tl_version}
Provides: tex(ktsy.pfb) = %{tl_version}
Provides: tex(ek8a.vf) = %{tl_version}
Provides: tex(ekb8a.vf) = %{tl_version}
Provides: tex(ekbi8a.vf) = %{tl_version}
Provides: tex(ekbo8a.vf) = %{tl_version}
Provides: tex(ekbsc8a.vf) = %{tl_version}
Provides: tex(ekbsco8a.vf) = %{tl_version}
Provides: tex(ekbui8a.vf) = %{tl_version}
Provides: tex(ekcal8a.vf) = %{tl_version}
Provides: tex(eki8a.vf) = %{tl_version}
Provides: tex(eko8a.vf) = %{tl_version}
Provides: tex(eksb8a.vf) = %{tl_version}
Provides: tex(eksbi8a.vf) = %{tl_version}
Provides: tex(eksbo8a.vf) = %{tl_version}
Provides: tex(eksbui8a.vf) = %{tl_version}
Provides: tex(eksc8a.vf) = %{tl_version}
Provides: tex(eksco8a.vf) = %{tl_version}
Provides: tex(eksf8t.vf) = %{tl_version}
Provides: tex(eksfb8t.vf) = %{tl_version}
Provides: tex(eksfbi8t.vf) = %{tl_version}
Provides: tex(eksfi8t.vf) = %{tl_version}
Provides: tex(eksfsc8t.vf) = %{tl_version}
Provides: tex(ekui8a.vf) = %{tl_version}
Provides: tex(gk7t.vf) = %{tl_version}
Provides: tex(gkb7t.vf) = %{tl_version}
Provides: tex(gkbi7t.vf) = %{tl_version}
Provides: tex(gkbo7t.vf) = %{tl_version}
Provides: tex(gkbsc8a.vf) = %{tl_version}
Provides: tex(gkbsco8a.vf) = %{tl_version}
Provides: tex(gkbui7t.vf) = %{tl_version}
Provides: tex(gkcal7t.vf) = %{tl_version}
Provides: tex(gki7t.vf) = %{tl_version}
Provides: tex(gko7t.vf) = %{tl_version}
Provides: tex(gksb7t.vf) = %{tl_version}
Provides: tex(gksbi7t.vf) = %{tl_version}
Provides: tex(gksbo7t.vf) = %{tl_version}
Provides: tex(gksbui7t.vf) = %{tl_version}
Provides: tex(gksc7t.vf) = %{tl_version}
Provides: tex(gksco7t.vf) = %{tl_version}
Provides: tex(gksf7t.vf) = %{tl_version}
Provides: tex(gksfb7t.vf) = %{tl_version}
Provides: tex(gksfbi7t.vf) = %{tl_version}
Provides: tex(gksfi7t.vf) = %{tl_version}
Provides: tex(gksfsc7t.vf) = %{tl_version}
Provides: tex(gkui7t.vf) = %{tl_version}
Provides: tex(k8a.vf) = %{tl_version}
Provides: tex(kb8a.vf) = %{tl_version}
Provides: tex(kbi8a.vf) = %{tl_version}
Provides: tex(kbo8a.vf) = %{tl_version}
Provides: tex(kbsc8a.vf) = %{tl_version}
Provides: tex(kbsco8a.vf) = %{tl_version}
Provides: tex(kbui8a.vf) = %{tl_version}
Provides: tex(kcal8a.vf) = %{tl_version}
Provides: tex(ki8a.vf) = %{tl_version}
Provides: tex(kmath8a.vf) = %{tl_version}
Provides: tex(ko8a.vf) = %{tl_version}
Provides: tex(ksb8a.vf) = %{tl_version}
Provides: tex(ksbi8a.vf) = %{tl_version}
Provides: tex(ksbo8a.vf) = %{tl_version}
Provides: tex(ksbui8a.vf) = %{tl_version}
Provides: tex(ksc8a.vf) = %{tl_version}
Provides: tex(ksco8a.vf) = %{tl_version}
Provides: tex(ksf8t.vf) = %{tl_version}
Provides: tex(ksfb8t.vf) = %{tl_version}
Provides: tex(ksfbi8t.vf) = %{tl_version}
Provides: tex(ksfi8t.vf) = %{tl_version}
Provides: tex(ksfsc8t.vf) = %{tl_version}
Provides: tex(ktsy8a.vf) = %{tl_version}
Provides: tex(kui8a.vf) = %{tl_version}
Provides: tex(kerkis.sty) = %{tl_version}
Provides: tex(kmath.sty) = %{tl_version}
Provides: tex(lgrkfn.fd) = %{tl_version}
Provides: tex(lgrmak.fd) = %{tl_version}
Provides: tex(lgrmaksf.fd) = %{tl_version}
Provides: tex(omlmak.fd) = %{tl_version}
Provides: tex(omsmak.fd) = %{tl_version}
Provides: tex(ot1kfn.fd) = %{tl_version}
Provides: tex(ot1mak.fd) = %{tl_version}
Provides: tex(ot1maksf.fd) = %{tl_version}
Provides: tex(t1mak.fd) = %{tl_version}
Provides: tex(t1maksf.fd) = %{tl_version}
Obsoletes: tex-kerkis < %{tl_version}

%description kerkis
Sans-serif Greek fonts to match the URW Bookman set (which are
distributed with Kerkis). The Kerkis font set has some support
for mathematics as well as other glyphs missing from the base
URW Bookman fonts. Macros are provided to use the fonts in OT1,
T1 (only NG/ng glyphs missing) and LGR encodings, as well as in
mathematics; small caps and old-style number glyphs are also
available. The philosophy, and the design process, of the
Kerkis fonts is discussed in a paper in TUGboat 23(3/4), 2002.

%package kerkis-doc
Summary: Documentation for kerkis
Version: svn15878.0

Provides: tex-kerkis-doc
AutoReqProv: No

%description kerkis-doc
Documentation for kerkis

%package levy
Provides: tex-levy = %{tl_version}
License: GPLv2+
Summary: Fonts for typesetting classical greek
Version: svn21750.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(grbld10.tfm) = %{tl_version}
Provides: tex(grbld8.tfm) = %{tl_version}
Provides: tex(grbld9.tfm) = %{tl_version}
Provides: tex(grreg10.tfm) = %{tl_version}
Provides: tex(grreg8.tfm) = %{tl_version}
Provides: tex(grreg9.tfm) = %{tl_version}
Provides: tex(greekmacros.tex) = %{tl_version}
Provides: tex(slgreek.sty) = %{tl_version}

%description levy
These fonts are derivatives of Kunth's CM fonts. Macros for use
with Plain TeX are included in the package; for use with LaTeX,
see lgreek (with English documentation) or levy (with German
documentation).

%package levy-doc
Summary: Documentation for levy
Version: svn21750.0

Provides: tex-levy-doc
AutoReqProv: No

%description levy-doc
Documentation for levy

%package lgreek
Provides: tex-lgreek = %{tl_version}
License: GPLv2+
Summary: LaTeX macros for using Silvio Levy's Greek fonts
Version: svn21818.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(LGcmr.fd) = %{tl_version}
Provides: tex(LGcmtt.fd) = %{tl_version}
Provides: tex(LGenc.def) = %{tl_version}
Provides: tex(lgreek.sty) = %{tl_version}

%description lgreek
A conversion of Silvio Levy's Plain TeX macros for use with
LaTeX.

%package lgreek-doc
Summary: Documentation for lgreek
Version: svn21818.0

Provides: tex-lgreek-doc
AutoReqProv: No

%description lgreek-doc
Documentation for lgreek

%package teubner
Provides: tex-teubner = %{tl_version}
License: LPPL 1.3
Summary: Philological typesetting of classical Greek
Version: svn40197

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(iftex.sty)
Requires: tex(type1ec.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifthen.sty)
Requires: tex(exscale.sty)
Requires: tex(textalpha.sty)
Requires: tex(trace.sty)
Provides: tex(teubner.sty) = %{tl_version}
Provides: tex(teubnertx.sty) = %{tl_version}

%description teubner
An extension to babel greek option for typesetting classical
Greek with a philological approach. The package works with the
author's greek fonts using the 'Lispiakos' font shape derived
from that of the fonts used in printers' shops in Lispia. The
package name honours the publisher B.G. Teubner
Verlaggesellschaft whose Greek text publications are of high
quality.

%package teubner-doc
Summary: Documentation for teubner
Version: svn40197

Provides: tex-teubner-doc
AutoReqProv: No

%description teubner-doc
Documentation for teubner

%package xgreek
Provides: tex-xgreek = %{tl_version}
License: LPPL 1.3
Summary: XeLaTeX package for typesetting Greek language documents (beta release)
Version: svn43222
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(xgreek.sty) = %{tl_version}

%description xgreek
This package has been designed so to allow people to typeset
Greek language documents using XeLaTeX. And it is released in
the hope that people will use it and spot errors, bugs,
features so to improve it. Practically, it provides all the
capabilities of the greek option of the babel package. The
package can be invoked with any of the following options:
monotonic (for typesetting modern monotonic Greek), polytonic
(for typesetting modern polytonic Greek), and ancient (for
typesetting ancient texts). The default option is monotonic.
The command \setlanguage{<lang>} to activate the hyphenation
patterns of the language <lang> This, however, can be done only
if the format file has not been built with the babel mechanism.

%package xgreek-doc
Summary: Documentation for xgreek
Version: svn43222
Provides: tex-xgreek-doc
AutoReqProv: No

%description xgreek-doc
Documentation for xgreek

%package yannisgr
Provides: tex-yannisgr = %{tl_version}
License: GPLv2+
Summary: Greek fonts by Yannis Haralambous
Version: svn22613.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mrgrbf10.tfm) = %{tl_version}
Provides: tex(mrgrrg10.tfm) = %{tl_version}
Provides: tex(mrgrsl10.tfm) = %{tl_version}
Provides: tex(mrgrti10.tfm) = %{tl_version}
Provides: tex(rgrbf10.tfm) = %{tl_version}
Provides: tex(rgrrg10.tfm) = %{tl_version}
Provides: tex(rgrsc10.tfm) = %{tl_version}
Provides: tex(rgrsl10.tfm) = %{tl_version}
Provides: tex(rgrti10.tfm) = %{tl_version}

%description yannisgr
A family of 7-bit fonts with a code table designed for setting
modern polytonic Greek. The fonts are provided as Metafont
source; macros to produce a Greek variant of Plain TeX
(including a hyphenation table adapted to the fonts' code
table) are provided.

%package yannisgr-doc
Summary: Documentation for yannisgr
Version: svn22613.0

Provides: tex-yannisgr-doc
AutoReqProv: No

%description yannisgr-doc
Documentation for yannisgr

%package hyphen-indic
Provides: tex-hyphen-indic = %{tl_version}
License: LPPL
Summary: Indic hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-indic
Hyphenation patterns for Assamese, Bengali, Gujarati, Hindi,
Kannada, Malayalam, Marathi, Odia, Panjabi, Tamil and Telugu
for Unicode engines.

%post hyphen-indic
if [ $1 -gt 0 ] ; then
sed -i '/assamese.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "assamese loadhyph-as.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{assamese}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{assamese}{loadhyph-as.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/bengali.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "bengali loadhyph-bn.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{bengali}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{bengali}{loadhyph-bn.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/gujarati.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "gujarati loadhyph-gu.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{gujarati}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{gujarati}{loadhyph-gu.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/hindi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "hindi loadhyph-hi.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{hindi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{hindi}{loadhyph-hi.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/kannada.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "kannada loadhyph-kn.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{kannada}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{kannada}{loadhyph-kn.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/malayalam.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "malayalam loadhyph-ml.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{malayalam}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{malayalam}{loadhyph-ml.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/marathi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "marathi loadhyph-mr.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{marathi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{marathi}{loadhyph-mr.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/oriya.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "oriya loadhyph-or.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{oriya}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{oriya}{loadhyph-or.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/odia.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "odia loadhyph-or.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{odia}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{odia}{loadhyph-or.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/panjabi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "panjabi loadhyph-pa.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{panjabi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{panjabi}{loadhyph-pa.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/tamil.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "tamil loadhyph-ta.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{tamil}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{tamil}{loadhyph-ta.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/telugu.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "telugu loadhyph-te.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{telugu}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{telugu}{loadhyph-te.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-indic
if [ $1 == 0 ] ; then
sed -i '/assamese.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{assamese}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/bengali.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{bengali}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/gujarati.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{gujarati}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/hindi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{hindi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/kannada.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{kannada}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/malayalam.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{malayalam}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/marathi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{marathi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/oriya.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{oriya}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/odia.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{odia}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/panjabi.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{panjabi}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/tamil.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{tamil}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/telugu.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{telugu}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-sanskrit
Provides: tex-hyphen-sanskrit = %{tl_version}
License: LPPL
Summary: Sanskrit hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-sanskrit
Hyphenation patterns for Sanskrit and Prakrit in
transliteration, and in Devanagari, Bengali, Kannada, Malayalam
and Telugu scripts for Unicode engines.

%post hyphen-sanskrit
if [ $1 -gt 0 ] ; then
sed -i '/sanskrit.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "sanskrit loadhyph-sa.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{sanskrit}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{sanskrit}{loadhyph-sa.tex}{}{1}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-sanskrit
if [ $1 == 0 ] ; then
sed -i '/sanskrit.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{sanskrit}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package sanskrit
Provides: tex-sanskrit = %{tl_version}
License: LPPL
Summary: Sanskrit support
Version: svn42925
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(relsize.sty)
Requires: tex(ifthen.sty)
Provides: tex(skt10.tfm) = %{tl_version}
Provides: tex(skt8.tfm) = %{tl_version}
Provides: tex(skt9.tfm) = %{tl_version}
Provides: tex(sktb10.tfm) = %{tl_version}
Provides: tex(sktbs10.tfm) = %{tl_version}
Provides: tex(sktf10.tfm) = %{tl_version}
Provides: tex(sktfs10.tfm) = %{tl_version}
Provides: tex(skts10.tfm) = %{tl_version}
Provides: tex(ot1skt.fd) = %{tl_version}
Provides: tex(skt.sty) = %{tl_version}

%description sanskrit
A font and pre-processor suitable for the production of
documents written in Sanskrit. Type 1 versions of the fonts are
available.

%package sanskrit-doc
Summary: Documentation for sanskrit
Version: svn42925
Provides: tex-sanskrit-doc
AutoReqProv: No

%description sanskrit-doc
Documentation for sanskrit

%package sanskrit-t1
Provides: tex-sanskrit-t1 = %{tl_version}
License: LPPL
Summary: Type 1 version of 'skt' fonts for Sanskrit
Version: svn35737.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(skt.map) = %{tl_version}
Provides: tex(skt10.pfb) = %{tl_version}
Provides: tex(skt8.pfb) = %{tl_version}
Provides: tex(skt9.pfb) = %{tl_version}
Provides: tex(sktb10.pfb) = %{tl_version}
Provides: tex(sktbs10.pfb) = %{tl_version}
Provides: tex(sktf10.pfb) = %{tl_version}
Provides: tex(sktfs10.pfb) = %{tl_version}
Provides: tex(skts10.pfb) = %{tl_version}

%description sanskrit-t1
The sanskrit-t1 font package provides Type 1 version of Charles
Wikner's skt font series for the Sanskrit language.

%package sanskrit-t1-doc
Summary: Documentation for sanskrit-t1
Version: svn35737.0

Provides: tex-sanskrit-t1-doc
AutoReqProv: No

%description sanskrit-t1-doc
Documentation for sanskrit-t1

%package xetex-devanagari
Provides: tex-xetex-devanagari = %{tl_version}
License: LPPL
Summary: XeTeX input map for Unicode Devanagari
Version: svn34296.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(devanagarinumerals.map) = %{tl_version}
Provides: tex(harvardkyoto.map) = %{tl_version}
Provides: tex(iast.map) = %{tl_version}
Provides: tex(velthuis-sanskrit.map) = %{tl_version}
Provides: tex(velthuis.map) = %{tl_version}

%description xetex-devanagari
The package provides a map for use with Jonathan Kew's TECkit,
to translate Devanagari (encoded according to the Harvard/Kyoto
convention) to Unicode (range 0900-097F).

%package xetex-devanagari-doc
Summary: Documentation for xetex-devanagari
Version: svn34296.0.5

Provides: tex-xetex-devanagari-doc
AutoReqProv: No

%description xetex-devanagari-doc
Documentation for xetex-devanagari

%package wnri
Provides: tex-wnri = %{tl_version}
License: GPL+
Summary: Ridgeway's fonts
Version: svn22459.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(wnindic.map) = %{tl_version}
Provides: tex(wnrib10.tfm) = %{tl_version}
Provides: tex(wnrib8.tfm) = %{tl_version}
Provides: tex(wnribi10.tfm) = %{tl_version}
Provides: tex(wnrii10.tfm) = %{tl_version}
Provides: tex(wnrii8.tfm) = %{tl_version}
Provides: tex(wnrir10.tfm) = %{tl_version}
Provides: tex(wnrir8.tfm) = %{tl_version}
Provides: tex(wnris10.tfm) = %{tl_version}
Provides: tex(wnris8.tfm) = %{tl_version}
Provides: tex(wnrit10.tfm) = %{tl_version}
Provides: tex(wnrit8.tfm) = %{tl_version}

%description wnri
Fonts (as Metafont source) for Old English, Indic languages in
Roman transliteration and Puget Salish (Lushootseed) and other
Native American languages.

%package wnri-doc
Summary: Documentation for wnri
Version: svn22459.0

Provides: tex-wnri-doc
AutoReqProv: No

%description wnri-doc
Documentation for wnri

%package wnri-latex
Provides: tex-wnri-latex = %{tl_version}
License: GPLv2+
Summary: LaTeX support for wnri fonts
Version: svn22338.1.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ot1wnr.fd) = %{tl_version}
Provides: tex(ot1wnss.fd) = %{tl_version}
Provides: tex(ot1wntt.fd) = %{tl_version}
Provides: tex(wnri.def) = %{tl_version}
Provides: tex(wnri.sty) = %{tl_version}

%description wnri-latex
LaTeX support for the wnri fonts.

%package wnri-latex-doc
Summary: Documentation for wnri-latex
Version: svn22338.1.0b

Provides: tex-wnri-latex-doc
AutoReqProv: No

%description wnri-latex-doc
Documentation for wnri-latex

%package collection-langitalian
Summary: Italian
Version: svn30372.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-amsldoc-it-doc
Requires: texlive-amsmath-it-doc
Requires: texlive-amsthdoc-it-doc
Requires: tex-babel-italian
Requires: tex-codicefiscaleitaliano
Requires: texlive-fancyhdr-it-doc
Requires: tex-fixltxhyph
Requires: tex-frontespizio
Requires: tex-hyphen-italian
Requires: tex-itnumpar
Requires: texlive-l2tabu-italian-doc
Requires: texlive-latex4wp-it-doc
Requires: tex-layaureo
Requires: texlive-lshort-italian-doc
Requires: texlive-psfrag-italian-doc
Requires: texlive-texlive-it-doc

%description collection-langitalian
Support for Italian.

%package fancyhdr-it-doc
Summary: Documentation for fancyhdr-it
Version: svn21912.0

Provides: tex-fancyhdr-it-doc
AutoReqProv: No

%description fancyhdr-it-doc
Documentation for fancyhdr-it

%package fixltxhyph
Provides: tex-fixltxhyph = %{tl_version}
License: LPPL 1.3
Summary: Allow hyphenation of partially-emphasised substrings
Version: svn25832.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Provides: tex(fixltxhyph.sty) = %{tl_version}

%description fixltxhyph
The package fixes the problem of TeX failing to hyphenate
letter strings that seem (to TeX) to be words, but which are
followed by an apostrophe and then an emphasis command. The
cause of the problem is not the apostrophe, but the font change
in the middle of the string. The problem arises in Catalan,
French, Italian and Romansh.

%package fixltxhyph-doc
Summary: Documentation for fixltxhyph
Version: svn25832.0.4

Provides: tex-fixltxhyph-doc
AutoReqProv: No

%description fixltxhyph-doc
Documentation for fixltxhyph

%package frontespizio
Provides: tex-frontespizio = %{tl_version}
License: LPPL
Summary: Create a frontispiece for Italian theses
Version: svn24054.1.4a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(afterpage.sty)
Requires: tex(graphicx.sty)
Requires: tex(atbegshi.sty)
Requires: tex(environ.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Provides: tex(frontespizio.sty) = %{tl_version}

%description frontespizio
Typesetting a frontispiece independently of the layout of the
main document is difficult. This package provides a solution by
producing an auxiliary TeX file to be typeset on its own and
the result is automatically included at the next run. The
markup necessary for the frontispiece is written in the main
document in a frontespizio environment. Documentation is mainly
in Italian, as the style is probably apt only to theses in
Italy.

%package frontespizio-doc
Summary: Documentation for frontespizio
Version: svn24054.1.4a

Provides: tex-frontespizio-doc
AutoReqProv: No

%description frontespizio-doc
Documentation for frontespizio

%package hyphen-italian
Provides: tex-hyphen-italian = %{tl_version}
License: LGPLv2+
Summary: Italian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-italian
Hyphenation patterns for Italian in ASCII encoding. Compliant
with the Recommendation UNI 6461 on hyphenation issued by the
Italian Standards Institution (Ente Nazionale di Unificazione
UNI).

%post hyphen-italian
if [ $1 -gt 0 ] ; then
sed -i '/italian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "italian loadhyph-it.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{italian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{italian}{loadhyph-it.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-italian
if [ $1 == 0 ] ; then
sed -i '/italian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{italian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package itnumpar
Provides: tex-itnumpar = %{tl_version}
License: LPPL
Summary: Spell numbers in words (Italian)
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(itnumpar.sty) = %{tl_version}

%description itnumpar
Sometimes we need to say "Capitolo primo" or "Capitolo uno"
instead of "Capitolo 1", that is, spelling the number in words
instead of the usual digit form. This package provides support
for spelling out numbers in Italian words, both in cardinal and
in ordinal form.

%package itnumpar-doc
Summary: Documentation for itnumpar
Version: svn15878.1.0

Provides: tex-itnumpar-doc
AutoReqProv: No

%description itnumpar-doc
Documentation for itnumpar

%package l2tabu-italian-doc
Summary: Documentation for l2tabu-italian
Version: svn25218.2.3

Provides: tex-l2tabu-italian-doc
AutoReqProv: No

%description l2tabu-italian-doc
Documentation for l2tabu-italian

%package latex4wp-it-doc
Summary: Documentation for latex4wp-it
Version: svn36000.1.0.10

Provides: tex-latex4wp-it-doc
AutoReqProv: No

%description latex4wp-it-doc
Documentation for latex4wp-it

%package layaureo
Provides: tex-layaureo = %{tl_version}
License: LPPL
Summary: A package to improve the A4 page layout
Version: svn19087.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Provides: tex(layaureo.sty) = %{tl_version}

%description layaureo
This package produces a wide page layout for documents that use
A4 paper size. Moreover, LayAureo provides both a simple hook
for leaving an empty space which is required if pages are
bundled by a press binding (use option binding=length), and an
option called big which it forces typearea to become maximum.

%package layaureo-doc
Summary: Documentation for layaureo
Version: svn19087.0.2

Provides: tex-layaureo-doc
AutoReqProv: No

%description layaureo-doc
Documentation for layaureo

%package lshort-italian-doc
Summary: Documentation for lshort-italian
Version: svn15878.0

Provides: tex-lshort-italian-doc
AutoReqProv: No

%description lshort-italian-doc
Documentation for lshort-italian

%package psfrag-italian-doc
Summary: Documentation for psfrag-italian
Version: svn15878.0

Provides: tex-psfrag-italian-doc
AutoReqProv: No

%description psfrag-italian-doc
Documentation for psfrag-italian

%package texlive-it-doc
Summary: Documentation for texlive-it
Version: svn44357
Provides: tex-texlive-it-doc
AutoReqProv: No

%description texlive-it-doc
Documentation for texlive-it

%package collection-langjapanese
Summary: Japanese
Version: svn45195
Requires: texlive-base
Requires: texlive-collection-langcjk
Requires: texlive-bxbase
Requires: texlive-bxcjkjatype
Requires: texlive-bxjalipsum
Requires: texlive-bxjaprnind
Requires: texlive-bxjscls
Requires: texlive-bxorigcapt
Requires: texlive-convbkmk
Requires: texlive-ifptex
Requires: texlive-ifxptex
Requires: texlive-ipaex
Requires: texlive-japanese-otf
Requires: texlive-japanese-otf-uptex
Requires: texlive-jlreq
Requires: texlive-jsclasses
Requires: texlive-lshort-japanese-doc
Requires: texlive-luatexja
Requires: texlive-mendex-doc
Requires: texlive-pbibtex-base
Requires: texlive-platex
Requires: texlive-platex-tools
Requires: texlive-platexcheat-doc
Requires: texlive-ptex
Requires: texlive-ptex-base
Requires: texlive-ptex-fonts
Requires: texlive-ptex-fontmaps
Requires: texlive-ptex2pdf
Requires: texlive-pxbase
Requires: texlive-pxchfon
Requires: texlive-pxcjkcat
Requires: texlive-pxjahyper
Requires: texlive-pxrubrica
Requires: texlive-pxufont
Requires: texlive-uplatex
Requires: texlive-uptex-bin
Requires: texlive-uptex-base
Requires: texlive-uptex-fonts
Requires: texlive-wadalab
Requires: texlive-zxjafbfont
Requires: texlive-zxjatype

%description collection-langjapanese
Support for Japanese; additional packages in collection-
langcjk.

%package ipaex
Provides: tex-ipaex = %{tl_version}
License: IPA
Summary: IPA and IPAex fonts from Information-technology Promotion Agency, Japan
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ipaexg.ttf) = %{tl_version}
Provides: tex(ipaexm.ttf) = %{tl_version}
Provides: tex(ipag.ttf) = %{tl_version}
Provides: tex(ipagp.ttf) = %{tl_version}
Provides: tex(ipam.ttf) = %{tl_version}
Provides: tex(ipamp.ttf) = %{tl_version}

%description ipaex
The fonts provide fixed-width glyphs for Kana and Kanji
characters, proportional width glyphs for Western characters.

%package ipaex-doc
Summary: Documentation for ipaex
Version: svn42428
Provides: tex-ipaex-doc
AutoReqProv: No

%description ipaex-doc
Documentation for ipaex

%package japanese-otf
Provides: tex-japanese-otf = %{tl_version}
License: BSD
Summary: Advanced font selection for platex and its friends
Version: svn42950
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex(otf.sty)
Provides: tex(otf-cktx.map) = %{tl_version}
Provides: tex(brsgexpgothb-h.tfm) = %{tl_version}
Provides: tex(brsgexpgothb-v.tfm) = %{tl_version}
Provides: tex(brsgexpgothbn-h.tfm) = %{tl_version}
Provides: tex(brsgexpgothbn-v.tfm) = %{tl_version}
Provides: tex(brsgexpgotheb-h.tfm) = %{tl_version}
Provides: tex(brsgexpgotheb-v.tfm) = %{tl_version}
Provides: tex(brsgexpgothebn-h.tfm) = %{tl_version}
Provides: tex(brsgexpgothebn-v.tfm) = %{tl_version}
Provides: tex(brsgexpgothr-h.tfm) = %{tl_version}
Provides: tex(brsgexpgothr-v.tfm) = %{tl_version}
Provides: tex(brsgexpgothrn-h.tfm) = %{tl_version}
Provides: tex(brsgexpgothrn-v.tfm) = %{tl_version}
Provides: tex(brsgexpmgothr-h.tfm) = %{tl_version}
Provides: tex(brsgexpmgothr-v.tfm) = %{tl_version}
Provides: tex(brsgexpmgothrn-h.tfm) = %{tl_version}
Provides: tex(brsgexpmgothrn-v.tfm) = %{tl_version}
Provides: tex(brsgexpminb-h.tfm) = %{tl_version}
Provides: tex(brsgexpminb-v.tfm) = %{tl_version}
Provides: tex(brsgexpminbn-h.tfm) = %{tl_version}
Provides: tex(brsgexpminbn-v.tfm) = %{tl_version}
Provides: tex(brsgexpminl-h.tfm) = %{tl_version}
Provides: tex(brsgexpminl-v.tfm) = %{tl_version}
Provides: tex(brsgexpminln-h.tfm) = %{tl_version}
Provides: tex(brsgexpminln-v.tfm) = %{tl_version}
Provides: tex(brsgexpminr-h.tfm) = %{tl_version}
Provides: tex(brsgexpminr-v.tfm) = %{tl_version}
Provides: tex(brsgexpminrn-h.tfm) = %{tl_version}
Provides: tex(brsgexpminrn-v.tfm) = %{tl_version}
Provides: tex(brsgnmlgothb-h.tfm) = %{tl_version}
Provides: tex(brsgnmlgothb-v.tfm) = %{tl_version}
Provides: tex(brsgnmlgothbn-h.tfm) = %{tl_version}
Provides: tex(brsgnmlgothbn-v.tfm) = %{tl_version}
Provides: tex(brsgnmlgotheb-h.tfm) = %{tl_version}
Provides: tex(brsgnmlgotheb-v.tfm) = %{tl_version}
Provides: tex(brsgnmlgothebn-h.tfm) = %{tl_version}
Provides: tex(brsgnmlgothebn-v.tfm) = %{tl_version}
Provides: tex(brsgnmlgothr-h.tfm) = %{tl_version}
Provides: tex(brsgnmlgothr-v.tfm) = %{tl_version}
Provides: tex(brsgnmlgothrn-h.tfm) = %{tl_version}
Provides: tex(brsgnmlgothrn-v.tfm) = %{tl_version}
Provides: tex(brsgnmlmgothr-h.tfm) = %{tl_version}
Provides: tex(brsgnmlmgothr-v.tfm) = %{tl_version}
Provides: tex(brsgnmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(brsgnmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(brsgnmlminb-h.tfm) = %{tl_version}
Provides: tex(brsgnmlminb-v.tfm) = %{tl_version}
Provides: tex(brsgnmlminbn-h.tfm) = %{tl_version}
Provides: tex(brsgnmlminbn-v.tfm) = %{tl_version}
Provides: tex(brsgnmlminl-h.tfm) = %{tl_version}
Provides: tex(brsgnmlminl-v.tfm) = %{tl_version}
Provides: tex(brsgnmlminln-h.tfm) = %{tl_version}
Provides: tex(brsgnmlminln-v.tfm) = %{tl_version}
Provides: tex(brsgnmlminr-h.tfm) = %{tl_version}
Provides: tex(brsgnmlminr-v.tfm) = %{tl_version}
Provides: tex(brsgnmlminrn-h.tfm) = %{tl_version}
Provides: tex(brsgnmlminrn-v.tfm) = %{tl_version}
Provides: tex(cidcgr0-h.tfm) = %{tl_version}
Provides: tex(cidcgr0-v.tfm) = %{tl_version}
Provides: tex(cidcgr1-h.tfm) = %{tl_version}
Provides: tex(cidcgr1-v.tfm) = %{tl_version}
Provides: tex(cidcgr2-h.tfm) = %{tl_version}
Provides: tex(cidcgr2-v.tfm) = %{tl_version}
Provides: tex(cidcgr3-h.tfm) = %{tl_version}
Provides: tex(cidcgr3-v.tfm) = %{tl_version}
Provides: tex(cidcgr4-h.tfm) = %{tl_version}
Provides: tex(cidcgr4-v.tfm) = %{tl_version}
Provides: tex(cidcgr5-h.tfm) = %{tl_version}
Provides: tex(cidcgr5-v.tfm) = %{tl_version}
Provides: tex(cidcgr6-h.tfm) = %{tl_version}
Provides: tex(cidcgr6-v.tfm) = %{tl_version}
Provides: tex(cidcgr7-h.tfm) = %{tl_version}
Provides: tex(cidcgr7-v.tfm) = %{tl_version}
Provides: tex(cidcmr0-h.tfm) = %{tl_version}
Provides: tex(cidcmr0-v.tfm) = %{tl_version}
Provides: tex(cidcmr1-h.tfm) = %{tl_version}
Provides: tex(cidcmr1-v.tfm) = %{tl_version}
Provides: tex(cidcmr2-h.tfm) = %{tl_version}
Provides: tex(cidcmr2-v.tfm) = %{tl_version}
Provides: tex(cidcmr3-h.tfm) = %{tl_version}
Provides: tex(cidcmr3-v.tfm) = %{tl_version}
Provides: tex(cidcmr4-h.tfm) = %{tl_version}
Provides: tex(cidcmr4-v.tfm) = %{tl_version}
Provides: tex(cidcmr5-h.tfm) = %{tl_version}
Provides: tex(cidcmr5-v.tfm) = %{tl_version}
Provides: tex(cidcmr6-h.tfm) = %{tl_version}
Provides: tex(cidcmr6-v.tfm) = %{tl_version}
Provides: tex(cidcmr7-h.tfm) = %{tl_version}
Provides: tex(cidcmr7-v.tfm) = %{tl_version}
Provides: tex(cidjgb0-h.tfm) = %{tl_version}
Provides: tex(cidjgb0-v.tfm) = %{tl_version}
Provides: tex(cidjgb1-h.tfm) = %{tl_version}
Provides: tex(cidjgb1-v.tfm) = %{tl_version}
Provides: tex(cidjgb2-h.tfm) = %{tl_version}
Provides: tex(cidjgb2-v.tfm) = %{tl_version}
Provides: tex(cidjgb3-h.tfm) = %{tl_version}
Provides: tex(cidjgb3-v.tfm) = %{tl_version}
Provides: tex(cidjgb4-h.tfm) = %{tl_version}
Provides: tex(cidjgb4-v.tfm) = %{tl_version}
Provides: tex(cidjgb5-h.tfm) = %{tl_version}
Provides: tex(cidjgb5-v.tfm) = %{tl_version}
Provides: tex(cidjge0-h.tfm) = %{tl_version}
Provides: tex(cidjge0-v.tfm) = %{tl_version}
Provides: tex(cidjge1-h.tfm) = %{tl_version}
Provides: tex(cidjge1-v.tfm) = %{tl_version}
Provides: tex(cidjge2-h.tfm) = %{tl_version}
Provides: tex(cidjge2-v.tfm) = %{tl_version}
Provides: tex(cidjge3-h.tfm) = %{tl_version}
Provides: tex(cidjge3-v.tfm) = %{tl_version}
Provides: tex(cidjge4-h.tfm) = %{tl_version}
Provides: tex(cidjge4-v.tfm) = %{tl_version}
Provides: tex(cidjge5-h.tfm) = %{tl_version}
Provides: tex(cidjge5-v.tfm) = %{tl_version}
Provides: tex(cidjgr0-h.tfm) = %{tl_version}
Provides: tex(cidjgr0-v.tfm) = %{tl_version}
Provides: tex(cidjgr1-h.tfm) = %{tl_version}
Provides: tex(cidjgr1-v.tfm) = %{tl_version}
Provides: tex(cidjgr2-h.tfm) = %{tl_version}
Provides: tex(cidjgr2-v.tfm) = %{tl_version}
Provides: tex(cidjgr3-h.tfm) = %{tl_version}
Provides: tex(cidjgr3-v.tfm) = %{tl_version}
Provides: tex(cidjgr4-h.tfm) = %{tl_version}
Provides: tex(cidjgr4-v.tfm) = %{tl_version}
Provides: tex(cidjgr5-h.tfm) = %{tl_version}
Provides: tex(cidjgr5-v.tfm) = %{tl_version}
Provides: tex(cidjmb0-h.tfm) = %{tl_version}
Provides: tex(cidjmb0-v.tfm) = %{tl_version}
Provides: tex(cidjmb1-h.tfm) = %{tl_version}
Provides: tex(cidjmb1-v.tfm) = %{tl_version}
Provides: tex(cidjmb2-h.tfm) = %{tl_version}
Provides: tex(cidjmb2-v.tfm) = %{tl_version}
Provides: tex(cidjmb3-h.tfm) = %{tl_version}
Provides: tex(cidjmb3-v.tfm) = %{tl_version}
Provides: tex(cidjmb4-h.tfm) = %{tl_version}
Provides: tex(cidjmb4-v.tfm) = %{tl_version}
Provides: tex(cidjmb5-h.tfm) = %{tl_version}
Provides: tex(cidjmb5-v.tfm) = %{tl_version}
Provides: tex(cidjmgr0-h.tfm) = %{tl_version}
Provides: tex(cidjmgr0-v.tfm) = %{tl_version}
Provides: tex(cidjmgr1-h.tfm) = %{tl_version}
Provides: tex(cidjmgr1-v.tfm) = %{tl_version}
Provides: tex(cidjmgr2-h.tfm) = %{tl_version}
Provides: tex(cidjmgr2-v.tfm) = %{tl_version}
Provides: tex(cidjmgr3-h.tfm) = %{tl_version}
Provides: tex(cidjmgr3-v.tfm) = %{tl_version}
Provides: tex(cidjmgr4-h.tfm) = %{tl_version}
Provides: tex(cidjmgr4-v.tfm) = %{tl_version}
Provides: tex(cidjmgr5-h.tfm) = %{tl_version}
Provides: tex(cidjmgr5-v.tfm) = %{tl_version}
Provides: tex(cidjml0-h.tfm) = %{tl_version}
Provides: tex(cidjml0-v.tfm) = %{tl_version}
Provides: tex(cidjml1-h.tfm) = %{tl_version}
Provides: tex(cidjml1-v.tfm) = %{tl_version}
Provides: tex(cidjml2-h.tfm) = %{tl_version}
Provides: tex(cidjml2-v.tfm) = %{tl_version}
Provides: tex(cidjml3-h.tfm) = %{tl_version}
Provides: tex(cidjml3-v.tfm) = %{tl_version}
Provides: tex(cidjml4-h.tfm) = %{tl_version}
Provides: tex(cidjml4-v.tfm) = %{tl_version}
Provides: tex(cidjml5-h.tfm) = %{tl_version}
Provides: tex(cidjml5-v.tfm) = %{tl_version}
Provides: tex(cidjmr0-h.tfm) = %{tl_version}
Provides: tex(cidjmr0-v.tfm) = %{tl_version}
Provides: tex(cidjmr1-h.tfm) = %{tl_version}
Provides: tex(cidjmr1-v.tfm) = %{tl_version}
Provides: tex(cidjmr2-h.tfm) = %{tl_version}
Provides: tex(cidjmr2-v.tfm) = %{tl_version}
Provides: tex(cidjmr3-h.tfm) = %{tl_version}
Provides: tex(cidjmr3-v.tfm) = %{tl_version}
Provides: tex(cidjmr4-h.tfm) = %{tl_version}
Provides: tex(cidjmr4-v.tfm) = %{tl_version}
Provides: tex(cidjmr5-h.tfm) = %{tl_version}
Provides: tex(cidjmr5-v.tfm) = %{tl_version}
Provides: tex(cidkgr0-h.tfm) = %{tl_version}
Provides: tex(cidkgr0-v.tfm) = %{tl_version}
Provides: tex(cidkgr1-h.tfm) = %{tl_version}
Provides: tex(cidkgr1-v.tfm) = %{tl_version}
Provides: tex(cidkgr2-h.tfm) = %{tl_version}
Provides: tex(cidkgr2-v.tfm) = %{tl_version}
Provides: tex(cidkgr3-h.tfm) = %{tl_version}
Provides: tex(cidkgr3-v.tfm) = %{tl_version}
Provides: tex(cidkgr4-h.tfm) = %{tl_version}
Provides: tex(cidkgr4-v.tfm) = %{tl_version}
Provides: tex(cidkmr0-h.tfm) = %{tl_version}
Provides: tex(cidkmr0-v.tfm) = %{tl_version}
Provides: tex(cidkmr1-h.tfm) = %{tl_version}
Provides: tex(cidkmr1-v.tfm) = %{tl_version}
Provides: tex(cidkmr2-h.tfm) = %{tl_version}
Provides: tex(cidkmr2-v.tfm) = %{tl_version}
Provides: tex(cidkmr3-h.tfm) = %{tl_version}
Provides: tex(cidkmr3-v.tfm) = %{tl_version}
Provides: tex(cidkmr4-h.tfm) = %{tl_version}
Provides: tex(cidkmr4-v.tfm) = %{tl_version}
Provides: tex(cidtgr0-h.tfm) = %{tl_version}
Provides: tex(cidtgr0-v.tfm) = %{tl_version}
Provides: tex(cidtgr1-h.tfm) = %{tl_version}
Provides: tex(cidtgr1-v.tfm) = %{tl_version}
Provides: tex(cidtgr2-h.tfm) = %{tl_version}
Provides: tex(cidtgr2-v.tfm) = %{tl_version}
Provides: tex(cidtgr3-h.tfm) = %{tl_version}
Provides: tex(cidtgr3-v.tfm) = %{tl_version}
Provides: tex(cidtgr4-h.tfm) = %{tl_version}
Provides: tex(cidtgr4-v.tfm) = %{tl_version}
Provides: tex(cidtmr0-h.tfm) = %{tl_version}
Provides: tex(cidtmr0-v.tfm) = %{tl_version}
Provides: tex(cidtmr1-h.tfm) = %{tl_version}
Provides: tex(cidtmr1-v.tfm) = %{tl_version}
Provides: tex(cidtmr2-h.tfm) = %{tl_version}
Provides: tex(cidtmr2-v.tfm) = %{tl_version}
Provides: tex(cidtmr3-h.tfm) = %{tl_version}
Provides: tex(cidtmr3-v.tfm) = %{tl_version}
Provides: tex(cidtmr4-h.tfm) = %{tl_version}
Provides: tex(cidtmr4-v.tfm) = %{tl_version}
Provides: tex(expgothb-h.tfm) = %{tl_version}
Provides: tex(expgothb-v.tfm) = %{tl_version}
Provides: tex(expgothbn-h.tfm) = %{tl_version}
Provides: tex(expgothbn-v.tfm) = %{tl_version}
Provides: tex(expgotheb-h.tfm) = %{tl_version}
Provides: tex(expgotheb-v.tfm) = %{tl_version}
Provides: tex(expgothebn-h.tfm) = %{tl_version}
Provides: tex(expgothebn-v.tfm) = %{tl_version}
Provides: tex(expgothr-h.tfm) = %{tl_version}
Provides: tex(expgothr-v.tfm) = %{tl_version}
Provides: tex(expgothrn-h.tfm) = %{tl_version}
Provides: tex(expgothrn-v.tfm) = %{tl_version}
Provides: tex(expmgothr-h.tfm) = %{tl_version}
Provides: tex(expmgothr-v.tfm) = %{tl_version}
Provides: tex(expmgothrn-h.tfm) = %{tl_version}
Provides: tex(expmgothrn-v.tfm) = %{tl_version}
Provides: tex(expminb-h.tfm) = %{tl_version}
Provides: tex(expminb-v.tfm) = %{tl_version}
Provides: tex(expminbn-h.tfm) = %{tl_version}
Provides: tex(expminbn-v.tfm) = %{tl_version}
Provides: tex(expminl-h.tfm) = %{tl_version}
Provides: tex(expminl-v.tfm) = %{tl_version}
Provides: tex(expminln-h.tfm) = %{tl_version}
Provides: tex(expminln-v.tfm) = %{tl_version}
Provides: tex(expminr-h.tfm) = %{tl_version}
Provides: tex(expminr-v.tfm) = %{tl_version}
Provides: tex(expminrn-h.tfm) = %{tl_version}
Provides: tex(expminrn-v.tfm) = %{tl_version}
Provides: tex(hgothb-h.tfm) = %{tl_version}
Provides: tex(hgothb-v.tfm) = %{tl_version}
Provides: tex(hgothbn-h.tfm) = %{tl_version}
Provides: tex(hgothbn-v.tfm) = %{tl_version}
Provides: tex(hgotheb-h.tfm) = %{tl_version}
Provides: tex(hgotheb-v.tfm) = %{tl_version}
Provides: tex(hgothebn-h.tfm) = %{tl_version}
Provides: tex(hgothebn-v.tfm) = %{tl_version}
Provides: tex(hgothr-h.tfm) = %{tl_version}
Provides: tex(hgothr-v.tfm) = %{tl_version}
Provides: tex(hgothrn-h.tfm) = %{tl_version}
Provides: tex(hgothrn-v.tfm) = %{tl_version}
Provides: tex(hirakaku-w3-h.tfm) = %{tl_version}
Provides: tex(hirakaku-w3-v.tfm) = %{tl_version}
Provides: tex(hirakaku-w6-h.tfm) = %{tl_version}
Provides: tex(hirakaku-w6-v.tfm) = %{tl_version}
Provides: tex(hiramaru-w4-h.tfm) = %{tl_version}
Provides: tex(hiramaru-w4-v.tfm) = %{tl_version}
Provides: tex(hiramin-w3-h.tfm) = %{tl_version}
Provides: tex(hiramin-w3-v.tfm) = %{tl_version}
Provides: tex(hiramin-w6-h.tfm) = %{tl_version}
Provides: tex(hiramin-w6-v.tfm) = %{tl_version}
Provides: tex(hmgothr-h.tfm) = %{tl_version}
Provides: tex(hmgothr-v.tfm) = %{tl_version}
Provides: tex(hmgothrn-h.tfm) = %{tl_version}
Provides: tex(hmgothrn-v.tfm) = %{tl_version}
Provides: tex(hminb-h.tfm) = %{tl_version}
Provides: tex(hminb-v.tfm) = %{tl_version}
Provides: tex(hminbn-h.tfm) = %{tl_version}
Provides: tex(hminbn-v.tfm) = %{tl_version}
Provides: tex(hminl-h.tfm) = %{tl_version}
Provides: tex(hminl-v.tfm) = %{tl_version}
Provides: tex(hminln-h.tfm) = %{tl_version}
Provides: tex(hminln-v.tfm) = %{tl_version}
Provides: tex(hminr-h.tfm) = %{tl_version}
Provides: tex(hminr-v.tfm) = %{tl_version}
Provides: tex(hminrn-h.tfm) = %{tl_version}
Provides: tex(hminrn-v.tfm) = %{tl_version}
Provides: tex(nmlgothb-h.tfm) = %{tl_version}
Provides: tex(nmlgothb-v.tfm) = %{tl_version}
Provides: tex(nmlgothbn-h.tfm) = %{tl_version}
Provides: tex(nmlgothbn-v.tfm) = %{tl_version}
Provides: tex(nmlgotheb-h.tfm) = %{tl_version}
Provides: tex(nmlgotheb-v.tfm) = %{tl_version}
Provides: tex(nmlgothebn-h.tfm) = %{tl_version}
Provides: tex(nmlgothebn-v.tfm) = %{tl_version}
Provides: tex(nmlgothr-h.tfm) = %{tl_version}
Provides: tex(nmlgothr-v.tfm) = %{tl_version}
Provides: tex(nmlgothrn-h.tfm) = %{tl_version}
Provides: tex(nmlgothrn-v.tfm) = %{tl_version}
Provides: tex(nmlmgothr-h.tfm) = %{tl_version}
Provides: tex(nmlmgothr-v.tfm) = %{tl_version}
Provides: tex(nmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(nmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(nmlminb-h.tfm) = %{tl_version}
Provides: tex(nmlminb-v.tfm) = %{tl_version}
Provides: tex(nmlminbn-h.tfm) = %{tl_version}
Provides: tex(nmlminbn-v.tfm) = %{tl_version}
Provides: tex(nmlminl-h.tfm) = %{tl_version}
Provides: tex(nmlminl-v.tfm) = %{tl_version}
Provides: tex(nmlminln-h.tfm) = %{tl_version}
Provides: tex(nmlminln-v.tfm) = %{tl_version}
Provides: tex(nmlminr-h.tfm) = %{tl_version}
Provides: tex(nmlminr-v.tfm) = %{tl_version}
Provides: tex(nmlminrn-h.tfm) = %{tl_version}
Provides: tex(nmlminrn-v.tfm) = %{tl_version}
Provides: tex(otf-ccgr-h.tfm) = %{tl_version}
Provides: tex(otf-ccgr-v.tfm) = %{tl_version}
Provides: tex(otf-ccmr-h.tfm) = %{tl_version}
Provides: tex(otf-ccmr-v.tfm) = %{tl_version}
Provides: tex(otf-cjgb-h.tfm) = %{tl_version}
Provides: tex(otf-cjgb-v.tfm) = %{tl_version}
Provides: tex(otf-cjge-h.tfm) = %{tl_version}
Provides: tex(otf-cjge-v.tfm) = %{tl_version}
Provides: tex(otf-cjgr-h.tfm) = %{tl_version}
Provides: tex(otf-cjgr-v.tfm) = %{tl_version}
Provides: tex(otf-cjmb-h.tfm) = %{tl_version}
Provides: tex(otf-cjmb-v.tfm) = %{tl_version}
Provides: tex(otf-cjmgr-h.tfm) = %{tl_version}
Provides: tex(otf-cjmgr-v.tfm) = %{tl_version}
Provides: tex(otf-cjml-h.tfm) = %{tl_version}
Provides: tex(otf-cjml-v.tfm) = %{tl_version}
Provides: tex(otf-cjmr-h.tfm) = %{tl_version}
Provides: tex(otf-cjmr-v.tfm) = %{tl_version}
Provides: tex(otf-ckgr-h.tfm) = %{tl_version}
Provides: tex(otf-ckgr-v.tfm) = %{tl_version}
Provides: tex(otf-ckmr-h.tfm) = %{tl_version}
Provides: tex(otf-ckmr-v.tfm) = %{tl_version}
Provides: tex(otf-ctgr-h.tfm) = %{tl_version}
Provides: tex(otf-ctgr-v.tfm) = %{tl_version}
Provides: tex(otf-ctmr-h.tfm) = %{tl_version}
Provides: tex(otf-ctmr-v.tfm) = %{tl_version}
Provides: tex(otf-ucgr-h.tfm) = %{tl_version}
Provides: tex(otf-ucgr-v.tfm) = %{tl_version}
Provides: tex(otf-ucmr-h.tfm) = %{tl_version}
Provides: tex(otf-ucmr-v.tfm) = %{tl_version}
Provides: tex(otf-ujgb-h.tfm) = %{tl_version}
Provides: tex(otf-ujgb-v.tfm) = %{tl_version}
Provides: tex(otf-ujgbn-h.tfm) = %{tl_version}
Provides: tex(otf-ujgbn-v.tfm) = %{tl_version}
Provides: tex(otf-ujge-h.tfm) = %{tl_version}
Provides: tex(otf-ujge-v.tfm) = %{tl_version}
Provides: tex(otf-ujgen-h.tfm) = %{tl_version}
Provides: tex(otf-ujgen-v.tfm) = %{tl_version}
Provides: tex(otf-ujgr-h.tfm) = %{tl_version}
Provides: tex(otf-ujgr-v.tfm) = %{tl_version}
Provides: tex(otf-ujgrn-h.tfm) = %{tl_version}
Provides: tex(otf-ujgrn-v.tfm) = %{tl_version}
Provides: tex(otf-ujmb-h.tfm) = %{tl_version}
Provides: tex(otf-ujmb-v.tfm) = %{tl_version}
Provides: tex(otf-ujmbn-h.tfm) = %{tl_version}
Provides: tex(otf-ujmbn-v.tfm) = %{tl_version}
Provides: tex(otf-ujmgr-h.tfm) = %{tl_version}
Provides: tex(otf-ujmgr-v.tfm) = %{tl_version}
Provides: tex(otf-ujmgrn-h.tfm) = %{tl_version}
Provides: tex(otf-ujmgrn-v.tfm) = %{tl_version}
Provides: tex(otf-ujml-h.tfm) = %{tl_version}
Provides: tex(otf-ujml-v.tfm) = %{tl_version}
Provides: tex(otf-ujmln-h.tfm) = %{tl_version}
Provides: tex(otf-ujmln-v.tfm) = %{tl_version}
Provides: tex(otf-ujmr-h.tfm) = %{tl_version}
Provides: tex(otf-ujmr-v.tfm) = %{tl_version}
Provides: tex(otf-ujmrn-h.tfm) = %{tl_version}
Provides: tex(otf-ujmrn-v.tfm) = %{tl_version}
Provides: tex(otf-ukgr-h.tfm) = %{tl_version}
Provides: tex(otf-ukgr-v.tfm) = %{tl_version}
Provides: tex(otf-ukmr-h.tfm) = %{tl_version}
Provides: tex(otf-ukmr-v.tfm) = %{tl_version}
Provides: tex(otf-utgr-h.tfm) = %{tl_version}
Provides: tex(otf-utgr-v.tfm) = %{tl_version}
Provides: tex(otf-utmr-h.tfm) = %{tl_version}
Provides: tex(otf-utmr-v.tfm) = %{tl_version}
Provides: tex(phirakakuw3-h.tfm) = %{tl_version}
Provides: tex(phirakakuw3-v.tfm) = %{tl_version}
Provides: tex(phirakakuw6-h.tfm) = %{tl_version}
Provides: tex(phirakakuw6-v.tfm) = %{tl_version}
Provides: tex(phiramaruw4-h.tfm) = %{tl_version}
Provides: tex(phiramaruw4-v.tfm) = %{tl_version}
Provides: tex(phiraminw3-h.tfm) = %{tl_version}
Provides: tex(phiraminw3-v.tfm) = %{tl_version}
Provides: tex(phiraminw6-h.tfm) = %{tl_version}
Provides: tex(phiraminw6-v.tfm) = %{tl_version}
Provides: tex(rubygothb-h.tfm) = %{tl_version}
Provides: tex(rubygothb-v.tfm) = %{tl_version}
Provides: tex(rubygotheb-h.tfm) = %{tl_version}
Provides: tex(rubygotheb-v.tfm) = %{tl_version}
Provides: tex(rubygothr-h.tfm) = %{tl_version}
Provides: tex(rubygothr-v.tfm) = %{tl_version}
Provides: tex(rubymgothr-h.tfm) = %{tl_version}
Provides: tex(rubymgothr-v.tfm) = %{tl_version}
Provides: tex(rubyminb-h.tfm) = %{tl_version}
Provides: tex(rubyminb-v.tfm) = %{tl_version}
Provides: tex(rubyminl-h.tfm) = %{tl_version}
Provides: tex(rubyminl-v.tfm) = %{tl_version}
Provides: tex(rubyminr-h.tfm) = %{tl_version}
Provides: tex(rubyminr-v.tfm) = %{tl_version}
Provides: tex(utfcgr0-h.tfm) = %{tl_version}
Provides: tex(utfcgr0-v.tfm) = %{tl_version}
Provides: tex(utfcgr1-h.tfm) = %{tl_version}
Provides: tex(utfcgr1-v.tfm) = %{tl_version}
Provides: tex(utfcgr2-h.tfm) = %{tl_version}
Provides: tex(utfcgr2-v.tfm) = %{tl_version}
Provides: tex(utfcgr3-h.tfm) = %{tl_version}
Provides: tex(utfcgr3-v.tfm) = %{tl_version}
Provides: tex(utfcgr4-h.tfm) = %{tl_version}
Provides: tex(utfcgr4-v.tfm) = %{tl_version}
Provides: tex(utfcgr5-h.tfm) = %{tl_version}
Provides: tex(utfcgr5-v.tfm) = %{tl_version}
Provides: tex(utfcgr6-h.tfm) = %{tl_version}
Provides: tex(utfcgr6-v.tfm) = %{tl_version}
Provides: tex(utfcgr7-h.tfm) = %{tl_version}
Provides: tex(utfcgr7-v.tfm) = %{tl_version}
Provides: tex(utfcgr8-h.tfm) = %{tl_version}
Provides: tex(utfcgr8-v.tfm) = %{tl_version}
Provides: tex(utfcgr9-h.tfm) = %{tl_version}
Provides: tex(utfcgr9-v.tfm) = %{tl_version}
Provides: tex(utfcgra-h.tfm) = %{tl_version}
Provides: tex(utfcgra-v.tfm) = %{tl_version}
Provides: tex(utfcgrb-h.tfm) = %{tl_version}
Provides: tex(utfcgrb-v.tfm) = %{tl_version}
Provides: tex(utfcgrc-h.tfm) = %{tl_version}
Provides: tex(utfcgrc-v.tfm) = %{tl_version}
Provides: tex(utfcgrd-h.tfm) = %{tl_version}
Provides: tex(utfcgrd-v.tfm) = %{tl_version}
Provides: tex(utfcgre-h.tfm) = %{tl_version}
Provides: tex(utfcgre-v.tfm) = %{tl_version}
Provides: tex(utfcgrf-h.tfm) = %{tl_version}
Provides: tex(utfcgrf-v.tfm) = %{tl_version}
Provides: tex(utfcmr0-h.tfm) = %{tl_version}
Provides: tex(utfcmr0-v.tfm) = %{tl_version}
Provides: tex(utfcmr1-h.tfm) = %{tl_version}
Provides: tex(utfcmr1-v.tfm) = %{tl_version}
Provides: tex(utfcmr2-h.tfm) = %{tl_version}
Provides: tex(utfcmr2-v.tfm) = %{tl_version}
Provides: tex(utfcmr3-h.tfm) = %{tl_version}
Provides: tex(utfcmr3-v.tfm) = %{tl_version}
Provides: tex(utfcmr4-h.tfm) = %{tl_version}
Provides: tex(utfcmr4-v.tfm) = %{tl_version}
Provides: tex(utfcmr5-h.tfm) = %{tl_version}
Provides: tex(utfcmr5-v.tfm) = %{tl_version}
Provides: tex(utfcmr6-h.tfm) = %{tl_version}
Provides: tex(utfcmr6-v.tfm) = %{tl_version}
Provides: tex(utfcmr7-h.tfm) = %{tl_version}
Provides: tex(utfcmr7-v.tfm) = %{tl_version}
Provides: tex(utfcmr8-h.tfm) = %{tl_version}
Provides: tex(utfcmr8-v.tfm) = %{tl_version}
Provides: tex(utfcmr9-h.tfm) = %{tl_version}
Provides: tex(utfcmr9-v.tfm) = %{tl_version}
Provides: tex(utfcmra-h.tfm) = %{tl_version}
Provides: tex(utfcmra-v.tfm) = %{tl_version}
Provides: tex(utfcmrb-h.tfm) = %{tl_version}
Provides: tex(utfcmrb-v.tfm) = %{tl_version}
Provides: tex(utfcmrc-h.tfm) = %{tl_version}
Provides: tex(utfcmrc-v.tfm) = %{tl_version}
Provides: tex(utfcmrd-h.tfm) = %{tl_version}
Provides: tex(utfcmrd-v.tfm) = %{tl_version}
Provides: tex(utfcmre-h.tfm) = %{tl_version}
Provides: tex(utfcmre-v.tfm) = %{tl_version}
Provides: tex(utfcmrf-h.tfm) = %{tl_version}
Provides: tex(utfcmrf-v.tfm) = %{tl_version}
Provides: tex(utfgr0-h.tfm) = %{tl_version}
Provides: tex(utfgr0-v.tfm) = %{tl_version}
Provides: tex(utfgr1-h.tfm) = %{tl_version}
Provides: tex(utfgr1-v.tfm) = %{tl_version}
Provides: tex(utfgr2-h.tfm) = %{tl_version}
Provides: tex(utfgr2-v.tfm) = %{tl_version}
Provides: tex(utfgr3-h.tfm) = %{tl_version}
Provides: tex(utfgr3-v.tfm) = %{tl_version}
Provides: tex(utfgr4-h.tfm) = %{tl_version}
Provides: tex(utfgr4-v.tfm) = %{tl_version}
Provides: tex(utfgr5-h.tfm) = %{tl_version}
Provides: tex(utfgr5-v.tfm) = %{tl_version}
Provides: tex(utfgr6-h.tfm) = %{tl_version}
Provides: tex(utfgr6-v.tfm) = %{tl_version}
Provides: tex(utfgr7-h.tfm) = %{tl_version}
Provides: tex(utfgr7-v.tfm) = %{tl_version}
Provides: tex(utfgr8-h.tfm) = %{tl_version}
Provides: tex(utfgr8-v.tfm) = %{tl_version}
Provides: tex(utfgr9-h.tfm) = %{tl_version}
Provides: tex(utfgr9-v.tfm) = %{tl_version}
Provides: tex(utfgra-h.tfm) = %{tl_version}
Provides: tex(utfgra-v.tfm) = %{tl_version}
Provides: tex(utfgrb-h.tfm) = %{tl_version}
Provides: tex(utfgrb-v.tfm) = %{tl_version}
Provides: tex(utfgrc-h.tfm) = %{tl_version}
Provides: tex(utfgrc-v.tfm) = %{tl_version}
Provides: tex(utfgrd-h.tfm) = %{tl_version}
Provides: tex(utfgrd-v.tfm) = %{tl_version}
Provides: tex(utfgre-h.tfm) = %{tl_version}
Provides: tex(utfgre-v.tfm) = %{tl_version}
Provides: tex(utfgrf-h.tfm) = %{tl_version}
Provides: tex(utfgrf-v.tfm) = %{tl_version}
Provides: tex(utfjgb0-h.tfm) = %{tl_version}
Provides: tex(utfjgb0-v.tfm) = %{tl_version}
Provides: tex(utfjgb1-h.tfm) = %{tl_version}
Provides: tex(utfjgb1-v.tfm) = %{tl_version}
Provides: tex(utfjgb2-h.tfm) = %{tl_version}
Provides: tex(utfjgb2-v.tfm) = %{tl_version}
Provides: tex(utfjgb3-h.tfm) = %{tl_version}
Provides: tex(utfjgb3-v.tfm) = %{tl_version}
Provides: tex(utfjgb4-h.tfm) = %{tl_version}
Provides: tex(utfjgb4-v.tfm) = %{tl_version}
Provides: tex(utfjgb5-h.tfm) = %{tl_version}
Provides: tex(utfjgb5-v.tfm) = %{tl_version}
Provides: tex(utfjgb6-h.tfm) = %{tl_version}
Provides: tex(utfjgb6-v.tfm) = %{tl_version}
Provides: tex(utfjgb7-h.tfm) = %{tl_version}
Provides: tex(utfjgb7-v.tfm) = %{tl_version}
Provides: tex(utfjgb8-h.tfm) = %{tl_version}
Provides: tex(utfjgb8-v.tfm) = %{tl_version}
Provides: tex(utfjgb9-h.tfm) = %{tl_version}
Provides: tex(utfjgb9-v.tfm) = %{tl_version}
Provides: tex(utfjgba-h.tfm) = %{tl_version}
Provides: tex(utfjgba-v.tfm) = %{tl_version}
Provides: tex(utfjgbb-h.tfm) = %{tl_version}
Provides: tex(utfjgbb-v.tfm) = %{tl_version}
Provides: tex(utfjgbc-h.tfm) = %{tl_version}
Provides: tex(utfjgbc-v.tfm) = %{tl_version}
Provides: tex(utfjgbd-h.tfm) = %{tl_version}
Provides: tex(utfjgbd-v.tfm) = %{tl_version}
Provides: tex(utfjgbe-h.tfm) = %{tl_version}
Provides: tex(utfjgbe-v.tfm) = %{tl_version}
Provides: tex(utfjgbf-h.tfm) = %{tl_version}
Provides: tex(utfjgbf-v.tfm) = %{tl_version}
Provides: tex(utfjgbn0-h.tfm) = %{tl_version}
Provides: tex(utfjgbn0-v.tfm) = %{tl_version}
Provides: tex(utfjgbn1-h.tfm) = %{tl_version}
Provides: tex(utfjgbn1-v.tfm) = %{tl_version}
Provides: tex(utfjgbn2-h.tfm) = %{tl_version}
Provides: tex(utfjgbn2-v.tfm) = %{tl_version}
Provides: tex(utfjgbn3-h.tfm) = %{tl_version}
Provides: tex(utfjgbn3-v.tfm) = %{tl_version}
Provides: tex(utfjgbn4-h.tfm) = %{tl_version}
Provides: tex(utfjgbn4-v.tfm) = %{tl_version}
Provides: tex(utfjgbn5-h.tfm) = %{tl_version}
Provides: tex(utfjgbn5-v.tfm) = %{tl_version}
Provides: tex(utfjgbn6-h.tfm) = %{tl_version}
Provides: tex(utfjgbn6-v.tfm) = %{tl_version}
Provides: tex(utfjgbn7-h.tfm) = %{tl_version}
Provides: tex(utfjgbn7-v.tfm) = %{tl_version}
Provides: tex(utfjgbn8-h.tfm) = %{tl_version}
Provides: tex(utfjgbn8-v.tfm) = %{tl_version}
Provides: tex(utfjgbn9-h.tfm) = %{tl_version}
Provides: tex(utfjgbn9-v.tfm) = %{tl_version}
Provides: tex(utfjgbna-h.tfm) = %{tl_version}
Provides: tex(utfjgbna-v.tfm) = %{tl_version}
Provides: tex(utfjgbnb-h.tfm) = %{tl_version}
Provides: tex(utfjgbnb-v.tfm) = %{tl_version}
Provides: tex(utfjgbnc-h.tfm) = %{tl_version}
Provides: tex(utfjgbnc-v.tfm) = %{tl_version}
Provides: tex(utfjgbnd-h.tfm) = %{tl_version}
Provides: tex(utfjgbnd-v.tfm) = %{tl_version}
Provides: tex(utfjgbne-h.tfm) = %{tl_version}
Provides: tex(utfjgbne-v.tfm) = %{tl_version}
Provides: tex(utfjgbnf-h.tfm) = %{tl_version}
Provides: tex(utfjgbnf-v.tfm) = %{tl_version}
Provides: tex(utfjge0-h.tfm) = %{tl_version}
Provides: tex(utfjge0-v.tfm) = %{tl_version}
Provides: tex(utfjge1-h.tfm) = %{tl_version}
Provides: tex(utfjge1-v.tfm) = %{tl_version}
Provides: tex(utfjge2-h.tfm) = %{tl_version}
Provides: tex(utfjge2-v.tfm) = %{tl_version}
Provides: tex(utfjge3-h.tfm) = %{tl_version}
Provides: tex(utfjge3-v.tfm) = %{tl_version}
Provides: tex(utfjge4-h.tfm) = %{tl_version}
Provides: tex(utfjge4-v.tfm) = %{tl_version}
Provides: tex(utfjge5-h.tfm) = %{tl_version}
Provides: tex(utfjge5-v.tfm) = %{tl_version}
Provides: tex(utfjge6-h.tfm) = %{tl_version}
Provides: tex(utfjge6-v.tfm) = %{tl_version}
Provides: tex(utfjge7-h.tfm) = %{tl_version}
Provides: tex(utfjge7-v.tfm) = %{tl_version}
Provides: tex(utfjge8-h.tfm) = %{tl_version}
Provides: tex(utfjge8-v.tfm) = %{tl_version}
Provides: tex(utfjge9-h.tfm) = %{tl_version}
Provides: tex(utfjge9-v.tfm) = %{tl_version}
Provides: tex(utfjgea-h.tfm) = %{tl_version}
Provides: tex(utfjgea-v.tfm) = %{tl_version}
Provides: tex(utfjgeb-h.tfm) = %{tl_version}
Provides: tex(utfjgeb-v.tfm) = %{tl_version}
Provides: tex(utfjgec-h.tfm) = %{tl_version}
Provides: tex(utfjgec-v.tfm) = %{tl_version}
Provides: tex(utfjged-h.tfm) = %{tl_version}
Provides: tex(utfjged-v.tfm) = %{tl_version}
Provides: tex(utfjgee-h.tfm) = %{tl_version}
Provides: tex(utfjgee-v.tfm) = %{tl_version}
Provides: tex(utfjgef-h.tfm) = %{tl_version}
Provides: tex(utfjgef-v.tfm) = %{tl_version}
Provides: tex(utfjgen0-h.tfm) = %{tl_version}
Provides: tex(utfjgen0-v.tfm) = %{tl_version}
Provides: tex(utfjgen1-h.tfm) = %{tl_version}
Provides: tex(utfjgen1-v.tfm) = %{tl_version}
Provides: tex(utfjgen2-h.tfm) = %{tl_version}
Provides: tex(utfjgen2-v.tfm) = %{tl_version}
Provides: tex(utfjgen3-h.tfm) = %{tl_version}
Provides: tex(utfjgen3-v.tfm) = %{tl_version}
Provides: tex(utfjgen4-h.tfm) = %{tl_version}
Provides: tex(utfjgen4-v.tfm) = %{tl_version}
Provides: tex(utfjgen5-h.tfm) = %{tl_version}
Provides: tex(utfjgen5-v.tfm) = %{tl_version}
Provides: tex(utfjgen6-h.tfm) = %{tl_version}
Provides: tex(utfjgen6-v.tfm) = %{tl_version}
Provides: tex(utfjgen7-h.tfm) = %{tl_version}
Provides: tex(utfjgen7-v.tfm) = %{tl_version}
Provides: tex(utfjgen8-h.tfm) = %{tl_version}
Provides: tex(utfjgen8-v.tfm) = %{tl_version}
Provides: tex(utfjgen9-h.tfm) = %{tl_version}
Provides: tex(utfjgen9-v.tfm) = %{tl_version}
Provides: tex(utfjgena-h.tfm) = %{tl_version}
Provides: tex(utfjgena-v.tfm) = %{tl_version}
Provides: tex(utfjgenb-h.tfm) = %{tl_version}
Provides: tex(utfjgenb-v.tfm) = %{tl_version}
Provides: tex(utfjgenc-h.tfm) = %{tl_version}
Provides: tex(utfjgenc-v.tfm) = %{tl_version}
Provides: tex(utfjgend-h.tfm) = %{tl_version}
Provides: tex(utfjgend-v.tfm) = %{tl_version}
Provides: tex(utfjgene-h.tfm) = %{tl_version}
Provides: tex(utfjgene-v.tfm) = %{tl_version}
Provides: tex(utfjgenf-h.tfm) = %{tl_version}
Provides: tex(utfjgenf-v.tfm) = %{tl_version}
Provides: tex(utfjgr0-h.tfm) = %{tl_version}
Provides: tex(utfjgr0-v.tfm) = %{tl_version}
Provides: tex(utfjgr1-h.tfm) = %{tl_version}
Provides: tex(utfjgr1-v.tfm) = %{tl_version}
Provides: tex(utfjgr2-h.tfm) = %{tl_version}
Provides: tex(utfjgr2-v.tfm) = %{tl_version}
Provides: tex(utfjgr3-h.tfm) = %{tl_version}
Provides: tex(utfjgr3-v.tfm) = %{tl_version}
Provides: tex(utfjgr4-h.tfm) = %{tl_version}
Provides: tex(utfjgr4-v.tfm) = %{tl_version}
Provides: tex(utfjgr5-h.tfm) = %{tl_version}
Provides: tex(utfjgr5-v.tfm) = %{tl_version}
Provides: tex(utfjgr6-h.tfm) = %{tl_version}
Provides: tex(utfjgr6-v.tfm) = %{tl_version}
Provides: tex(utfjgr7-h.tfm) = %{tl_version}
Provides: tex(utfjgr7-v.tfm) = %{tl_version}
Provides: tex(utfjgr8-h.tfm) = %{tl_version}
Provides: tex(utfjgr8-v.tfm) = %{tl_version}
Provides: tex(utfjgr9-h.tfm) = %{tl_version}
Provides: tex(utfjgr9-v.tfm) = %{tl_version}
Provides: tex(utfjgra-h.tfm) = %{tl_version}
Provides: tex(utfjgra-v.tfm) = %{tl_version}
Provides: tex(utfjgrb-h.tfm) = %{tl_version}
Provides: tex(utfjgrb-v.tfm) = %{tl_version}
Provides: tex(utfjgrc-h.tfm) = %{tl_version}
Provides: tex(utfjgrc-v.tfm) = %{tl_version}
Provides: tex(utfjgrd-h.tfm) = %{tl_version}
Provides: tex(utfjgrd-v.tfm) = %{tl_version}
Provides: tex(utfjgre-h.tfm) = %{tl_version}
Provides: tex(utfjgre-v.tfm) = %{tl_version}
Provides: tex(utfjgrf-h.tfm) = %{tl_version}
Provides: tex(utfjgrf-v.tfm) = %{tl_version}
Provides: tex(utfjgrn0-h.tfm) = %{tl_version}
Provides: tex(utfjgrn0-v.tfm) = %{tl_version}
Provides: tex(utfjgrn1-h.tfm) = %{tl_version}
Provides: tex(utfjgrn1-v.tfm) = %{tl_version}
Provides: tex(utfjgrn2-h.tfm) = %{tl_version}
Provides: tex(utfjgrn2-v.tfm) = %{tl_version}
Provides: tex(utfjgrn3-h.tfm) = %{tl_version}
Provides: tex(utfjgrn3-v.tfm) = %{tl_version}
Provides: tex(utfjgrn4-h.tfm) = %{tl_version}
Provides: tex(utfjgrn4-v.tfm) = %{tl_version}
Provides: tex(utfjgrn5-h.tfm) = %{tl_version}
Provides: tex(utfjgrn5-v.tfm) = %{tl_version}
Provides: tex(utfjgrn6-h.tfm) = %{tl_version}
Provides: tex(utfjgrn6-v.tfm) = %{tl_version}
Provides: tex(utfjgrn7-h.tfm) = %{tl_version}
Provides: tex(utfjgrn7-v.tfm) = %{tl_version}
Provides: tex(utfjgrn8-h.tfm) = %{tl_version}
Provides: tex(utfjgrn8-v.tfm) = %{tl_version}
Provides: tex(utfjgrn9-h.tfm) = %{tl_version}
Provides: tex(utfjgrn9-v.tfm) = %{tl_version}
Provides: tex(utfjgrna-h.tfm) = %{tl_version}
Provides: tex(utfjgrna-v.tfm) = %{tl_version}
Provides: tex(utfjgrnb-h.tfm) = %{tl_version}
Provides: tex(utfjgrnb-v.tfm) = %{tl_version}
Provides: tex(utfjgrnc-h.tfm) = %{tl_version}
Provides: tex(utfjgrnc-v.tfm) = %{tl_version}
Provides: tex(utfjgrnd-h.tfm) = %{tl_version}
Provides: tex(utfjgrnd-v.tfm) = %{tl_version}
Provides: tex(utfjgrne-h.tfm) = %{tl_version}
Provides: tex(utfjgrne-v.tfm) = %{tl_version}
Provides: tex(utfjgrnf-h.tfm) = %{tl_version}
Provides: tex(utfjgrnf-v.tfm) = %{tl_version}
Provides: tex(utfjmb0-h.tfm) = %{tl_version}
Provides: tex(utfjmb0-v.tfm) = %{tl_version}
Provides: tex(utfjmb1-h.tfm) = %{tl_version}
Provides: tex(utfjmb1-v.tfm) = %{tl_version}
Provides: tex(utfjmb2-h.tfm) = %{tl_version}
Provides: tex(utfjmb2-v.tfm) = %{tl_version}
Provides: tex(utfjmb3-h.tfm) = %{tl_version}
Provides: tex(utfjmb3-v.tfm) = %{tl_version}
Provides: tex(utfjmb4-h.tfm) = %{tl_version}
Provides: tex(utfjmb4-v.tfm) = %{tl_version}
Provides: tex(utfjmb5-h.tfm) = %{tl_version}
Provides: tex(utfjmb5-v.tfm) = %{tl_version}
Provides: tex(utfjmb6-h.tfm) = %{tl_version}
Provides: tex(utfjmb6-v.tfm) = %{tl_version}
Provides: tex(utfjmb7-h.tfm) = %{tl_version}
Provides: tex(utfjmb7-v.tfm) = %{tl_version}
Provides: tex(utfjmb8-h.tfm) = %{tl_version}
Provides: tex(utfjmb8-v.tfm) = %{tl_version}
Provides: tex(utfjmb9-h.tfm) = %{tl_version}
Provides: tex(utfjmb9-v.tfm) = %{tl_version}
Provides: tex(utfjmba-h.tfm) = %{tl_version}
Provides: tex(utfjmba-v.tfm) = %{tl_version}
Provides: tex(utfjmbb-h.tfm) = %{tl_version}
Provides: tex(utfjmbb-v.tfm) = %{tl_version}
Provides: tex(utfjmbc-h.tfm) = %{tl_version}
Provides: tex(utfjmbc-v.tfm) = %{tl_version}
Provides: tex(utfjmbd-h.tfm) = %{tl_version}
Provides: tex(utfjmbd-v.tfm) = %{tl_version}
Provides: tex(utfjmbe-h.tfm) = %{tl_version}
Provides: tex(utfjmbe-v.tfm) = %{tl_version}
Provides: tex(utfjmbf-h.tfm) = %{tl_version}
Provides: tex(utfjmbf-v.tfm) = %{tl_version}
Provides: tex(utfjmbn0-h.tfm) = %{tl_version}
Provides: tex(utfjmbn0-v.tfm) = %{tl_version}
Provides: tex(utfjmbn1-h.tfm) = %{tl_version}
Provides: tex(utfjmbn1-v.tfm) = %{tl_version}
Provides: tex(utfjmbn2-h.tfm) = %{tl_version}
Provides: tex(utfjmbn2-v.tfm) = %{tl_version}
Provides: tex(utfjmbn3-h.tfm) = %{tl_version}
Provides: tex(utfjmbn3-v.tfm) = %{tl_version}
Provides: tex(utfjmbn4-h.tfm) = %{tl_version}
Provides: tex(utfjmbn4-v.tfm) = %{tl_version}
Provides: tex(utfjmbn5-h.tfm) = %{tl_version}
Provides: tex(utfjmbn5-v.tfm) = %{tl_version}
Provides: tex(utfjmbn6-h.tfm) = %{tl_version}
Provides: tex(utfjmbn6-v.tfm) = %{tl_version}
Provides: tex(utfjmbn7-h.tfm) = %{tl_version}
Provides: tex(utfjmbn7-v.tfm) = %{tl_version}
Provides: tex(utfjmbn8-h.tfm) = %{tl_version}
Provides: tex(utfjmbn8-v.tfm) = %{tl_version}
Provides: tex(utfjmbn9-h.tfm) = %{tl_version}
Provides: tex(utfjmbn9-v.tfm) = %{tl_version}
Provides: tex(utfjmbna-h.tfm) = %{tl_version}
Provides: tex(utfjmbna-v.tfm) = %{tl_version}
Provides: tex(utfjmbnb-h.tfm) = %{tl_version}
Provides: tex(utfjmbnb-v.tfm) = %{tl_version}
Provides: tex(utfjmbnc-h.tfm) = %{tl_version}
Provides: tex(utfjmbnc-v.tfm) = %{tl_version}
Provides: tex(utfjmbnd-h.tfm) = %{tl_version}
Provides: tex(utfjmbnd-v.tfm) = %{tl_version}
Provides: tex(utfjmbne-h.tfm) = %{tl_version}
Provides: tex(utfjmbne-v.tfm) = %{tl_version}
Provides: tex(utfjmbnf-h.tfm) = %{tl_version}
Provides: tex(utfjmbnf-v.tfm) = %{tl_version}
Provides: tex(utfjmgr0-h.tfm) = %{tl_version}
Provides: tex(utfjmgr0-v.tfm) = %{tl_version}
Provides: tex(utfjmgr1-h.tfm) = %{tl_version}
Provides: tex(utfjmgr1-v.tfm) = %{tl_version}
Provides: tex(utfjmgr2-h.tfm) = %{tl_version}
Provides: tex(utfjmgr2-v.tfm) = %{tl_version}
Provides: tex(utfjmgr3-h.tfm) = %{tl_version}
Provides: tex(utfjmgr3-v.tfm) = %{tl_version}
Provides: tex(utfjmgr4-h.tfm) = %{tl_version}
Provides: tex(utfjmgr4-v.tfm) = %{tl_version}
Provides: tex(utfjmgr5-h.tfm) = %{tl_version}
Provides: tex(utfjmgr5-v.tfm) = %{tl_version}
Provides: tex(utfjmgr6-h.tfm) = %{tl_version}
Provides: tex(utfjmgr6-v.tfm) = %{tl_version}
Provides: tex(utfjmgr7-h.tfm) = %{tl_version}
Provides: tex(utfjmgr7-v.tfm) = %{tl_version}
Provides: tex(utfjmgr8-h.tfm) = %{tl_version}
Provides: tex(utfjmgr8-v.tfm) = %{tl_version}
Provides: tex(utfjmgr9-h.tfm) = %{tl_version}
Provides: tex(utfjmgr9-v.tfm) = %{tl_version}
Provides: tex(utfjmgra-h.tfm) = %{tl_version}
Provides: tex(utfjmgra-v.tfm) = %{tl_version}
Provides: tex(utfjmgrb-h.tfm) = %{tl_version}
Provides: tex(utfjmgrb-v.tfm) = %{tl_version}
Provides: tex(utfjmgrc-h.tfm) = %{tl_version}
Provides: tex(utfjmgrc-v.tfm) = %{tl_version}
Provides: tex(utfjmgrd-h.tfm) = %{tl_version}
Provides: tex(utfjmgrd-v.tfm) = %{tl_version}
Provides: tex(utfjmgre-h.tfm) = %{tl_version}
Provides: tex(utfjmgre-v.tfm) = %{tl_version}
Provides: tex(utfjmgrf-h.tfm) = %{tl_version}
Provides: tex(utfjmgrf-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn0-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn0-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn1-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn1-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn2-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn2-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn3-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn3-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn4-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn4-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn5-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn5-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn6-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn6-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn7-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn7-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn8-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn8-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn9-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn9-v.tfm) = %{tl_version}
Provides: tex(utfjmgrna-h.tfm) = %{tl_version}
Provides: tex(utfjmgrna-v.tfm) = %{tl_version}
Provides: tex(utfjmgrnb-h.tfm) = %{tl_version}
Provides: tex(utfjmgrnb-v.tfm) = %{tl_version}
Provides: tex(utfjmgrnc-h.tfm) = %{tl_version}
Provides: tex(utfjmgrnc-v.tfm) = %{tl_version}
Provides: tex(utfjmgrnd-h.tfm) = %{tl_version}
Provides: tex(utfjmgrnd-v.tfm) = %{tl_version}
Provides: tex(utfjmgrne-h.tfm) = %{tl_version}
Provides: tex(utfjmgrne-v.tfm) = %{tl_version}
Provides: tex(utfjmgrnf-h.tfm) = %{tl_version}
Provides: tex(utfjmgrnf-v.tfm) = %{tl_version}
Provides: tex(utfjml0-h.tfm) = %{tl_version}
Provides: tex(utfjml0-v.tfm) = %{tl_version}
Provides: tex(utfjml1-h.tfm) = %{tl_version}
Provides: tex(utfjml1-v.tfm) = %{tl_version}
Provides: tex(utfjml2-h.tfm) = %{tl_version}
Provides: tex(utfjml2-v.tfm) = %{tl_version}
Provides: tex(utfjml3-h.tfm) = %{tl_version}
Provides: tex(utfjml3-v.tfm) = %{tl_version}
Provides: tex(utfjml4-h.tfm) = %{tl_version}
Provides: tex(utfjml4-v.tfm) = %{tl_version}
Provides: tex(utfjml5-h.tfm) = %{tl_version}
Provides: tex(utfjml5-v.tfm) = %{tl_version}
Provides: tex(utfjml6-h.tfm) = %{tl_version}
Provides: tex(utfjml6-v.tfm) = %{tl_version}
Provides: tex(utfjml7-h.tfm) = %{tl_version}
Provides: tex(utfjml7-v.tfm) = %{tl_version}
Provides: tex(utfjml8-h.tfm) = %{tl_version}
Provides: tex(utfjml8-v.tfm) = %{tl_version}
Provides: tex(utfjml9-h.tfm) = %{tl_version}
Provides: tex(utfjml9-v.tfm) = %{tl_version}
Provides: tex(utfjmla-h.tfm) = %{tl_version}
Provides: tex(utfjmla-v.tfm) = %{tl_version}
Provides: tex(utfjmlb-h.tfm) = %{tl_version}
Provides: tex(utfjmlb-v.tfm) = %{tl_version}
Provides: tex(utfjmlc-h.tfm) = %{tl_version}
Provides: tex(utfjmlc-v.tfm) = %{tl_version}
Provides: tex(utfjmld-h.tfm) = %{tl_version}
Provides: tex(utfjmld-v.tfm) = %{tl_version}
Provides: tex(utfjmle-h.tfm) = %{tl_version}
Provides: tex(utfjmle-v.tfm) = %{tl_version}
Provides: tex(utfjmlf-h.tfm) = %{tl_version}
Provides: tex(utfjmlf-v.tfm) = %{tl_version}
Provides: tex(utfjmln0-h.tfm) = %{tl_version}
Provides: tex(utfjmln0-v.tfm) = %{tl_version}
Provides: tex(utfjmln1-h.tfm) = %{tl_version}
Provides: tex(utfjmln1-v.tfm) = %{tl_version}
Provides: tex(utfjmln2-h.tfm) = %{tl_version}
Provides: tex(utfjmln2-v.tfm) = %{tl_version}
Provides: tex(utfjmln3-h.tfm) = %{tl_version}
Provides: tex(utfjmln3-v.tfm) = %{tl_version}
Provides: tex(utfjmln4-h.tfm) = %{tl_version}
Provides: tex(utfjmln4-v.tfm) = %{tl_version}
Provides: tex(utfjmln5-h.tfm) = %{tl_version}
Provides: tex(utfjmln5-v.tfm) = %{tl_version}
Provides: tex(utfjmln6-h.tfm) = %{tl_version}
Provides: tex(utfjmln6-v.tfm) = %{tl_version}
Provides: tex(utfjmln7-h.tfm) = %{tl_version}
Provides: tex(utfjmln7-v.tfm) = %{tl_version}
Provides: tex(utfjmln8-h.tfm) = %{tl_version}
Provides: tex(utfjmln8-v.tfm) = %{tl_version}
Provides: tex(utfjmln9-h.tfm) = %{tl_version}
Provides: tex(utfjmln9-v.tfm) = %{tl_version}
Provides: tex(utfjmlna-h.tfm) = %{tl_version}
Provides: tex(utfjmlna-v.tfm) = %{tl_version}
Provides: tex(utfjmlnb-h.tfm) = %{tl_version}
Provides: tex(utfjmlnb-v.tfm) = %{tl_version}
Provides: tex(utfjmlnc-h.tfm) = %{tl_version}
Provides: tex(utfjmlnc-v.tfm) = %{tl_version}
Provides: tex(utfjmlnd-h.tfm) = %{tl_version}
Provides: tex(utfjmlnd-v.tfm) = %{tl_version}
Provides: tex(utfjmlne-h.tfm) = %{tl_version}
Provides: tex(utfjmlne-v.tfm) = %{tl_version}
Provides: tex(utfjmlnf-h.tfm) = %{tl_version}
Provides: tex(utfjmlnf-v.tfm) = %{tl_version}
Provides: tex(utfjmr0-h.tfm) = %{tl_version}
Provides: tex(utfjmr0-v.tfm) = %{tl_version}
Provides: tex(utfjmr1-h.tfm) = %{tl_version}
Provides: tex(utfjmr1-v.tfm) = %{tl_version}
Provides: tex(utfjmr2-h.tfm) = %{tl_version}
Provides: tex(utfjmr2-v.tfm) = %{tl_version}
Provides: tex(utfjmr3-h.tfm) = %{tl_version}
Provides: tex(utfjmr3-v.tfm) = %{tl_version}
Provides: tex(utfjmr4-h.tfm) = %{tl_version}
Provides: tex(utfjmr4-v.tfm) = %{tl_version}
Provides: tex(utfjmr5-h.tfm) = %{tl_version}
Provides: tex(utfjmr5-v.tfm) = %{tl_version}
Provides: tex(utfjmr6-h.tfm) = %{tl_version}
Provides: tex(utfjmr6-v.tfm) = %{tl_version}
Provides: tex(utfjmr7-h.tfm) = %{tl_version}
Provides: tex(utfjmr7-v.tfm) = %{tl_version}
Provides: tex(utfjmr8-h.tfm) = %{tl_version}
Provides: tex(utfjmr8-v.tfm) = %{tl_version}
Provides: tex(utfjmr9-h.tfm) = %{tl_version}
Provides: tex(utfjmr9-v.tfm) = %{tl_version}
Provides: tex(utfjmra-h.tfm) = %{tl_version}
Provides: tex(utfjmra-v.tfm) = %{tl_version}
Provides: tex(utfjmrb-h.tfm) = %{tl_version}
Provides: tex(utfjmrb-v.tfm) = %{tl_version}
Provides: tex(utfjmrc-h.tfm) = %{tl_version}
Provides: tex(utfjmrc-v.tfm) = %{tl_version}
Provides: tex(utfjmrd-h.tfm) = %{tl_version}
Provides: tex(utfjmrd-v.tfm) = %{tl_version}
Provides: tex(utfjmre-h.tfm) = %{tl_version}
Provides: tex(utfjmre-v.tfm) = %{tl_version}
Provides: tex(utfjmrf-h.tfm) = %{tl_version}
Provides: tex(utfjmrf-v.tfm) = %{tl_version}
Provides: tex(utfjmrn0-h.tfm) = %{tl_version}
Provides: tex(utfjmrn0-v.tfm) = %{tl_version}
Provides: tex(utfjmrn1-h.tfm) = %{tl_version}
Provides: tex(utfjmrn1-v.tfm) = %{tl_version}
Provides: tex(utfjmrn2-h.tfm) = %{tl_version}
Provides: tex(utfjmrn2-v.tfm) = %{tl_version}
Provides: tex(utfjmrn3-h.tfm) = %{tl_version}
Provides: tex(utfjmrn3-v.tfm) = %{tl_version}
Provides: tex(utfjmrn4-h.tfm) = %{tl_version}
Provides: tex(utfjmrn4-v.tfm) = %{tl_version}
Provides: tex(utfjmrn5-h.tfm) = %{tl_version}
Provides: tex(utfjmrn5-v.tfm) = %{tl_version}
Provides: tex(utfjmrn6-h.tfm) = %{tl_version}
Provides: tex(utfjmrn6-v.tfm) = %{tl_version}
Provides: tex(utfjmrn7-h.tfm) = %{tl_version}
Provides: tex(utfjmrn7-v.tfm) = %{tl_version}
Provides: tex(utfjmrn8-h.tfm) = %{tl_version}
Provides: tex(utfjmrn8-v.tfm) = %{tl_version}
Provides: tex(utfjmrn9-h.tfm) = %{tl_version}
Provides: tex(utfjmrn9-v.tfm) = %{tl_version}
Provides: tex(utfjmrna-h.tfm) = %{tl_version}
Provides: tex(utfjmrna-v.tfm) = %{tl_version}
Provides: tex(utfjmrnb-h.tfm) = %{tl_version}
Provides: tex(utfjmrnb-v.tfm) = %{tl_version}
Provides: tex(utfjmrnc-h.tfm) = %{tl_version}
Provides: tex(utfjmrnc-v.tfm) = %{tl_version}
Provides: tex(utfjmrnd-h.tfm) = %{tl_version}
Provides: tex(utfjmrnd-v.tfm) = %{tl_version}
Provides: tex(utfjmrne-h.tfm) = %{tl_version}
Provides: tex(utfjmrne-v.tfm) = %{tl_version}
Provides: tex(utfjmrnf-h.tfm) = %{tl_version}
Provides: tex(utfjmrnf-v.tfm) = %{tl_version}
Provides: tex(utfkgr0-h.tfm) = %{tl_version}
Provides: tex(utfkgr0-v.tfm) = %{tl_version}
Provides: tex(utfkgr1-h.tfm) = %{tl_version}
Provides: tex(utfkgr1-v.tfm) = %{tl_version}
Provides: tex(utfkgr2-h.tfm) = %{tl_version}
Provides: tex(utfkgr2-v.tfm) = %{tl_version}
Provides: tex(utfkgr3-h.tfm) = %{tl_version}
Provides: tex(utfkgr3-v.tfm) = %{tl_version}
Provides: tex(utfkgr4-h.tfm) = %{tl_version}
Provides: tex(utfkgr4-v.tfm) = %{tl_version}
Provides: tex(utfkgr5-h.tfm) = %{tl_version}
Provides: tex(utfkgr5-v.tfm) = %{tl_version}
Provides: tex(utfkgr6-h.tfm) = %{tl_version}
Provides: tex(utfkgr6-v.tfm) = %{tl_version}
Provides: tex(utfkgr7-h.tfm) = %{tl_version}
Provides: tex(utfkgr7-v.tfm) = %{tl_version}
Provides: tex(utfkgr8-h.tfm) = %{tl_version}
Provides: tex(utfkgr8-v.tfm) = %{tl_version}
Provides: tex(utfkgr9-h.tfm) = %{tl_version}
Provides: tex(utfkgr9-v.tfm) = %{tl_version}
Provides: tex(utfkgra-h.tfm) = %{tl_version}
Provides: tex(utfkgra-v.tfm) = %{tl_version}
Provides: tex(utfkgrb-h.tfm) = %{tl_version}
Provides: tex(utfkgrb-v.tfm) = %{tl_version}
Provides: tex(utfkgrc-h.tfm) = %{tl_version}
Provides: tex(utfkgrc-v.tfm) = %{tl_version}
Provides: tex(utfkgrd-h.tfm) = %{tl_version}
Provides: tex(utfkgrd-v.tfm) = %{tl_version}
Provides: tex(utfkgre-h.tfm) = %{tl_version}
Provides: tex(utfkgre-v.tfm) = %{tl_version}
Provides: tex(utfkgrf-h.tfm) = %{tl_version}
Provides: tex(utfkgrf-v.tfm) = %{tl_version}
Provides: tex(utfkmr0-h.tfm) = %{tl_version}
Provides: tex(utfkmr0-v.tfm) = %{tl_version}
Provides: tex(utfkmr1-h.tfm) = %{tl_version}
Provides: tex(utfkmr1-v.tfm) = %{tl_version}
Provides: tex(utfkmr2-h.tfm) = %{tl_version}
Provides: tex(utfkmr2-v.tfm) = %{tl_version}
Provides: tex(utfkmr3-h.tfm) = %{tl_version}
Provides: tex(utfkmr3-v.tfm) = %{tl_version}
Provides: tex(utfkmr4-h.tfm) = %{tl_version}
Provides: tex(utfkmr4-v.tfm) = %{tl_version}
Provides: tex(utfkmr5-h.tfm) = %{tl_version}
Provides: tex(utfkmr5-v.tfm) = %{tl_version}
Provides: tex(utfkmr6-h.tfm) = %{tl_version}
Provides: tex(utfkmr6-v.tfm) = %{tl_version}
Provides: tex(utfkmr7-h.tfm) = %{tl_version}
Provides: tex(utfkmr7-v.tfm) = %{tl_version}
Provides: tex(utfkmr8-h.tfm) = %{tl_version}
Provides: tex(utfkmr8-v.tfm) = %{tl_version}
Provides: tex(utfkmr9-h.tfm) = %{tl_version}
Provides: tex(utfkmr9-v.tfm) = %{tl_version}
Provides: tex(utfkmra-h.tfm) = %{tl_version}
Provides: tex(utfkmra-v.tfm) = %{tl_version}
Provides: tex(utfkmrb-h.tfm) = %{tl_version}
Provides: tex(utfkmrb-v.tfm) = %{tl_version}
Provides: tex(utfkmrc-h.tfm) = %{tl_version}
Provides: tex(utfkmrc-v.tfm) = %{tl_version}
Provides: tex(utfkmrd-h.tfm) = %{tl_version}
Provides: tex(utfkmrd-v.tfm) = %{tl_version}
Provides: tex(utfkmre-h.tfm) = %{tl_version}
Provides: tex(utfkmre-v.tfm) = %{tl_version}
Provides: tex(utfkmrf-h.tfm) = %{tl_version}
Provides: tex(utfkmrf-v.tfm) = %{tl_version}
Provides: tex(utfmr0-h.tfm) = %{tl_version}
Provides: tex(utfmr0-v.tfm) = %{tl_version}
Provides: tex(utfmr1-h.tfm) = %{tl_version}
Provides: tex(utfmr1-v.tfm) = %{tl_version}
Provides: tex(utfmr2-h.tfm) = %{tl_version}
Provides: tex(utfmr2-v.tfm) = %{tl_version}
Provides: tex(utfmr3-h.tfm) = %{tl_version}
Provides: tex(utfmr3-v.tfm) = %{tl_version}
Provides: tex(utfmr4-h.tfm) = %{tl_version}
Provides: tex(utfmr4-v.tfm) = %{tl_version}
Provides: tex(utfmr5-h.tfm) = %{tl_version}
Provides: tex(utfmr5-v.tfm) = %{tl_version}
Provides: tex(utfmr6-h.tfm) = %{tl_version}
Provides: tex(utfmr6-v.tfm) = %{tl_version}
Provides: tex(utfmr7-h.tfm) = %{tl_version}
Provides: tex(utfmr7-v.tfm) = %{tl_version}
Provides: tex(utfmr8-h.tfm) = %{tl_version}
Provides: tex(utfmr8-v.tfm) = %{tl_version}
Provides: tex(utfmr9-h.tfm) = %{tl_version}
Provides: tex(utfmr9-v.tfm) = %{tl_version}
Provides: tex(utfmra-h.tfm) = %{tl_version}
Provides: tex(utfmra-v.tfm) = %{tl_version}
Provides: tex(utfmrb-h.tfm) = %{tl_version}
Provides: tex(utfmrb-v.tfm) = %{tl_version}
Provides: tex(utfmrc-h.tfm) = %{tl_version}
Provides: tex(utfmrc-v.tfm) = %{tl_version}
Provides: tex(utfmrd-h.tfm) = %{tl_version}
Provides: tex(utfmrd-v.tfm) = %{tl_version}
Provides: tex(utfmre-h.tfm) = %{tl_version}
Provides: tex(utfmre-v.tfm) = %{tl_version}
Provides: tex(utfmrf-h.tfm) = %{tl_version}
Provides: tex(utfmrf-v.tfm) = %{tl_version}
Provides: tex(utftgr0-h.tfm) = %{tl_version}
Provides: tex(utftgr0-v.tfm) = %{tl_version}
Provides: tex(utftgr1-h.tfm) = %{tl_version}
Provides: tex(utftgr1-v.tfm) = %{tl_version}
Provides: tex(utftgr2-h.tfm) = %{tl_version}
Provides: tex(utftgr2-v.tfm) = %{tl_version}
Provides: tex(utftgr3-h.tfm) = %{tl_version}
Provides: tex(utftgr3-v.tfm) = %{tl_version}
Provides: tex(utftgr4-h.tfm) = %{tl_version}
Provides: tex(utftgr4-v.tfm) = %{tl_version}
Provides: tex(utftgr5-h.tfm) = %{tl_version}
Provides: tex(utftgr5-v.tfm) = %{tl_version}
Provides: tex(utftgr6-h.tfm) = %{tl_version}
Provides: tex(utftgr6-v.tfm) = %{tl_version}
Provides: tex(utftgr7-h.tfm) = %{tl_version}
Provides: tex(utftgr7-v.tfm) = %{tl_version}
Provides: tex(utftgr8-h.tfm) = %{tl_version}
Provides: tex(utftgr8-v.tfm) = %{tl_version}
Provides: tex(utftgr9-h.tfm) = %{tl_version}
Provides: tex(utftgr9-v.tfm) = %{tl_version}
Provides: tex(utftgra-h.tfm) = %{tl_version}
Provides: tex(utftgra-v.tfm) = %{tl_version}
Provides: tex(utftgrb-h.tfm) = %{tl_version}
Provides: tex(utftgrb-v.tfm) = %{tl_version}
Provides: tex(utftgrc-h.tfm) = %{tl_version}
Provides: tex(utftgrc-v.tfm) = %{tl_version}
Provides: tex(utftgrd-h.tfm) = %{tl_version}
Provides: tex(utftgrd-v.tfm) = %{tl_version}
Provides: tex(utftgre-h.tfm) = %{tl_version}
Provides: tex(utftgre-v.tfm) = %{tl_version}
Provides: tex(utftgrf-h.tfm) = %{tl_version}
Provides: tex(utftgrf-v.tfm) = %{tl_version}
Provides: tex(utftmr0-h.tfm) = %{tl_version}
Provides: tex(utftmr0-v.tfm) = %{tl_version}
Provides: tex(utftmr1-h.tfm) = %{tl_version}
Provides: tex(utftmr1-v.tfm) = %{tl_version}
Provides: tex(utftmr2-h.tfm) = %{tl_version}
Provides: tex(utftmr2-v.tfm) = %{tl_version}
Provides: tex(utftmr3-h.tfm) = %{tl_version}
Provides: tex(utftmr3-v.tfm) = %{tl_version}
Provides: tex(utftmr4-h.tfm) = %{tl_version}
Provides: tex(utftmr4-v.tfm) = %{tl_version}
Provides: tex(utftmr5-h.tfm) = %{tl_version}
Provides: tex(utftmr5-v.tfm) = %{tl_version}
Provides: tex(utftmr6-h.tfm) = %{tl_version}
Provides: tex(utftmr6-v.tfm) = %{tl_version}
Provides: tex(utftmr7-h.tfm) = %{tl_version}
Provides: tex(utftmr7-v.tfm) = %{tl_version}
Provides: tex(utftmr8-h.tfm) = %{tl_version}
Provides: tex(utftmr8-v.tfm) = %{tl_version}
Provides: tex(utftmr9-h.tfm) = %{tl_version}
Provides: tex(utftmr9-v.tfm) = %{tl_version}
Provides: tex(utftmra-h.tfm) = %{tl_version}
Provides: tex(utftmra-v.tfm) = %{tl_version}
Provides: tex(utftmrb-h.tfm) = %{tl_version}
Provides: tex(utftmrb-v.tfm) = %{tl_version}
Provides: tex(utftmrc-h.tfm) = %{tl_version}
Provides: tex(utftmrc-v.tfm) = %{tl_version}
Provides: tex(utftmrd-h.tfm) = %{tl_version}
Provides: tex(utftmrd-v.tfm) = %{tl_version}
Provides: tex(utftmre-h.tfm) = %{tl_version}
Provides: tex(utftmre-v.tfm) = %{tl_version}
Provides: tex(utftmrf-h.tfm) = %{tl_version}
Provides: tex(utftmrf-v.tfm) = %{tl_version}
Provides: tex(brsgexpgothb-h.vf) = %{tl_version}
Provides: tex(brsgexpgothb-v.vf) = %{tl_version}
Provides: tex(brsgexpgothbn-h.vf) = %{tl_version}
Provides: tex(brsgexpgothbn-v.vf) = %{tl_version}
Provides: tex(brsgexpgotheb-h.vf) = %{tl_version}
Provides: tex(brsgexpgotheb-v.vf) = %{tl_version}
Provides: tex(brsgexpgothebn-h.vf) = %{tl_version}
Provides: tex(brsgexpgothebn-v.vf) = %{tl_version}
Provides: tex(brsgexpgothr-h.vf) = %{tl_version}
Provides: tex(brsgexpgothr-v.vf) = %{tl_version}
Provides: tex(brsgexpgothrn-h.vf) = %{tl_version}
Provides: tex(brsgexpgothrn-v.vf) = %{tl_version}
Provides: tex(brsgexpmgothr-h.vf) = %{tl_version}
Provides: tex(brsgexpmgothr-v.vf) = %{tl_version}
Provides: tex(brsgexpmgothrn-h.vf) = %{tl_version}
Provides: tex(brsgexpmgothrn-v.vf) = %{tl_version}
Provides: tex(brsgexpminb-h.vf) = %{tl_version}
Provides: tex(brsgexpminb-v.vf) = %{tl_version}
Provides: tex(brsgexpminbn-h.vf) = %{tl_version}
Provides: tex(brsgexpminbn-v.vf) = %{tl_version}
Provides: tex(brsgexpminl-h.vf) = %{tl_version}
Provides: tex(brsgexpminl-v.vf) = %{tl_version}
Provides: tex(brsgexpminln-h.vf) = %{tl_version}
Provides: tex(brsgexpminln-v.vf) = %{tl_version}
Provides: tex(brsgexpminr-h.vf) = %{tl_version}
Provides: tex(brsgexpminr-v.vf) = %{tl_version}
Provides: tex(brsgexpminrn-h.vf) = %{tl_version}
Provides: tex(brsgexpminrn-v.vf) = %{tl_version}
Provides: tex(brsgnmlgothb-h.vf) = %{tl_version}
Provides: tex(brsgnmlgothb-v.vf) = %{tl_version}
Provides: tex(brsgnmlgothbn-h.vf) = %{tl_version}
Provides: tex(brsgnmlgothbn-v.vf) = %{tl_version}
Provides: tex(brsgnmlgotheb-h.vf) = %{tl_version}
Provides: tex(brsgnmlgotheb-v.vf) = %{tl_version}
Provides: tex(brsgnmlgothebn-h.vf) = %{tl_version}
Provides: tex(brsgnmlgothebn-v.vf) = %{tl_version}
Provides: tex(brsgnmlgothr-h.vf) = %{tl_version}
Provides: tex(brsgnmlgothr-v.vf) = %{tl_version}
Provides: tex(brsgnmlgothrn-h.vf) = %{tl_version}
Provides: tex(brsgnmlgothrn-v.vf) = %{tl_version}
Provides: tex(brsgnmlmgothr-h.vf) = %{tl_version}
Provides: tex(brsgnmlmgothr-v.vf) = %{tl_version}
Provides: tex(brsgnmlmgothrn-h.vf) = %{tl_version}
Provides: tex(brsgnmlmgothrn-v.vf) = %{tl_version}
Provides: tex(brsgnmlminb-h.vf) = %{tl_version}
Provides: tex(brsgnmlminb-v.vf) = %{tl_version}
Provides: tex(brsgnmlminbn-h.vf) = %{tl_version}
Provides: tex(brsgnmlminbn-v.vf) = %{tl_version}
Provides: tex(brsgnmlminl-h.vf) = %{tl_version}
Provides: tex(brsgnmlminl-v.vf) = %{tl_version}
Provides: tex(brsgnmlminln-h.vf) = %{tl_version}
Provides: tex(brsgnmlminln-v.vf) = %{tl_version}
Provides: tex(brsgnmlminr-h.vf) = %{tl_version}
Provides: tex(brsgnmlminr-v.vf) = %{tl_version}
Provides: tex(brsgnmlminrn-h.vf) = %{tl_version}
Provides: tex(brsgnmlminrn-v.vf) = %{tl_version}
Provides: tex(cidcgr0-h.vf) = %{tl_version}
Provides: tex(cidcgr0-v.vf) = %{tl_version}
Provides: tex(cidcgr1-h.vf) = %{tl_version}
Provides: tex(cidcgr1-v.vf) = %{tl_version}
Provides: tex(cidcgr2-h.vf) = %{tl_version}
Provides: tex(cidcgr2-v.vf) = %{tl_version}
Provides: tex(cidcgr3-h.vf) = %{tl_version}
Provides: tex(cidcgr3-v.vf) = %{tl_version}
Provides: tex(cidcgr4-h.vf) = %{tl_version}
Provides: tex(cidcgr4-v.vf) = %{tl_version}
Provides: tex(cidcgr5-h.vf) = %{tl_version}
Provides: tex(cidcgr5-v.vf) = %{tl_version}
Provides: tex(cidcgr6-h.vf) = %{tl_version}
Provides: tex(cidcgr6-v.vf) = %{tl_version}
Provides: tex(cidcgr7-h.vf) = %{tl_version}
Provides: tex(cidcgr7-v.vf) = %{tl_version}
Provides: tex(cidcmr0-h.vf) = %{tl_version}
Provides: tex(cidcmr0-v.vf) = %{tl_version}
Provides: tex(cidcmr1-h.vf) = %{tl_version}
Provides: tex(cidcmr1-v.vf) = %{tl_version}
Provides: tex(cidcmr2-h.vf) = %{tl_version}
Provides: tex(cidcmr2-v.vf) = %{tl_version}
Provides: tex(cidcmr3-h.vf) = %{tl_version}
Provides: tex(cidcmr3-v.vf) = %{tl_version}
Provides: tex(cidcmr4-h.vf) = %{tl_version}
Provides: tex(cidcmr4-v.vf) = %{tl_version}
Provides: tex(cidcmr5-h.vf) = %{tl_version}
Provides: tex(cidcmr5-v.vf) = %{tl_version}
Provides: tex(cidcmr6-h.vf) = %{tl_version}
Provides: tex(cidcmr6-v.vf) = %{tl_version}
Provides: tex(cidcmr7-h.vf) = %{tl_version}
Provides: tex(cidcmr7-v.vf) = %{tl_version}
Provides: tex(cidjgb0-h.vf) = %{tl_version}
Provides: tex(cidjgb0-v.vf) = %{tl_version}
Provides: tex(cidjgb1-h.vf) = %{tl_version}
Provides: tex(cidjgb1-v.vf) = %{tl_version}
Provides: tex(cidjgb2-h.vf) = %{tl_version}
Provides: tex(cidjgb2-v.vf) = %{tl_version}
Provides: tex(cidjgb3-h.vf) = %{tl_version}
Provides: tex(cidjgb3-v.vf) = %{tl_version}
Provides: tex(cidjgb4-h.vf) = %{tl_version}
Provides: tex(cidjgb4-v.vf) = %{tl_version}
Provides: tex(cidjgb5-h.vf) = %{tl_version}
Provides: tex(cidjgb5-v.vf) = %{tl_version}
Provides: tex(cidjge0-h.vf) = %{tl_version}
Provides: tex(cidjge0-v.vf) = %{tl_version}
Provides: tex(cidjge1-h.vf) = %{tl_version}
Provides: tex(cidjge1-v.vf) = %{tl_version}
Provides: tex(cidjge2-h.vf) = %{tl_version}
Provides: tex(cidjge2-v.vf) = %{tl_version}
Provides: tex(cidjge3-h.vf) = %{tl_version}
Provides: tex(cidjge3-v.vf) = %{tl_version}
Provides: tex(cidjge4-h.vf) = %{tl_version}
Provides: tex(cidjge4-v.vf) = %{tl_version}
Provides: tex(cidjge5-h.vf) = %{tl_version}
Provides: tex(cidjge5-v.vf) = %{tl_version}
Provides: tex(cidjgr0-h.vf) = %{tl_version}
Provides: tex(cidjgr0-v.vf) = %{tl_version}
Provides: tex(cidjgr1-h.vf) = %{tl_version}
Provides: tex(cidjgr1-v.vf) = %{tl_version}
Provides: tex(cidjgr2-h.vf) = %{tl_version}
Provides: tex(cidjgr2-v.vf) = %{tl_version}
Provides: tex(cidjgr3-h.vf) = %{tl_version}
Provides: tex(cidjgr3-v.vf) = %{tl_version}
Provides: tex(cidjgr4-h.vf) = %{tl_version}
Provides: tex(cidjgr4-v.vf) = %{tl_version}
Provides: tex(cidjgr5-h.vf) = %{tl_version}
Provides: tex(cidjgr5-v.vf) = %{tl_version}
Provides: tex(cidjmb0-h.vf) = %{tl_version}
Provides: tex(cidjmb0-v.vf) = %{tl_version}
Provides: tex(cidjmb1-h.vf) = %{tl_version}
Provides: tex(cidjmb1-v.vf) = %{tl_version}
Provides: tex(cidjmb2-h.vf) = %{tl_version}
Provides: tex(cidjmb2-v.vf) = %{tl_version}
Provides: tex(cidjmb3-h.vf) = %{tl_version}
Provides: tex(cidjmb3-v.vf) = %{tl_version}
Provides: tex(cidjmb4-h.vf) = %{tl_version}
Provides: tex(cidjmb4-v.vf) = %{tl_version}
Provides: tex(cidjmb5-h.vf) = %{tl_version}
Provides: tex(cidjmb5-v.vf) = %{tl_version}
Provides: tex(cidjmgr0-h.vf) = %{tl_version}
Provides: tex(cidjmgr0-v.vf) = %{tl_version}
Provides: tex(cidjmgr1-h.vf) = %{tl_version}
Provides: tex(cidjmgr1-v.vf) = %{tl_version}
Provides: tex(cidjmgr2-h.vf) = %{tl_version}
Provides: tex(cidjmgr2-v.vf) = %{tl_version}
Provides: tex(cidjmgr3-h.vf) = %{tl_version}
Provides: tex(cidjmgr3-v.vf) = %{tl_version}
Provides: tex(cidjmgr4-h.vf) = %{tl_version}
Provides: tex(cidjmgr4-v.vf) = %{tl_version}
Provides: tex(cidjmgr5-h.vf) = %{tl_version}
Provides: tex(cidjmgr5-v.vf) = %{tl_version}
Provides: tex(cidjml0-h.vf) = %{tl_version}
Provides: tex(cidjml0-v.vf) = %{tl_version}
Provides: tex(cidjml1-h.vf) = %{tl_version}
Provides: tex(cidjml1-v.vf) = %{tl_version}
Provides: tex(cidjml2-h.vf) = %{tl_version}
Provides: tex(cidjml2-v.vf) = %{tl_version}
Provides: tex(cidjml3-h.vf) = %{tl_version}
Provides: tex(cidjml3-v.vf) = %{tl_version}
Provides: tex(cidjml4-h.vf) = %{tl_version}
Provides: tex(cidjml4-v.vf) = %{tl_version}
Provides: tex(cidjml5-h.vf) = %{tl_version}
Provides: tex(cidjml5-v.vf) = %{tl_version}
Provides: tex(cidjmr0-h.vf) = %{tl_version}
Provides: tex(cidjmr0-v.vf) = %{tl_version}
Provides: tex(cidjmr1-h.vf) = %{tl_version}
Provides: tex(cidjmr1-v.vf) = %{tl_version}
Provides: tex(cidjmr2-h.vf) = %{tl_version}
Provides: tex(cidjmr2-v.vf) = %{tl_version}
Provides: tex(cidjmr3-h.vf) = %{tl_version}
Provides: tex(cidjmr3-v.vf) = %{tl_version}
Provides: tex(cidjmr4-h.vf) = %{tl_version}
Provides: tex(cidjmr4-v.vf) = %{tl_version}
Provides: tex(cidjmr5-h.vf) = %{tl_version}
Provides: tex(cidjmr5-v.vf) = %{tl_version}
Provides: tex(cidkgr0-h.vf) = %{tl_version}
Provides: tex(cidkgr0-v.vf) = %{tl_version}
Provides: tex(cidkgr1-h.vf) = %{tl_version}
Provides: tex(cidkgr1-v.vf) = %{tl_version}
Provides: tex(cidkgr2-h.vf) = %{tl_version}
Provides: tex(cidkgr2-v.vf) = %{tl_version}
Provides: tex(cidkgr3-h.vf) = %{tl_version}
Provides: tex(cidkgr3-v.vf) = %{tl_version}
Provides: tex(cidkgr4-h.vf) = %{tl_version}
Provides: tex(cidkgr4-v.vf) = %{tl_version}
Provides: tex(cidkmr0-h.vf) = %{tl_version}
Provides: tex(cidkmr0-v.vf) = %{tl_version}
Provides: tex(cidkmr1-h.vf) = %{tl_version}
Provides: tex(cidkmr1-v.vf) = %{tl_version}
Provides: tex(cidkmr2-h.vf) = %{tl_version}
Provides: tex(cidkmr2-v.vf) = %{tl_version}
Provides: tex(cidkmr3-h.vf) = %{tl_version}
Provides: tex(cidkmr3-v.vf) = %{tl_version}
Provides: tex(cidkmr4-h.vf) = %{tl_version}
Provides: tex(cidkmr4-v.vf) = %{tl_version}
Provides: tex(cidtgr0-h.vf) = %{tl_version}
Provides: tex(cidtgr0-v.vf) = %{tl_version}
Provides: tex(cidtgr1-h.vf) = %{tl_version}
Provides: tex(cidtgr1-v.vf) = %{tl_version}
Provides: tex(cidtgr2-h.vf) = %{tl_version}
Provides: tex(cidtgr2-v.vf) = %{tl_version}
Provides: tex(cidtgr3-h.vf) = %{tl_version}
Provides: tex(cidtgr3-v.vf) = %{tl_version}
Provides: tex(cidtgr4-h.vf) = %{tl_version}
Provides: tex(cidtgr4-v.vf) = %{tl_version}
Provides: tex(cidtmr0-h.vf) = %{tl_version}
Provides: tex(cidtmr0-v.vf) = %{tl_version}
Provides: tex(cidtmr1-h.vf) = %{tl_version}
Provides: tex(cidtmr1-v.vf) = %{tl_version}
Provides: tex(cidtmr2-h.vf) = %{tl_version}
Provides: tex(cidtmr2-v.vf) = %{tl_version}
Provides: tex(cidtmr3-h.vf) = %{tl_version}
Provides: tex(cidtmr3-v.vf) = %{tl_version}
Provides: tex(cidtmr4-h.vf) = %{tl_version}
Provides: tex(cidtmr4-v.vf) = %{tl_version}
Provides: tex(expgothb-h.vf) = %{tl_version}
Provides: tex(expgothb-v.vf) = %{tl_version}
Provides: tex(expgothbn-h.vf) = %{tl_version}
Provides: tex(expgothbn-v.vf) = %{tl_version}
Provides: tex(expgotheb-h.vf) = %{tl_version}
Provides: tex(expgotheb-v.vf) = %{tl_version}
Provides: tex(expgothebn-h.vf) = %{tl_version}
Provides: tex(expgothebn-v.vf) = %{tl_version}
Provides: tex(expgothr-h.vf) = %{tl_version}
Provides: tex(expgothr-v.vf) = %{tl_version}
Provides: tex(expgothrn-h.vf) = %{tl_version}
Provides: tex(expgothrn-v.vf) = %{tl_version}
Provides: tex(expmgothr-h.vf) = %{tl_version}
Provides: tex(expmgothr-v.vf) = %{tl_version}
Provides: tex(expmgothrn-h.vf) = %{tl_version}
Provides: tex(expmgothrn-v.vf) = %{tl_version}
Provides: tex(expminb-h.vf) = %{tl_version}
Provides: tex(expminb-v.vf) = %{tl_version}
Provides: tex(expminbn-h.vf) = %{tl_version}
Provides: tex(expminbn-v.vf) = %{tl_version}
Provides: tex(expminl-h.vf) = %{tl_version}
Provides: tex(expminl-v.vf) = %{tl_version}
Provides: tex(expminln-h.vf) = %{tl_version}
Provides: tex(expminln-v.vf) = %{tl_version}
Provides: tex(expminr-h.vf) = %{tl_version}
Provides: tex(expminr-v.vf) = %{tl_version}
Provides: tex(expminrn-h.vf) = %{tl_version}
Provides: tex(expminrn-v.vf) = %{tl_version}
Provides: tex(nmlgothb-h.vf) = %{tl_version}
Provides: tex(nmlgothb-v.vf) = %{tl_version}
Provides: tex(nmlgothbn-h.vf) = %{tl_version}
Provides: tex(nmlgothbn-v.vf) = %{tl_version}
Provides: tex(nmlgotheb-h.vf) = %{tl_version}
Provides: tex(nmlgotheb-v.vf) = %{tl_version}
Provides: tex(nmlgothebn-h.vf) = %{tl_version}
Provides: tex(nmlgothebn-v.vf) = %{tl_version}
Provides: tex(nmlgothr-h.vf) = %{tl_version}
Provides: tex(nmlgothr-v.vf) = %{tl_version}
Provides: tex(nmlgothrn-h.vf) = %{tl_version}
Provides: tex(nmlgothrn-v.vf) = %{tl_version}
Provides: tex(nmlmgothr-h.vf) = %{tl_version}
Provides: tex(nmlmgothr-v.vf) = %{tl_version}
Provides: tex(nmlmgothrn-h.vf) = %{tl_version}
Provides: tex(nmlmgothrn-v.vf) = %{tl_version}
Provides: tex(nmlminb-h.vf) = %{tl_version}
Provides: tex(nmlminb-v.vf) = %{tl_version}
Provides: tex(nmlminbn-h.vf) = %{tl_version}
Provides: tex(nmlminbn-v.vf) = %{tl_version}
Provides: tex(nmlminl-h.vf) = %{tl_version}
Provides: tex(nmlminl-v.vf) = %{tl_version}
Provides: tex(nmlminln-h.vf) = %{tl_version}
Provides: tex(nmlminln-v.vf) = %{tl_version}
Provides: tex(nmlminr-h.vf) = %{tl_version}
Provides: tex(nmlminr-v.vf) = %{tl_version}
Provides: tex(nmlminrn-h.vf) = %{tl_version}
Provides: tex(nmlminrn-v.vf) = %{tl_version}
Provides: tex(phirakakuw3-h.vf) = %{tl_version}
Provides: tex(phirakakuw3-v.vf) = %{tl_version}
Provides: tex(phirakakuw6-h.vf) = %{tl_version}
Provides: tex(phirakakuw6-v.vf) = %{tl_version}
Provides: tex(phiramaruw4-h.vf) = %{tl_version}
Provides: tex(phiramaruw4-v.vf) = %{tl_version}
Provides: tex(phiraminw3-h.vf) = %{tl_version}
Provides: tex(phiraminw3-v.vf) = %{tl_version}
Provides: tex(phiraminw6-h.vf) = %{tl_version}
Provides: tex(phiraminw6-v.vf) = %{tl_version}
Provides: tex(rubygothb-h.vf) = %{tl_version}
Provides: tex(rubygothb-v.vf) = %{tl_version}
Provides: tex(rubygotheb-h.vf) = %{tl_version}
Provides: tex(rubygotheb-v.vf) = %{tl_version}
Provides: tex(rubygothr-h.vf) = %{tl_version}
Provides: tex(rubygothr-v.vf) = %{tl_version}
Provides: tex(rubymgothr-h.vf) = %{tl_version}
Provides: tex(rubymgothr-v.vf) = %{tl_version}
Provides: tex(rubyminb-h.vf) = %{tl_version}
Provides: tex(rubyminb-v.vf) = %{tl_version}
Provides: tex(rubyminl-h.vf) = %{tl_version}
Provides: tex(rubyminl-v.vf) = %{tl_version}
Provides: tex(rubyminr-h.vf) = %{tl_version}
Provides: tex(rubyminr-v.vf) = %{tl_version}
Provides: tex(utfcgr0-h.vf) = %{tl_version}
Provides: tex(utfcgr0-v.vf) = %{tl_version}
Provides: tex(utfcgr1-h.vf) = %{tl_version}
Provides: tex(utfcgr1-v.vf) = %{tl_version}
Provides: tex(utfcgr2-h.vf) = %{tl_version}
Provides: tex(utfcgr2-v.vf) = %{tl_version}
Provides: tex(utfcgr3-h.vf) = %{tl_version}
Provides: tex(utfcgr3-v.vf) = %{tl_version}
Provides: tex(utfcgr4-h.vf) = %{tl_version}
Provides: tex(utfcgr4-v.vf) = %{tl_version}
Provides: tex(utfcgr5-h.vf) = %{tl_version}
Provides: tex(utfcgr5-v.vf) = %{tl_version}
Provides: tex(utfcgr6-h.vf) = %{tl_version}
Provides: tex(utfcgr6-v.vf) = %{tl_version}
Provides: tex(utfcgr7-h.vf) = %{tl_version}
Provides: tex(utfcgr7-v.vf) = %{tl_version}
Provides: tex(utfcgr8-h.vf) = %{tl_version}
Provides: tex(utfcgr8-v.vf) = %{tl_version}
Provides: tex(utfcgr9-h.vf) = %{tl_version}
Provides: tex(utfcgr9-v.vf) = %{tl_version}
Provides: tex(utfcgra-h.vf) = %{tl_version}
Provides: tex(utfcgra-v.vf) = %{tl_version}
Provides: tex(utfcgrb-h.vf) = %{tl_version}
Provides: tex(utfcgrb-v.vf) = %{tl_version}
Provides: tex(utfcgrc-h.vf) = %{tl_version}
Provides: tex(utfcgrc-v.vf) = %{tl_version}
Provides: tex(utfcgrd-h.vf) = %{tl_version}
Provides: tex(utfcgrd-v.vf) = %{tl_version}
Provides: tex(utfcgre-h.vf) = %{tl_version}
Provides: tex(utfcgre-v.vf) = %{tl_version}
Provides: tex(utfcgrf-h.vf) = %{tl_version}
Provides: tex(utfcgrf-v.vf) = %{tl_version}
Provides: tex(utfcmr0-h.vf) = %{tl_version}
Provides: tex(utfcmr0-v.vf) = %{tl_version}
Provides: tex(utfcmr1-h.vf) = %{tl_version}
Provides: tex(utfcmr1-v.vf) = %{tl_version}
Provides: tex(utfcmr2-h.vf) = %{tl_version}
Provides: tex(utfcmr2-v.vf) = %{tl_version}
Provides: tex(utfcmr3-h.vf) = %{tl_version}
Provides: tex(utfcmr3-v.vf) = %{tl_version}
Provides: tex(utfcmr4-h.vf) = %{tl_version}
Provides: tex(utfcmr4-v.vf) = %{tl_version}
Provides: tex(utfcmr5-h.vf) = %{tl_version}
Provides: tex(utfcmr5-v.vf) = %{tl_version}
Provides: tex(utfcmr6-h.vf) = %{tl_version}
Provides: tex(utfcmr6-v.vf) = %{tl_version}
Provides: tex(utfcmr7-h.vf) = %{tl_version}
Provides: tex(utfcmr7-v.vf) = %{tl_version}
Provides: tex(utfcmr8-h.vf) = %{tl_version}
Provides: tex(utfcmr8-v.vf) = %{tl_version}
Provides: tex(utfcmr9-h.vf) = %{tl_version}
Provides: tex(utfcmr9-v.vf) = %{tl_version}
Provides: tex(utfcmra-h.vf) = %{tl_version}
Provides: tex(utfcmra-v.vf) = %{tl_version}
Provides: tex(utfcmrb-h.vf) = %{tl_version}
Provides: tex(utfcmrb-v.vf) = %{tl_version}
Provides: tex(utfcmrc-h.vf) = %{tl_version}
Provides: tex(utfcmrc-v.vf) = %{tl_version}
Provides: tex(utfcmrd-h.vf) = %{tl_version}
Provides: tex(utfcmrd-v.vf) = %{tl_version}
Provides: tex(utfcmre-h.vf) = %{tl_version}
Provides: tex(utfcmre-v.vf) = %{tl_version}
Provides: tex(utfcmrf-h.vf) = %{tl_version}
Provides: tex(utfcmrf-v.vf) = %{tl_version}
Provides: tex(utfgr0-h.vf) = %{tl_version}
Provides: tex(utfgr0-v.vf) = %{tl_version}
Provides: tex(utfgr1-h.vf) = %{tl_version}
Provides: tex(utfgr1-v.vf) = %{tl_version}
Provides: tex(utfgr2-h.vf) = %{tl_version}
Provides: tex(utfgr2-v.vf) = %{tl_version}
Provides: tex(utfgr3-h.vf) = %{tl_version}
Provides: tex(utfgr3-v.vf) = %{tl_version}
Provides: tex(utfgr4-h.vf) = %{tl_version}
Provides: tex(utfgr4-v.vf) = %{tl_version}
Provides: tex(utfgr5-h.vf) = %{tl_version}
Provides: tex(utfgr5-v.vf) = %{tl_version}
Provides: tex(utfgr6-h.vf) = %{tl_version}
Provides: tex(utfgr6-v.vf) = %{tl_version}
Provides: tex(utfgr7-h.vf) = %{tl_version}
Provides: tex(utfgr7-v.vf) = %{tl_version}
Provides: tex(utfgr8-h.vf) = %{tl_version}
Provides: tex(utfgr8-v.vf) = %{tl_version}
Provides: tex(utfgr9-h.vf) = %{tl_version}
Provides: tex(utfgr9-v.vf) = %{tl_version}
Provides: tex(utfgra-h.vf) = %{tl_version}
Provides: tex(utfgra-v.vf) = %{tl_version}
Provides: tex(utfgrb-h.vf) = %{tl_version}
Provides: tex(utfgrb-v.vf) = %{tl_version}
Provides: tex(utfgrc-h.vf) = %{tl_version}
Provides: tex(utfgrc-v.vf) = %{tl_version}
Provides: tex(utfgrd-h.vf) = %{tl_version}
Provides: tex(utfgrd-v.vf) = %{tl_version}
Provides: tex(utfgre-h.vf) = %{tl_version}
Provides: tex(utfgre-v.vf) = %{tl_version}
Provides: tex(utfgrf-h.vf) = %{tl_version}
Provides: tex(utfgrf-v.vf) = %{tl_version}
Provides: tex(utfjgb0-h.vf) = %{tl_version}
Provides: tex(utfjgb0-v.vf) = %{tl_version}
Provides: tex(utfjgb1-h.vf) = %{tl_version}
Provides: tex(utfjgb1-v.vf) = %{tl_version}
Provides: tex(utfjgb2-h.vf) = %{tl_version}
Provides: tex(utfjgb2-v.vf) = %{tl_version}
Provides: tex(utfjgb3-h.vf) = %{tl_version}
Provides: tex(utfjgb3-v.vf) = %{tl_version}
Provides: tex(utfjgb4-h.vf) = %{tl_version}
Provides: tex(utfjgb4-v.vf) = %{tl_version}
Provides: tex(utfjgb5-h.vf) = %{tl_version}
Provides: tex(utfjgb5-v.vf) = %{tl_version}
Provides: tex(utfjgb6-h.vf) = %{tl_version}
Provides: tex(utfjgb6-v.vf) = %{tl_version}
Provides: tex(utfjgb7-h.vf) = %{tl_version}
Provides: tex(utfjgb7-v.vf) = %{tl_version}
Provides: tex(utfjgb8-h.vf) = %{tl_version}
Provides: tex(utfjgb8-v.vf) = %{tl_version}
Provides: tex(utfjgb9-h.vf) = %{tl_version}
Provides: tex(utfjgb9-v.vf) = %{tl_version}
Provides: tex(utfjgba-h.vf) = %{tl_version}
Provides: tex(utfjgba-v.vf) = %{tl_version}
Provides: tex(utfjgbb-h.vf) = %{tl_version}
Provides: tex(utfjgbb-v.vf) = %{tl_version}
Provides: tex(utfjgbc-h.vf) = %{tl_version}
Provides: tex(utfjgbc-v.vf) = %{tl_version}
Provides: tex(utfjgbd-h.vf) = %{tl_version}
Provides: tex(utfjgbd-v.vf) = %{tl_version}
Provides: tex(utfjgbe-h.vf) = %{tl_version}
Provides: tex(utfjgbe-v.vf) = %{tl_version}
Provides: tex(utfjgbf-h.vf) = %{tl_version}
Provides: tex(utfjgbf-v.vf) = %{tl_version}
Provides: tex(utfjgbn0-h.vf) = %{tl_version}
Provides: tex(utfjgbn0-v.vf) = %{tl_version}
Provides: tex(utfjgbn1-h.vf) = %{tl_version}
Provides: tex(utfjgbn1-v.vf) = %{tl_version}
Provides: tex(utfjgbn2-h.vf) = %{tl_version}
Provides: tex(utfjgbn2-v.vf) = %{tl_version}
Provides: tex(utfjgbn3-h.vf) = %{tl_version}
Provides: tex(utfjgbn3-v.vf) = %{tl_version}
Provides: tex(utfjgbn4-h.vf) = %{tl_version}
Provides: tex(utfjgbn4-v.vf) = %{tl_version}
Provides: tex(utfjgbn5-h.vf) = %{tl_version}
Provides: tex(utfjgbn5-v.vf) = %{tl_version}
Provides: tex(utfjgbn6-h.vf) = %{tl_version}
Provides: tex(utfjgbn6-v.vf) = %{tl_version}
Provides: tex(utfjgbn7-h.vf) = %{tl_version}
Provides: tex(utfjgbn7-v.vf) = %{tl_version}
Provides: tex(utfjgbn8-h.vf) = %{tl_version}
Provides: tex(utfjgbn8-v.vf) = %{tl_version}
Provides: tex(utfjgbn9-h.vf) = %{tl_version}
Provides: tex(utfjgbn9-v.vf) = %{tl_version}
Provides: tex(utfjgbna-h.vf) = %{tl_version}
Provides: tex(utfjgbna-v.vf) = %{tl_version}
Provides: tex(utfjgbnb-h.vf) = %{tl_version}
Provides: tex(utfjgbnb-v.vf) = %{tl_version}
Provides: tex(utfjgbnc-h.vf) = %{tl_version}
Provides: tex(utfjgbnc-v.vf) = %{tl_version}
Provides: tex(utfjgbnd-h.vf) = %{tl_version}
Provides: tex(utfjgbnd-v.vf) = %{tl_version}
Provides: tex(utfjgbne-h.vf) = %{tl_version}
Provides: tex(utfjgbne-v.vf) = %{tl_version}
Provides: tex(utfjgbnf-h.vf) = %{tl_version}
Provides: tex(utfjgbnf-v.vf) = %{tl_version}
Provides: tex(utfjge0-h.vf) = %{tl_version}
Provides: tex(utfjge0-v.vf) = %{tl_version}
Provides: tex(utfjge1-h.vf) = %{tl_version}
Provides: tex(utfjge1-v.vf) = %{tl_version}
Provides: tex(utfjge2-h.vf) = %{tl_version}
Provides: tex(utfjge2-v.vf) = %{tl_version}
Provides: tex(utfjge3-h.vf) = %{tl_version}
Provides: tex(utfjge3-v.vf) = %{tl_version}
Provides: tex(utfjge4-h.vf) = %{tl_version}
Provides: tex(utfjge4-v.vf) = %{tl_version}
Provides: tex(utfjge5-h.vf) = %{tl_version}
Provides: tex(utfjge5-v.vf) = %{tl_version}
Provides: tex(utfjge6-h.vf) = %{tl_version}
Provides: tex(utfjge6-v.vf) = %{tl_version}
Provides: tex(utfjge7-h.vf) = %{tl_version}
Provides: tex(utfjge7-v.vf) = %{tl_version}
Provides: tex(utfjge8-h.vf) = %{tl_version}
Provides: tex(utfjge8-v.vf) = %{tl_version}
Provides: tex(utfjge9-h.vf) = %{tl_version}
Provides: tex(utfjge9-v.vf) = %{tl_version}
Provides: tex(utfjgea-h.vf) = %{tl_version}
Provides: tex(utfjgea-v.vf) = %{tl_version}
Provides: tex(utfjgeb-h.vf) = %{tl_version}
Provides: tex(utfjgeb-v.vf) = %{tl_version}
Provides: tex(utfjgec-h.vf) = %{tl_version}
Provides: tex(utfjgec-v.vf) = %{tl_version}
Provides: tex(utfjged-h.vf) = %{tl_version}
Provides: tex(utfjged-v.vf) = %{tl_version}
Provides: tex(utfjgee-h.vf) = %{tl_version}
Provides: tex(utfjgee-v.vf) = %{tl_version}
Provides: tex(utfjgef-h.vf) = %{tl_version}
Provides: tex(utfjgef-v.vf) = %{tl_version}
Provides: tex(utfjgen0-h.vf) = %{tl_version}
Provides: tex(utfjgen0-v.vf) = %{tl_version}
Provides: tex(utfjgen1-h.vf) = %{tl_version}
Provides: tex(utfjgen1-v.vf) = %{tl_version}
Provides: tex(utfjgen2-h.vf) = %{tl_version}
Provides: tex(utfjgen2-v.vf) = %{tl_version}
Provides: tex(utfjgen3-h.vf) = %{tl_version}
Provides: tex(utfjgen3-v.vf) = %{tl_version}
Provides: tex(utfjgen4-h.vf) = %{tl_version}
Provides: tex(utfjgen4-v.vf) = %{tl_version}
Provides: tex(utfjgen5-h.vf) = %{tl_version}
Provides: tex(utfjgen5-v.vf) = %{tl_version}
Provides: tex(utfjgen6-h.vf) = %{tl_version}
Provides: tex(utfjgen6-v.vf) = %{tl_version}
Provides: tex(utfjgen7-h.vf) = %{tl_version}
Provides: tex(utfjgen7-v.vf) = %{tl_version}
Provides: tex(utfjgen8-h.vf) = %{tl_version}
Provides: tex(utfjgen8-v.vf) = %{tl_version}
Provides: tex(utfjgen9-h.vf) = %{tl_version}
Provides: tex(utfjgen9-v.vf) = %{tl_version}
Provides: tex(utfjgena-h.vf) = %{tl_version}
Provides: tex(utfjgena-v.vf) = %{tl_version}
Provides: tex(utfjgenb-h.vf) = %{tl_version}
Provides: tex(utfjgenb-v.vf) = %{tl_version}
Provides: tex(utfjgenc-h.vf) = %{tl_version}
Provides: tex(utfjgenc-v.vf) = %{tl_version}
Provides: tex(utfjgend-h.vf) = %{tl_version}
Provides: tex(utfjgend-v.vf) = %{tl_version}
Provides: tex(utfjgene-h.vf) = %{tl_version}
Provides: tex(utfjgene-v.vf) = %{tl_version}
Provides: tex(utfjgenf-h.vf) = %{tl_version}
Provides: tex(utfjgenf-v.vf) = %{tl_version}
Provides: tex(utfjgr0-h.vf) = %{tl_version}
Provides: tex(utfjgr0-v.vf) = %{tl_version}
Provides: tex(utfjgr1-h.vf) = %{tl_version}
Provides: tex(utfjgr1-v.vf) = %{tl_version}
Provides: tex(utfjgr2-h.vf) = %{tl_version}
Provides: tex(utfjgr2-v.vf) = %{tl_version}
Provides: tex(utfjgr3-h.vf) = %{tl_version}
Provides: tex(utfjgr3-v.vf) = %{tl_version}
Provides: tex(utfjgr4-h.vf) = %{tl_version}
Provides: tex(utfjgr4-v.vf) = %{tl_version}
Provides: tex(utfjgr5-h.vf) = %{tl_version}
Provides: tex(utfjgr5-v.vf) = %{tl_version}
Provides: tex(utfjgr6-h.vf) = %{tl_version}
Provides: tex(utfjgr6-v.vf) = %{tl_version}
Provides: tex(utfjgr7-h.vf) = %{tl_version}
Provides: tex(utfjgr7-v.vf) = %{tl_version}
Provides: tex(utfjgr8-h.vf) = %{tl_version}
Provides: tex(utfjgr8-v.vf) = %{tl_version}
Provides: tex(utfjgr9-h.vf) = %{tl_version}
Provides: tex(utfjgr9-v.vf) = %{tl_version}
Provides: tex(utfjgra-h.vf) = %{tl_version}
Provides: tex(utfjgra-v.vf) = %{tl_version}
Provides: tex(utfjgrb-h.vf) = %{tl_version}
Provides: tex(utfjgrb-v.vf) = %{tl_version}
Provides: tex(utfjgrc-h.vf) = %{tl_version}
Provides: tex(utfjgrc-v.vf) = %{tl_version}
Provides: tex(utfjgrd-h.vf) = %{tl_version}
Provides: tex(utfjgrd-v.vf) = %{tl_version}
Provides: tex(utfjgre-h.vf) = %{tl_version}
Provides: tex(utfjgre-v.vf) = %{tl_version}
Provides: tex(utfjgrf-h.vf) = %{tl_version}
Provides: tex(utfjgrf-v.vf) = %{tl_version}
Provides: tex(utfjgrn0-h.vf) = %{tl_version}
Provides: tex(utfjgrn0-v.vf) = %{tl_version}
Provides: tex(utfjgrn1-h.vf) = %{tl_version}
Provides: tex(utfjgrn1-v.vf) = %{tl_version}
Provides: tex(utfjgrn2-h.vf) = %{tl_version}
Provides: tex(utfjgrn2-v.vf) = %{tl_version}
Provides: tex(utfjgrn3-h.vf) = %{tl_version}
Provides: tex(utfjgrn3-v.vf) = %{tl_version}
Provides: tex(utfjgrn4-h.vf) = %{tl_version}
Provides: tex(utfjgrn4-v.vf) = %{tl_version}
Provides: tex(utfjgrn5-h.vf) = %{tl_version}
Provides: tex(utfjgrn5-v.vf) = %{tl_version}
Provides: tex(utfjgrn6-h.vf) = %{tl_version}
Provides: tex(utfjgrn6-v.vf) = %{tl_version}
Provides: tex(utfjgrn7-h.vf) = %{tl_version}
Provides: tex(utfjgrn7-v.vf) = %{tl_version}
Provides: tex(utfjgrn8-h.vf) = %{tl_version}
Provides: tex(utfjgrn8-v.vf) = %{tl_version}
Provides: tex(utfjgrn9-h.vf) = %{tl_version}
Provides: tex(utfjgrn9-v.vf) = %{tl_version}
Provides: tex(utfjgrna-h.vf) = %{tl_version}
Provides: tex(utfjgrna-v.vf) = %{tl_version}
Provides: tex(utfjgrnb-h.vf) = %{tl_version}
Provides: tex(utfjgrnb-v.vf) = %{tl_version}
Provides: tex(utfjgrnc-h.vf) = %{tl_version}
Provides: tex(utfjgrnc-v.vf) = %{tl_version}
Provides: tex(utfjgrnd-h.vf) = %{tl_version}
Provides: tex(utfjgrnd-v.vf) = %{tl_version}
Provides: tex(utfjgrne-h.vf) = %{tl_version}
Provides: tex(utfjgrne-v.vf) = %{tl_version}
Provides: tex(utfjgrnf-h.vf) = %{tl_version}
Provides: tex(utfjgrnf-v.vf) = %{tl_version}
Provides: tex(utfjmb0-h.vf) = %{tl_version}
Provides: tex(utfjmb0-v.vf) = %{tl_version}
Provides: tex(utfjmb1-h.vf) = %{tl_version}
Provides: tex(utfjmb1-v.vf) = %{tl_version}
Provides: tex(utfjmb2-h.vf) = %{tl_version}
Provides: tex(utfjmb2-v.vf) = %{tl_version}
Provides: tex(utfjmb3-h.vf) = %{tl_version}
Provides: tex(utfjmb3-v.vf) = %{tl_version}
Provides: tex(utfjmb4-h.vf) = %{tl_version}
Provides: tex(utfjmb4-v.vf) = %{tl_version}
Provides: tex(utfjmb5-h.vf) = %{tl_version}
Provides: tex(utfjmb5-v.vf) = %{tl_version}
Provides: tex(utfjmb6-h.vf) = %{tl_version}
Provides: tex(utfjmb6-v.vf) = %{tl_version}
Provides: tex(utfjmb7-h.vf) = %{tl_version}
Provides: tex(utfjmb7-v.vf) = %{tl_version}
Provides: tex(utfjmb8-h.vf) = %{tl_version}
Provides: tex(utfjmb8-v.vf) = %{tl_version}
Provides: tex(utfjmb9-h.vf) = %{tl_version}
Provides: tex(utfjmb9-v.vf) = %{tl_version}
Provides: tex(utfjmba-h.vf) = %{tl_version}
Provides: tex(utfjmba-v.vf) = %{tl_version}
Provides: tex(utfjmbb-h.vf) = %{tl_version}
Provides: tex(utfjmbb-v.vf) = %{tl_version}
Provides: tex(utfjmbc-h.vf) = %{tl_version}
Provides: tex(utfjmbc-v.vf) = %{tl_version}
Provides: tex(utfjmbd-h.vf) = %{tl_version}
Provides: tex(utfjmbd-v.vf) = %{tl_version}
Provides: tex(utfjmbe-h.vf) = %{tl_version}
Provides: tex(utfjmbe-v.vf) = %{tl_version}
Provides: tex(utfjmbf-h.vf) = %{tl_version}
Provides: tex(utfjmbf-v.vf) = %{tl_version}
Provides: tex(utfjmbn0-h.vf) = %{tl_version}
Provides: tex(utfjmbn0-v.vf) = %{tl_version}
Provides: tex(utfjmbn1-h.vf) = %{tl_version}
Provides: tex(utfjmbn1-v.vf) = %{tl_version}
Provides: tex(utfjmbn2-h.vf) = %{tl_version}
Provides: tex(utfjmbn2-v.vf) = %{tl_version}
Provides: tex(utfjmbn3-h.vf) = %{tl_version}
Provides: tex(utfjmbn3-v.vf) = %{tl_version}
Provides: tex(utfjmbn4-h.vf) = %{tl_version}
Provides: tex(utfjmbn4-v.vf) = %{tl_version}
Provides: tex(utfjmbn5-h.vf) = %{tl_version}
Provides: tex(utfjmbn5-v.vf) = %{tl_version}
Provides: tex(utfjmbn6-h.vf) = %{tl_version}
Provides: tex(utfjmbn6-v.vf) = %{tl_version}
Provides: tex(utfjmbn7-h.vf) = %{tl_version}
Provides: tex(utfjmbn7-v.vf) = %{tl_version}
Provides: tex(utfjmbn8-h.vf) = %{tl_version}
Provides: tex(utfjmbn8-v.vf) = %{tl_version}
Provides: tex(utfjmbn9-h.vf) = %{tl_version}
Provides: tex(utfjmbn9-v.vf) = %{tl_version}
Provides: tex(utfjmbna-h.vf) = %{tl_version}
Provides: tex(utfjmbna-v.vf) = %{tl_version}
Provides: tex(utfjmbnb-h.vf) = %{tl_version}
Provides: tex(utfjmbnb-v.vf) = %{tl_version}
Provides: tex(utfjmbnc-h.vf) = %{tl_version}
Provides: tex(utfjmbnc-v.vf) = %{tl_version}
Provides: tex(utfjmbnd-h.vf) = %{tl_version}
Provides: tex(utfjmbnd-v.vf) = %{tl_version}
Provides: tex(utfjmbne-h.vf) = %{tl_version}
Provides: tex(utfjmbne-v.vf) = %{tl_version}
Provides: tex(utfjmbnf-h.vf) = %{tl_version}
Provides: tex(utfjmbnf-v.vf) = %{tl_version}
Provides: tex(utfjmgr0-h.vf) = %{tl_version}
Provides: tex(utfjmgr0-v.vf) = %{tl_version}
Provides: tex(utfjmgr1-h.vf) = %{tl_version}
Provides: tex(utfjmgr1-v.vf) = %{tl_version}
Provides: tex(utfjmgr2-h.vf) = %{tl_version}
Provides: tex(utfjmgr2-v.vf) = %{tl_version}
Provides: tex(utfjmgr3-h.vf) = %{tl_version}
Provides: tex(utfjmgr3-v.vf) = %{tl_version}
Provides: tex(utfjmgr4-h.vf) = %{tl_version}
Provides: tex(utfjmgr4-v.vf) = %{tl_version}
Provides: tex(utfjmgr5-h.vf) = %{tl_version}
Provides: tex(utfjmgr5-v.vf) = %{tl_version}
Provides: tex(utfjmgr6-h.vf) = %{tl_version}
Provides: tex(utfjmgr6-v.vf) = %{tl_version}
Provides: tex(utfjmgr7-h.vf) = %{tl_version}
Provides: tex(utfjmgr7-v.vf) = %{tl_version}
Provides: tex(utfjmgr8-h.vf) = %{tl_version}
Provides: tex(utfjmgr8-v.vf) = %{tl_version}
Provides: tex(utfjmgr9-h.vf) = %{tl_version}
Provides: tex(utfjmgr9-v.vf) = %{tl_version}
Provides: tex(utfjmgra-h.vf) = %{tl_version}
Provides: tex(utfjmgra-v.vf) = %{tl_version}
Provides: tex(utfjmgrb-h.vf) = %{tl_version}
Provides: tex(utfjmgrb-v.vf) = %{tl_version}
Provides: tex(utfjmgrc-h.vf) = %{tl_version}
Provides: tex(utfjmgrc-v.vf) = %{tl_version}
Provides: tex(utfjmgrd-h.vf) = %{tl_version}
Provides: tex(utfjmgrd-v.vf) = %{tl_version}
Provides: tex(utfjmgre-h.vf) = %{tl_version}
Provides: tex(utfjmgre-v.vf) = %{tl_version}
Provides: tex(utfjmgrf-h.vf) = %{tl_version}
Provides: tex(utfjmgrf-v.vf) = %{tl_version}
Provides: tex(utfjmgrn0-h.vf) = %{tl_version}
Provides: tex(utfjmgrn0-v.vf) = %{tl_version}
Provides: tex(utfjmgrn1-h.vf) = %{tl_version}
Provides: tex(utfjmgrn1-v.vf) = %{tl_version}
Provides: tex(utfjmgrn2-h.vf) = %{tl_version}
Provides: tex(utfjmgrn2-v.vf) = %{tl_version}
Provides: tex(utfjmgrn3-h.vf) = %{tl_version}
Provides: tex(utfjmgrn3-v.vf) = %{tl_version}
Provides: tex(utfjmgrn4-h.vf) = %{tl_version}
Provides: tex(utfjmgrn4-v.vf) = %{tl_version}
Provides: tex(utfjmgrn5-h.vf) = %{tl_version}
Provides: tex(utfjmgrn5-v.vf) = %{tl_version}
Provides: tex(utfjmgrn6-h.vf) = %{tl_version}
Provides: tex(utfjmgrn6-v.vf) = %{tl_version}
Provides: tex(utfjmgrn7-h.vf) = %{tl_version}
Provides: tex(utfjmgrn7-v.vf) = %{tl_version}
Provides: tex(utfjmgrn8-h.vf) = %{tl_version}
Provides: tex(utfjmgrn8-v.vf) = %{tl_version}
Provides: tex(utfjmgrn9-h.vf) = %{tl_version}
Provides: tex(utfjmgrn9-v.vf) = %{tl_version}
Provides: tex(utfjmgrna-h.vf) = %{tl_version}
Provides: tex(utfjmgrna-v.vf) = %{tl_version}
Provides: tex(utfjmgrnb-h.vf) = %{tl_version}
Provides: tex(utfjmgrnb-v.vf) = %{tl_version}
Provides: tex(utfjmgrnc-h.vf) = %{tl_version}
Provides: tex(utfjmgrnc-v.vf) = %{tl_version}
Provides: tex(utfjmgrnd-h.vf) = %{tl_version}
Provides: tex(utfjmgrnd-v.vf) = %{tl_version}
Provides: tex(utfjmgrne-h.vf) = %{tl_version}
Provides: tex(utfjmgrne-v.vf) = %{tl_version}
Provides: tex(utfjmgrnf-h.vf) = %{tl_version}
Provides: tex(utfjmgrnf-v.vf) = %{tl_version}
Provides: tex(utfjml0-h.vf) = %{tl_version}
Provides: tex(utfjml0-v.vf) = %{tl_version}
Provides: tex(utfjml1-h.vf) = %{tl_version}
Provides: tex(utfjml1-v.vf) = %{tl_version}
Provides: tex(utfjml2-h.vf) = %{tl_version}
Provides: tex(utfjml2-v.vf) = %{tl_version}
Provides: tex(utfjml3-h.vf) = %{tl_version}
Provides: tex(utfjml3-v.vf) = %{tl_version}
Provides: tex(utfjml4-h.vf) = %{tl_version}
Provides: tex(utfjml4-v.vf) = %{tl_version}
Provides: tex(utfjml5-h.vf) = %{tl_version}
Provides: tex(utfjml5-v.vf) = %{tl_version}
Provides: tex(utfjml6-h.vf) = %{tl_version}
Provides: tex(utfjml6-v.vf) = %{tl_version}
Provides: tex(utfjml7-h.vf) = %{tl_version}
Provides: tex(utfjml7-v.vf) = %{tl_version}
Provides: tex(utfjml8-h.vf) = %{tl_version}
Provides: tex(utfjml8-v.vf) = %{tl_version}
Provides: tex(utfjml9-h.vf) = %{tl_version}
Provides: tex(utfjml9-v.vf) = %{tl_version}
Provides: tex(utfjmla-h.vf) = %{tl_version}
Provides: tex(utfjmla-v.vf) = %{tl_version}
Provides: tex(utfjmlb-h.vf) = %{tl_version}
Provides: tex(utfjmlb-v.vf) = %{tl_version}
Provides: tex(utfjmlc-h.vf) = %{tl_version}
Provides: tex(utfjmlc-v.vf) = %{tl_version}
Provides: tex(utfjmld-h.vf) = %{tl_version}
Provides: tex(utfjmld-v.vf) = %{tl_version}
Provides: tex(utfjmle-h.vf) = %{tl_version}
Provides: tex(utfjmle-v.vf) = %{tl_version}
Provides: tex(utfjmlf-h.vf) = %{tl_version}
Provides: tex(utfjmlf-v.vf) = %{tl_version}
Provides: tex(utfjmln0-h.vf) = %{tl_version}
Provides: tex(utfjmln0-v.vf) = %{tl_version}
Provides: tex(utfjmln1-h.vf) = %{tl_version}
Provides: tex(utfjmln1-v.vf) = %{tl_version}
Provides: tex(utfjmln2-h.vf) = %{tl_version}
Provides: tex(utfjmln2-v.vf) = %{tl_version}
Provides: tex(utfjmln3-h.vf) = %{tl_version}
Provides: tex(utfjmln3-v.vf) = %{tl_version}
Provides: tex(utfjmln4-h.vf) = %{tl_version}
Provides: tex(utfjmln4-v.vf) = %{tl_version}
Provides: tex(utfjmln5-h.vf) = %{tl_version}
Provides: tex(utfjmln5-v.vf) = %{tl_version}
Provides: tex(utfjmln6-h.vf) = %{tl_version}
Provides: tex(utfjmln6-v.vf) = %{tl_version}
Provides: tex(utfjmln7-h.vf) = %{tl_version}
Provides: tex(utfjmln7-v.vf) = %{tl_version}
Provides: tex(utfjmln8-h.vf) = %{tl_version}
Provides: tex(utfjmln8-v.vf) = %{tl_version}
Provides: tex(utfjmln9-h.vf) = %{tl_version}
Provides: tex(utfjmln9-v.vf) = %{tl_version}
Provides: tex(utfjmlna-h.vf) = %{tl_version}
Provides: tex(utfjmlna-v.vf) = %{tl_version}
Provides: tex(utfjmlnb-h.vf) = %{tl_version}
Provides: tex(utfjmlnb-v.vf) = %{tl_version}
Provides: tex(utfjmlnc-h.vf) = %{tl_version}
Provides: tex(utfjmlnc-v.vf) = %{tl_version}
Provides: tex(utfjmlnd-h.vf) = %{tl_version}
Provides: tex(utfjmlnd-v.vf) = %{tl_version}
Provides: tex(utfjmlne-h.vf) = %{tl_version}
Provides: tex(utfjmlne-v.vf) = %{tl_version}
Provides: tex(utfjmlnf-h.vf) = %{tl_version}
Provides: tex(utfjmlnf-v.vf) = %{tl_version}
Provides: tex(utfjmr0-h.vf) = %{tl_version}
Provides: tex(utfjmr0-v.vf) = %{tl_version}
Provides: tex(utfjmr1-h.vf) = %{tl_version}
Provides: tex(utfjmr1-v.vf) = %{tl_version}
Provides: tex(utfjmr2-h.vf) = %{tl_version}
Provides: tex(utfjmr2-v.vf) = %{tl_version}
Provides: tex(utfjmr3-h.vf) = %{tl_version}
Provides: tex(utfjmr3-v.vf) = %{tl_version}
Provides: tex(utfjmr4-h.vf) = %{tl_version}
Provides: tex(utfjmr4-v.vf) = %{tl_version}
Provides: tex(utfjmr5-h.vf) = %{tl_version}
Provides: tex(utfjmr5-v.vf) = %{tl_version}
Provides: tex(utfjmr6-h.vf) = %{tl_version}
Provides: tex(utfjmr6-v.vf) = %{tl_version}
Provides: tex(utfjmr7-h.vf) = %{tl_version}
Provides: tex(utfjmr7-v.vf) = %{tl_version}
Provides: tex(utfjmr8-h.vf) = %{tl_version}
Provides: tex(utfjmr8-v.vf) = %{tl_version}
Provides: tex(utfjmr9-h.vf) = %{tl_version}
Provides: tex(utfjmr9-v.vf) = %{tl_version}
Provides: tex(utfjmra-h.vf) = %{tl_version}
Provides: tex(utfjmra-v.vf) = %{tl_version}
Provides: tex(utfjmrb-h.vf) = %{tl_version}
Provides: tex(utfjmrb-v.vf) = %{tl_version}
Provides: tex(utfjmrc-h.vf) = %{tl_version}
Provides: tex(utfjmrc-v.vf) = %{tl_version}
Provides: tex(utfjmrd-h.vf) = %{tl_version}
Provides: tex(utfjmrd-v.vf) = %{tl_version}
Provides: tex(utfjmre-h.vf) = %{tl_version}
Provides: tex(utfjmre-v.vf) = %{tl_version}
Provides: tex(utfjmrf-h.vf) = %{tl_version}
Provides: tex(utfjmrf-v.vf) = %{tl_version}
Provides: tex(utfjmrn0-h.vf) = %{tl_version}
Provides: tex(utfjmrn0-v.vf) = %{tl_version}
Provides: tex(utfjmrn1-h.vf) = %{tl_version}
Provides: tex(utfjmrn1-v.vf) = %{tl_version}
Provides: tex(utfjmrn2-h.vf) = %{tl_version}
Provides: tex(utfjmrn2-v.vf) = %{tl_version}
Provides: tex(utfjmrn3-h.vf) = %{tl_version}
Provides: tex(utfjmrn3-v.vf) = %{tl_version}
Provides: tex(utfjmrn4-h.vf) = %{tl_version}
Provides: tex(utfjmrn4-v.vf) = %{tl_version}
Provides: tex(utfjmrn5-h.vf) = %{tl_version}
Provides: tex(utfjmrn5-v.vf) = %{tl_version}
Provides: tex(utfjmrn6-h.vf) = %{tl_version}
Provides: tex(utfjmrn6-v.vf) = %{tl_version}
Provides: tex(utfjmrn7-h.vf) = %{tl_version}
Provides: tex(utfjmrn7-v.vf) = %{tl_version}
Provides: tex(utfjmrn8-h.vf) = %{tl_version}
Provides: tex(utfjmrn8-v.vf) = %{tl_version}
Provides: tex(utfjmrn9-h.vf) = %{tl_version}
Provides: tex(utfjmrn9-v.vf) = %{tl_version}
Provides: tex(utfjmrna-h.vf) = %{tl_version}
Provides: tex(utfjmrna-v.vf) = %{tl_version}
Provides: tex(utfjmrnb-h.vf) = %{tl_version}
Provides: tex(utfjmrnb-v.vf) = %{tl_version}
Provides: tex(utfjmrnc-h.vf) = %{tl_version}
Provides: tex(utfjmrnc-v.vf) = %{tl_version}
Provides: tex(utfjmrnd-h.vf) = %{tl_version}
Provides: tex(utfjmrnd-v.vf) = %{tl_version}
Provides: tex(utfjmrne-h.vf) = %{tl_version}
Provides: tex(utfjmrne-v.vf) = %{tl_version}
Provides: tex(utfjmrnf-h.vf) = %{tl_version}
Provides: tex(utfjmrnf-v.vf) = %{tl_version}
Provides: tex(utfkgr0-h.vf) = %{tl_version}
Provides: tex(utfkgr0-v.vf) = %{tl_version}
Provides: tex(utfkgr1-h.vf) = %{tl_version}
Provides: tex(utfkgr1-v.vf) = %{tl_version}
Provides: tex(utfkgr2-h.vf) = %{tl_version}
Provides: tex(utfkgr2-v.vf) = %{tl_version}
Provides: tex(utfkgr3-h.vf) = %{tl_version}
Provides: tex(utfkgr3-v.vf) = %{tl_version}
Provides: tex(utfkgr4-h.vf) = %{tl_version}
Provides: tex(utfkgr4-v.vf) = %{tl_version}
Provides: tex(utfkgr5-h.vf) = %{tl_version}
Provides: tex(utfkgr5-v.vf) = %{tl_version}
Provides: tex(utfkgr6-h.vf) = %{tl_version}
Provides: tex(utfkgr6-v.vf) = %{tl_version}
Provides: tex(utfkgr7-h.vf) = %{tl_version}
Provides: tex(utfkgr7-v.vf) = %{tl_version}
Provides: tex(utfkgr8-h.vf) = %{tl_version}
Provides: tex(utfkgr8-v.vf) = %{tl_version}
Provides: tex(utfkgr9-h.vf) = %{tl_version}
Provides: tex(utfkgr9-v.vf) = %{tl_version}
Provides: tex(utfkgra-h.vf) = %{tl_version}
Provides: tex(utfkgra-v.vf) = %{tl_version}
Provides: tex(utfkgrb-h.vf) = %{tl_version}
Provides: tex(utfkgrb-v.vf) = %{tl_version}
Provides: tex(utfkgrc-h.vf) = %{tl_version}
Provides: tex(utfkgrc-v.vf) = %{tl_version}
Provides: tex(utfkgrd-h.vf) = %{tl_version}
Provides: tex(utfkgrd-v.vf) = %{tl_version}
Provides: tex(utfkgre-h.vf) = %{tl_version}
Provides: tex(utfkgre-v.vf) = %{tl_version}
Provides: tex(utfkgrf-h.vf) = %{tl_version}
Provides: tex(utfkgrf-v.vf) = %{tl_version}
Provides: tex(utfkmr0-h.vf) = %{tl_version}
Provides: tex(utfkmr0-v.vf) = %{tl_version}
Provides: tex(utfkmr1-h.vf) = %{tl_version}
Provides: tex(utfkmr1-v.vf) = %{tl_version}
Provides: tex(utfkmr2-h.vf) = %{tl_version}
Provides: tex(utfkmr2-v.vf) = %{tl_version}
Provides: tex(utfkmr3-h.vf) = %{tl_version}
Provides: tex(utfkmr3-v.vf) = %{tl_version}
Provides: tex(utfkmr4-h.vf) = %{tl_version}
Provides: tex(utfkmr4-v.vf) = %{tl_version}
Provides: tex(utfkmr5-h.vf) = %{tl_version}
Provides: tex(utfkmr5-v.vf) = %{tl_version}
Provides: tex(utfkmr6-h.vf) = %{tl_version}
Provides: tex(utfkmr6-v.vf) = %{tl_version}
Provides: tex(utfkmr7-h.vf) = %{tl_version}
Provides: tex(utfkmr7-v.vf) = %{tl_version}
Provides: tex(utfkmr8-h.vf) = %{tl_version}
Provides: tex(utfkmr8-v.vf) = %{tl_version}
Provides: tex(utfkmr9-h.vf) = %{tl_version}
Provides: tex(utfkmr9-v.vf) = %{tl_version}
Provides: tex(utfkmra-h.vf) = %{tl_version}
Provides: tex(utfkmra-v.vf) = %{tl_version}
Provides: tex(utfkmrb-h.vf) = %{tl_version}
Provides: tex(utfkmrb-v.vf) = %{tl_version}
Provides: tex(utfkmrc-h.vf) = %{tl_version}
Provides: tex(utfkmrc-v.vf) = %{tl_version}
Provides: tex(utfkmrd-h.vf) = %{tl_version}
Provides: tex(utfkmrd-v.vf) = %{tl_version}
Provides: tex(utfkmre-h.vf) = %{tl_version}
Provides: tex(utfkmre-v.vf) = %{tl_version}
Provides: tex(utfkmrf-h.vf) = %{tl_version}
Provides: tex(utfkmrf-v.vf) = %{tl_version}
Provides: tex(utfmr0-h.vf) = %{tl_version}
Provides: tex(utfmr0-v.vf) = %{tl_version}
Provides: tex(utfmr1-h.vf) = %{tl_version}
Provides: tex(utfmr1-v.vf) = %{tl_version}
Provides: tex(utfmr2-h.vf) = %{tl_version}
Provides: tex(utfmr2-v.vf) = %{tl_version}
Provides: tex(utfmr3-h.vf) = %{tl_version}
Provides: tex(utfmr3-v.vf) = %{tl_version}
Provides: tex(utfmr4-h.vf) = %{tl_version}
Provides: tex(utfmr4-v.vf) = %{tl_version}
Provides: tex(utfmr5-h.vf) = %{tl_version}
Provides: tex(utfmr5-v.vf) = %{tl_version}
Provides: tex(utfmr6-h.vf) = %{tl_version}
Provides: tex(utfmr6-v.vf) = %{tl_version}
Provides: tex(utfmr7-h.vf) = %{tl_version}
Provides: tex(utfmr7-v.vf) = %{tl_version}
Provides: tex(utfmr8-h.vf) = %{tl_version}
Provides: tex(utfmr8-v.vf) = %{tl_version}
Provides: tex(utfmr9-h.vf) = %{tl_version}
Provides: tex(utfmr9-v.vf) = %{tl_version}
Provides: tex(utfmra-h.vf) = %{tl_version}
Provides: tex(utfmra-v.vf) = %{tl_version}
Provides: tex(utfmrb-h.vf) = %{tl_version}
Provides: tex(utfmrb-v.vf) = %{tl_version}
Provides: tex(utfmrc-h.vf) = %{tl_version}
Provides: tex(utfmrc-v.vf) = %{tl_version}
Provides: tex(utfmrd-h.vf) = %{tl_version}
Provides: tex(utfmrd-v.vf) = %{tl_version}
Provides: tex(utfmre-h.vf) = %{tl_version}
Provides: tex(utfmre-v.vf) = %{tl_version}
Provides: tex(utfmrf-h.vf) = %{tl_version}
Provides: tex(utfmrf-v.vf) = %{tl_version}
Provides: tex(utftgr0-h.vf) = %{tl_version}
Provides: tex(utftgr0-v.vf) = %{tl_version}
Provides: tex(utftgr1-h.vf) = %{tl_version}
Provides: tex(utftgr1-v.vf) = %{tl_version}
Provides: tex(utftgr2-h.vf) = %{tl_version}
Provides: tex(utftgr2-v.vf) = %{tl_version}
Provides: tex(utftgr3-h.vf) = %{tl_version}
Provides: tex(utftgr3-v.vf) = %{tl_version}
Provides: tex(utftgr4-h.vf) = %{tl_version}
Provides: tex(utftgr4-v.vf) = %{tl_version}
Provides: tex(utftgr5-h.vf) = %{tl_version}
Provides: tex(utftgr5-v.vf) = %{tl_version}
Provides: tex(utftgr6-h.vf) = %{tl_version}
Provides: tex(utftgr6-v.vf) = %{tl_version}
Provides: tex(utftgr7-h.vf) = %{tl_version}
Provides: tex(utftgr7-v.vf) = %{tl_version}
Provides: tex(utftgr8-h.vf) = %{tl_version}
Provides: tex(utftgr8-v.vf) = %{tl_version}
Provides: tex(utftgr9-h.vf) = %{tl_version}
Provides: tex(utftgr9-v.vf) = %{tl_version}
Provides: tex(utftgra-h.vf) = %{tl_version}
Provides: tex(utftgra-v.vf) = %{tl_version}
Provides: tex(utftgrb-h.vf) = %{tl_version}
Provides: tex(utftgrb-v.vf) = %{tl_version}
Provides: tex(utftgrc-h.vf) = %{tl_version}
Provides: tex(utftgrc-v.vf) = %{tl_version}
Provides: tex(utftgrd-h.vf) = %{tl_version}
Provides: tex(utftgrd-v.vf) = %{tl_version}
Provides: tex(utftgre-h.vf) = %{tl_version}
Provides: tex(utftgre-v.vf) = %{tl_version}
Provides: tex(utftgrf-h.vf) = %{tl_version}
Provides: tex(utftgrf-v.vf) = %{tl_version}
Provides: tex(utftmr0-h.vf) = %{tl_version}
Provides: tex(utftmr0-v.vf) = %{tl_version}
Provides: tex(utftmr1-h.vf) = %{tl_version}
Provides: tex(utftmr1-v.vf) = %{tl_version}
Provides: tex(utftmr2-h.vf) = %{tl_version}
Provides: tex(utftmr2-v.vf) = %{tl_version}
Provides: tex(utftmr3-h.vf) = %{tl_version}
Provides: tex(utftmr3-v.vf) = %{tl_version}
Provides: tex(utftmr4-h.vf) = %{tl_version}
Provides: tex(utftmr4-v.vf) = %{tl_version}
Provides: tex(utftmr5-h.vf) = %{tl_version}
Provides: tex(utftmr5-v.vf) = %{tl_version}
Provides: tex(utftmr6-h.vf) = %{tl_version}
Provides: tex(utftmr6-v.vf) = %{tl_version}
Provides: tex(utftmr7-h.vf) = %{tl_version}
Provides: tex(utftmr7-v.vf) = %{tl_version}
Provides: tex(utftmr8-h.vf) = %{tl_version}
Provides: tex(utftmr8-v.vf) = %{tl_version}
Provides: tex(utftmr9-h.vf) = %{tl_version}
Provides: tex(utftmr9-v.vf) = %{tl_version}
Provides: tex(utftmra-h.vf) = %{tl_version}
Provides: tex(utftmra-v.vf) = %{tl_version}
Provides: tex(utftmrb-h.vf) = %{tl_version}
Provides: tex(utftmrb-v.vf) = %{tl_version}
Provides: tex(utftmrc-h.vf) = %{tl_version}
Provides: tex(utftmrc-v.vf) = %{tl_version}
Provides: tex(utftmrd-h.vf) = %{tl_version}
Provides: tex(utftmrd-v.vf) = %{tl_version}
Provides: tex(utftmre-h.vf) = %{tl_version}
Provides: tex(utftmre-v.vf) = %{tl_version}
Provides: tex(utftmrf-h.vf) = %{tl_version}
Provides: tex(utftmrf-v.vf) = %{tl_version}
Provides: tex(ajmacros.sty) = %{tl_version}
Provides: tex(mlcid.sty) = %{tl_version}
Provides: tex(redeffont.sty) = %{tl_version}

%description japanese-otf
The package contains pLaTeX support files and virtual fonts for
supporting a wide variety of fonts in LaTeX using the pTeX
engine.

%package japanese-otf-doc
Summary: Documentation for japanese-otf
Version: svn42950
Provides: tex-japanese-otf-doc
AutoReqProv: No

%description japanese-otf-doc
Documentation for japanese-otf

%package japanese-otf-uptex
Provides: tex-japanese-otf-uptex = %{tl_version}
License: BSD
Summary: Support for Japanese OTF files in upLaTeX
Version: svn43395
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires: tex-japanese-otf
Requires: tex(keyval.sty)
Requires: tex(mlcid.sty)
Requires: tex(ajmacros.sty)
Provides: tex(upbrsgexpgothb-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothb-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothbn-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothbn-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpgotheb-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpgotheb-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothebn-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothebn-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothr-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothr-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothrn-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothrn-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpmgothr-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpmgothr-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpmgothrn-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpmgothrn-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpminb-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpminb-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpminbn-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpminbn-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpminl-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpminl-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpminln-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpminln-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpminr-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpminr-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpminrn-h.tfm) = %{tl_version}
Provides: tex(upbrsgexpminrn-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothb-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothb-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothbn-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothbn-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgotheb-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgotheb-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothebn-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothebn-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothr-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothr-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothrn-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlgothrn-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlmgothr-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlmgothr-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminb-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminb-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminbn-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminbn-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminl-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminl-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminln-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminln-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminr-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminr-v.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminrn-h.tfm) = %{tl_version}
Provides: tex(upbrsgnmlminrn-v.tfm) = %{tl_version}
Provides: tex(upexpgothb-h.tfm) = %{tl_version}
Provides: tex(upexpgothb-v.tfm) = %{tl_version}
Provides: tex(upexpgothbn-h.tfm) = %{tl_version}
Provides: tex(upexpgothbn-v.tfm) = %{tl_version}
Provides: tex(upexpgotheb-h.tfm) = %{tl_version}
Provides: tex(upexpgotheb-v.tfm) = %{tl_version}
Provides: tex(upexpgothebn-h.tfm) = %{tl_version}
Provides: tex(upexpgothebn-v.tfm) = %{tl_version}
Provides: tex(upexpgothr-h.tfm) = %{tl_version}
Provides: tex(upexpgothr-v.tfm) = %{tl_version}
Provides: tex(upexpgothrn-h.tfm) = %{tl_version}
Provides: tex(upexpgothrn-v.tfm) = %{tl_version}
Provides: tex(upexpmgothr-h.tfm) = %{tl_version}
Provides: tex(upexpmgothr-v.tfm) = %{tl_version}
Provides: tex(upexpmgothrn-h.tfm) = %{tl_version}
Provides: tex(upexpmgothrn-v.tfm) = %{tl_version}
Provides: tex(upexpminb-h.tfm) = %{tl_version}
Provides: tex(upexpminb-v.tfm) = %{tl_version}
Provides: tex(upexpminbn-h.tfm) = %{tl_version}
Provides: tex(upexpminbn-v.tfm) = %{tl_version}
Provides: tex(upexpminl-h.tfm) = %{tl_version}
Provides: tex(upexpminl-v.tfm) = %{tl_version}
Provides: tex(upexpminln-h.tfm) = %{tl_version}
Provides: tex(upexpminln-v.tfm) = %{tl_version}
Provides: tex(upexpminr-h.tfm) = %{tl_version}
Provides: tex(upexpminr-v.tfm) = %{tl_version}
Provides: tex(upexpminrn-h.tfm) = %{tl_version}
Provides: tex(upexpminrn-v.tfm) = %{tl_version}
Provides: tex(uphgothb-h.tfm) = %{tl_version}
Provides: tex(uphgothb-v.tfm) = %{tl_version}
Provides: tex(uphgothbn-h.tfm) = %{tl_version}
Provides: tex(uphgothbn-v.tfm) = %{tl_version}
Provides: tex(uphgotheb-h.tfm) = %{tl_version}
Provides: tex(uphgotheb-v.tfm) = %{tl_version}
Provides: tex(uphgothebn-h.tfm) = %{tl_version}
Provides: tex(uphgothebn-v.tfm) = %{tl_version}
Provides: tex(uphgothr-h.tfm) = %{tl_version}
Provides: tex(uphgothr-v.tfm) = %{tl_version}
Provides: tex(uphgothrn-h.tfm) = %{tl_version}
Provides: tex(uphgothrn-v.tfm) = %{tl_version}
Provides: tex(uphmgothr-h.tfm) = %{tl_version}
Provides: tex(uphmgothr-v.tfm) = %{tl_version}
Provides: tex(uphmgothrn-h.tfm) = %{tl_version}
Provides: tex(uphmgothrn-v.tfm) = %{tl_version}
Provides: tex(uphminb-h.tfm) = %{tl_version}
Provides: tex(uphminb-v.tfm) = %{tl_version}
Provides: tex(uphminbn-h.tfm) = %{tl_version}
Provides: tex(uphminbn-v.tfm) = %{tl_version}
Provides: tex(uphminl-h.tfm) = %{tl_version}
Provides: tex(uphminl-v.tfm) = %{tl_version}
Provides: tex(uphminln-h.tfm) = %{tl_version}
Provides: tex(uphminln-v.tfm) = %{tl_version}
Provides: tex(uphminr-h.tfm) = %{tl_version}
Provides: tex(uphminr-v.tfm) = %{tl_version}
Provides: tex(uphminrn-h.tfm) = %{tl_version}
Provides: tex(uphminrn-v.tfm) = %{tl_version}
Provides: tex(upnmlgothb-h.tfm) = %{tl_version}
Provides: tex(upnmlgothb-v.tfm) = %{tl_version}
Provides: tex(upnmlgothbn-h.tfm) = %{tl_version}
Provides: tex(upnmlgothbn-v.tfm) = %{tl_version}
Provides: tex(upnmlgotheb-h.tfm) = %{tl_version}
Provides: tex(upnmlgotheb-v.tfm) = %{tl_version}
Provides: tex(upnmlgothebn-h.tfm) = %{tl_version}
Provides: tex(upnmlgothebn-v.tfm) = %{tl_version}
Provides: tex(upnmlgothr-h.tfm) = %{tl_version}
Provides: tex(upnmlgothr-v.tfm) = %{tl_version}
Provides: tex(upnmlgothrn-h.tfm) = %{tl_version}
Provides: tex(upnmlgothrn-v.tfm) = %{tl_version}
Provides: tex(upnmlmgothr-h.tfm) = %{tl_version}
Provides: tex(upnmlmgothr-v.tfm) = %{tl_version}
Provides: tex(upnmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(upnmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(upnmlminb-h.tfm) = %{tl_version}
Provides: tex(upnmlminb-v.tfm) = %{tl_version}
Provides: tex(upnmlminbn-h.tfm) = %{tl_version}
Provides: tex(upnmlminbn-v.tfm) = %{tl_version}
Provides: tex(upnmlminl-h.tfm) = %{tl_version}
Provides: tex(upnmlminl-v.tfm) = %{tl_version}
Provides: tex(upnmlminln-h.tfm) = %{tl_version}
Provides: tex(upnmlminln-v.tfm) = %{tl_version}
Provides: tex(upnmlminr-h.tfm) = %{tl_version}
Provides: tex(upnmlminr-v.tfm) = %{tl_version}
Provides: tex(upnmlminrn-h.tfm) = %{tl_version}
Provides: tex(upnmlminrn-v.tfm) = %{tl_version}
Provides: tex(upphirakakuw3-h.tfm) = %{tl_version}
Provides: tex(upphirakakuw3-v.tfm) = %{tl_version}
Provides: tex(upphirakakuw6-h.tfm) = %{tl_version}
Provides: tex(upphirakakuw6-v.tfm) = %{tl_version}
Provides: tex(upphiramaruw4-h.tfm) = %{tl_version}
Provides: tex(upphiramaruw4-v.tfm) = %{tl_version}
Provides: tex(upphiraminw3-h.tfm) = %{tl_version}
Provides: tex(upphiraminw3-v.tfm) = %{tl_version}
Provides: tex(upphiraminw6-h.tfm) = %{tl_version}
Provides: tex(upphiraminw6-v.tfm) = %{tl_version}
Provides: tex(uprubygothb-h.tfm) = %{tl_version}
Provides: tex(uprubygothb-v.tfm) = %{tl_version}
Provides: tex(uprubygotheb-h.tfm) = %{tl_version}
Provides: tex(uprubygotheb-v.tfm) = %{tl_version}
Provides: tex(uprubygothr-h.tfm) = %{tl_version}
Provides: tex(uprubygothr-v.tfm) = %{tl_version}
Provides: tex(uprubymgothr-h.tfm) = %{tl_version}
Provides: tex(uprubymgothr-v.tfm) = %{tl_version}
Provides: tex(uprubyminb-h.tfm) = %{tl_version}
Provides: tex(uprubyminb-v.tfm) = %{tl_version}
Provides: tex(uprubyminl-h.tfm) = %{tl_version}
Provides: tex(uprubyminl-v.tfm) = %{tl_version}
Provides: tex(uprubyminr-h.tfm) = %{tl_version}
Provides: tex(uprubyminr-v.tfm) = %{tl_version}
Provides: tex(utfcgrk-h.tfm) = %{tl_version}
Provides: tex(utfcgrk-v.tfm) = %{tl_version}
Provides: tex(utfcgrl-h.tfm) = %{tl_version}
Provides: tex(utfcgrl-v.tfm) = %{tl_version}
Provides: tex(utfcgrm-h.tfm) = %{tl_version}
Provides: tex(utfcgrm-v.tfm) = %{tl_version}
Provides: tex(utfcgro-h.tfm) = %{tl_version}
Provides: tex(utfcgro-v.tfm) = %{tl_version}
Provides: tex(utfcmrk-h.tfm) = %{tl_version}
Provides: tex(utfcmrk-v.tfm) = %{tl_version}
Provides: tex(utfcmrl-h.tfm) = %{tl_version}
Provides: tex(utfcmrl-v.tfm) = %{tl_version}
Provides: tex(utfcmrm-h.tfm) = %{tl_version}
Provides: tex(utfcmrm-v.tfm) = %{tl_version}
Provides: tex(utfcmro-h.tfm) = %{tl_version}
Provides: tex(utfcmro-v.tfm) = %{tl_version}
Provides: tex(utfgrj-h.tfm) = %{tl_version}
Provides: tex(utfgrj-v.tfm) = %{tl_version}
Provides: tex(utfgrk-h.tfm) = %{tl_version}
Provides: tex(utfgrk-v.tfm) = %{tl_version}
Provides: tex(utfgrl-h.tfm) = %{tl_version}
Provides: tex(utfgrl-v.tfm) = %{tl_version}
Provides: tex(utfgrm-h.tfm) = %{tl_version}
Provides: tex(utfgrm-v.tfm) = %{tl_version}
Provides: tex(utfgrn-h.tfm) = %{tl_version}
Provides: tex(utfgrn-v.tfm) = %{tl_version}
Provides: tex(utfgro-h.tfm) = %{tl_version}
Provides: tex(utfgro-v.tfm) = %{tl_version}
Provides: tex(utfgrp-h.tfm) = %{tl_version}
Provides: tex(utfgrp-v.tfm) = %{tl_version}
Provides: tex(utfgrq-h.tfm) = %{tl_version}
Provides: tex(utfgrq-v.tfm) = %{tl_version}
Provides: tex(utfgrr-h.tfm) = %{tl_version}
Provides: tex(utfgrr-v.tfm) = %{tl_version}
Provides: tex(utfgrs-h.tfm) = %{tl_version}
Provides: tex(utfgrs-v.tfm) = %{tl_version}
Provides: tex(utfgrt-h.tfm) = %{tl_version}
Provides: tex(utfgrt-v.tfm) = %{tl_version}
Provides: tex(utfgru-h.tfm) = %{tl_version}
Provides: tex(utfgru-v.tfm) = %{tl_version}
Provides: tex(utfgrv-h.tfm) = %{tl_version}
Provides: tex(utfgrv-v.tfm) = %{tl_version}
Provides: tex(utfgrz-h.tfm) = %{tl_version}
Provides: tex(utfgrz-v.tfm) = %{tl_version}
Provides: tex(utfjgbj-h.tfm) = %{tl_version}
Provides: tex(utfjgbj-v.tfm) = %{tl_version}
Provides: tex(utfjgbk-h.tfm) = %{tl_version}
Provides: tex(utfjgbk-v.tfm) = %{tl_version}
Provides: tex(utfjgbl-h.tfm) = %{tl_version}
Provides: tex(utfjgbl-v.tfm) = %{tl_version}
Provides: tex(utfjgbm-h.tfm) = %{tl_version}
Provides: tex(utfjgbm-v.tfm) = %{tl_version}
Provides: tex(utfjgbn-h.tfm) = %{tl_version}
Provides: tex(utfjgbn-v.tfm) = %{tl_version}
Provides: tex(utfjgbo-h.tfm) = %{tl_version}
Provides: tex(utfjgbo-v.tfm) = %{tl_version}
Provides: tex(utfjgbp-h.tfm) = %{tl_version}
Provides: tex(utfjgbp-v.tfm) = %{tl_version}
Provides: tex(utfjgbq-h.tfm) = %{tl_version}
Provides: tex(utfjgbq-v.tfm) = %{tl_version}
Provides: tex(utfjgbr-h.tfm) = %{tl_version}
Provides: tex(utfjgbr-v.tfm) = %{tl_version}
Provides: tex(utfjgbs-h.tfm) = %{tl_version}
Provides: tex(utfjgbs-v.tfm) = %{tl_version}
Provides: tex(utfjgbt-h.tfm) = %{tl_version}
Provides: tex(utfjgbt-v.tfm) = %{tl_version}
Provides: tex(utfjgbu-h.tfm) = %{tl_version}
Provides: tex(utfjgbu-v.tfm) = %{tl_version}
Provides: tex(utfjgbv-h.tfm) = %{tl_version}
Provides: tex(utfjgbv-v.tfm) = %{tl_version}
Provides: tex(utfjgbz-h.tfm) = %{tl_version}
Provides: tex(utfjgbz-v.tfm) = %{tl_version}
Provides: tex(utfjgej-h.tfm) = %{tl_version}
Provides: tex(utfjgej-v.tfm) = %{tl_version}
Provides: tex(utfjgek-h.tfm) = %{tl_version}
Provides: tex(utfjgek-v.tfm) = %{tl_version}
Provides: tex(utfjgel-h.tfm) = %{tl_version}
Provides: tex(utfjgel-v.tfm) = %{tl_version}
Provides: tex(utfjgem-h.tfm) = %{tl_version}
Provides: tex(utfjgem-v.tfm) = %{tl_version}
Provides: tex(utfjgen-h.tfm) = %{tl_version}
Provides: tex(utfjgen-v.tfm) = %{tl_version}
Provides: tex(utfjgeo-h.tfm) = %{tl_version}
Provides: tex(utfjgeo-v.tfm) = %{tl_version}
Provides: tex(utfjgep-h.tfm) = %{tl_version}
Provides: tex(utfjgep-v.tfm) = %{tl_version}
Provides: tex(utfjgeq-h.tfm) = %{tl_version}
Provides: tex(utfjgeq-v.tfm) = %{tl_version}
Provides: tex(utfjger-h.tfm) = %{tl_version}
Provides: tex(utfjger-v.tfm) = %{tl_version}
Provides: tex(utfjges-h.tfm) = %{tl_version}
Provides: tex(utfjges-v.tfm) = %{tl_version}
Provides: tex(utfjget-h.tfm) = %{tl_version}
Provides: tex(utfjget-v.tfm) = %{tl_version}
Provides: tex(utfjgeu-h.tfm) = %{tl_version}
Provides: tex(utfjgeu-v.tfm) = %{tl_version}
Provides: tex(utfjgev-h.tfm) = %{tl_version}
Provides: tex(utfjgev-v.tfm) = %{tl_version}
Provides: tex(utfjgez-h.tfm) = %{tl_version}
Provides: tex(utfjgez-v.tfm) = %{tl_version}
Provides: tex(utfjgrj-h.tfm) = %{tl_version}
Provides: tex(utfjgrj-v.tfm) = %{tl_version}
Provides: tex(utfjgrk-h.tfm) = %{tl_version}
Provides: tex(utfjgrk-v.tfm) = %{tl_version}
Provides: tex(utfjgrl-h.tfm) = %{tl_version}
Provides: tex(utfjgrl-v.tfm) = %{tl_version}
Provides: tex(utfjgrm-h.tfm) = %{tl_version}
Provides: tex(utfjgrm-v.tfm) = %{tl_version}
Provides: tex(utfjgrn-h.tfm) = %{tl_version}
Provides: tex(utfjgrn-v.tfm) = %{tl_version}
Provides: tex(utfjgro-h.tfm) = %{tl_version}
Provides: tex(utfjgro-v.tfm) = %{tl_version}
Provides: tex(utfjgrp-h.tfm) = %{tl_version}
Provides: tex(utfjgrp-v.tfm) = %{tl_version}
Provides: tex(utfjgrq-h.tfm) = %{tl_version}
Provides: tex(utfjgrq-v.tfm) = %{tl_version}
Provides: tex(utfjgrr-h.tfm) = %{tl_version}
Provides: tex(utfjgrr-v.tfm) = %{tl_version}
Provides: tex(utfjgrs-h.tfm) = %{tl_version}
Provides: tex(utfjgrs-v.tfm) = %{tl_version}
Provides: tex(utfjgrt-h.tfm) = %{tl_version}
Provides: tex(utfjgrt-v.tfm) = %{tl_version}
Provides: tex(utfjgru-h.tfm) = %{tl_version}
Provides: tex(utfjgru-v.tfm) = %{tl_version}
Provides: tex(utfjgrv-h.tfm) = %{tl_version}
Provides: tex(utfjgrv-v.tfm) = %{tl_version}
Provides: tex(utfjgrz-h.tfm) = %{tl_version}
Provides: tex(utfjgrz-v.tfm) = %{tl_version}
Provides: tex(utfjmbj-h.tfm) = %{tl_version}
Provides: tex(utfjmbj-v.tfm) = %{tl_version}
Provides: tex(utfjmbk-h.tfm) = %{tl_version}
Provides: tex(utfjmbk-v.tfm) = %{tl_version}
Provides: tex(utfjmbl-h.tfm) = %{tl_version}
Provides: tex(utfjmbl-v.tfm) = %{tl_version}
Provides: tex(utfjmbm-h.tfm) = %{tl_version}
Provides: tex(utfjmbm-v.tfm) = %{tl_version}
Provides: tex(utfjmbn-h.tfm) = %{tl_version}
Provides: tex(utfjmbn-v.tfm) = %{tl_version}
Provides: tex(utfjmbo-h.tfm) = %{tl_version}
Provides: tex(utfjmbo-v.tfm) = %{tl_version}
Provides: tex(utfjmbp-h.tfm) = %{tl_version}
Provides: tex(utfjmbp-v.tfm) = %{tl_version}
Provides: tex(utfjmbq-h.tfm) = %{tl_version}
Provides: tex(utfjmbq-v.tfm) = %{tl_version}
Provides: tex(utfjmbr-h.tfm) = %{tl_version}
Provides: tex(utfjmbr-v.tfm) = %{tl_version}
Provides: tex(utfjmbs-h.tfm) = %{tl_version}
Provides: tex(utfjmbs-v.tfm) = %{tl_version}
Provides: tex(utfjmbt-h.tfm) = %{tl_version}
Provides: tex(utfjmbt-v.tfm) = %{tl_version}
Provides: tex(utfjmbu-h.tfm) = %{tl_version}
Provides: tex(utfjmbu-v.tfm) = %{tl_version}
Provides: tex(utfjmbv-h.tfm) = %{tl_version}
Provides: tex(utfjmbv-v.tfm) = %{tl_version}
Provides: tex(utfjmbz-h.tfm) = %{tl_version}
Provides: tex(utfjmbz-v.tfm) = %{tl_version}
Provides: tex(utfjmgrj-h.tfm) = %{tl_version}
Provides: tex(utfjmgrj-v.tfm) = %{tl_version}
Provides: tex(utfjmgrk-h.tfm) = %{tl_version}
Provides: tex(utfjmgrk-v.tfm) = %{tl_version}
Provides: tex(utfjmgrl-h.tfm) = %{tl_version}
Provides: tex(utfjmgrl-v.tfm) = %{tl_version}
Provides: tex(utfjmgrm-h.tfm) = %{tl_version}
Provides: tex(utfjmgrm-v.tfm) = %{tl_version}
Provides: tex(utfjmgrn-h.tfm) = %{tl_version}
Provides: tex(utfjmgrn-v.tfm) = %{tl_version}
Provides: tex(utfjmgro-h.tfm) = %{tl_version}
Provides: tex(utfjmgro-v.tfm) = %{tl_version}
Provides: tex(utfjmgrp-h.tfm) = %{tl_version}
Provides: tex(utfjmgrp-v.tfm) = %{tl_version}
Provides: tex(utfjmgrq-h.tfm) = %{tl_version}
Provides: tex(utfjmgrq-v.tfm) = %{tl_version}
Provides: tex(utfjmgrr-h.tfm) = %{tl_version}
Provides: tex(utfjmgrr-v.tfm) = %{tl_version}
Provides: tex(utfjmgrs-h.tfm) = %{tl_version}
Provides: tex(utfjmgrs-v.tfm) = %{tl_version}
Provides: tex(utfjmgrt-h.tfm) = %{tl_version}
Provides: tex(utfjmgrt-v.tfm) = %{tl_version}
Provides: tex(utfjmgru-h.tfm) = %{tl_version}
Provides: tex(utfjmgru-v.tfm) = %{tl_version}
Provides: tex(utfjmgrv-h.tfm) = %{tl_version}
Provides: tex(utfjmgrv-v.tfm) = %{tl_version}
Provides: tex(utfjmgrz-h.tfm) = %{tl_version}
Provides: tex(utfjmgrz-v.tfm) = %{tl_version}
Provides: tex(utfjmlj-h.tfm) = %{tl_version}
Provides: tex(utfjmlj-v.tfm) = %{tl_version}
Provides: tex(utfjmlk-h.tfm) = %{tl_version}
Provides: tex(utfjmlk-v.tfm) = %{tl_version}
Provides: tex(utfjmll-h.tfm) = %{tl_version}
Provides: tex(utfjmll-v.tfm) = %{tl_version}
Provides: tex(utfjmlm-h.tfm) = %{tl_version}
Provides: tex(utfjmlm-v.tfm) = %{tl_version}
Provides: tex(utfjmln-h.tfm) = %{tl_version}
Provides: tex(utfjmln-v.tfm) = %{tl_version}
Provides: tex(utfjmlo-h.tfm) = %{tl_version}
Provides: tex(utfjmlo-v.tfm) = %{tl_version}
Provides: tex(utfjmlp-h.tfm) = %{tl_version}
Provides: tex(utfjmlp-v.tfm) = %{tl_version}
Provides: tex(utfjmlq-h.tfm) = %{tl_version}
Provides: tex(utfjmlq-v.tfm) = %{tl_version}
Provides: tex(utfjmlr-h.tfm) = %{tl_version}
Provides: tex(utfjmlr-v.tfm) = %{tl_version}
Provides: tex(utfjmls-h.tfm) = %{tl_version}
Provides: tex(utfjmls-v.tfm) = %{tl_version}
Provides: tex(utfjmlt-h.tfm) = %{tl_version}
Provides: tex(utfjmlt-v.tfm) = %{tl_version}
Provides: tex(utfjmlu-h.tfm) = %{tl_version}
Provides: tex(utfjmlu-v.tfm) = %{tl_version}
Provides: tex(utfjmlv-h.tfm) = %{tl_version}
Provides: tex(utfjmlv-v.tfm) = %{tl_version}
Provides: tex(utfjmlz-h.tfm) = %{tl_version}
Provides: tex(utfjmlz-v.tfm) = %{tl_version}
Provides: tex(utfjmrj-h.tfm) = %{tl_version}
Provides: tex(utfjmrj-v.tfm) = %{tl_version}
Provides: tex(utfjmrk-h.tfm) = %{tl_version}
Provides: tex(utfjmrk-v.tfm) = %{tl_version}
Provides: tex(utfjmrl-h.tfm) = %{tl_version}
Provides: tex(utfjmrl-v.tfm) = %{tl_version}
Provides: tex(utfjmrm-h.tfm) = %{tl_version}
Provides: tex(utfjmrm-v.tfm) = %{tl_version}
Provides: tex(utfjmrn-h.tfm) = %{tl_version}
Provides: tex(utfjmrn-v.tfm) = %{tl_version}
Provides: tex(utfjmro-h.tfm) = %{tl_version}
Provides: tex(utfjmro-v.tfm) = %{tl_version}
Provides: tex(utfjmrp-h.tfm) = %{tl_version}
Provides: tex(utfjmrp-v.tfm) = %{tl_version}
Provides: tex(utfjmrq-h.tfm) = %{tl_version}
Provides: tex(utfjmrq-v.tfm) = %{tl_version}
Provides: tex(utfjmrr-h.tfm) = %{tl_version}
Provides: tex(utfjmrr-v.tfm) = %{tl_version}
Provides: tex(utfjmrs-h.tfm) = %{tl_version}
Provides: tex(utfjmrs-v.tfm) = %{tl_version}
Provides: tex(utfjmrt-h.tfm) = %{tl_version}
Provides: tex(utfjmrt-v.tfm) = %{tl_version}
Provides: tex(utfjmru-h.tfm) = %{tl_version}
Provides: tex(utfjmru-v.tfm) = %{tl_version}
Provides: tex(utfjmrv-h.tfm) = %{tl_version}
Provides: tex(utfjmrv-v.tfm) = %{tl_version}
Provides: tex(utfjmrz-h.tfm) = %{tl_version}
Provides: tex(utfjmrz-v.tfm) = %{tl_version}
Provides: tex(utfmrj-h.tfm) = %{tl_version}
Provides: tex(utfmrj-v.tfm) = %{tl_version}
Provides: tex(utfmrk-h.tfm) = %{tl_version}
Provides: tex(utfmrk-v.tfm) = %{tl_version}
Provides: tex(utfmrl-h.tfm) = %{tl_version}
Provides: tex(utfmrl-v.tfm) = %{tl_version}
Provides: tex(utfmrm-h.tfm) = %{tl_version}
Provides: tex(utfmrm-v.tfm) = %{tl_version}
Provides: tex(utfmrn-h.tfm) = %{tl_version}
Provides: tex(utfmrn-v.tfm) = %{tl_version}
Provides: tex(utfmro-h.tfm) = %{tl_version}
Provides: tex(utfmro-v.tfm) = %{tl_version}
Provides: tex(utfmrp-h.tfm) = %{tl_version}
Provides: tex(utfmrp-v.tfm) = %{tl_version}
Provides: tex(utfmrq-h.tfm) = %{tl_version}
Provides: tex(utfmrq-v.tfm) = %{tl_version}
Provides: tex(utfmrr-h.tfm) = %{tl_version}
Provides: tex(utfmrr-v.tfm) = %{tl_version}
Provides: tex(utfmrs-h.tfm) = %{tl_version}
Provides: tex(utfmrs-v.tfm) = %{tl_version}
Provides: tex(utfmrt-h.tfm) = %{tl_version}
Provides: tex(utfmrt-v.tfm) = %{tl_version}
Provides: tex(utfmru-h.tfm) = %{tl_version}
Provides: tex(utfmru-v.tfm) = %{tl_version}
Provides: tex(utfmrv-h.tfm) = %{tl_version}
Provides: tex(utfmrv-v.tfm) = %{tl_version}
Provides: tex(utfmrz-h.tfm) = %{tl_version}
Provides: tex(utfmrz-v.tfm) = %{tl_version}
Provides: tex(utftgrk-h.tfm) = %{tl_version}
Provides: tex(utftgrk-v.tfm) = %{tl_version}
Provides: tex(utftgrl-h.tfm) = %{tl_version}
Provides: tex(utftgrl-v.tfm) = %{tl_version}
Provides: tex(utftgrm-h.tfm) = %{tl_version}
Provides: tex(utftgrm-v.tfm) = %{tl_version}
Provides: tex(utftgrn-h.tfm) = %{tl_version}
Provides: tex(utftgrn-v.tfm) = %{tl_version}
Provides: tex(utftgro-h.tfm) = %{tl_version}
Provides: tex(utftgro-v.tfm) = %{tl_version}
Provides: tex(utftgrp-h.tfm) = %{tl_version}
Provides: tex(utftgrp-v.tfm) = %{tl_version}
Provides: tex(utftgrq-h.tfm) = %{tl_version}
Provides: tex(utftgrq-v.tfm) = %{tl_version}
Provides: tex(utftgrr-h.tfm) = %{tl_version}
Provides: tex(utftgrr-v.tfm) = %{tl_version}
Provides: tex(utftgrs-h.tfm) = %{tl_version}
Provides: tex(utftgrs-v.tfm) = %{tl_version}
Provides: tex(utftgrt-h.tfm) = %{tl_version}
Provides: tex(utftgrt-v.tfm) = %{tl_version}
Provides: tex(utftgru-h.tfm) = %{tl_version}
Provides: tex(utftgru-v.tfm) = %{tl_version}
Provides: tex(utftgrz-h.tfm) = %{tl_version}
Provides: tex(utftgrz-v.tfm) = %{tl_version}
Provides: tex(utftmrk-h.tfm) = %{tl_version}
Provides: tex(utftmrk-v.tfm) = %{tl_version}
Provides: tex(utftmrl-h.tfm) = %{tl_version}
Provides: tex(utftmrl-v.tfm) = %{tl_version}
Provides: tex(utftmrm-h.tfm) = %{tl_version}
Provides: tex(utftmrm-v.tfm) = %{tl_version}
Provides: tex(utftmrn-h.tfm) = %{tl_version}
Provides: tex(utftmrn-v.tfm) = %{tl_version}
Provides: tex(utftmro-h.tfm) = %{tl_version}
Provides: tex(utftmro-v.tfm) = %{tl_version}
Provides: tex(utftmrp-h.tfm) = %{tl_version}
Provides: tex(utftmrp-v.tfm) = %{tl_version}
Provides: tex(utftmrq-h.tfm) = %{tl_version}
Provides: tex(utftmrq-v.tfm) = %{tl_version}
Provides: tex(utftmrr-h.tfm) = %{tl_version}
Provides: tex(utftmrr-v.tfm) = %{tl_version}
Provides: tex(utftmrs-h.tfm) = %{tl_version}
Provides: tex(utftmrs-v.tfm) = %{tl_version}
Provides: tex(utftmrt-h.tfm) = %{tl_version}
Provides: tex(utftmrt-v.tfm) = %{tl_version}
Provides: tex(utftmru-h.tfm) = %{tl_version}
Provides: tex(utftmru-v.tfm) = %{tl_version}
Provides: tex(utftmrz-h.tfm) = %{tl_version}
Provides: tex(utftmrz-v.tfm) = %{tl_version}
Provides: tex(upbrsgexpgothb-h.vf) = %{tl_version}
Provides: tex(upbrsgexpgothb-v.vf) = %{tl_version}
Provides: tex(upbrsgexpgothbn-h.vf) = %{tl_version}
Provides: tex(upbrsgexpgothbn-v.vf) = %{tl_version}
Provides: tex(upbrsgexpgotheb-h.vf) = %{tl_version}
Provides: tex(upbrsgexpgotheb-v.vf) = %{tl_version}
Provides: tex(upbrsgexpgothebn-h.vf) = %{tl_version}
Provides: tex(upbrsgexpgothebn-v.vf) = %{tl_version}
Provides: tex(upbrsgexpgothr-h.vf) = %{tl_version}
Provides: tex(upbrsgexpgothr-v.vf) = %{tl_version}
Provides: tex(upbrsgexpgothrn-h.vf) = %{tl_version}
Provides: tex(upbrsgexpgothrn-v.vf) = %{tl_version}
Provides: tex(upbrsgexpmgothr-h.vf) = %{tl_version}
Provides: tex(upbrsgexpmgothr-v.vf) = %{tl_version}
Provides: tex(upbrsgexpmgothrn-h.vf) = %{tl_version}
Provides: tex(upbrsgexpmgothrn-v.vf) = %{tl_version}
Provides: tex(upbrsgexpminb-h.vf) = %{tl_version}
Provides: tex(upbrsgexpminb-v.vf) = %{tl_version}
Provides: tex(upbrsgexpminbn-h.vf) = %{tl_version}
Provides: tex(upbrsgexpminbn-v.vf) = %{tl_version}
Provides: tex(upbrsgexpminl-h.vf) = %{tl_version}
Provides: tex(upbrsgexpminl-v.vf) = %{tl_version}
Provides: tex(upbrsgexpminln-h.vf) = %{tl_version}
Provides: tex(upbrsgexpminln-v.vf) = %{tl_version}
Provides: tex(upbrsgexpminr-h.vf) = %{tl_version}
Provides: tex(upbrsgexpminr-v.vf) = %{tl_version}
Provides: tex(upbrsgexpminrn-h.vf) = %{tl_version}
Provides: tex(upbrsgexpminrn-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothb-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothb-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothbn-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothbn-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlgotheb-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlgotheb-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothebn-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothebn-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothr-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothr-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothrn-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlgothrn-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlmgothr-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlmgothr-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlmgothrn-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlmgothrn-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlminb-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlminb-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlminbn-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlminbn-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlminl-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlminl-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlminln-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlminln-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlminr-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlminr-v.vf) = %{tl_version}
Provides: tex(upbrsgnmlminrn-h.vf) = %{tl_version}
Provides: tex(upbrsgnmlminrn-v.vf) = %{tl_version}
Provides: tex(upexpgothb-h.vf) = %{tl_version}
Provides: tex(upexpgothb-v.vf) = %{tl_version}
Provides: tex(upexpgothbn-h.vf) = %{tl_version}
Provides: tex(upexpgothbn-v.vf) = %{tl_version}
Provides: tex(upexpgotheb-h.vf) = %{tl_version}
Provides: tex(upexpgotheb-v.vf) = %{tl_version}
Provides: tex(upexpgothebn-h.vf) = %{tl_version}
Provides: tex(upexpgothebn-v.vf) = %{tl_version}
Provides: tex(upexpgothr-h.vf) = %{tl_version}
Provides: tex(upexpgothr-v.vf) = %{tl_version}
Provides: tex(upexpgothrn-h.vf) = %{tl_version}
Provides: tex(upexpgothrn-v.vf) = %{tl_version}
Provides: tex(upexpmgothr-h.vf) = %{tl_version}
Provides: tex(upexpmgothr-v.vf) = %{tl_version}
Provides: tex(upexpmgothrn-h.vf) = %{tl_version}
Provides: tex(upexpmgothrn-v.vf) = %{tl_version}
Provides: tex(upexpminb-h.vf) = %{tl_version}
Provides: tex(upexpminb-v.vf) = %{tl_version}
Provides: tex(upexpminbn-h.vf) = %{tl_version}
Provides: tex(upexpminbn-v.vf) = %{tl_version}
Provides: tex(upexpminl-h.vf) = %{tl_version}
Provides: tex(upexpminl-v.vf) = %{tl_version}
Provides: tex(upexpminln-h.vf) = %{tl_version}
Provides: tex(upexpminln-v.vf) = %{tl_version}
Provides: tex(upexpminr-h.vf) = %{tl_version}
Provides: tex(upexpminr-v.vf) = %{tl_version}
Provides: tex(upexpminrn-h.vf) = %{tl_version}
Provides: tex(upexpminrn-v.vf) = %{tl_version}
Provides: tex(upnmlgothb-h.vf) = %{tl_version}
Provides: tex(upnmlgothb-v.vf) = %{tl_version}
Provides: tex(upnmlgothbn-h.vf) = %{tl_version}
Provides: tex(upnmlgothbn-v.vf) = %{tl_version}
Provides: tex(upnmlgotheb-h.vf) = %{tl_version}
Provides: tex(upnmlgotheb-v.vf) = %{tl_version}
Provides: tex(upnmlgothebn-h.vf) = %{tl_version}
Provides: tex(upnmlgothebn-v.vf) = %{tl_version}
Provides: tex(upnmlgothr-h.vf) = %{tl_version}
Provides: tex(upnmlgothr-v.vf) = %{tl_version}
Provides: tex(upnmlgothrn-h.vf) = %{tl_version}
Provides: tex(upnmlgothrn-v.vf) = %{tl_version}
Provides: tex(upnmlmgothr-h.vf) = %{tl_version}
Provides: tex(upnmlmgothr-v.vf) = %{tl_version}
Provides: tex(upnmlmgothrn-h.vf) = %{tl_version}
Provides: tex(upnmlmgothrn-v.vf) = %{tl_version}
Provides: tex(upnmlminb-h.vf) = %{tl_version}
Provides: tex(upnmlminb-v.vf) = %{tl_version}
Provides: tex(upnmlminbn-h.vf) = %{tl_version}
Provides: tex(upnmlminbn-v.vf) = %{tl_version}
Provides: tex(upnmlminl-h.vf) = %{tl_version}
Provides: tex(upnmlminl-v.vf) = %{tl_version}
Provides: tex(upnmlminln-h.vf) = %{tl_version}
Provides: tex(upnmlminln-v.vf) = %{tl_version}
Provides: tex(upnmlminr-h.vf) = %{tl_version}
Provides: tex(upnmlminr-v.vf) = %{tl_version}
Provides: tex(upnmlminrn-h.vf) = %{tl_version}
Provides: tex(upnmlminrn-v.vf) = %{tl_version}
Provides: tex(upphirakakuw3-h.vf) = %{tl_version}
Provides: tex(upphirakakuw3-v.vf) = %{tl_version}
Provides: tex(upphirakakuw6-h.vf) = %{tl_version}
Provides: tex(upphirakakuw6-v.vf) = %{tl_version}
Provides: tex(upphiramaruw4-h.vf) = %{tl_version}
Provides: tex(upphiramaruw4-v.vf) = %{tl_version}
Provides: tex(upphiraminw3-h.vf) = %{tl_version}
Provides: tex(upphiraminw3-v.vf) = %{tl_version}
Provides: tex(upphiraminw6-h.vf) = %{tl_version}
Provides: tex(upphiraminw6-v.vf) = %{tl_version}
Provides: tex(uprubygothb-h.vf) = %{tl_version}
Provides: tex(uprubygothb-v.vf) = %{tl_version}
Provides: tex(uprubygotheb-h.vf) = %{tl_version}
Provides: tex(uprubygotheb-v.vf) = %{tl_version}
Provides: tex(uprubygothr-h.vf) = %{tl_version}
Provides: tex(uprubygothr-v.vf) = %{tl_version}
Provides: tex(uprubymgothr-h.vf) = %{tl_version}
Provides: tex(uprubymgothr-v.vf) = %{tl_version}
Provides: tex(uprubyminb-h.vf) = %{tl_version}
Provides: tex(uprubyminb-v.vf) = %{tl_version}
Provides: tex(uprubyminl-h.vf) = %{tl_version}
Provides: tex(uprubyminl-v.vf) = %{tl_version}
Provides: tex(uprubyminr-h.vf) = %{tl_version}
Provides: tex(uprubyminr-v.vf) = %{tl_version}
Provides: tex(utfcgrk-h.vf) = %{tl_version}
Provides: tex(utfcgrk-v.vf) = %{tl_version}
Provides: tex(utfcgrl-h.vf) = %{tl_version}
Provides: tex(utfcgrl-v.vf) = %{tl_version}
Provides: tex(utfcgrm-h.vf) = %{tl_version}
Provides: tex(utfcgrm-v.vf) = %{tl_version}
Provides: tex(utfcgro-h.vf) = %{tl_version}
Provides: tex(utfcgro-v.vf) = %{tl_version}
Provides: tex(utfcmrk-h.vf) = %{tl_version}
Provides: tex(utfcmrk-v.vf) = %{tl_version}
Provides: tex(utfcmrl-h.vf) = %{tl_version}
Provides: tex(utfcmrl-v.vf) = %{tl_version}
Provides: tex(utfcmrm-h.vf) = %{tl_version}
Provides: tex(utfcmrm-v.vf) = %{tl_version}
Provides: tex(utfcmro-h.vf) = %{tl_version}
Provides: tex(utfcmro-v.vf) = %{tl_version}
Provides: tex(utfgrj-h.vf) = %{tl_version}
Provides: tex(utfgrj-v.vf) = %{tl_version}
Provides: tex(utfgrk-h.vf) = %{tl_version}
Provides: tex(utfgrk-v.vf) = %{tl_version}
Provides: tex(utfgrl-h.vf) = %{tl_version}
Provides: tex(utfgrl-v.vf) = %{tl_version}
Provides: tex(utfgrm-h.vf) = %{tl_version}
Provides: tex(utfgrm-v.vf) = %{tl_version}
Provides: tex(utfgrn-h.vf) = %{tl_version}
Provides: tex(utfgrn-v.vf) = %{tl_version}
Provides: tex(utfgro-h.vf) = %{tl_version}
Provides: tex(utfgro-v.vf) = %{tl_version}
Provides: tex(utfgrp-h.vf) = %{tl_version}
Provides: tex(utfgrp-v.vf) = %{tl_version}
Provides: tex(utfgrq-h.vf) = %{tl_version}
Provides: tex(utfgrq-v.vf) = %{tl_version}
Provides: tex(utfgrr-h.vf) = %{tl_version}
Provides: tex(utfgrr-v.vf) = %{tl_version}
Provides: tex(utfgrs-h.vf) = %{tl_version}
Provides: tex(utfgrs-v.vf) = %{tl_version}
Provides: tex(utfgrt-h.vf) = %{tl_version}
Provides: tex(utfgrt-v.vf) = %{tl_version}
Provides: tex(utfgru-h.vf) = %{tl_version}
Provides: tex(utfgru-v.vf) = %{tl_version}
Provides: tex(utfgrv-h.vf) = %{tl_version}
Provides: tex(utfgrv-v.vf) = %{tl_version}
Provides: tex(utfgrz-h.vf) = %{tl_version}
Provides: tex(utfgrz-v.vf) = %{tl_version}
Provides: tex(utfjgbj-h.vf) = %{tl_version}
Provides: tex(utfjgbj-v.vf) = %{tl_version}
Provides: tex(utfjgbk-h.vf) = %{tl_version}
Provides: tex(utfjgbk-v.vf) = %{tl_version}
Provides: tex(utfjgbl-h.vf) = %{tl_version}
Provides: tex(utfjgbl-v.vf) = %{tl_version}
Provides: tex(utfjgbm-h.vf) = %{tl_version}
Provides: tex(utfjgbm-v.vf) = %{tl_version}
Provides: tex(utfjgbn-h.vf) = %{tl_version}
Provides: tex(utfjgbn-v.vf) = %{tl_version}
Provides: tex(utfjgbo-h.vf) = %{tl_version}
Provides: tex(utfjgbo-v.vf) = %{tl_version}
Provides: tex(utfjgbp-h.vf) = %{tl_version}
Provides: tex(utfjgbp-v.vf) = %{tl_version}
Provides: tex(utfjgbq-h.vf) = %{tl_version}
Provides: tex(utfjgbq-v.vf) = %{tl_version}
Provides: tex(utfjgbr-h.vf) = %{tl_version}
Provides: tex(utfjgbr-v.vf) = %{tl_version}
Provides: tex(utfjgbs-h.vf) = %{tl_version}
Provides: tex(utfjgbs-v.vf) = %{tl_version}
Provides: tex(utfjgbt-h.vf) = %{tl_version}
Provides: tex(utfjgbt-v.vf) = %{tl_version}
Provides: tex(utfjgbu-h.vf) = %{tl_version}
Provides: tex(utfjgbu-v.vf) = %{tl_version}
Provides: tex(utfjgbv-h.vf) = %{tl_version}
Provides: tex(utfjgbv-v.vf) = %{tl_version}
Provides: tex(utfjgbz-h.vf) = %{tl_version}
Provides: tex(utfjgbz-v.vf) = %{tl_version}
Provides: tex(utfjgej-h.vf) = %{tl_version}
Provides: tex(utfjgej-v.vf) = %{tl_version}
Provides: tex(utfjgek-h.vf) = %{tl_version}
Provides: tex(utfjgek-v.vf) = %{tl_version}
Provides: tex(utfjgel-h.vf) = %{tl_version}
Provides: tex(utfjgel-v.vf) = %{tl_version}
Provides: tex(utfjgem-h.vf) = %{tl_version}
Provides: tex(utfjgem-v.vf) = %{tl_version}
Provides: tex(utfjgen-h.vf) = %{tl_version}
Provides: tex(utfjgen-v.vf) = %{tl_version}
Provides: tex(utfjgeo-h.vf) = %{tl_version}
Provides: tex(utfjgeo-v.vf) = %{tl_version}
Provides: tex(utfjgep-h.vf) = %{tl_version}
Provides: tex(utfjgep-v.vf) = %{tl_version}
Provides: tex(utfjgeq-h.vf) = %{tl_version}
Provides: tex(utfjgeq-v.vf) = %{tl_version}
Provides: tex(utfjger-h.vf) = %{tl_version}
Provides: tex(utfjger-v.vf) = %{tl_version}
Provides: tex(utfjges-h.vf) = %{tl_version}
Provides: tex(utfjges-v.vf) = %{tl_version}
Provides: tex(utfjget-h.vf) = %{tl_version}
Provides: tex(utfjget-v.vf) = %{tl_version}
Provides: tex(utfjgeu-h.vf) = %{tl_version}
Provides: tex(utfjgeu-v.vf) = %{tl_version}
Provides: tex(utfjgev-h.vf) = %{tl_version}
Provides: tex(utfjgev-v.vf) = %{tl_version}
Provides: tex(utfjgez-h.vf) = %{tl_version}
Provides: tex(utfjgez-v.vf) = %{tl_version}
Provides: tex(utfjgrj-h.vf) = %{tl_version}
Provides: tex(utfjgrj-v.vf) = %{tl_version}
Provides: tex(utfjgrk-h.vf) = %{tl_version}
Provides: tex(utfjgrk-v.vf) = %{tl_version}
Provides: tex(utfjgrl-h.vf) = %{tl_version}
Provides: tex(utfjgrl-v.vf) = %{tl_version}
Provides: tex(utfjgrm-h.vf) = %{tl_version}
Provides: tex(utfjgrm-v.vf) = %{tl_version}
Provides: tex(utfjgrn-h.vf) = %{tl_version}
Provides: tex(utfjgrn-v.vf) = %{tl_version}
Provides: tex(utfjgro-h.vf) = %{tl_version}
Provides: tex(utfjgro-v.vf) = %{tl_version}
Provides: tex(utfjgrp-h.vf) = %{tl_version}
Provides: tex(utfjgrp-v.vf) = %{tl_version}
Provides: tex(utfjgrq-h.vf) = %{tl_version}
Provides: tex(utfjgrq-v.vf) = %{tl_version}
Provides: tex(utfjgrr-h.vf) = %{tl_version}
Provides: tex(utfjgrr-v.vf) = %{tl_version}
Provides: tex(utfjgrs-h.vf) = %{tl_version}
Provides: tex(utfjgrs-v.vf) = %{tl_version}
Provides: tex(utfjgrt-h.vf) = %{tl_version}
Provides: tex(utfjgrt-v.vf) = %{tl_version}
Provides: tex(utfjgru-h.vf) = %{tl_version}
Provides: tex(utfjgru-v.vf) = %{tl_version}
Provides: tex(utfjgrv-h.vf) = %{tl_version}
Provides: tex(utfjgrv-v.vf) = %{tl_version}
Provides: tex(utfjgrz-h.vf) = %{tl_version}
Provides: tex(utfjgrz-v.vf) = %{tl_version}
Provides: tex(utfjmbj-h.vf) = %{tl_version}
Provides: tex(utfjmbj-v.vf) = %{tl_version}
Provides: tex(utfjmbk-h.vf) = %{tl_version}
Provides: tex(utfjmbk-v.vf) = %{tl_version}
Provides: tex(utfjmbl-h.vf) = %{tl_version}
Provides: tex(utfjmbl-v.vf) = %{tl_version}
Provides: tex(utfjmbm-h.vf) = %{tl_version}
Provides: tex(utfjmbm-v.vf) = %{tl_version}
Provides: tex(utfjmbn-h.vf) = %{tl_version}
Provides: tex(utfjmbn-v.vf) = %{tl_version}
Provides: tex(utfjmbo-h.vf) = %{tl_version}
Provides: tex(utfjmbo-v.vf) = %{tl_version}
Provides: tex(utfjmbp-h.vf) = %{tl_version}
Provides: tex(utfjmbp-v.vf) = %{tl_version}
Provides: tex(utfjmbq-h.vf) = %{tl_version}
Provides: tex(utfjmbq-v.vf) = %{tl_version}
Provides: tex(utfjmbr-h.vf) = %{tl_version}
Provides: tex(utfjmbr-v.vf) = %{tl_version}
Provides: tex(utfjmbs-h.vf) = %{tl_version}
Provides: tex(utfjmbs-v.vf) = %{tl_version}
Provides: tex(utfjmbt-h.vf) = %{tl_version}
Provides: tex(utfjmbt-v.vf) = %{tl_version}
Provides: tex(utfjmbu-h.vf) = %{tl_version}
Provides: tex(utfjmbu-v.vf) = %{tl_version}
Provides: tex(utfjmbv-h.vf) = %{tl_version}
Provides: tex(utfjmbv-v.vf) = %{tl_version}
Provides: tex(utfjmbz-h.vf) = %{tl_version}
Provides: tex(utfjmbz-v.vf) = %{tl_version}
Provides: tex(utfjmgrj-h.vf) = %{tl_version}
Provides: tex(utfjmgrj-v.vf) = %{tl_version}
Provides: tex(utfjmgrk-h.vf) = %{tl_version}
Provides: tex(utfjmgrk-v.vf) = %{tl_version}
Provides: tex(utfjmgrl-h.vf) = %{tl_version}
Provides: tex(utfjmgrl-v.vf) = %{tl_version}
Provides: tex(utfjmgrm-h.vf) = %{tl_version}
Provides: tex(utfjmgrm-v.vf) = %{tl_version}
Provides: tex(utfjmgrn-h.vf) = %{tl_version}
Provides: tex(utfjmgrn-v.vf) = %{tl_version}
Provides: tex(utfjmgro-h.vf) = %{tl_version}
Provides: tex(utfjmgro-v.vf) = %{tl_version}
Provides: tex(utfjmgrp-h.vf) = %{tl_version}
Provides: tex(utfjmgrp-v.vf) = %{tl_version}
Provides: tex(utfjmgrq-h.vf) = %{tl_version}
Provides: tex(utfjmgrq-v.vf) = %{tl_version}
Provides: tex(utfjmgrr-h.vf) = %{tl_version}
Provides: tex(utfjmgrr-v.vf) = %{tl_version}
Provides: tex(utfjmgrs-h.vf) = %{tl_version}
Provides: tex(utfjmgrs-v.vf) = %{tl_version}
Provides: tex(utfjmgrt-h.vf) = %{tl_version}
Provides: tex(utfjmgrt-v.vf) = %{tl_version}
Provides: tex(utfjmgru-h.vf) = %{tl_version}
Provides: tex(utfjmgru-v.vf) = %{tl_version}
Provides: tex(utfjmgrv-h.vf) = %{tl_version}
Provides: tex(utfjmgrv-v.vf) = %{tl_version}
Provides: tex(utfjmgrz-h.vf) = %{tl_version}
Provides: tex(utfjmgrz-v.vf) = %{tl_version}
Provides: tex(utfjmlj-h.vf) = %{tl_version}
Provides: tex(utfjmlj-v.vf) = %{tl_version}
Provides: tex(utfjmlk-h.vf) = %{tl_version}
Provides: tex(utfjmlk-v.vf) = %{tl_version}
Provides: tex(utfjmll-h.vf) = %{tl_version}
Provides: tex(utfjmll-v.vf) = %{tl_version}
Provides: tex(utfjmlm-h.vf) = %{tl_version}
Provides: tex(utfjmlm-v.vf) = %{tl_version}
Provides: tex(utfjmln-h.vf) = %{tl_version}
Provides: tex(utfjmln-v.vf) = %{tl_version}
Provides: tex(utfjmlo-h.vf) = %{tl_version}
Provides: tex(utfjmlo-v.vf) = %{tl_version}
Provides: tex(utfjmlp-h.vf) = %{tl_version}
Provides: tex(utfjmlp-v.vf) = %{tl_version}
Provides: tex(utfjmlq-h.vf) = %{tl_version}
Provides: tex(utfjmlq-v.vf) = %{tl_version}
Provides: tex(utfjmlr-h.vf) = %{tl_version}
Provides: tex(utfjmlr-v.vf) = %{tl_version}
Provides: tex(utfjmls-h.vf) = %{tl_version}
Provides: tex(utfjmls-v.vf) = %{tl_version}
Provides: tex(utfjmlt-h.vf) = %{tl_version}
Provides: tex(utfjmlt-v.vf) = %{tl_version}
Provides: tex(utfjmlu-h.vf) = %{tl_version}
Provides: tex(utfjmlu-v.vf) = %{tl_version}
Provides: tex(utfjmlv-h.vf) = %{tl_version}
Provides: tex(utfjmlv-v.vf) = %{tl_version}
Provides: tex(utfjmlz-h.vf) = %{tl_version}
Provides: tex(utfjmlz-v.vf) = %{tl_version}
Provides: tex(utfjmrj-h.vf) = %{tl_version}
Provides: tex(utfjmrj-v.vf) = %{tl_version}
Provides: tex(utfjmrk-h.vf) = %{tl_version}
Provides: tex(utfjmrk-v.vf) = %{tl_version}
Provides: tex(utfjmrl-h.vf) = %{tl_version}
Provides: tex(utfjmrl-v.vf) = %{tl_version}
Provides: tex(utfjmrm-h.vf) = %{tl_version}
Provides: tex(utfjmrm-v.vf) = %{tl_version}
Provides: tex(utfjmrn-h.vf) = %{tl_version}
Provides: tex(utfjmrn-v.vf) = %{tl_version}
Provides: tex(utfjmro-h.vf) = %{tl_version}
Provides: tex(utfjmro-v.vf) = %{tl_version}
Provides: tex(utfjmrp-h.vf) = %{tl_version}
Provides: tex(utfjmrp-v.vf) = %{tl_version}
Provides: tex(utfjmrq-h.vf) = %{tl_version}
Provides: tex(utfjmrq-v.vf) = %{tl_version}
Provides: tex(utfjmrr-h.vf) = %{tl_version}
Provides: tex(utfjmrr-v.vf) = %{tl_version}
Provides: tex(utfjmrs-h.vf) = %{tl_version}
Provides: tex(utfjmrs-v.vf) = %{tl_version}
Provides: tex(utfjmrt-h.vf) = %{tl_version}
Provides: tex(utfjmrt-v.vf) = %{tl_version}
Provides: tex(utfjmru-h.vf) = %{tl_version}
Provides: tex(utfjmru-v.vf) = %{tl_version}
Provides: tex(utfjmrv-h.vf) = %{tl_version}
Provides: tex(utfjmrv-v.vf) = %{tl_version}
Provides: tex(utfjmrz-h.vf) = %{tl_version}
Provides: tex(utfjmrz-v.vf) = %{tl_version}
Provides: tex(utfmrj-h.vf) = %{tl_version}
Provides: tex(utfmrj-v.vf) = %{tl_version}
Provides: tex(utfmrk-h.vf) = %{tl_version}
Provides: tex(utfmrk-v.vf) = %{tl_version}
Provides: tex(utfmrl-h.vf) = %{tl_version}
Provides: tex(utfmrl-v.vf) = %{tl_version}
Provides: tex(utfmrm-h.vf) = %{tl_version}
Provides: tex(utfmrm-v.vf) = %{tl_version}
Provides: tex(utfmrn-h.vf) = %{tl_version}
Provides: tex(utfmrn-v.vf) = %{tl_version}
Provides: tex(utfmro-h.vf) = %{tl_version}
Provides: tex(utfmro-v.vf) = %{tl_version}
Provides: tex(utfmrp-h.vf) = %{tl_version}
Provides: tex(utfmrp-v.vf) = %{tl_version}
Provides: tex(utfmrq-h.vf) = %{tl_version}
Provides: tex(utfmrq-v.vf) = %{tl_version}
Provides: tex(utfmrr-h.vf) = %{tl_version}
Provides: tex(utfmrr-v.vf) = %{tl_version}
Provides: tex(utfmrs-h.vf) = %{tl_version}
Provides: tex(utfmrs-v.vf) = %{tl_version}
Provides: tex(utfmrt-h.vf) = %{tl_version}
Provides: tex(utfmrt-v.vf) = %{tl_version}
Provides: tex(utfmru-h.vf) = %{tl_version}
Provides: tex(utfmru-v.vf) = %{tl_version}
Provides: tex(utfmrv-h.vf) = %{tl_version}
Provides: tex(utfmrv-v.vf) = %{tl_version}
Provides: tex(utfmrz-h.vf) = %{tl_version}
Provides: tex(utfmrz-v.vf) = %{tl_version}
Provides: tex(utftgrk-h.vf) = %{tl_version}
Provides: tex(utftgrk-v.vf) = %{tl_version}
Provides: tex(utftgrl-h.vf) = %{tl_version}
Provides: tex(utftgrl-v.vf) = %{tl_version}
Provides: tex(utftgrm-h.vf) = %{tl_version}
Provides: tex(utftgrm-v.vf) = %{tl_version}
Provides: tex(utftgrn-h.vf) = %{tl_version}
Provides: tex(utftgrn-v.vf) = %{tl_version}
Provides: tex(utftgro-h.vf) = %{tl_version}
Provides: tex(utftgro-v.vf) = %{tl_version}
Provides: tex(utftgrp-h.vf) = %{tl_version}
Provides: tex(utftgrp-v.vf) = %{tl_version}
Provides: tex(utftgrq-h.vf) = %{tl_version}
Provides: tex(utftgrq-v.vf) = %{tl_version}
Provides: tex(utftgrr-h.vf) = %{tl_version}
Provides: tex(utftgrr-v.vf) = %{tl_version}
Provides: tex(utftgrs-h.vf) = %{tl_version}
Provides: tex(utftgrs-v.vf) = %{tl_version}
Provides: tex(utftgrt-h.vf) = %{tl_version}
Provides: tex(utftgrt-v.vf) = %{tl_version}
Provides: tex(utftgru-h.vf) = %{tl_version}
Provides: tex(utftgru-v.vf) = %{tl_version}
Provides: tex(utftgrz-h.vf) = %{tl_version}
Provides: tex(utftgrz-v.vf) = %{tl_version}
Provides: tex(utftmrk-h.vf) = %{tl_version}
Provides: tex(utftmrk-v.vf) = %{tl_version}
Provides: tex(utftmrl-h.vf) = %{tl_version}
Provides: tex(utftmrl-v.vf) = %{tl_version}
Provides: tex(utftmrm-h.vf) = %{tl_version}
Provides: tex(utftmrm-v.vf) = %{tl_version}
Provides: tex(utftmrn-h.vf) = %{tl_version}
Provides: tex(utftmrn-v.vf) = %{tl_version}
Provides: tex(utftmro-h.vf) = %{tl_version}
Provides: tex(utftmro-v.vf) = %{tl_version}
Provides: tex(utftmrp-h.vf) = %{tl_version}
Provides: tex(utftmrp-v.vf) = %{tl_version}
Provides: tex(utftmrq-h.vf) = %{tl_version}
Provides: tex(utftmrq-v.vf) = %{tl_version}
Provides: tex(utftmrr-h.vf) = %{tl_version}
Provides: tex(utftmrr-v.vf) = %{tl_version}
Provides: tex(utftmrs-h.vf) = %{tl_version}
Provides: tex(utftmrs-v.vf) = %{tl_version}
Provides: tex(utftmrt-h.vf) = %{tl_version}
Provides: tex(utftmrt-v.vf) = %{tl_version}
Provides: tex(utftmru-h.vf) = %{tl_version}
Provides: tex(utftmru-v.vf) = %{tl_version}
Provides: tex(utftmrz-h.vf) = %{tl_version}
Provides: tex(utftmrz-v.vf) = %{tl_version}
Provides: tex(mlutf.sty) = %{tl_version}
Provides: tex(otf.sty) = %{tl_version}

%description japanese-otf-uptex
The bundle offers support of the fonts in the japanese-otf
package, for use with the UpTeX distribution (version 0.20 or
later).

%package japanese-otf-uptex-doc
Summary: Documentation for japanese-otf-uptex
Version: svn43395
Provides: tex-japanese-otf-uptex-doc
AutoReqProv: No
Requires: tex-japanese-otf-doc

%description japanese-otf-uptex-doc
Documentation for japanese-otf-uptex

%package jsclasses
Provides: tex-jsclasses = %{tl_version}
License: BSD
Summary: Classes tailored for use with Japanese
Version: svn45473
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(jsarticle.cls) = %{tl_version}
Provides: tex(jsbook.cls) = %{tl_version}
Provides: tex(jspf.cls) = %{tl_version}
Provides: tex(jsverb.sty) = %{tl_version}
Provides: tex(kiyou.cls) = %{tl_version}
Provides: tex(minijs.sty) = %{tl_version}
Provides: tex(morisawa.sty) = %{tl_version}
Provides: tex(okumacro.sty) = %{tl_version}
Provides: tex(okuverb.sty) = %{tl_version}

%description jsclasses
Classes jsarticle and jsbook are provided, together with
packages okumacro, okuverb and morisawa. These classes are
designed to work under ASCII Corporation's Japanese TeX system
ptex.

%package jsclasses-doc
Summary: Documentation for jsclasses
Version: svn45473
Provides: tex-jsclasses-doc
AutoReqProv: No

%description jsclasses-doc
Documentation for jsclasses

%package lshort-japanese-doc
Summary: Documentation for lshort-japanese
Version: svn36207.0

Provides: tex-lshort-japanese-doc
AutoReqProv: No

%description lshort-japanese-doc
Documentation for lshort-japanese

%package luatexja
Provides: tex-luatexja = %{tl_version}
License: BSD
Summary: Typeset Japanese with Lua(La)TeX
Version: svn45216
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(l3keys2e.sty)
Requires: tex(fontspec.sty)
Requires: tex(expl3.sty)
Requires: tex(filehook.sty)
Requires: tex(infwarerr.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(xkeyval.sty)
Requires: tex(luatexja-core.sty)
Requires: tex(luaotfload.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(atbegshi.sty)
Requires: tex(everyhook.sty)
Requires: tex(everysel.sty)
Requires: tex(footmisc.sty)
Requires: tex(ifluatex.sty)
Requires: tex(listings.sty)
Requires: tex(luatexbase-cctb.sty)
Requires: tex(stfloats.sty)
Requires: tex(tascmac.sty)
Requires: tex(unicode-math.sty)
Requires: tex(xunicode.sty)
Provides: tex(luatexja-adjust.sty) = %{tl_version}
Provides: tex(luatexja-ajmacros.sty) = %{tl_version}
Provides: tex(luatexja-fontspec-24.sty) = %{tl_version}
Provides: tex(luatexja-fontspec.sty) = %{tl_version}
Provides: tex(luatexja-otf.sty) = %{tl_version}
Provides: tex(luatexja-preset.sty) = %{tl_version}
Provides: tex(luatexja-ruby.sty) = %{tl_version}
Provides: tex(luatexja-zhfonts.sty) = %{tl_version}
Provides: tex(lltjext.sty) = %{tl_version}
Provides: tex(ltj-base.sty) = %{tl_version}
Provides: tex(ltj-compat-ptex.sty) = %{tl_version}
Provides: tex(ltj-latex.sty) = %{tl_version}
Provides: tex(ltj-plain.sty) = %{tl_version}
Provides: tex(ltjarticle.cls) = %{tl_version}
Provides: tex(ltjbk10.clo) = %{tl_version}
Provides: tex(ltjbk11.clo) = %{tl_version}
Provides: tex(ltjbk12.clo) = %{tl_version}
Provides: tex(ltjbook.cls) = %{tl_version}
Provides: tex(ltjltxdoc.cls) = %{tl_version}
Provides: tex(ltjreport.cls) = %{tl_version}
Provides: tex(ltjsarticle.cls) = %{tl_version}
Provides: tex(ltjsbook.cls) = %{tl_version}
Provides: tex(ltjsize10.clo) = %{tl_version}
Provides: tex(ltjsize11.clo) = %{tl_version}
Provides: tex(ltjsize12.clo) = %{tl_version}
Provides: tex(ltjskiyou.cls) = %{tl_version}
Provides: tex(ltjspf.cls) = %{tl_version}
Provides: tex(ltjtarticle.cls) = %{tl_version}
Provides: tex(ltjtbk10.clo) = %{tl_version}
Provides: tex(ltjtbk11.clo) = %{tl_version}
Provides: tex(ltjtbk12.clo) = %{tl_version}
Provides: tex(ltjtbook.cls) = %{tl_version}
Provides: tex(ltjtreport.cls) = %{tl_version}
Provides: tex(ltjtsize10.clo) = %{tl_version}
Provides: tex(ltjtsize11.clo) = %{tl_version}
Provides: tex(ltjtsize12.clo) = %{tl_version}
Provides: tex(luatexja-compat.sty) = %{tl_version}
Provides: tex(luatexja-core.sty) = %{tl_version}
Provides: tex(luatexja.sty) = %{tl_version}
Provides: tex(lltjcore.sty) = %{tl_version}
Provides: tex(lltjdefs.sty) = %{tl_version}
Provides: tex(lltjfont.sty) = %{tl_version}
Provides: tex(lltjp-fontspec.sty) = %{tl_version}
Provides: tex(lltjp-footmisc.sty) = %{tl_version}
Provides: tex(lltjp-geometry.sty) = %{tl_version}
Provides: tex(lltjp-listings.sty) = %{tl_version}
Provides: tex(lltjp-stfloats.sty) = %{tl_version}
Provides: tex(lltjp-tascmac.sty) = %{tl_version}
Provides: tex(lltjp-unicode-math.sty) = %{tl_version}
Provides: tex(lltjp-xunicode.sty) = %{tl_version}

%description luatexja
The package offers support for typesetting Japanese documents
with LuaTeX. Either of the Plain and LaTeX2e formats may be
used with the package.

%package luatexja-doc
Summary: Documentation for luatexja
Version: svn45216
Provides: tex-luatexja-doc
AutoReqProv: No

%description luatexja-doc
Documentation for luatexja

%package ptex-base
Provides: tex-ptex-base = %{tl_version}
License: BSD
Summary: Plain TeX format and documents for pTeX and e-pTeX
Version: svn45140
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ascii-jplain.tex) = %{tl_version}
Provides: tex(eptex.ini) = %{tl_version}
Provides: tex(kinsoku.tex) = %{tl_version}
Provides: tex(ptex.ini) = %{tl_version}
Provides: tex(ptex.tex) = %{tl_version}

%description ptex-base
The bundle contains plain TeX format and documents for pTeX and
e-pTeX.

%package ptex-base-doc
Summary: Documentation for ptex-base
Version: svn45140
Provides: tex-ptex-base-doc
AutoReqProv: No

%description ptex-base-doc
Documentation for ptex-base

%package ptex-fonts
Provides: tex-ptex-fonts = %{tl_version}
License: BSD
Summary: Fonts for use with pTeX
Version: svn45138
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ascgrp.mf) = %{tl_version}
Provides: tex(ascii.mf) = %{tl_version}
Provides: tex(ascii10.mf) = %{tl_version}
Provides: tex(ascii36.mf) = %{tl_version}
Provides: tex(jis-v.pl) = %{tl_version}
Provides: tex(jis.pl) = %{tl_version}
Provides: tex(jisn-v.pl) = %{tl_version}
Provides: tex(jisn.pl) = %{tl_version}
Provides: tex(ngoth10.pl) = %{tl_version}
Provides: tex(ngoth5.pl) = %{tl_version}
Provides: tex(ngoth6.pl) = %{tl_version}
Provides: tex(ngoth7.pl) = %{tl_version}
Provides: tex(ngoth8.pl) = %{tl_version}
Provides: tex(ngoth9.pl) = %{tl_version}
Provides: tex(nmin10.pl) = %{tl_version}
Provides: tex(nmin5.pl) = %{tl_version}
Provides: tex(nmin6.pl) = %{tl_version}
Provides: tex(nmin7.pl) = %{tl_version}
Provides: tex(nmin8.pl) = %{tl_version}
Provides: tex(nmin9.pl) = %{tl_version}
Provides: tex(goth10.pl) = %{tl_version}
Provides: tex(goth5.pl) = %{tl_version}
Provides: tex(goth6.pl) = %{tl_version}
Provides: tex(goth7.pl) = %{tl_version}
Provides: tex(goth8.pl) = %{tl_version}
Provides: tex(goth9.pl) = %{tl_version}
Provides: tex(min10.pl) = %{tl_version}
Provides: tex(min5.pl) = %{tl_version}
Provides: tex(min6.pl) = %{tl_version}
Provides: tex(min7.pl) = %{tl_version}
Provides: tex(min8.pl) = %{tl_version}
Provides: tex(min9.pl) = %{tl_version}
Provides: tex(tgoth10.pl) = %{tl_version}
Provides: tex(tgoth5.pl) = %{tl_version}
Provides: tex(tgoth6.pl) = %{tl_version}
Provides: tex(tgoth7.pl) = %{tl_version}
Provides: tex(tgoth8.pl) = %{tl_version}
Provides: tex(tgoth9.pl) = %{tl_version}
Provides: tex(tmin10.pl) = %{tl_version}
Provides: tex(tmin5.pl) = %{tl_version}
Provides: tex(tmin6.pl) = %{tl_version}
Provides: tex(tmin7.pl) = %{tl_version}
Provides: tex(tmin8.pl) = %{tl_version}
Provides: tex(tmin9.pl) = %{tl_version}
Provides: tex(ascgrp.tfm) = %{tl_version}
Provides: tex(ascii10.tfm) = %{tl_version}
Provides: tex(ascii36.tfm) = %{tl_version}
Provides: tex(futogo-b-v.tfm) = %{tl_version}
Provides: tex(futogo-b.tfm) = %{tl_version}
Provides: tex(futomin-b-v.tfm) = %{tl_version}
Provides: tex(futomin-b.tfm) = %{tl_version}
Provides: tex(gbm.tfm) = %{tl_version}
Provides: tex(gbmv.tfm) = %{tl_version}
Provides: tex(gtbbb-m-v.tfm) = %{tl_version}
Provides: tex(gtbbb-m.tfm) = %{tl_version}
Provides: tex(jun101-l-v.tfm) = %{tl_version}
Provides: tex(jun101-l.tfm) = %{tl_version}
Provides: tex(rml.tfm) = %{tl_version}
Provides: tex(rmlv.tfm) = %{tl_version}
Provides: tex(ryumin-l-v.tfm) = %{tl_version}
Provides: tex(ryumin-l.tfm) = %{tl_version}
Provides: tex(jis-v.tfm) = %{tl_version}
Provides: tex(jis.tfm) = %{tl_version}
Provides: tex(jisg-v.tfm) = %{tl_version}
Provides: tex(jisg.tfm) = %{tl_version}
Provides: tex(jisgn-v.tfm) = %{tl_version}
Provides: tex(jisgn.tfm) = %{tl_version}
Provides: tex(jisn-v.tfm) = %{tl_version}
Provides: tex(jisn.tfm) = %{tl_version}
Provides: tex(FutoGoB101-Bold-H.tfm) = %{tl_version}
Provides: tex(FutoGoB101-Bold-J.tfm) = %{tl_version}
Provides: tex(FutoGoB101-Bold-V.tfm) = %{tl_version}
Provides: tex(FutoMinA101-Bold-H.tfm) = %{tl_version}
Provides: tex(FutoMinA101-Bold-J.tfm) = %{tl_version}
Provides: tex(FutoMinA101-Bold-V.tfm) = %{tl_version}
Provides: tex(GothicBBB-Medium-H.tfm) = %{tl_version}
Provides: tex(GothicBBB-Medium-J.tfm) = %{tl_version}
Provides: tex(GothicBBB-Medium-V.tfm) = %{tl_version}
Provides: tex(Jun101-Light-H.tfm) = %{tl_version}
Provides: tex(Jun101-Light-J.tfm) = %{tl_version}
Provides: tex(Jun101-Light-V.tfm) = %{tl_version}
Provides: tex(Ryumin-Light-H.tfm) = %{tl_version}
Provides: tex(Ryumin-Light-J.tfm) = %{tl_version}
Provides: tex(Ryumin-Light-V.tfm) = %{tl_version}
Provides: tex(ngoth10.tfm) = %{tl_version}
Provides: tex(ngoth5.tfm) = %{tl_version}
Provides: tex(ngoth6.tfm) = %{tl_version}
Provides: tex(ngoth7.tfm) = %{tl_version}
Provides: tex(ngoth8.tfm) = %{tl_version}
Provides: tex(ngoth9.tfm) = %{tl_version}
Provides: tex(nmin10.tfm) = %{tl_version}
Provides: tex(nmin5.tfm) = %{tl_version}
Provides: tex(nmin6.tfm) = %{tl_version}
Provides: tex(nmin7.tfm) = %{tl_version}
Provides: tex(nmin8.tfm) = %{tl_version}
Provides: tex(nmin9.tfm) = %{tl_version}
Provides: tex(goth10.tfm) = %{tl_version}
Provides: tex(goth5.tfm) = %{tl_version}
Provides: tex(goth6.tfm) = %{tl_version}
Provides: tex(goth7.tfm) = %{tl_version}
Provides: tex(goth8.tfm) = %{tl_version}
Provides: tex(goth9.tfm) = %{tl_version}
Provides: tex(min10.tfm) = %{tl_version}
Provides: tex(min5.tfm) = %{tl_version}
Provides: tex(min6.tfm) = %{tl_version}
Provides: tex(min7.tfm) = %{tl_version}
Provides: tex(min8.tfm) = %{tl_version}
Provides: tex(min9.tfm) = %{tl_version}
Provides: tex(tgoth10.tfm) = %{tl_version}
Provides: tex(tgoth5.tfm) = %{tl_version}
Provides: tex(tgoth6.tfm) = %{tl_version}
Provides: tex(tgoth7.tfm) = %{tl_version}
Provides: tex(tgoth8.tfm) = %{tl_version}
Provides: tex(tgoth9.tfm) = %{tl_version}
Provides: tex(tmin10.tfm) = %{tl_version}
Provides: tex(tmin5.tfm) = %{tl_version}
Provides: tex(tmin6.tfm) = %{tl_version}
Provides: tex(tmin7.tfm) = %{tl_version}
Provides: tex(tmin8.tfm) = %{tl_version}
Provides: tex(tmin9.tfm) = %{tl_version}
Provides: tex(ascgrp.pfb) = %{tl_version}
Provides: tex(ascii10.pfb) = %{tl_version}
Provides: tex(ascii36.pfb) = %{tl_version}
Provides: tex(jis-v.vf) = %{tl_version}
Provides: tex(jis.vf) = %{tl_version}
Provides: tex(jisg-v.vf) = %{tl_version}
Provides: tex(jisg.vf) = %{tl_version}
Provides: tex(jisgn-v.vf) = %{tl_version}
Provides: tex(jisgn.vf) = %{tl_version}
Provides: tex(jisn-v.vf) = %{tl_version}
Provides: tex(jisn.vf) = %{tl_version}
Provides: tex(FutoGoB101-Bold-H.vf) = %{tl_version}
Provides: tex(FutoGoB101-Bold-J.vf) = %{tl_version}
Provides: tex(FutoGoB101-Bold-V.vf) = %{tl_version}
Provides: tex(FutoMinA101-Bold-H.vf) = %{tl_version}
Provides: tex(FutoMinA101-Bold-J.vf) = %{tl_version}
Provides: tex(FutoMinA101-Bold-V.vf) = %{tl_version}
Provides: tex(GothicBBB-Medium-H.vf) = %{tl_version}
Provides: tex(GothicBBB-Medium-J.vf) = %{tl_version}
Provides: tex(GothicBBB-Medium-V.vf) = %{tl_version}
Provides: tex(Jun101-Light-H.vf) = %{tl_version}
Provides: tex(Jun101-Light-J.vf) = %{tl_version}
Provides: tex(Jun101-Light-V.vf) = %{tl_version}
Provides: tex(Ryumin-Light-H.vf) = %{tl_version}
Provides: tex(Ryumin-Light-J.vf) = %{tl_version}
Provides: tex(Ryumin-Light-V.vf) = %{tl_version}
Provides: tex(ngoth10.vf) = %{tl_version}
Provides: tex(ngoth5.vf) = %{tl_version}
Provides: tex(ngoth6.vf) = %{tl_version}
Provides: tex(ngoth7.vf) = %{tl_version}
Provides: tex(ngoth8.vf) = %{tl_version}
Provides: tex(ngoth9.vf) = %{tl_version}
Provides: tex(nmin10.vf) = %{tl_version}
Provides: tex(nmin5.vf) = %{tl_version}
Provides: tex(nmin6.vf) = %{tl_version}
Provides: tex(nmin7.vf) = %{tl_version}
Provides: tex(nmin8.vf) = %{tl_version}
Provides: tex(nmin9.vf) = %{tl_version}
Provides: tex(goth10.vf) = %{tl_version}
Provides: tex(goth5.vf) = %{tl_version}
Provides: tex(goth6.vf) = %{tl_version}
Provides: tex(goth7.vf) = %{tl_version}
Provides: tex(goth8.vf) = %{tl_version}
Provides: tex(goth9.vf) = %{tl_version}
Provides: tex(min10.vf) = %{tl_version}
Provides: tex(min5.vf) = %{tl_version}
Provides: tex(min6.vf) = %{tl_version}
Provides: tex(min7.vf) = %{tl_version}
Provides: tex(min8.vf) = %{tl_version}
Provides: tex(min9.vf) = %{tl_version}
Provides: tex(tgoth10.vf) = %{tl_version}
Provides: tex(tgoth5.vf) = %{tl_version}
Provides: tex(tgoth6.vf) = %{tl_version}
Provides: tex(tgoth7.vf) = %{tl_version}
Provides: tex(tgoth8.vf) = %{tl_version}
Provides: tex(tgoth9.vf) = %{tl_version}
Provides: tex(tmin10.vf) = %{tl_version}
Provides: tex(tmin5.vf) = %{tl_version}
Provides: tex(tmin6.vf) = %{tl_version}
Provides: tex(tmin7.vf) = %{tl_version}
Provides: tex(tmin8.vf) = %{tl_version}
Provides: tex(tmin9.vf) = %{tl_version}

%description ptex-fonts
The bundle contains fonts for use with pTeX and the documents
for the makejvf program. This is a redistribution derived from
the ptex-texmf distribution by ASCII MEDIA WORKS.

%package ptex-fonts-doc
Summary: Documentation for ptex-fonts
Version: svn45138
Provides: tex-ptex-fonts-doc
AutoReqProv: No

%description ptex-fonts-doc
Documentation for ptex-fonts

%package pxbase
Provides: tex-pxbase = %{tl_version}
License: MIT
Summary: Tools for use with (u)pLaTeX
Version: svn44756
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(ifuptex.sty) = %{tl_version}
Provides: tex(pxbabel.sty) = %{tl_version}
Provides: tex(pxbase.def) = %{tl_version}
Provides: tex(pxbase.sty) = %{tl_version}
Provides: tex(pxbasenc.def) = %{tl_version}
Provides: tex(pxbsjc.def) = %{tl_version}
Provides: tex(pxjsfenc.def) = %{tl_version}
Provides: tex(upkcat.sty) = %{tl_version}

%description pxbase
The main purpose of this package is to provide auxiliary
functions which are utilized by other packages created by the
same author. It also provides a few user commands to assist in
creating Japanese documents using (u)pLaTeX.

%package pxbase-doc
Summary: Documentation for pxbase
Version: svn44756
Provides: tex-pxbase-doc
AutoReqProv: No

%description pxbase-doc
Documentation for pxbase

%package pxchfon
Provides: tex-pxchfon = %{tl_version}
License: MIT
Summary: Japanese font setup for pLaTeX and upLaTeX
Version: svn45471
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(atbegshi.sty)
Provides: tex(cfjar-b-l0j.tfm) = %{tl_version}
Provides: tex(cfjar-l-l0j.tfm) = %{tl_version}
Provides: tex(cfjar-r-l0j.tfm) = %{tl_version}
Provides: tex(cfjas-b-l0j.tfm) = %{tl_version}
Provides: tex(cfjas-r-l0j.tfm) = %{tl_version}
Provides: tex(cfjas-x-l0j.tfm) = %{tl_version}
Provides: tex(r-cfjar-b-l0j.tfm) = %{tl_version}
Provides: tex(r-cfjar-l-l0j.tfm) = %{tl_version}
Provides: tex(r-cfjar-r-l0j.tfm) = %{tl_version}
Provides: tex(r-cfjas-b-l0j.tfm) = %{tl_version}
Provides: tex(r-cfjas-r-l0j.tfm) = %{tl_version}
Provides: tex(r-cfjas-x-l0j.tfm) = %{tl_version}
Provides: tex(cfjar-b-l0j.vf) = %{tl_version}
Provides: tex(cfjar-l-l0j.vf) = %{tl_version}
Provides: tex(cfjar-r-l0j.vf) = %{tl_version}
Provides: tex(cfjas-b-l0j.vf) = %{tl_version}
Provides: tex(cfjas-r-l0j.vf) = %{tl_version}
Provides: tex(cfjas-x-l0j.vf) = %{tl_version}
Provides: tex(pxchfon.sty) = %{tl_version}
Provides: tex(pxchfon0.def) = %{tl_version}
Provides: tex(pxjafont.sty) = %{tl_version}

%description pxchfon
This package enables users to declare in their document which
physical fonts should be used for the standard Japanese
(logical) fonts of pLaTeX and upLaTeX. Font setup is realized
by changing the font mapping of dvipdfmx, and thus users can
use any (monospaced) physical fonts they like, once they
properly install this package, without creating helper files
for each new font. This package also supports setup for the
fonts used in the japanese-otf package.

%package pxchfon-doc
Summary: Documentation for pxchfon
Version: svn45471
Provides: tex-pxchfon-doc
AutoReqProv: No

%description pxchfon-doc
Documentation for pxchfon

%package pxcjkcat
Provides: tex-pxcjkcat = %{tl_version}
License: MIT
Summary: LaTeX interface for the CJK category codes of upTeX
Version: svn27780.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pxcjkcat.sty) = %{tl_version}

%description pxcjkcat
The package provides management of the CJK category code
('kcatcode'> table of the upTeX extended TeX engine. Package
options are available for tailored use in the cases of
documents that are principally written in Japanese, or
principally written in English or other Western languages.

%package pxcjkcat-doc
Summary: Documentation for pxcjkcat
Version: svn27780.1.0

Provides: tex-pxcjkcat-doc
AutoReqProv: No

%description pxcjkcat-doc
Documentation for pxcjkcat

%package pxjahyper
Provides: tex-pxjahyper = %{tl_version}
License: MIT
Summary: Hyperref support for pLaTeX
Version: svn45554
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(atbegshi.sty)
Provides: tex(pxjahyper.sty) = %{tl_version}

%description pxjahyper
pxjahyper package

%package pxjahyper-doc
Summary: Documentation for pxjahyper
Version: svn45554
Provides: tex-pxjahyper-doc
AutoReqProv: No

%description pxjahyper-doc
Documentation for pxjahyper

%package pxrubrica
Provides: tex-pxrubrica = %{tl_version}
License: LPPL
Summary: pxrubrica package
Version: svn44225
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(pxrubrica.sty) = %{tl_version}

%description pxrubrica
pxrubrica package

%package pxrubrica-doc
Summary: Documentation for pxrubrica
Version: svn44225
Provides: tex-pxrubrica-doc
AutoReqProv: No

%description pxrubrica-doc
Documentation for pxrubrica

%package uptex-base
Provides: tex-uptex-base = %{tl_version}
License: BSD
Summary: Plain TeX format and documents for upTeX
Version: svn43900
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(euptex.ini) = %{tl_version}
Provides: tex(ukinsoku.tex) = %{tl_version}
Provides: tex(uptex.ini) = %{tl_version}
Provides: tex(uptex.tex) = %{tl_version}

%description uptex-base
The bundle contains plain TeX format and documents for upTeX.

%package uptex-base-doc
Summary: Documentation for uptex-base
Version: svn43900
Provides: tex-uptex-base-doc
AutoReqProv: No

%description uptex-base-doc
Documentation for uptex-base

%package uptex-fonts
Provides: tex-uptex-fonts = %{tl_version}
License: BSD
Summary: Fonts for use with upTeX
Version: svn44874
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(upgbm-h.tfm) = %{tl_version}
Provides: tex(upgbm-hq.tfm) = %{tl_version}
Provides: tex(upgbm-v.tfm) = %{tl_version}
Provides: tex(uphygt-h.tfm) = %{tl_version}
Provides: tex(uphygt-v.tfm) = %{tl_version}
Provides: tex(uphysmjm-h.tfm) = %{tl_version}
Provides: tex(uphysmjm-v.tfm) = %{tl_version}
Provides: tex(upjisg-h.tfm) = %{tl_version}
Provides: tex(upjisg-hq.tfm) = %{tl_version}
Provides: tex(upjisg-v.tfm) = %{tl_version}
Provides: tex(upjisr-h.tfm) = %{tl_version}
Provides: tex(upjisr-hq.tfm) = %{tl_version}
Provides: tex(upjisr-v.tfm) = %{tl_version}
Provides: tex(upjpngt-h.tfm) = %{tl_version}
Provides: tex(upjpngt-v.tfm) = %{tl_version}
Provides: tex(upjpnrm-h.tfm) = %{tl_version}
Provides: tex(upjpnrm-v.tfm) = %{tl_version}
Provides: tex(upkorgt-h.tfm) = %{tl_version}
Provides: tex(upkorgt-v.tfm) = %{tl_version}
Provides: tex(upkorrm-h.tfm) = %{tl_version}
Provides: tex(upkorrm-v.tfm) = %{tl_version}
Provides: tex(upmhm-h.tfm) = %{tl_version}
Provides: tex(upmhm-v.tfm) = %{tl_version}
Provides: tex(upmsl-h.tfm) = %{tl_version}
Provides: tex(upmsl-v.tfm) = %{tl_version}
Provides: tex(uprml-h.tfm) = %{tl_version}
Provides: tex(uprml-hq.tfm) = %{tl_version}
Provides: tex(uprml-v.tfm) = %{tl_version}
Provides: tex(upschgt-h.tfm) = %{tl_version}
Provides: tex(upschgt-v.tfm) = %{tl_version}
Provides: tex(upschrm-h.tfm) = %{tl_version}
Provides: tex(upschrm-v.tfm) = %{tl_version}
Provides: tex(upstht-h.tfm) = %{tl_version}
Provides: tex(upstht-v.tfm) = %{tl_version}
Provides: tex(upstsl-h.tfm) = %{tl_version}
Provides: tex(upstsl-v.tfm) = %{tl_version}
Provides: tex(uptchgt-h.tfm) = %{tl_version}
Provides: tex(uptchgt-v.tfm) = %{tl_version}
Provides: tex(uptchrm-h.tfm) = %{tl_version}
Provides: tex(uptchrm-v.tfm) = %{tl_version}
Provides: tex(ugbm.tfm) = %{tl_version}
Provides: tex(ugbmv.tfm) = %{tl_version}
Provides: tex(ugoth10.tfm) = %{tl_version}
Provides: tex(umin10.tfm) = %{tl_version}
Provides: tex(urml.tfm) = %{tl_version}
Provides: tex(urmlv.tfm) = %{tl_version}
Provides: tex(utgoth10.tfm) = %{tl_version}
Provides: tex(utmin10.tfm) = %{tl_version}
Provides: tex(upjisg-h.vf) = %{tl_version}
Provides: tex(upjisg-hq.vf) = %{tl_version}
Provides: tex(upjisg-v.vf) = %{tl_version}
Provides: tex(upjisr-h.vf) = %{tl_version}
Provides: tex(upjisr-hq.vf) = %{tl_version}
Provides: tex(upjisr-v.vf) = %{tl_version}
Provides: tex(upjpngt-h.vf) = %{tl_version}
Provides: tex(upjpngt-v.vf) = %{tl_version}
Provides: tex(upjpnrm-h.vf) = %{tl_version}
Provides: tex(upjpnrm-v.vf) = %{tl_version}
Provides: tex(upkorgt-h.vf) = %{tl_version}
Provides: tex(upkorgt-v.vf) = %{tl_version}
Provides: tex(upkorrm-h.vf) = %{tl_version}
Provides: tex(upkorrm-v.vf) = %{tl_version}
Provides: tex(upschgt-h.vf) = %{tl_version}
Provides: tex(upschgt-v.vf) = %{tl_version}
Provides: tex(upschrm-h.vf) = %{tl_version}
Provides: tex(upschrm-v.vf) = %{tl_version}
Provides: tex(uptchgt-h.vf) = %{tl_version}
Provides: tex(uptchgt-v.vf) = %{tl_version}
Provides: tex(uptchrm-h.vf) = %{tl_version}
Provides: tex(uptchrm-v.vf) = %{tl_version}
Provides: tex(ugoth10.vf) = %{tl_version}
Provides: tex(umin10.vf) = %{tl_version}
Provides: tex(utgoth10.vf) = %{tl_version}
Provides: tex(utmin10.vf) = %{tl_version}
Provides: tex(jt2gt.fd) = %{tl_version}
Provides: tex(jt2mc.fd) = %{tl_version}
Provides: tex(jy2gt.fd) = %{tl_version}
Provides: tex(jy2mc.fd) = %{tl_version}

%description uptex-fonts
The bundle contains fonts (TFM and VF) for use with upTeX. This
is a redistribution derived from the upTeX distribution by
Takuji Tanaka.

%package uptex-fonts-doc
Summary: Documentation for uptex-fonts
Version: svn44874
Provides: tex-uptex-fonts-doc
AutoReqProv: No

%description uptex-fonts-doc
Documentation for uptex-fonts

%package zxjafbfont
Provides: tex-zxjafbfont = %{tl_version}
License: MIT
Summary: Fallback CJK font support for xeCJK
Version: svn28539.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xeCJK.sty)
Provides: tex(zxjafbfont.sty) = %{tl_version}

%description zxjafbfont
zxjafbfont package

%package zxjafbfont-doc
Summary: Documentation for zxjafbfont
Version: svn28539.0.2

Provides: tex-zxjafbfont-doc
AutoReqProv: No

%description zxjafbfont-doc
Documentation for zxjafbfont

%package zxjatype
Provides: tex-zxjatype = %{tl_version}
License: MIT
Summary: Standard conforming typesetting of Japanese, for XeLaTeX
Version: svn44949
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Requires: tex(xeCJK.sty)
Requires: tex(xparse.sty)
Requires: tex(etoolbox.sty)
Provides: tex(zxjatype.sty) = %{tl_version}

%description zxjatype
zxjatype package

%package zxjatype-doc
Summary: Documentation for zxjatype
Version: svn44949
Provides: tex-zxjatype-doc
AutoReqProv: No

%description zxjatype-doc
Documentation for zxjatype

%package collection-langkorean
Summary: Korean
Version: svn42106
Requires: texlive-base
Requires: texlive-baekmuk
Requires: texlive-cjk-ko
Requires: texlive-collection-langcjk
Requires: texlive-kotex-oblivoir
Requires: texlive-kotex-plain
Requires: texlive-kotex-utf
Requires: texlive-kotex-utils
Requires: texlive-lshort-korean-doc
Requires: texlive-nanumtype1
Requires: texlive-uhc
Requires: texlive-unfonts-core
Requires: texlive-unfonts-extra

%description collection-langkorean
Support for Korean; additional packages in collection-langcjk.

%package kotex-oblivoir
Provides: tex-kotex-oblivoir = %{tl_version}
License: LPPL 1.3
Summary: A LaTeX document class for typesetting Korean documents
Version: svn43130
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-memoir
Requires: tex-kotex-utf
Requires: tex(xparse.sty)
Requires: tex(hologo.sty)
Requires: tex(dhucs.sty)
Requires: tex(memhfixc.sty)
Requires: tex(hyperref.sty)
Requires: tex(memucs-setspace.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(polyglossia.sty)
Requires: tex(luatexko.sty)
Requires: tex(xob-dotemph.sty)
Requires: tex(cjkutf8-ko.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(xetexko-space.sty)
Requires: tex(xetexko-josa.sty)
Requires: tex(xetexko-vertical.sty)
Requires: tex(kolabels-utf.sty)
Requires: tex(konames-utf.sty)
Requires: tex(amssymb.sty)
Requires: tex(fontspec.sty)
Requires: tex(kotex.sty)
Requires: tex(xetexko-font.sty)
Requires: tex(paralist.sty)
Requires: tex(iftex.sty)
Requires: tex(dhucs-paralist.sty)
Requires: tex(moreverb.sty)
Requires: tex(amsmath.sty)
Requires: tex(dhucs-cmap.sty)
Requires: tex(microtype.sty)
Requires: tex(type1cm.sty)
Requires: tex(type1ec.sty)
Requires: tex(enumerate.sty)
Provides: tex(10_5.sty) = %{tl_version}
Provides: tex(fapapersize.sty) = %{tl_version}
Provides: tex(hfontsel.sty) = %{tl_version}
Provides: tex(memhangul-common.sty) = %{tl_version}
Provides: tex(memhangul-patch.sty) = %{tl_version}
Provides: tex(memhangul-ucs.sty) = %{tl_version}
Provides: tex(memucs-enumerate.sty) = %{tl_version}
Provides: tex(memucs-gremph.sty) = %{tl_version}
Provides: tex(memucs-interword.sty) = %{tl_version}
Provides: tex(memucs-setspace.sty) = %{tl_version}
Provides: tex(nanumfontsel.sty) = %{tl_version}
Provides: tex(ob-koreanappendix.sty) = %{tl_version}
Provides: tex(ob-nokoreanappendix.sty) = %{tl_version}
Provides: tex(ob-toclof.sty) = %{tl_version}
Provides: tex(memhangul-x.sty) = %{tl_version}
Provides: tex(memucs-interword-x.sty) = %{tl_version}
Provides: tex(xetexko-var.sty) = %{tl_version}
Provides: tex(xob-amssymb.sty) = %{tl_version}
Provides: tex(xob-dotemph.sty) = %{tl_version}
Provides: tex(xob-font.sty) = %{tl_version}
Provides: tex(xob-hyper.sty) = %{tl_version}
Provides: tex(xob-paralist.sty) = %{tl_version}
Provides: tex(oblivoir-base.cls) = %{tl_version}
Provides: tex(oblivoir-xlua.cls) = %{tl_version}
Provides: tex(oblivoir.cls) = %{tl_version}
Provides: tex(xoblivoir.cls) = %{tl_version}

%description kotex-oblivoir
The class is based on memoir, and is adapted to typesetting
Korean documents. The bundle (of class and associated packages)
belongs to the ko.TeX bundle.

%package kotex-oblivoir-doc
Summary: Documentation for kotex-oblivoir
Version: svn43130
Provides: tex-kotex-oblivoir-doc
AutoReqProv: No
Requires: tex-memoir-doc
Requires: tex-kotex-utf-doc

%description kotex-oblivoir-doc
Documentation for kotex-oblivoir

%package memoir
Provides: tex-memoir = %{tl_version}
License: LPPL 1.3
Summary: Typeset fiction, non-fiction and mathematical books
Version: svn41203

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(ifetex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(etex.sty)
Provides: tex(mem10.clo) = %{tl_version}
Provides: tex(mem11.clo) = %{tl_version}
Provides: tex(mem12.clo) = %{tl_version}
Provides: tex(mem14.clo) = %{tl_version}
Provides: tex(mem17.clo) = %{tl_version}
Provides: tex(mem20.clo) = %{tl_version}
Provides: tex(mem25.clo) = %{tl_version}
Provides: tex(mem30.clo) = %{tl_version}
Provides: tex(mem36.clo) = %{tl_version}
Provides: tex(mem48.clo) = %{tl_version}
Provides: tex(mem60.clo) = %{tl_version}
Provides: tex(mem9.clo) = %{tl_version}
Provides: tex(memhfixc.sty) = %{tl_version}
Provides: tex(memoir.cls) = %{tl_version}
Provides: tex(mempatch.sty) = %{tl_version}

%description memoir
The memoir class is for typesetting poetry, fiction, non-
fiction, and mathematical works. Permissible document 'base'
font sizes range from 9 to 60pt. There is a range of page-
styles and well over a dozen chapter-styles to choose from, as
well as methods for specifying your own layouts and designs.
The class also provides the functionality of over thirty of the
more popular packages, thus simplifying document sources. The
class automatically loads an associated patch file mempatch;
the patch file may be updated from time to time, between
releases of the class itself. (The patch file stays around even
when there are no extant patches.) Users who wish to use the
hyperref package, in a document written with the memoir class,
should also use the memhfixc package (part of this bundle).
Note, however, that any current version of hyperref actually
loads the package automatically if it detects that it is
running under memoir.

%package memoir-doc
Summary: Documentation for memoir
Version: svn41203

Provides: tex-memoir-doc
AutoReqProv: No

%description memoir-doc
Documentation for memoir

%package kotex-utf
Provides: tex-kotex-utf = %{tl_version}
License: LPPL 1.3
Summary: Typeset Hangul, coded in UTF-8
Version: svn38558

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-cjk-ko
Requires: tex(ifpdf.sty)
Requires: tex(enumerate.sty)
Requires: tex(enumitem.sty)
Requires: tex(xkeyval.sty)
Requires: tex(verbatim.sty)
Requires: tex(paralist.sty)
Requires: tex(sectsty.sty)
Requires: tex(setspace.sty)
Requires: tex(hyperref.sty)
Requires: tex(hologo.sty)
Requires: tex(varioref.sty)
Requires: tex(fontenc.sty)
Requires: tex(luatexko.sty)
Requires: tex(xetexko.sty)
Requires: tex(konames-utf.sty)
Requires: tex(inputenc.sty)
Requires: tex(kolabels-utf.sty)
Requires: tex(kotexutf-core.tex)
Provides: tex(dhucs-cmap.sty) = %{tl_version}
Provides: tex(dhucs-enumerate.sty) = %{tl_version}
Provides: tex(dhucs-enumitem.sty) = %{tl_version}
Provides: tex(dhucs-gremph.sty) = %{tl_version}
Provides: tex(dhucs-interword.sty) = %{tl_version}
Provides: tex(dhucs-paralist.sty) = %{tl_version}
Provides: tex(dhucs-sectsty.sty) = %{tl_version}
Provides: tex(dhucs-setspace.sty) = %{tl_version}
Provides: tex(dhucs-trivcj.sty) = %{tl_version}
Provides: tex(dhucs-ucshyper.sty) = %{tl_version}
Provides: tex(dhucsfn.sty) = %{tl_version}
Provides: tex(kotex-logo.sty) = %{tl_version}
Provides: tex(kotex-varioref.sty) = %{tl_version}
Provides: tex(dhucs-nanumfont.sty) = %{tl_version}
Provides: tex(dhucs.sty) = %{tl_version}
Provides: tex(kosections-utf.sty) = %{tl_version}
Provides: tex(kotex.cfg) = %{tl_version}
Provides: tex(kotexutf.sty) = %{tl_version}
Provides: tex(lucuhcmj.fd) = %{tl_version}
Provides: tex(dhucs.cfg) = %{tl_version}

%description kotex-utf
The package typesets Hangul, which is the native alphabet of
the Korean language; input Korean text should be encoded in UTF-
8. The bundle (of class and associated packages) belongs to the
ko.TeX bundle.

%package kotex-utf-doc
Summary: Documentation for kotex-utf
Version: svn38558

Provides: tex-kotex-utf-doc
AutoReqProv: No
Requires: tex-cjk-ko-doc

%description kotex-utf-doc
Documentation for kotex-utf

%package kotex-plain
Provides: tex-kotex-plain = %{tl_version}
License: LPPL 1.3
Summary: Macros for typesetting Korean under Plain TeX
Version: svn38630

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hangulcweb.tex) = %{tl_version}
Provides: tex(kotexplain.tex) = %{tl_version}
Provides: tex(kotexutf-core.tex) = %{tl_version}
Provides: tex(kotexutf.tex) = %{tl_version}

%description kotex-plain
The package provides macros for typesetting Hangul, the native
alphabet of the Korean language, using plain *TeX. Input Korean
text should be encoded in UTF-8. The package is belongs to the
ko.TeX bundle.

%package kotex-plain-doc
Summary: Documentation for kotex-plain
Version: svn38630

Provides: tex-kotex-plain-doc
AutoReqProv: No

%description kotex-plain-doc
Documentation for kotex-plain

%package lshort-korean-doc
Summary: Documentation for lshort-korean
Version: svn15878.4.17

Provides: tex-lshort-korean-doc
AutoReqProv: No

%description lshort-korean-doc
Documentation for lshort-korean

%package nanumtype1
Provides: tex-nanumtype1 = %{tl_version}
License: OFL
Summary: Type1 subfonts of Nanum Korean fonts
Version: svn29558.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(nanumfonts.map) = %{tl_version}
Provides: tex(nanumgtb00.tfm) = %{tl_version}
Provides: tex(nanumgtb01.tfm) = %{tl_version}
Provides: tex(nanumgtb02.tfm) = %{tl_version}
Provides: tex(nanumgtb03.tfm) = %{tl_version}
Provides: tex(nanumgtb04.tfm) = %{tl_version}
Provides: tex(nanumgtb11.tfm) = %{tl_version}
Provides: tex(nanumgtb20.tfm) = %{tl_version}
Provides: tex(nanumgtb21.tfm) = %{tl_version}
Provides: tex(nanumgtb22.tfm) = %{tl_version}
Provides: tex(nanumgtb23.tfm) = %{tl_version}
Provides: tex(nanumgtb24.tfm) = %{tl_version}
Provides: tex(nanumgtb25.tfm) = %{tl_version}
Provides: tex(nanumgtb26.tfm) = %{tl_version}
Provides: tex(nanumgtb27.tfm) = %{tl_version}
Provides: tex(nanumgtb2a.tfm) = %{tl_version}
Provides: tex(nanumgtb30.tfm) = %{tl_version}
Provides: tex(nanumgtb31.tfm) = %{tl_version}
Provides: tex(nanumgtb32.tfm) = %{tl_version}
Provides: tex(nanumgtb33.tfm) = %{tl_version}
Provides: tex(nanumgtb4e.tfm) = %{tl_version}
Provides: tex(nanumgtb4f.tfm) = %{tl_version}
Provides: tex(nanumgtb50.tfm) = %{tl_version}
Provides: tex(nanumgtb51.tfm) = %{tl_version}
Provides: tex(nanumgtb52.tfm) = %{tl_version}
Provides: tex(nanumgtb53.tfm) = %{tl_version}
Provides: tex(nanumgtb54.tfm) = %{tl_version}
Provides: tex(nanumgtb55.tfm) = %{tl_version}
Provides: tex(nanumgtb56.tfm) = %{tl_version}
Provides: tex(nanumgtb57.tfm) = %{tl_version}
Provides: tex(nanumgtb58.tfm) = %{tl_version}
Provides: tex(nanumgtb59.tfm) = %{tl_version}
Provides: tex(nanumgtb5a.tfm) = %{tl_version}
Provides: tex(nanumgtb5b.tfm) = %{tl_version}
Provides: tex(nanumgtb5c.tfm) = %{tl_version}
Provides: tex(nanumgtb5d.tfm) = %{tl_version}
Provides: tex(nanumgtb5e.tfm) = %{tl_version}
Provides: tex(nanumgtb5f.tfm) = %{tl_version}
Provides: tex(nanumgtb60.tfm) = %{tl_version}
Provides: tex(nanumgtb61.tfm) = %{tl_version}
Provides: tex(nanumgtb62.tfm) = %{tl_version}
Provides: tex(nanumgtb63.tfm) = %{tl_version}
Provides: tex(nanumgtb64.tfm) = %{tl_version}
Provides: tex(nanumgtb65.tfm) = %{tl_version}
Provides: tex(nanumgtb66.tfm) = %{tl_version}
Provides: tex(nanumgtb67.tfm) = %{tl_version}
Provides: tex(nanumgtb68.tfm) = %{tl_version}
Provides: tex(nanumgtb69.tfm) = %{tl_version}
Provides: tex(nanumgtb6a.tfm) = %{tl_version}
Provides: tex(nanumgtb6b.tfm) = %{tl_version}
Provides: tex(nanumgtb6c.tfm) = %{tl_version}
Provides: tex(nanumgtb6d.tfm) = %{tl_version}
Provides: tex(nanumgtb6e.tfm) = %{tl_version}
Provides: tex(nanumgtb6f.tfm) = %{tl_version}
Provides: tex(nanumgtb70.tfm) = %{tl_version}
Provides: tex(nanumgtb71.tfm) = %{tl_version}
Provides: tex(nanumgtb72.tfm) = %{tl_version}
Provides: tex(nanumgtb73.tfm) = %{tl_version}
Provides: tex(nanumgtb74.tfm) = %{tl_version}
Provides: tex(nanumgtb75.tfm) = %{tl_version}
Provides: tex(nanumgtb76.tfm) = %{tl_version}
Provides: tex(nanumgtb77.tfm) = %{tl_version}
Provides: tex(nanumgtb78.tfm) = %{tl_version}
Provides: tex(nanumgtb79.tfm) = %{tl_version}
Provides: tex(nanumgtb7a.tfm) = %{tl_version}
Provides: tex(nanumgtb7b.tfm) = %{tl_version}
Provides: tex(nanumgtb7c.tfm) = %{tl_version}
Provides: tex(nanumgtb7d.tfm) = %{tl_version}
Provides: tex(nanumgtb7e.tfm) = %{tl_version}
Provides: tex(nanumgtb7f.tfm) = %{tl_version}
Provides: tex(nanumgtb80.tfm) = %{tl_version}
Provides: tex(nanumgtb81.tfm) = %{tl_version}
Provides: tex(nanumgtb82.tfm) = %{tl_version}
Provides: tex(nanumgtb83.tfm) = %{tl_version}
Provides: tex(nanumgtb84.tfm) = %{tl_version}
Provides: tex(nanumgtb85.tfm) = %{tl_version}
Provides: tex(nanumgtb86.tfm) = %{tl_version}
Provides: tex(nanumgtb87.tfm) = %{tl_version}
Provides: tex(nanumgtb88.tfm) = %{tl_version}
Provides: tex(nanumgtb89.tfm) = %{tl_version}
Provides: tex(nanumgtb8a.tfm) = %{tl_version}
Provides: tex(nanumgtb8b.tfm) = %{tl_version}
Provides: tex(nanumgtb8c.tfm) = %{tl_version}
Provides: tex(nanumgtb8d.tfm) = %{tl_version}
Provides: tex(nanumgtb8e.tfm) = %{tl_version}
Provides: tex(nanumgtb8f.tfm) = %{tl_version}
Provides: tex(nanumgtb90.tfm) = %{tl_version}
Provides: tex(nanumgtb91.tfm) = %{tl_version}
Provides: tex(nanumgtb92.tfm) = %{tl_version}
Provides: tex(nanumgtb93.tfm) = %{tl_version}
Provides: tex(nanumgtb94.tfm) = %{tl_version}
Provides: tex(nanumgtb95.tfm) = %{tl_version}
Provides: tex(nanumgtb96.tfm) = %{tl_version}
Provides: tex(nanumgtb97.tfm) = %{tl_version}
Provides: tex(nanumgtb98.tfm) = %{tl_version}
Provides: tex(nanumgtb99.tfm) = %{tl_version}
Provides: tex(nanumgtb9a.tfm) = %{tl_version}
Provides: tex(nanumgtb9b.tfm) = %{tl_version}
Provides: tex(nanumgtb9c.tfm) = %{tl_version}
Provides: tex(nanumgtb9d.tfm) = %{tl_version}
Provides: tex(nanumgtb9e.tfm) = %{tl_version}
Provides: tex(nanumgtb9f.tfm) = %{tl_version}
Provides: tex(nanumgtbac.tfm) = %{tl_version}
Provides: tex(nanumgtbad.tfm) = %{tl_version}
Provides: tex(nanumgtbae.tfm) = %{tl_version}
Provides: tex(nanumgtbaf.tfm) = %{tl_version}
Provides: tex(nanumgtbb0.tfm) = %{tl_version}
Provides: tex(nanumgtbb1.tfm) = %{tl_version}
Provides: tex(nanumgtbb2.tfm) = %{tl_version}
Provides: tex(nanumgtbb3.tfm) = %{tl_version}
Provides: tex(nanumgtbb4.tfm) = %{tl_version}
Provides: tex(nanumgtbb5.tfm) = %{tl_version}
Provides: tex(nanumgtbb6.tfm) = %{tl_version}
Provides: tex(nanumgtbb7.tfm) = %{tl_version}
Provides: tex(nanumgtbb8.tfm) = %{tl_version}
Provides: tex(nanumgtbb9.tfm) = %{tl_version}
Provides: tex(nanumgtbba.tfm) = %{tl_version}
Provides: tex(nanumgtbbb.tfm) = %{tl_version}
Provides: tex(nanumgtbbc.tfm) = %{tl_version}
Provides: tex(nanumgtbbd.tfm) = %{tl_version}
Provides: tex(nanumgtbbe.tfm) = %{tl_version}
Provides: tex(nanumgtbbf.tfm) = %{tl_version}
Provides: tex(nanumgtbc0.tfm) = %{tl_version}
Provides: tex(nanumgtbc1.tfm) = %{tl_version}
Provides: tex(nanumgtbc2.tfm) = %{tl_version}
Provides: tex(nanumgtbc3.tfm) = %{tl_version}
Provides: tex(nanumgtbc4.tfm) = %{tl_version}
Provides: tex(nanumgtbc5.tfm) = %{tl_version}
Provides: tex(nanumgtbc6.tfm) = %{tl_version}
Provides: tex(nanumgtbc7.tfm) = %{tl_version}
Provides: tex(nanumgtbc8.tfm) = %{tl_version}
Provides: tex(nanumgtbc9.tfm) = %{tl_version}
Provides: tex(nanumgtbca.tfm) = %{tl_version}
Provides: tex(nanumgtbcb.tfm) = %{tl_version}
Provides: tex(nanumgtbcc.tfm) = %{tl_version}
Provides: tex(nanumgtbcd.tfm) = %{tl_version}
Provides: tex(nanumgtbce.tfm) = %{tl_version}
Provides: tex(nanumgtbcf.tfm) = %{tl_version}
Provides: tex(nanumgtbd0.tfm) = %{tl_version}
Provides: tex(nanumgtbd1.tfm) = %{tl_version}
Provides: tex(nanumgtbd2.tfm) = %{tl_version}
Provides: tex(nanumgtbd3.tfm) = %{tl_version}
Provides: tex(nanumgtbd4.tfm) = %{tl_version}
Provides: tex(nanumgtbd5.tfm) = %{tl_version}
Provides: tex(nanumgtbd6.tfm) = %{tl_version}
Provides: tex(nanumgtbd7.tfm) = %{tl_version}
Provides: tex(nanumgtbf9.tfm) = %{tl_version}
Provides: tex(nanumgtbfa.tfm) = %{tl_version}
Provides: tex(nanumgtbff.tfm) = %{tl_version}
Provides: tex(nanumgtbo00.tfm) = %{tl_version}
Provides: tex(nanumgtbo01.tfm) = %{tl_version}
Provides: tex(nanumgtbo02.tfm) = %{tl_version}
Provides: tex(nanumgtbo03.tfm) = %{tl_version}
Provides: tex(nanumgtbo04.tfm) = %{tl_version}
Provides: tex(nanumgtbo11.tfm) = %{tl_version}
Provides: tex(nanumgtbo20.tfm) = %{tl_version}
Provides: tex(nanumgtbo21.tfm) = %{tl_version}
Provides: tex(nanumgtbo22.tfm) = %{tl_version}
Provides: tex(nanumgtbo23.tfm) = %{tl_version}
Provides: tex(nanumgtbo24.tfm) = %{tl_version}
Provides: tex(nanumgtbo25.tfm) = %{tl_version}
Provides: tex(nanumgtbo26.tfm) = %{tl_version}
Provides: tex(nanumgtbo27.tfm) = %{tl_version}
Provides: tex(nanumgtbo2a.tfm) = %{tl_version}
Provides: tex(nanumgtbo30.tfm) = %{tl_version}
Provides: tex(nanumgtbo31.tfm) = %{tl_version}
Provides: tex(nanumgtbo32.tfm) = %{tl_version}
Provides: tex(nanumgtbo33.tfm) = %{tl_version}
Provides: tex(nanumgtbo4e.tfm) = %{tl_version}
Provides: tex(nanumgtbo4f.tfm) = %{tl_version}
Provides: tex(nanumgtbo50.tfm) = %{tl_version}
Provides: tex(nanumgtbo51.tfm) = %{tl_version}
Provides: tex(nanumgtbo52.tfm) = %{tl_version}
Provides: tex(nanumgtbo53.tfm) = %{tl_version}
Provides: tex(nanumgtbo54.tfm) = %{tl_version}
Provides: tex(nanumgtbo55.tfm) = %{tl_version}
Provides: tex(nanumgtbo56.tfm) = %{tl_version}
Provides: tex(nanumgtbo57.tfm) = %{tl_version}
Provides: tex(nanumgtbo58.tfm) = %{tl_version}
Provides: tex(nanumgtbo59.tfm) = %{tl_version}
Provides: tex(nanumgtbo5a.tfm) = %{tl_version}
Provides: tex(nanumgtbo5b.tfm) = %{tl_version}
Provides: tex(nanumgtbo5c.tfm) = %{tl_version}
Provides: tex(nanumgtbo5d.tfm) = %{tl_version}
Provides: tex(nanumgtbo5e.tfm) = %{tl_version}
Provides: tex(nanumgtbo5f.tfm) = %{tl_version}
Provides: tex(nanumgtbo60.tfm) = %{tl_version}
Provides: tex(nanumgtbo61.tfm) = %{tl_version}
Provides: tex(nanumgtbo62.tfm) = %{tl_version}
Provides: tex(nanumgtbo63.tfm) = %{tl_version}
Provides: tex(nanumgtbo64.tfm) = %{tl_version}
Provides: tex(nanumgtbo65.tfm) = %{tl_version}
Provides: tex(nanumgtbo66.tfm) = %{tl_version}
Provides: tex(nanumgtbo67.tfm) = %{tl_version}
Provides: tex(nanumgtbo68.tfm) = %{tl_version}
Provides: tex(nanumgtbo69.tfm) = %{tl_version}
Provides: tex(nanumgtbo6a.tfm) = %{tl_version}
Provides: tex(nanumgtbo6b.tfm) = %{tl_version}
Provides: tex(nanumgtbo6c.tfm) = %{tl_version}
Provides: tex(nanumgtbo6d.tfm) = %{tl_version}
Provides: tex(nanumgtbo6e.tfm) = %{tl_version}
Provides: tex(nanumgtbo6f.tfm) = %{tl_version}
Provides: tex(nanumgtbo70.tfm) = %{tl_version}
Provides: tex(nanumgtbo71.tfm) = %{tl_version}
Provides: tex(nanumgtbo72.tfm) = %{tl_version}
Provides: tex(nanumgtbo73.tfm) = %{tl_version}
Provides: tex(nanumgtbo74.tfm) = %{tl_version}
Provides: tex(nanumgtbo75.tfm) = %{tl_version}
Provides: tex(nanumgtbo76.tfm) = %{tl_version}
Provides: tex(nanumgtbo77.tfm) = %{tl_version}
Provides: tex(nanumgtbo78.tfm) = %{tl_version}
Provides: tex(nanumgtbo79.tfm) = %{tl_version}
Provides: tex(nanumgtbo7a.tfm) = %{tl_version}
Provides: tex(nanumgtbo7b.tfm) = %{tl_version}
Provides: tex(nanumgtbo7c.tfm) = %{tl_version}
Provides: tex(nanumgtbo7d.tfm) = %{tl_version}
Provides: tex(nanumgtbo7e.tfm) = %{tl_version}
Provides: tex(nanumgtbo7f.tfm) = %{tl_version}
Provides: tex(nanumgtbo80.tfm) = %{tl_version}
Provides: tex(nanumgtbo81.tfm) = %{tl_version}
Provides: tex(nanumgtbo82.tfm) = %{tl_version}
Provides: tex(nanumgtbo83.tfm) = %{tl_version}
Provides: tex(nanumgtbo84.tfm) = %{tl_version}
Provides: tex(nanumgtbo85.tfm) = %{tl_version}
Provides: tex(nanumgtbo86.tfm) = %{tl_version}
Provides: tex(nanumgtbo87.tfm) = %{tl_version}
Provides: tex(nanumgtbo88.tfm) = %{tl_version}
Provides: tex(nanumgtbo89.tfm) = %{tl_version}
Provides: tex(nanumgtbo8a.tfm) = %{tl_version}
Provides: tex(nanumgtbo8b.tfm) = %{tl_version}
Provides: tex(nanumgtbo8c.tfm) = %{tl_version}
Provides: tex(nanumgtbo8d.tfm) = %{tl_version}
Provides: tex(nanumgtbo8e.tfm) = %{tl_version}
Provides: tex(nanumgtbo8f.tfm) = %{tl_version}
Provides: tex(nanumgtbo90.tfm) = %{tl_version}
Provides: tex(nanumgtbo91.tfm) = %{tl_version}
Provides: tex(nanumgtbo92.tfm) = %{tl_version}
Provides: tex(nanumgtbo93.tfm) = %{tl_version}
Provides: tex(nanumgtbo94.tfm) = %{tl_version}
Provides: tex(nanumgtbo95.tfm) = %{tl_version}
Provides: tex(nanumgtbo96.tfm) = %{tl_version}
Provides: tex(nanumgtbo97.tfm) = %{tl_version}
Provides: tex(nanumgtbo98.tfm) = %{tl_version}
Provides: tex(nanumgtbo99.tfm) = %{tl_version}
Provides: tex(nanumgtbo9a.tfm) = %{tl_version}
Provides: tex(nanumgtbo9b.tfm) = %{tl_version}
Provides: tex(nanumgtbo9c.tfm) = %{tl_version}
Provides: tex(nanumgtbo9d.tfm) = %{tl_version}
Provides: tex(nanumgtbo9e.tfm) = %{tl_version}
Provides: tex(nanumgtbo9f.tfm) = %{tl_version}
Provides: tex(nanumgtboac.tfm) = %{tl_version}
Provides: tex(nanumgtboad.tfm) = %{tl_version}
Provides: tex(nanumgtboae.tfm) = %{tl_version}
Provides: tex(nanumgtboaf.tfm) = %{tl_version}
Provides: tex(nanumgtbob0.tfm) = %{tl_version}
Provides: tex(nanumgtbob1.tfm) = %{tl_version}
Provides: tex(nanumgtbob2.tfm) = %{tl_version}
Provides: tex(nanumgtbob3.tfm) = %{tl_version}
Provides: tex(nanumgtbob4.tfm) = %{tl_version}
Provides: tex(nanumgtbob5.tfm) = %{tl_version}
Provides: tex(nanumgtbob6.tfm) = %{tl_version}
Provides: tex(nanumgtbob7.tfm) = %{tl_version}
Provides: tex(nanumgtbob8.tfm) = %{tl_version}
Provides: tex(nanumgtbob9.tfm) = %{tl_version}
Provides: tex(nanumgtboba.tfm) = %{tl_version}
Provides: tex(nanumgtbobb.tfm) = %{tl_version}
Provides: tex(nanumgtbobc.tfm) = %{tl_version}
Provides: tex(nanumgtbobd.tfm) = %{tl_version}
Provides: tex(nanumgtbobe.tfm) = %{tl_version}
Provides: tex(nanumgtbobf.tfm) = %{tl_version}
Provides: tex(nanumgtboc0.tfm) = %{tl_version}
Provides: tex(nanumgtboc1.tfm) = %{tl_version}
Provides: tex(nanumgtboc2.tfm) = %{tl_version}
Provides: tex(nanumgtboc3.tfm) = %{tl_version}
Provides: tex(nanumgtboc4.tfm) = %{tl_version}
Provides: tex(nanumgtboc5.tfm) = %{tl_version}
Provides: tex(nanumgtboc6.tfm) = %{tl_version}
Provides: tex(nanumgtboc7.tfm) = %{tl_version}
Provides: tex(nanumgtboc8.tfm) = %{tl_version}
Provides: tex(nanumgtboc9.tfm) = %{tl_version}
Provides: tex(nanumgtboca.tfm) = %{tl_version}
Provides: tex(nanumgtbocb.tfm) = %{tl_version}
Provides: tex(nanumgtbocc.tfm) = %{tl_version}
Provides: tex(nanumgtbocd.tfm) = %{tl_version}
Provides: tex(nanumgtboce.tfm) = %{tl_version}
Provides: tex(nanumgtbocf.tfm) = %{tl_version}
Provides: tex(nanumgtbod0.tfm) = %{tl_version}
Provides: tex(nanumgtbod1.tfm) = %{tl_version}
Provides: tex(nanumgtbod2.tfm) = %{tl_version}
Provides: tex(nanumgtbod3.tfm) = %{tl_version}
Provides: tex(nanumgtbod4.tfm) = %{tl_version}
Provides: tex(nanumgtbod5.tfm) = %{tl_version}
Provides: tex(nanumgtbod6.tfm) = %{tl_version}
Provides: tex(nanumgtbod7.tfm) = %{tl_version}
Provides: tex(nanumgtbof9.tfm) = %{tl_version}
Provides: tex(nanumgtbofa.tfm) = %{tl_version}
Provides: tex(nanumgtboff.tfm) = %{tl_version}
Provides: tex(nanumgtm00.tfm) = %{tl_version}
Provides: tex(nanumgtm01.tfm) = %{tl_version}
Provides: tex(nanumgtm02.tfm) = %{tl_version}
Provides: tex(nanumgtm03.tfm) = %{tl_version}
Provides: tex(nanumgtm04.tfm) = %{tl_version}
Provides: tex(nanumgtm11.tfm) = %{tl_version}
Provides: tex(nanumgtm20.tfm) = %{tl_version}
Provides: tex(nanumgtm21.tfm) = %{tl_version}
Provides: tex(nanumgtm22.tfm) = %{tl_version}
Provides: tex(nanumgtm23.tfm) = %{tl_version}
Provides: tex(nanumgtm24.tfm) = %{tl_version}
Provides: tex(nanumgtm25.tfm) = %{tl_version}
Provides: tex(nanumgtm26.tfm) = %{tl_version}
Provides: tex(nanumgtm27.tfm) = %{tl_version}
Provides: tex(nanumgtm2a.tfm) = %{tl_version}
Provides: tex(nanumgtm30.tfm) = %{tl_version}
Provides: tex(nanumgtm31.tfm) = %{tl_version}
Provides: tex(nanumgtm32.tfm) = %{tl_version}
Provides: tex(nanumgtm33.tfm) = %{tl_version}
Provides: tex(nanumgtm4e.tfm) = %{tl_version}
Provides: tex(nanumgtm4f.tfm) = %{tl_version}
Provides: tex(nanumgtm50.tfm) = %{tl_version}
Provides: tex(nanumgtm51.tfm) = %{tl_version}
Provides: tex(nanumgtm52.tfm) = %{tl_version}
Provides: tex(nanumgtm53.tfm) = %{tl_version}
Provides: tex(nanumgtm54.tfm) = %{tl_version}
Provides: tex(nanumgtm55.tfm) = %{tl_version}
Provides: tex(nanumgtm56.tfm) = %{tl_version}
Provides: tex(nanumgtm57.tfm) = %{tl_version}
Provides: tex(nanumgtm58.tfm) = %{tl_version}
Provides: tex(nanumgtm59.tfm) = %{tl_version}
Provides: tex(nanumgtm5a.tfm) = %{tl_version}
Provides: tex(nanumgtm5b.tfm) = %{tl_version}
Provides: tex(nanumgtm5c.tfm) = %{tl_version}
Provides: tex(nanumgtm5d.tfm) = %{tl_version}
Provides: tex(nanumgtm5e.tfm) = %{tl_version}
Provides: tex(nanumgtm5f.tfm) = %{tl_version}
Provides: tex(nanumgtm60.tfm) = %{tl_version}
Provides: tex(nanumgtm61.tfm) = %{tl_version}
Provides: tex(nanumgtm62.tfm) = %{tl_version}
Provides: tex(nanumgtm63.tfm) = %{tl_version}
Provides: tex(nanumgtm64.tfm) = %{tl_version}
Provides: tex(nanumgtm65.tfm) = %{tl_version}
Provides: tex(nanumgtm66.tfm) = %{tl_version}
Provides: tex(nanumgtm67.tfm) = %{tl_version}
Provides: tex(nanumgtm68.tfm) = %{tl_version}
Provides: tex(nanumgtm69.tfm) = %{tl_version}
Provides: tex(nanumgtm6a.tfm) = %{tl_version}
Provides: tex(nanumgtm6b.tfm) = %{tl_version}
Provides: tex(nanumgtm6c.tfm) = %{tl_version}
Provides: tex(nanumgtm6d.tfm) = %{tl_version}
Provides: tex(nanumgtm6e.tfm) = %{tl_version}
Provides: tex(nanumgtm6f.tfm) = %{tl_version}
Provides: tex(nanumgtm70.tfm) = %{tl_version}
Provides: tex(nanumgtm71.tfm) = %{tl_version}
Provides: tex(nanumgtm72.tfm) = %{tl_version}
Provides: tex(nanumgtm73.tfm) = %{tl_version}
Provides: tex(nanumgtm74.tfm) = %{tl_version}
Provides: tex(nanumgtm75.tfm) = %{tl_version}
Provides: tex(nanumgtm76.tfm) = %{tl_version}
Provides: tex(nanumgtm77.tfm) = %{tl_version}
Provides: tex(nanumgtm78.tfm) = %{tl_version}
Provides: tex(nanumgtm79.tfm) = %{tl_version}
Provides: tex(nanumgtm7a.tfm) = %{tl_version}
Provides: tex(nanumgtm7b.tfm) = %{tl_version}
Provides: tex(nanumgtm7c.tfm) = %{tl_version}
Provides: tex(nanumgtm7d.tfm) = %{tl_version}
Provides: tex(nanumgtm7e.tfm) = %{tl_version}
Provides: tex(nanumgtm7f.tfm) = %{tl_version}
Provides: tex(nanumgtm80.tfm) = %{tl_version}
Provides: tex(nanumgtm81.tfm) = %{tl_version}
Provides: tex(nanumgtm82.tfm) = %{tl_version}
Provides: tex(nanumgtm83.tfm) = %{tl_version}
Provides: tex(nanumgtm84.tfm) = %{tl_version}
Provides: tex(nanumgtm85.tfm) = %{tl_version}
Provides: tex(nanumgtm86.tfm) = %{tl_version}
Provides: tex(nanumgtm87.tfm) = %{tl_version}
Provides: tex(nanumgtm88.tfm) = %{tl_version}
Provides: tex(nanumgtm89.tfm) = %{tl_version}
Provides: tex(nanumgtm8a.tfm) = %{tl_version}
Provides: tex(nanumgtm8b.tfm) = %{tl_version}
Provides: tex(nanumgtm8c.tfm) = %{tl_version}
Provides: tex(nanumgtm8d.tfm) = %{tl_version}
Provides: tex(nanumgtm8e.tfm) = %{tl_version}
Provides: tex(nanumgtm8f.tfm) = %{tl_version}
Provides: tex(nanumgtm90.tfm) = %{tl_version}
Provides: tex(nanumgtm91.tfm) = %{tl_version}
Provides: tex(nanumgtm92.tfm) = %{tl_version}
Provides: tex(nanumgtm93.tfm) = %{tl_version}
Provides: tex(nanumgtm94.tfm) = %{tl_version}
Provides: tex(nanumgtm95.tfm) = %{tl_version}
Provides: tex(nanumgtm96.tfm) = %{tl_version}
Provides: tex(nanumgtm97.tfm) = %{tl_version}
Provides: tex(nanumgtm98.tfm) = %{tl_version}
Provides: tex(nanumgtm99.tfm) = %{tl_version}
Provides: tex(nanumgtm9a.tfm) = %{tl_version}
Provides: tex(nanumgtm9b.tfm) = %{tl_version}
Provides: tex(nanumgtm9c.tfm) = %{tl_version}
Provides: tex(nanumgtm9d.tfm) = %{tl_version}
Provides: tex(nanumgtm9e.tfm) = %{tl_version}
Provides: tex(nanumgtm9f.tfm) = %{tl_version}
Provides: tex(nanumgtmac.tfm) = %{tl_version}
Provides: tex(nanumgtmad.tfm) = %{tl_version}
Provides: tex(nanumgtmae.tfm) = %{tl_version}
Provides: tex(nanumgtmaf.tfm) = %{tl_version}
Provides: tex(nanumgtmb0.tfm) = %{tl_version}
Provides: tex(nanumgtmb1.tfm) = %{tl_version}
Provides: tex(nanumgtmb2.tfm) = %{tl_version}
Provides: tex(nanumgtmb3.tfm) = %{tl_version}
Provides: tex(nanumgtmb4.tfm) = %{tl_version}
Provides: tex(nanumgtmb5.tfm) = %{tl_version}
Provides: tex(nanumgtmb6.tfm) = %{tl_version}
Provides: tex(nanumgtmb7.tfm) = %{tl_version}
Provides: tex(nanumgtmb8.tfm) = %{tl_version}
Provides: tex(nanumgtmb9.tfm) = %{tl_version}
Provides: tex(nanumgtmba.tfm) = %{tl_version}
Provides: tex(nanumgtmbb.tfm) = %{tl_version}
Provides: tex(nanumgtmbc.tfm) = %{tl_version}
Provides: tex(nanumgtmbd.tfm) = %{tl_version}
Provides: tex(nanumgtmbe.tfm) = %{tl_version}
Provides: tex(nanumgtmbf.tfm) = %{tl_version}
Provides: tex(nanumgtmc0.tfm) = %{tl_version}
Provides: tex(nanumgtmc1.tfm) = %{tl_version}
Provides: tex(nanumgtmc2.tfm) = %{tl_version}
Provides: tex(nanumgtmc3.tfm) = %{tl_version}
Provides: tex(nanumgtmc4.tfm) = %{tl_version}
Provides: tex(nanumgtmc5.tfm) = %{tl_version}
Provides: tex(nanumgtmc6.tfm) = %{tl_version}
Provides: tex(nanumgtmc7.tfm) = %{tl_version}
Provides: tex(nanumgtmc8.tfm) = %{tl_version}
Provides: tex(nanumgtmc9.tfm) = %{tl_version}
Provides: tex(nanumgtmca.tfm) = %{tl_version}
Provides: tex(nanumgtmcb.tfm) = %{tl_version}
Provides: tex(nanumgtmcc.tfm) = %{tl_version}
Provides: tex(nanumgtmcd.tfm) = %{tl_version}
Provides: tex(nanumgtmce.tfm) = %{tl_version}
Provides: tex(nanumgtmcf.tfm) = %{tl_version}
Provides: tex(nanumgtmd0.tfm) = %{tl_version}
Provides: tex(nanumgtmd1.tfm) = %{tl_version}
Provides: tex(nanumgtmd2.tfm) = %{tl_version}
Provides: tex(nanumgtmd3.tfm) = %{tl_version}
Provides: tex(nanumgtmd4.tfm) = %{tl_version}
Provides: tex(nanumgtmd5.tfm) = %{tl_version}
Provides: tex(nanumgtmd6.tfm) = %{tl_version}
Provides: tex(nanumgtmd7.tfm) = %{tl_version}
Provides: tex(nanumgtmf9.tfm) = %{tl_version}
Provides: tex(nanumgtmfa.tfm) = %{tl_version}
Provides: tex(nanumgtmff.tfm) = %{tl_version}
Provides: tex(nanumgtmo00.tfm) = %{tl_version}
Provides: tex(nanumgtmo01.tfm) = %{tl_version}
Provides: tex(nanumgtmo02.tfm) = %{tl_version}
Provides: tex(nanumgtmo03.tfm) = %{tl_version}
Provides: tex(nanumgtmo04.tfm) = %{tl_version}
Provides: tex(nanumgtmo11.tfm) = %{tl_version}
Provides: tex(nanumgtmo20.tfm) = %{tl_version}
Provides: tex(nanumgtmo21.tfm) = %{tl_version}
Provides: tex(nanumgtmo22.tfm) = %{tl_version}
Provides: tex(nanumgtmo23.tfm) = %{tl_version}
Provides: tex(nanumgtmo24.tfm) = %{tl_version}
Provides: tex(nanumgtmo25.tfm) = %{tl_version}
Provides: tex(nanumgtmo26.tfm) = %{tl_version}
Provides: tex(nanumgtmo27.tfm) = %{tl_version}
Provides: tex(nanumgtmo2a.tfm) = %{tl_version}
Provides: tex(nanumgtmo30.tfm) = %{tl_version}
Provides: tex(nanumgtmo31.tfm) = %{tl_version}
Provides: tex(nanumgtmo32.tfm) = %{tl_version}
Provides: tex(nanumgtmo33.tfm) = %{tl_version}
Provides: tex(nanumgtmo4e.tfm) = %{tl_version}
Provides: tex(nanumgtmo4f.tfm) = %{tl_version}
Provides: tex(nanumgtmo50.tfm) = %{tl_version}
Provides: tex(nanumgtmo51.tfm) = %{tl_version}
Provides: tex(nanumgtmo52.tfm) = %{tl_version}
Provides: tex(nanumgtmo53.tfm) = %{tl_version}
Provides: tex(nanumgtmo54.tfm) = %{tl_version}
Provides: tex(nanumgtmo55.tfm) = %{tl_version}
Provides: tex(nanumgtmo56.tfm) = %{tl_version}
Provides: tex(nanumgtmo57.tfm) = %{tl_version}
Provides: tex(nanumgtmo58.tfm) = %{tl_version}
Provides: tex(nanumgtmo59.tfm) = %{tl_version}
Provides: tex(nanumgtmo5a.tfm) = %{tl_version}
Provides: tex(nanumgtmo5b.tfm) = %{tl_version}
Provides: tex(nanumgtmo5c.tfm) = %{tl_version}
Provides: tex(nanumgtmo5d.tfm) = %{tl_version}
Provides: tex(nanumgtmo5e.tfm) = %{tl_version}
Provides: tex(nanumgtmo5f.tfm) = %{tl_version}
Provides: tex(nanumgtmo60.tfm) = %{tl_version}
Provides: tex(nanumgtmo61.tfm) = %{tl_version}
Provides: tex(nanumgtmo62.tfm) = %{tl_version}
Provides: tex(nanumgtmo63.tfm) = %{tl_version}
Provides: tex(nanumgtmo64.tfm) = %{tl_version}
Provides: tex(nanumgtmo65.tfm) = %{tl_version}
Provides: tex(nanumgtmo66.tfm) = %{tl_version}
Provides: tex(nanumgtmo67.tfm) = %{tl_version}
Provides: tex(nanumgtmo68.tfm) = %{tl_version}
Provides: tex(nanumgtmo69.tfm) = %{tl_version}
Provides: tex(nanumgtmo6a.tfm) = %{tl_version}
Provides: tex(nanumgtmo6b.tfm) = %{tl_version}
Provides: tex(nanumgtmo6c.tfm) = %{tl_version}
Provides: tex(nanumgtmo6d.tfm) = %{tl_version}
Provides: tex(nanumgtmo6e.tfm) = %{tl_version}
Provides: tex(nanumgtmo6f.tfm) = %{tl_version}
Provides: tex(nanumgtmo70.tfm) = %{tl_version}
Provides: tex(nanumgtmo71.tfm) = %{tl_version}
Provides: tex(nanumgtmo72.tfm) = %{tl_version}
Provides: tex(nanumgtmo73.tfm) = %{tl_version}
Provides: tex(nanumgtmo74.tfm) = %{tl_version}
Provides: tex(nanumgtmo75.tfm) = %{tl_version}
Provides: tex(nanumgtmo76.tfm) = %{tl_version}
Provides: tex(nanumgtmo77.tfm) = %{tl_version}
Provides: tex(nanumgtmo78.tfm) = %{tl_version}
Provides: tex(nanumgtmo79.tfm) = %{tl_version}
Provides: tex(nanumgtmo7a.tfm) = %{tl_version}
Provides: tex(nanumgtmo7b.tfm) = %{tl_version}
Provides: tex(nanumgtmo7c.tfm) = %{tl_version}
Provides: tex(nanumgtmo7d.tfm) = %{tl_version}
Provides: tex(nanumgtmo7e.tfm) = %{tl_version}
Provides: tex(nanumgtmo7f.tfm) = %{tl_version}
Provides: tex(nanumgtmo80.tfm) = %{tl_version}
Provides: tex(nanumgtmo81.tfm) = %{tl_version}
Provides: tex(nanumgtmo82.tfm) = %{tl_version}
Provides: tex(nanumgtmo83.tfm) = %{tl_version}
Provides: tex(nanumgtmo84.tfm) = %{tl_version}
Provides: tex(nanumgtmo85.tfm) = %{tl_version}
Provides: tex(nanumgtmo86.tfm) = %{tl_version}
Provides: tex(nanumgtmo87.tfm) = %{tl_version}
Provides: tex(nanumgtmo88.tfm) = %{tl_version}
Provides: tex(nanumgtmo89.tfm) = %{tl_version}
Provides: tex(nanumgtmo8a.tfm) = %{tl_version}
Provides: tex(nanumgtmo8b.tfm) = %{tl_version}
Provides: tex(nanumgtmo8c.tfm) = %{tl_version}
Provides: tex(nanumgtmo8d.tfm) = %{tl_version}
Provides: tex(nanumgtmo8e.tfm) = %{tl_version}
Provides: tex(nanumgtmo8f.tfm) = %{tl_version}
Provides: tex(nanumgtmo90.tfm) = %{tl_version}
Provides: tex(nanumgtmo91.tfm) = %{tl_version}
Provides: tex(nanumgtmo92.tfm) = %{tl_version}
Provides: tex(nanumgtmo93.tfm) = %{tl_version}
Provides: tex(nanumgtmo94.tfm) = %{tl_version}
Provides: tex(nanumgtmo95.tfm) = %{tl_version}
Provides: tex(nanumgtmo96.tfm) = %{tl_version}
Provides: tex(nanumgtmo97.tfm) = %{tl_version}
Provides: tex(nanumgtmo98.tfm) = %{tl_version}
Provides: tex(nanumgtmo99.tfm) = %{tl_version}
Provides: tex(nanumgtmo9a.tfm) = %{tl_version}
Provides: tex(nanumgtmo9b.tfm) = %{tl_version}
Provides: tex(nanumgtmo9c.tfm) = %{tl_version}
Provides: tex(nanumgtmo9d.tfm) = %{tl_version}
Provides: tex(nanumgtmo9e.tfm) = %{tl_version}
Provides: tex(nanumgtmo9f.tfm) = %{tl_version}
Provides: tex(nanumgtmoac.tfm) = %{tl_version}
Provides: tex(nanumgtmoad.tfm) = %{tl_version}
Provides: tex(nanumgtmoae.tfm) = %{tl_version}
Provides: tex(nanumgtmoaf.tfm) = %{tl_version}
Provides: tex(nanumgtmob0.tfm) = %{tl_version}
Provides: tex(nanumgtmob1.tfm) = %{tl_version}
Provides: tex(nanumgtmob2.tfm) = %{tl_version}
Provides: tex(nanumgtmob3.tfm) = %{tl_version}
Provides: tex(nanumgtmob4.tfm) = %{tl_version}
Provides: tex(nanumgtmob5.tfm) = %{tl_version}
Provides: tex(nanumgtmob6.tfm) = %{tl_version}
Provides: tex(nanumgtmob7.tfm) = %{tl_version}
Provides: tex(nanumgtmob8.tfm) = %{tl_version}
Provides: tex(nanumgtmob9.tfm) = %{tl_version}
Provides: tex(nanumgtmoba.tfm) = %{tl_version}
Provides: tex(nanumgtmobb.tfm) = %{tl_version}
Provides: tex(nanumgtmobc.tfm) = %{tl_version}
Provides: tex(nanumgtmobd.tfm) = %{tl_version}
Provides: tex(nanumgtmobe.tfm) = %{tl_version}
Provides: tex(nanumgtmobf.tfm) = %{tl_version}
Provides: tex(nanumgtmoc0.tfm) = %{tl_version}
Provides: tex(nanumgtmoc1.tfm) = %{tl_version}
Provides: tex(nanumgtmoc2.tfm) = %{tl_version}
Provides: tex(nanumgtmoc3.tfm) = %{tl_version}
Provides: tex(nanumgtmoc4.tfm) = %{tl_version}
Provides: tex(nanumgtmoc5.tfm) = %{tl_version}
Provides: tex(nanumgtmoc6.tfm) = %{tl_version}
Provides: tex(nanumgtmoc7.tfm) = %{tl_version}
Provides: tex(nanumgtmoc8.tfm) = %{tl_version}
Provides: tex(nanumgtmoc9.tfm) = %{tl_version}
Provides: tex(nanumgtmoca.tfm) = %{tl_version}
Provides: tex(nanumgtmocb.tfm) = %{tl_version}
Provides: tex(nanumgtmocc.tfm) = %{tl_version}
Provides: tex(nanumgtmocd.tfm) = %{tl_version}
Provides: tex(nanumgtmoce.tfm) = %{tl_version}
Provides: tex(nanumgtmocf.tfm) = %{tl_version}
Provides: tex(nanumgtmod0.tfm) = %{tl_version}
Provides: tex(nanumgtmod1.tfm) = %{tl_version}
Provides: tex(nanumgtmod2.tfm) = %{tl_version}
Provides: tex(nanumgtmod3.tfm) = %{tl_version}
Provides: tex(nanumgtmod4.tfm) = %{tl_version}
Provides: tex(nanumgtmod5.tfm) = %{tl_version}
Provides: tex(nanumgtmod6.tfm) = %{tl_version}
Provides: tex(nanumgtmod7.tfm) = %{tl_version}
Provides: tex(nanumgtmof9.tfm) = %{tl_version}
Provides: tex(nanumgtmofa.tfm) = %{tl_version}
Provides: tex(nanumgtmoff.tfm) = %{tl_version}
Provides: tex(nanummjb00.tfm) = %{tl_version}
Provides: tex(nanummjb01.tfm) = %{tl_version}
Provides: tex(nanummjb02.tfm) = %{tl_version}
Provides: tex(nanummjb03.tfm) = %{tl_version}
Provides: tex(nanummjb04.tfm) = %{tl_version}
Provides: tex(nanummjb20.tfm) = %{tl_version}
Provides: tex(nanummjb21.tfm) = %{tl_version}
Provides: tex(nanummjb22.tfm) = %{tl_version}
Provides: tex(nanummjb23.tfm) = %{tl_version}
Provides: tex(nanummjb24.tfm) = %{tl_version}
Provides: tex(nanummjb25.tfm) = %{tl_version}
Provides: tex(nanummjb26.tfm) = %{tl_version}
Provides: tex(nanummjb27.tfm) = %{tl_version}
Provides: tex(nanummjb2a.tfm) = %{tl_version}
Provides: tex(nanummjb30.tfm) = %{tl_version}
Provides: tex(nanummjb31.tfm) = %{tl_version}
Provides: tex(nanummjb32.tfm) = %{tl_version}
Provides: tex(nanummjb33.tfm) = %{tl_version}
Provides: tex(nanummjbac.tfm) = %{tl_version}
Provides: tex(nanummjbad.tfm) = %{tl_version}
Provides: tex(nanummjbae.tfm) = %{tl_version}
Provides: tex(nanummjbaf.tfm) = %{tl_version}
Provides: tex(nanummjbb0.tfm) = %{tl_version}
Provides: tex(nanummjbb1.tfm) = %{tl_version}
Provides: tex(nanummjbb2.tfm) = %{tl_version}
Provides: tex(nanummjbb3.tfm) = %{tl_version}
Provides: tex(nanummjbb4.tfm) = %{tl_version}
Provides: tex(nanummjbb5.tfm) = %{tl_version}
Provides: tex(nanummjbb6.tfm) = %{tl_version}
Provides: tex(nanummjbb7.tfm) = %{tl_version}
Provides: tex(nanummjbb8.tfm) = %{tl_version}
Provides: tex(nanummjbb9.tfm) = %{tl_version}
Provides: tex(nanummjbba.tfm) = %{tl_version}
Provides: tex(nanummjbbb.tfm) = %{tl_version}
Provides: tex(nanummjbbc.tfm) = %{tl_version}
Provides: tex(nanummjbbd.tfm) = %{tl_version}
Provides: tex(nanummjbbe.tfm) = %{tl_version}
Provides: tex(nanummjbbf.tfm) = %{tl_version}
Provides: tex(nanummjbc0.tfm) = %{tl_version}
Provides: tex(nanummjbc1.tfm) = %{tl_version}
Provides: tex(nanummjbc2.tfm) = %{tl_version}
Provides: tex(nanummjbc3.tfm) = %{tl_version}
Provides: tex(nanummjbc4.tfm) = %{tl_version}
Provides: tex(nanummjbc5.tfm) = %{tl_version}
Provides: tex(nanummjbc6.tfm) = %{tl_version}
Provides: tex(nanummjbc7.tfm) = %{tl_version}
Provides: tex(nanummjbc8.tfm) = %{tl_version}
Provides: tex(nanummjbc9.tfm) = %{tl_version}
Provides: tex(nanummjbca.tfm) = %{tl_version}
Provides: tex(nanummjbcb.tfm) = %{tl_version}
Provides: tex(nanummjbcc.tfm) = %{tl_version}
Provides: tex(nanummjbcd.tfm) = %{tl_version}
Provides: tex(nanummjbce.tfm) = %{tl_version}
Provides: tex(nanummjbcf.tfm) = %{tl_version}
Provides: tex(nanummjbd0.tfm) = %{tl_version}
Provides: tex(nanummjbd1.tfm) = %{tl_version}
Provides: tex(nanummjbd2.tfm) = %{tl_version}
Provides: tex(nanummjbd3.tfm) = %{tl_version}
Provides: tex(nanummjbd4.tfm) = %{tl_version}
Provides: tex(nanummjbd5.tfm) = %{tl_version}
Provides: tex(nanummjbd6.tfm) = %{tl_version}
Provides: tex(nanummjbd7.tfm) = %{tl_version}
Provides: tex(nanummjbff.tfm) = %{tl_version}
Provides: tex(nanummjbo00.tfm) = %{tl_version}
Provides: tex(nanummjbo01.tfm) = %{tl_version}
Provides: tex(nanummjbo02.tfm) = %{tl_version}
Provides: tex(nanummjbo03.tfm) = %{tl_version}
Provides: tex(nanummjbo04.tfm) = %{tl_version}
Provides: tex(nanummjbo20.tfm) = %{tl_version}
Provides: tex(nanummjbo21.tfm) = %{tl_version}
Provides: tex(nanummjbo22.tfm) = %{tl_version}
Provides: tex(nanummjbo23.tfm) = %{tl_version}
Provides: tex(nanummjbo24.tfm) = %{tl_version}
Provides: tex(nanummjbo25.tfm) = %{tl_version}
Provides: tex(nanummjbo26.tfm) = %{tl_version}
Provides: tex(nanummjbo27.tfm) = %{tl_version}
Provides: tex(nanummjbo2a.tfm) = %{tl_version}
Provides: tex(nanummjbo30.tfm) = %{tl_version}
Provides: tex(nanummjbo31.tfm) = %{tl_version}
Provides: tex(nanummjbo32.tfm) = %{tl_version}
Provides: tex(nanummjbo33.tfm) = %{tl_version}
Provides: tex(nanummjboac.tfm) = %{tl_version}
Provides: tex(nanummjboad.tfm) = %{tl_version}
Provides: tex(nanummjboae.tfm) = %{tl_version}
Provides: tex(nanummjboaf.tfm) = %{tl_version}
Provides: tex(nanummjbob0.tfm) = %{tl_version}
Provides: tex(nanummjbob1.tfm) = %{tl_version}
Provides: tex(nanummjbob2.tfm) = %{tl_version}
Provides: tex(nanummjbob3.tfm) = %{tl_version}
Provides: tex(nanummjbob4.tfm) = %{tl_version}
Provides: tex(nanummjbob5.tfm) = %{tl_version}
Provides: tex(nanummjbob6.tfm) = %{tl_version}
Provides: tex(nanummjbob7.tfm) = %{tl_version}
Provides: tex(nanummjbob8.tfm) = %{tl_version}
Provides: tex(nanummjbob9.tfm) = %{tl_version}
Provides: tex(nanummjboba.tfm) = %{tl_version}
Provides: tex(nanummjbobb.tfm) = %{tl_version}
Provides: tex(nanummjbobc.tfm) = %{tl_version}
Provides: tex(nanummjbobd.tfm) = %{tl_version}
Provides: tex(nanummjbobe.tfm) = %{tl_version}
Provides: tex(nanummjbobf.tfm) = %{tl_version}
Provides: tex(nanummjboc0.tfm) = %{tl_version}
Provides: tex(nanummjboc1.tfm) = %{tl_version}
Provides: tex(nanummjboc2.tfm) = %{tl_version}
Provides: tex(nanummjboc3.tfm) = %{tl_version}
Provides: tex(nanummjboc4.tfm) = %{tl_version}
Provides: tex(nanummjboc5.tfm) = %{tl_version}
Provides: tex(nanummjboc6.tfm) = %{tl_version}
Provides: tex(nanummjboc7.tfm) = %{tl_version}
Provides: tex(nanummjboc8.tfm) = %{tl_version}
Provides: tex(nanummjboc9.tfm) = %{tl_version}
Provides: tex(nanummjboca.tfm) = %{tl_version}
Provides: tex(nanummjbocb.tfm) = %{tl_version}
Provides: tex(nanummjbocc.tfm) = %{tl_version}
Provides: tex(nanummjbocd.tfm) = %{tl_version}
Provides: tex(nanummjboce.tfm) = %{tl_version}
Provides: tex(nanummjbocf.tfm) = %{tl_version}
Provides: tex(nanummjbod0.tfm) = %{tl_version}
Provides: tex(nanummjbod1.tfm) = %{tl_version}
Provides: tex(nanummjbod2.tfm) = %{tl_version}
Provides: tex(nanummjbod3.tfm) = %{tl_version}
Provides: tex(nanummjbod4.tfm) = %{tl_version}
Provides: tex(nanummjbod5.tfm) = %{tl_version}
Provides: tex(nanummjbod6.tfm) = %{tl_version}
Provides: tex(nanummjbod7.tfm) = %{tl_version}
Provides: tex(nanummjboff.tfm) = %{tl_version}
Provides: tex(nanummjm00.tfm) = %{tl_version}
Provides: tex(nanummjm01.tfm) = %{tl_version}
Provides: tex(nanummjm02.tfm) = %{tl_version}
Provides: tex(nanummjm03.tfm) = %{tl_version}
Provides: tex(nanummjm04.tfm) = %{tl_version}
Provides: tex(nanummjm20.tfm) = %{tl_version}
Provides: tex(nanummjm21.tfm) = %{tl_version}
Provides: tex(nanummjm22.tfm) = %{tl_version}
Provides: tex(nanummjm23.tfm) = %{tl_version}
Provides: tex(nanummjm24.tfm) = %{tl_version}
Provides: tex(nanummjm25.tfm) = %{tl_version}
Provides: tex(nanummjm26.tfm) = %{tl_version}
Provides: tex(nanummjm27.tfm) = %{tl_version}
Provides: tex(nanummjm30.tfm) = %{tl_version}
Provides: tex(nanummjm31.tfm) = %{tl_version}
Provides: tex(nanummjm32.tfm) = %{tl_version}
Provides: tex(nanummjm33.tfm) = %{tl_version}
Provides: tex(nanummjmac.tfm) = %{tl_version}
Provides: tex(nanummjmad.tfm) = %{tl_version}
Provides: tex(nanummjmae.tfm) = %{tl_version}
Provides: tex(nanummjmaf.tfm) = %{tl_version}
Provides: tex(nanummjmb0.tfm) = %{tl_version}
Provides: tex(nanummjmb1.tfm) = %{tl_version}
Provides: tex(nanummjmb2.tfm) = %{tl_version}
Provides: tex(nanummjmb3.tfm) = %{tl_version}
Provides: tex(nanummjmb4.tfm) = %{tl_version}
Provides: tex(nanummjmb5.tfm) = %{tl_version}
Provides: tex(nanummjmb6.tfm) = %{tl_version}
Provides: tex(nanummjmb7.tfm) = %{tl_version}
Provides: tex(nanummjmb8.tfm) = %{tl_version}
Provides: tex(nanummjmb9.tfm) = %{tl_version}
Provides: tex(nanummjmba.tfm) = %{tl_version}
Provides: tex(nanummjmbb.tfm) = %{tl_version}
Provides: tex(nanummjmbc.tfm) = %{tl_version}
Provides: tex(nanummjmbd.tfm) = %{tl_version}
Provides: tex(nanummjmbe.tfm) = %{tl_version}
Provides: tex(nanummjmbf.tfm) = %{tl_version}
Provides: tex(nanummjmc0.tfm) = %{tl_version}
Provides: tex(nanummjmc1.tfm) = %{tl_version}
Provides: tex(nanummjmc2.tfm) = %{tl_version}
Provides: tex(nanummjmc3.tfm) = %{tl_version}
Provides: tex(nanummjmc4.tfm) = %{tl_version}
Provides: tex(nanummjmc5.tfm) = %{tl_version}
Provides: tex(nanummjmc6.tfm) = %{tl_version}
Provides: tex(nanummjmc7.tfm) = %{tl_version}
Provides: tex(nanummjmc8.tfm) = %{tl_version}
Provides: tex(nanummjmc9.tfm) = %{tl_version}
Provides: tex(nanummjmca.tfm) = %{tl_version}
Provides: tex(nanummjmcb.tfm) = %{tl_version}
Provides: tex(nanummjmcc.tfm) = %{tl_version}
Provides: tex(nanummjmcd.tfm) = %{tl_version}
Provides: tex(nanummjmce.tfm) = %{tl_version}
Provides: tex(nanummjmcf.tfm) = %{tl_version}
Provides: tex(nanummjmd0.tfm) = %{tl_version}
Provides: tex(nanummjmd1.tfm) = %{tl_version}
Provides: tex(nanummjmd2.tfm) = %{tl_version}
Provides: tex(nanummjmd3.tfm) = %{tl_version}
Provides: tex(nanummjmd4.tfm) = %{tl_version}
Provides: tex(nanummjmd5.tfm) = %{tl_version}
Provides: tex(nanummjmd6.tfm) = %{tl_version}
Provides: tex(nanummjmd7.tfm) = %{tl_version}
Provides: tex(nanummjmff.tfm) = %{tl_version}
Provides: tex(nanummjmo00.tfm) = %{tl_version}
Provides: tex(nanummjmo01.tfm) = %{tl_version}
Provides: tex(nanummjmo02.tfm) = %{tl_version}
Provides: tex(nanummjmo03.tfm) = %{tl_version}
Provides: tex(nanummjmo04.tfm) = %{tl_version}
Provides: tex(nanummjmo20.tfm) = %{tl_version}
Provides: tex(nanummjmo21.tfm) = %{tl_version}
Provides: tex(nanummjmo22.tfm) = %{tl_version}
Provides: tex(nanummjmo23.tfm) = %{tl_version}
Provides: tex(nanummjmo24.tfm) = %{tl_version}
Provides: tex(nanummjmo25.tfm) = %{tl_version}
Provides: tex(nanummjmo26.tfm) = %{tl_version}
Provides: tex(nanummjmo27.tfm) = %{tl_version}
Provides: tex(nanummjmo30.tfm) = %{tl_version}
Provides: tex(nanummjmo31.tfm) = %{tl_version}
Provides: tex(nanummjmo32.tfm) = %{tl_version}
Provides: tex(nanummjmo33.tfm) = %{tl_version}
Provides: tex(nanummjmoac.tfm) = %{tl_version}
Provides: tex(nanummjmoad.tfm) = %{tl_version}
Provides: tex(nanummjmoae.tfm) = %{tl_version}
Provides: tex(nanummjmoaf.tfm) = %{tl_version}
Provides: tex(nanummjmob0.tfm) = %{tl_version}
Provides: tex(nanummjmob1.tfm) = %{tl_version}
Provides: tex(nanummjmob2.tfm) = %{tl_version}
Provides: tex(nanummjmob3.tfm) = %{tl_version}
Provides: tex(nanummjmob4.tfm) = %{tl_version}
Provides: tex(nanummjmob5.tfm) = %{tl_version}
Provides: tex(nanummjmob6.tfm) = %{tl_version}
Provides: tex(nanummjmob7.tfm) = %{tl_version}
Provides: tex(nanummjmob8.tfm) = %{tl_version}
Provides: tex(nanummjmob9.tfm) = %{tl_version}
Provides: tex(nanummjmoba.tfm) = %{tl_version}
Provides: tex(nanummjmobb.tfm) = %{tl_version}
Provides: tex(nanummjmobc.tfm) = %{tl_version}
Provides: tex(nanummjmobd.tfm) = %{tl_version}
Provides: tex(nanummjmobe.tfm) = %{tl_version}
Provides: tex(nanummjmobf.tfm) = %{tl_version}
Provides: tex(nanummjmoc0.tfm) = %{tl_version}
Provides: tex(nanummjmoc1.tfm) = %{tl_version}
Provides: tex(nanummjmoc2.tfm) = %{tl_version}
Provides: tex(nanummjmoc3.tfm) = %{tl_version}
Provides: tex(nanummjmoc4.tfm) = %{tl_version}
Provides: tex(nanummjmoc5.tfm) = %{tl_version}
Provides: tex(nanummjmoc6.tfm) = %{tl_version}
Provides: tex(nanummjmoc7.tfm) = %{tl_version}
Provides: tex(nanummjmoc8.tfm) = %{tl_version}
Provides: tex(nanummjmoc9.tfm) = %{tl_version}
Provides: tex(nanummjmoca.tfm) = %{tl_version}
Provides: tex(nanummjmocb.tfm) = %{tl_version}
Provides: tex(nanummjmocc.tfm) = %{tl_version}
Provides: tex(nanummjmocd.tfm) = %{tl_version}
Provides: tex(nanummjmoce.tfm) = %{tl_version}
Provides: tex(nanummjmocf.tfm) = %{tl_version}
Provides: tex(nanummjmod0.tfm) = %{tl_version}
Provides: tex(nanummjmod1.tfm) = %{tl_version}
Provides: tex(nanummjmod2.tfm) = %{tl_version}
Provides: tex(nanummjmod3.tfm) = %{tl_version}
Provides: tex(nanummjmod4.tfm) = %{tl_version}
Provides: tex(nanummjmod5.tfm) = %{tl_version}
Provides: tex(nanummjmod6.tfm) = %{tl_version}
Provides: tex(nanummjmod7.tfm) = %{tl_version}
Provides: tex(nanummjmoff.tfm) = %{tl_version}
Provides: tex(t1nanumgtb.tfm) = %{tl_version}
Provides: tex(t1nanumgtbo.tfm) = %{tl_version}
Provides: tex(t1nanumgtm.tfm) = %{tl_version}
Provides: tex(t1nanumgtmo.tfm) = %{tl_version}
Provides: tex(t1nanummjb.tfm) = %{tl_version}
Provides: tex(t1nanummjbo.tfm) = %{tl_version}
Provides: tex(t1nanummjm.tfm) = %{tl_version}
Provides: tex(t1nanummjmo.tfm) = %{tl_version}
Provides: tex(ts1nanumgtb.tfm) = %{tl_version}
Provides: tex(ts1nanumgtbo.tfm) = %{tl_version}
Provides: tex(ts1nanumgtm.tfm) = %{tl_version}
Provides: tex(ts1nanumgtmo.tfm) = %{tl_version}
Provides: tex(ts1nanummjb.tfm) = %{tl_version}
Provides: tex(ts1nanummjbo.tfm) = %{tl_version}
Provides: tex(ts1nanummjm.tfm) = %{tl_version}
Provides: tex(ts1nanummjmo.tfm) = %{tl_version}
Provides: tex(nanumgtb00.pfb) = %{tl_version}
Provides: tex(nanumgtb01.pfb) = %{tl_version}
Provides: tex(nanumgtb02.pfb) = %{tl_version}
Provides: tex(nanumgtb03.pfb) = %{tl_version}
Provides: tex(nanumgtb04.pfb) = %{tl_version}
Provides: tex(nanumgtb11.pfb) = %{tl_version}
Provides: tex(nanumgtb20.pfb) = %{tl_version}
Provides: tex(nanumgtb21.pfb) = %{tl_version}
Provides: tex(nanumgtb22.pfb) = %{tl_version}
Provides: tex(nanumgtb23.pfb) = %{tl_version}
Provides: tex(nanumgtb24.pfb) = %{tl_version}
Provides: tex(nanumgtb25.pfb) = %{tl_version}
Provides: tex(nanumgtb26.pfb) = %{tl_version}
Provides: tex(nanumgtb27.pfb) = %{tl_version}
Provides: tex(nanumgtb2a.pfb) = %{tl_version}
Provides: tex(nanumgtb30.pfb) = %{tl_version}
Provides: tex(nanumgtb31.pfb) = %{tl_version}
Provides: tex(nanumgtb32.pfb) = %{tl_version}
Provides: tex(nanumgtb33.pfb) = %{tl_version}
Provides: tex(nanumgtb4e.pfb) = %{tl_version}
Provides: tex(nanumgtb4f.pfb) = %{tl_version}
Provides: tex(nanumgtb50.pfb) = %{tl_version}
Provides: tex(nanumgtb51.pfb) = %{tl_version}
Provides: tex(nanumgtb52.pfb) = %{tl_version}
Provides: tex(nanumgtb53.pfb) = %{tl_version}
Provides: tex(nanumgtb54.pfb) = %{tl_version}
Provides: tex(nanumgtb55.pfb) = %{tl_version}
Provides: tex(nanumgtb56.pfb) = %{tl_version}
Provides: tex(nanumgtb57.pfb) = %{tl_version}
Provides: tex(nanumgtb58.pfb) = %{tl_version}
Provides: tex(nanumgtb59.pfb) = %{tl_version}
Provides: tex(nanumgtb5a.pfb) = %{tl_version}
Provides: tex(nanumgtb5b.pfb) = %{tl_version}
Provides: tex(nanumgtb5c.pfb) = %{tl_version}
Provides: tex(nanumgtb5d.pfb) = %{tl_version}
Provides: tex(nanumgtb5e.pfb) = %{tl_version}
Provides: tex(nanumgtb5f.pfb) = %{tl_version}
Provides: tex(nanumgtb60.pfb) = %{tl_version}
Provides: tex(nanumgtb61.pfb) = %{tl_version}
Provides: tex(nanumgtb62.pfb) = %{tl_version}
Provides: tex(nanumgtb63.pfb) = %{tl_version}
Provides: tex(nanumgtb64.pfb) = %{tl_version}
Provides: tex(nanumgtb65.pfb) = %{tl_version}
Provides: tex(nanumgtb66.pfb) = %{tl_version}
Provides: tex(nanumgtb67.pfb) = %{tl_version}
Provides: tex(nanumgtb68.pfb) = %{tl_version}
Provides: tex(nanumgtb69.pfb) = %{tl_version}
Provides: tex(nanumgtb6a.pfb) = %{tl_version}
Provides: tex(nanumgtb6b.pfb) = %{tl_version}
Provides: tex(nanumgtb6c.pfb) = %{tl_version}
Provides: tex(nanumgtb6d.pfb) = %{tl_version}
Provides: tex(nanumgtb6e.pfb) = %{tl_version}
Provides: tex(nanumgtb6f.pfb) = %{tl_version}
Provides: tex(nanumgtb70.pfb) = %{tl_version}
Provides: tex(nanumgtb71.pfb) = %{tl_version}
Provides: tex(nanumgtb72.pfb) = %{tl_version}
Provides: tex(nanumgtb73.pfb) = %{tl_version}
Provides: tex(nanumgtb74.pfb) = %{tl_version}
Provides: tex(nanumgtb75.pfb) = %{tl_version}
Provides: tex(nanumgtb76.pfb) = %{tl_version}
Provides: tex(nanumgtb77.pfb) = %{tl_version}
Provides: tex(nanumgtb78.pfb) = %{tl_version}
Provides: tex(nanumgtb79.pfb) = %{tl_version}
Provides: tex(nanumgtb7a.pfb) = %{tl_version}
Provides: tex(nanumgtb7b.pfb) = %{tl_version}
Provides: tex(nanumgtb7c.pfb) = %{tl_version}
Provides: tex(nanumgtb7d.pfb) = %{tl_version}
Provides: tex(nanumgtb7e.pfb) = %{tl_version}
Provides: tex(nanumgtb7f.pfb) = %{tl_version}
Provides: tex(nanumgtb80.pfb) = %{tl_version}
Provides: tex(nanumgtb81.pfb) = %{tl_version}
Provides: tex(nanumgtb82.pfb) = %{tl_version}
Provides: tex(nanumgtb83.pfb) = %{tl_version}
Provides: tex(nanumgtb84.pfb) = %{tl_version}
Provides: tex(nanumgtb85.pfb) = %{tl_version}
Provides: tex(nanumgtb86.pfb) = %{tl_version}
Provides: tex(nanumgtb87.pfb) = %{tl_version}
Provides: tex(nanumgtb88.pfb) = %{tl_version}
Provides: tex(nanumgtb89.pfb) = %{tl_version}
Provides: tex(nanumgtb8a.pfb) = %{tl_version}
Provides: tex(nanumgtb8b.pfb) = %{tl_version}
Provides: tex(nanumgtb8c.pfb) = %{tl_version}
Provides: tex(nanumgtb8d.pfb) = %{tl_version}
Provides: tex(nanumgtb8e.pfb) = %{tl_version}
Provides: tex(nanumgtb8f.pfb) = %{tl_version}
Provides: tex(nanumgtb90.pfb) = %{tl_version}
Provides: tex(nanumgtb91.pfb) = %{tl_version}
Provides: tex(nanumgtb92.pfb) = %{tl_version}
Provides: tex(nanumgtb93.pfb) = %{tl_version}
Provides: tex(nanumgtb94.pfb) = %{tl_version}
Provides: tex(nanumgtb95.pfb) = %{tl_version}
Provides: tex(nanumgtb96.pfb) = %{tl_version}
Provides: tex(nanumgtb97.pfb) = %{tl_version}
Provides: tex(nanumgtb98.pfb) = %{tl_version}
Provides: tex(nanumgtb99.pfb) = %{tl_version}
Provides: tex(nanumgtb9a.pfb) = %{tl_version}
Provides: tex(nanumgtb9b.pfb) = %{tl_version}
Provides: tex(nanumgtb9c.pfb) = %{tl_version}
Provides: tex(nanumgtb9d.pfb) = %{tl_version}
Provides: tex(nanumgtb9e.pfb) = %{tl_version}
Provides: tex(nanumgtb9f.pfb) = %{tl_version}
Provides: tex(nanumgtbac.pfb) = %{tl_version}
Provides: tex(nanumgtbad.pfb) = %{tl_version}
Provides: tex(nanumgtbae.pfb) = %{tl_version}
Provides: tex(nanumgtbaf.pfb) = %{tl_version}
Provides: tex(nanumgtbb0.pfb) = %{tl_version}
Provides: tex(nanumgtbb1.pfb) = %{tl_version}
Provides: tex(nanumgtbb2.pfb) = %{tl_version}
Provides: tex(nanumgtbb3.pfb) = %{tl_version}
Provides: tex(nanumgtbb4.pfb) = %{tl_version}
Provides: tex(nanumgtbb5.pfb) = %{tl_version}
Provides: tex(nanumgtbb6.pfb) = %{tl_version}
Provides: tex(nanumgtbb7.pfb) = %{tl_version}
Provides: tex(nanumgtbb8.pfb) = %{tl_version}
Provides: tex(nanumgtbb9.pfb) = %{tl_version}
Provides: tex(nanumgtbba.pfb) = %{tl_version}
Provides: tex(nanumgtbbb.pfb) = %{tl_version}
Provides: tex(nanumgtbbc.pfb) = %{tl_version}
Provides: tex(nanumgtbbd.pfb) = %{tl_version}
Provides: tex(nanumgtbbe.pfb) = %{tl_version}
Provides: tex(nanumgtbbf.pfb) = %{tl_version}
Provides: tex(nanumgtbc0.pfb) = %{tl_version}
Provides: tex(nanumgtbc1.pfb) = %{tl_version}
Provides: tex(nanumgtbc2.pfb) = %{tl_version}
Provides: tex(nanumgtbc3.pfb) = %{tl_version}
Provides: tex(nanumgtbc4.pfb) = %{tl_version}
Provides: tex(nanumgtbc5.pfb) = %{tl_version}
Provides: tex(nanumgtbc6.pfb) = %{tl_version}
Provides: tex(nanumgtbc7.pfb) = %{tl_version}
Provides: tex(nanumgtbc8.pfb) = %{tl_version}
Provides: tex(nanumgtbc9.pfb) = %{tl_version}
Provides: tex(nanumgtbca.pfb) = %{tl_version}
Provides: tex(nanumgtbcb.pfb) = %{tl_version}
Provides: tex(nanumgtbcc.pfb) = %{tl_version}
Provides: tex(nanumgtbcd.pfb) = %{tl_version}
Provides: tex(nanumgtbce.pfb) = %{tl_version}
Provides: tex(nanumgtbcf.pfb) = %{tl_version}
Provides: tex(nanumgtbd0.pfb) = %{tl_version}
Provides: tex(nanumgtbd1.pfb) = %{tl_version}
Provides: tex(nanumgtbd2.pfb) = %{tl_version}
Provides: tex(nanumgtbd3.pfb) = %{tl_version}
Provides: tex(nanumgtbd4.pfb) = %{tl_version}
Provides: tex(nanumgtbd5.pfb) = %{tl_version}
Provides: tex(nanumgtbd6.pfb) = %{tl_version}
Provides: tex(nanumgtbd7.pfb) = %{tl_version}
Provides: tex(nanumgtbf9.pfb) = %{tl_version}
Provides: tex(nanumgtbfa.pfb) = %{tl_version}
Provides: tex(nanumgtbff.pfb) = %{tl_version}
Provides: tex(nanumgtm00.pfb) = %{tl_version}
Provides: tex(nanumgtm01.pfb) = %{tl_version}
Provides: tex(nanumgtm02.pfb) = %{tl_version}
Provides: tex(nanumgtm03.pfb) = %{tl_version}
Provides: tex(nanumgtm04.pfb) = %{tl_version}
Provides: tex(nanumgtm11.pfb) = %{tl_version}
Provides: tex(nanumgtm20.pfb) = %{tl_version}
Provides: tex(nanumgtm21.pfb) = %{tl_version}
Provides: tex(nanumgtm22.pfb) = %{tl_version}
Provides: tex(nanumgtm23.pfb) = %{tl_version}
Provides: tex(nanumgtm24.pfb) = %{tl_version}
Provides: tex(nanumgtm25.pfb) = %{tl_version}
Provides: tex(nanumgtm26.pfb) = %{tl_version}
Provides: tex(nanumgtm27.pfb) = %{tl_version}
Provides: tex(nanumgtm2a.pfb) = %{tl_version}
Provides: tex(nanumgtm30.pfb) = %{tl_version}
Provides: tex(nanumgtm31.pfb) = %{tl_version}
Provides: tex(nanumgtm32.pfb) = %{tl_version}
Provides: tex(nanumgtm33.pfb) = %{tl_version}
Provides: tex(nanumgtm4e.pfb) = %{tl_version}
Provides: tex(nanumgtm4f.pfb) = %{tl_version}
Provides: tex(nanumgtm50.pfb) = %{tl_version}
Provides: tex(nanumgtm51.pfb) = %{tl_version}
Provides: tex(nanumgtm52.pfb) = %{tl_version}
Provides: tex(nanumgtm53.pfb) = %{tl_version}
Provides: tex(nanumgtm54.pfb) = %{tl_version}
Provides: tex(nanumgtm55.pfb) = %{tl_version}
Provides: tex(nanumgtm56.pfb) = %{tl_version}
Provides: tex(nanumgtm57.pfb) = %{tl_version}
Provides: tex(nanumgtm58.pfb) = %{tl_version}
Provides: tex(nanumgtm59.pfb) = %{tl_version}
Provides: tex(nanumgtm5a.pfb) = %{tl_version}
Provides: tex(nanumgtm5b.pfb) = %{tl_version}
Provides: tex(nanumgtm5c.pfb) = %{tl_version}
Provides: tex(nanumgtm5d.pfb) = %{tl_version}
Provides: tex(nanumgtm5e.pfb) = %{tl_version}
Provides: tex(nanumgtm5f.pfb) = %{tl_version}
Provides: tex(nanumgtm60.pfb) = %{tl_version}
Provides: tex(nanumgtm61.pfb) = %{tl_version}
Provides: tex(nanumgtm62.pfb) = %{tl_version}
Provides: tex(nanumgtm63.pfb) = %{tl_version}
Provides: tex(nanumgtm64.pfb) = %{tl_version}
Provides: tex(nanumgtm65.pfb) = %{tl_version}
Provides: tex(nanumgtm66.pfb) = %{tl_version}
Provides: tex(nanumgtm67.pfb) = %{tl_version}
Provides: tex(nanumgtm68.pfb) = %{tl_version}
Provides: tex(nanumgtm69.pfb) = %{tl_version}
Provides: tex(nanumgtm6a.pfb) = %{tl_version}
Provides: tex(nanumgtm6b.pfb) = %{tl_version}
Provides: tex(nanumgtm6c.pfb) = %{tl_version}
Provides: tex(nanumgtm6d.pfb) = %{tl_version}
Provides: tex(nanumgtm6e.pfb) = %{tl_version}
Provides: tex(nanumgtm6f.pfb) = %{tl_version}
Provides: tex(nanumgtm70.pfb) = %{tl_version}
Provides: tex(nanumgtm71.pfb) = %{tl_version}
Provides: tex(nanumgtm72.pfb) = %{tl_version}
Provides: tex(nanumgtm73.pfb) = %{tl_version}
Provides: tex(nanumgtm74.pfb) = %{tl_version}
Provides: tex(nanumgtm75.pfb) = %{tl_version}
Provides: tex(nanumgtm76.pfb) = %{tl_version}
Provides: tex(nanumgtm77.pfb) = %{tl_version}
Provides: tex(nanumgtm78.pfb) = %{tl_version}
Provides: tex(nanumgtm79.pfb) = %{tl_version}
Provides: tex(nanumgtm7a.pfb) = %{tl_version}
Provides: tex(nanumgtm7b.pfb) = %{tl_version}
Provides: tex(nanumgtm7c.pfb) = %{tl_version}
Provides: tex(nanumgtm7d.pfb) = %{tl_version}
Provides: tex(nanumgtm7e.pfb) = %{tl_version}
Provides: tex(nanumgtm7f.pfb) = %{tl_version}
Provides: tex(nanumgtm80.pfb) = %{tl_version}
Provides: tex(nanumgtm81.pfb) = %{tl_version}
Provides: tex(nanumgtm82.pfb) = %{tl_version}
Provides: tex(nanumgtm83.pfb) = %{tl_version}
Provides: tex(nanumgtm84.pfb) = %{tl_version}
Provides: tex(nanumgtm85.pfb) = %{tl_version}
Provides: tex(nanumgtm86.pfb) = %{tl_version}
Provides: tex(nanumgtm87.pfb) = %{tl_version}
Provides: tex(nanumgtm88.pfb) = %{tl_version}
Provides: tex(nanumgtm89.pfb) = %{tl_version}
Provides: tex(nanumgtm8a.pfb) = %{tl_version}
Provides: tex(nanumgtm8b.pfb) = %{tl_version}
Provides: tex(nanumgtm8c.pfb) = %{tl_version}
Provides: tex(nanumgtm8d.pfb) = %{tl_version}
Provides: tex(nanumgtm8e.pfb) = %{tl_version}
Provides: tex(nanumgtm8f.pfb) = %{tl_version}
Provides: tex(nanumgtm90.pfb) = %{tl_version}
Provides: tex(nanumgtm91.pfb) = %{tl_version}
Provides: tex(nanumgtm92.pfb) = %{tl_version}
Provides: tex(nanumgtm93.pfb) = %{tl_version}
Provides: tex(nanumgtm94.pfb) = %{tl_version}
Provides: tex(nanumgtm95.pfb) = %{tl_version}
Provides: tex(nanumgtm96.pfb) = %{tl_version}
Provides: tex(nanumgtm97.pfb) = %{tl_version}
Provides: tex(nanumgtm98.pfb) = %{tl_version}
Provides: tex(nanumgtm99.pfb) = %{tl_version}
Provides: tex(nanumgtm9a.pfb) = %{tl_version}
Provides: tex(nanumgtm9b.pfb) = %{tl_version}
Provides: tex(nanumgtm9c.pfb) = %{tl_version}
Provides: tex(nanumgtm9d.pfb) = %{tl_version}
Provides: tex(nanumgtm9e.pfb) = %{tl_version}
Provides: tex(nanumgtm9f.pfb) = %{tl_version}
Provides: tex(nanumgtmac.pfb) = %{tl_version}
Provides: tex(nanumgtmad.pfb) = %{tl_version}
Provides: tex(nanumgtmae.pfb) = %{tl_version}
Provides: tex(nanumgtmaf.pfb) = %{tl_version}
Provides: tex(nanumgtmb0.pfb) = %{tl_version}
Provides: tex(nanumgtmb1.pfb) = %{tl_version}
Provides: tex(nanumgtmb2.pfb) = %{tl_version}
Provides: tex(nanumgtmb3.pfb) = %{tl_version}
Provides: tex(nanumgtmb4.pfb) = %{tl_version}
Provides: tex(nanumgtmb5.pfb) = %{tl_version}
Provides: tex(nanumgtmb6.pfb) = %{tl_version}
Provides: tex(nanumgtmb7.pfb) = %{tl_version}
Provides: tex(nanumgtmb8.pfb) = %{tl_version}
Provides: tex(nanumgtmb9.pfb) = %{tl_version}
Provides: tex(nanumgtmba.pfb) = %{tl_version}
Provides: tex(nanumgtmbb.pfb) = %{tl_version}
Provides: tex(nanumgtmbc.pfb) = %{tl_version}
Provides: tex(nanumgtmbd.pfb) = %{tl_version}
Provides: tex(nanumgtmbe.pfb) = %{tl_version}
Provides: tex(nanumgtmbf.pfb) = %{tl_version}
Provides: tex(nanumgtmc0.pfb) = %{tl_version}
Provides: tex(nanumgtmc1.pfb) = %{tl_version}
Provides: tex(nanumgtmc2.pfb) = %{tl_version}
Provides: tex(nanumgtmc3.pfb) = %{tl_version}
Provides: tex(nanumgtmc4.pfb) = %{tl_version}
Provides: tex(nanumgtmc5.pfb) = %{tl_version}
Provides: tex(nanumgtmc6.pfb) = %{tl_version}
Provides: tex(nanumgtmc7.pfb) = %{tl_version}
Provides: tex(nanumgtmc8.pfb) = %{tl_version}
Provides: tex(nanumgtmc9.pfb) = %{tl_version}
Provides: tex(nanumgtmca.pfb) = %{tl_version}
Provides: tex(nanumgtmcb.pfb) = %{tl_version}
Provides: tex(nanumgtmcc.pfb) = %{tl_version}
Provides: tex(nanumgtmcd.pfb) = %{tl_version}
Provides: tex(nanumgtmce.pfb) = %{tl_version}
Provides: tex(nanumgtmcf.pfb) = %{tl_version}
Provides: tex(nanumgtmd0.pfb) = %{tl_version}
Provides: tex(nanumgtmd1.pfb) = %{tl_version}
Provides: tex(nanumgtmd2.pfb) = %{tl_version}
Provides: tex(nanumgtmd3.pfb) = %{tl_version}
Provides: tex(nanumgtmd4.pfb) = %{tl_version}
Provides: tex(nanumgtmd5.pfb) = %{tl_version}
Provides: tex(nanumgtmd6.pfb) = %{tl_version}
Provides: tex(nanumgtmd7.pfb) = %{tl_version}
Provides: tex(nanumgtmf9.pfb) = %{tl_version}
Provides: tex(nanumgtmfa.pfb) = %{tl_version}
Provides: tex(nanumgtmff.pfb) = %{tl_version}
Provides: tex(nanummjb00.pfb) = %{tl_version}
Provides: tex(nanummjb01.pfb) = %{tl_version}
Provides: tex(nanummjb02.pfb) = %{tl_version}
Provides: tex(nanummjb03.pfb) = %{tl_version}
Provides: tex(nanummjb04.pfb) = %{tl_version}
Provides: tex(nanummjb20.pfb) = %{tl_version}
Provides: tex(nanummjb21.pfb) = %{tl_version}
Provides: tex(nanummjb22.pfb) = %{tl_version}
Provides: tex(nanummjb23.pfb) = %{tl_version}
Provides: tex(nanummjb24.pfb) = %{tl_version}
Provides: tex(nanummjb25.pfb) = %{tl_version}
Provides: tex(nanummjb26.pfb) = %{tl_version}
Provides: tex(nanummjb27.pfb) = %{tl_version}
Provides: tex(nanummjb2a.pfb) = %{tl_version}
Provides: tex(nanummjb30.pfb) = %{tl_version}
Provides: tex(nanummjb31.pfb) = %{tl_version}
Provides: tex(nanummjb32.pfb) = %{tl_version}
Provides: tex(nanummjb33.pfb) = %{tl_version}
Provides: tex(nanummjbac.pfb) = %{tl_version}
Provides: tex(nanummjbad.pfb) = %{tl_version}
Provides: tex(nanummjbae.pfb) = %{tl_version}
Provides: tex(nanummjbaf.pfb) = %{tl_version}
Provides: tex(nanummjbb0.pfb) = %{tl_version}
Provides: tex(nanummjbb1.pfb) = %{tl_version}
Provides: tex(nanummjbb2.pfb) = %{tl_version}
Provides: tex(nanummjbb3.pfb) = %{tl_version}
Provides: tex(nanummjbb4.pfb) = %{tl_version}
Provides: tex(nanummjbb5.pfb) = %{tl_version}
Provides: tex(nanummjbb6.pfb) = %{tl_version}
Provides: tex(nanummjbb7.pfb) = %{tl_version}
Provides: tex(nanummjbb8.pfb) = %{tl_version}
Provides: tex(nanummjbb9.pfb) = %{tl_version}
Provides: tex(nanummjbba.pfb) = %{tl_version}
Provides: tex(nanummjbbb.pfb) = %{tl_version}
Provides: tex(nanummjbbc.pfb) = %{tl_version}
Provides: tex(nanummjbbd.pfb) = %{tl_version}
Provides: tex(nanummjbbe.pfb) = %{tl_version}
Provides: tex(nanummjbbf.pfb) = %{tl_version}
Provides: tex(nanummjbc0.pfb) = %{tl_version}
Provides: tex(nanummjbc1.pfb) = %{tl_version}
Provides: tex(nanummjbc2.pfb) = %{tl_version}
Provides: tex(nanummjbc3.pfb) = %{tl_version}
Provides: tex(nanummjbc4.pfb) = %{tl_version}
Provides: tex(nanummjbc5.pfb) = %{tl_version}
Provides: tex(nanummjbc6.pfb) = %{tl_version}
Provides: tex(nanummjbc7.pfb) = %{tl_version}
Provides: tex(nanummjbc8.pfb) = %{tl_version}
Provides: tex(nanummjbc9.pfb) = %{tl_version}
Provides: tex(nanummjbca.pfb) = %{tl_version}
Provides: tex(nanummjbcb.pfb) = %{tl_version}
Provides: tex(nanummjbcc.pfb) = %{tl_version}
Provides: tex(nanummjbcd.pfb) = %{tl_version}
Provides: tex(nanummjbce.pfb) = %{tl_version}
Provides: tex(nanummjbcf.pfb) = %{tl_version}
Provides: tex(nanummjbd0.pfb) = %{tl_version}
Provides: tex(nanummjbd1.pfb) = %{tl_version}
Provides: tex(nanummjbd2.pfb) = %{tl_version}
Provides: tex(nanummjbd3.pfb) = %{tl_version}
Provides: tex(nanummjbd4.pfb) = %{tl_version}
Provides: tex(nanummjbd5.pfb) = %{tl_version}
Provides: tex(nanummjbd6.pfb) = %{tl_version}
Provides: tex(nanummjbd7.pfb) = %{tl_version}
Provides: tex(nanummjbff.pfb) = %{tl_version}
Provides: tex(nanummjm00.pfb) = %{tl_version}
Provides: tex(nanummjm01.pfb) = %{tl_version}
Provides: tex(nanummjm02.pfb) = %{tl_version}
Provides: tex(nanummjm03.pfb) = %{tl_version}
Provides: tex(nanummjm04.pfb) = %{tl_version}
Provides: tex(nanummjm20.pfb) = %{tl_version}
Provides: tex(nanummjm21.pfb) = %{tl_version}
Provides: tex(nanummjm22.pfb) = %{tl_version}
Provides: tex(nanummjm23.pfb) = %{tl_version}
Provides: tex(nanummjm24.pfb) = %{tl_version}
Provides: tex(nanummjm25.pfb) = %{tl_version}
Provides: tex(nanummjm26.pfb) = %{tl_version}
Provides: tex(nanummjm27.pfb) = %{tl_version}
Provides: tex(nanummjm30.pfb) = %{tl_version}
Provides: tex(nanummjm31.pfb) = %{tl_version}
Provides: tex(nanummjm32.pfb) = %{tl_version}
Provides: tex(nanummjm33.pfb) = %{tl_version}
Provides: tex(nanummjmac.pfb) = %{tl_version}
Provides: tex(nanummjmad.pfb) = %{tl_version}
Provides: tex(nanummjmae.pfb) = %{tl_version}
Provides: tex(nanummjmaf.pfb) = %{tl_version}
Provides: tex(nanummjmb0.pfb) = %{tl_version}
Provides: tex(nanummjmb1.pfb) = %{tl_version}
Provides: tex(nanummjmb2.pfb) = %{tl_version}
Provides: tex(nanummjmb3.pfb) = %{tl_version}
Provides: tex(nanummjmb4.pfb) = %{tl_version}
Provides: tex(nanummjmb5.pfb) = %{tl_version}
Provides: tex(nanummjmb6.pfb) = %{tl_version}
Provides: tex(nanummjmb7.pfb) = %{tl_version}
Provides: tex(nanummjmb8.pfb) = %{tl_version}
Provides: tex(nanummjmb9.pfb) = %{tl_version}
Provides: tex(nanummjmba.pfb) = %{tl_version}
Provides: tex(nanummjmbb.pfb) = %{tl_version}
Provides: tex(nanummjmbc.pfb) = %{tl_version}
Provides: tex(nanummjmbd.pfb) = %{tl_version}
Provides: tex(nanummjmbe.pfb) = %{tl_version}
Provides: tex(nanummjmbf.pfb) = %{tl_version}
Provides: tex(nanummjmc0.pfb) = %{tl_version}
Provides: tex(nanummjmc1.pfb) = %{tl_version}
Provides: tex(nanummjmc2.pfb) = %{tl_version}
Provides: tex(nanummjmc3.pfb) = %{tl_version}
Provides: tex(nanummjmc4.pfb) = %{tl_version}
Provides: tex(nanummjmc5.pfb) = %{tl_version}
Provides: tex(nanummjmc6.pfb) = %{tl_version}
Provides: tex(nanummjmc7.pfb) = %{tl_version}
Provides: tex(nanummjmc8.pfb) = %{tl_version}
Provides: tex(nanummjmc9.pfb) = %{tl_version}
Provides: tex(nanummjmca.pfb) = %{tl_version}
Provides: tex(nanummjmcb.pfb) = %{tl_version}
Provides: tex(nanummjmcc.pfb) = %{tl_version}
Provides: tex(nanummjmcd.pfb) = %{tl_version}
Provides: tex(nanummjmce.pfb) = %{tl_version}
Provides: tex(nanummjmcf.pfb) = %{tl_version}
Provides: tex(nanummjmd0.pfb) = %{tl_version}
Provides: tex(nanummjmd1.pfb) = %{tl_version}
Provides: tex(nanummjmd2.pfb) = %{tl_version}
Provides: tex(nanummjmd3.pfb) = %{tl_version}
Provides: tex(nanummjmd4.pfb) = %{tl_version}
Provides: tex(nanummjmd5.pfb) = %{tl_version}
Provides: tex(nanummjmd6.pfb) = %{tl_version}
Provides: tex(nanummjmd7.pfb) = %{tl_version}
Provides: tex(nanummjmff.pfb) = %{tl_version}
Provides: tex(t1nanumgtb.pfb) = %{tl_version}
Provides: tex(t1nanumgtm.pfb) = %{tl_version}
Provides: tex(t1nanummjb.pfb) = %{tl_version}
Provides: tex(t1nanummjm.pfb) = %{tl_version}
Provides: tex(ts1nanumgtb.vf) = %{tl_version}
Provides: tex(ts1nanumgtbo.vf) = %{tl_version}
Provides: tex(ts1nanumgtm.vf) = %{tl_version}
Provides: tex(ts1nanumgtmo.vf) = %{tl_version}
Provides: tex(ts1nanummjb.vf) = %{tl_version}
Provides: tex(ts1nanummjbo.vf) = %{tl_version}
Provides: tex(ts1nanummjm.vf) = %{tl_version}
Provides: tex(ts1nanummjmo.vf) = %{tl_version}
Provides: tex(c70nanumgt.fd) = %{tl_version}
Provides: tex(c70nanummj.fd) = %{tl_version}
Provides: tex(c70uhcmj.fd) = %{tl_version}
Provides: tex(lucnanumgt.fd) = %{tl_version}
Provides: tex(lucnanummj.fd) = %{tl_version}
Provides: tex(t1nanumgt.fd) = %{tl_version}
Provides: tex(t1nanummj.fd) = %{tl_version}
Provides: tex(ts1nanumgt.fd) = %{tl_version}
Provides: tex(ts1nanummj.fd) = %{tl_version}

%description nanumtype1
Nanum is a unicode font designed especially for Korean-language
script. The font was designed by Sandoll Communication and
Fontrix; it includes the sans serif (gothic), serif (myeongjo),
pen script and brush script typefaces. The package provides
Type1 subfonts converted from Nanum Myeongjo (Regular and
ExtraBold) and Nanum Gothic (Regular and Bold) OTFs. C70, LUC,
T1, and TS1 font definition files are also provided. (The
package does not include OpenType/TrueType files, which are
available from Naver)

%package nanumtype1-doc
Summary: Documentation for nanumtype1
Version: svn29558.3.0

Provides: tex-nanumtype1-doc
AutoReqProv: No

%description nanumtype1-doc
Documentation for nanumtype1

%package collection-langother
Summary: Other languages
Version: svn44601
Provides: texlive-collection-langafrica = svn30372.0.obsolete
Obsoletes: texlive-collection-langafrica <= svn30372.0
Provides: texlive-collection-langindic = svn35737.0.obsolete
Obsoletes: texlive-collection-langindic <= svn35737.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-amsldoc-vn-doc
Requires: texlive-aramaic-serto
Requires: texlive-babel-azerbaijani
Requires: texlive-babel-esperanto
Requires: texlive-babel-georgian
Requires: texlive-babel-hebrew
Requires: texlive-babel-indonesian
Requires: texlive-babel-interlingua
Requires: texlive-babel-malay
Requires: texlive-babel-sorbian
Requires: texlive-babel-thai
Requires: texlive-babel-vietnamese
Requires: texlive-bangtex
Requires: texlive-bengali
Requires: texlive-burmese
Requires: texlive-cjhebrew
Requires: texlive-ctib
Requires: texlive-ebong
Requires: texlive-ethiop
Requires: texlive-ethiop-t1
Requires: texlive-fc
Requires: texlive-fonts-tlwg
Requires: texlive-hyphen-afrikaans
Requires: texlive-hyphen-armenian
Requires: texlive-hyphen-coptic
Requires: texlive-hyphen-esperanto
Requires: texlive-hyphen-ethiopic
Requires: texlive-hyphen-georgian
Requires: texlive-hyphen-indic
Requires: texlive-hyphen-indonesian
Requires: texlive-hyphen-interlingua
Requires: texlive-hyphen-sanskrit
Requires: texlive-hyphen-thai
Requires: texlive-hyphen-turkmen
Requires: texlive-latex-mr-doc
Requires: texlive-latexbangla
Requires: texlive-lshort-thai-doc
Requires: texlive-lshort-vietnamese-doc
Requires: texlive-ntheorem-vn-doc
Requires: texlive-padauk
Requires: texlive-sanskrit
Requires: texlive-sanskrit-t1
Requires: texlive-thaienum
Requires: texlive-velthuis
Requires: texlive-vntex
Requires: texlive-wnri
Requires: texlive-wnri-latex
Requires: texlive-xetex-devanagari

%description collection-langother
Support for languages not otherwise listed, including Thai,
Vietnamese, Hebrew, Indonesian, and plenty more.  The split is
made simply on the basis of the size of the support, to keep
both collection sizes and the number of collections reasonable.

%package ctib
Provides: tex-ctib = %{tl_version}
License: GPL+
Summary: Tibetan for TeX and LATeX2e
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Provides: tex(ctib.tfm) = %{tl_version}
Provides: tex(ctib.sty) = %{tl_version}
Provides: tex(ctib.tex) = %{tl_version}
Provides: tex(lctctib.fd) = %{tl_version}
Provides: tex(lctenc.def) = %{tl_version}

%description ctib
A package using a modified version of Sirlin's Tibetan font. An
advantage of this Tibetan implementation is that all consonant
clusters are formed by TeX and Metafont. No external
preprocessor is needed.

%package ctib-doc
Summary: Documentation for ctib
Version: svn15878.0

Provides: tex-ctib-doc
AutoReqProv: No

%description ctib-doc
Documentation for ctib

%package hyphen-afrikaans
Provides: tex-hyphen-afrikaans = %{tl_version}
License: LPPL
Summary: Afrikaans hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-afrikaans
Hyphenation patterns for Afrikaans in T1/EC and UTF-8
encodings. OpenOffice includes older patterns created by a
different author, but the patterns packaged with TeX are
considered superior in quality.

%post hyphen-afrikaans
if [ $1 -gt 0 ] ; then
sed -i '/afrikaans.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "afrikaans loadhyph-af.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{afrikaans}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{afrikaans}{loadhyph-af.tex}{}{1}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-afrikaans
if [ $1 == 0 ] ; then
sed -i '/afrikaans.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{afrikaans}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-coptic
Provides: tex-hyphen-coptic = %{tl_version}
License: LPPL
Summary: Coptic hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-coptic
Hyphenation patterns for Coptic in UTF-8 encoding as well as in
ASCII-based encoding for 8-bit engines. The latter can only be
used with special Coptic fonts (like CBcoptic). The patterns
are considered experimental.

%post hyphen-coptic
if [ $1 -gt 0 ] ; then
sed -i '/coptic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "coptic loadhyph-cop.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{coptic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{coptic}{loadhyph-cop.tex}{}{1}{1}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-coptic
if [ $1 == 0 ] ; then
sed -i '/coptic.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{coptic}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-esperanto
Provides: tex-hyphen-esperanto = %{tl_version}
License: LPPL
Summary: Esperanto hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-esperanto
Hyphenation patterns for Esperanto ISO Latin 3 and UTF-8
encodings. Note that TeX distributions don't ship any suitable
fonts in Latin 3 encoding, so unless you create your own font
support or want to use MlTeX, using native Unicode engines is
highly recommended.

%post hyphen-esperanto
if [ $1 -gt 0 ] ; then
sed -i '/esperanto.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "esperanto loadhyph-eo.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{esperanto}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{esperanto}{loadhyph-eo.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-esperanto
if [ $1 == 0 ] ; then
sed -i '/esperanto.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{esperanto}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-georgian
Provides: tex-hyphen-georgian = %{tl_version}
License: LPPL
Summary: Georgian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-georgian
Hyphenation patterns for Georgian in T8M, T8K and UTF-8
encodings.

%post hyphen-georgian
if [ $1 -gt 0 ] ; then
sed -i '/georgian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "georgian loadhyph-ka.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{georgian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{georgian}{loadhyph-ka.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-georgian
if [ $1 == 0 ] ; then
sed -i '/georgian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{georgian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-indonesian
Provides: tex-hyphen-indonesian = %{tl_version}
License: LPPL
Summary: Indonesian hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-indonesian
Hyphenation patterns for Indonesian (Bahasa Indonesia) in ASCII
encoding.  They are probably also usable for Malay (Bahasa
Melayu).

%post hyphen-indonesian
if [ $1 -gt 0 ] ; then
sed -i '/indonesian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "indonesian loadhyph-id.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{indonesian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{indonesian}{loadhyph-id.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-indonesian
if [ $1 == 0 ] ; then
sed -i '/indonesian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{indonesian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-interlingua
Provides: tex-hyphen-interlingua = %{tl_version}
License: LPPL
Summary: Interlingua hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-interlingua
Hyphenation patterns for Interlingua in ASCII encoding.

%post hyphen-interlingua
if [ $1 -gt 0 ] ; then
sed -i '/interlingua.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "interlingua loadhyph-ia.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{interlingua}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{interlingua}{loadhyph-ia.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-interlingua
if [ $1 == 0 ] ; then
sed -i '/interlingua.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{interlingua}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-thai
Provides: tex-hyphen-thai = %{tl_version}
License: LPPL
Summary: Thai hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-thai
Hyphenation patterns for Thai in LTH and UTF-8 encodings.

%post hyphen-thai
if [ $1 -gt 0 ] ; then
sed -i '/thai.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "thai loadhyph-th.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{thai}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{thai}{loadhyph-th.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-thai
if [ $1 == 0 ] ; then
sed -i '/thai.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{thai}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-turkmen
Provides: tex-hyphen-turkmen = %{tl_version}
License: LPPL
Summary: Turkmen hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-turkmen
Hyphenation patterns for Turkmen in T1/EC and UTF-8 encodings.

%post hyphen-turkmen
if [ $1 -gt 0 ] ; then
sed -i '/turkmen.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "turkmen loadhyph-tk.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{turkmen}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{turkmen}{loadhyph-tk.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-turkmen
if [ $1 == 0 ] ; then
sed -i '/turkmen.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{turkmen}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package lshort-thai-doc
Summary: Documentation for lshort-thai
Version: svn15878.1.32

Provides: tex-lshort-thai-doc
AutoReqProv: No

%description lshort-thai-doc
Documentation for lshort-thai

%package lshort-vietnamese-doc
Summary: Documentation for lshort-vietnamese
Version: svn15878.4.00

Provides: tex-lshort-vietnamese-doc
AutoReqProv: No

%description lshort-vietnamese-doc
Documentation for lshort-vietnamese

%package ntheorem-vn-doc
Summary: Documentation for ntheorem-vn
Version: svn15878.1.203

Provides: tex-ntheorem-vn-doc
AutoReqProv: No

%description ntheorem-vn-doc
Documentation for ntheorem-vn

%package vntex
Provides: tex-vntex = %{tl_version}
License: Utopia
Summary: Support for Vietnamese
Version: svn30579.3.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(ifthen.sty)
Requires: tex(ucs.sty)
Requires: tex(ifpdf.sty)
Requires: tex(cmap.sty)
Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Provides: tex(t5.enc) = %{tl_version}
Provides: tex(t5d.enc) = %{tl_version}
Provides: tex(t5uni.enc) = %{tl_version}
Provides: tex(arevvn.map) = %{tl_version}
Provides: tex(chartervn.map) = %{tl_version}
Provides: tex(cmbrightvn.map) = %{tl_version}
Provides: tex(concretevn.map) = %{tl_version}
Provides: tex(grotesqvn.map) = %{tl_version}
Provides: tex(txttvn.map) = %{tl_version}
Provides: tex(urwvn.map) = %{tl_version}
Provides: tex(vnrother.map) = %{tl_version}
Provides: tex(vnrtext.map) = %{tl_version}
Provides: tex(vntopia.map) = %{tl_version}
Provides: tex(favb8v.tfm) = %{tl_version}
Provides: tex(favbi8v.tfm) = %{tl_version}
Provides: tex(favr8v.tfm) = %{tl_version}
Provides: tex(favri8v.tfm) = %{tl_version}
Provides: tex(bchb8v.tfm) = %{tl_version}
Provides: tex(bchbc8v.tfm) = %{tl_version}
Provides: tex(bchbi8v.tfm) = %{tl_version}
Provides: tex(bchbo8v.tfm) = %{tl_version}
Provides: tex(bchr8v.tfm) = %{tl_version}
Provides: tex(bchrc8v.tfm) = %{tl_version}
Provides: tex(bchri8v.tfm) = %{tl_version}
Provides: tex(bchro8v.tfm) = %{tl_version}
Provides: tex(vncmbr10.tfm) = %{tl_version}
Provides: tex(vncmbr17.tfm) = %{tl_version}
Provides: tex(vncmbr8.tfm) = %{tl_version}
Provides: tex(vncmbr9.tfm) = %{tl_version}
Provides: tex(vncmbrbx10.tfm) = %{tl_version}
Provides: tex(vncmbrsl10.tfm) = %{tl_version}
Provides: tex(vncmbrsl17.tfm) = %{tl_version}
Provides: tex(vncmbrsl8.tfm) = %{tl_version}
Provides: tex(vncmbrsl9.tfm) = %{tl_version}
Provides: tex(vncmsltl10.tfm) = %{tl_version}
Provides: tex(vncmtl10.tfm) = %{tl_version}
Provides: tex(vncccsc10.tfm) = %{tl_version}
Provides: tex(vnccr10.tfm) = %{tl_version}
Provides: tex(vnccsl10.tfm) = %{tl_version}
Provides: tex(vnccti10.tfm) = %{tl_version}
Provides: tex(ugqb8v.tfm) = %{tl_version}
Provides: tex(ugqbo8v.tfm) = %{tl_version}
Provides: tex(txbtt8v.tfm) = %{tl_version}
Provides: tex(txbttsc8v.tfm) = %{tl_version}
Provides: tex(txbttsl8v.tfm) = %{tl_version}
Provides: tex(txtt8v.tfm) = %{tl_version}
Provides: tex(txttsc8v.tfm) = %{tl_version}
Provides: tex(txttsl8v.tfm) = %{tl_version}
Provides: tex(fplrc8v.tfm) = %{tl_version}
Provides: tex(uagd8v.tfm) = %{tl_version}
Provides: tex(uagdc8v.tfm) = %{tl_version}
Provides: tex(uagdo8v.tfm) = %{tl_version}
Provides: tex(uagk8v.tfm) = %{tl_version}
Provides: tex(uagkc8v.tfm) = %{tl_version}
Provides: tex(uagko8v.tfm) = %{tl_version}
Provides: tex(ubkd8v.tfm) = %{tl_version}
Provides: tex(ubkdc8v.tfm) = %{tl_version}
Provides: tex(ubkdi8v.tfm) = %{tl_version}
Provides: tex(ubkdo8v.tfm) = %{tl_version}
Provides: tex(ubkl8v.tfm) = %{tl_version}
Provides: tex(ubklc8v.tfm) = %{tl_version}
Provides: tex(ubkli8v.tfm) = %{tl_version}
Provides: tex(ubklo8v.tfm) = %{tl_version}
Provides: tex(ucrb8v.tfm) = %{tl_version}
Provides: tex(ucrbc8v.tfm) = %{tl_version}
Provides: tex(ucrbo8v.tfm) = %{tl_version}
Provides: tex(ucrr8v.tfm) = %{tl_version}
Provides: tex(ucrrc8v.tfm) = %{tl_version}
Provides: tex(ucrro8v.tfm) = %{tl_version}
Provides: tex(uhvb8v.tfm) = %{tl_version}
Provides: tex(uhvbc8v.tfm) = %{tl_version}
Provides: tex(uhvbo8v.tfm) = %{tl_version}
Provides: tex(uhvr8v.tfm) = %{tl_version}
Provides: tex(uhvrc8v.tfm) = %{tl_version}
Provides: tex(uhvro8v.tfm) = %{tl_version}
Provides: tex(uncb8v.tfm) = %{tl_version}
Provides: tex(uncbc8v.tfm) = %{tl_version}
Provides: tex(uncbi8v.tfm) = %{tl_version}
Provides: tex(uncbo8v.tfm) = %{tl_version}
Provides: tex(uncr8v.tfm) = %{tl_version}
Provides: tex(uncrc8v.tfm) = %{tl_version}
Provides: tex(uncri8v.tfm) = %{tl_version}
Provides: tex(uncro8v.tfm) = %{tl_version}
Provides: tex(uplb8v.tfm) = %{tl_version}
Provides: tex(uplbc8v.tfm) = %{tl_version}
Provides: tex(uplbi8v.tfm) = %{tl_version}
Provides: tex(uplbo8v.tfm) = %{tl_version}
Provides: tex(uplr8v.tfm) = %{tl_version}
Provides: tex(uplrc8v.tfm) = %{tl_version}
Provides: tex(uplri8v.tfm) = %{tl_version}
Provides: tex(uplro8v.tfm) = %{tl_version}
Provides: tex(utmb8v.tfm) = %{tl_version}
Provides: tex(utmbc8v.tfm) = %{tl_version}
Provides: tex(utmbi8v.tfm) = %{tl_version}
Provides: tex(utmbo8v.tfm) = %{tl_version}
Provides: tex(utmr8v.tfm) = %{tl_version}
Provides: tex(utmrc8v.tfm) = %{tl_version}
Provides: tex(utmri8v.tfm) = %{tl_version}
Provides: tex(utmro8v.tfm) = %{tl_version}
Provides: tex(uzcmi8v.tfm) = %{tl_version}
Provides: tex(vnb10.tfm) = %{tl_version}
Provides: tex(vnbx10.tfm) = %{tl_version}
Provides: tex(vnbx12.tfm) = %{tl_version}
Provides: tex(vnbx5.tfm) = %{tl_version}
Provides: tex(vnbx6.tfm) = %{tl_version}
Provides: tex(vnbx7.tfm) = %{tl_version}
Provides: tex(vnbx8.tfm) = %{tl_version}
Provides: tex(vnbx9.tfm) = %{tl_version}
Provides: tex(vnbxsl10.tfm) = %{tl_version}
Provides: tex(vnbxti10.tfm) = %{tl_version}
Provides: tex(vncsc10.tfm) = %{tl_version}
Provides: tex(vndunh10.tfm) = %{tl_version}
Provides: tex(vnff10.tfm) = %{tl_version}
Provides: tex(vnfi10.tfm) = %{tl_version}
Provides: tex(vnfib8.tfm) = %{tl_version}
Provides: tex(vnitt10.tfm) = %{tl_version}
Provides: tex(vnr10.tfm) = %{tl_version}
Provides: tex(vnr12.tfm) = %{tl_version}
Provides: tex(vnr17.tfm) = %{tl_version}
Provides: tex(vnr5.tfm) = %{tl_version}
Provides: tex(vnr6.tfm) = %{tl_version}
Provides: tex(vnr7.tfm) = %{tl_version}
Provides: tex(vnr8.tfm) = %{tl_version}
Provides: tex(vnr9.tfm) = %{tl_version}
Provides: tex(vnsl10.tfm) = %{tl_version}
Provides: tex(vnsl12.tfm) = %{tl_version}
Provides: tex(vnsl8.tfm) = %{tl_version}
Provides: tex(vnsl9.tfm) = %{tl_version}
Provides: tex(vnsltt10.tfm) = %{tl_version}
Provides: tex(vnss10.tfm) = %{tl_version}
Provides: tex(vnss12.tfm) = %{tl_version}
Provides: tex(vnss17.tfm) = %{tl_version}
Provides: tex(vnss8.tfm) = %{tl_version}
Provides: tex(vnss9.tfm) = %{tl_version}
Provides: tex(vnssbx10.tfm) = %{tl_version}
Provides: tex(vnssdc10.tfm) = %{tl_version}
Provides: tex(vnssi10.tfm) = %{tl_version}
Provides: tex(vnssi12.tfm) = %{tl_version}
Provides: tex(vnssi17.tfm) = %{tl_version}
Provides: tex(vnssi8.tfm) = %{tl_version}
Provides: tex(vnssi9.tfm) = %{tl_version}
Provides: tex(vnssq8.tfm) = %{tl_version}
Provides: tex(vnssqi8.tfm) = %{tl_version}
Provides: tex(vntcsc10.tfm) = %{tl_version}
Provides: tex(vnti10.tfm) = %{tl_version}
Provides: tex(vnti12.tfm) = %{tl_version}
Provides: tex(vnti7.tfm) = %{tl_version}
Provides: tex(vnti8.tfm) = %{tl_version}
Provides: tex(vnti9.tfm) = %{tl_version}
Provides: tex(vntt10.tfm) = %{tl_version}
Provides: tex(vntt12.tfm) = %{tl_version}
Provides: tex(vntt8.tfm) = %{tl_version}
Provides: tex(vntt9.tfm) = %{tl_version}
Provides: tex(vnu10.tfm) = %{tl_version}
Provides: tex(vnvtt10.tfm) = %{tl_version}
Provides: tex(putb8v.tfm) = %{tl_version}
Provides: tex(putbc8v.tfm) = %{tl_version}
Provides: tex(putbi8v.tfm) = %{tl_version}
Provides: tex(putbo8v.tfm) = %{tl_version}
Provides: tex(putr8v.tfm) = %{tl_version}
Provides: tex(putrc8v.tfm) = %{tl_version}
Provides: tex(putri8v.tfm) = %{tl_version}
Provides: tex(putro8v.tfm) = %{tl_version}
Provides: tex(ArevSans-Bold-T5.pfb) = %{tl_version}
Provides: tex(ArevSans-BoldOblique-T5.pfb) = %{tl_version}
Provides: tex(ArevSans-Oblique-T5.pfb) = %{tl_version}
Provides: tex(ArevSans-Roman-T5.pfb) = %{tl_version}
Provides: tex(bchb8v.pfb) = %{tl_version}
Provides: tex(bchbi8v.pfb) = %{tl_version}
Provides: tex(bchr8v.pfb) = %{tl_version}
Provides: tex(bchri8v.pfb) = %{tl_version}
Provides: tex(vncmbr10.pfb) = %{tl_version}
Provides: tex(vncmbr17.pfb) = %{tl_version}
Provides: tex(vncmbr8.pfb) = %{tl_version}
Provides: tex(vncmbr9.pfb) = %{tl_version}
Provides: tex(vncmbrbx10.pfb) = %{tl_version}
Provides: tex(vncmbrsl10.pfb) = %{tl_version}
Provides: tex(vncmbrsl17.pfb) = %{tl_version}
Provides: tex(vncmbrsl8.pfb) = %{tl_version}
Provides: tex(vncmbrsl9.pfb) = %{tl_version}
Provides: tex(vncmsltl10.pfb) = %{tl_version}
Provides: tex(vncmtl10.pfb) = %{tl_version}
Provides: tex(CMConcrete8v.pfb) = %{tl_version}
Provides: tex(CMConcreteItalic8v.pfb) = %{tl_version}
Provides: tex(CMConcreteSlanted8v.pfb) = %{tl_version}
Provides: tex(CMConcreteSmallCaps8v.pfb) = %{tl_version}
Provides: tex(ugqb8v.pfb) = %{tl_version}
Provides: tex(txbtt8v.pfb) = %{tl_version}
Provides: tex(txbttsc8v.pfb) = %{tl_version}
Provides: tex(txtt8v.pfb) = %{tl_version}
Provides: tex(txttsc8v.pfb) = %{tl_version}
Provides: tex(fplrc8v.pfb) = %{tl_version}
Provides: tex(uagd8v.pfb) = %{tl_version}
Provides: tex(uagdo8v.pfb) = %{tl_version}
Provides: tex(uagk8v.pfb) = %{tl_version}
Provides: tex(uagko8v.pfb) = %{tl_version}
Provides: tex(ubkd8v.pfb) = %{tl_version}
Provides: tex(ubkdi8v.pfb) = %{tl_version}
Provides: tex(ubkl8v.pfb) = %{tl_version}
Provides: tex(ubkli8v.pfb) = %{tl_version}
Provides: tex(ucrb8v.pfb) = %{tl_version}
Provides: tex(ucrbo8v.pfb) = %{tl_version}
Provides: tex(ucrr8v.pfb) = %{tl_version}
Provides: tex(ucrro8v.pfb) = %{tl_version}
Provides: tex(uhvb8v.pfb) = %{tl_version}
Provides: tex(uhvbo8v.pfb) = %{tl_version}
Provides: tex(uhvr8v.pfb) = %{tl_version}
Provides: tex(uhvro8v.pfb) = %{tl_version}
Provides: tex(uncb8v.pfb) = %{tl_version}
Provides: tex(uncbi8v.pfb) = %{tl_version}
Provides: tex(uncr8v.pfb) = %{tl_version}
Provides: tex(uncri8v.pfb) = %{tl_version}
Provides: tex(uplb8v.pfb) = %{tl_version}
Provides: tex(uplbi8v.pfb) = %{tl_version}
Provides: tex(uplr8v.pfb) = %{tl_version}
Provides: tex(uplri8v.pfb) = %{tl_version}
Provides: tex(utmb8v.pfb) = %{tl_version}
Provides: tex(utmbi8v.pfb) = %{tl_version}
Provides: tex(utmr8v.pfb) = %{tl_version}
Provides: tex(utmri8v.pfb) = %{tl_version}
Provides: tex(uzcmi8v.pfb) = %{tl_version}
Provides: tex(vnb10.pfb) = %{tl_version}
Provides: tex(vnbx10.pfb) = %{tl_version}
Provides: tex(vnbx12.pfb) = %{tl_version}
Provides: tex(vnbx5.pfb) = %{tl_version}
Provides: tex(vnbx6.pfb) = %{tl_version}
Provides: tex(vnbx7.pfb) = %{tl_version}
Provides: tex(vnbx8.pfb) = %{tl_version}
Provides: tex(vnbx9.pfb) = %{tl_version}
Provides: tex(vnbxsl10.pfb) = %{tl_version}
Provides: tex(vnbxti10.pfb) = %{tl_version}
Provides: tex(vncsc10.pfb) = %{tl_version}
Provides: tex(vndunh10.pfb) = %{tl_version}
Provides: tex(vnff10.pfb) = %{tl_version}
Provides: tex(vnfi10.pfb) = %{tl_version}
Provides: tex(vnfib8.pfb) = %{tl_version}
Provides: tex(vnitt10.pfb) = %{tl_version}
Provides: tex(vnr10.pfb) = %{tl_version}
Provides: tex(vnr12.pfb) = %{tl_version}
Provides: tex(vnr17.pfb) = %{tl_version}
Provides: tex(vnr5.pfb) = %{tl_version}
Provides: tex(vnr6.pfb) = %{tl_version}
Provides: tex(vnr7.pfb) = %{tl_version}
Provides: tex(vnr8.pfb) = %{tl_version}
Provides: tex(vnr9.pfb) = %{tl_version}
Provides: tex(vnsl10.pfb) = %{tl_version}
Provides: tex(vnsl12.pfb) = %{tl_version}
Provides: tex(vnsl8.pfb) = %{tl_version}
Provides: tex(vnsl9.pfb) = %{tl_version}
Provides: tex(vnsltt10.pfb) = %{tl_version}
Provides: tex(vnss10.pfb) = %{tl_version}
Provides: tex(vnss12.pfb) = %{tl_version}
Provides: tex(vnss17.pfb) = %{tl_version}
Provides: tex(vnss8.pfb) = %{tl_version}
Provides: tex(vnss9.pfb) = %{tl_version}
Provides: tex(vnssbx10.pfb) = %{tl_version}
Provides: tex(vnssdc10.pfb) = %{tl_version}
Provides: tex(vnssi10.pfb) = %{tl_version}
Provides: tex(vnssi12.pfb) = %{tl_version}
Provides: tex(vnssi17.pfb) = %{tl_version}
Provides: tex(vnssi8.pfb) = %{tl_version}
Provides: tex(vnssi9.pfb) = %{tl_version}
Provides: tex(vnssq8.pfb) = %{tl_version}
Provides: tex(vnssqi8.pfb) = %{tl_version}
Provides: tex(vntcsc10.pfb) = %{tl_version}
Provides: tex(vnti10.pfb) = %{tl_version}
Provides: tex(vnti12.pfb) = %{tl_version}
Provides: tex(vnti7.pfb) = %{tl_version}
Provides: tex(vnti8.pfb) = %{tl_version}
Provides: tex(vnti9.pfb) = %{tl_version}
Provides: tex(vntt10.pfb) = %{tl_version}
Provides: tex(vntt12.pfb) = %{tl_version}
Provides: tex(vntt8.pfb) = %{tl_version}
Provides: tex(vntt9.pfb) = %{tl_version}
Provides: tex(vnu10.pfb) = %{tl_version}
Provides: tex(vnvtt10.pfb) = %{tl_version}
Provides: tex(putb8v.pfb) = %{tl_version}
Provides: tex(putbi8v.pfb) = %{tl_version}
Provides: tex(putr8v.pfb) = %{tl_version}
Provides: tex(putri8v.pfb) = %{tl_version}
Provides: tex(bchbc8v.vf) = %{tl_version}
Provides: tex(bchrc8v.vf) = %{tl_version}
Provides: tex(uagdc8v.vf) = %{tl_version}
Provides: tex(uagkc8v.vf) = %{tl_version}
Provides: tex(ubkdc8v.vf) = %{tl_version}
Provides: tex(ubklc8v.vf) = %{tl_version}
Provides: tex(ucrbc8v.vf) = %{tl_version}
Provides: tex(ucrrc8v.vf) = %{tl_version}
Provides: tex(uhvbc8v.vf) = %{tl_version}
Provides: tex(uhvrc8v.vf) = %{tl_version}
Provides: tex(uncbc8v.vf) = %{tl_version}
Provides: tex(uncrc8v.vf) = %{tl_version}
Provides: tex(uplbc8v.vf) = %{tl_version}
Provides: tex(uplrc8v.vf) = %{tl_version}
Provides: tex(utmbc8v.vf) = %{tl_version}
Provides: tex(utmrc8v.vf) = %{tl_version}
Provides: tex(putbc8v.vf) = %{tl_version}
Provides: tex(putrc8v.vf) = %{tl_version}
Provides: tex(dblaccnt.sty) = %{tl_version}
Provides: tex(mcviscii.def) = %{tl_version}
Provides: tex(pd1supp.def) = %{tl_version}
Provides: tex(swpvntex.sty) = %{tl_version}
Provides: tex(t5bch.fd) = %{tl_version}
Provides: tex(t5ccr.fd) = %{tl_version}
Provides: tex(t5cmbr.fd) = %{tl_version}
Provides: tex(t5cmdh.fd) = %{tl_version}
Provides: tex(t5cmfib.fd) = %{tl_version}
Provides: tex(t5cmfr.fd) = %{tl_version}
Provides: tex(t5cmr.fd) = %{tl_version}
Provides: tex(t5cmss.fd) = %{tl_version}
Provides: tex(t5cmssq.fd) = %{tl_version}
Provides: tex(t5cmtl.fd) = %{tl_version}
Provides: tex(t5cmtt.fd) = %{tl_version}
Provides: tex(t5cmvtt.fd) = %{tl_version}
Provides: tex(t5enc.def) = %{tl_version}
Provides: tex(t5fav.fd) = %{tl_version}
Provides: tex(t5fnc.fd) = %{tl_version}
Provides: tex(t5fpl.fd) = %{tl_version}
Provides: tex(t5futs.fd) = %{tl_version}
Provides: tex(t5mak.fd) = %{tl_version}
Provides: tex(t5mdbch.fd) = %{tl_version}
Provides: tex(t5mdput.fd) = %{tl_version}
Provides: tex(t5mdugm.fd) = %{tl_version}
Provides: tex(t5pag.fd) = %{tl_version}
Provides: tex(t5pbk.fd) = %{tl_version}
Provides: tex(t5pcr.fd) = %{tl_version}
Provides: tex(t5phv.fd) = %{tl_version}
Provides: tex(t5pnc.fd) = %{tl_version}
Provides: tex(t5ppl.fd) = %{tl_version}
Provides: tex(t5ptm.fd) = %{tl_version}
Provides: tex(t5ptmom.fd) = %{tl_version}
Provides: tex(t5put.fd) = %{tl_version}
Provides: tex(t5pxr.fd) = %{tl_version}
Provides: tex(t5txr.fd) = %{tl_version}
Provides: tex(t5txtt.fd) = %{tl_version}
Provides: tex(t5uag.fd) = %{tl_version}
Provides: tex(t5ubk.fd) = %{tl_version}
Provides: tex(t5ucr.fd) = %{tl_version}
Provides: tex(t5ugq.fd) = %{tl_version}
Provides: tex(t5uhv.fd) = %{tl_version}
Provides: tex(t5unc.fd) = %{tl_version}
Provides: tex(t5upl.fd) = %{tl_version}
Provides: tex(t5utm.fd) = %{tl_version}
Provides: tex(t5uzcm.fd) = %{tl_version}
Provides: tex(tcvn.def) = %{tl_version}
Provides: tex(varioref-vi.sty) = %{tl_version}
Provides: tex(vietnam.sty) = %{tl_version}
Provides: tex(viscii.def) = %{tl_version}
Provides: tex(vncaps.tex) = %{tl_version}
Provides: tex(vntex.sty) = %{tl_version}
Provides: tex(vps.def) = %{tl_version}
Provides: tex(dblaccnt.tex) = %{tl_version}
Provides: tex(t5code.tex) = %{tl_version}
Provides: tex(vntexinfo.tex) = %{tl_version}

%description vntex
The vntex bundle provides fonts, Plain TeX, texinfo and LaTeX
macros for typesetting documents in Vietnamese. Users of the
fonts (in both Metafont and Adobe Type 1 format) of this bundle
may alternatively use the lm fonts bundle, for which map files
are available to provide a Vietnamese version.

%package vntex-doc
Summary: Documentation for vntex
Version: svn30579.3.2

Provides: tex-vntex-doc
AutoReqProv: No

%description vntex-doc
Documentation for vntex

%package collection-langpolish
Summary: Polish
Version: svn44371
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-collection-basic
Requires: texlive-babel-polish
Requires: texlive-bredzenie
Requires: texlive-cc-pl
Requires: texlive-gustlib
Requires: texlive-gustprog-doc
Requires: texlive-hyphen-polish
Requires: texlive-lshort-polish-doc
Requires: texlive-mex
Requires: texlive-mwcls
Requires: texlive-pl
Requires: texlive-polski
Requires: texlive-przechlewski-book
Requires: texlive-qpxqtx
Requires: texlive-tap
Requires: texlive-tex-virtual-academy-pl-doc
Requires: texlive-texlive-pl-doc
Requires: texlive-utf8mex

%description collection-langpolish
Support for Polish.

%package gustlib
Provides: tex-gustlib = %{tl_version}
License: LPPL
Summary: gustlib package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(biblotex.tex) = %{tl_version}
Provides: tex(infr-ex.tex) = %{tl_version}
Provides: tex(infram.tex) = %{tl_version}
Provides: tex(map.tex) = %{tl_version}
Provides: tex(split.tex) = %{tl_version}
Provides: tex(tsp.tex) = %{tl_version}
Provides: tex(tun.tex) = %{tl_version}
Provides: tex(mcol-ex.tex) = %{tl_version}
Provides: tex(meashor.tex) = %{tl_version}
Provides: tex(mimulcol.tex) = %{tl_version}
Provides: tex(plidxmac.tex) = %{tl_version}
Provides: tex(przyklad.tex) = %{tl_version}
Provides: tex(rbox-ex.tex) = %{tl_version}
Provides: tex(roundbox.tex) = %{tl_version}
Provides: tex(tp-crf.tex) = %{tl_version}
Provides: tex(verbatim-dek.tex) = %{tl_version}

%description gustlib
gustlib package

%package gustlib-doc
Summary: Documentation for gustlib
Version: svn15878.0

Provides: tex-gustlib-doc
AutoReqProv: No

%description gustlib-doc
Documentation for gustlib

%package gustprog-doc
Summary: Documentation for gustprog
Version: svn15878.0

Provides: tex-gustprog-doc
AutoReqProv: No

%description gustprog-doc
Documentation for gustprog

%package hyphen-polish
Provides: tex-hyphen-polish = %{tl_version}
License: Knuth
Summary: Polish hyphenation patterns
Version: svn41113

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-polish
Hyphenation patterns for Polish in QX and UTF-8 encodings.
These patterns are also used by Polish TeX formats MeX and
LaMeX.

%post hyphen-polish
if [ $1 -gt 0 ] ; then
sed -i '/polish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "polish loadhyph-pl.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{polish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{polish}{loadhyph-pl.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-polish
if [ $1 == 0 ] ; then
sed -i '/polish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{polish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package lshort-polish-doc
Summary: Documentation for lshort-polish
Version: svn15878.0

Provides: tex-lshort-polish-doc
AutoReqProv: No

%description lshort-polish-doc
Documentation for lshort-polish

%package pl
Provides: tex-pl = %{tl_version}
License: Public Domain
Summary: Polish extension of Computer Modern fonts
Version: svn36012.1.09

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(plin.enc) = %{tl_version}
Provides: tex(plit.enc) = %{tl_version}
Provides: tex(plitt.enc) = %{tl_version}
Provides: tex(plme.enc) = %{tl_version}
Provides: tex(plmi.enc) = %{tl_version}
Provides: tex(plms.enc) = %{tl_version}
Provides: tex(plrm.enc) = %{tl_version}
Provides: tex(plsc.enc) = %{tl_version}
Provides: tex(plte.enc) = %{tl_version}
Provides: tex(pltt.enc) = %{tl_version}
Provides: tex(plother.map) = %{tl_version}
Provides: tex(pltext.map) = %{tl_version}
Provides: tex(plb10.tfm) = %{tl_version}
Provides: tex(plbsy10.tfm) = %{tl_version}
Provides: tex(plbsy5.tfm) = %{tl_version}
Provides: tex(plbsy7.tfm) = %{tl_version}
Provides: tex(plbx10.tfm) = %{tl_version}
Provides: tex(plbx12.tfm) = %{tl_version}
Provides: tex(plbx5.tfm) = %{tl_version}
Provides: tex(plbx6.tfm) = %{tl_version}
Provides: tex(plbx7.tfm) = %{tl_version}
Provides: tex(plbx8.tfm) = %{tl_version}
Provides: tex(plbx9.tfm) = %{tl_version}
Provides: tex(plbxsl10.tfm) = %{tl_version}
Provides: tex(plbxti10.tfm) = %{tl_version}
Provides: tex(plcsc10.tfm) = %{tl_version}
Provides: tex(pldunh10.tfm) = %{tl_version}
Provides: tex(plex10.tfm) = %{tl_version}
Provides: tex(plex9.tfm) = %{tl_version}
Provides: tex(plff10.tfm) = %{tl_version}
Provides: tex(plfi10.tfm) = %{tl_version}
Provides: tex(plfib8.tfm) = %{tl_version}
Provides: tex(plinch.tfm) = %{tl_version}
Provides: tex(plitt10.tfm) = %{tl_version}
Provides: tex(plmi10.tfm) = %{tl_version}
Provides: tex(plmi12.tfm) = %{tl_version}
Provides: tex(plmi5.tfm) = %{tl_version}
Provides: tex(plmi6.tfm) = %{tl_version}
Provides: tex(plmi7.tfm) = %{tl_version}
Provides: tex(plmi8.tfm) = %{tl_version}
Provides: tex(plmi9.tfm) = %{tl_version}
Provides: tex(plmib10.tfm) = %{tl_version}
Provides: tex(plmib5.tfm) = %{tl_version}
Provides: tex(plmib7.tfm) = %{tl_version}
Provides: tex(plr10.tfm) = %{tl_version}
Provides: tex(plr12.tfm) = %{tl_version}
Provides: tex(plr17.tfm) = %{tl_version}
Provides: tex(plr5.tfm) = %{tl_version}
Provides: tex(plr6.tfm) = %{tl_version}
Provides: tex(plr7.tfm) = %{tl_version}
Provides: tex(plr8.tfm) = %{tl_version}
Provides: tex(plr9.tfm) = %{tl_version}
Provides: tex(plsl10.tfm) = %{tl_version}
Provides: tex(plsl12.tfm) = %{tl_version}
Provides: tex(plsl8.tfm) = %{tl_version}
Provides: tex(plsl9.tfm) = %{tl_version}
Provides: tex(plsltt10.tfm) = %{tl_version}
Provides: tex(plss10.tfm) = %{tl_version}
Provides: tex(plss12.tfm) = %{tl_version}
Provides: tex(plss17.tfm) = %{tl_version}
Provides: tex(plss8.tfm) = %{tl_version}
Provides: tex(plss9.tfm) = %{tl_version}
Provides: tex(plssbi10.tfm) = %{tl_version}
Provides: tex(plssbx10.tfm) = %{tl_version}
Provides: tex(plssdc10.tfm) = %{tl_version}
Provides: tex(plssi10.tfm) = %{tl_version}
Provides: tex(plssi12.tfm) = %{tl_version}
Provides: tex(plssi17.tfm) = %{tl_version}
Provides: tex(plssi8.tfm) = %{tl_version}
Provides: tex(plssi9.tfm) = %{tl_version}
Provides: tex(plssq8.tfm) = %{tl_version}
Provides: tex(plssqi8.tfm) = %{tl_version}
Provides: tex(plsy10.tfm) = %{tl_version}
Provides: tex(plsy5.tfm) = %{tl_version}
Provides: tex(plsy6.tfm) = %{tl_version}
Provides: tex(plsy7.tfm) = %{tl_version}
Provides: tex(plsy8.tfm) = %{tl_version}
Provides: tex(plsy9.tfm) = %{tl_version}
Provides: tex(pltcsc10.tfm) = %{tl_version}
Provides: tex(pltex10.tfm) = %{tl_version}
Provides: tex(pltex8.tfm) = %{tl_version}
Provides: tex(pltex9.tfm) = %{tl_version}
Provides: tex(plti10.tfm) = %{tl_version}
Provides: tex(plti12.tfm) = %{tl_version}
Provides: tex(plti7.tfm) = %{tl_version}
Provides: tex(plti8.tfm) = %{tl_version}
Provides: tex(plti9.tfm) = %{tl_version}
Provides: tex(pltt10.tfm) = %{tl_version}
Provides: tex(pltt12.tfm) = %{tl_version}
Provides: tex(pltt8.tfm) = %{tl_version}
Provides: tex(pltt9.tfm) = %{tl_version}
Provides: tex(plu10.tfm) = %{tl_version}
Provides: tex(plvtt10.tfm) = %{tl_version}
Provides: tex(plb10.pfb) = %{tl_version}
Provides: tex(plbsy10.pfb) = %{tl_version}
Provides: tex(plbx10.pfb) = %{tl_version}
Provides: tex(plbx12.pfb) = %{tl_version}
Provides: tex(plbx5.pfb) = %{tl_version}
Provides: tex(plbx6.pfb) = %{tl_version}
Provides: tex(plbx7.pfb) = %{tl_version}
Provides: tex(plbx8.pfb) = %{tl_version}
Provides: tex(plbx9.pfb) = %{tl_version}
Provides: tex(plbxsl10.pfb) = %{tl_version}
Provides: tex(plbxti10.pfb) = %{tl_version}
Provides: tex(plcsc10.pfb) = %{tl_version}
Provides: tex(pldunh10.pfb) = %{tl_version}
Provides: tex(plex10.pfb) = %{tl_version}
Provides: tex(plex9.pfb) = %{tl_version}
Provides: tex(plff10.pfb) = %{tl_version}
Provides: tex(plfi10.pfb) = %{tl_version}
Provides: tex(plfib8.pfb) = %{tl_version}
Provides: tex(plinch.pfb) = %{tl_version}
Provides: tex(plitt10.pfb) = %{tl_version}
Provides: tex(plmi10.pfb) = %{tl_version}
Provides: tex(plmi12.pfb) = %{tl_version}
Provides: tex(plmi5.pfb) = %{tl_version}
Provides: tex(plmi6.pfb) = %{tl_version}
Provides: tex(plmi7.pfb) = %{tl_version}
Provides: tex(plmi8.pfb) = %{tl_version}
Provides: tex(plmi9.pfb) = %{tl_version}
Provides: tex(plmib10.pfb) = %{tl_version}
Provides: tex(plr10.pfb) = %{tl_version}
Provides: tex(plr12.pfb) = %{tl_version}
Provides: tex(plr17.pfb) = %{tl_version}
Provides: tex(plr5.pfb) = %{tl_version}
Provides: tex(plr6.pfb) = %{tl_version}
Provides: tex(plr7.pfb) = %{tl_version}
Provides: tex(plr8.pfb) = %{tl_version}
Provides: tex(plr9.pfb) = %{tl_version}
Provides: tex(plsl10.pfb) = %{tl_version}
Provides: tex(plsl12.pfb) = %{tl_version}
Provides: tex(plsl8.pfb) = %{tl_version}
Provides: tex(plsl9.pfb) = %{tl_version}
Provides: tex(plsltt10.pfb) = %{tl_version}
Provides: tex(plss10.pfb) = %{tl_version}
Provides: tex(plss12.pfb) = %{tl_version}
Provides: tex(plss17.pfb) = %{tl_version}
Provides: tex(plss8.pfb) = %{tl_version}
Provides: tex(plss9.pfb) = %{tl_version}
Provides: tex(plssbi10.pfb) = %{tl_version}
Provides: tex(plssbx10.pfb) = %{tl_version}
Provides: tex(plssdc10.pfb) = %{tl_version}
Provides: tex(plssi10.pfb) = %{tl_version}
Provides: tex(plssi12.pfb) = %{tl_version}
Provides: tex(plssi17.pfb) = %{tl_version}
Provides: tex(plssi8.pfb) = %{tl_version}
Provides: tex(plssi9.pfb) = %{tl_version}
Provides: tex(plssq8.pfb) = %{tl_version}
Provides: tex(plssqi8.pfb) = %{tl_version}
Provides: tex(plsy10.pfb) = %{tl_version}
Provides: tex(plsy5.pfb) = %{tl_version}
Provides: tex(plsy6.pfb) = %{tl_version}
Provides: tex(plsy7.pfb) = %{tl_version}
Provides: tex(plsy8.pfb) = %{tl_version}
Provides: tex(plsy9.pfb) = %{tl_version}
Provides: tex(pltcsc10.pfb) = %{tl_version}
Provides: tex(pltex10.pfb) = %{tl_version}
Provides: tex(pltex8.pfb) = %{tl_version}
Provides: tex(pltex9.pfb) = %{tl_version}
Provides: tex(plti10.pfb) = %{tl_version}
Provides: tex(plti12.pfb) = %{tl_version}
Provides: tex(plti7.pfb) = %{tl_version}
Provides: tex(plti8.pfb) = %{tl_version}
Provides: tex(plti9.pfb) = %{tl_version}
Provides: tex(pltt10.pfb) = %{tl_version}
Provides: tex(pltt12.pfb) = %{tl_version}
Provides: tex(pltt8.pfb) = %{tl_version}
Provides: tex(pltt9.pfb) = %{tl_version}
Provides: tex(plu10.pfb) = %{tl_version}
Provides: tex(plvtt10.pfb) = %{tl_version}

%description pl
The Polish extension of the Computer Modern fonts (compatible
with CM itself) for use with Polish TeX formats. The fonts were
originally a part of the MeX distribution (and they are still
available that way).

%package pl-doc
Summary: Documentation for pl
Version: svn36012.1.09

Provides: tex-pl-doc
AutoReqProv: No

%description pl-doc
Documentation for pl

%package mwcls
Provides: tex-mwcls = %{tl_version}
License: LPPL
Summary: Polish-oriented document classes
Version: svn44352
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(mw10.clo) = %{tl_version}
Provides: tex(mw11.clo) = %{tl_version}
Provides: tex(mw12.clo) = %{tl_version}
Provides: tex(mwart.cls) = %{tl_version}
Provides: tex(mwbk.cls) = %{tl_version}
Provides: tex(mwbk10.clo) = %{tl_version}
Provides: tex(mwbk11.clo) = %{tl_version}
Provides: tex(mwbk12.clo) = %{tl_version}
Provides: tex(mwrep.cls) = %{tl_version}

%description mwcls
mwcls is a set of document classes for LaTeX 2e designed with
Polish typographical tradition in mind. Classes include:
'mwart' (which is a replacement for 'article'), 'mwrep'
(replacing 'report'), and 'mwbk' (replacing 'book'). Most
features present in standard classes work with mwcls classes.
Some extensions/exceptions include: sectioning commands allow
for second optional argument (it is possible to state different
texts for running head and for TOC), new environments
'itemize*' and 'enumerate*' for lists with long items, page
styles have variants for normal, opening, closing, and blank
pages.

%package mwcls-doc
Summary: Documentation for mwcls
Version: svn44352
Provides: tex-mwcls-doc
AutoReqProv: No

%description mwcls-doc
Documentation for mwcls

%package polski
Provides: tex-polski = %{tl_version}
License: LPPL 1.2
Summary: Typeset Polish documents with LaTeX and Polish fonts
Version: svn44213
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-pl
Requires: tex-hyphen-polish
Provides: tex(amigapl.def) = %{tl_version}
Provides: tex(mazovia.def) = %{tl_version}
Provides: tex(omlplcm.fd) = %{tl_version}
Provides: tex(omlplm.fd) = %{tl_version}
Provides: tex(omsplsy.fd) = %{tl_version}
Provides: tex(omxplex.fd) = %{tl_version}
Provides: tex(ot1patch.sty) = %{tl_version}
Provides: tex(ot4ccr.fd) = %{tl_version}
Provides: tex(ot4cmdh.fd) = %{tl_version}
Provides: tex(ot4cmfib.fd) = %{tl_version}
Provides: tex(ot4cmfr.fd) = %{tl_version}
Provides: tex(ot4cmr.fd) = %{tl_version}
Provides: tex(ot4cmss.fd) = %{tl_version}
Provides: tex(ot4cmtt.fd) = %{tl_version}
Provides: tex(plprefix.sty) = %{tl_version}
Provides: tex(polski.sty) = %{tl_version}
Provides: tex(qxenc.def) = %{tl_version}

%description polski
Tools to typeset documents in Polish using LaTeX2e with Polish
fonts (the so-called PL fonts), EC fonts or CM fonts. (This
package was previously known as platex, but has been renamed to
resolve a name clash.)

%package polski-doc
Summary: Documentation for polski
Version: svn44213
Provides: tex-polski-doc
AutoReqProv: No
Requires: tex-pl-doc

%description polski-doc
Documentation for polski

%package przechlewski-book
Provides: tex-przechlewski-book = %{tl_version}
License: LPPL
Summary: Examples from Przechlewski's LaTeX book
Version: svn23552.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(caption.sty)
Requires: tex(polski.sty)
Requires: tex(prelim2e.sty)
Provides: tex(upmgr.cls) = %{tl_version}
Provides: tex(wkmgr.cls) = %{tl_version}

%description przechlewski-book
The bundle provides machine-readable copies of the examples
from the book "Praca magisterska i dyplomowa z programem
LaTeX".

%package przechlewski-book-doc
Summary: Documentation for przechlewski-book
Version: svn23552.0

Provides: tex-przechlewski-book-doc
AutoReqProv: No

%description przechlewski-book-doc
Documentation for przechlewski-book

%package qpxqtx
Provides: tex-qpxqtx = %{tl_version}
License: LPPL
Summary: qpxqtx package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(qpxbmi.tfm) = %{tl_version}
Provides: tex(qpxbmia.tfm) = %{tl_version}
Provides: tex(qpxmi.tfm) = %{tl_version}
Provides: tex(qpxmia.tfm) = %{tl_version}
Provides: tex(qtxbmi.tfm) = %{tl_version}
Provides: tex(qtxbmia.tfm) = %{tl_version}
Provides: tex(qtxmi.tfm) = %{tl_version}
Provides: tex(qtxmia.tfm) = %{tl_version}
Provides: tex(qpxbmi.vf) = %{tl_version}
Provides: tex(qpxbmia.vf) = %{tl_version}
Provides: tex(qpxmi.vf) = %{tl_version}
Provides: tex(qpxmia.vf) = %{tl_version}
Provides: tex(qtxbmi.vf) = %{tl_version}
Provides: tex(qtxbmia.vf) = %{tl_version}
Provides: tex(qtxmi.vf) = %{tl_version}
Provides: tex(qtxmia.vf) = %{tl_version}
Provides: tex(amspbold.tex) = %{tl_version}
Provides: tex(amsqpx.def) = %{tl_version}
Provides: tex(amsqpx.tex) = %{tl_version}
Provides: tex(amsqtx.def) = %{tl_version}
Provides: tex(amsqtx.tex) = %{tl_version}
Provides: tex(amstbold.tex) = %{tl_version}
Provides: tex(qpxmath.sty) = %{tl_version}
Provides: tex(qpxmath.tex) = %{tl_version}
Provides: tex(qtxmath.sty) = %{tl_version}
Provides: tex(qtxmath.tex) = %{tl_version}

%description qpxqtx
qpxqtx package

%package qpxqtx-doc
Summary: Documentation for qpxqtx
Version: svn15878.0

Provides: tex-qpxqtx-doc
AutoReqProv: No

%description qpxqtx-doc
Documentation for qpxqtx

%package tap
Provides: tex-tap = %{tl_version}
License: Public Domain
Summary: TeX macros for typesetting complex tables
Version: svn31731.0.77

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tap.tex) = %{tl_version}

%description tap
The package offers a simple notation for pretty complex tables
(to Michael J. Ferguson's credit). With PostScript, the package
allows shaded/coloured tables, diagonal rules, etc. The package
is supposed to work with both Plain and LaTeX. An AWK converter
from ASCII semigraphic tables to TAP notation is included.

%package tap-doc
Summary: Documentation for tap
Version: svn31731.0.77

Provides: tex-tap-doc
AutoReqProv: No

%description tap-doc
Documentation for tap

%package tex-virtual-academy-pl-doc
Summary: Documentation for tex-virtual-academy-pl
Version: svn34177.0

Provides: tex-tex-virtual-academy-pl-doc
AutoReqProv: No

%description tex-virtual-academy-pl-doc
Documentation for tex-virtual-academy-pl

%package texlive-pl-doc
Summary: Documentation for texlive-pl
Version: svn44343
Provides: tex-texlive-pl-doc
AutoReqProv: No

%description texlive-pl-doc
Documentation for texlive-pl

%package utf8mex
Provides: tex-utf8mex = %{tl_version}
License: Public Domain
Summary: Tools to produce formats that read Polish language input
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(utf8-pl.tex) = %{tl_version}
Provides: tex(utf8plsq.tex) = %{tl_version}

%description utf8mex
The bundle provides files for building formats to read input in
Polish encodings.

%package utf8mex-doc
Summary: Documentation for utf8mex
Version: svn15878.0

Provides: tex-utf8mex-doc
AutoReqProv: No

%description utf8mex-doc
Documentation for utf8mex

%package collection-langportuguese
Summary: Portuguese
Version: svn30962.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: tex-babel-portuges
Requires: texlive-beamer-tut-pt-doc
Requires: texlive-cursolatex-doc
Requires: tex-feupphdteses
Requires: tex-hyphen-portuguese
Requires: texlive-latexcheat-ptbr-doc
Requires: texlive-lshort-portuguese-doc
Requires: tex-ordinalpt
Requires: texlive-xypic-tut-pt-doc

%description collection-langportuguese
Support for Portuguese.

%package cursolatex-doc
Summary: Documentation for cursolatex
Version: svn24139.0

Provides: tex-cursolatex-doc
AutoReqProv: No

%description cursolatex-doc
Documentation for cursolatex

%package feupphdteses
Provides: tex-feupphdteses = %{tl_version}
License: LPPL
Summary: Typeset Engineering PhD theses at the University of Porto
Version: svn30962.4.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Requires: tex(geometry.sty)
Requires: tex(xcolor.sty)
Requires: tex(mathptmx.sty)
Requires: tex(couriers.sty)
Requires: tex(helvet.sty)
Requires: tex(graphicx.sty)
Requires: tex(grffile.sty)
Requires: tex(amsmath.sty)
Requires: tex(tikz.sty)
Requires: tex(pgfplots.sty)
Requires: tex(url.sty)
Requires: tex(setspace.sty)
Requires: tex(makeidx.sty)
Requires: tex(caption.sty)
Requires: tex(multirow.sty)
Requires: tex(eurosym.sty)
Requires: tex(array.sty)
Requires: tex(tabularx.sty)
Requires: tex(tabulary.sty)
Requires: tex(longtable.sty)
Requires: tex(lineno.sty)
Requires: tex(siunitx.sty)
Requires: tex(float.sty)
Requires: tex(subcaption.sty)
Requires: tex(adjustbox.sty)
Requires: tex(enumitem.sty)
Requires: tex(placeins.sty)
Requires: tex(booktabs.sty)
Requires: tex(pgfgantt.sty)
Requires: tex(pdflscape.sty)
Requires: tex(pdfpages.sty)
Requires: tex(listings.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(backref.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(natbib.sty)
Provides: tex(feupphdteses.sty) = %{tl_version}

%description feupphdteses
A complete template for thesis/works of Faculdade de Engenharia
da Universidade do Porto (FEUP) Faculty of Engineering
University of Porto.

%package feupphdteses-doc
Summary: Documentation for feupphdteses
Version: svn30962.4.0

Provides: tex-feupphdteses-doc
AutoReqProv: No

%description feupphdteses-doc
Documentation for feupphdteses

%package hyphen-portuguese
Provides: tex-hyphen-portuguese = %{tl_version}
License: LPPL
Summary: Portuguese hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-portuguese
Hyphenation patterns for Portuguese in T1/EC and UTF-8
encodings.

%post hyphen-portuguese
if [ $1 -gt 0 ] ; then
sed -i '/portuguese.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "portuguese loadhyph-pt.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=portuges/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=portuges" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=brazil/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=brazil" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=brazilian/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=brazilian" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{portuguese}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{portuguese}{loadhyph-pt.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{portuges}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{portuges}{loadhyph-pt.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{brazil}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{brazil}{loadhyph-pt.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{brazilian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{brazilian}{loadhyph-pt.tex}{}{2}{3}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-portuguese
if [ $1 == 0 ] ; then
sed -i '/portuguese.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=portuges/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=brazil/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=brazilian/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{portuguese}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{portuges}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{brazil}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{brazilian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package latexcheat-ptbr-doc
Summary: Documentation for latexcheat-ptbr
Version: svn15878.1.13

Provides: tex-latexcheat-ptbr-doc
AutoReqProv: No

%description latexcheat-ptbr-doc
Documentation for latexcheat-ptbr

%package lshort-portuguese-doc
Summary: Documentation for lshort-portuguese
Version: svn22569.5.01.0

Provides: tex-lshort-portuguese-doc
AutoReqProv: No

%description lshort-portuguese-doc
Documentation for lshort-portuguese

%package ordinalpt
Provides: tex-ordinalpt = %{tl_version}
License: LPPL
Summary: Counters as ordinal numbers in Portuguese
Version: svn15878.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ordinalpt.sty) = %{tl_version}

%description ordinalpt
The package provides a counter style (like \arabic, \alph and
others) which produces as output strings like "primeiro"
("first" in Portuguese), "segundo" (second), and so on up to
1999th. Separate counter commands are provided for different
letter case variants, and for masculine and feminine gender
inflections.

%package ordinalpt-doc
Summary: Documentation for ordinalpt
Version: svn15878.2.1

Provides: tex-ordinalpt-doc
AutoReqProv: No

%description ordinalpt-doc
Documentation for ordinalpt

%package xypic-tut-pt-doc
Summary: Documentation for xypic-tut-pt
Version: svn15878.0

Provides: tex-xypic-tut-pt-doc
AutoReqProv: No

%description xypic-tut-pt-doc
Documentation for xypic-tut-pt

%package collection-langspanish
Summary: Spanish
Version: svn40587
Requires: texlive-base
Requires: texlive-collection-basic
Requires: tex-babel-catalan
Requires: tex-babel-galician
Requires: tex-babel-spanglish
Requires: tex-babel-spanish
Requires: texlive-es-tex-faq-doc
Requires: tex-hyphen-catalan
Requires: tex-hyphen-galician
Requires: tex-hyphen-spanish
Requires: texlive-l2tabu-spanish-doc
Requires: tex-latex2e-help-texinfo-spanish
Requires: texlive-latexcheat-esmx-doc
Requires: texlive-lshort-spanish-doc
Requires: tex-spanish-mx
Requires: tex-texlive-es-doc

%description collection-langspanish
Support for Spanish.

%package es-tex-faq-doc
Summary: Documentation for es-tex-faq
Version: svn15878.1.97

Provides: tex-es-tex-faq-doc
AutoReqProv: No

%description es-tex-faq-doc
Documentation for es-tex-faq

%package hyphen-catalan
Provides: tex-hyphen-catalan = %{tl_version}
License: LPPL
Summary: Catalan hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-catalan
Hyphenation patterns for Catalan in T1/EC and UTF-8 encodings.

%post hyphen-catalan
if [ $1 -gt 0 ] ; then
sed -i '/catalan.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "catalan loadhyph-ca.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{catalan}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{catalan}{loadhyph-ca.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-catalan
if [ $1 == 0 ] ; then
sed -i '/catalan.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{catalan}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-galician
Provides: tex-hyphen-galician = %{tl_version}
License: LPPL
Summary: Galician hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-galician
Hyphenation patterns for Galician in T1/EC and UTF-8 encodings.

%post hyphen-galician
if [ $1 -gt 0 ] ; then
sed -i '/galician.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "galician loadhyph-gl.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{galician}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{galician}{loadhyph-gl.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-galician
if [ $1 == 0 ] ; then
sed -i '/galician.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{galician}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package hyphen-spanish
Provides: tex-hyphen-spanish = %{tl_version}
License: LPPL
Summary: Spanish hyphenation patterns
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex
Requires(post,postun): coreutils

Requires: tex-hyphen-base
Requires: tex-hyph-utf8

%description hyphen-spanish
Hyphenation patterns for Spanish in T1/EC and UTF-8 encodings.

%post hyphen-spanish
if [ $1 -gt 0 ] ; then
sed -i '/spanish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "spanish loadhyph-es.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/=espanol/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "=espanol" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{spanish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{spanish}{loadhyph-es.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
sed -i '/\\addlanguage{espanol}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{espanol}{loadhyph-es.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-spanish
if [ $1 == 0 ] ; then
sed -i '/spanish.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
  sed -i '/=espanol/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{spanish}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
sed -i '/\\addlanguage{espanol}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package l2tabu-spanish-doc
Summary: Documentation for l2tabu-spanish
Version: svn15878.1.1

Provides: tex-l2tabu-spanish-doc
AutoReqProv: No

%description l2tabu-spanish-doc
Documentation for l2tabu-spanish

%package latex2e-help-texinfo-spanish
Provides: tex-latex2e-help-texinfo-spanish = %{tl_version}
License: LPPL
Summary: latex2e-help-texinfo-spanish package
Version: svn45037
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description latex2e-help-texinfo-spanish
latex2e-help-texinfo-spanish package

%package latex2e-help-texinfo-spanish-doc
Summary: Documentation for latex2e-help-texinfo-spanish
Version: svn45037
Provides: tex-latex2e-help-texinfo-spanish-doc
AutoReqProv: No

%description latex2e-help-texinfo-spanish-doc
Documentation for latex2e-help-texinfo-spanish

%package latexcheat-esmx-doc
Summary: Documentation for latexcheat-esmx
Version: svn36866.2.00

Provides: tex-latexcheat-esmx-doc
AutoReqProv: No

%description latexcheat-esmx-doc
Documentation for latexcheat-esmx

%package lshort-spanish-doc
Summary: Documentation for lshort-spanish
Version: svn35050.0.5

Provides: tex-lshort-spanish-doc
AutoReqProv: No

%description lshort-spanish-doc
Documentation for lshort-spanish

%package spanish-mx
Provides: tex-spanish-mx = %{tl_version}
License: LPPL
Summary: Typeset Spanish as in Mexico
Version: svn15878.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(esmx.cfg) = %{tl_version}
Provides: tex(spanishmx.ldf) = %{tl_version}
Provides: tex(spanishmx.sty) = %{tl_version}

%description spanish-mx
The bundle provides files to support typesetting of texts in
Spanish according to Mexican current practices, using babel.
The files merge earlier work on a mexican.ldf, or may be used
to define a configuration that will typeset all documents (that
request babel's spanish option) to use the Mexican language
facilities. (Note that this facility is only available with the
recent (version >=4.2b) releases of the Spanish option.)

%package spanish-mx-doc
Summary: Documentation for spanish-mx
Version: svn15878.1.1a

Provides: tex-spanish-mx-doc
AutoReqProv: No

%description spanish-mx-doc
Documentation for spanish-mx

%package collection-latexextra
Summary: LaTeX additional packages
Version: svn45569
Requires: texlive-base
Requires: texlive-collection-latexrecommended
Requires: texlive-collection-pictures
Requires: texlive-2up
Requires: texlive-ESIEEcv
Requires: texlive-GS1
Requires: texlive-HA-prosper
Requires: texlive-Tabbing
Requires: texlive-a0poster
Requires: texlive-a4wide
Requires: texlive-a5comb
Requires: texlive-abraces
Requires: texlive-abstract
Requires: texlive-achemso
Requires: texlive-acro
Requires: texlive-acronym
Requires: texlive-acroterm
Requires: texlive-actuarialangle
Requires: texlive-actuarialsymbol
Requires: texlive-addfont
Requires: texlive-addlines
Requires: texlive-adjmulticol
Requires: texlive-adjustbox
Requires: texlive-adrconv
Requires: texlive-advdate
Requires: texlive-akktex
Requires: texlive-akletter
Requires: texlive-alertmessage
Requires: texlive-alnumsec
Requires: texlive-alterqcm
Requires: texlive-altfont
Requires: texlive-amsaddr
Requires: texlive-animate
Requires: texlive-anonchap
Requires: texlive-answers
Requires: texlive-anyfontsize
Requires: texlive-appendix
Requires: texlive-appendixnumberbeamer
Requires: texlive-apptools
Requires: texlive-arcs
Requires: texlive-arrayjobx
Requires: texlive-arraysort
Requires: texlive-arydshln
Requires: texlive-assignment
Requires: texlive-assoccnt
Requires: texlive-attachfile
Requires: texlive-aurl
Requires: texlive-authoraftertitle
Requires: texlive-authorindex
Requires: texlive-autonum
Requires: texlive-autopdf
Requires: texlive-avremu
Requires: texlive-background
Requires: texlive-bankstatement
Requires: texlive-bashful
Requires: texlive-basicarith
Requires: texlive-bchart
Requires: texlive-beamer2thesis
Requires: texlive-beameraudience
Requires: texlive-beamercolorthemeowl
Requires: texlive-beamerdarkthemes
Requires: texlive-beamerposter
Requires: texlive-beamersubframe
Requires: texlive-beamertheme-detlevcm
Requires: texlive-beamertheme-epyt
Requires: texlive-beamertheme-metropolis
Requires: texlive-beamertheme-phnompenh
Requires: texlive-beamertheme-upenn-bc
Requires: texlive-beamerthemejltree
Requires: texlive-beamerthemenirma
Requires: texlive-beton
Requires: texlive-bewerbung
Requires: texlive-bez123
Requires: texlive-bezos
Requires: texlive-bhcexam
Requires: texlive-bibletext
Requires: texlive-bigfoot
Requires: texlive-bigints
Requires: texlive-biochemistry-colors
Requires: texlive-bizcard
Requires: texlive-blindtext
Requires: texlive-blkarray
Requires: texlive-block
Requires: texlive-bnumexpr
Requires: texlive-boites
Requires: texlive-bold-extra
Requires: texlive-bookcover
Requires: texlive-bookest
Requires: texlive-booklet
Requires: texlive-boolexpr
Requires: texlive-bophook
Requires: texlive-boxedminipage
Requires: texlive-boxedminipage2e
Requires: texlive-boxhandler
Requires: texlive-bracketkey
Requires: texlive-braket
Requires: texlive-breakurl
Requires: texlive-bullcntr
Requires: texlive-bussproofs
Requires: texlive-bxcalc
Requires: texlive-bxdpx-beamer
Requires: texlive-bxdvidriver
Requires: texlive-bxenclose
Requires: texlive-bxnewfont
Requires: texlive-bxpapersize
Requires: texlive-bxpdfver
Requires: texlive-calcage
Requires: texlive-calctab
Requires: texlive-calculator
Requires: texlive-calrsfs
Requires: texlive-cals
Requires: texlive-calxxxx-yyyy
Requires: texlive-cancel
Requires: texlive-canoniclayout
Requires: texlive-capt-of
Requires: texlive-captcont
Requires: texlive-captdef
Requires: texlive-carbohydrates
Requires: texlive-cases
Requires: texlive-casyl
Requires: texlive-catchfilebetweentags
Requires: texlive-catechis
Requires: texlive-catoptions
Requires: texlive-cbcoptic
Requires: texlive-ccaption
Requires: texlive-cclicenses
Requires: texlive-cd
Requires: texlive-cd-cover
Requires: texlive-cdpbundl
Requires: texlive-cellspace
Requires: texlive-censor
Requires: texlive-changebar
Requires: texlive-changelayout
Requires: texlive-changepage
Requires: texlive-changes
Requires: texlive-chappg
Requires: texlive-chapterfolder
Requires: texlive-cheatsheet
Requires: texlive-chet
Requires: texlive-chextras
Requires: texlive-childdoc
Requires: texlive-chkfloat
Requires: texlive-chletter
Requires: texlive-chngcntr
Requires: texlive-chronology
Requires: texlive-circ
Requires: texlive-classics
Requires: texlive-classpack
Requires: texlive-clefval
Requires: texlive-cleveref
Requires: texlive-clipboard
Requires: texlive-clock
Requires: texlive-cloze
Requires: texlive-cmdstring
Requires: texlive-cmdtrack
Requires: texlive-cmsd
Requires: texlive-cnltx
Requires: texlive-cntformats
Requires: texlive-cntperchap
Requires: texlive-codedoc
Requires: texlive-codepage
Requires: texlive-codesection
Requires: texlive-collcell
Requires: texlive-collectbox
Requires: texlive-colordoc
Requires: texlive-colorinfo
Requires: texlive-coloring
Requires: texlive-colorspace
Requires: texlive-colortab
Requires: texlive-colorwav
Requires: texlive-colorweb
Requires: texlive-colourchange
Requires: texlive-combelow
Requires: texlive-combine
Requires: texlive-comma
Requires: texlive-commado
Requires: texlive-comment
Requires: texlive-concepts
Requires: texlive-concprog
Requires: texlive-constants
Requires: texlive-continue
Requires: texlive-contour
Requires: texlive-contracard
Requires: texlive-conv-xkv
Requires: texlive-cooking
Requires: texlive-cooking-units
Requires: texlive-cool
Requires: texlive-coollist
Requires: texlive-coolstr
Requires: texlive-coolthms
Requires: texlive-cooltooltips
Requires: texlive-coordsys
Requires: texlive-copyedit
Requires: texlive-copyrightbox
Requires: texlive-coseoul
Requires: texlive-counttexruns
Requires: texlive-courseoutline
Requires: texlive-coursepaper
Requires: texlive-coverpage
Requires: texlive-cprotect
Requires: texlive-crbox
Requires: texlive-crossreference
Requires: texlive-crossreftools
Requires: texlive-csquotes
Requires: texlive-css-colors
Requires: texlive-csvsimple
Requires: texlive-cuisine
Requires: texlive-currency
Requires: texlive-currfile
Requires: texlive-currvita
Requires: texlive-cutwin
Requires: texlive-cv
Requires: texlive-cv4tw
Requires: texlive-cweb-latex
Requires: texlive-cyber
Requires: texlive-cybercic
Requires: texlive-dashbox
Requires: texlive-dashrule
Requires: texlive-dashundergaps
Requires: texlive-dataref
Requires: texlive-datatool
Requires: texlive-dateiliste
Requires: texlive-datenumber
Requires: texlive-datetime
Requires: texlive-datetime2
Requires: texlive-datetime2-bahasai
Requires: texlive-datetime2-basque
Requires: texlive-datetime2-breton
Requires: texlive-datetime2-bulgarian
Requires: texlive-datetime2-catalan
Requires: texlive-datetime2-croatian
Requires: texlive-datetime2-czech
Requires: texlive-datetime2-danish
Requires: texlive-datetime2-dutch
Requires: texlive-datetime2-en-fulltext
Requires: texlive-datetime2-english
Requires: texlive-datetime2-esperanto
Requires: texlive-datetime2-estonian
Requires: texlive-datetime2-finnish
Requires: texlive-datetime2-french
Requires: texlive-datetime2-galician
Requires: texlive-datetime2-german
Requires: texlive-datetime2-greek
Requires: texlive-datetime2-hebrew
Requires: texlive-datetime2-icelandic
Requires: texlive-datetime2-irish
Requires: texlive-datetime2-italian
Requires: texlive-datetime2-it-fulltext
Requires: texlive-datetime2-latin
Requires: texlive-datetime2-lsorbian
Requires: texlive-datetime2-magyar
Requires: texlive-datetime2-norsk
Requires: texlive-datetime2-polish
Requires: texlive-datetime2-portuges
Requires: texlive-datetime2-romanian
Requires: texlive-datetime2-russian
Requires: texlive-datetime2-samin
Requires: texlive-datetime2-scottish
Requires: texlive-datetime2-serbian
Requires: texlive-datetime2-slovak
Requires: texlive-datetime2-slovene
Requires: texlive-datetime2-spanish
Requires: texlive-datetime2-swedish
Requires: texlive-datetime2-turkish
Requires: texlive-datetime2-ukrainian
Requires: texlive-datetime2-usorbian
Requires: texlive-datetime2-welsh
Requires: texlive-dblfloatfix
Requires: texlive-decimal
Requires: texlive-decorule
Requires: texlive-delimtxt
Requires: texlive-denisbdoc
Requires: texlive-diagbox
Requires: texlive-diagnose
Requires: texlive-dialogl
Requires: texlive-dichokey
Requires: texlive-dinbrief
Requires: texlive-directory
Requires: texlive-dirtytalk
Requires: texlive-dlfltxb
Requires: texlive-dnaseq
Requires: texlive-doclicense
Requires: texlive-docmfp
Requires: texlive-docmute
Requires: texlive-doctools
Requires: texlive-documentation
Requires: texlive-doi
Requires: texlive-dotarrow
Requires: texlive-dotseqn
Requires: texlive-download
Requires: texlive-dox
Requires: texlive-dpfloat
Requires: texlive-dprogress
Requires: texlive-drac
Requires: texlive-draftcopy
Requires: texlive-draftfigure
Requires: texlive-draftwatermark
Requires: texlive-dtk
Requires: texlive-dtxdescribe
Requires: texlive-dtxgallery-doc
Requires: texlive-ducksay
Requires: texlive-dvdcoll
Requires: texlive-dynamicnumber
Requires: texlive-dynblocks
Requires: texlive-ean13isbn
Requires: texlive-easy
Requires: texlive-easy-todo
Requires: texlive-easyfig
Requires: texlive-easyformat
Requires: texlive-easylist
Requires: texlive-easyreview
Requires: texlive-ebezier
Requires: texlive-ecclesiastic
Requires: texlive-ecv
Requires: texlive-ed
Requires: texlive-edmargin
Requires: texlive-eemeir
Requires: texlive-efbox
Requires: texlive-egplot
Requires: texlive-elements
Requires: texlive-ellipsis
Requires: texlive-elmath
Requires: texlive-elocalloc
Requires: texlive-elpres
Requires: texlive-elzcards
Requires: texlive-emarks
Requires: texlive-embedall
Requires: texlive-embrac
Requires: texlive-emptypage
Requires: texlive-emulateapj
Requires: texlive-endfloat
Requires: texlive-endheads
Requires: texlive-endnotes
Requires: texlive-engpron
Requires: texlive-engrec
Requires: texlive-enotez
Requires: texlive-enumitem
Requires: texlive-enumitem-zref
Requires: texlive-envbig
Requires: texlive-environ
Requires: texlive-envlab
Requires: texlive-epigraph
Requires: texlive-epiolmec
Requires: texlive-eqell
Requires: texlive-eqlist
Requires: texlive-eqnalign
Requires: texlive-eqname
Requires: texlive-eqparbox
Requires: texlive-errata
Requires: texlive-esami
Requires: texlive-esdiff
Requires: texlive-esint
Requires: texlive-esint-type1
Requires: texlive-etaremune
Requires: texlive-etextools
Requires: texlive-etoc
Requires: texlive-eukdate
Requires: texlive-eulerpx
Requires: texlive-europasscv
Requires: texlive-europecv
Requires: texlive-everyhook
Requires: texlive-everypage
Requires: texlive-exam
Requires: texlive-exam-n
Requires: texlive-examdesign
Requires: texlive-example
Requires: texlive-examplep
Requires: texlive-exceltex
Requires: texlive-excludeonly
Requires: texlive-exercise
Requires: texlive-exercises
Requires: texlive-exp-testopt
Requires: texlive-expdlist
Requires: texlive-export
Requires: texlive-exsheets
Requires: texlive-exsol
Requires: texlive-extract
Requires: texlive-facsimile
Requires: texlive-factura
Requires: texlive-fancylabel
Requires: texlive-fancynum
Requires: texlive-fancypar
Requires: texlive-fancyslides
Requires: texlive-fancytabs
Requires: texlive-fancytooltips
Requires: texlive-fcolumn
Requires: texlive-fetchcls
Requires: texlive-ffslides
Requires: texlive-fgruler
Requires: texlive-fibeamer
Requires: texlive-fifo-stack
Requires: texlive-figsize
Requires: texlive-filecontents
Requires: texlive-filecontentsdef
Requires: texlive-filedate
Requires: texlive-fileinfo
Requires: texlive-filemod
Requires: texlive-fink
Requires: texlive-finstrut
Requires: texlive-fithesis
Requires: texlive-fixcmex
Requires: texlive-fixfoot
Requires: texlive-fixme
Requires: texlive-fixmetodonotes
Requires: texlive-fjodor
Requires: texlive-flabels
Requires: texlive-flacards
Requires: texlive-flagderiv
Requires: texlive-flashcards
Requires: texlive-flashmovie
Requires: texlive-flipbook
Requires: texlive-flippdf
Requires: texlive-floatflt
Requires: texlive-floatrow
Requires: texlive-flowfram
Requires: texlive-fmp
Requires: texlive-fmtcount
Requires: texlive-fn2end
Requires: texlive-fnbreak
Requires: texlive-fncychap
Requires: texlive-fncylab
Requires: texlive-fnpara
Requires: texlive-fnpct
Requires: texlive-fnumprint
Requires: texlive-foilhtml
Requires: texlive-fontaxes
Requires: texlive-fonttable
Requires: texlive-footmisc
Requires: texlive-footmisx
Requires: texlive-footnotebackref
Requires: texlive-footnotehyper
Requires: texlive-footnoterange
Requires: texlive-footnpag
Requires: texlive-forarray
Requires: texlive-foreign
Requires: texlive-forloop
Requires: texlive-formlett
Requires: texlive-forms16be
Requires: texlive-formular
Requires: texlive-fragments
Requires: texlive-frame
Requires: texlive-framed
Requires: texlive-frankenstein
Requires: texlive-frege
Requires: texlive-ftcap
Requires: texlive-ftnxtra
Requires: texlive-fullblck
Requires: texlive-fullminipage
Requires: texlive-fullwidth
Requires: texlive-fundus-calligra
Requires: texlive-fundus-cyr
Requires: texlive-fundus-sueterlin
Requires: texlive-fvextra
Requires: texlive-fwlw
Requires: texlive-g-brief
Requires: texlive-gauss
Requires: texlive-gcard
Requires: texlive-gcite
Requires: texlive-gender
Requires: texlive-genmpage
Requires: texlive-getfiledate
Requires: texlive-getitems
Requires: texlive-ginpenc
Requires: texlive-gitfile-info
Requires: texlive-gitinfo
Requires: texlive-gitinfo2
Requires: texlive-gitlog
Requires: texlive-gloss
Requires: texlive-glossaries
Requires: texlive-glossaries-danish
Requires: texlive-glossaries-dutch
Requires: texlive-glossaries-english
Requires: texlive-glossaries-extra
Requires: texlive-glossaries-french
Requires: texlive-glossaries-german
Requires: texlive-glossaries-irish
Requires: texlive-glossaries-italian
Requires: texlive-glossaries-magyar
Requires: texlive-glossaries-polish
Requires: texlive-glossaries-portuges
Requires: texlive-glossaries-serbian
Requires: texlive-glossaries-spanish
Requires: texlive-gmdoc
Requires: texlive-gmdoc-enhance
Requires: texlive-gmiflink
Requires: texlive-gmutils
Requires: texlive-gmverb
Requires: texlive-graphbox
Requires: texlive-graphicx-psmin
Requires: texlive-graphicxbox
Requires: texlive-grayhints
Requires: texlive-grfpaste
Requires: texlive-grid
Requires: texlive-grid-system
Requires: texlive-gridset
Requires: texlive-guitlogo
Requires: texlive-halloweenmath
Requires: texlive-hackthefootline
Requires: texlive-handout
Requires: texlive-hang
Requires: texlive-hanging
Requires: texlive-hardwrap
Requires: texlive-harnon-cv
Requires: texlive-harpoon
Requires: texlive-hc
Requires: texlive-he-she
Requires: texlive-hhtensor
Requires: texlive-histogr
Requires: texlive-hitec
Requires: texlive-hletter
Requires: texlive-hpsdiss
Requires: texlive-hrefhide
Requires: texlive-hvindex
Requires: texlive-hypdvips
Requires: texlive-hyper
Requires: texlive-hypernat
Requires: texlive-hyperref-docsrc-doc
Requires: texlive-hyperxmp
Requires: texlive-hyphenat
Requires: texlive-idxcmds
Requires: texlive-idxlayout
Requires: texlive-iffont
Requires: texlive-ifmslide
Requires: texlive-ifmtarg
Requires: texlive-ifnextok
Requires: texlive-ifoddpage
Requires: texlive-ifplatform
Requires: texlive-ifthenx
Requires: texlive-iitem
Requires: texlive-image-gallery
Requires: texlive-imakeidx
Requires: texlive-import
Requires: texlive-incgraph
Requires: texlive-indextools
Requires: texlive-inlinedef
Requires: texlive-inputtrc
Requires: texlive-interactiveworkbook
Requires: texlive-interfaces
Requires: texlive-inversepath
Requires: texlive-invoice
Requires: texlive-invoice2
Requires: texlive-iso
Requires: texlive-iso10303
Requires: texlive-isodate
Requires: texlive-isodoc
Requires: texlive-isonums
Requires: texlive-isopt
Requires: texlive-isorot
Requires: texlive-isotope
Requires: texlive-issuulinks
Requires: texlive-iwhdp
Requires: texlive-jlabels
Requires: texlive-jslectureplanner
Requires: texlive-jumplines
Requires: texlive-jvlisting
Requires: texlive-kantlipsum
Requires: texlive-kerntest
Requires: texlive-keycommand
Requires: texlive-keyfloat
Requires: texlive-keyreader
Requires: texlive-keystroke
Requires: texlive-keyval2e
Requires: texlive-keyvaltable
Requires: texlive-kix
Requires: texlive-knowledge
Requires: texlive-koma-moderncvclassic
Requires: texlive-koma-script-sfs
Requires: texlive-komacv
Requires: texlive-komacv-rg
Requires: texlive-ktv-texdata
Requires: texlive-l3build
Requires: texlive-labbook
Requires: texlive-labels
Requires: texlive-lastpackage
Requires: texlive-lastpage
Requires: texlive-latex-tds-doc
Requires: texlive-latexdemo
Requires: texlive-latexgit
Requires: texlive-layouts
Requires: texlive-lazylist
Requires: texlive-lcd
Requires: texlive-lcg
Requires: texlive-leading
Requires: texlive-leaflet
Requires: texlive-leftidx
Requires: texlive-leipzig
Requires: texlive-lengthconvert
Requires: texlive-lettre
Requires: texlive-lettrine
Requires: texlive-lewis
Requires: texlive-lhelp
Requires: texlive-libgreek
Requires: texlive-limap
Requires: texlive-linegoal
Requires: texlive-linop
Requires: texlive-lipsum
Requires: texlive-lisp-on-tex
Requires: texlive-listing
Requires: texlive-listlbls
Requires: texlive-listliketab
Requires: texlive-listofsymbols
Requires: texlive-lkproof
Requires: texlive-lmake
Requires: texlive-locality
Requires: texlive-localloc
Requires: texlive-logbox
Requires: texlive-logical-markup-utils
Requires: texlive-logpap
Requires: texlive-longfbox
Requires: texlive-longfigure
Requires: texlive-longnamefilelist
Requires: texlive-loops
Requires: texlive-lsc
Requires: texlive-lstaddons
Requires: texlive-lt3graph
Requires: texlive-ltablex
Requires: texlive-ltabptch
Requires: texlive-ltxdockit
Requires: texlive-ltxindex
Requires: texlive-ltxkeys
Requires: texlive-ltxnew
Requires: texlive-ltxtools
Requires: texlive-macroswap
Requires: texlive-magaz
Requires: texlive-mailing
Requires: texlive-mailmerge
Requires: texlive-makebarcode
Requires: texlive-makebase
Requires: texlive-makebox
Requires: texlive-makecell
Requires: texlive-makecirc
Requires: texlive-makecmds
Requires: texlive-makedtx
Requires: texlive-makeglos
Requires: texlive-mandi
Requires: texlive-manfnt
Requires: texlive-manuscript
Requires: texlive-marginfit
Requires: texlive-marginfix
Requires: texlive-marginnote
Requires: texlive-markdown
Requires: texlive-mathalfa
Requires: texlive-mathastext
Requires: texlive-mathexam
Requires: texlive-maybemath
Requires: texlive-mbenotes
Requires: texlive-mcaption
Requires: texlive-mceinleger
Requires: texlive-mcexam
Requires: texlive-mcite
Requires: texlive-mciteplus
Requires: texlive-mdframed
Requires: texlive-media9
Requires: texlive-medstarbeamer
Requires: texlive-meetingmins
Requires: texlive-memexsupp
Requires: texlive-memory
Requires: texlive-mensa-tex
Requires: texlive-menu
Requires: texlive-menukeys
Requires: texlive-method
Requires: texlive-metre
Requires: texlive-mfirstuc
Requires: texlive-mftinc
Requires: texlive-midpage
Requires: texlive-minibox
Requires: texlive-minifp
Requires: texlive-minipage-marginpar
Requires: texlive-minitoc
Requires: texlive-minorrevision
Requires: texlive-minted
Requires: texlive-minutes
Requires: texlive-mla-paper
Requires: texlive-mlist
Requires: texlive-mmap
Requires: texlive-mnotes
Requires: texlive-moderncv
Requires: texlive-moderntimeline
Requires: texlive-modref
Requires: texlive-modroman
Requires: texlive-modular
Requires: texlive-monofill
Requires: texlive-moodle
Requires: texlive-moreenum
Requires: texlive-morefloats
Requires: texlive-morehype
Requires: texlive-moresize
Requires: texlive-moreverb
Requires: texlive-morewrites
# Requires: texlive-movie15
Requires: texlive-mparhack
Requires: texlive-mpostinl
Requires: texlive-msc
Requires: texlive-msg
Requires: texlive-mslapa
Requires: texlive-mtgreek
Requires: texlive-multenum
Requires: texlive-multiaudience
Requires: texlive-multibbl
Requires: texlive-multicap
Requires: texlive-multidef
Requires: texlive-multienv
Requires: texlive-multiexpand
Requires: texlive-multilang
Requires: texlive-multirow
Requires: texlive-mversion
Requires: texlive-mwe
Requires: texlive-mycv
Requires: texlive-mylatexformat
Requires: texlive-nag
Requires: texlive-nameauth
Requires: texlive-namespc
Requires: texlive-ncclatex
Requires: texlive-ncctools
Requires: texlive-needspace
Requires: texlive-nestquot
Requires: texlive-newcommand-doc
Requires: texlive-newenviron
Requires: texlive-newfile
Requires: texlive-newlfm
Requires: texlive-newspaper
Requires: texlive-newunicodechar
Requires: texlive-newvbtm
Requires: texlive-newverbs
Requires: texlive-nextpage
Requires: texlive-nfssext-cfr
Requires: texlive-nicefilelist
Requires: texlive-niceframe
Requires: texlive-nicetext
Requires: texlive-nlctdoc
Requires: texlive-noconflict
Requires: texlive-noindentafter
Requires: texlive-noitcrul
Requires: texlive-nolbreaks
Requires: texlive-nomencl
Requires: texlive-nomentbl
Requires: texlive-nonfloat
Requires: texlive-nonumonpart
Requires: texlive-nopageno
Requires: texlive-normalcolor
Requires: texlive-notes
Requires: texlive-notespages
Requires: texlive-notestex
Requires: texlive-notoccite
Requires: texlive-nowidow
Requires: texlive-nox
Requires: texlive-ntheorem
Requires: texlive-numberedblock
Requires: texlive-numname
Requires: texlive-numprint
Requires: texlive-numspell
Requires: texlive-ocg-p
Requires: texlive-ocgx
Requires: texlive-ocgx2
Requires: texlive-ocr-latex
Requires: texlive-octavo
Requires: texlive-oldstyle
Requires: texlive-onlyamsmath
Requires: texlive-opcit
Requires: texlive-optidef
Requires: texlive-optional
Requires: texlive-options
Requires: texlive-outline
Requires: texlive-outliner
Requires: texlive-outlines
Requires: texlive-overpic
Requires: texlive-pagecolor
Requires: texlive-pagecont
Requires: texlive-pagenote
Requires: texlive-pagerange
Requires: texlive-pageslts
Requires: texlive-paper
Requires: texlive-papercdcase
Requires: texlive-papermas
Requires: texlive-papertex
Requires: texlive-paracol
Requires: texlive-parades
Requires: texlive-paralist
Requires: texlive-paresse
Requires: texlive-parnotes
Requires: texlive-parselines
Requires: texlive-pas-cours
Requires: texlive-pas-cv
Requires: texlive-pas-tableur
# Requires: texlive-patch
Requires: texlive-patchcmd
Requires: texlive-pauldoc
Requires: texlive-pawpict
Requires: texlive-pax
Requires: texlive-pbox
Requires: texlive-pbsheet
Requires: texlive-pdf14
Requires: texlive-pdfcomment
Requires: texlive-pdfcprot
Requires: texlive-pdfmarginpar
Requires: texlive-pdfpagediff
Requires: texlive-pdfreview
Requires: texlive-pdfscreen
Requires: texlive-pdfslide
Requires: texlive-pdfsync
Requires: texlive-pdfwin
Requires: texlive-pdfx
Requires: texlive-pecha
Requires: texlive-perltex
Requires: texlive-permute
Requires: texlive-petiteannonce
Requires: texlive-phffullpagefigure
Requires: texlive-phfnote
Requires: texlive-phfparen
Requires: texlive-phfqit
Requires: texlive-phfquotetext
Requires: texlive-phfsvnwatermark
Requires: texlive-phfthm
Requires: texlive-philex
Requires: texlive-phonenumbers
Requires: texlive-photo
Requires: texlive-piff
Requires: texlive-pkgloader
Requires: texlive-placeins
Requires: texlive-plantslabels
Requires: texlive-plates
Requires: texlive-plweb
Requires: texlive-polynom
Requires: texlive-polynomial
Requires: texlive-polytable
Requires: texlive-postcards
Requires: texlive-poster-mac
Requires: texlive-ppr-prv
Requires: texlive-preprint
Requires: texlive-pressrelease
Requires: texlive-prettyref
Requires: tex-preview
Requires: texlive-printlen
Requires: texlive-probsoln
Requires: texlive-program
Requires: texlive-progress
Requires: texlive-progressbar
Requires: texlive-proofread
Requires: texlive-properties
Requires: texlive-prosper
Requires: texlive-protex
Requires: texlive-protocol
Requires: texlive-psfragx
Requires: texlive-pst-pdf
Requires: texlive-pstool
Requires: texlive-pstring
Requires: texlive-pxgreeks
Requires: texlive-python
Requires: texlive-qcm
Requires: texlive-qstest
Requires: texlive-qsymbols
Requires: texlive-quicktype
Requires: texlive-quotchap
Requires: texlive-quoting
Requires: texlive-quotmark
Requires: texlive-ran_toks
Requires: texlive-randtext
Requires: texlive-rccol
Requires: texlive-rcs-multi
Requires: texlive-rcsinfo
Requires: texlive-readarray
Requires: texlive-realboxes
Requires: texlive-recipe
Requires: texlive-recipebook
Requires: texlive-recipecard
Requires: texlive-rectopma
Requires: texlive-refcheck
Requires: texlive-refenums
Requires: texlive-reflectgraphics
Requires: texlive-refman
Requires: texlive-refstyle
Requires: texlive-regcount
Requires: texlive-regexpatch
Requires: texlive-register
Requires: texlive-regstats
Requires: texlive-relenc
Requires: texlive-relsize
Requires: texlive-repeatindex
Requires: texlive-repltext
Requires: texlive-rjlparshap
Requires: texlive-rlepsf
Requires: texlive-rmpage
Requires: texlive-robustcommand
Requires: texlive-robustindex
Requires: texlive-romanbar
Requires: texlive-romanbarpagenumber
Requires: texlive-romanneg
Requires: texlive-romannum
Requires: texlive-rotfloat
Requires: texlive-rotpages
Requires: texlive-roundbox
Requires: texlive-rterface
Requires: texlive-rtkinenc
Requires: texlive-rulercompass
Requires: texlive-rvwrite
Requires: texlive-sanitize-umlaut
Requires: texlive-sauerj
Requires: texlive-savefnmark
Requires: texlive-savesym
Requires: texlive-savetrees
Requires: texlive-scale
Requires: texlive-scalebar
Requires: texlive-scalerel
Requires: texlive-scanpages
Requires: texlive-scrlttr2copy
Requires: texlive-sdrt
Requires: texlive-secdot
Requires: texlive-sectionbox
Requires: texlive-sectsty
Requires: texlive-seealso
Requires: texlive-selectp
Requires: texlive-semantic
Requires: texlive-semioneside
Requires: texlive-semproc
Requires: texlive-sepfootnotes
Requires: texlive-seqsplit
Requires: texlive-sesstime
Requires: texlive-sf298
Requires: texlive-sffms
Requires: texlive-sfmath
Requires: texlive-shadethm
Requires: texlive-shadow
Requires: texlive-shadowtext
Requires: texlive-shapepar
Requires: texlive-shdoc
Requires: texlive-shipunov
Requires: texlive-shorttoc
Requires: texlive-show2e
Requires: texlive-showcharinbox
Requires: texlive-showdim
Requires: texlive-showexpl
Requires: texlive-showhyphens
Requires: texlive-showlabels
Requires: texlive-sidecap
Requires: texlive-sidenotes
Requires: texlive-silence
Requires: texlive-simplecd
Requires: texlive-simplecv
Requires: texlive-sitem
Requires: texlive-skb
Requires: texlive-skdoc
Requires: texlive-skeycommand
Requires: texlive-skeyval
Requires: texlive-skrapport
Requires: texlive-slantsc
Requires: texlive-smalltableof
Requires: texlive-smartunits
Requires: texlive-smartref
Requires: texlive-snapshot
Requires: texlive-snotez
Requires: texlive-soul
Requires: texlive-spark-otf
Requires: texlive-sparklines
Requires: texlive-sphack
Requires: texlive-splitindex
Requires: texlive-spot
Requires: texlive-spotcolor
Requires: texlive-spreadtab
Requires: texlive-spverbatim
Requires: texlive-srbook-mem
Requires: texlive-srcltx
Requires: texlive-sseq
Requires: texlive-sslides
Requires: texlive-stack
Requires: texlive-stackengine
Requires: texlive-standalone
Requires: texlive-statistik
Requires: texlive-stdclsdv
Requires: texlive-stdpage
Requires: texlive-stex
Requires: texlive-storebox
Requires: texlive-storecmd
Requires: texlive-stringstrings
Requires: texlive-sttools
Requires: texlive-stubs
Requires: texlive-studenthandouts
Requires: texlive-subdepth
Requires: texlive-subeqn
Requires: texlive-subeqnarray
Requires: texlive-subfigmat
Requires: texlive-subfigure
Requires: texlive-subfiles
Requires: texlive-subfloat
Requires: texlive-substitutefont
Requires: texlive-substr
Requires: texlive-supertabular
Requires: texlive-svg
Requires: texlive-svgcolor
Requires: texlive-svn
Requires: texlive-svn-multi
Requires: texlive-svn-prov
Requires: texlive-svninfo
Requires: texlive-syntax
Requires: texlive-syntrace
Requires: texlive-synttree
Requires: texlive-tabfigures
Requires: texlive-tableaux
Requires: texlive-tablefootnote
Requires: texlive-tableof
Requires: texlive-tablestyles
Requires: texlive-tablists
Requires: texlive-tabls
Requires: texlive-tabstackengine
Requires: texlive-tabto-ltx
Requires: texlive-tabu
Requires: texlive-tabularborder
Requires: texlive-tabularcalc
Requires: texlive-tabularew
Requires: texlive-tabulary
Requires: texlive-tagging
Requires: texlive-tagpair
Requires: texlive-talk
Requires: texlive-tamefloats
Requires: texlive-tasks
Requires: texlive-tcldoc
Requires: texlive-tcolorbox
Requires: texlive-tdclock
Requires: texlive-technics
Requires: texlive-ted
Requires: texlive-templatetools
Requires: texlive-termcal
Requires: texlive-termlist
Requires: texlive-testhyphens
Requires: texlive-testidx
Requires: texlive-tex-label
Requires: texlive-texlogos
Requires: texlive-texmate
Requires: texlive-texments
Requires: texlive-texpower
Requires: texlive-texshade
Requires: texlive-texvc
Requires: texlive-textfit
Requires: texlive-textmerg
Requires: texlive-textpos
Requires: texlive-theoremref
Requires: texlive-thinsp
Requires: texlive-thmtools
Requires: texlive-threadcol
Requires: texlive-threeparttable
Requires: texlive-threeparttablex
Requires: texlive-thumb
Requires: texlive-thumbs
Requires: texlive-thumby
Requires: texlive-ticket
Requires: texlive-titlecaps
Requires: texlive-titlefoot
Requires: texlive-titlepic
Requires: texlive-titleref
Requires: texlive-titlesec
Requires: texlive-titling
Requires: texlive-tocbibind
Requires: texlive-tocdata
Requires: texlive-tocloft
Requires: texlive-tocvsec2
Requires: texlive-todo
Requires: texlive-todonotes
Requires: texlive-tokenizer
Requires: texlive-toolbox
Requires: texlive-topfloat
Requires: texlive-totcount
Requires: texlive-totpages
Requires: texlive-translations
Requires: texlive-trfsigns
Requires: texlive-trimspaces
Requires: texlive-trivfloat
Requires: texlive-trsym
Requires: texlive-truncate
Requires: texlive-tucv
Requires: texlive-turnthepage
Requires: texlive-twoinone
Requires: texlive-twoup
Requires: texlive-txgreeks
Requires: texlive-type1cm
Requires: texlive-typed-checklist
Requires: texlive-typeface
Requires: texlive-typoaid
Requires: texlive-typogrid
Requires: texlive-uassign
Requires: texlive-ucs
Requires: texlive-uebungsblatt
Requires: texlive-umoline
Requires: texlive-underlin
Requires: texlive-underoverlap
Requires: texlive-undolabl
Requires: texlive-units
Requires: texlive-unravel
Requires: texlive-upmethodology
Requires: texlive-upquote
Requires: texlive-uri
Requires: texlive-ushort
Requires: texlive-uspace
# Non-free
# Requires: texlive-uwmslide
Requires: texlive-variablelm
Requires: texlive-varindex
Requires: texlive-varsfromjobname
Requires: texlive-varwidth
Requires: texlive-vdmlisting
Requires: texlive-verbasef
Requires: texlive-verbatimbox
Requires: texlive-verbatimcopy
Requires: texlive-verbdef
Requires: texlive-verbments
Requires: texlive-version
Requires: texlive-versions
Requires: texlive-versonotes
Requires: texlive-vertbars
Requires: texlive-vgrid
Requires: texlive-vhistory
Requires: texlive-vmargin
Requires: texlive-volumes
Requires: texlive-vpe
Requires: texlive-vruler
Requires: texlive-vwcol
Requires: texlive-wallcalendar
Requires: texlive-wallpaper
Requires: texlive-warning
Requires: texlive-warpcol
Requires: texlive-was
Requires: texlive-widetable
Requires: texlive-williams
Requires: texlive-withargs
Requires: texlive-wordcount
Requires: texlive-wordlike
Requires: texlive-wrapfig
Requires: texlive-wtref
Requires: texlive-xargs
Requires: texlive-xassoccnt
Requires: texlive-xcntperchap
Requires: texlive-xcolor-material
Requires: texlive-xcolor-solarized
Requires: texlive-xcomment
Requires: texlive-xdoc
Requires: texlive-xellipsis
Requires: texlive-xfor
Requires: texlive-xhfill
Requires: texlive-xifthen
Requires: texlive-xint
Requires: texlive-xltabular
Requires: texlive-xmpincl
Requires: texlive-xnewcommand
Requires: texlive-xoptarg
Requires: texlive-xpatch
Requires: texlive-xpeek
Requires: texlive-xprintlen
Requires: texlive-xpunctuate
Requires: texlive-xsavebox
Requires: texlive-xsim
Requires: texlive-xstring
Requires: texlive-xtab
Requires: texlive-xwatermark
Requires: texlive-xytree
Requires: texlive-yafoot
Requires: texlive-yagusylo
Requires: texlive-yaletter
Requires: texlive-ycbook
Requires: texlive-ydoc
Requires: texlive-yplan
Requires: texlive-zebra-goodies
Requires: texlive-zed-csp
Requires: texlive-ziffer
Requires: texlive-zwgetfdate
Requires: texlive-zwpagelayout

%description collection-latexextra
A very large collection of add-on packages for LaTeX.

%package collection-latexrecommended
Summary: LaTeX recommended packages
Version: svn45456
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-anysize
Requires: texlive-beamer
Requires: texlive-booktabs
Requires: texlive-breqn
Requires: texlive-caption
Requires: texlive-cite
Requires: texlive-cmap
Requires: texlive-crop
Requires: texlive-ctable
Requires: texlive-eso-pic
Requires: texlive-euenc
Requires: texlive-euler
Requires: texlive-etoolbox
Requires: texlive-extsizes
Requires: texlive-fancybox
Requires: texlive-fancyref
Requires: texlive-fancyvrb
Requires: texlive-filehook
Requires: texlive-float
Requires: texlive-fontspec
Requires: texlive-fp
Requires: texlive-index
Requires: texlive-jknapltx
Requires: texlive-koma-script
Requires: texlive-latexbug
Requires: texlive-l3experimental
Requires: texlive-l3kernel
Requires: texlive-l3packages
Requires: texlive-lineno
Requires: texlive-listings
Requires: texlive-lwarp
Requires: texlive-mathspec
Requires: texlive-mathtools
Requires: texlive-mdwtools
Requires: texlive-memoir
Requires: texlive-metalogo
Requires: texlive-microtype
Requires: texlive-ms
Requires: texlive-ntgclass
Requires: texlive-parskip
Requires: texlive-pdfpages
Requires: texlive-polyglossia
Requires: texlive-powerdot
Requires: texlive-psfrag
Requires: texlive-rcs
Requires: texlive-sansmath
Requires: texlive-section
Requires: texlive-seminar
Requires: texlive-sepnum
Requires: texlive-setspace
Requires: texlive-subfig
Requires: texlive-textcase
Requires: texlive-thumbpdf
Requires: texlive-typehtml
Requires: texlive-ucharcat
Requires: texlive-underscore
Requires: texlive-unicode-math
Requires: texlive-xcolor
Requires: texlive-xkeyval
Requires: texlive-xltxtra
Requires: texlive-xunicode
Provides: tex(latex) = %{tl_version}, texlive-latex = %{tl_version}
Requires: texlive-collection-fontsrecommended

%description collection-latexrecommended
A collection of recommended add-on packages for LaTeX which
have widespread use.

%package crop
Provides: tex-crop = %{tl_version}
License: LPPL
Summary: Support for cropmarks
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(graphics.sty)
Provides: tex(crop.sty) = %{tl_version}

%description crop
A package providing corner marks for camera alignment as well
as for trimming paper stacks, and additional page information
on every page if required. Most macros are easily adaptable to
personal preferences. An option is provided for selectively
suppressing graphics or text, which may be useful for printing
just colour graphics on a colour laser printer and the rest on
a cheap mono laser printer. A page info line contains the time
and a new cropmarks index and is printed at the top of the
page. A configuration command is provided for the info line
font. Options for better collaboration with dvips, pdftex and
vtex are provided.

%package crop-doc
Summary: Documentation for crop
Version: svn15878.1.5

Provides: tex-crop-doc
AutoReqProv: No

%description crop-doc
Documentation for crop

%package ctable
Provides: tex-ctable = %{tl_version}
License: LPPL
Summary: Flexible typesetting of table and figure floats using key/value directives
Version: svn38672

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Requires: tex(array.sty)
Requires: tex(tabularx.sty)
Requires: tex(booktabs.sty)
Requires: tex(rotating.sty)
Requires: tex(transparent.sty)
Provides: tex(ctable.sty) = %{tl_version}

%description ctable
Provides commands to typeset centered, left- or right-aligned
table and (multiple-)figure floats, with footnotes. Instead of
an environment, a command with 4 arguments is used; the first
is optional and is used for key,value pairs generating
variations on the defaults and offering a route for future
extensions.

%package ctable-doc
Summary: Documentation for ctable
Version: svn38672

Provides: tex-ctable-doc
AutoReqProv: No

%description ctable-doc
Documentation for ctable

%package eso-pic
Provides: tex-eso-pic = %{tl_version}
License: LPPL 1.2
Summary: Add picture commands (or backgrounds) to every page
Version: svn37925.2.0g

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(atbegshi.sty)
Requires: tex(keyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(color.sty)
Provides: tex(eso-pic.sty) = %{tl_version}
Provides: tex(showframe.sty) = %{tl_version}

%description eso-pic
The package adds one or more user commands to LaTeX's shipout
routine, which may be used to place the output at fixed
positions. The grid option may be used to find the correct
places.

%package eso-pic-doc
Summary: Documentation for eso-pic
Version: svn37925.2.0g

Provides: tex-eso-pic-doc
AutoReqProv: No

%description eso-pic-doc
Documentation for eso-pic

%package euenc
Provides: tex-euenc = %{tl_version}
License: LPPL 1.3
Summary: Unicode font encoding definitions for XeTeX
Version: svn19795.0.1h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eu1enc.def) = %{tl_version}
Provides: tex(eu1lmdh.fd) = %{tl_version}
Provides: tex(eu1lmr.fd) = %{tl_version}
Provides: tex(eu1lmss.fd) = %{tl_version}
Provides: tex(eu1lmssq.fd) = %{tl_version}
Provides: tex(eu1lmtt.fd) = %{tl_version}
Provides: tex(eu1lmvtt.fd) = %{tl_version}
Provides: tex(eu2enc.def) = %{tl_version}
Provides: tex(eu2lmdh.fd) = %{tl_version}
Provides: tex(eu2lmr.fd) = %{tl_version}
Provides: tex(eu2lmss.fd) = %{tl_version}
Provides: tex(eu2lmssq.fd) = %{tl_version}
Provides: tex(eu2lmtt.fd) = %{tl_version}
Provides: tex(eu2lmvtt.fd) = %{tl_version}

%description euenc
Font encoding definitions for unicode fonts loaded by LaTeX in
XeTeX or LuaTeX. The package provides two encodings: EU1,
designed for use with XeTeX, which the fontspec uses for
unicode fonts which require no macro-level processing for
accents, and EU2, which provides the same facilities for use
with LuaTeX. Neither encoding places any restriction on the
glyphs provided by a font; use of EU2 causes the package
euxunicode to be loaded (the package is part of this
distribution). The package includes font definition files for
use with the Latin Modern OpenType fonts.

%package euenc-doc
Summary: Documentation for euenc
Version: svn19795.0.1h

Provides: tex-euenc-doc
AutoReqProv: No

%description euenc-doc
Documentation for euenc

%package euler
Provides: tex-euler = %{tl_version}
License: LPPL
Summary: Use AMS Euler fonts for math
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(euler.sty) = %{tl_version}

%description euler
Provides a setup for using the AMS Euler family of fonts for
mathematics in LaTeX documents. "The underlying philosophy of
Zapf's Euler design was to capture the flavour of mathematics
as it might be written by a mathematician with excellent
handwriting." The euler package is based on Knuth's macros for
the book 'Concrete Mathematics'. The text fonts for the
Concrete book are supported by the beton package.

%package euler-doc
Summary: Documentation for euler
Version: svn42428
Provides: tex-euler-doc
AutoReqProv: No

%description euler-doc
Documentation for euler

%package extsizes
Provides: tex-extsizes = %{tl_version}
License: LPPL
Summary: Extend the standard classes' size options
Version: svn17263.1.4a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(exscale.sty)
Provides: tex(autopagewidth.sty) = %{tl_version}
Provides: tex(extarticle.cls) = %{tl_version}
Provides: tex(extbook.cls) = %{tl_version}
Provides: tex(extletter.cls) = %{tl_version}
Provides: tex(extproc.cls) = %{tl_version}
Provides: tex(extreport.cls) = %{tl_version}
Provides: tex(extsizes.sty) = %{tl_version}
Provides: tex(size14.clo) = %{tl_version}
Provides: tex(size17.clo) = %{tl_version}
Provides: tex(size20.clo) = %{tl_version}
Provides: tex(size8.clo) = %{tl_version}
Provides: tex(size9.clo) = %{tl_version}

%description extsizes
Provides classes extarticle, extreport, extletter, extbook and
extproc which provide for documents with a base font size from
8-20pt.

%package extsizes-doc
Summary: Documentation for extsizes
Version: svn17263.1.4a

Provides: tex-extsizes-doc
AutoReqProv: No

%description extsizes-doc
Documentation for extsizes

%package fancybox
Provides: tex-fancybox = %{tl_version}
License: LPPL 1.2
Summary: Variants of \fbox and other games with boxes
Version: svn18304.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fancybox.sty) = %{tl_version}

%description fancybox
Provides variants of \fbox: \shadowbox, \doublebox, \ovalbox,
\Ovalbox, with helpful tools for using box macros and flexible
verbatim macros. You can box mathematics, floats, center,
flushleft, and flushright, lists, and pages.

%package fancybox-doc
Summary: Documentation for fancybox
Version: svn18304.1.4

Provides: tex-fancybox-doc
AutoReqProv: No

%description fancybox-doc
Documentation for fancybox

%package fancyref
Provides: tex-fancyref = %{tl_version}
License: GPL+
Summary: A LaTeX package for fancy cross-referencing
Version: svn15878.0.9c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(varioref.sty)
Provides: tex(fancyref.sty) = %{tl_version}

%description fancyref
Provides fancy cross-referencing support, based on the
package's reference commands (\fref and \Fref) that recognise
what sort of object is being referenced. So, for example, the
label for a \section would be expected to be of the form
'sec:foo': the package would recognise the 'sec:' part.

%package fancyref-doc
Summary: Documentation for fancyref
Version: svn15878.0.9c

Provides: tex-fancyref-doc
AutoReqProv: No

%description fancyref-doc
Documentation for fancyref

%package fancyvrb
Provides: tex-fancyvrb = %{tl_version}
License: LPPL
Summary: Sophisticated verbatim text
Version: svn18492.2.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(pstricks.sty)
Requires: tex(color.sty)
Requires: tex(hbaw.sty)
Provides: tex(fancyvrb.sty) = %{tl_version}
Provides: tex(fvrb-ex.sty) = %{tl_version}
Provides: tex(hbaw.sty) = %{tl_version}
Provides: tex(hcolor.sty) = %{tl_version}

%description fancyvrb
Flexible handling of verbatim text including: verbatim commands
in footnotes; a variety of verbatim environments with many
parameters; ability to define new customized verbatim
environments; save and restore verbatim text and environments;
write and read files in verbatim mode; build "example"
environments (showing both result and verbatim source).

%package fancyvrb-doc
Summary: Documentation for fancyvrb
Version: svn18492.2.8

Provides: tex-fancyvrb-doc
AutoReqProv: No

%description fancyvrb-doc
Documentation for fancyvrb

%package float
Provides: tex-float = %{tl_version}
License: LPPL
Summary: Improved interface for floating objects
Version: svn15878.1.3d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(float.sty) = %{tl_version}

%description float
Improves the interface for defining floating objects such as
figures and tables. Introduces the boxed float, the ruled float
and the plaintop float. You can define your own floats and
improve the behaviour of the old ones. The package also
provides the H float modifier option of the obsolete here
package. You can select this as automatic default with
\floatplacement{figure}{H}.

%package float-doc
Summary: Documentation for float
Version: svn15878.1.3d

Provides: tex-float-doc
AutoReqProv: No

%description float-doc
Documentation for float

%package fontspec
Provides: tex-fontspec = %{tl_version}
License: LPPL 1.3
Summary: Advanced font selection in XeLaTeX and LuaLaTeX
Version: svn45381
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-iftex
Requires: tex-kastrup
Requires: tex-l3kernel
Requires: tex-l3packages
Requires: tex-lm
Requires: tex(fontenc.sty)
Requires: tex(xunicode.sty)
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(luaotfload.sty)
Provides: tex(fontspec-luatex.sty) = %{tl_version}
Provides: tex(fontspec-patches.sty) = %{tl_version}
Provides: tex(fontspec-xetex.sty) = %{tl_version}
Provides: tex(fontspec.cfg) = %{tl_version}
Provides: tex(fontspec.sty) = %{tl_version}

%description fontspec
Fontspec is a package for XeLaTeX and LuaLaTeX. It provides an
automatic and unified interface to feature-rich AAT and
OpenType fonts through the NFSS in LaTeX running on XeTeX or
LuaTeX engines. The package requires the l3kernel and xparse
bundles from the LaTeX 3 development team.

%package fontspec-doc
Summary: Documentation for fontspec
Version: svn45381
Provides: tex-fontspec-doc
AutoReqProv: No
Requires: tex-iftex-doc
Requires: tex-kastrup-doc
Requires: tex-l3kernel-doc
Requires: tex-l3packages-doc
Requires: tex-lm-doc

%description fontspec-doc
Documentation for fontspec

%package l3kernel
Provides: tex-l3kernel = %{tl_version}
License: LPPL 1.3
Summary: LaTeX3 programming conventions
Version: svn45340
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphics.sty)
Requires: tex(doc.sty)
Requires: tex(array.sty)
Requires: tex(alphalph.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(booktabs.sty)
Requires: tex(color.sty)
Requires: tex(colortbl.sty)
Requires: tex(hologo.sty)
Requires: tex(enumitem.sty)
Requires: tex(pifont.sty)
Requires: tex(textcomp.sty)
Requires: tex(trace.sty)
Requires: tex(underscore.sty)
Requires: tex(csquotes.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(verbatim.sty)
Requires: tex(fontenc.sty)
Requires: tex(lmodern.sty)
Requires: tex(hypdoc.sty)
Provides: tex(expl3-code.tex) = %{tl_version}
Provides: tex(expl3-generic.tex) = %{tl_version}
Provides: tex(expl3.sty) = %{tl_version}
Provides: tex(l3basics.sty) = %{tl_version}
Provides: tex(l3bootstrap.sty) = %{tl_version}
Provides: tex(l3box.sty) = %{tl_version}
Provides: tex(l3candidates.sty) = %{tl_version}
Provides: tex(l3clist.sty) = %{tl_version}
Provides: tex(l3coffins.sty) = %{tl_version}
Provides: tex(l3color.sty) = %{tl_version}
Provides: tex(l3doc.cls) = %{tl_version}
Provides: tex(l3docstrip.tex) = %{tl_version}
Provides: tex(l3dvipdfmx.def) = %{tl_version}
Provides: tex(l3dvips.def) = %{tl_version}
Provides: tex(l3expan.sty) = %{tl_version}
Provides: tex(l3file.sty) = %{tl_version}
Provides: tex(l3fp.sty) = %{tl_version}
Provides: tex(l3int.sty) = %{tl_version}
Provides: tex(l3keys.sty) = %{tl_version}
Provides: tex(l3msg.sty) = %{tl_version}
Provides: tex(l3names.sty) = %{tl_version}
Provides: tex(l3pdfmode.def) = %{tl_version}
Provides: tex(l3prg.sty) = %{tl_version}
Provides: tex(l3prop.sty) = %{tl_version}
Provides: tex(l3quark.sty) = %{tl_version}
Provides: tex(l3seq.sty) = %{tl_version}
Provides: tex(l3skip.sty) = %{tl_version}
Provides: tex(l3tl.sty) = %{tl_version}
Provides: tex(l3token.sty) = %{tl_version}
Provides: tex(l3unicode-data.def) = %{tl_version}
Provides: tex(l3xdvipdfmx.def) = %{tl_version}

%description l3kernel
The l3kernel bundle provides an implementation of the LaTeX3
programmers' interface, as a set of packages that run under
LaTeX 2e. The interface provides the foundation on which the
LaTeX3 kernel and other future code are built: it is an API for
TeX programmers. The packages are set up so that the LaTeX3
conventions can be used with regular LaTeX 2e packages. All the
files of the bundle are also available in the project's
Subversion (SVN) repository

%package l3kernel-doc
Summary: Documentation for l3kernel
Version: svn45340
Provides: tex-l3kernel-doc
AutoReqProv: No

%description l3kernel-doc
Documentation for l3kernel

%package l3packages
Provides: tex-l3packages = %{tl_version}
License: LPPL 1.3
Summary: High-level LaTeX3 concepts
Version: svn45340
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(amstext.sty)
Requires: tex(graphicx.sty)
Provides: tex(l3keys2e.sty) = %{tl_version}
Provides: tex(xfrac.sty) = %{tl_version}
Provides: tex(xparse.sty) = %{tl_version}
Provides: tex(xtemplate.sty) = %{tl_version}

%description l3packages
The bundle holds prototype implementations of concepts for a
LaTeX designer interface, to be used with the experimental
LaTeX kernel as programming tools and kernel support. Packages
provided in this release are: l3keys2e, which makes the
facilities of the kernel module l3keys available for use by
LaTeX 2e packages; xfrac, which provides flexible split-level
fractions; xparse, which provides a high-level interface for
declaring document commands; and xtemplate, which provides a
means of defining generic functions using a key-value syntax.
All the files of the bundle are also available in the
Subversion (SVN) repository of the LaTeX3 Project. The bundle
on CTAN is based on a snapshot of the SVN repository; it should
be used with copies of the l3kernel at SVN version 6001 or
later.

%package l3packages-doc
Summary: Documentation for l3packages
Version: svn45340
Provides: tex-l3packages-doc
AutoReqProv: No

%description l3packages-doc
Documentation for l3packages

%package fp
Provides: tex-fp = %{tl_version}
License: LPPL
Summary: Fixed point arithmetic
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp-upn.sty)
Provides: tex(defpattern.sty) = %{tl_version}
Provides: tex(fp-addons.sty) = %{tl_version}
Provides: tex(fp-basic.sty) = %{tl_version}
Provides: tex(fp-eqn.sty) = %{tl_version}
Provides: tex(fp-eval.sty) = %{tl_version}
Provides: tex(fp-exp.sty) = %{tl_version}
Provides: tex(fp-pas.sty) = %{tl_version}
Provides: tex(fp-random.sty) = %{tl_version}
Provides: tex(fp-snap.sty) = %{tl_version}
Provides: tex(fp-trigo.sty) = %{tl_version}
Provides: tex(fp-upn.sty) = %{tl_version}
Provides: tex(fp.sty) = %{tl_version}
Provides: tex(lfp.sty) = %{tl_version}
Provides: tex(fp.tex) = %{tl_version}

%description fp
An extensive collection of arithmetic operations for fixed
point real numbers of high precision.

%package fp-doc
Summary: Documentation for fp
Version: svn15878.0

Provides: tex-fp-doc
AutoReqProv: No

%description fp-doc
Documentation for fp

%package index
Provides: tex-index = %{tl_version}
License: LPPL
Summary: Extended index for LaTeX including multiple indexes
Version: svn24099.4.1beta

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(autind.sty) = %{tl_version}
Provides: tex(bibref.sty) = %{tl_version}
Provides: tex(index.sty) = %{tl_version}

%description index
This is a reimplementation of LaTeX's indexing macros to
provide better support for indexing. For example, it supports
multiple indexes in a single document and provides a more
robust \index command. It supplies short hand notations for the
\index command (^{word}) and a * variation of \index
(abbreviated _{word}) that prints the word being indexed, as
well as creating an index entry for it.

%package index-doc
Summary: Documentation for index
Version: svn24099.4.1beta

Provides: tex-index-doc
AutoReqProv: No

%description index-doc
Documentation for index

%package jknapltx
Provides: tex-jknapltx = %{tl_version}
License: GPL+
Summary: Miscellaneous packages by Joerg Knappen
Version: svn19440.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(textcomp.sty)
Provides: tex(greekctr.sty) = %{tl_version}
Provides: tex(holtpolt.sty) = %{tl_version}
Provides: tex(latin1jk.def) = %{tl_version}
Provides: tex(latin2jk.def) = %{tl_version}
Provides: tex(latin3jk.def) = %{tl_version}
Provides: tex(mathbbol.sty) = %{tl_version}
Provides: tex(mathrsfs.sty) = %{tl_version}
Provides: tex(parboxx.sty) = %{tl_version}
Provides: tex(sans.sty) = %{tl_version}
Provides: tex(semtrans.sty) = %{tl_version}
Provides: tex(sgmlcmpt.sty) = %{tl_version}
Provides: tex(smartmn.sty) = %{tl_version}
Provides: tex(tccompat.sty) = %{tl_version}
Provides: tex(ursfs.fd) = %{tl_version}
Provides: tex(ustmary.fd) = %{tl_version}
Provides: tex(young.sty) = %{tl_version}

%description jknapltx
Miscellaneous macros by Jorg Knappen, including: represent
counters in greek; Maxwell's non-commutative division;
latin1jk, latin2jk and latin3jk, which are their inputenc
definition files that allow verbatim input in the respective
ISO Latin codes; blackboard bold fonts in maths; use of RSFS
fonts in maths; extra alignments for \parboxes; swap Roman and
Sans fonts; transliterate semitic languages; patches to make
(La)TeX formulae embeddable in SGML; use maths "minus" in text
as appropriate; simple Young tableaux.

%package jknapltx-doc
Summary: Documentation for jknapltx
Version: svn19440.0

Provides: tex-jknapltx-doc
AutoReqProv: No

%description jknapltx-doc
Documentation for jknapltx

%package koma-script
Provides: tex-koma-script = %{tl_version}
License: LPPL 1.3
Summary: A bundle of versatile classes and packages
Version: svn45292
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(babelbib.sty)
Requires: tex(afterpage.sty)
Requires: tex(makeidx.sty)
Requires: tex(scrtime.sty)
Requires: tex(picture.sty)
Requires: tex(graphicx.sty)
Requires: tex(booktabs.sty)
Requires: tex(longtable.sty)
Requires: tex(amsmath.sty)
Requires: tex(listings.sty)
Requires: tex(multicol.sty)
Requires: tex(marginnote.sty)
Requires: tex(tabularx.sty)
Requires: tex(xcolor.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(mparhack.sty)
Requires: tex(geometry.sty)
Requires: tex(textcomp.sty)
Requires: tex(tocbasic.sty)
Requires: tex(keyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(marvosym.sty)
Provides: tex(komabug.tex) = %{tl_version}
Provides: tex(adrconvnote.tex) = %{tl_version}
Provides: tex(authorpart.tex) = %{tl_version}
Provides: tex(common-0.tex) = %{tl_version}
Provides: tex(common-1.tex) = %{tl_version}
Provides: tex(common-12.tex) = %{tl_version}
Provides: tex(common-13.tex) = %{tl_version}
Provides: tex(common-14.tex) = %{tl_version}
Provides: tex(common-15.tex) = %{tl_version}
Provides: tex(common-2.tex) = %{tl_version}
Provides: tex(common-20.tex) = %{tl_version}
Provides: tex(common-21.tex) = %{tl_version}
Provides: tex(common-3.tex) = %{tl_version}
Provides: tex(common-4.tex) = %{tl_version}
Provides: tex(common-5.tex) = %{tl_version}
Provides: tex(common-6.tex) = %{tl_version}
Provides: tex(common-7.tex) = %{tl_version}
Provides: tex(common-8.tex) = %{tl_version}
Provides: tex(common-9.tex) = %{tl_version}
Provides: tex(expertpart.tex) = %{tl_version}
Provides: tex(guide-english.tex) = %{tl_version}
Provides: tex(guide.tex) = %{tl_version}
Provides: tex(introduction.tex) = %{tl_version}
Provides: tex(japanlco.tex) = %{tl_version}
Provides: tex(linkalias.tex) = %{tl_version}
Provides: tex(preface.tex) = %{tl_version}
Provides: tex(scraddr.tex) = %{tl_version}
Provides: tex(scrbase.tex) = %{tl_version}
Provides: tex(scrbookreportarticle-experts.tex) = %{tl_version}
Provides: tex(scrbookreportarticle.tex) = %{tl_version}
Provides: tex(scrdatetime.tex) = %{tl_version}
Provides: tex(scrextend.tex) = %{tl_version}
Provides: tex(scrhack.tex) = %{tl_version}
Provides: tex(scrjura.tex) = %{tl_version}
Provides: tex(scrlayer-notecolumn-example.tex) = %{tl_version}
Provides: tex(scrlayer-notecolumn.tex) = %{tl_version}
Provides: tex(scrlayer-scrpage-experts.tex) = %{tl_version}
Provides: tex(scrlayer-scrpage.tex) = %{tl_version}
Provides: tex(scrlayer.tex) = %{tl_version}
Provides: tex(scrlfile.tex) = %{tl_version}
Provides: tex(scrlttr2-experts.tex) = %{tl_version}
Provides: tex(scrlttr2.tex) = %{tl_version}
Provides: tex(scrwfile.tex) = %{tl_version}
Provides: tex(tocbasic.tex) = %{tl_version}
Provides: tex(typearea-experts.tex) = %{tl_version}
Provides: tex(typearea.tex) = %{tl_version}
Provides: tex(guide.tex) = %{tl_version}
Provides: tex(linkalias.tex) = %{tl_version}
Provides: tex(adrconvnote.tex) = %{tl_version}
Provides: tex(authorpart.tex) = %{tl_version}
Provides: tex(common-0.tex) = %{tl_version}
Provides: tex(common-1.tex) = %{tl_version}
Provides: tex(common-12.tex) = %{tl_version}
Provides: tex(common-13.tex) = %{tl_version}
Provides: tex(common-14.tex) = %{tl_version}
Provides: tex(common-15.tex) = %{tl_version}
Provides: tex(common-2.tex) = %{tl_version}
Provides: tex(common-20.tex) = %{tl_version}
Provides: tex(common-21.tex) = %{tl_version}
Provides: tex(common-3.tex) = %{tl_version}
Provides: tex(common-4.tex) = %{tl_version}
Provides: tex(common-5.tex) = %{tl_version}
Provides: tex(common-6.tex) = %{tl_version}
Provides: tex(common-7.tex) = %{tl_version}
Provides: tex(common-8.tex) = %{tl_version}
Provides: tex(common-9.tex) = %{tl_version}
Provides: tex(expertpart.tex) = %{tl_version}
Provides: tex(guide-ngerman.tex) = %{tl_version}
Provides: tex(guide.tex) = %{tl_version}
Provides: tex(introduction.tex) = %{tl_version}
Provides: tex(linkalias.tex) = %{tl_version}
Provides: tex(preface.tex) = %{tl_version}
Provides: tex(scraddr.tex) = %{tl_version}
Provides: tex(scrbase.tex) = %{tl_version}
Provides: tex(scrbookreportarticle-experts.tex) = %{tl_version}
Provides: tex(scrbookreportarticle.tex) = %{tl_version}
Provides: tex(scrdatetime.tex) = %{tl_version}
Provides: tex(scrextend.tex) = %{tl_version}
Provides: tex(scrhack.tex) = %{tl_version}
Provides: tex(scrjura.tex) = %{tl_version}
Provides: tex(scrlayer-notecolumn-example.tex) = %{tl_version}
Provides: tex(scrlayer-notecolumn.tex) = %{tl_version}
Provides: tex(scrlayer-scrpage-experts.tex) = %{tl_version}
Provides: tex(scrlayer-scrpage.tex) = %{tl_version}
Provides: tex(scrlayer.tex) = %{tl_version}
Provides: tex(scrlfile.tex) = %{tl_version}
Provides: tex(scrlttr2-experts.tex) = %{tl_version}
Provides: tex(scrlttr2.tex) = %{tl_version}
Provides: tex(scrwfile.tex) = %{tl_version}
Provides: tex(tocbasic.tex) = %{tl_version}
Provides: tex(typearea-experts.tex) = %{tl_version}
Provides: tex(typearea.tex) = %{tl_version}
Provides: tex(scrguide.cls) = %{tl_version}
Provides: tex(scrpage2.tex) = %{tl_version}
Provides: tex(scrdocstrip.tex) = %{tl_version}
Provides: tex(scrsource.tex) = %{tl_version}
Provides: tex(scraddr.sty) = %{tl_version}
Provides: tex(scrartcl.cls) = %{tl_version}
Provides: tex(scrbase.sty) = %{tl_version}
Provides: tex(scrbook.cls) = %{tl_version}
Provides: tex(scrdate.sty) = %{tl_version}
Provides: tex(scrdoc.cls) = %{tl_version}
Provides: tex(scrextend.sty) = %{tl_version}
Provides: tex(scrfontsizes.sty) = %{tl_version}
Provides: tex(scrhack.sty) = %{tl_version}
Provides: tex(scrjura.sty) = %{tl_version}
Provides: tex(scrkbase.sty) = %{tl_version}
Provides: tex(scrlayer-notecolumn.sty) = %{tl_version}
Provides: tex(scrlayer-scrpage.sty) = %{tl_version}
Provides: tex(scrlayer.sty) = %{tl_version}
Provides: tex(scrletter.sty) = %{tl_version}
Provides: tex(scrlfile.sty) = %{tl_version}
Provides: tex(scrlttr2.cls) = %{tl_version}
Provides: tex(scrpage2.sty) = %{tl_version}
Provides: tex(scrreprt.cls) = %{tl_version}
Provides: tex(scrsize10pt.clo) = %{tl_version}
Provides: tex(scrsize11pt.clo) = %{tl_version}
Provides: tex(scrsize12pt.clo) = %{tl_version}
Provides: tex(scrtime.sty) = %{tl_version}
Provides: tex(scrwfile.sty) = %{tl_version}
Provides: tex(tocbasic.sty) = %{tl_version}
Provides: tex(tocstyle.sty) = %{tl_version}
Provides: tex(typearea.sty) = %{tl_version}

%description koma-script
The KOMA-Script bundle provides replacements for the article,
report, and book classes with emphasis on typography and
versatility. There is also a letter class. The bundle also
offers: a package for calculating type areas in the way laid
down by the typographer Jan Tschichold, a package for easily
changing and defining page styles, a package scrdate for
getting not only the current date but also the name of the day,
and a package scrtime for getting the current time. All these
packages may be used not only with KOMA-Script classes but also
with the standard classes. Since every package has its own
version number, the version number quoted only refers to the
version of scrbook, scrreprt, scrartcl, scrlttr2 and typearea
(which are the main parts of the bundle).

%package l3experimental
Provides: tex-l3experimental = %{tl_version}
License: LPPL 1.3
Summary: Experimental LaTeX3 concepts
Version: svn45340
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(l3tl-analysis.sty)
Requires: tex(xparse.sty)
Provides: tex(l3sort.sty) = %{tl_version}
Provides: tex(l3flag.sty) = %{tl_version}
Provides: tex(l3regex-trace.sty) = %{tl_version}
Provides: tex(l3regex.sty) = %{tl_version}
Provides: tex(l3str-convert.sty) = %{tl_version}
Provides: tex(l3str-enc-iso88591.def) = %{tl_version}
Provides: tex(l3str-enc-iso885910.def) = %{tl_version}
Provides: tex(l3str-enc-iso885911.def) = %{tl_version}
Provides: tex(l3str-enc-iso885913.def) = %{tl_version}
Provides: tex(l3str-enc-iso885914.def) = %{tl_version}
Provides: tex(l3str-enc-iso885915.def) = %{tl_version}
Provides: tex(l3str-enc-iso885916.def) = %{tl_version}
Provides: tex(l3str-enc-iso88592.def) = %{tl_version}
Provides: tex(l3str-enc-iso88593.def) = %{tl_version}
Provides: tex(l3str-enc-iso88594.def) = %{tl_version}
Provides: tex(l3str-enc-iso88595.def) = %{tl_version}
Provides: tex(l3str-enc-iso88596.def) = %{tl_version}
Provides: tex(l3str-enc-iso88597.def) = %{tl_version}
Provides: tex(l3str-enc-iso88598.def) = %{tl_version}
Provides: tex(l3str-enc-iso88599.def) = %{tl_version}
Provides: tex(l3str-enc-utf16.def) = %{tl_version}
Provides: tex(l3str-enc-utf32.def) = %{tl_version}
Provides: tex(l3str-enc-utf8.def) = %{tl_version}
Provides: tex(l3str-esc-hex.def) = %{tl_version}
Provides: tex(l3str-esc-name.def) = %{tl_version}
Provides: tex(l3str-esc-string.def) = %{tl_version}
Provides: tex(l3str-esc-url.def) = %{tl_version}
Provides: tex(l3str-format.sty) = %{tl_version}
Provides: tex(l3str.sty) = %{tl_version}
Provides: tex(l3tl-analysis.sty) = %{tl_version}
Provides: tex(l3tl-build.sty) = %{tl_version}
Provides: tex(xcoffins.sty) = %{tl_version}
Provides: tex(l3galley.sty) = %{tl_version}
Provides: tex(xgalley.sty) = %{tl_version}

%description l3experimental
The l3experimental packages are a collection of experimental
implementations for aspects of the LaTeX3 kernel, dealing with
higher-level ideas such as the Designer Interface. Some of them
work as stand alone packages, providing new functionality, and
can be used on top of LaTeX2e with no changes to the existing
kernel. The present release includes: xgalley, which controls
boxes receiving text for typesetting. l3regex: kernel support
for regular expression search and replace operations; l3sort:
kernel support for sorting sequences, token lists or comma-
lists, according to user-specified comparison criteria; l3str:
kernel support for string manipulation; l3tl-build: kernel
support for token list building; l3tl_analysis: kernel support
for token list analysis; and xcoffins, which allows the
alignment of boxes using a series of 'handle' positions,
supplementing the simple TeX reference point. All the files of
the bundle are also available in the Subversion (SVN)
repository of the LaTeX3 Project. The bundle on CTAN is based
on a snapshot of the SVN repository.

%package l3experimental-doc
Summary: Documentation for l3experimental
Version: svn45340
Provides: tex-l3experimental-doc
AutoReqProv: No

%description l3experimental-doc
Documentation for l3experimental

%package lineno
Provides: tex-lineno = %{tl_version}
License: LPPL
Summary: Line numbers on paragraphs
Version: svn21442.4.41

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(longtable.sty)
Requires: tex(ltabptch.sty)
Requires: tex(finstrut.sty)
Provides: tex(ednmath0.sty) = %{tl_version}
Provides: tex(edtable.sty) = %{tl_version}
Provides: tex(fnlineno.sty) = %{tl_version}
Provides: tex(lineno.sty) = %{tl_version}
Provides: tex(vplref.sty) = %{tl_version}

%description lineno
Adds line numbers to selected paragraphs with reference
possible through the LaTeX \ref and \pageref cross reference
mechanism. Line numbering may be extended to footnote lines,
using the fnlineno package.

%package lineno-doc
Summary: Documentation for lineno
Version: svn21442.4.41

Provides: tex-lineno-doc
AutoReqProv: No

%description lineno-doc
Documentation for lineno

%package listings
Provides: tex-listings = %{tl_version}
License: LPPL 1.3
Summary: Typeset source code listings using LaTeX
Version: svn37534.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(hyperref.sty)
Requires: tex(color.sty)
Requires: tex(algorithmic.sty)
Requires: tex(nameref.sty)
Requires: tex(url.sty)
Provides: tex(listings.cfg) = %{tl_version}
Provides: tex(listings.sty) = %{tl_version}
Provides: tex(lstdoc.sty) = %{tl_version}
Provides: tex(lstlang1.sty) = %{tl_version}
Provides: tex(lstlang2.sty) = %{tl_version}
Provides: tex(lstlang3.sty) = %{tl_version}
Provides: tex(lstmisc.sty) = %{tl_version}

%description listings
The package enables the user to typeset programs (programming
code) within LaTeX; the source code is read directly by TeX--no
front-end processor is needed. Keywords, comments and strings
can be typeset using different styles (default is bold for
keywords, italic for comments and no special style for
strings). Support for hyperref is provided. To use,
\usepackage{listings}, identify the language of the object to
typeset, using a construct like: \lstset{language=Python}, then
use environment lstlisting for inline code. External files may
be formatted using \lstinputlisting to process a given file in
the form appropriate for the current language. Short (in-line)
listings are also available, using either \lstinline|...| or
|...| (after defining the | token with the \lstMakeShortInline
command).

%package listings-doc
Summary: Documentation for listings
Version: svn37534.1.6

Provides: tex-listings-doc
AutoReqProv: No

%description listings-doc
Documentation for listings

%package mathtools
Provides: tex-mathtools = %{tl_version}
License: LPPL 1.3
Summary: Mathematical tools to use with amsmath
Version: svn44504
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(mathtools.sty)
Requires: tex(keyval.sty)
Requires: tex(calc.sty)
Requires: tex(amsmath.sty)
Requires: tex(graphicx.sty)
Provides: tex(empheq.sty) = %{tl_version}
Provides: tex(mathtools.sty) = %{tl_version}
Provides: tex(mhsetup.sty) = %{tl_version}

%description mathtools
Mathtools provides a series of packages designed to enhance the
appearance of documents containing a lot of mathematics. The
main backbone is amsmath, so those unfamiliar with this
required part of the LaTeX system will probably not find the
packages very useful. Mathtools provides many useful tools for
mathematical typesetting. It is based on amsmath and fixes
various deficiencies of amsmath and standard LaTeX. It
provides: Extensible symbols, such as brackets, arrows,
harpoons, etc.; Various symbols such as \coloneqq (:=); Easy
creation of new tag forms; Showing equation numbers only for
referenced equations; Extensible arrows, harpoons and
hookarrows; Starred versions of the amsmath matrix environments
for specifying the column alignment; More building blocks:
multlined, cases-like environments, new gathered environments;
Maths versions of \makebox, \llap, \rlap etc.; Cramped math
styles; and more... Mathtools requires mhsetup.

%package mathtools-doc
Summary: Documentation for mathtools
Version: svn44504
Provides: tex-mathtools-doc
AutoReqProv: No

%description mathtools-doc
Documentation for mathtools

%package mdwtools
Provides: tex-mdwtools = %{tl_version}
License: GPL+
Summary: Miscellaneous tools by Mark Wooding
Version: svn15878.1.05.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(at.sty) = %{tl_version}
Provides: tex(cmtt.sty) = %{tl_version}
Provides: tex(doafter.sty) = %{tl_version}
Provides: tex(footnote.sty) = %{tl_version}
Provides: tex(mTTcmtt.fd) = %{tl_version}
Provides: tex(mTTenc.def) = %{tl_version}
Provides: tex(mathenv.sty) = %{tl_version}
Provides: tex(mdwlist.sty) = %{tl_version}
Provides: tex(mdwmath.sty) = %{tl_version}
Provides: tex(mdwtab.sty) = %{tl_version}
Provides: tex(sverb.sty) = %{tl_version}
Provides: tex(syntax.sty) = %{tl_version}

%description mdwtools
This collection of tools includes: support for short commands
starting with @, macros to sanitise the OT1 encoding of the
cmtt fonts; a 'do after' command; improved footnote support;
mathenv for various alignment in maths; list handling; mdwmath
which adds some minor changes to LaTeX maths; a rewrite of
LaTeX's tabular and array environments; verbatim handling; and
syntax diagrams.

%package mdwtools-doc
Summary: Documentation for mdwtools
Version: svn15878.1.05.4

Provides: tex-mdwtools-doc
AutoReqProv: No

%description mdwtools-doc
Documentation for mdwtools

%package metalogo
Provides: tex-metalogo = %{tl_version}
License: LPPL
Summary: Extended TeX logo macros
Version: svn18611.0.12

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(ifxetex.sty)
Requires: tex(fontspec.sty)
Provides: tex(metalogo.sty) = %{tl_version}

%description metalogo
This package exposes spacing parameters for various TeX logos
to the end user, to optimise the logos for different fonts.
Written especially for XeLaTeX users.

%package metalogo-doc
Summary: Documentation for metalogo
Version: svn18611.0.12

Provides: tex-metalogo-doc
AutoReqProv: No

%description metalogo-doc
Documentation for metalogo

%package microtype
Provides: tex-microtype = %{tl_version}
License: LPPL
Summary: Subliminal refinements towards typographical perfection
Version: svn44791
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(letterspace.sty) = %{tl_version}
Provides: tex(microtype-luatex.def) = %{tl_version}
Provides: tex(microtype-pdftex.def) = %{tl_version}
Provides: tex(microtype-xetex.def) = %{tl_version}
Provides: tex(microtype.cfg) = %{tl_version}
Provides: tex(microtype.sty) = %{tl_version}
Provides: tex(mt-CharisSIL.cfg) = %{tl_version}
Provides: tex(mt-LatinModernRoman.cfg) = %{tl_version}
Provides: tex(mt-PalatinoLinotype.cfg) = %{tl_version}
Provides: tex(mt-bch.cfg) = %{tl_version}
Provides: tex(mt-blg.cfg) = %{tl_version}
Provides: tex(mt-cmr.cfg) = %{tl_version}
Provides: tex(mt-euf.cfg) = %{tl_version}
Provides: tex(mt-eur.cfg) = %{tl_version}
Provides: tex(mt-euroitc.cfg) = %{tl_version}
Provides: tex(mt-eus.cfg) = %{tl_version}
Provides: tex(mt-msa.cfg) = %{tl_version}
Provides: tex(mt-msb.cfg) = %{tl_version}
Provides: tex(mt-mvs.cfg) = %{tl_version}
Provides: tex(mt-pad.cfg) = %{tl_version}
Provides: tex(mt-pmn.cfg) = %{tl_version}
Provides: tex(mt-ppl.cfg) = %{tl_version}
Provides: tex(mt-ptm.cfg) = %{tl_version}
Provides: tex(mt-ugm.cfg) = %{tl_version}
Provides: tex(mt-zpeu.cfg) = %{tl_version}

%description microtype
The package provides a LaTeX interface to the micro-typographic
extensions that were introduced by pdfTeX and have since also
propagated to XeTeX and LuaTeX: most prominently, character
protrusion and font expansion, furthermore the adjustment of
interword spacing and additional kerning, as well as
hyphenatable letterspacing (tracking) and the possibility to
disable all or selected ligatures. These features may be
applied to customisable sets of fonts, and all micro-
typographic aspects of the fonts can be configured in a
straight-forward and flexible way. Settings for various fonts
are provided. Note that character protrusion requires pdfTeX,
LuaTeX, or XeTeX. Font expansion works with pdfTeX or LuaTeX.
The package will by default enable protrusion and expansion if
they can safely be assumed to work. Disabling ligatures
requires pdfTeX or LuaTeX, while the adjustment of interword
spacing and of kerning only works with pdfTeX. Letterspacing is
available with pdfTeX or LuaTeX. The alternative package
`letterspace', which also works with plain TeX, provides the
user commands for letterspacing only, omitting support for all
other extensions.

%package microtype-doc
Summary: Documentation for microtype
Version: svn44791
Provides: tex-microtype-doc
AutoReqProv: No

%description microtype-doc
Documentation for microtype

%package ms
Provides: tex-ms = %{tl_version}
License: LPPL
Summary: Various LaTeX packages by Martin Schroder
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(multicol.sty)
Requires: tex(ifthen.sty)
Requires: tex(scrtime.sty)
Requires: tex(footmisc.sty)
Provides: tex(count1to.sty) = %{tl_version}
Provides: tex(everysel.sty) = %{tl_version}
Provides: tex(everyshi.sty) = %{tl_version}
Provides: tex(multitoc.sty) = %{tl_version}
Provides: tex(prelim2e.sty) = %{tl_version}
Provides: tex(ragged2e.sty) = %{tl_version}

%description ms
A bundle of LaTeX packages by Martin Schroder; the collection
comprises: count1to, make use of fixed TeX counters; everysel,
set commands to execute every time a font is selected;
everyshi, set commands to execute whenever a page is shipped
out; multitoc, typeset the table of contents in multiple
columns; prelim2e, mark typeset pages as preliminary; and
ragged2e, typeset ragged text and allow hyphenation.

%package ms-doc
Summary: Documentation for ms
Version: svn42428
Provides: tex-ms-doc
AutoReqProv: No

%description ms-doc
Documentation for ms

%package ntgclass
Provides: tex-ntgclass = %{tl_version}
License: LPPL 1.3
Summary: "European" versions of standard classes
Version: svn15878.2.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(a4.sty) = %{tl_version}
Provides: tex(artikel1.cls) = %{tl_version}
Provides: tex(artikel2.cls) = %{tl_version}
Provides: tex(artikel3.cls) = %{tl_version}
Provides: tex(boek.cls) = %{tl_version}
Provides: tex(boek3.cls) = %{tl_version}
Provides: tex(brief.cls) = %{tl_version}
Provides: tex(ntg10.clo) = %{tl_version}
Provides: tex(ntg11.clo) = %{tl_version}
Provides: tex(ntg12.clo) = %{tl_version}
Provides: tex(rapport1.cls) = %{tl_version}
Provides: tex(rapport3.cls) = %{tl_version}

%description ntgclass
The bundle offers versions of the standard LaTeX article and
report classes, rewritten to reflect a more European design,
and the a4 package, which is better tuned to the shape of a4
paper than is the a4paper class option of the standard classes.
The classes include several for article and report
requirements, and a letter class. The elements of the bundle
were designed by members of the Dutch TeX Users Group NTG.

%package ntgclass-doc
Summary: Documentation for ntgclass
Version: svn15878.2.1a

Provides: tex-ntgclass-doc
AutoReqProv: No

%description ntgclass-doc
Documentation for ntgclass

%package parskip
Provides: tex-parskip = %{tl_version}
License: LPPL
Summary: Layout with zero \parindent, non-zero \parskip
Version: svn19963.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(parskip.sty) = %{tl_version}

%description parskip
Simply changing \parskip and \parindent leaves a layout that is
untidy; this package (though it is no substitute for a properly-
designed class) helps alleviate this untidiness

%package parskip-doc
Summary: Documentation for parskip
Version: svn19963.2.0

Provides: tex-parskip-doc
AutoReqProv: No

%description parskip-doc
Documentation for parskip

%package pdfpages
Provides: tex-pdfpages = %{tl_version}
License: LPPL 1.3
Summary: Include PDF documents in LaTeX
Version: svn45043
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-eso-pic
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(eso-pic.sty)
Requires: tex(graphicx.sty)
Requires: tex(count1to.sty)
Requires: tex(pdflscape.sty)
Provides: tex(pdfpages.sty) = %{tl_version}
Provides: tex(ppdvipdfmx.def) = %{tl_version}
Provides: tex(ppdvips.def) = %{tl_version}
Provides: tex(ppluatex.def) = %{tl_version}
Provides: tex(ppnull.def) = %{tl_version}
Provides: tex(pppdftex.def) = %{tl_version}
Provides: tex(ppvtex.def) = %{tl_version}
Provides: tex(ppxetex.def) = %{tl_version}

%description pdfpages
This package simplifies the inclusion of external multi-page
PDF documents in LaTeX documents. Pages may be freely selected
and similar to psnup it is possible to put several logical
pages onto each sheet of paper. Furthermore a lot of hypertext
features like hyperlinks and article threads are provided. The
package supports pdfTeX (pdfLaTeX) and VTeX. With VTeX it is
even possible to use this package to insert PostScript files,
in addition to PDF files.

%package pdfpages-doc
Summary: Documentation for pdfpages
Version: svn45043
Provides: tex-pdfpages-doc
AutoReqProv: No
Requires: tex-eso-pic-doc

%description pdfpages-doc
Documentation for pdfpages

%package powerdot
Provides: tex-powerdot = %{tl_version}
License: LPPL 1.3
Summary: A presentation class
Version: svn45165
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(times.sty)
Requires: tex(pifont.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pst-blur.sty)
Requires: tex(calc.sty)
Requires: tex(pst-slpe.sty)
Requires: tex(pst-char.sty)
Requires: tex(type1cm.sty)
Requires: tex(amssymb.sty)
Requires: tex(xkeyval.sty)
Requires: tex(geometry.sty)
Requires: tex(ifxetex.sty)
Requires: tex(hyperref.sty)
Requires: tex(graphicx.sty)
Requires: tex(pstricks.sty)
Requires: tex(xcolor.sty)
Requires: tex(enumitem.sty)
Requires: tex(verbatim.sty)
Provides: tex(powerdot-aggie.sty) = %{tl_version}
Provides: tex(powerdot-bframe.sty) = %{tl_version}
Provides: tex(powerdot-ciment.sty) = %{tl_version}
Provides: tex(powerdot-default.sty) = %{tl_version}
Provides: tex(powerdot-elcolors.sty) = %{tl_version}
Provides: tex(powerdot-fyma.sty) = %{tl_version}
Provides: tex(powerdot-horatio.sty) = %{tl_version}
Provides: tex(powerdot-husky.sty) = %{tl_version}
Provides: tex(powerdot-ikeda.sty) = %{tl_version}
Provides: tex(powerdot-jefka.sty) = %{tl_version}
Provides: tex(powerdot-klope.sty) = %{tl_version}
Provides: tex(powerdot-paintings.sty) = %{tl_version}
Provides: tex(powerdot-pazik.sty) = %{tl_version}
Provides: tex(powerdot-sailor.sty) = %{tl_version}
Provides: tex(powerdot-simple.sty) = %{tl_version}
Provides: tex(powerdot-tycja.sty) = %{tl_version}
Provides: tex(powerdot-upen.sty) = %{tl_version}
Provides: tex(powerdot.cls) = %{tl_version}

%description powerdot
Powerdot is a presentation class for LaTeX that allows for the
quick and easy development of professional presentations. It
comes with many tools that enhance presentations and aid the
presenter. Examples are automatic overlays, personal notes and
a handout mode. To view a presentation, DVI, PS or PDF output
can be used. A powerful template system is available to easily
develop new styles. A LyX layout file is provided.

%package powerdot-doc
Summary: Documentation for powerdot
Version: svn45165
Provides: tex-powerdot-doc
AutoReqProv: No

%description powerdot-doc
Documentation for powerdot

%package psfrag
Provides: tex-psfrag = %{tl_version}
License: psfrag
Summary: Replace strings in encapsulated PostScript figures
Version: svn15878.3.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(psfrag.sty) = %{tl_version}

%description psfrag
Allows LaTeX constructions (equations, picture environments,
etc.) to be precisely superimposed over Encapsulated PostScript
figures, using your own favorite drawing tool to create an EPS
figure and placing simple text 'tags' where each replacement is
to be placed, with PSfrag automatically removing these tags
from the figure and replacing them with a user specified LaTeX
construction, properly aligned, scaled, and/or rotated.

%package psfrag-doc
Summary: Documentation for psfrag
Version: svn15878.3.04

Provides: tex-psfrag-doc
AutoReqProv: No

%description psfrag-doc
Documentation for psfrag

%package rcs
Provides: tex-rcs = %{tl_version}
License: GPL+
Summary: Use RCS (revision control system) tags in LaTeX documents
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(rcs.sty) = %{tl_version}

%description rcs
The rcs package utilizes the inclusion of RCS supplied data in
LaTeX documents. It's upward compatible to *all* rcs styles I
know of. In particular, you can easily access values of every
RCS field in your document put the checkin date on the
titlepage put RCS fields in a footline You can typeset revision
logs. Not in verbatim -- real LaTeX text! But you need a
configurable RCS for that. Refer to the user manual for more
detailed information. You can also configure the rcs package
easily to do special things for any keyword. This bundle comes
with a user manual, an internal interface description, full
documentation of the implementation, style information for AUC-
TeX, and test cases.

%package rcs-doc
Summary: Documentation for rcs
Version: svn15878.0

Provides: tex-rcs-doc
AutoReqProv: No

%description rcs-doc
Documentation for rcs

%package sansmath
Provides: tex-sansmath = %{tl_version}
License: Public Domain
Summary: Maths in a sans font
Version: svn17997.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sansmath.sty) = %{tl_version}

%description sansmath
The package defines a new math version sans, and a command
\sansmath that behaves somewhat like \boldmath

%package sansmath-doc
Summary: Documentation for sansmath
Version: svn17997.1.1

Provides: tex-sansmath-doc
AutoReqProv: No

%description sansmath-doc
Documentation for sansmath

%package section
Provides: tex-section = %{tl_version}
License: LPPL
Summary: Modifying section commands in LaTeX
Version: svn20180.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(section.sty) = %{tl_version}

%description section
The package implements a pretty extensive scheme to make more
manageable the business of configuring LaTeX output.

%package section-doc
Summary: Documentation for section
Version: svn20180.0

Provides: tex-section-doc
AutoReqProv: No

%description section-doc
Documentation for section

%package seminar
Provides: tex-seminar = %{tl_version}
License: LPPL 1.2
Summary: Make overhead slides
Version: svn34011.1.62

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(hyperref.sty)
Requires: tex(pst-ovl.sty)
Requires: tex(doc.sty)
Requires: tex(article.sty)
Requires: tex(fancybox.sty)
Provides: tex(npsfont.sty) = %{tl_version}
Provides: tex(sem-a4.sty) = %{tl_version}
Provides: tex(sem-dem.sty) = %{tl_version}
Provides: tex(sem-page.sty) = %{tl_version}
Provides: tex(semcolor.sty) = %{tl_version}
Provides: tex(semhelv.sty) = %{tl_version}
Provides: tex(seminar.bg2) = %{tl_version}
Provides: tex(seminar.bug) = %{tl_version}
Provides: tex(seminar.cls) = %{tl_version}
Provides: tex(seminar.sty) = %{tl_version}
Provides: tex(semlayer.sty) = %{tl_version}
Provides: tex(semlcmss.sty) = %{tl_version}
Provides: tex(semrot.sty) = %{tl_version}
Provides: tex(slidesec.sty) = %{tl_version}
Provides: tex(tvz-code.sty) = %{tl_version}
Provides: tex(tvz-hax.sty) = %{tl_version}
Provides: tex(tvz-user.sty) = %{tl_version}

%description seminar
A class that produces overhead slides (transparencies), with
many facilities. The class requires availability of the
fancybox package. Seminar is also the basis of other classes,
such as prosper. In fact, seminar is not nowadays reckoned a
good basis for a presentation -- users are advised to use more
recent classes such as powerdot or beamer, both of which are
tuned to 21st-century presentation styles. Note that the
seminar distribution relies on the xcomment package, which was
once part of the bundle, but now has a separate existence.

%package seminar-doc
Summary: Documentation for seminar
Version: svn34011.1.62

Provides: tex-seminar-doc
AutoReqProv: No

%description seminar-doc
Documentation for seminar

%package sepnum
Provides: tex-sepnum = %{tl_version}
License: LPPL
Summary: Print numbers in a "friendly" format
Version: svn20186.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sepnum.sty) = %{tl_version}

%description sepnum
Provides a command to print a number with (potentially
different) separators every three digits in the parts either
side of the decimal point (the point itself is also
configurable). The macro is fully expandable and not fragile
(unless one of the separators is). There is also a command
\sepnumform, that may be used when defining \the<counter>
macros.

%package sepnum-doc
Summary: Documentation for sepnum
Version: svn20186.2.0

Provides: tex-sepnum-doc
AutoReqProv: No

%description sepnum-doc
Documentation for sepnum

%package setspace
Provides: tex-setspace = %{tl_version}
License: Copyright only
Summary: Set space between lines
Version: svn24881.6.7a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(setspace.sty) = %{tl_version}

%description setspace
Provides support for setting the spacing between lines in a
document. Package options include singlespacing,
onehalfspacing, and doublespacing. Alternatively the spacing
can be changed as required with the \singlespacing,
\onehalfspacing, and \doublespacing commands. Other size
spacings also available.

%package setspace-doc
Summary: Documentation for setspace
Version: svn24881.6.7a

Provides: tex-setspace-doc
AutoReqProv: No

%description setspace-doc
Documentation for setspace

%package subfig
Provides: tex-subfig = %{tl_version}
License: LPPL
Summary: Figures broken into subfigures
Version: svn15878.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(caption.sty)
Requires: tex(caption3.sty)
Provides: tex(altsf.cfg) = %{tl_version}
Provides: tex(subfig.sty) = %{tl_version}

%description subfig
The package provides support for the manipulation and reference
of small or 'sub' figures and tables within a single figure or
table environment. It is convenient to use this package when
your subfigures are to be separately captioned, referenced, or
are to be included in the List-of-Figures. A new \subfigure
command is introduced which can be used inside a figure
environment for each subfigure. An optional first argument is
used as the caption for that subfigure. This package supersedes
the subfigure package (which is no longer maintained). The name
was changed since the package is completely backward compatible
with the older package The major advantage to the new package
is that the user interface is keyword/value driven and easier
to use. To ease the transition from the subfigure package, the
distribution it includes a configuration file (subfig.cfg)
which nearly emulates the subfigure package. The functionality
of the package is provided by the (more recent still)
subcaption package.

%package subfig-doc
Summary: Documentation for subfig
Version: svn15878.1.3

Provides: tex-subfig-doc
AutoReqProv: No

%description subfig-doc
Documentation for subfig

%package textcase
Provides: tex-textcase = %{tl_version}
License: LPPL
Summary: Case conversion ignoring mathematics, etc
Version: svn15878.0
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(textcase.sty) = %{tl_version}

%description textcase
The textcase package offers commands \MakeTextUppercase and
\MakeTextLowercase are similar to the standard \MakeUppercase
and \MakeLowercase, but they do not change the case of any
sections of mathematics, or the arguments of \cite, \label and
\ref commands within the argument. A further command
\NoCaseChange does nothing but suppress case change within its
argument, so to force uppercase of a section including an
environment, one might say:
\MakeTextUppercase{...\NoCaseChange{\begin{foo}}
...\NoCaseChange{\end{foo}}...}

%package textcase-doc
Summary: Documentation for textcase
Version: svn15878.0

Provides: tex-textcase-doc
AutoReqProv: No

%description textcase-doc
Documentation for textcase

%package typehtml
Provides: tex-typehtml = %{tl_version}
License: LPPL
Summary: Typeset HTML directly from LaTeX
Version: svn17134.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(exscale.sty)
Provides: tex(typehtml.sty) = %{tl_version}

%description typehtml
Can handle almost all of HTML2, and most of the math fragment
of the draft HTML3.

%package typehtml-doc
Summary: Documentation for typehtml
Version: svn17134.0

Provides: tex-typehtml-doc
AutoReqProv: No

%description typehtml-doc
Documentation for typehtml

%package underscore
Provides: tex-underscore = %{tl_version}
License: LPPL
Summary: Control the behaviour of "_" in text
Version: svn18261.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(underscore.sty) = %{tl_version}

%description underscore
With the package, \_ in text mode (i.e., \textunderscore)
prints an underscore so that hyphenation of words either side
of it is not affected; a package option controls whether an
actual hyphenation point appears after the underscore, or
merely a break point. The package also arranges that, while in
text, '_' itself behaves as \textunderscore (the behaviour of _
in maths mode is not affected).

%package underscore-doc
Summary: Documentation for underscore
Version: svn18261.0

Provides: tex-underscore-doc
AutoReqProv: No

%description underscore-doc
Documentation for underscore

%package collection-pictures
Summary: Graphics, pictures, diagrams
Version: svn45569
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-aobs-tikz
Requires: texlive-askmaps
Requires: texlive-asyfig
Requires: texlive-asypictureb
Requires: texlive-autoarea
Requires: texlive-bardiag
Requires: texlive-beamerswitch
Requires: texlive-binarytree
Requires: texlive-blochsphere
Requires: texlive-bloques
Requires: texlive-blox
Requires: texlive-bodegraph
Requires: texlive-bondgraph
Requires: texlive-bondgraphs
Requires: texlive-braids
Requires: texlive-bxeepic
Requires: texlive-cachepic
Requires: texlive-callouts
Requires: texlive-celtic
Requires: texlive-chemfig
Requires: texlive-combinedgraphics
Requires: texlive-circuitikz
Requires: texlive-curve
Requires: texlive-curve2e
Requires: texlive-curves
Requires: texlive-dcpic
Requires: texlive-diagmac2
Requires: texlive-doc-pictex-doc
Requires: texlive-dottex
Requires: texlive-dot2texi
Requires: texlive-dratex
Requires: texlive-drs
Requires: texlive-duotenzor
Requires: texlive-dynkin-diagrams
Requires: texlive-ecgdraw
Requires: texlive-eepic
Requires: texlive-ellipse
Requires: texlive-endofproofwd
Requires: texlive-epspdf
Requires: texlive-epspdfconversion
Requires: texlive-esk
Requires: texlive-fast-diagram
Requires: texlive-fig4latex
Requires: texlive-fitbox
Requires: texlive-flowchart
Requires: texlive-forest
Requires: texlive-genealogytree
Requires: texlive-getmap
Requires: texlive-gincltex
Requires: texlive-gnuplottex
Requires: texlive-gradientframe
Requires: texlive-grafcet
Requires: texlive-graphviz
Requires: texlive-gtrlib-largetrees
Requires: texlive-harveyballs
Requires: texlive-here
Requires: texlive-hf-tikz
Requires: texlive-hobby
Requires: texlive-hvfloat
Requires: texlive-istgame
Requires: texlive-knitting
Requires: texlive-knittingpattern
Requires: texlive-ladder
Requires: texlive-lapdf
Requires: texlive-latex-make
Requires: texlive-lpic
Requires: texlive-lroundrect
Requires: texlive-luamesh
Requires: texlive-luasseq
Requires: texlive-maker
Requires: texlive-makeshape
Requires: texlive-mathspic
Requires: texlive-miniplot
Requires: texlive-mkpic
Requires: texlive-modiagram
Requires: texlive-neuralnetwork
Requires: texlive-numericplots
Requires: texlive-pb-diagram
Requires: texlive-petri-nets
Requires: texlive-pgf
Requires: texlive-pgf-blur
Requires: texlive-pgf-soroban
Requires: texlive-pgf-spectra
Requires: texlive-pgf-umlcd
Requires: texlive-pgf-umlsd
Requires: texlive-pgfgantt
Requires: texlive-pgfkeyx
Requires: texlive-pgfmolbio
Requires: texlive-pgfopts
Requires: texlive-pgfornament
Requires: texlive-pgfplots
Requires: texlive-picinpar
Requires: texlive-pict2e
Requires: texlive-pictex
Requires: texlive-pictex2
Requires: texlive-pinlabel
Requires: texlive-pmgraph
Requires: texlive-prerex
Requires: texlive-productbox
Requires: texlive-pxpgfmark
Requires: texlive-qcircuit
Requires: texlive-qrcode
Requires: texlive-randbild
Requires: texlive-randomwalk
Requires: texlive-reotex
Requires: texlive-rviewport
Requires: texlive-sa-tikz
Requires: texlive-schemabloc
Requires: texlive-scsnowman
Requires: texlive-scratch
Requires: texlive-setdeck
Requires: texlive-signchart
Requires: texlive-smartdiagram
Requires: texlive-spath3
Requires: texlive-spectralsequences
Requires: texlive-swimgraf
Requires: texlive-table-fct
Requires: texlive-texdraw
Requires: texlive-ticollege
Requires: texlive-tipfr-doc
Requires: texlive-tikz-3dplot
Requires: texlive-tikz-bayesnet
Requires: texlive-tikz-cd
Requires: texlive-tikz-dependency
Requires: texlive-tikz-dimline
Requires: texlive-tikz-feynman
Requires: texlive-tikz-inet
Requires: texlive-tikz-kalender
Requires: texlive-tikz-opm
Requires: texlive-tikz-optics
Requires: texlive-tikz-page
Requires: texlive-tikz-palattice
Requires: texlive-tikz-qtree
Requires: texlive-tikz-timing
Requires: texlive-tikzcodeblocks
Requires: texlive-tikzducks
Requires: texlive-tikzinclude
Requires: texlive-tikzmark
Requires: texlive-tikzorbital
Requires: texlive-tikzpagenodes
Requires: texlive-tikzpfeile
Requires: texlive-tikzpeople
Requires: texlive-tikzposter
Requires: texlive-tikzscale
Requires: texlive-tikzsymbols
Requires: texlive-timing-diagrams
Requires: texlive-tqft
Requires: texlive-tkz-base
Requires: texlive-tkz-berge
Requires: texlive-tkz-doc
Requires: texlive-tkz-euclide
Requires: texlive-tkz-fct
Requires: texlive-tkz-graph
Requires: texlive-tkz-kiviat
Requires: texlive-tkz-linknodes
Requires: texlive-tkz-orm
Requires: texlive-tkz-tab
Requires: texlive-tsemlines
Requires: texlive-tufte-latex
Requires: texlive-venndiagram
Requires: texlive-visualpstricks-doc
Requires: texlive-xpicture
Requires: texlive-xypic

%description collection-pictures
Including TikZ, pict, etc., but MetaPost and PStricks are
separate.

%package combinedgraphics
Provides: tex-combinedgraphics = %{tl_version}
License: GPL+
Summary: Include graphic (EPS or PDF)/LaTeX combinations
Version: svn27198.0.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Provides: tex(combinedgraphics.sty) = %{tl_version}

%description combinedgraphics
This package provides a macro (\includecombinedgraphics) for
the inclusion of combined EPS/LaTeX and PDF/LaTeX graphics (an
export format of Gnuplot, Xfig, and maybe other programs).
Instead of including the graphics with a simple \input, the
\includecombinedgraphics macro has some comforts: changing the
font and color of the text of the LaTeX part; rescaling the
graphics without affecting the font of the LaTeX part;
automatic inclusion of the vector graphics part, as far as
LaTeX part does not do it (e.g., for files exported from
Gnuplot before version 4.2); and rescaling and rotating of
complete graphics (similar to \includegraphics from the
graphicx package).

%package combinedgraphics-doc
Summary: Documentation for combinedgraphics
Version: svn27198.0.2.2

Provides: tex-combinedgraphics-doc
AutoReqProv: No

%description combinedgraphics-doc
Documentation for combinedgraphics

%package curve
Provides: tex-curve = %{tl_version}
License: LPPL
Summary: A class for making curriculum vitae
Version: svn20745.1.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ltxtable.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(filehook.sty)
Requires: tex(graphicx.sty)
Provides: tex(curve.cls) = %{tl_version}

%description curve
CurVe is a class for writing a CV, with configuration for the
language in which you write. The class provides a set of
commands to create rubrics, entries in these rubrics etc. CurVe
then format the CV (possibly splitting it onto multiple pages,
repeating the titles etc), which is usually the most painful
part of CV writing. Another nice feature of CurVe is its
ability to manage different CV 'flavours' simultaneously. It is
often the case that you want to maintain slightly divergent
versions of your CV at the same time, in order to emphasize on
different aspects of your background. CurVe also comes with
support for use with AUC-TeX.

%package curve-doc
Summary: Documentation for curve
Version: svn20745.1.16

Provides: tex-curve-doc
AutoReqProv: No

%description curve-doc
Documentation for curve

%package curve2e
Provides: tex-curve2e = %{tl_version}
License: LPPL 1.3
Summary: Extensions for package pict2e
Version: svn37839.1.60

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(pict2e.sty)
Provides: tex(curve2e.sty) = %{tl_version}

%description curve2e
The package extends the drawing capacities of the pict2e that
serves as a LaTeX 2e replacement for picture mode. In
particular, curve2e introduces new macros for lines and
vectors, new specifications for line terminations and joins,
arcs with any angular aperture, arcs with arrows at one or both
ends, generic curves specified with their nodes and the tangent
direction at these nodes.

%package curve2e-doc
Summary: Documentation for curve2e
Version: svn37839.1.60

Provides: tex-curve2e-doc
AutoReqProv: No

%description curve2e-doc
Documentation for curve2e

%package curves
Provides: tex-curves = %{tl_version}
License: LPPL
Summary: Curves for LaTeX picture environment
Version: svn45255
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(curves.sty) = %{tl_version}
Provides: tex(curvesls.sty) = %{tl_version}

%description curves
The draws curves in the standard LaTeX picture environment
using parabolas between data points with continuous slope at
joins; for circles and arcs, it uses up to 16 parabolas. The
package also draws symbols or dash patterns along curves. The
package provides facilities equivalent to technical pens with
compasses and French curves. Curves consist of short secants
drawn by overlapping disks or line-drawing \special commands
selected by package options.

%package curves-doc
Summary: Documentation for curves
Version: svn45255
Provides: tex-curves-doc
AutoReqProv: No

%description curves-doc
Documentation for curves

%package dcpic
Provides: tex-dcpic = %{tl_version}
License: LPPL 1.3
Summary: Commutative diagrams in a LaTeX and TeX documents
Version: svn30206.5.0.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dcpic.sty) = %{tl_version}
Provides: tex(europroc.cls) = %{tl_version}

%description dcpic
DCpic is a package for typesetting Commutative Diagrams within
a LaTeX and TeX documents. Its distinguishing features are: a
powerful graphical engine, the PiCTeX package; an easy
specification syntax in which a commutative diagram is
described in terms of its objects and its arrows (morphism),
positioned in a Cartesian coordinate system.

%package dcpic-doc
Summary: Documentation for dcpic
Version: svn30206.5.0.0

Provides: tex-dcpic-doc
AutoReqProv: No

%description dcpic-doc
Documentation for dcpic

%package diagmac2
Provides: tex-diagmac2 = %{tl_version}
License: LPPL
Summary: Diagram macros, using pict2e
Version: svn15878.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pict2e.sty)
Provides: tex(diagmac2.sty) = %{tl_version}

%description diagmac2
This is a development of the long-established diagmac package,
using pict2e so that the restrictions on line direction are
removed.

%package diagmac2-doc
Summary: Documentation for diagmac2
Version: svn15878.2.1

Provides: tex-diagmac2-doc
AutoReqProv: No

%description diagmac2-doc
Documentation for diagmac2

%package doc-pictex-doc
Summary: Documentation for doc-pictex
Version: svn24927.0

Provides: tex-doc-pictex-doc
AutoReqProv: No

%description doc-pictex-doc
Documentation for doc-pictex

%package dottex
Provides: tex-dottex = %{tl_version}
License: GPL+
Summary: Use dot code in LaTeX
Version: svn15878.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(moreverb.sty)
Requires: tex(keyval.sty)
Provides: tex(dottex.sty) = %{tl_version}

%description dottex
The dottex package allows you to encapsulate 'dot' and 'neato'
files in your document (dot and neato are both part of
graphviz; dot creates directed graphs, neato undirected
graphs). If you have shell-escape enabled, the package will
arrange for your files to be processed at LaTeX time;
otherwise, the conversion must be done manually as an
intermediate process before a second LaTeX run.

%package dottex-doc
Summary: Documentation for dottex
Version: svn15878.0.6

Provides: tex-dottex-doc
AutoReqProv: No

%description dottex-doc
Documentation for dottex

%package dot2texi
Provides: tex-dot2texi = %{tl_version}
License: GPL+
Summary: Create graphs within LaTeX using the dot2tex tool
Version: svn26237.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(moreverb.sty)
Requires: tex(xkeyval.sty)
Provides: tex(dot2texi.sty) = %{tl_version}

%description dot2texi
The dot2texi package allows you to embed graphs in the DOT
graph description language in your LaTeX documents. The dot2tex
tool is used to invoke Graphviz for graph layout, and to
transform the output from Graphviz to LaTeX code. The generated
code relies on the TikZ and PGF package or the PSTricks
package. The process is automated if shell escape is enabled.

%package dot2texi-doc
Summary: Documentation for dot2texi
Version: svn26237.3.0

Provides: tex-dot2texi-doc
AutoReqProv: No

%description dot2texi-doc
Documentation for dot2texi

%package dratex
Provides: tex-dratex = %{tl_version}
License: LPPL
Summary: General drawing macros
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(AlDraTex.sty) = %{tl_version}
Provides: tex(DraTex.sty) = %{tl_version}
Provides: tex(TeXProject.sty) = %{tl_version}
Provides: tex(wotree.sty) = %{tl_version}

%description dratex
A low level (DraTex.sty) and a high-level (AlDraTex.sty)
drawing package written entirely in TeX.

%package dratex-doc
Summary: Documentation for dratex
Version: svn15878.0

Provides: tex-dratex-doc
AutoReqProv: No

%description dratex-doc
Documentation for dratex

%package drs
Provides: tex-drs = %{tl_version}
License: LPPL 1.3
Summary: Typeset Discourse Representation Structures (DRS)
Version: svn19232.1.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(drs.sty) = %{tl_version}

%description drs
The package draws Discourse Representation Structures (DRSs).
It can draw embedded DRSs, if-then conditions and
quantificational "duplex conditions" (with a properly scaled
connecting diamond). Formatting parameters allow the user to
control the appearance and placement of DRSs, and of DRS
variables and conditions. The package is based on DRS macros in
the covington package.

%package drs-doc
Summary: Documentation for drs
Version: svn19232.1.1b

Provides: tex-drs-doc
AutoReqProv: No

%description drs-doc
Documentation for drs

%package duotenzor
Provides: tex-duotenzor = %{tl_version}
License: LPPL 1.3
Summary: Drawing package for circuit and duotensor diagrams
Version: svn18728.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(duotenzor.sty) = %{tl_version}

%description duotenzor
This is a drawing package for circuit and duotensor diagrams
within LaTeX documents. It consists of about eighty commands,
calling on TikZ for support.

%package duotenzor-doc
Summary: Documentation for duotenzor
Version: svn18728.1.00

Provides: tex-duotenzor-doc
AutoReqProv: No

%description duotenzor-doc
Documentation for duotenzor

%package eepic
Provides: tex-eepic = %{tl_version}
License: Public Domain
Summary: Extensions to epic and the LaTeX drawing tools
Version: svn15878.1.1e

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eepic.sty) = %{tl_version}
Provides: tex(eepicemu.sty) = %{tl_version}
Provides: tex(epic.sty) = %{tl_version}

%description eepic
Extensions to epic and the LaTeX picture drawing environment,
include the drawing of lines at any slope, the drawing of
circles in any radii, and the drawing of dotted and dashed
lines much faster with much less TeX memory, and providing
several new commands for drawing ellipses, arcs, splines, and
filled circles and ellipses. The package uses tpic \special
commands.

%package eepic-doc
Summary: Documentation for eepic
Version: svn15878.1.1e

Provides: tex-eepic-doc
AutoReqProv: No

%description eepic-doc
Documentation for eepic

%package epspdfconversion
Provides: tex-epspdfconversion = %{tl_version}
License: LPPL
Summary: On-the-fly conversion of EPS to PDF
Version: svn18703.0.61

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Requires: tex(epstopdf-base.sty)
Requires: tex(kvoptions.sty)
Provides: tex(epspdfconversion.sty) = %{tl_version}

%description epspdfconversion
The package calls the epstopdf package to convert EPS graphics
to PDF, on the fly. It servs as a vehicle for passing
conversion options (such as grayscale, prepress or pdfversion)
to the epspdf converter.

%package epspdfconversion-doc
Summary: Documentation for epspdfconversion
Version: svn18703.0.61

Provides: tex-epspdfconversion-doc
AutoReqProv: No

%description epspdfconversion-doc
Documentation for epspdfconversion

%package esk
Provides: tex-esk = %{tl_version}
License: GPL+
Summary: Package to encapsulate Sketch files in LaTeX sources
Version: svn18115.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Requires: tex(kvsetkeys.sty)
Provides: tex(esk.sty) = %{tl_version}

%description esk
The ESK package allows to encapsulate Sketch files in LaTeX
sources. This is very useful for keeping illustrations in sync
with the text. It also frees the user from inventing
descriptive names for new files that fit into the confines of
file system conventions. Sketch is a 3D scene description
language by Eugene K. Ressler and can generate TikZ and
PSTricks code. ESK behaves in a similar fashion to EMP (which
encapsulates Metapost files), and was in fact developed from
it.

%package esk-doc
Summary: Documentation for esk
Version: svn18115.1.0

Provides: tex-esk-doc
AutoReqProv: No

%description esk-doc
Documentation for esk

%package fast-diagram
Provides: tex-fast-diagram = %{tl_version}
License: LPPL 1.3
Summary: Easy generation of FAST diagrams
Version: svn29264.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Requires: tex(relsize.sty)
Requires: tex(xargs.sty)
Provides: tex(fast-diagram.sty) = %{tl_version}

%description fast-diagram
The package provides simple means of producing FAST diagrams,
using TikZ/pgf tools. FAST diagrams are useful for functional
analysis techniques in design methods.

%package fast-diagram-doc
Summary: Documentation for fast-diagram
Version: svn29264.1.1

Provides: tex-fast-diagram-doc
AutoReqProv: No

%description fast-diagram-doc
Documentation for fast-diagram

%package fitbox
Provides: tex-fitbox = %{tl_version}
License: LPPL 1.3
Summary: Fit graphics on a page
Version: svn38139.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Provides: tex(fitbox.sty) = %{tl_version}

%description fitbox
The package allows a box (usually an \includegraphics box) to
fit on the page. It scales the box to the maximal allowed size
within the user-set limits. If there is not enough space on the
page, the box is moved to the next one.

%package fitbox-doc
Summary: Documentation for fitbox
Version: svn38139.1.00

Provides: tex-fitbox-doc
AutoReqProv: No

%description fitbox-doc
Documentation for fitbox

%package flowchart
Provides: tex-flowchart = %{tl_version}
License: LPPL 1.3
Summary: Shapes for drawing flowcharts, using TikZ
Version: svn36572.3.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(makeshape.sty)
Requires: tex(tikz.sty)
Provides: tex(flowchart.sty) = %{tl_version}

%description flowchart
The package provides a set of 'traditional' flowchart element
shapes; the documentation shows how to build a flowchart from
these elements, using pgf/TikZ. The package also requires the
makeshape package.

%package flowchart-doc
Summary: Documentation for flowchart
Version: svn36572.3.3

Provides: tex-flowchart-doc
AutoReqProv: No

%description flowchart-doc
Documentation for flowchart

%package forest
Provides: tex-forest = %{tl_version}
License: LPPL 1.3
Summary: Drawing (linguistic) trees
Version: svn44797
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Requires: tex(pgfopts.sty)
Requires: tex(etoolbox.sty)
Requires: tex(elocalloc.sty)
Requires: tex(environ.sty)
Provides: tex(forest.sty) = %{tl_version}

%description forest
The package is provides a PGF/TikZ-based mechanism for drawing
linguistic (and other kinds of) trees. Its main features are: a
packing algorithm which can produce very compact trees; a user-
friendly interface consisting of the familiar bracket encoding
of trees plus the key-value interface to option-setting; many
tree-formatting options, with control over option values of
individual nodes and mechanisms for their manipulation; the
possibility to decorate the tree using the full power of
PGF/TikZ; and an externalization mechanism sensitive to code-
changes.

%package forest-doc
Summary: Documentation for forest
Version: svn44797
Provides: tex-forest-doc
AutoReqProv: No

%description forest-doc
Documentation for forest

%package genealogytree
Provides: tex-genealogytree = %{tl_version}
License: LPPL 1.3
Summary: Pedigree and genealogical tree diagrams
Version: svn45311
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tcolorbox.sty)
Provides: tex(genealogytree.sty) = %{tl_version}
Provides: tex(gtrcore.contour.code.tex) = %{tl_version}
Provides: tex(gtrcore.drawing.code.tex) = %{tl_version}
Provides: tex(gtrcore.node.code.tex) = %{tl_version}
Provides: tex(gtrcore.options.code.tex) = %{tl_version}
Provides: tex(gtrcore.parser.code.tex) = %{tl_version}
Provides: tex(gtrcore.processing.code.tex) = %{tl_version}
Provides: tex(gtrcore.symbols.code.tex) = %{tl_version}
Provides: tex(gtrlang.english.code.tex) = %{tl_version}
Provides: tex(gtrlang.german.code.tex) = %{tl_version}
Provides: tex(gtrlib.debug.code.tex) = %{tl_version}
Provides: tex(gtrlib.templates.code.tex) = %{tl_version}

%description genealogytree
Pedigree and genealogical tree diagrams are proven tools to
visualize genetic and relational connections between
individuals. The naming ("tree") derives from historical family
diagrams. However, even the smallest family entity consisting
of two parents and several children is hardly a 'mathematical'
tree -- it is a more general graph. The package provides a set
of tools to typeset genealogical trees (i.e., to typeset a set
of special graphs for the description of family-like
structures). The package uses an autolayout algorithm which can
be customized, e.g., to prioritize certain paths.

%package genealogytree-doc
Summary: Documentation for genealogytree
Version: svn45311
Provides: tex-genealogytree-doc
AutoReqProv: No

%description genealogytree-doc
Documentation for genealogytree

%package gincltex
Provides: tex-gincltex = %{tl_version}
License: LPPL 1.3
Summary: Include TeX files as graphics (.tex support for \includegraphics)
Version: svn23835.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(svn-prov.sty)
Requires: tex(adjustbox.sty)
Provides: tex(gincltex.sty) = %{tl_version}

%description gincltex
The package builds on the standard LaTeX packages graphics
and/or graphicx and allows external LaTeX source files to be
included, in the same way as graphic files, by
\includegraphics. In effect, then package adds support for the
.tex extension. Some of the lower level operations like
clipping and trimming are implemented using the adjustbox
package which includes native pdflatex support and uses the pgf
pacakge for other output formats.

%package gincltex-doc
Summary: Documentation for gincltex
Version: svn23835.0.3

Provides: tex-gincltex-doc
AutoReqProv: No

%description gincltex-doc
Documentation for gincltex

%package gnuplottex
Provides: tex-gnuplottex = %{tl_version}
License: GPLv2+
Summary: Embed Gnuplot commands in LaTeX documents
Version: svn41904
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(latexsym.sty)
Requires: tex(graphicx.sty)
Requires: tex(moreverb.sty)
Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Provides: tex(gnuplottex.sty) = %{tl_version}

%description gnuplottex
The package extracts Gnuplot code from the document and writes
it to .gnuplot files. If shell escape is enabled, the graph
files are automatically processed and converted to PostScript
or PDF files, which will then be included. If shell escape is
disabled, the user has to run the files through gnuplot, and re-
run the LaTeX job.

%package gnuplottex-doc
Summary: Documentation for gnuplottex
Version: svn41904
Provides: tex-gnuplottex-doc
AutoReqProv: No

%description gnuplottex-doc
Documentation for gnuplottex

%package gradientframe
Provides: tex-gradientframe = %{tl_version}
License: LPPL 1.3
Summary: Simple gradient frames around objects
Version: svn21387.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(keyval.sty)
Provides: tex(gradientframe.sty) = %{tl_version}

%description gradientframe
The package provides a means of drawing graded frames around
objects. The gradients of the frames are drawn using the color
package.

%package gradientframe-doc
Summary: Documentation for gradientframe
Version: svn21387.0.2

Provides: tex-gradientframe-doc
AutoReqProv: No

%description gradientframe-doc
Documentation for gradientframe

%package grafcet
Provides: tex-grafcet = %{tl_version}
License: LPPL
Summary: Draw Grafcet/SFC with TikZ
Version: svn22509.1.3.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifsym.sty)
Provides: tex(grafcet.sty) = %{tl_version}

%description grafcet
The package provides a library (GRAFCET) that can draw Grafcet
Sequential Function Chart (SFC) diagrams, in accordance with EN
60848, using Pgf/TikZ. L'objectif de la librairie GRAFCET est
de permettre le trace de grafcet selon la norme EN 60848 a
partir de Pgf/TikZ.

%package grafcet-doc
Summary: Documentation for grafcet
Version: svn22509.1.3.5

Provides: tex-grafcet-doc
AutoReqProv: No

%description grafcet-doc
Documentation for grafcet

%package graphviz
Provides: tex-graphviz = %{tl_version}
License: LPPL 1.3
Summary: Write graphviz (dot+neato) inline in LaTeX documents
Version: svn31517.0.94

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(psfrag.sty)
Provides: tex(graphviz.sty) = %{tl_version}

%description graphviz
The package allows inline use of graphviz code, in a LaTeX
document.

%package graphviz-doc
Summary: Documentation for graphviz
Version: svn31517.0.94

Provides: tex-graphviz-doc
AutoReqProv: No

%description graphviz-doc
Documentation for graphviz

%package harveyballs
Provides: tex-harveyballs = %{tl_version}
License: GPLv3+
Summary: Create Harvey Balls using TikZ
Version: svn32003.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(harveyballs.sty) = %{tl_version}

%description harveyballs
The package provides 5 commands (giving symbols that indicate
values from "none" to "full").

%package harveyballs-doc
Summary: Documentation for harveyballs
Version: svn32003.1.1

Provides: tex-harveyballs-doc
AutoReqProv: No

%description harveyballs-doc
Documentation for harveyballs

%package here
Provides: tex-here = %{tl_version}
License: Public Domain
Summary: Emulation of obsolete package for "here" floats
Version: svn16135.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(float.sty)
Provides: tex(here.sty) = %{tl_version}

%description here
Provides the H option for floats in LaTeX to signify that the
environment is not really a float (and should therefore be
placed "here" and not float at all). The package emulates an
older package of the same name, which has long been suppressed
by its author. The job is done by nothing more than loading the
float package, which has long provided the option in an
acceptable framework.

%package here-doc
Summary: Documentation for here
Version: svn16135.0

Provides: tex-here-doc
AutoReqProv: No

%description here-doc
Documentation for here

%package hf-tikz
Provides: tex-hf-tikz = %{tl_version}
License: LPPL 1.3
Summary: A simple way to highlight formulas and formula parts
Version: svn34733.0.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(xparse.sty)
Requires: tex(etoolbox.sty)
Provides: tex(hf-tikz.sty) = %{tl_version}

%description hf-tikz
The package provides a way to highlight formulas and formula
parts in both documents and presentations, us TikZ.

%package hf-tikz-doc
Summary: Documentation for hf-tikz
Version: svn34733.0.3a

Provides: tex-hf-tikz-doc
AutoReqProv: No

%description hf-tikz-doc
Documentation for hf-tikz

%package hobby
Provides: tex-hobby = %{tl_version}
License: LPPL 1.3
Summary: An implementation of Hobby's algorithm for PGF/TikZ
Version: svn44474
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Provides: tex(hobby.code.tex) = %{tl_version}
Provides: tex(pgflibraryhobby.code.tex) = %{tl_version}
Provides: tex(pml3array.sty) = %{tl_version}
Provides: tex(tikzlibraryhobby.code.tex) = %{tl_version}

%description hobby
This package defines a path generation function for PGF/TikZ
which implements Hobby's algorithm for a path built out of
Bezier curves which passes through a given set of points. The
path thus generated may by used as a TikZ 'to path'. The
implementation is in LaTeX3.

%package hobby-doc
Summary: Documentation for hobby
Version: svn44474
Provides: tex-hobby-doc
AutoReqProv: No

%description hobby-doc
Documentation for hobby

%package hvfloat
Provides: tex-hvfloat = %{tl_version}
License: LPPL
Summary: Rotating caption and object of floats independently
Version: svn45347
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(keyval.sty)
Requires: tex(caption.sty)
Provides: tex(hvfloat.sty) = %{tl_version}

%description hvfloat
This package defines a macro to place objects (tables and
figures) and their captions in different positions with
different rotating angles within a float. All objects and
captions can be framed. The main command is \hvFloat{float
type}{floating object}{caption}{label}; a simple example is
\hvFloat{figure}{\includegraphics{rose}}{Caption}{fig:0}.
Options are provided to place captions to the right or left,
and rotated. Setting nonFloat=true results in placing the float
here.

%package hvfloat-doc
Summary: Documentation for hvfloat
Version: svn45347
Provides: tex-hvfloat-doc
AutoReqProv: No

%description hvfloat-doc
Documentation for hvfloat

%package knitting
Provides: tex-knitting = %{tl_version}
License: LPPL 1.3
Summary: Produce knitting charts, in Plain TeX or LaTeX
Version: svn19595.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(color.sty)
Provides: tex(knitfont.map) = %{tl_version}
Provides: tex(knitg_sc_in.tfm) = %{tl_version}
Provides: tex(knitg_sc_out.tfm) = %{tl_version}
Provides: tex(knitgg.tfm) = %{tl_version}
Provides: tex(knitgn.tfm) = %{tl_version}
Provides: tex(knitgp.tfm) = %{tl_version}
Provides: tex(knitn_sc_in.tfm) = %{tl_version}
Provides: tex(knitn_sc_out.tfm) = %{tl_version}
Provides: tex(knitnl.tfm) = %{tl_version}
Provides: tex(knitnn.tfm) = %{tl_version}
Provides: tex(knitnp.tfm) = %{tl_version}
Provides: tex(knitnr.tfm) = %{tl_version}
Provides: tex(knitw_sc_in.tfm) = %{tl_version}
Provides: tex(knitw_sc_out.tfm) = %{tl_version}
Provides: tex(knitwg.tfm) = %{tl_version}
Provides: tex(knitwn.tfm) = %{tl_version}
Provides: tex(knitwp.tfm) = %{tl_version}
Provides: tex(knitg_sc_in.pfb) = %{tl_version}
Provides: tex(knitg_sc_out.pfb) = %{tl_version}
Provides: tex(knitgg.pfb) = %{tl_version}
Provides: tex(knitgn.pfb) = %{tl_version}
Provides: tex(knitgp.pfb) = %{tl_version}
Provides: tex(knitn_sc_in.pfb) = %{tl_version}
Provides: tex(knitn_sc_out.pfb) = %{tl_version}
Provides: tex(knitnl.pfb) = %{tl_version}
Provides: tex(knitnn.pfb) = %{tl_version}
Provides: tex(knitnp.pfb) = %{tl_version}
Provides: tex(knitnr.pfb) = %{tl_version}
Provides: tex(knitw_sc_in.pfb) = %{tl_version}
Provides: tex(knitw_sc_out.pfb) = %{tl_version}
Provides: tex(knitwg.pfb) = %{tl_version}
Provides: tex(knitwn.pfb) = %{tl_version}
Provides: tex(knitwp.pfb) = %{tl_version}
Provides: tex(knitting.sty) = %{tl_version}
Provides: tex(uknit.fd) = %{tl_version}
Provides: tex(knitting.tex) = %{tl_version}

%description knitting
The package provides symbol fonts and commands to write charted
instructions for cable and lace knitting patterns, using either
plain TeX or LaTeX. The fonts are available both as Metafont
source and in Adobe Type 1 format.

%package knitting-doc
Summary: Documentation for knitting
Version: svn19595.2.0

Provides: tex-knitting-doc
AutoReqProv: No

%description knitting-doc
Documentation for knitting

%package knittingpattern
Provides: tex-knittingpattern = %{tl_version}
License: LPPL 1.3
Summary: Create knitting patterns
Version: svn17205.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(float.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(longtable.sty)
Requires: tex(calc.sty)
Requires: tex(xcolor.sty)
Provides: tex(knittingpattern.cls) = %{tl_version}

%description knittingpattern
The class provides a simple, effective method for knitters to
produce high-quality, attractive patterns using LaTeX. It does
this by providing commands to handle as much of the layout of
the document as possible, leaving the author free to
concentrate on the pattern.

%package knittingpattern-doc
Summary: Documentation for knittingpattern
Version: svn17205.0

Provides: tex-knittingpattern-doc
AutoReqProv: No

%description knittingpattern-doc
Documentation for knittingpattern

%package lapdf
Provides: tex-lapdf = %{tl_version}
License: GPL+
Summary: PDF drawing directly in TeX documents
Version: svn23806.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Provides: tex(lapdf.sty) = %{tl_version}

%description lapdf
The package provides the means to use PDF drawing primitives to
produce high quality, colored graphics. It uses Bezier curves
(integral and rational) from degree one to seven, allows TeX
typesetting in the graphic, offers most of the standard math
functions, allows plotting normal, parametric and polar
functions. The package has linear, logx, logy, logxy and polar
grids with many specs; it can rotate, clip and do many nice
things easily it has two looping commands for programming and
many instructive example files. The package requires pdfTeX but
otherwise only depends on the calc package.

%package lapdf-doc
Summary: Documentation for lapdf
Version: svn23806.1.1

Provides: tex-lapdf-doc
AutoReqProv: No

%description lapdf-doc
Documentation for lapdf

%package latex-make
Provides: tex-latex-make = %{tl_version}
License: GPL+
Summary: Easy compiling of complex (and simple) LaTeX documents
Version: svn42914
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(epstopdf.sty)
Requires: tex(ae.sty)
Requires: tex(aeguill.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifxetex.sty)
Provides: tex(figlatex.cfg) = %{tl_version}
Provides: tex(figlatex.sty) = %{tl_version}
Provides: tex(pdfswitch.sty) = %{tl_version}
Provides: tex(texdepends.sty) = %{tl_version}
Provides: tex(texgraphicx.sty) = %{tl_version}

%description latex-make
This package provides several tools that aim to simplify the
compilation of LaTeX documents: LaTeX.mk: a Makefile snippet to
help compiling LaTeX documents in DVI, PDF, PS, ... format.
Dependencies are automatically tracked: one should be able to
compile documents with a one-line Makefile containing 'include
LaTeX.mk'. Complex documents (with multiple bibliographies,
indexes, glossaries, ...) should be correctly managed.
figlatex.sty: a LaTeX package to easily insert xfig figures
(with \includegraphics{file.fig}). It can interact with
LaTeX.mk so that the latter automatically invokes transfig if
needed. And various helper tools for LaTeX.mk This package
requires GNUmake (>= 3.81).

%package latex-make-doc
Summary: Documentation for latex-make
Version: svn42914
Provides: tex-latex-make-doc
AutoReqProv: No

%description latex-make-doc
Documentation for latex-make

%package lpic
Provides: tex-lpic = %{tl_version}
License: LPPL 1.3
Summary: Put LaTeX material over included graphics
Version: svn20843.0.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(epsfig.sty)
Requires: tex(rotating.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(color.sty)
Provides: tex(lpic.sty) = %{tl_version}

%description lpic
The package defines a convenient interface to put any LaTeX
material on top of included graphics. The LaTeX material may
also be rotated and typeset on top of a white box overshadowing
the graphics. The coordinates of the LaTeX boxes are given
relative to the original, unscaled graphics; when the graphics
is rescaled, the LaTeX annotations stay at their right places
(unless you do something extreme). In a draft mode, the package
enables you to draw a coordinate grid over the picture for easy
adjustment of positions of the annotations.

%package lpic-doc
Summary: Documentation for lpic
Version: svn20843.0.8

Provides: tex-lpic-doc
AutoReqProv: No

%description lpic-doc
Documentation for lpic

%package makeshape
Provides: tex-makeshape = %{tl_version}
License: LPPL 1.3
Summary: Declare new PGF shapes
Version: svn28973.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(makeshape.sty) = %{tl_version}

%description makeshape
The package simplifies production of custom shapes with correct
anchor borders, in PGF/TikZ; the only requirement is a PGF path
describing the anchor border. The package also provides macros
that help with the management of shape parameters, and the
definition of anchor points.

%package makeshape-doc
Summary: Documentation for makeshape
Version: svn28973.2.1

Provides: tex-makeshape-doc
AutoReqProv: No

%description makeshape-doc
Documentation for makeshape

%package miniplot
Provides: tex-miniplot = %{tl_version}
License: LPPL
Summary: A package for easy figure arrangement
Version: svn17483.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(graphicx.sty)
Requires: tex(epsfig.sty)
Provides: tex(miniplot.sty) = %{tl_version}

%description miniplot
MiniPlot is a package to help the LaTeX user typeset EPS
figures using an easy-to-use interface. Figures can be arranged
as one-figure-only or as a collection of figures in columns and
rows which can itself contain sub-figures in columns and rows.
Wrapped figures are also supported. This package provides
commands to display a framebox instead of the figure as the
graphics package does already but additionally it writes useful
information such as the label and scaling factor into these
boxes.

%package miniplot-doc
Summary: Documentation for miniplot
Version: svn17483.0

Provides: tex-miniplot-doc
AutoReqProv: No

%description miniplot-doc
Documentation for miniplot

%package modiagram
Provides: tex-modiagram = %{tl_version}
License: LPPL 1.3
Summary: Drawing molecular orbital diagrams
Version: svn38448

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(tikz.sty)
Requires: tex(chemgreek.sty)
Provides: tex(modiagram.sty) = %{tl_version}

%description modiagram
The package provides an environment MOdiagram and some
commands, to create molecular orbital diagrams using TikZ. For
example, the MO diagram of dihydrogen would be written as:
\begin{MOdiagram} \atom{left}{ 1s = {0;up} } \atom{right}{ 1s =
{0;up} } \molecule{ 1sMO = {1;pair, } } \end{MOdiagram} The
package also needs the l3kernel and l3packages bundles from the
LaTeX 3 experimental distribution.

%package modiagram-doc
Summary: Documentation for modiagram
Version: svn38448

Provides: tex-modiagram-doc
AutoReqProv: No

%description modiagram-doc
Documentation for modiagram

%package neuralnetwork
Provides: tex-neuralnetwork = %{tl_version}
License: GPL+
Summary: Graph-drawing for neural networks
Version: svn31500.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(environ.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Requires: tex(algorithmicx.sty)
Requires: tex(mathtools.sty)
Provides: tex(neuralnetwork.sty) = %{tl_version}

%description neuralnetwork
The package provides facilities for graph-drawing, with
facilities designed for neural network diagrams.

%package neuralnetwork-doc
Summary: Documentation for neuralnetwork
Version: svn31500.1.0

Provides: tex-neuralnetwork-doc
AutoReqProv: No

%description neuralnetwork-doc
Documentation for neuralnetwork

%package numericplots
Provides: tex-numericplots = %{tl_version}
License: GPLv3+
Summary: Plot numeric data (including Matlab export) using PSTricks
Version: svn31729.2.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(fp.sty)
Requires: tex(ifthen.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pstricks-add.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xkvview.sty)
Provides: tex(NumericPlots.sty) = %{tl_version}
Provides: tex(NumericPlots_TickLabels.tex) = %{tl_version}
Provides: tex(NumericPlots_labels.tex) = %{tl_version}
Provides: tex(NumericPlots_legend.tex) = %{tl_version}
Provides: tex(NumericPlots_macros.tex) = %{tl_version}
Provides: tex(NumericPlots_styles.tex) = %{tl_version}

%description numericplots
Plotting numeric data is a task which has often to be done for
scientific papers. LaTeX itself provides no facilities for
drawing more than the simplest plots from supplied data. The
package will process user input, and uses PSTricks to plot the
results. The package provides Matlab functions to transform
Matlab results to plottable data.

%package numericplots-doc
Summary: Documentation for numericplots
Version: svn31729.2.0.2

Provides: tex-numericplots-doc
AutoReqProv: No

%description numericplots-doc
Documentation for numericplots

%package pb-diagram
Provides: tex-pb-diagram = %{tl_version}
License: GPLv2+
Summary: A commutative diagram package using LAMSTeX or Xy-pic fonts
Version: svn15878.5.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lamsarrow.sty) = %{tl_version}
Provides: tex(pb-diagram.sty) = %{tl_version}
Provides: tex(pb-lams.sty) = %{tl_version}
Provides: tex(pb-xy.sty) = %{tl_version}

%description pb-diagram
pb-diagram package

%package pb-diagram-doc
Summary: Documentation for pb-diagram
Version: svn15878.5.0

Provides: tex-pb-diagram-doc
AutoReqProv: No

%description pb-diagram-doc
Documentation for pb-diagram

%package pgf-blur
Provides: tex-pgf-blur = %{tl_version}
License: LPPL
Summary: PGF/TikZ package for "blurred" shadows
Version: svn31693.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tikzlibraryshadows.blur.code.tex) = %{tl_version}

%description pgf-blur
The package adds blurred/faded/fuzzy shadows to PGF/TikZ
pictures. It is configured as a TikZ/PGF library module. The
method is similar to that of the author's pst-blur package for
PSTricks.

%package pgf-blur-doc
Summary: Documentation for pgf-blur
Version: svn31693.1.01

Provides: tex-pgf-blur-doc
AutoReqProv: No

%description pgf-blur-doc
Documentation for pgf-blur

%package pgf-soroban
Provides: tex-pgf-soroban = %{tl_version}
License: LPPL
Summary: Create images of the soroban using TikZ/PGF
Version: svn32269.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(tikz.sty)
Provides: tex(pgf-soroban.sty) = %{tl_version}

%description pgf-soroban
The package makes it possible to create pictures of the soroban
(Japanese abacus) using PGF/TikZ

%package pgf-soroban-doc
Summary: Documentation for pgf-soroban
Version: svn32269.1.1

Provides: tex-pgf-soroban-doc
AutoReqProv: No

%description pgf-soroban-doc
Documentation for pgf-soroban

%package pgf-umlcd
Provides: tex-pgf-umlcd = %{tl_version}
License: GPL+
Summary: Some LaTeX macros for UML Class Diagrams
Version: svn33307.0.2.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(pgf-umlcd.sty) = %{tl_version}

%description pgf-umlcd
Some LaTeX macros for UML Class Diagrams.pgf

%package pgf-umlcd-doc
Summary: Documentation for pgf-umlcd
Version: svn33307.0.2.1.1

Provides: tex-pgf-umlcd-doc
AutoReqProv: No

%description pgf-umlcd-doc
Documentation for pgf-umlcd

%package pgf-umlsd
Provides: tex-pgf-umlsd = %{tl_version}
License: GPL+
Summary: Draw UML Sequence Diagrams
Version: svn33045.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Provides: tex(pgf-umlsd.sty) = %{tl_version}

%description pgf-umlsd
LaTeX macros to draw UML diagrams using pgf

%package pgf-umlsd-doc
Summary: Documentation for pgf-umlsd
Version: svn33045.0.7

Provides: tex-pgf-umlsd-doc
AutoReqProv: No

%description pgf-umlsd-doc
Documentation for pgf-umlsd

%package pgfgantt
Provides: tex-pgfgantt = %{tl_version}
License: LPPL 1.3
Summary: Draw Gantt charts with TikZ
Version: svn31037.4.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(pgfcalendar.sty)
Provides: tex(pgfgantt.sty) = %{tl_version}

%description pgfgantt
The package provides an environment for drawing Gantt charts
that contain various elements (titles, bars, milestones, groups
and links). Several keys customize the appearance of the chart
elements.

%package pgfgantt-doc
Summary: Documentation for pgfgantt
Version: svn31037.4.0

Provides: tex-pgfgantt-doc
AutoReqProv: No

%description pgfgantt-doc
Documentation for pgfgantt

%package pgfkeyx
Provides: tex-pgfkeyx = %{tl_version}
License: LPPL 1.3
Summary: Extended and more robust version of pgfkeys
Version: svn26093.0.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pdftexcmds.sty)
Provides: tex(pgfkeyx.sty) = %{tl_version}

%description pgfkeyx
The package extends and improves the robustness of the pgfkeys
package. In particular, it can deal with active comma, equality
sign, and slash in key parsing. The difficulty with active
characters has long been a problem with the pgfkeys package.
The package also introduces handlers beyond those that pgfkeys
can offer.

%package pgfkeyx-doc
Summary: Documentation for pgfkeyx
Version: svn26093.0.0.1

Provides: tex-pgfkeyx-doc
AutoReqProv: No

%description pgfkeyx-doc
Documentation for pgfkeyx

%package pgfmolbio
Provides: tex-pgfmolbio = %{tl_version}
License: LPPL 1.3
Summary: Draw graphs typically found in molecular biology texts
Version: svn35152.0.21

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(luatexbase-modutils.sty)
Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Provides: tex(pgfmolbio.chromatogram.tex) = %{tl_version}
Provides: tex(pgfmolbio.convert.tex) = %{tl_version}
Provides: tex(pgfmolbio.domains.tex) = %{tl_version}
Provides: tex(pgfmolbio.sty) = %{tl_version}

%description pgfmolbio
The package draws graphs typically found in molecular biology
texts. Currently, the package contains modules for drawing DNA
sequencing chromatograms and protein domain diagrams.

%package pgfmolbio-doc
Summary: Documentation for pgfmolbio
Version: svn35152.0.21

Provides: tex-pgfmolbio-doc
AutoReqProv: No

%description pgfmolbio-doc
Documentation for pgfmolbio

%package pgfopts
Provides: tex-pgfopts = %{tl_version}
License: LPPL 1.3
Summary: LaTeX package options with pgfkeys
Version: svn34573.2.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgfkeys.sty)
Provides: tex(pgfopts.sty) = %{tl_version}

%description pgfopts
The pgfkeys package (part of the pgf distribution) is a well-
designed way of defining and using large numbers of keys for
key-value syntaxes. However, pgfkeys itself does not offer
means of handling LaTeX class and package options. This package
adds such option handling to pgfkeys, in the same way that
kvoptions adds the same facility to the LaTeX standard keyval
package.

%package pgfopts-doc
Summary: Documentation for pgfopts
Version: svn34573.2.1a

Provides: tex-pgfopts-doc
AutoReqProv: No

%description pgfopts-doc
Documentation for pgfopts

%package pgfplots
Provides: tex-pgfplots = %{tl_version}
License: GPLv3+
Summary: Create normal/logarithmic plots in two and three dimensions
Version: svn44469
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(listings.sty)
Requires: tex(hyperref.sty)
Requires: tex(tikz.sty)
Requires: tex(luatexbase.sty)
Requires: tex(array.sty)
Provides: tex(t-pgfplots.tex) = %{tl_version}
Provides: tex(t-pgfplotstable.tex) = %{tl_version}
Provides: tex(pgflibrarypgfplots.surfshading.code.tex) = %{tl_version}
Provides: tex(pgfplotslibrary.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.colormaps.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.dateplot.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.decorations.softclip.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.external.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.fillbetween.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.groupplots.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.patchplots.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.polar.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.smithchart.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.statistics.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.ternary.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.units.code.tex) = %{tl_version}
Provides: tex(pgfplotsarray.code.tex) = %{tl_version}
Provides: tex(pgfplotsdeque.code.tex) = %{tl_version}
Provides: tex(pgfplotsliststructure.code.tex) = %{tl_version}
Provides: tex(pgfplotsliststructureext.code.tex) = %{tl_version}
Provides: tex(pgfplotsmatrix.code.tex) = %{tl_version}
Provides: tex(pgfplotstable.code.tex) = %{tl_version}
Provides: tex(pgfplotstable.coltype.code.tex) = %{tl_version}
Provides: tex(pgfplotstableshared.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_loader.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_misc.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfcoreexternal.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfcoreimage.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfcorelayers.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfcorescopes.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfkeys.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfkeysfiltered.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgflibraryfpu.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgflibraryintersections.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgflibraryluamath.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgflibraryplothandlers.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfmanual.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfmanual.pdflinks.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfmanual.prettyprinter.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfmathfloat.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_pgfutil-common-lists.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_tikzexternal.sty) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_tikzexternalshared.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_tikzlibraryexternal.code.tex) = %{tl_version}
Provides: tex(pgfplotsoldpgfsupp_trig_format.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydateplot.code.tex) = %{tl_version}
Provides: tex(pgflibraryfillbetween.code.tex) = %{tl_version}
Provides: tex(tikzlibrarydecorations.softclip.code.tex) = %{tl_version}
Provides: tex(tikzlibraryfillbetween.code.tex) = %{tl_version}
Provides: tex(pgfplots.code.tex) = %{tl_version}
Provides: tex(pgfplots.errorbars.code.tex) = %{tl_version}
Provides: tex(pgfplots.markers.code.tex) = %{tl_version}
Provides: tex(pgfplots.paths.code.tex) = %{tl_version}
Provides: tex(pgfplots.revision.tex) = %{tl_version}
Provides: tex(pgfplots.scaling.code.tex) = %{tl_version}
Provides: tex(pgfplotscoordprocessing.code.tex) = %{tl_version}
Provides: tex(pgfplotscore.code.tex) = %{tl_version}
Provides: tex(pgfplotsmeshplothandler.code.tex) = %{tl_version}
Provides: tex(pgfplotsplothandlers.code.tex) = %{tl_version}
Provides: tex(pgfplotsstackedplots.code.tex) = %{tl_version}
Provides: tex(pgfplotsticks.code.tex) = %{tl_version}
Provides: tex(pgflibrarypgfplots.surfshading.pgfsys-dvipdfmx.def) = %{tl_version}
Provides: tex(pgflibrarypgfplots.surfshading.pgfsys-dvips.def) = %{tl_version}
Provides: tex(pgflibrarypgfplots.surfshading.pgfsys-pdftex.def) = %{tl_version}
Provides: tex(pgflibrarypgfplots.surfshading.pgfsys-xetex.def) = %{tl_version}
Provides: tex(pgfplotssysgeneric.code.tex) = %{tl_version}
Provides: tex(pgfplots.assert.code.tex) = %{tl_version}
Provides: tex(pgfplots.assert.sty) = %{tl_version}
Provides: tex(pgfplotsbinary.code.tex) = %{tl_version}
Provides: tex(pgfplotsbinary.data.code.tex) = %{tl_version}
Provides: tex(pgfplotscolor.code.tex) = %{tl_version}
Provides: tex(pgfplotscolormap.code.tex) = %{tl_version}
Provides: tex(pgfplotsutil.code.tex) = %{tl_version}
Provides: tex(pgfplotsutil.verb.code.tex) = %{tl_version}
Provides: tex(bugtracker.sty) = %{tl_version}
Provides: tex(tikzlibrarypgfplots.clickable.code.tex) = %{tl_version}
Provides: tex(tikzlibrarypgfplotsclickable.code.tex) = %{tl_version}
Provides: tex(pgfplots.sty) = %{tl_version}
Provides: tex(pgfplotstable.sty) = %{tl_version}
Provides: tex(pgfregressiontest.sty) = %{tl_version}
Provides: tex(pgfplots.tex) = %{tl_version}
Provides: tex(pgfplotstable.tex) = %{tl_version}

%description pgfplots
PGFPlots draws high-quality function plots in normal or
logarithmic scaling with a user-friendly interface directly in
TeX. The user supplies axis labels, legend entries and the plot
coordinates for one or more plots and PGFPlots applies axis
scaling, computes any logarithms and axis ticks and draws the
plots, supporting line plots, scatter plots, piecewise constant
plots, bar plots, area plots, mesh-- and surface plots and some
more. Pgfplots is based on PGF/TikZ (pgf); it runs equally for
LaTeX/TeX/ConTeXt.

%package pgfplots-doc
Summary: Documentation for pgfplots
Version: svn44469
Provides: tex-pgfplots-doc
AutoReqProv: No

%description pgfplots-doc
Documentation for pgfplots

%package picinpar
Provides: tex-picinpar = %{tl_version}
License: GPL+
Summary: Insert pictures into paragraphs
Version: svn20374.1.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(picinpar.sty) = %{tl_version}

%description picinpar
A legacy package for creating 'windows' in paragraphs, for
inserting graphics, etc. (including "dropped capitals"). Users
should note that Piet van Oostrum (in a published review of
packages of this sort) does not recommend this package; Picins
is recommended instead.

%package picinpar-doc
Summary: Documentation for picinpar
Version: svn20374.1.2a

Provides: tex-picinpar-doc
AutoReqProv: No

%description picinpar-doc
Documentation for picinpar

%package pict2e
Provides: tex-pict2e = %{tl_version}
License: LPPL
Summary: New implementation of picture commands
Version: svn39591

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(trig.sty)
Provides: tex(p2e-dvipdfm.def) = %{tl_version}
Provides: tex(p2e-dvipdfmx.def) = %{tl_version}
Provides: tex(p2e-dvips.def) = %{tl_version}
Provides: tex(p2e-pctex32.def) = %{tl_version}
Provides: tex(p2e-pctexps.def) = %{tl_version}
Provides: tex(p2e-pdftex.def) = %{tl_version}
Provides: tex(p2e-textures.def) = %{tl_version}
Provides: tex(p2e-vtex.def) = %{tl_version}
Provides: tex(p2e-xetex.def) = %{tl_version}
Provides: tex(pict2e.cfg) = %{tl_version}
Provides: tex(pict2e.sty) = %{tl_version}

%description pict2e
This package was described in the 2nd edition of 'LaTeX: A
Document Preparation System', but the LaTeX project team
declined to produce the package. For a long time, LaTeX has
included a 'pict2e package' that merely produced an apologetic
error message. The new package extends the existing LaTeX
picture environment, using the familiar technique (cf. the
graphics and color packages) of driver files (at present,
drivers for PostScript output from LaTeX, and for use with
PDFLaTeX are available). The package documentation has a fair
number of examples of use, showing where things are improved by
comparison with the LaTeX picture environment.

%package pict2e-doc
Summary: Documentation for pict2e
Version: svn39591

Provides: tex-pict2e-doc
AutoReqProv: No

%description pict2e-doc
Documentation for pict2e

%package pictex
Provides: tex-pictex = %{tl_version}
License: LPPL
Summary: Picture drawing macros for TeX and LaTeX
Version: svn21943.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(errorbars.tex) = %{tl_version}
Provides: tex(latexpicobjs.tex) = %{tl_version}
Provides: tex(piccorr.sty) = %{tl_version}
Provides: tex(picmore.tex) = %{tl_version}
Provides: tex(pictex.sty) = %{tl_version}
Provides: tex(pictex.tex) = %{tl_version}
Provides: tex(pictexwd.sty) = %{tl_version}
Provides: tex(pictexwd.tex) = %{tl_version}
Provides: tex(pointers.tex) = %{tl_version}
Provides: tex(postpictex.tex) = %{tl_version}
Provides: tex(prepictex.tex) = %{tl_version}
Provides: tex(texpictex.tex) = %{tl_version}
Provides: tex(tree.sty) = %{tl_version}

%description pictex
PicTeX is an early, and very comprehensive drawing package,
that mostly draws by placing myriads of small dots to make up
pictures. It has a tendency to run out of space, most
especially of allowable dimensions registers; packages m-pictex
and pictexwd deal with the register problem, in different ways.
Note that full documentation may be bought via the PC-TeX site,
though a command summary is available as free software.
Alternatively, a front-end package such as mathsPiC, which
covers all of PicTeX and has a complete and free manual, could
be used.

%package pictex-doc
Summary: Documentation for pictex
Version: svn21943.1.1

Provides: tex-pictex-doc
AutoReqProv: No

%description pictex-doc
Documentation for pictex

%package pictex2
Provides: tex-pictex2 = %{tl_version}
License: LPPL
Summary: Adds relative coordinates and improves the \plot command
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pictex.sty)
Provides: tex(pictex2.sty) = %{tl_version}

%description pictex2
Adds two user commands to standard PiCTeX. One command uses
relative coordinates, thus eliminating the need to calculate
the coordinate of every point manually as in standard PiCTeX.
The other command modifies \plot to use a rule instead of dots
if the line segment is horizontal or vertical.

%package pinlabel
Provides: tex-pinlabel = %{tl_version}
License: LPPL
Summary: A TeX labelling package
Version: svn24769.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Provides: tex(pinlabel.sty) = %{tl_version}

%description pinlabel
Pinlabel is a labelling package for attaching perfectly
formatted TeX labels to figures and diagrams in both eps and
pdf formats. It is suitable both for labelling a new diagram
and for relabelling an existing diagram. The package uses
coordinates derived from GhostView (or gv) and labels are
placed with automatic and consistent spacing relative to the
object labelled.

%package pinlabel-doc
Summary: Documentation for pinlabel
Version: svn24769.1.2

Provides: tex-pinlabel-doc
AutoReqProv: No

%description pinlabel-doc
Documentation for pinlabel

%package pmgraph
Provides: tex-pmgraph = %{tl_version}
License: GPL+
Summary: "Poor man's" graphics
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pmgraph.sty) = %{tl_version}

%description pmgraph
A set of extensions to LaTeX picture environment, including a
wider range of vectors, and a lot more box frame styles.

%package pmgraph-doc
Summary: Documentation for pmgraph
Version: svn15878.1.0

Provides: tex-pmgraph-doc
AutoReqProv: No

%description pmgraph-doc
Documentation for pmgraph

%package prerex
Provides: tex-prerex = %{tl_version}
License: GPL+
Summary: Interactive editor and macro support for prerequisite charts
Version: svn40613

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(relsize.sty)
Requires: tex(calc.sty)
Requires: tex(pgf.sty)
Requires: tex(tikz.sty)
Requires: tex(textcomp.sty)
Requires: tex(hyperref.sty)
Requires: tex(xcolor.sty)
Provides: tex(prerex.sty) = %{tl_version}

%description prerex
This package consists of prerex.sty, a LaTeX package for
producing charts of course nodes linked by arrows representing
pre- and co-requisites, and prerex, an interactive program for
creating and editing chart descriptions. The implementation of
prerex.sty uses PGF, so that it may be used equally happily
with LaTeX or pdfLaTeX; prerex itself is written in C. The
package includes source code for a previewer application, a
lightweight Qt-4 and poppler-based prerex-enabled PDF viewer.

%package prerex-doc
Summary: Documentation for prerex
Version: svn40613

Provides: tex-prerex-doc
AutoReqProv: No

%description prerex-doc
Documentation for prerex

%package productbox
Provides: tex-productbox = %{tl_version}
License: Copyright only
Summary: Typeset a three-dimensional product box
Version: svn20886.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(tikz.sty)
Provides: tex(productbox.sty) = %{tl_version}

%description productbox
The package enables typesetting of a three-dimensional product
box. This product box can be rendered as it is standing on a
surface and some light is shed onto it. Alternatively it can be
typeset as a wireframe to be cut out and glued together. This
will lead to a physical product box. The package requires pgf
and TikZ.

%package productbox-doc
Summary: Documentation for productbox
Version: svn20886.1.1

Provides: tex-productbox-doc
AutoReqProv: No

%description productbox-doc
Documentation for productbox

%package pxpgfmark
Provides: tex-pxpgfmark = %{tl_version}
License: MIT
Summary: e-pTeX driver for PGF inter-picture connections
Version: svn30212.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pxpgfmark.sty) = %{tl_version}

%description pxpgfmark
The distributed drivers do not support the PGF feature of
"inter-picture connections" under e-pTeX and dvipdfmx. The
package uses existing features of dvipdfmx to fix this problem

%package pxpgfmark-doc
Summary: Documentation for pxpgfmark
Version: svn30212.0.2

Provides: tex-pxpgfmark-doc
AutoReqProv: No

%description pxpgfmark-doc
Documentation for pxpgfmark

%package qcircuit
Provides: tex-qcircuit = %{tl_version}
License: GPLv2+
Summary: Macros to generate quantum ciruits
Version: svn42816
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xy.sty)
Provides: tex(qcircuit.sty) = %{tl_version}

%description qcircuit
The package supports those within the quantum information
community who typeset quantum circuits, using xy-pic package,
offering macros designed to help users generate circuits.

%package qcircuit-doc
Summary: Documentation for qcircuit
Version: svn42816
Provides: tex-qcircuit-doc
AutoReqProv: No

%description qcircuit-doc
Documentation for qcircuit

%package qrcode
Provides: tex-qrcode = %{tl_version}
License: LPPL 1.3
Summary: Generate QR codes in LaTeX
Version: svn36065.1.51

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Provides: tex(qrcode.sty) = %{tl_version}

%description qrcode
The package generates QR (Quick Response) codes in LaTeX,
without the need for PSTricks or any other graphical package.

%package qrcode-doc
Summary: Documentation for qrcode
Version: svn36065.1.51

Provides: tex-qrcode-doc
AutoReqProv: No

%description qrcode-doc
Documentation for qrcode

%package randbild
Provides: tex-randbild = %{tl_version}
License: LPPL
Summary: Marginal pictures
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pst-plot.sty)
Provides: tex(randbild.sty) = %{tl_version}

%description randbild
Provides environments randbild, to draw small marginal plots
(using the package pstricks package pst-plot), and
randbildbasis (the same, only without the automatically drawn
coordinate system).

%package randbild-doc
Summary: Documentation for randbild
Version: svn15878.0.2

Provides: tex-randbild-doc
AutoReqProv: No

%description randbild-doc
Documentation for randbild

%package randomwalk
Provides: tex-randomwalk = %{tl_version}
License: LPPL
Summary: Random walks using TikZ
Version: svn38418

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(tikz.sty)
Requires: tex(lcg.sty)
Provides: tex(randomwalk.sty) = %{tl_version}

%description randomwalk
The randomwalk package provides a user command, \RandomWalk, to
draw random walks with a given number of steps. Lengths and
angles of the steps can be customized in various ways. The
package uses lcg for its 'random' numbers and PGF/TikZ for its
graphical output.

%package randomwalk-doc
Summary: Documentation for randomwalk
Version: svn38418

Provides: tex-randomwalk-doc
AutoReqProv: No

%description randomwalk-doc
Documentation for randomwalk

%package reotex
Provides: tex-reotex = %{tl_version}
License: LPPL
Summary: Draw Reo Channels and Circuits
Version: svn34924.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(tikz.sty)
Requires: tex(verbatim.sty)
Provides: tex(reotex.sty) = %{tl_version}

%description reotex
The package defines macros and other utilities to design Reo
Circuits. The package requires PGF/TikZ support.

%package reotex-doc
Summary: Documentation for reotex
Version: svn34924.1.1

Provides: tex-reotex-doc
AutoReqProv: No

%description reotex-doc
Documentation for reotex

%package rviewport
Provides: tex-rviewport = %{tl_version}
License: LPPL
Summary: Relative Viewport for Graphics Inclusion
Version: svn23739.v1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(rviewport.sty) = %{tl_version}

%description rviewport
Package graphicx provides a useful keyword viewport which
allows to show just a part of an image. However, one needs to
put there the actual coordinates of the viewport window.
Sometimes it is useful to have relative coordinates as
fractions of natural size. For example, one may want to print a
large image on a spread, putting a half on a verso page, and
another half on the next recto page. For this one would need a
viewport occupying exactly one half of the file's bounding box,
whatever the actual width of the image may be. This package
adds a new keyword rviewport to the graphicx package
specifiying Relative Viewport for graphics inclusion: a window
defined by the given fractions of the natural width and height
of the image.

%package rviewport-doc
Summary: Documentation for rviewport
Version: svn23739.v1.0

Provides: tex-rviewport-doc
AutoReqProv: No

%description rviewport-doc
Documentation for rviewport

%package sa-tikz
Provides: tex-sa-tikz = %{tl_version}
License: LPPL 1.3
Summary: TikZ library to draw switching architectures
Version: svn32815.0.7a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(sa-tikz.sty) = %{tl_version}
Provides: tex(tikzlibraryswitching-architectures.code.tex) = %{tl_version}

%description sa-tikz
The package provides a library that offers an easy way to draw
switching architectures and to customize their aspect.

%package sa-tikz-doc
Summary: Documentation for sa-tikz
Version: svn32815.0.7a

Provides: tex-sa-tikz-doc
AutoReqProv: No

%description sa-tikz-doc
Documentation for sa-tikz

%package schemabloc
Provides: tex-schemabloc = %{tl_version}
License: LPPL
Summary: Draw block diagrams, using Tikz
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(tikz.sty)
Provides: tex(schemabloc.sty) = %{tl_version}

%description schemabloc
The package provides a set of macros for constructing block
diagrams, using TikZ. (The blox package is an "English
translation" of this package.)

%package schemabloc-doc
Summary: Documentation for schemabloc
Version: svn15878.1.5

Provides: tex-schemabloc-doc
AutoReqProv: No

%description schemabloc-doc
Documentation for schemabloc

%package setdeck
Provides: tex-setdeck = %{tl_version}
License: GPLv3+
Summary: Typeset cards for Set
Version: svn40613

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Provides: tex(setdeck.sty) = %{tl_version}

%description setdeck
The package will typeset cards for use in a game of Set.

%package setdeck-doc
Summary: Documentation for setdeck
Version: svn40613

Provides: tex-setdeck-doc
AutoReqProv: No

%description setdeck-doc
Documentation for setdeck

%package smartdiagram
Provides: tex-smartdiagram = %{tl_version}
License: LPPL 1.3
Summary: Generate diagrams from lists
Version: svn42781
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xparse.sty)
Requires: tex(xstring.sty)
Provides: tex(smartdiagram.sty) = %{tl_version}
Provides: tex(smartdiagramlibraryadditions.code.tex) = %{tl_version}
Provides: tex(smartdiagramlibrarycore.commands.code.tex) = %{tl_version}
Provides: tex(smartdiagramlibrarycore.definitions.code.tex) = %{tl_version}
Provides: tex(smartdiagramlibrarycore.styles.code.tex) = %{tl_version}

%description smartdiagram
The package will create 'smart' diagrams from lists of items,
for simple documents and for presentations.

%package smartdiagram-doc
Summary: Documentation for smartdiagram
Version: svn42781
Provides: tex-smartdiagram-doc
AutoReqProv: No

%description smartdiagram-doc
Documentation for smartdiagram

%package spath3
Provides: tex-spath3 = %{tl_version}
License: LPPL 1.3
Summary: Manipulate "soft paths" in PGF
Version: svn39794

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(pgf.sty)
Requires: tex(xparse.sty)
Provides: tex(spath3.sty) = %{tl_version}
Provides: tex(tikzlibrarycalligraphy.code.tex) = %{tl_version}
Provides: tex(tikzlibraryknots.code.tex) = %{tl_version}

%description spath3
The spath3 library provides methods for manipulating the "soft
paths" of TikZ/PGF. Packaged with it are two TikZ libraries
that make use of the methods provided. These are libraries for
drawing calligraphic paths and for drawing knot diagrams.

%package spath3-doc
Summary: Documentation for spath3
Version: svn39794

Provides: tex-spath3-doc
AutoReqProv: No

%description spath3-doc
Documentation for spath3

%package swimgraf
Provides: tex-swimgraf = %{tl_version}
License: LPPL
Summary: Graphical/textual representations of swimming performances
Version: svn25446.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(mathpazo.sty)
Requires: tex(pstricks.sty)
Requires: tex(pstcol.sty)
Requires: tex(pst-plot.sty)
Requires: tex(keyval.sty)
Provides: tex(swimgraf.cfg) = %{tl_version}
Provides: tex(swimgraf.sty) = %{tl_version}

%description swimgraf
The package provides two macros that produce representations of
a swimmer's performances. The user records data in a text file
and specifies as arguments of the macros the date range of
interest. The macros extract the relevant information from the
file and process it: \swimgraph produces a graph of the times
in a single swimming event (specified as an argument), plotting
long course and short course times in separate lines. Records
and qualifying times, stored in text files, may optionally be
included on the graph. \swimtext produces a written record of
the times in all events. Files of current world and Canadian
records are included. The package requires the PSTricks and
keyval packages. For attractive output it also requires a
colour output device.

%package swimgraf-doc
Summary: Documentation for swimgraf
Version: svn25446.0

Provides: tex-swimgraf-doc
AutoReqProv: No

%description swimgraf-doc
Documentation for swimgraf

%package texdraw
Provides: tex-texdraw = %{tl_version}
License: CC-BY
Summary: Graphical macros, using embedded PostScript
Version: svn31894.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(blockdiagram.tex) = %{tl_version}
Provides: tex(texdraw.sty) = %{tl_version}
Provides: tex(texdraw.tex) = %{tl_version}
Provides: tex(txdexamp.tex) = %{tl_version}
Provides: tex(txdps.tex) = %{tl_version}
Provides: tex(txdtools.tex) = %{tl_version}

%description texdraw
TeXdraw is a set of macro definitions for TeX, which allow the
user to produce PostScript drawings from within TeX and LaTeX.
TeXdraw has been designed to be extensible. Drawing 'segments'
are relocatable, self-contained units. Using a combination of
the TeX's grouping mechanism and the gsave/grestore mechanism
in PostScript, drawing segments allow for local changes to the
scaling and line parameters. Using TeX's macro definition
capability, new drawing commands can be constructed from
drawing segments.

%package texdraw-doc
Summary: Documentation for texdraw
Version: svn31894.0

Provides: tex-texdraw-doc
AutoReqProv: No

%description texdraw-doc
Documentation for texdraw

%package ticollege
Provides: tex-ticollege = %{tl_version}
License: LPPL
Summary: Graphical representation of keys on a standard scientific calculator
Version: svn36306.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(newtxtt.sty)
Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(mathtools.sty)
Requires: tex(amssymb.sty)
Requires: tex(multido.sty)
Requires: tex(multirow.sty)
Provides: tex(ticollege.sty) = %{tl_version}

%description ticollege
This package provides commands to draw scientific calculator
keys with the help of TikZ. It also provides commands to draw
the content of screens and of menu items.

%package ticollege-doc
Summary: Documentation for ticollege
Version: svn36306.1.0

Provides: tex-ticollege-doc
AutoReqProv: No

%description ticollege-doc
Documentation for ticollege

%package tipfr-doc
Summary: Documentation for tipfr
Version: svn38646

Provides: tex-tipfr-doc
AutoReqProv: No

%description tipfr-doc
Documentation for tipfr

%package tikz-3dplot
Provides: tex-tikz-3dplot = %{tl_version}
License: LPPL 1.3
Summary: Coordinate transformation styles for 3d plotting in TikZ
Version: svn25087.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgf.sty)
Requires: tex(ifthen.sty)
Provides: tex(tikz-3dplot.sty) = %{tl_version}

%description tikz-3dplot
The package provides straightforward ways to define three-
dimensional coordinate frames through which to plot in TikZ.
The user can specify the orientation of the main coordinate
frame, and use standard TikZ commands and coordinates to render
their tikzfigure. A secondary coordinate frame is provided to
allow rotations and translations with respect to the main
coordinate frame. In addition, the package can also handle
plotting user-specified functions in spherical polar
coordinates, where both the radius and fill color can be
expressed as parametric functions of polar angles.

%package tikz-3dplot-doc
Summary: Documentation for tikz-3dplot
Version: svn25087.0

Provides: tex-tikz-3dplot-doc
AutoReqProv: No

%description tikz-3dplot-doc
Documentation for tikz-3dplot

%package tikz-bayesnet
Provides: tex-tikz-bayesnet = %{tl_version}
License: LPPL 1.3
Summary: Draw Bayesian networks, graphical models and directed factor graphs
Version: svn38295.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tikzlibrarybayesnet.code.tex) = %{tl_version}

%description tikz-bayesnet
The package provides a library supporting the display of
Bayesian networks, graphical models and (directed) factor
graphs in LaTeX.

%package tikz-bayesnet-doc
Summary: Documentation for tikz-bayesnet
Version: svn38295.0.1

Provides: tex-tikz-bayesnet-doc
AutoReqProv: No

%description tikz-bayesnet-doc
Documentation for tikz-bayesnet

%package tikz-cd
Provides: tex-tikz-cd = %{tl_version}
License: GPLv3+
Summary: Create commutative diagrams with TikZ
Version: svn35485.0.9e

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(tikzlibrarycd.code.tex) = %{tl_version}
Provides: tex(tikz-cd.sty) = %{tl_version}

%description tikz-cd
The general-purpose drawing package TiKZ can be used to typeset
commutative diagrams and other kinds of mathematical pictures,
generating high-quality results. The purpose of this package is
to make the process of creation of such diagrams easier by
providing a convenient set of macros and reasonable default
settings. This package also includes an arrow tip library that
match closely the arrows present in the Computer Modern
typeface.

%package tikz-cd-doc
Summary: Documentation for tikz-cd
Version: svn35485.0.9e

Provides: tex-tikz-cd-doc
AutoReqProv: No

%description tikz-cd-doc
Documentation for tikz-cd

%package tikz-dependency
Provides: tex-tikz-dependency = %{tl_version}
License: (GPLv2 or LPPL) and (GFDL or LPPL)
Summary: A library for drawing dependency graphs
Version: svn42454
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Requires: tex(environ.sty)
Provides: tex(tikz-dependency.sty) = %{tl_version}

%description tikz-dependency
The package provides a library that draws together existing
TikZ facilities to make a comfortable environment for drawing
dependency graphs. Basic facilities of the package include a
lot of styling facilities, to let you personalize the look and
feel of the graphs.

%package tikz-dependency-doc
Summary: Documentation for tikz-dependency
Version: svn42454
Provides: tex-tikz-dependency-doc
AutoReqProv: No

%description tikz-dependency-doc
Documentation for tikz-dependency

%package tikz-dimline
Provides: tex-tikz-dimline = %{tl_version}
License: WTFPL
Summary: Technical dimension lines using PGF/TikZ
Version: svn35805.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(pgfplots.sty)
Requires: tex(ifthen.sty)
Provides: tex(tikz-dimline.sty) = %{tl_version}

%description tikz-dimline
tikz-dimline helps drawing technical dimension lines in TikZ
picture environments. Its usage is similar to some
contributions posted on stackexchange.

%package tikz-dimline-doc
Summary: Documentation for tikz-dimline
Version: svn35805.1.0

Provides: tex-tikz-dimline-doc
AutoReqProv: No

%description tikz-dimline-doc
Documentation for tikz-dimline

%package tikz-inet
Provides: tex-tikz-inet = %{tl_version}
License: LPPL
Summary: Draw interaction nets with TikZ
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Provides: tex(tikz-inet.sty) = %{tl_version}

%description tikz-inet
The package extends TikZ with macros to draw interaction nets.

%package tikz-inet-doc
Summary: Documentation for tikz-inet
Version: svn15878.0.1

Provides: tex-tikz-inet-doc
AutoReqProv: No

%description tikz-inet-doc
Documentation for tikz-inet

%package tikz-opm
Provides: tex-tikz-opm = %{tl_version}
License: LPPL 1.3
Summary: Typeset OPM diagrams
Version: svn32769.0.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(makeshape.sty)
Requires: tex(amsmath.sty)
Provides: tex(tikz-opm.sty) = %{tl_version}

%description tikz-opm
Typeset OPM (Object-Process Methodology) diagrams using LaTeX
and pgf/TikZ.

%package tikz-opm-doc
Summary: Documentation for tikz-opm
Version: svn32769.0.1.1

Provides: tex-tikz-opm-doc
AutoReqProv: No

%description tikz-opm-doc
Documentation for tikz-opm

%package tikz-palattice
Provides: tex-tikz-palattice = %{tl_version}
License: LPPL 1.3
Summary: Draw particle accelerator lattices with TikZ
Version: svn43442
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Requires: tex(siunitx.sty)
Requires: tex(xargs.sty)
Requires: tex(etoolbox.sty)
Provides: tex(tikz-palattice.sty) = %{tl_version}

%description tikz-palattice
This package allows for drawing a map of a particle accelerator
just by giving a list of elements -- similar to lattice files
for simulation software. The package includes 12 common element
types like dipoles, quadrupoles, cavities, or screens, as well
as automatic labels with element names, a legend, a rule, and
an environment to fade out parts of the accelerator. The
coordinate of any element can be saved and used for custom tikz
drawings or annotations. Thereby, lattices can be connected to
draw injection/extraction or even a complete accelerator
facility.

%package tikz-palattice-doc
Summary: Documentation for tikz-palattice
Version: svn43442
Provides: tex-tikz-palattice-doc
AutoReqProv: No

%description tikz-palattice-doc
Documentation for tikz-palattice

%package tikz-qtree
Provides: tex-tikz-qtree = %{tl_version}
License: GPL+
Summary: Use existing qtree syntax for trees in TikZ
Version: svn26108.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgf.sty)
Requires: tex(pgffor.sty)
Requires: tex(tikz.sty)
Provides: tex(pgfsubpic.sty) = %{tl_version}
Provides: tex(pgfsubpic.tex) = %{tl_version}
Provides: tex(pgftree.sty) = %{tl_version}
Provides: tex(pgftree.tex) = %{tl_version}
Provides: tex(tikz-qtree-compat.sty) = %{tl_version}
Provides: tex(tikz-qtree.sty) = %{tl_version}
Provides: tex(tikz-qtree.tex) = %{tl_version}

%description tikz-qtree
The package provides a macro for drawing trees with TikZ using
the easy syntax of Alexis Dimitriadis' Qtree. It improves on
TikZ's standard tree-drawing facility by laying out tree nodes
without collisions; it improves on Qtree by adding lots of
features from TikZ (for example, edge labels, arrows between
nodes); and it improves on pst-qtree in being usable with
pdfTeX and XeTeX.

%package tikz-qtree-doc
Summary: Documentation for tikz-qtree
Version: svn26108.1.2

Provides: tex-tikz-qtree-doc
AutoReqProv: No

%description tikz-qtree-doc
Documentation for tikz-qtree

%package tikz-timing
Provides: tex-tikz-timing = %{tl_version}
License: LPPL
Summary: Easy generation of timing diagrams as tikz pictures
Version: svn21013.0.7d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-svn-prov
Requires: tex(svn-prov.sty)
Requires: tex(pgfopts.sty)
Requires: tex(array.sty)
Requires: tex(booktabs.sty)
Requires: tex(tikz.sty)
Requires: tex(environ.sty)
Requires: tex(amsmath.sty)
Provides: tex(tikz-timing-advnodes.sty) = %{tl_version}
Provides: tex(tikz-timing-arrows.sty) = %{tl_version}
Provides: tex(tikz-timing-beamer.sty) = %{tl_version}
Provides: tex(tikz-timing-clockarrows.sty) = %{tl_version}
Provides: tex(tikz-timing-columntype.sty) = %{tl_version}
Provides: tex(tikz-timing-counters.sty) = %{tl_version}
Provides: tex(tikz-timing-either.sty) = %{tl_version}
Provides: tex(tikz-timing-ifsym.sty) = %{tl_version}
Provides: tex(tikz-timing-interval.sty) = %{tl_version}
Provides: tex(tikz-timing-nicetabs.sty) = %{tl_version}
Provides: tex(tikz-timing-overlays.sty) = %{tl_version}
Provides: tex(tikz-timing.sty) = %{tl_version}

%description tikz-timing
This package provides macros and an environment to generate
timing diagrams (digital waveforms) without much effort. The
TikZ package is used to produce the graphics. The diagrams may
be inserted into text (paragraphs, \hbox, etc.) and into
tikzpictures. A tabular-like environment is provided to produce
larger timing diagrams.

%package tikz-timing-doc
Summary: Documentation for tikz-timing
Version: svn21013.0.7d

Provides: tex-tikz-timing-doc
AutoReqProv: No
Requires: tex-svn-prov-doc

%description tikz-timing-doc
Documentation for tikz-timing

%package svn-prov
Provides: tex-svn-prov = %{tl_version}
License: LPPL
Summary: Subversion variants of \Provides... macros
Version: svn18017.3.1862

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(svn-prov.sty) = %{tl_version}

%description svn-prov
The package introduces Subversion variants of the standard
LaTeX macros \ProvidesPackage, \ProvidesClass and \ProvidesFile
where the file name and date is extracted from Subversion Id
keywords. The file name may also be given explicitly as an
optional argument.

%package svn-prov-doc
Summary: Documentation for svn-prov
Version: svn18017.3.1862

Provides: tex-svn-prov-doc
AutoReqProv: No

%description svn-prov-doc
Documentation for svn-prov

%package tikzinclude
Provides: tex-tikzinclude = %{tl_version}
License: LPPL 1.3
Summary: Import TikZ images from colletions
Version: svn28715.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Requires: tex(etoolbox.sty)
Provides: tex(tikzinclude.sty) = %{tl_version}

%description tikzinclude
The package addresses the problem of importing only one TikZ-
image from a file holding multiple images.

%package tikzinclude-doc
Summary: Documentation for tikzinclude
Version: svn28715.1.0

Provides: tex-tikzinclude-doc
AutoReqProv: No

%description tikzinclude-doc
Documentation for tikzinclude

%package tikzmark
Provides: tex-tikzmark = %{tl_version}
License: LPPL 1.3
Summary: Use TikZ's method of remembering a position on a page
Version: svn44475
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(tikzlibrarytikzmark.code.tex) = %{tl_version}
Provides: tex(tikzmarklibrarylistings.code.tex) = %{tl_version}

%description tikzmark
The tikzmark package defines a command to "remember" a position
on a page for later (or earlier) use, primarily (but not
exclusively) with TikZ.

%package tikzmark-doc
Summary: Documentation for tikzmark
Version: svn44475
Provides: tex-tikzmark-doc
AutoReqProv: No

%description tikzmark-doc
Documentation for tikzmark

%package tikzorbital
Provides: tex-tikzorbital = %{tl_version}
License: LPPL
Summary: Atomic and molecular orbitals using TiKZ
Version: svn36439.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Provides: tex(tikzorbital.sty) = %{tl_version}

%description tikzorbital
Atomic s, p and d orbitals may be drawn, as well as molecular
orbital diagrams.

%package tikzorbital-doc
Summary: Documentation for tikzorbital
Version: svn36439.0

Provides: tex-tikzorbital-doc
AutoReqProv: No

%description tikzorbital-doc
Documentation for tikzorbital

%package tikzpagenodes
Provides: tex-tikzpagenodes = %{tl_version}
License: LPPL
Summary: A single TikZ node for the whole page
Version: svn27723.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifoddpage.sty)
Provides: tex(tikzpagenodes.sty) = %{tl_version}

%description tikzpagenodes
The package provides special PGF/TikZ nodes for the text,
marginpar, footer and header area of the current page. They are
inspired by the 'current page' node defined by PGF/TikZ itself.

%package tikzpagenodes-doc
Summary: Documentation for tikzpagenodes
Version: svn27723.1.1

Provides: tex-tikzpagenodes-doc
AutoReqProv: No

%description tikzpagenodes-doc
Documentation for tikzpagenodes

%package tikzpfeile
Provides: tex-tikzpfeile = %{tl_version}
License: LPPL
Summary: Draw arrows using PGF/TikZ
Version: svn25777.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(kvoptions.sty)
Provides: tex(tikzpfeile.sty) = %{tl_version}

%description tikzpfeile
In a document with a lot of diagrams created with PGF/TikZ,
there is a possibility of the reader being distracted by
different sorts of arrowheads in the diagrams and in the text
(as, e.g., in \rightarrow). The package defines macros to
create all arrows using PGF/TikZ, so as to avoid the problem.

%package tikzpfeile-doc
Summary: Documentation for tikzpfeile
Version: svn25777.1.0

Provides: tex-tikzpfeile-doc
AutoReqProv: No

%description tikzpfeile-doc
Documentation for tikzpfeile

%package tikzposter
Provides: tex-tikzposter = %{tl_version}
License: LPPL 1.2
Summary: Create scientific posters using TikZ
Version: svn32732.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Provides: tex(tikzposter.cls) = %{tl_version}
Provides: tex(tikzposterBackgroundstyles.tex) = %{tl_version}
Provides: tex(tikzposterBlockstyles.tex) = %{tl_version}
Provides: tex(tikzposterColorpalettes.tex) = %{tl_version}
Provides: tex(tikzposterColorstyles.tex) = %{tl_version}
Provides: tex(tikzposterInnerblockstyles.tex) = %{tl_version}
Provides: tex(tikzposterLayoutthemes.tex) = %{tl_version}
Provides: tex(tikzposterNotestyles.tex) = %{tl_version}
Provides: tex(tikzposterTitlestyles.tex) = %{tl_version}

%description tikzposter
A document class provides a simple way of using TikZ for
generating posters. Several formatting options are available,
and spacing and layout of the poster is to a large extent
automated.

%package tikzposter-doc
Summary: Documentation for tikzposter
Version: svn32732.2.0

Provides: tex-tikzposter-doc
AutoReqProv: No

%description tikzposter-doc
Documentation for tikzposter

%package tikzscale
Provides: tex-tikzscale = %{tl_version}
License: LPPL 1.3
Summary: Resize pictures while respecting text size
Version: svn30637.0.2.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(etoolbox.sty)
Requires: tex(pgfkeys.sty)
Requires: tex(xparse.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(xstring.sty)
Provides: tex(tikzscale.sty) = %{tl_version}

%description tikzscale
The package extends the \includegraphics command to support
tikzpictures. It allows scaling of TikZ images and PGFPlots to
a given width or height without changing the text size.

%package tikzscale-doc
Summary: Documentation for tikzscale
Version: svn30637.0.2.6

Provides: tex-tikzscale-doc
AutoReqProv: No

%description tikzscale-doc
Documentation for tikzscale

%package tikzsymbols
Provides: tex-tikzsymbols = %{tl_version}
License: LPPL 1.3
Summary: Some symbols created using TikZ
Version: svn45222
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Requires: tex(xargs.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xspace.sty)
Requires: tex(calc.sty)
Provides: tex(tikzsymbols.sty) = %{tl_version}

%description tikzsymbols
The package provides various emoticons, cooking symbols and
trees.

%package tikzsymbols-doc
Summary: Documentation for tikzsymbols
Version: svn45222
Provides: tex-tikzsymbols-doc
AutoReqProv: No

%description tikzsymbols-doc
Documentation for tikzsymbols

%package timing-diagrams
Provides: tex-timing-diagrams = %{tl_version}
License: LPPL 1.3
Summary: Draw timing diagrams
Version: svn31491.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Provides: tex(timing-diagrams.sty) = %{tl_version}

%description timing-diagrams
The package provides commands to draw and annotate various
kinds of timing diagrams, using Tikz. Documentation is sparse,
but the source and the examples file should be of some use.

%package timing-diagrams-doc
Summary: Documentation for timing-diagrams
Version: svn31491.0

Provides: tex-timing-diagrams-doc
AutoReqProv: No

%description timing-diagrams-doc
Documentation for timing-diagrams

%package tqft
Provides: tex-tqft = %{tl_version}
License: LPPL 1.3
Summary: Drawing TQFT diagrams with TikZ/PGF
Version: svn44455
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pgfkeys.sty)
Requires: tex(pgf.sty)
Provides: tex(tikzlibrarytqft.code.tex) = %{tl_version}
Provides: tex(tqft.sty) = %{tl_version}

%description tqft
The package defines some node shapes useful for drawing TQFT
diagrams with TikZ/PGF. That is, it defines highly customisable
shapes that look like cobordisms between circles, such as those
used in TQFT and other mathematical diagrams.

%package tqft-doc
Summary: Documentation for tqft
Version: svn44455
Provides: tex-tqft-doc
AutoReqProv: No

%description tqft-doc
Documentation for tqft

%package tkz-base
Provides: tex-tkz-base = %{tl_version}
License: LPPL
Summary: Tools for drawing with a cartesian coordinate system
Version: svn22961.1.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(tikz.sty)
Requires: tex(numprint.sty)
Requires: tex(fp.sty)
Provides: tex(tkz-base.cfg) = %{tl_version}
Provides: tex(tkz-base.sty) = %{tl_version}
Provides: tex(tkz-obj-marks.tex) = %{tl_version}
Provides: tex(tkz-obj-points.tex) = %{tl_version}
Provides: tex(tkz-obj-segments.tex) = %{tl_version}
Provides: tex(tkz-tools-arith.tex) = %{tl_version}
Provides: tex(tkz-tools-base.tex) = %{tl_version}
Provides: tex(tkz-tools-math.tex) = %{tl_version}
Provides: tex(tkz-tools-misc.tex) = %{tl_version}
Provides: tex(tkz-tools-obsolete.tex) = %{tl_version}
Provides: tex(tkz-tools-utilities.tex) = %{tl_version}

%description tkz-base
The bundle is a set of packages, designed to give mathematics
teachers (and students) easy access to programming of drawings
with TikZ.

%package tkz-base-doc
Summary: Documentation for tkz-base
Version: svn22961.1.16

Provides: tex-tkz-base-doc
AutoReqProv: No

%description tkz-base-doc
Documentation for tkz-base

%package tkz-berge
Provides: tex-tkz-berge = %{tl_version}
License: LPPL
Summary: Macros for drawing graphs of graph theory
Version: svn22891.1.00c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tkz-tools-arith.tex)
Requires: tex(tkz-graph.sty)
Provides: tex(tkz-arith.sty) = %{tl_version}
Provides: tex(tkz-berge.sty) = %{tl_version}

%description tkz-berge
The package provides a collection of useful macros for drawing
classic graphs of graph theory, or to make other graphs.

%package tkz-berge-doc
Summary: Documentation for tkz-berge
Version: svn22891.1.00c

Provides: tex-tkz-berge-doc
AutoReqProv: No

%description tkz-berge-doc
Documentation for tkz-berge

%package tkz-doc
Provides: tex-tkz-doc = %{tl_version}
License: LPPL
Summary: Documentation macros for the TKZ series of packages
Version: svn22959.1.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(inputenc.sty)
Requires: tex(xkeyval.sty)
Requires: tex(framed.sty)
Requires: tex(eso-pic.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(textcomp.sty)
Requires: tex(fourier.sty)
Requires: tex(berasans.sty)
Requires: tex(beramono.sty)
Requires: tex(footmisc.sty)
Requires: tex(scrpage2.sty)
Requires: tex(makeidx.sty)
Requires: tex(calc.sty)
Requires: tex(tikz.sty)
Requires: tex(multido.sty)
Requires: tex(lscape.sty)
Requires: tex(graphicx.sty)
Requires: tex(array.sty)
Requires: tex(multicol.sty)
Requires: tex(multirow.sty)
Requires: tex(tabularx.sty)
Requires: tex(ragged2e.sty)
Requires: tex(booktabs.sty)
Requires: tex(fixltx2e.sty)
Provides: tex(tkz-doc.cls) = %{tl_version}
Provides: tex(tkzexample.sty) = %{tl_version}

%description tkz-doc
This bundle offers a documentation class (tkz-doc) and a
package (tkzexample). These files are used in the documentation
of the author's packages tkz-tab and tkz-linknodes.

%package tkz-doc-doc
Summary: Documentation for tkz-doc
Version: svn22959.1.1c

Provides: tex-tkz-doc-doc
AutoReqProv: No

%description tkz-doc-doc
Documentation for tkz-doc

%package tkz-euclide
Provides: tex-tkz-euclide = %{tl_version}
License: LPPL
Summary: Tools for drawing Euclidean geometry
Version: svn22830.1.16c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tkz-base.sty)
Provides: tex(tkz-euclide.sty) = %{tl_version}
Provides: tex(tkz-lib-symbols.tex) = %{tl_version}
Provides: tex(tkz-obj-addpoints.tex) = %{tl_version}
Provides: tex(tkz-obj-angles.tex) = %{tl_version}
Provides: tex(tkz-obj-arcs.tex) = %{tl_version}
Provides: tex(tkz-obj-circles.tex) = %{tl_version}
Provides: tex(tkz-obj-lines.tex) = %{tl_version}
Provides: tex(tkz-obj-polygons.tex) = %{tl_version}
Provides: tex(tkz-obj-protractor.tex) = %{tl_version}
Provides: tex(tkz-obj-sectors.tex) = %{tl_version}
Provides: tex(tkz-obj-vectors.tex) = %{tl_version}
Provides: tex(tkz-tools-intersections.tex) = %{tl_version}
Provides: tex(tkz-tools-transformations.tex) = %{tl_version}

%description tkz-euclide
The tkz-euclide package is a set of files, designed to give
math teachers and students) easy access at the programming of
Euclidean geometry with TikZ.

%package tkz-euclide-doc
Summary: Documentation for tkz-euclide
Version: svn22830.1.16c

Provides: tex-tkz-euclide-doc
AutoReqProv: No

%description tkz-euclide-doc
Documentation for tkz-euclide

%package tkz-fct
Provides: tex-tkz-fct = %{tl_version}
License: LPPL
Summary: Tools for drawing graphs of functions
Version: svn22831.1.16c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tkz-base.sty)
Provides: tex(tkz-fct.sty) = %{tl_version}

%description tkz-fct
The tkz-fct package is designed to give math teachers (and
students) easy access to programming graphs of functions with
TikZ and gnuplot.

%package tkz-fct-doc
Summary: Documentation for tkz-fct
Version: svn22831.1.16c

Provides: tex-tkz-fct-doc
AutoReqProv: No

%description tkz-fct-doc
Documentation for tkz-fct

%package tkz-graph
Provides: tex-tkz-graph = %{tl_version}
License: LPPL
Summary: Draw graph-theory graphs
Version: svn22832.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Provides: tex(tkz-graph.sty) = %{tl_version}

%description tkz-graph
The package is designed to create graph diagrams as simply as
possible, using TikZ

%package tkz-graph-doc
Summary: Documentation for tkz-graph
Version: svn22832.1.00

Provides: tex-tkz-graph-doc
AutoReqProv: No

%description tkz-graph-doc
Documentation for tkz-graph

%package tkz-kiviat
Provides: tex-tkz-kiviat = %{tl_version}
License: LPPL
Summary: Draw Kiviat graphs
Version: svn22857.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(tikz.sty)
Provides: tex(tkz-kiviat.sty) = %{tl_version}

%description tkz-kiviat
The package allows the user to draw Kiviat Graphs directly, or
with data from an external file. The drawing is done with the
help of pgfplots.

%package tkz-kiviat-doc
Summary: Documentation for tkz-kiviat
Version: svn22857.0.1

Provides: tex-tkz-kiviat-doc
AutoReqProv: No

%description tkz-kiviat-doc
Documentation for tkz-kiviat

%package tkz-linknodes
Provides: tex-tkz-linknodes = %{tl_version}
License: LPPL
Summary: Link nodes in mathematical environments
Version: svn22833.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Requires: tex(amsmath.sty)
Provides: tex(tkz-linknodes.sty) = %{tl_version}

%description tkz-linknodes
The package arose from a requirement to link the elements of an
amsmath align or aligned environment. The package makes use of
PGF/TikZ. The package documentation relies on the facilities of
the tkz-doc bundle

%package tkz-linknodes-doc
Summary: Documentation for tkz-linknodes
Version: svn22833.1.0c

Provides: tex-tkz-linknodes-doc
AutoReqProv: No

%description tkz-linknodes-doc
Documentation for tkz-linknodes

%package tkz-orm
Provides: tex-tkz-orm = %{tl_version}
License: GPL+
Summary: Create Object-Role Model (ORM) diagrams,
Version: svn39408

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(tkz-orm.sty) = %{tl_version}

%description tkz-orm
The package provides styles for drawing Object-Role Model (ORM)
diagrams in TeX based on the pgf and TikZ picture environment.

%package tkz-orm-doc
Summary: Documentation for tkz-orm
Version: svn39408

Provides: tex-tkz-orm-doc
AutoReqProv: No

%description tkz-orm-doc
Documentation for tkz-orm

%package tkz-tab
Provides: tex-tkz-tab = %{tl_version}
License: LPPL
Summary: Tables of signs and variations using PGF/TikZ
Version: svn22834.1.3c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Provides: tex(tkz-tab.sty) = %{tl_version}

%description tkz-tab
The package provides comprehensive facilities for preparing
lists of signs and variations, using PGF. The package
documentation requires the tkz-doc bundle.

%package tkz-tab-doc
Summary: Documentation for tkz-tab
Version: svn22834.1.3c

Provides: tex-tkz-tab-doc
AutoReqProv: No

%description tkz-tab-doc
Documentation for tkz-tab

%package tsemlines
Provides: tex-tsemlines = %{tl_version}
License: Public Domain
Summary: Support for the ancient \emline macro
Version: svn23440.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tsemlines.sty) = %{tl_version}

%description tsemlines
Occasional Documents appear, that use graphics generated by
texcad from the emtex distribution. These documents often use
the \emline macro, which produced lines at an arbitrary
orientation. The present package emulates the macro, using
TikZ.

%package tufte-latex
Provides: tex-tufte-latex = %{tl_version}
License: ASL 2.0
Summary: Document classes inspired by the work of Edward Tufte
Version: svn37649.3.5.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-xifthen
Requires: tex-ifmtarg
Requires: tex-changepage
Requires: tex-paralist
Requires: tex-sauerj
Requires: tex-placeins
Provides: tex(tufte-book.cls) = %{tl_version}
Provides: tex(tufte-common.def) = %{tl_version}
Provides: tex(tufte-handout.cls) = %{tl_version}

%description tufte-latex
Provided are two classes inspired, respectively, by handouts
and books created by Edward Tufte.

%package tufte-latex-doc
Summary: Documentation for tufte-latex
Version: svn37649.3.5.2

Provides: tex-tufte-latex-doc
AutoReqProv: No
Requires: tex-xifthen-doc
Requires: tex-ifmtarg-doc
Requires: tex-changepage-doc
Requires: tex-paralist-doc
Requires: tex-sauerj-doc
Requires: tex-placeins-doc

%description tufte-latex-doc
Documentation for tufte-latex

%package xifthen
Provides: tex-xifthen = %{tl_version}
License: LPPL
Summary: Extended conditional commands
Version: svn38929

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifmtarg.sty)
Provides: tex(xifthen.sty) = %{tl_version}

%description xifthen
This package extends the ifthen package by implementing new
commands to go within the first argument of \ifthenelse: to
test whether a string is void or not, if a command is defined
or equivalent to another. The package also enables use of
complex expressions as introduced by the package calc, together
with the ability of defining new commands to handle complex
tests. The package requires e-TeX features.

%package xifthen-doc
Summary: Documentation for xifthen
Version: svn38929

Provides: tex-xifthen-doc
AutoReqProv: No

%description xifthen-doc
Documentation for xifthen

%package ifmtarg
Provides: tex-ifmtarg = %{tl_version}
License: LPPL
Summary: If-then-else command for processing potentially empty arguments
Version: svn19363.1.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ifmtarg.sty) = %{tl_version}

%description ifmtarg
ifmtarg package

%package ifmtarg-doc
Summary: Documentation for ifmtarg
Version: svn19363.1.2a

Provides: tex-ifmtarg-doc
AutoReqProv: No

%description ifmtarg-doc
Documentation for ifmtarg

%package paralist
Provides: tex-paralist = %{tl_version}
License: LPPL
Summary: Enumerate and itemize within paragraphs
Version: svn43021
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(paralist.sty) = %{tl_version}

%description paralist
Provides enumerate and itemize environments that can be used
within paragraphs to format the items either as running text or
as separate paragraphs with a preceding number or symbol. Also
provides compacted versions of enumerate and itemize.

%package paralist-doc
Summary: Documentation for paralist
Version: svn43021
Provides: tex-paralist-doc
AutoReqProv: No

%description paralist-doc
Documentation for paralist

%package sauerj
Provides: tex-sauerj = %{tl_version}
License: LPPL
Summary: A bundle of utilities by Jonathan Sauer
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(collect.sty) = %{tl_version}
Provides: tex(metainfo.sty) = %{tl_version}
Provides: tex(optparams.sty) = %{tl_version}
Provides: tex(parcolumns.sty) = %{tl_version}
Provides: tex(processkv.sty) = %{tl_version}
Provides: tex(zahl2string.sty) = %{tl_version}

%description sauerj
The bundle consists of: a tool for collecting text for later re-
use, a tool for typesetting the "meta-information" within a
text, a tool for use in constructing macros with multiple
optional parameters, a package for multiple column parallel
texts, a tool for processing key-value structured lists, and
macros for typesetting a number as a German-language string.

%package sauerj-doc
Summary: Documentation for sauerj
Version: svn15878.0

Provides: tex-sauerj-doc
AutoReqProv: No

%description sauerj-doc
Documentation for sauerj

%package placeins
Provides: tex-placeins = %{tl_version}
License: Public Domain
Summary: Control float placement
Version: svn19848.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(placeins.sty) = %{tl_version}

%description placeins
Defines a \FloatBarrier command, beyond which floats may not
pass; useful, for example, to ensure all floats for a section
appear before the next \section command.

%package placeins-doc
Summary: Documentation for placeins
Version: svn19848.2.2

Provides: tex-placeins-doc
AutoReqProv: No

%description placeins-doc
Documentation for placeins

%package venndiagram
Provides: tex-venndiagram = %{tl_version}
License: LPPL
Summary: Creating Venn diagrams with TikZ
Version: svn40058

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Requires: tex(etoolbox.sty)
Provides: tex(venndiagram.sty) = %{tl_version}

%description venndiagram
The package assists generation of simple two- and three-set
Venn diagrams for lectures or assignment sheets. The package
requires the TikZ package.

%package venndiagram-doc
Summary: Documentation for venndiagram
Version: svn40058

Provides: tex-venndiagram-doc
AutoReqProv: No

%description venndiagram-doc
Documentation for venndiagram

%package xpicture
Provides: tex-xpicture = %{tl_version}
License: LPPL 1.3
Summary: Extensions of LaTeX picture drawing
Version: svn28770.1.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(curve2e.sty)
Requires: tex(xcolor.sty)
Requires: tex(calculus.sty)
Provides: tex(xpicture.sty) = %{tl_version}

%description xpicture
The package extends the facilities of the pict2e and the
curve2e packages, providing extra reference frames, conic
section curves, graphs of elementary functions and other
parametric curves.

%package xpicture-doc
Summary: Documentation for xpicture
Version: svn28770.1.2a

Provides: tex-xpicture-doc
AutoReqProv: No

%description xpicture-doc
Documentation for xpicture

%package xypic
Provides: tex-xypic = %{tl_version}
License: GPL+
Summary: Flexible diagramming macros
Version: svn31859.3.8.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(keyval.sty)
Requires: tex(ifpdf.sty)
Provides: tex(xycirc.enc) = %{tl_version}
Provides: tex(xyd.enc) = %{tl_version}
Provides: tex(xyd2.enc) = %{tl_version}
Provides: tex(xypic.map) = %{tl_version}
Provides: tex(xyatip10.tfm) = %{tl_version}
Provides: tex(xybsql10.tfm) = %{tl_version}
Provides: tex(xybtip10.tfm) = %{tl_version}
Provides: tex(xycirc10.tfm) = %{tl_version}
Provides: tex(xycmat10.tfm) = %{tl_version}
Provides: tex(xycmat11.tfm) = %{tl_version}
Provides: tex(xycmat12.tfm) = %{tl_version}
Provides: tex(xycmbt10.tfm) = %{tl_version}
Provides: tex(xycmbt11.tfm) = %{tl_version}
Provides: tex(xycmbt12.tfm) = %{tl_version}
Provides: tex(xydash10.tfm) = %{tl_version}
Provides: tex(xyeuat10.tfm) = %{tl_version}
Provides: tex(xyeuat11.tfm) = %{tl_version}
Provides: tex(xyeuat12.tfm) = %{tl_version}
Provides: tex(xyeubt10.tfm) = %{tl_version}
Provides: tex(xyeubt11.tfm) = %{tl_version}
Provides: tex(xyeubt12.tfm) = %{tl_version}
Provides: tex(xyline10.tfm) = %{tl_version}
Provides: tex(xyluat10.tfm) = %{tl_version}
Provides: tex(xyluat11.tfm) = %{tl_version}
Provides: tex(xyluat12.tfm) = %{tl_version}
Provides: tex(xylubt10.tfm) = %{tl_version}
Provides: tex(xylubt11.tfm) = %{tl_version}
Provides: tex(xylubt12.tfm) = %{tl_version}
Provides: tex(xymisc10.tfm) = %{tl_version}
Provides: tex(xyqc10.tfm) = %{tl_version}
Provides: tex(xyatip10.pfb) = %{tl_version}
Provides: tex(xybsql10.pfb) = %{tl_version}
Provides: tex(xybtip10.pfb) = %{tl_version}
Provides: tex(xycirc10.pfb) = %{tl_version}
Provides: tex(xycmat10.pfb) = %{tl_version}
Provides: tex(xycmat11.pfb) = %{tl_version}
Provides: tex(xycmat12.pfb) = %{tl_version}
Provides: tex(xycmbt10.pfb) = %{tl_version}
Provides: tex(xycmbt11.pfb) = %{tl_version}
Provides: tex(xycmbt12.pfb) = %{tl_version}
Provides: tex(xydash10.pfb) = %{tl_version}
Provides: tex(xyeuat10.pfb) = %{tl_version}
Provides: tex(xyeuat11.pfb) = %{tl_version}
Provides: tex(xyeuat12.pfb) = %{tl_version}
Provides: tex(xyeubt10.pfb) = %{tl_version}
Provides: tex(xyeubt11.pfb) = %{tl_version}
Provides: tex(xyeubt12.pfb) = %{tl_version}
Provides: tex(xyluat10.pfb) = %{tl_version}
Provides: tex(xyluat11.pfb) = %{tl_version}
Provides: tex(xyluat12.pfb) = %{tl_version}
Provides: tex(xylubt10.pfb) = %{tl_version}
Provides: tex(xylubt11.pfb) = %{tl_version}
Provides: tex(xylubt12.pfb) = %{tl_version}
Provides: tex(movie.cls) = %{tl_version}
Provides: tex(xy.sty) = %{tl_version}
Provides: tex(xy.tex) = %{tl_version}
Provides: tex(xy16textures.tex) = %{tl_version}
Provides: tex(xy17oztex.tex) = %{tl_version}
Provides: tex(xy2cell.tex) = %{tl_version}
Provides: tex(xyall.tex) = %{tl_version}
Provides: tex(xyarc.tex) = %{tl_version}
Provides: tex(xyarrow.tex) = %{tl_version}
Provides: tex(xybarr.tex) = %{tl_version}
Provides: tex(xycmactex.tex) = %{tl_version}
Provides: tex(xycmtip.tex) = %{tl_version}
Provides: tex(xycolor.tex) = %{tl_version}
Provides: tex(xycrayon.tex) = %{tl_version}
Provides: tex(xycurve.tex) = %{tl_version}
Provides: tex(xydummy.tex) = %{tl_version}
Provides: tex(xydvidrv.tex) = %{tl_version}
Provides: tex(xydvips.tex) = %{tl_version}
Provides: tex(xydvitops.tex) = %{tl_version}
Provides: tex(xyemtex.tex) = %{tl_version}
Provides: tex(xyframe.tex) = %{tl_version}
Provides: tex(xygraph.tex) = %{tl_version}
Provides: tex(xyidioms.tex) = %{tl_version}
Provides: tex(xyimport.tex) = %{tl_version}
Provides: tex(xyknot.tex) = %{tl_version}
Provides: tex(xyline.tex) = %{tl_version}
Provides: tex(xymatrix.tex) = %{tl_version}
Provides: tex(xymovie.tex) = %{tl_version}
Provides: tex(xynecula.tex) = %{tl_version}
Provides: tex(xyoztex.tex) = %{tl_version}
Provides: tex(xypdf-co.tex) = %{tl_version}
Provides: tex(xypdf-cu.tex) = %{tl_version}
Provides: tex(xypdf-fr.tex) = %{tl_version}
Provides: tex(xypdf-li.tex) = %{tl_version}
Provides: tex(xypdf-ro.tex) = %{tl_version}
Provides: tex(xypdf.tex) = %{tl_version}
Provides: tex(xypic.sty) = %{tl_version}
Provides: tex(xypic.tex) = %{tl_version}
Provides: tex(xypicture.tex) = %{tl_version}
Provides: tex(xypoly.tex) = %{tl_version}
Provides: tex(xyps-c.tex) = %{tl_version}
Provides: tex(xyps-col.tex) = %{tl_version}
Provides: tex(xyps-f.tex) = %{tl_version}
Provides: tex(xyps-l.tex) = %{tl_version}
Provides: tex(xyps-pro.tex) = %{tl_version}
Provides: tex(xyps-ps.tex) = %{tl_version}
Provides: tex(xyps-r.tex) = %{tl_version}
Provides: tex(xyps-s.tex) = %{tl_version}
Provides: tex(xyps-t.tex) = %{tl_version}
Provides: tex(xyps.tex) = %{tl_version}
Provides: tex(xypsdict.tex) = %{tl_version}
Provides: tex(xypspatt.tex) = %{tl_version}
Provides: tex(xyrecat.tex) = %{tl_version}
Provides: tex(xyrotate.tex) = %{tl_version}
Provides: tex(xysmart.tex) = %{tl_version}
Provides: tex(xytextures.tex) = %{tl_version}
Provides: tex(xytile.tex) = %{tl_version}
Provides: tex(xytips.tex) = %{tl_version}
Provides: tex(xytp-f.tex) = %{tl_version}
Provides: tex(xytpic.tex) = %{tl_version}
Provides: tex(xyv2.tex) = %{tl_version}
Provides: tex(xyweb.tex) = %{tl_version}
Provides: tex(xyxdvi.tex) = %{tl_version}

%description xypic
A package for typesetting a variety of graphs and diagrams with
TeX. Xy-pic works with most formats (including LaTeX, AMS-
LaTeX, AMS-TeX, and plain TeX). The distribution includes
Michael Barr's diag package, which was previously distributed
stand-alone.

%package xypic-doc
Summary: Documentation for xypic
Version: svn31859.3.8.9

Provides: tex-xypic-doc
AutoReqProv: No

%description xypic-doc
Documentation for xypic

%package ESIEEcv
Provides: tex-ESIEEcv = %{tl_version}
License: LPPL
Summary: Curriculum vitae for French use
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tabularx.sty)
Provides: tex(ESIEEcv.sty) = %{tl_version}

%description ESIEEcv
The package allows the user to set up a curriculum vitae as a
French employer will expect.

%package ESIEEcv-doc
Summary: Documentation for ESIEEcv
Version: svn15878.0

Provides: tex-ESIEEcv-doc
AutoReqProv: No

%description ESIEEcv-doc
Documentation for ESIEEcv

%package GS1
Provides: tex-GS1 = %{tl_version}
License: LPPL 1.3
Summary: Typeset EAN barcodes using TeX rules, only
Version: svn44822
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(GS1.sty) = %{tl_version}
Provides: tex(rule-D.sty) = %{tl_version}

%description GS1
The (LaTeX 3) package typesets EAN-8 and EAN-13 barcodes, using
the facilities of the rule-D package.

%package GS1-doc
Summary: Documentation for GS1
Version: svn44822
Provides: tex-GS1-doc
AutoReqProv: No

%description GS1-doc
Documentation for GS1

%package HA-prosper
Provides: tex-HA-prosper = %{tl_version}
License: LPPL
Summary: Patches and improvements for prosper
Version: svn15878.4.21

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(xcomment.sty)
Requires: tex(verbatim.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pifont.sty)
Requires: tex(amssymb.sty)
Requires: tex(palatino.sty)
Requires: tex(mathpazo.sty)
Requires: tex(semhelv.sty)
Requires: tex(multido.sty)
Requires: tex(pst-slpe.sty)
Provides: tex(HA-prosper.cfg) = %{tl_version}
Provides: tex(HA-prosper.sty) = %{tl_version}
Provides: tex(HAPAggie.sty) = %{tl_version}
Provides: tex(HAPcapsules.sty) = %{tl_version}
Provides: tex(HAPciment.sty) = %{tl_version}
Provides: tex(HAPFyma.sty) = %{tl_version}
Provides: tex(HAPHA.sty) = %{tl_version}
Provides: tex(HAPLakar.sty) = %{tl_version}
Provides: tex(HAPsimple.sty) = %{tl_version}
Provides: tex(HAPTCS.sty) = %{tl_version}
Provides: tex(HAPTCSTealBlue.sty) = %{tl_version}
Provides: tex(HAPTCSgrad.sty) = %{tl_version}
Provides: tex(HAPTycja.sty) = %{tl_version}

%description HA-prosper
HA-prosper is a patch for prosper that adds new functionality
to prosper based presentations. Among the new features you will
find automatic generation of a table of contents on each slide,
support for notes and portrait slides. The available styles
demonstrate how to expand the functionality of prosper even
further.

%package HA-prosper-doc
Summary: Documentation for HA-prosper
Version: svn15878.4.21

Provides: tex-HA-prosper-doc
AutoReqProv: No

%description HA-prosper-doc
Documentation for HA-prosper

%package Tabbing
Provides: tex-Tabbing = %{tl_version}
License: LPPL
Summary: Tabbing with accented letters
Version: svn17022.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Tabbing.sty) = %{tl_version}

%description Tabbing
By default, some of the tabbing environment's commands clash
with default accent commands; LaTeX provides the odd commands
\a', etc., to deal with the clash. The package offers a variant
of the tabbing environment which does not create this
difficulty, so that users need not learn two sets of accent
commands.

%package Tabbing-doc
Summary: Documentation for Tabbing
Version: svn17022.0

Provides: tex-Tabbing-doc
AutoReqProv: No

%description Tabbing-doc
Documentation for Tabbing

%package colordoc
Provides: tex-colordoc = %{tl_version}
License: LPPL
Summary: Coloured syntax highlights in documentation
Version: svn18270.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(fixltx2e.sty)
Provides: tex(colordoc.sty) = %{tl_version}

%description colordoc
The package is used in documentation files (that use the doc
package); with it the code listings will highlight (for
example) pairs of curly braces with matching colors. Other
delimiters like \if ... \fi, are highlighted, as are the names
of new commands. All this makes code a little more readable,
and helps during process of writing. Three options are
provided, including a non-color option designed for printing
(which numbers delimiters and underlines new commands).

%package colordoc-doc
Summary: Documentation for colordoc
Version: svn18270.0

Provides: tex-colordoc-doc
AutoReqProv: No

%description colordoc-doc
Documentation for colordoc

%package colorinfo
Provides: tex-colorinfo = %{tl_version}
License: LPPL
Summary: Retrieve colour model and values for defined colours
Version: svn15878.0.3c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(colorinfo.sty) = %{tl_version}

%description colorinfo
colorinfo package

%package colorinfo-doc
Summary: Documentation for colorinfo
Version: svn15878.0.3c

Provides: tex-colorinfo-doc
AutoReqProv: No

%description colorinfo-doc
Documentation for colorinfo

%package colorspace
Provides: tex-colorspace = %{tl_version}
License: LPPL 1.3
Summary: Provides PDF color spaces
Version: svn42228
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xcolor.sty)
Provides: tex(colorspace.sty) = %{tl_version}

%description colorspace
The package provides PDF color spaces. Currently, only spot
colors and overprinting are supported. It requires xcolor, and
supports pdfTeX and luaTeX.

%package colorspace-doc
Summary: Documentation for colorspace
Version: svn42228
Provides: tex-colorspace-doc
AutoReqProv: No

%description colorspace-doc
Documentation for colorspace

%package colortab
Provides: tex-colortab = %{tl_version}
License: LPPL
Summary: Shade cells of tables and halign
Version: svn22155.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(fancybox.sty)
Provides: tex(colortab.sty) = %{tl_version}
Provides: tex(colortab.tex) = %{tl_version}

%description colortab
The package lets you shade or colour the cells in the alignment
environments such as \halign and LaTeX's tabular and array
environments. The colortbl package is to be preferred today
with LaTeX (it assures compatibility with the longtable
package, which is no longer true with colortab); another modern
option is the table-colouring option of the xcolor. However,
colortab remains an adequate solution for use with Plain TeX.

%package colortab-doc
Summary: Documentation for colortab
Version: svn22155.1.0

Provides: tex-colortab-doc
AutoReqProv: No

%description colortab-doc
Documentation for colortab

%package colorwav
Provides: tex-colorwav = %{tl_version}
License: LGPLv2+
Summary: Colours by wavelength of visible light
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(fp.sty)
Provides: tex(colorwav.sty) = %{tl_version}

%description colorwav
The package allows the user to obtain an RGB value (suitable
for use in the color package) from a wavelength of light. The
default unit is nanometres, but other units may be used. Note
that this function is also available within the xcolor.

%package colorwav-doc
Summary: Documentation for colorwav
Version: svn15878.1.0

Provides: tex-colorwav-doc
AutoReqProv: No

%description colorwav-doc
Documentation for colorwav

%package colorweb
Provides: tex-colorweb = %{tl_version}
License: LPPL 1.3
Summary: Extend the color package colour space
Version: svn31490.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(colorweb.sty) = %{tl_version}

%description colorweb
The package makes the 216 "web-safe colours" available to the
standard color package.

%package colorweb-doc
Summary: Documentation for colorweb
Version: svn31490.1.3

Provides: tex-colorweb-doc
AutoReqProv: No

%description colorweb-doc
Documentation for colorweb

%package colourchange
Provides: tex-colourchange = %{tl_version}
License: GPLv3+
Summary: colourchange
Version: svn21741.1.22

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(calc.sty)
Provides: tex(colourchange.sty) = %{tl_version}

%description colourchange
The package allows you to change the colour of the structural
elements (inner theme and outer theme) of your beamer
presentation during the presentation. There is a manual option
but there is also the option to have your structure colour
change from one colour to another as a function of how far
through the presentation you are.

%package colourchange-doc
Summary: Documentation for colourchange
Version: svn21741.1.22

Provides: tex-colourchange-doc
AutoReqProv: No

%description colourchange-doc
Documentation for colourchange

%package combelow
Provides: tex-combelow = %{tl_version}
License: LPPL 1.3
Summary: Typeset "comma-below" letters, as in Romanian
Version: svn18462.0.99f

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(combelow.sty) = %{tl_version}

%description combelow
The package defines a command \cb that positions a comma below
a letter, as required (for example) in Romanian typesetting.
The command is robust, but interferes with hyphenation.

%package combelow-doc
Summary: Documentation for combelow
Version: svn18462.0.99f

Provides: tex-combelow-doc
AutoReqProv: No

%description combelow-doc
Documentation for combelow

%package combine
Provides: tex-combine = %{tl_version}
License: LPPL 1.3
Summary: Bundle individual documents into a single document
Version: svn19361.0.7a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(cite.sty)
Requires: tex(keyval.sty)
Requires: tex(natbib.sty)
Provides: tex(combcite.sty) = %{tl_version}
Provides: tex(combine.cls) = %{tl_version}
Provides: tex(combinet.sty) = %{tl_version}
Provides: tex(combnat.sty) = %{tl_version}

%description combine
The combine class lets you bundle individual documents into a
single document, such as when preparing a conference
proceedings. The auxiliary combinet package puts the titles and
authors from \maketitle commands into the main document's Table
of Contents. The package cooperates with the abstract and
titling packages.

%package combine-doc
Summary: Documentation for combine
Version: svn19361.0.7a

Provides: tex-combine-doc
AutoReqProv: No

%description combine-doc
Documentation for combine

%package comma
Provides: tex-comma = %{tl_version}
License: LPPL
Summary: Formats a number by inserting commas
Version: svn18259.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(comma.sty) = %{tl_version}

%description comma
A flexible package that allows commas (or anything else) to be
inserted every three digits in a number, as in 1,234.

%package comma-doc
Summary: Documentation for comma
Version: svn18259.1.2

Provides: tex-comma-doc
AutoReqProv: No

%description comma-doc
Documentation for comma

%package commado
Provides: tex-commado = %{tl_version}
License: LPPL 1.3
Summary: Expandable iteration on comma-separated and filename lists
Version: svn38875

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(commado.sty) = %{tl_version}
Provides: tex(filesdo.sty) = %{tl_version}

%description commado
The bundle provides two packages: commado and filesdo. The
package commado provides the command \DoWithCSL:
\DoWithCSL{<cmd>}{<list>} applies an existing one-parameter
macro <cmd> to each item in a list <list> in which terms are
separated by commas. The package filesdo provides the command
\DoWithBasesExts: \DoWithBasesExts{<cmd>}{<bases>}{<exts>}
which runs the single parameter command <cmd> on each file
whose base and extension are respectively from the comma-
separated lists <bases> and <exts>. These 'loop'-like commands
are (themselves) entirely expandable. The packages rely on
packages plainpkg, and stacklet

%package commado-doc
Summary: Documentation for commado
Version: svn38875

Provides: tex-commado-doc
AutoReqProv: No

%description commado-doc
Documentation for commado

%package comment
Provides: tex-comment = %{tl_version}
License: GPL+
Summary: Selectively include/excludes portions of text
Version: svn41927
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(comment.sty) = %{tl_version}

%description comment
Selectively include/exclude pieces of text, allowing the user
to define new, separately controlled, comment versions. All
text between \comment ... \endcomment or \begin{comment} ...
\end{comment} is discarded. The opening and closing commands
should appear on a line of their own. No starting spaces,
nothing after it. This environment should work with arbitrary
amounts of comment, and the comment can be arbitrary text.
Other 'comment' environments are defined and
selected/deselected with \includecomment{versiona} and
\excludecoment{versionb} These environments are used as
\versiona ... \endversiona or \begin{versiona} ...
\end{versiona} with the opening and closing commands again on a
line of their own.

%package comment-doc
Summary: Documentation for comment
Version: svn41927
Provides: tex-comment-doc
AutoReqProv: No

%description comment-doc
Documentation for comment

%package concepts
Provides: tex-concepts = %{tl_version}
License: LPPL
Summary: Keeping track of formal 'concepts' for a particular field
Version: svn29020.0.0.5_r1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etextools.sty)
Requires: tex(nth.sty)
Requires: tex(xspace.sty)
Requires: tex(xparse.sty)
Requires: tex(ltxkeys.sty)
Requires: tex(xstring.sty)
Provides: tex(concepts.sty) = %{tl_version}

%description concepts
The package helps to keep track of formal 'concepts' for a
specific field or document. This is particularly useful for
scientific papers (for example, in physics, mathematics or
computer science), which may introduce several concepts (with
their own symbols). The package's commands allow the user to
define a concept (typically, near its first use), and will
ensure consistent use throughout the document. The package
depends on several other packages; while these are fairly
common packages, the user should check the package's README
file for the complete list.

%package concepts-doc
Summary: Documentation for concepts
Version: svn29020.0.0.5_r1

Provides: tex-concepts-doc
AutoReqProv: No

%description concepts-doc
Documentation for concepts

%package concprog
Provides: tex-concprog = %{tl_version}
License: GPL+
Summary: Concert programmes
Version: svn18791.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ConcProg.cls) = %{tl_version}

%description concprog
A class which provides the necessary macros to prepare a
(classical) concert programme; a sample is provided.

%package concprog-doc
Summary: Documentation for concprog
Version: svn18791.0

Provides: tex-concprog-doc
AutoReqProv: No

%description concprog-doc
Documentation for concprog

%package constants
Provides: tex-constants = %{tl_version}
License: LPPL
Summary: Automatic numbering of constants
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(constants.sty) = %{tl_version}

%description constants
The package provides a way to number constants in a
mathematical proof automatically, with a system for
labelling/referencing. In addition, several families of
constants (with different symbols) may be defined.

%package constants-doc
Summary: Documentation for constants
Version: svn15878.1.0

Provides: tex-constants-doc
AutoReqProv: No

%description constants-doc
Documentation for constants

%package contour
Provides: tex-contour = %{tl_version}
License: LPPL
Summary: Print a coloured contour around text
Version: svn18950.2.14

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(trig.sty)
Provides: tex(contour.cfg) = %{tl_version}
Provides: tex(contour.sty) = %{tl_version}

%description contour
This package generates a coloured contour around a given text
in order to enable printing text over a background without the
need of a coloured box around the text.

%package contour-doc
Summary: Documentation for contour
Version: svn18950.2.14

Provides: tex-contour-doc
AutoReqProv: No

%description contour-doc
Documentation for contour

%package contracard
Provides: tex-contracard = %{tl_version}
License: LPPL 1.3
Summary: Generate calling cards for dances
Version: svn31745.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(titlesec.sty)
Provides: tex(contracard.cls) = %{tl_version}

%description contracard
A package and a class used to typeset traditional country
dances, such as contra and square dances, and to create calling
cards for the same.

%package contracard-doc
Summary: Documentation for contracard
Version: svn31745.1.0.1

Provides: tex-contracard-doc
AutoReqProv: No

%description contracard-doc
Documentation for contracard

%package cooking
Provides: tex-cooking = %{tl_version}
License: GPL+
Summary: Typeset recipes
Version: svn15878.0.9b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cooking.sty) = %{tl_version}

%description cooking
The package typesets recipes according to the style used in a
well-respected German cookery book.

%package cooking-doc
Summary: Documentation for cooking
Version: svn15878.0.9b

Provides: tex-cooking-doc
AutoReqProv: No

%description cooking-doc
Documentation for cooking

%package cool
Provides: tex-cool = %{tl_version}
License: LGPLv2+
Summary: COntent-Oriented LaTeX
Version: svn15878.1.35

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(coollist.sty)
Requires: tex(coolstr.sty)
Requires: tex(forloop.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(bbm.sty)
Provides: tex(cool.sty) = %{tl_version}

%description cool
The package (COntent Oriented LaTeX) gives LaTeX the power to
retain mathematical meaning of its expressions in addition to
the typsetting instructions; essentially separating style from
the content of the math. One advantage of keeping mathematical
meaning is that conversion of LaTeX documents to other
executable formats (such as Content MathML or Mathematica code)
is greatly simplified. The package requires the coolstr,
coollist and forloop packages.

%package cool-doc
Summary: Documentation for cool
Version: svn15878.1.35

Provides: tex-cool-doc
AutoReqProv: No

%description cool-doc
Documentation for cool

%package coollist
Provides: tex-coollist = %{tl_version}
License: LGPLv2+
Summary: Manipulate COntent Oriented LaTeX Lists
Version: svn15878.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(coolstr.sty)
Requires: tex(forloop.sty)
Provides: tex(coollist.sty) = %{tl_version}

%description coollist
Lists are defined as a sequence of tokens separated by a comma.
The coollist package allows the user to access certain elements
of the list while neglecting others--essentially turning lists
into a sort of array. List elements are accessed by specifying
the position of the object within the list (the index of the
item).

%package coollist-doc
Summary: Documentation for coollist
Version: svn15878.1.4

Provides: tex-coollist-doc
AutoReqProv: No

%description coollist-doc
Documentation for coollist

%package coolstr
Provides: tex-coolstr = %{tl_version}
License: LGPLv2+
Summary: String manipulation in LaTeX
Version: svn15878.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Provides: tex(coolstr.sty) = %{tl_version}

%description coolstr
Coolstr is a subpackage of the cool bundle that deals with the
manipulation of strings. A string is defined as a sequence of
characters (not tokens). The package provides the ability to
access a specific character of a string, as well as determine
if the string contains numeric or integer data.

%package coolstr-doc
Summary: Documentation for coolstr
Version: svn15878.2.2

Provides: tex-coolstr-doc
AutoReqProv: No

%description coolstr-doc
Documentation for coolstr

%package coolthms
Provides: tex-coolthms = %{tl_version}
License: LPPL
Summary: Reference items in a theorem environment
Version: svn29062.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Requires: tex(hyperref.sty)
Requires: tex(etoolbox.sty)
Requires: tex(scrbase.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(ifthen.sty)
Requires: tex(xargs.sty)
Requires: tex(kvoptions.sty)
Requires: tex(ntheorem.sty)
Requires: tex(cleveref.sty)
Provides: tex(coolthms.sty) = %{tl_version}

%description coolthms
The package provides the means to directly reference items of
lists nested in theorem-like environments (e.g., as 'Theorem 1
a'). The package extends the ntheorem and cleveref packages.
The package also provides other theorem markup commands.

%package coolthms-doc
Summary: Documentation for coolthms
Version: svn29062.1.2

Provides: tex-coolthms-doc
AutoReqProv: No

%description coolthms-doc
Documentation for coolthms

%package cooltooltips
Provides: tex-cooltooltips = %{tl_version}
License: LPPL
Summary: Associate a pop-up window and tooltip with PDF hyperlinks
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Provides: tex(cooltooltips.sty) = %{tl_version}

%description cooltooltips
The cooltooltips package enables a document to contain
hyperlinks that pop up a brief tooltip when the mouse moves
over them and also open a small window containing additional
text. cooltooltips provides the mechanism used by the Visual
LaTeX FAQ to indicate the question that each hyperlink answers.

%package cooltooltips-doc
Summary: Documentation for cooltooltips
Version: svn15878.1.0

Provides: tex-cooltooltips-doc
AutoReqProv: No

%description cooltooltips-doc
Documentation for cooltooltips

%package coordsys
Provides: tex-coordsys = %{tl_version}
License: LPPL
Summary: Draw cartesian coordinate systems
Version: svn15878.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(coordsys.sty) = %{tl_version}
Provides: tex(logsys.sty) = %{tl_version}

%description coordsys
The package provides commands for typesetting number lines
(coordinate axes), coordinate systems and grids in the picture
environment. The package may be integrated with other drawing
mechanisms: the documentation shows examples of drawing graphs
(coordinate tables created by Maple), using the eepic package's
drawing capabilities.

%package coordsys-doc
Summary: Documentation for coordsys
Version: svn15878.1.4

Provides: tex-coordsys-doc
AutoReqProv: No

%description coordsys-doc
Documentation for coordsys

%package copyedit
Provides: tex-copyedit = %{tl_version}
License: LPPL 1.3
Summary: Copyediting support for LaTeX documents
Version: svn37928.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(acronym.sty)
Requires: tex(l3str.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(enumitem.sty)
Provides: tex(copyedit.sty) = %{tl_version}

%description copyedit
This package implements copyediting support for LaTeX
documents. Authors can enjoy the freedom of using, for example,
words with US or UK or Canadian or Australian spelling in a
mixed way, yet, they can choose any one of the usage forms for
their entire document irrespective of kinds of spelling they
have adopted. In the same fashion, the users can have the
benefit of the following features available in the package:
Localization -- British-American-Australian-Canadian Close-up,
Hyphenation, and Spaced words Latin abbreviations Acronyms and
Abbreviations Itemization, nonlocal lists and labels
Parenthetical and serial commas Non-local tokenization in
language through Abbreviations and pronouns.

%package copyedit-doc
Summary: Documentation for copyedit
Version: svn37928.1.6

Provides: tex-copyedit-doc
AutoReqProv: No

%description copyedit-doc
Documentation for copyedit

%package copyrightbox
Provides: tex-copyrightbox = %{tl_version}
License: LPPL
Summary: Provide copyright notices for images in a document
Version: svn24829.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Provides: tex(copyrightbox.sty) = %{tl_version}

%description copyrightbox
The package command \copyrightbox[<placement>]{<image
command>}{<text>}, which places the text as a copyright notice
relating to the matter created by the image command.

%package copyrightbox-doc
Summary: Documentation for copyrightbox
Version: svn24829.0.1

Provides: tex-copyrightbox-doc
AutoReqProv: No

%description copyrightbox-doc
Documentation for copyrightbox

%package coseoul
Provides: tex-coseoul = %{tl_version}
License: LPPL 1.3
Summary: Context sensitive outline elements
Version: svn23862.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(coseoul.sty) = %{tl_version}

%description coseoul
The package provides "relative" commands that may be used in
place of \chapter, \section, etc. The documentation shows a
number of document-management scenarios in which such commands
are valuable.

%package coseoul-doc
Summary: Documentation for coseoul
Version: svn23862.1.1

Provides: tex-coseoul-doc
AutoReqProv: No

%description coseoul-doc
Documentation for coseoul

%package counttexruns
Provides: tex-counttexruns = %{tl_version}
License: LPPL 1.3
Summary: Count compilations of a document
Version: svn27576.1.00a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Provides: tex(counttexruns.sty) = %{tl_version}

%description counttexruns
The package counts how often a LaTeX document is compiled,
keeping the data in an external file. To print the count, can
use the macro \thecounttexruns.

%package counttexruns-doc
Summary: Documentation for counttexruns
Version: svn27576.1.00a

Provides: tex-counttexruns-doc
AutoReqProv: No

%description counttexruns-doc
Documentation for counttexruns

%package courseoutline
Provides: tex-courseoutline = %{tl_version}
License: Copyright only
Summary: Prepare university course outlines
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(courseoutline.cls) = %{tl_version}

%description courseoutline
Courseoutline is a class designed to minimise markup in a
tedious task that needs to be repeated often.

%package courseoutline-doc
Summary: Documentation for courseoutline
Version: svn15878.1.0

Provides: tex-courseoutline-doc
AutoReqProv: No

%description courseoutline-doc
Documentation for courseoutline

%package coursepaper
Provides: tex-coursepaper = %{tl_version}
License: Copyright only
Summary: Prepare university course papers
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(coursepaper.cls) = %{tl_version}

%description coursepaper
Coursepaper is a class with which students can provide simple
course papers, in a uniform design to ease the task of marking.

%package coursepaper-doc
Summary: Documentation for coursepaper
Version: svn15878.2.0

Provides: tex-coursepaper-doc
AutoReqProv: No

%description coursepaper-doc
Documentation for coursepaper

%package coverpage
Provides: tex-coverpage = %{tl_version}
License: LPPL 1.2
Summary: Automatic cover page creation for scientific papers
Version: svn15878.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(url.sty)
Requires: tex(verbatim.sty)
Provides: tex(CoverPage.cfg) = %{tl_version}
Provides: tex(CoverPage.sty) = %{tl_version}

%description coverpage
The package CoverPage was created to supplement scientific
papers with a cover page containing bibliographical
information, a copyright notice, and/or some logos of the
author's institution. The cover page is created (almost)
automatically; this is done by parsing BibTeX information
corresponding to the main document and reading a configuration
file in which the author can set information like the
affiliation he or she is associated with. The cover page
consists of header, body and footer; all three are macros which
can be redefined using \renewcommand, thus allowing easy
customization of the package. Additionally, it should be
stressed that the cover page layout is totally independent of
the main document and its page layout. This package requires
four other packages (keyval, url, textcomp, and verbatim), but
all of them are standard packages and should be part of every
LaTeX installation.

%package coverpage-doc
Summary: Documentation for coverpage
Version: svn15878.1.01

Provides: tex-coverpage-doc
AutoReqProv: No

%description coverpage-doc
Documentation for coverpage

%package cprotect
Provides: tex-cprotect = %{tl_version}
License: LPPL 1.3
Summary: Allow verbatim, etc., in macro arguments
Version: svn21209.1.0e

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(suffix.sty)
Provides: tex(cprotect.sty) = %{tl_version}

%description cprotect
The package defines the macro \cprotect that makes a following
macro proof against verbatim in its argument; as, for example,
\cprotect\section{\verb"foo"} A similar macro \cprotEnv
(applied to the \begin of an environment) sanitises the
behavior of fragile environments. Moving arguments, and
corresponding "tables of ..." work happily.

%package cprotect-doc
Summary: Documentation for cprotect
Version: svn21209.1.0e

Provides: tex-cprotect-doc
AutoReqProv: No

%description cprotect-doc
Documentation for cprotect

%package crbox
Provides: tex-crbox = %{tl_version}
License: LPPL
Summary: Boxes with crossed corners
Version: svn29803.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(biditools.sty)
Provides: tex(crbox.sty) = %{tl_version}

%description crbox
The package implements a \crbox command which produces boxes
with crossing lines at the corners.

%package crbox-doc
Summary: Documentation for crbox
Version: svn29803.0.1

Provides: tex-crbox-doc
AutoReqProv: No

%description crbox-doc
Documentation for crbox

%package crossreference
Provides: tex-crossreference = %{tl_version}
License: LPPL
Summary: Crossreferences within documents
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(crossreference.sty) = %{tl_version}

%description crossreference
The package defines cross-references (essentially 'grand' label
references), which may be listed in a table of cross-
references.

%package crossreference-doc
Summary: Documentation for crossreference
Version: svn15878.0

Provides: tex-crossreference-doc
AutoReqProv: No

%description crossreference-doc
Documentation for crossreference

%package csquotes
Provides: tex-csquotes = %{tl_version}
License: LPPL 1.3
Summary: Context sensitive quotation facilities
Version: svn43469
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(keyval.sty)
Provides: tex(csq-compat.def) = %{tl_version}
Provides: tex(csquotes.cfg) = %{tl_version}
Provides: tex(csquotes.def) = %{tl_version}
Provides: tex(csquotes.sty) = %{tl_version}

%description csquotes
This package provides advanced facilities for inline and
display quotations. It is designed for a wide range of tasks
ranging from the most simple applications to the more complex
demands of formal quotations. The facilities include commands,
environments, and user-definable 'smart quotes' which
dynamically adjust to their context. Quotation marks are
switched automatically if quotations are nested and they can be
adjusted to the current language if the babel package is
available. There are additional facilities designed to cope
with the more specific demands of academic writing, especially
in the humanities and the social sciences. All quote styles as
well as the optional active quotes are freely configurable. The
package is dependent on e-TeX, and requires the author's
etoolbox package.

%package csquotes-doc
Summary: Documentation for csquotes
Version: svn43469
Provides: tex-csquotes-doc
AutoReqProv: No

%description csquotes-doc
Documentation for csquotes

%package csvsimple
Provides: tex-csvsimple = %{tl_version}
License: LPPL 1.3
Summary: Simple CSV file processing
Version: svn41597
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pgfkeys.sty)
Requires: tex(ifthen.sty)
Provides: tex(csvsimple.sty) = %{tl_version}

%description csvsimple
The package provides a simple LaTeX interface for the
processing of files with comma separated values (CSV); it
relies on the key value syntax supported by pgfkeys to simplify
usage. Filtering and table generation is especially supported;
however, this lightweight tool offers no support for data
sorting or data base storage.

%package csvsimple-doc
Summary: Documentation for csvsimple
Version: svn41597
Provides: tex-csvsimple-doc
AutoReqProv: No

%description csvsimple-doc
Documentation for csvsimple

%package cuisine
Provides: tex-cuisine = %{tl_version}
License: LPPL
Summary: Typeset recipes
Version: svn34453.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(nicefrac.sty)
Provides: tex(cuisine.sty) = %{tl_version}

%description cuisine
Typeset recipes with the ingredients lined up with their method
step (somewhat similarly to the layout used in cooking).

%package cuisine-doc
Summary: Documentation for cuisine
Version: svn34453.0.7

Provides: tex-cuisine-doc
AutoReqProv: No

%description cuisine-doc
Documentation for cuisine

%package currfile
Provides: tex-currfile = %{tl_version}
License: LPPL 1.3
Summary: Provide file name and path of input files
Version: svn40725

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(filehook.sty)
Provides: tex(currfile-abspath.sty) = %{tl_version}
Provides: tex(currfile.sty) = %{tl_version}

%description currfile
The package provides macros holding file name information
(directory, base name, extension, full name and full path) for
files read by LaTeX \input and \include macros; it uses the
file hooks provided by the author's filehook. In particular, it
restores the parent file name after the trailing \clearpage of
an \included file; as a result, the macros may be usefully
employed in the page header and footer of the last printed page
of such a file. The depth of inclusion is made available,
together with the "parent" (including file) and "parents" (all
including files to the root of the tree). The package
supersedes FiNK.

%package currfile-doc
Summary: Documentation for currfile
Version: svn40725

Provides: tex-currfile-doc
AutoReqProv: No

%description currfile-doc
Documentation for currfile

%package currvita
Provides: tex-currvita = %{tl_version}
License: GPL+
Summary: Typeset a curriculum vitae
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(currvita.sty) = %{tl_version}

%description currvita
Currvita is a package rather than a class (like most other
curriculum vitae offerings). The author considers that a
curriculum vitae can quite reasonably form part of another
document (such as a letter, or a dissertation).

%package currvita-doc
Summary: Documentation for currvita
Version: svn15878.0

Provides: tex-currvita-doc
AutoReqProv: No

%description currvita-doc
Documentation for currvita

%package cutwin
Provides: tex-cutwin = %{tl_version}
License: LPPL 1.3
Summary: Cut a window in a paragraph, typeset material in it
Version: svn29803.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cutwin.sty) = %{tl_version}

%description cutwin
The package provides facilities to cut windows out of
paragraphs, and to typeset text or other material in the
window. The window may be rectangular, or may have other sorts
of shape.

%package cutwin-doc
Summary: Documentation for cutwin
Version: svn29803.0.1

Provides: tex-cutwin-doc
AutoReqProv: No

%description cutwin-doc
Documentation for cutwin

%package cv
Provides: tex-cv = %{tl_version}
License: GPL+
Summary: A package for creating a curriculum vitae
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(CV.sty) = %{tl_version}

%description cv
The package is distributed with two example files; they (and
their formatted output) constitute the only real documentation.
Note that cv is just a package: you choose the overall
formatting by deciding which class to use, while the package
provides the detailed formatting.

%package cv-doc
Summary: Documentation for cv
Version: svn15878.0

Provides: tex-cv-doc
AutoReqProv: No

%description cv-doc
Documentation for cv

%package cv4tw
Provides: tex-cv4tw = %{tl_version}
License: MIT
Summary: LaTeX CV class, with extended details
Version: svn34577.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(boxedminipage.sty)
Requires: tex(geometry.sty)
Requires: tex(libertine.sty)
Requires: tex(multicol.sty)
Requires: tex(pifont.sty)
Requires: tex(pbox.sty)
Requires: tex(needspace.sty)
Requires: tex(amssymb.sty)
Requires: tex(fontspec.sty)
Requires: tex(fontawesome.sty)
Requires: tex(realboxes.sty)
Requires: tex(array.sty)
Requires: tex(forloop.sty)
Requires: tex(newenviron.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xcolor.sty)
Requires: tex(graphicx.sty)
Requires: tex(xstring.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(lastpage.sty)
Requires: tex(hyperref.sty)
Provides: tex(cv4tw-scheme.sty) = %{tl_version}
Provides: tex(cv4tw-theme-compact.sty) = %{tl_version}
Provides: tex(cv4tw-theme-core.sty) = %{tl_version}
Provides: tex(cv4tw-theme-sharp.sty) = %{tl_version}
Provides: tex(cv4tw-theme-simple.sty) = %{tl_version}
Provides: tex(cv4tw.cls) = %{tl_version}

%description cv4tw
The class offers entries for assets and social networks;
customizable styles are provided. The class comes with no
documentation, but a worked example offers some guidance.

%package cv4tw-doc
Summary: Documentation for cv4tw
Version: svn34577.0.2

Provides: tex-cv4tw-doc
AutoReqProv: No

%description cv4tw-doc
Documentation for cv4tw

%package cweb-latex
Provides: tex-cweb-latex = %{tl_version}
License: GPL+
Summary: A LaTeX version of CWEB
Version: svn28878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Provides: tex(cwbl-german.sty) = %{tl_version}
Provides: tex(cweb.cls) = %{tl_version}
Provides: tex(cwebarray.sty) = %{tl_version}
Provides: tex(cwebbase.tex) = %{tl_version}
Provides: tex(keyvald.sty) = %{tl_version}

%description cweb-latex
This bundle allows marking-up of CWEB code in LaTeX. The
distribution includes the "Counting Words" program distributed
with CWEB, edited to run with LaTeX.

%package cweb-latex-doc
Summary: Documentation for cweb-latex
Version: svn28878.0

Provides: tex-cweb-latex-doc
AutoReqProv: No

%description cweb-latex-doc
Documentation for cweb-latex

%package cyber
Provides: tex-cyber = %{tl_version}
License: MIT
Summary: Annotate compliance with cybersecurity requirements
Version: svn37658.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(longtable.sty)
Requires: tex(color.sty)
Requires: tex(index.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(graphicx.sty)
Provides: tex(cyber.sty) = %{tl_version}

%description cyber
This LaTeX package helps you write documents indicating your
compliance with cybersecurity requirements. It also helps you
format your document in a form suitable inside the U.S.
Department of Defense, by attaching distribution statements,
destruction notices, organization logos, and security labels to
it.

%package cyber-doc
Summary: Documentation for cyber
Version: svn37658.2.1

Provides: tex-cyber-doc
AutoReqProv: No

%description cyber-doc
Documentation for cyber

%package cybercic
Provides: tex-cybercic = %{tl_version}
License: MIT
Summary: "Controls in Contents" for the cyber package
Version: svn37659.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cybercic.sty) = %{tl_version}

%description cybercic
This package is used in concert with the cyber package to make
documents with annotations of compliance with cybersecurity
requirements. "cic" stands for "Controls in Contents", and when
you include this package, some notations of compliance are
added to section names as seen in the table of contents of the
final document. It also makes your document more brittle in
unexpected ways: for example, when you use cybercic in the same
document as hyperref, you cannot use any formatting in your
section titles. So don't use cybercic unless you need to.

%package cybercic-doc
Summary: Documentation for cybercic
Version: svn37659.2.1

Provides: tex-cybercic-doc
AutoReqProv: No

%description cybercic-doc
Documentation for cybercic

%package dashbox
Provides: tex-dashbox = %{tl_version}
License: LPPL
Summary: Draw dashed boxes
Version: svn23425.1.14

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Provides: tex(dashbox.sty) = %{tl_version}

%description dashbox
The package can draw boxes that perform like \framebox or
\fbox, but use dashed lines. The package can also draw (an
illusion of) vertical stacks of boxes.

%package dashbox-doc
Summary: Documentation for dashbox
Version: svn23425.1.14

Provides: tex-dashbox-doc
AutoReqProv: No

%description dashbox-doc
Documentation for dashbox

%package dashrule
Provides: tex-dashrule = %{tl_version}
License: LPPL
Summary: Draw dashed rules
Version: svn29579.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifmtarg.sty)
Provides: tex(dashrule.sty) = %{tl_version}

%description dashrule
The dashrule package makes it easy to draw a huge variety of
dashed rules (i.e., lines) in LaTeX. dashrule provides a
command, \hdashrule, which is a cross between LaTeX's \rule and
PostScript's setdash command. \hdashrule draws horizontally
dashed rules using the same syntax as \rule, but with an
additional, setdash-like parameter that specifies the pattern
of dash segments and the space between those segments. Because
dashrule's rules are constructed internally using \rule (as
opposed to, e.g., PostScript \specials) they are fully
compatible with every LaTeX back-end processor.

%package dashrule-doc
Summary: Documentation for dashrule
Version: svn29579.1.3

Provides: tex-dashrule-doc
AutoReqProv: No

%description dashrule-doc
Documentation for dashrule

%package dashundergaps
Provides: tex-dashundergaps = %{tl_version}
License: LPPL
Summary: Underline with dotted or dashed lines
Version: svn23373.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(ulem.sty)
Provides: tex(dashundergaps.sty) = %{tl_version}

%description dashundergaps
The package provides commands (\underline, \dotuline and
\dashuline) each of which underlines its argument with one of
the styles the package is capable of. A phantom mode is
provided, where the underline (of whatever form) can serve for
a 'fill-in block' for student evaluation sheets.

%package dashundergaps-doc
Summary: Documentation for dashundergaps
Version: svn23373.1.2

Provides: tex-dashundergaps-doc
AutoReqProv: No

%description dashundergaps-doc
Documentation for dashundergaps

%package dataref
Provides: tex-dataref = %{tl_version}
License: LPPL 1.3
Summary: Manage references to experimental data
Version: svn42883
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pgf.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xcolor.sty)
Requires: tex(pdfcomment.sty)
Requires: tex(xtab.sty)
Requires: tex(booktabs.sty)
Provides: tex(dataref.sty) = %{tl_version}

%description dataref
The package provides a mechanism that maintains a fixed
symbolic reference to numerical results; such results may vary
as the project proceeds (and hence the project report
develops).

%package dataref-doc
Summary: Documentation for dataref
Version: svn42883
Provides: tex-dataref-doc
AutoReqProv: No

%description dataref-doc
Documentation for dataref

%package datatool
Provides: tex-datatool = %{tl_version}
License: LPPL 1.3
Summary: Tools to load and manipulate data
Version: svn41772
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(datatool.sty)
Requires: tex(tikz.sty)
Requires: tex(etoolbox.sty)
Requires: tex(mfirstuc.sty)
Requires: tex(xfor.sty)
Requires: tex(multicol.sty)
Requires: tex(textcase.sty)
Requires: tex(afterpage.sty)
Requires: tex(amsmath.sty)
Requires: tex(ifthen.sty)
Requires: tex(substr.sty)
Requires: tex(fp.sty)
Requires: tex(pgfrcs.sty)
Requires: tex(pgfkeys.sty)
Requires: tex(pgfmath.sty)
Provides: tex(databar.sty) = %{tl_version}
Provides: tex(databib.sty) = %{tl_version}
Provides: tex(datagidx.sty) = %{tl_version}
Provides: tex(datapie.sty) = %{tl_version}
Provides: tex(dataplot.sty) = %{tl_version}
Provides: tex(datatool-base.sty) = %{tl_version}
Provides: tex(datatool-fp.sty) = %{tl_version}
Provides: tex(datatool-pgfmath.sty) = %{tl_version}
Provides: tex(datatool.sty) = %{tl_version}
Provides: tex(person.sty) = %{tl_version}

%description datatool
The tools comprise six packages: datatool.sty: databases may be
created using LaTeX commands or by importing external files;
they may be sorted numerically or alphabetically; repetitive
operations (such as mail merging) may be performed on each row
of a database, subject to conditions to exclude particular
rows; commands are provided to examine database elements, and
to convert formats (for example, to convert a numeric element
to a format compatible with the fp package; datapie.sty: a
database may be represented as a pie chart; flexible options
allow colouring of the chart, and annotation hooks are
available; dataplot.sty: a database may be represented as a 2-
dimensional scatter or line plot; flexible options control of
the plot's overall appearance, and of legends and other extra
information; databar.sty: a database may be represented as a
bar chart; overall appearance, colouring and annotation are
controllable; datagidx.sty: provides a way of indexing or
creating glossaries/lists of acronyms that uses TeX to do the
sorting and collating instead of using an external indexing
application, such as xindy or makeindex; databib.sty: a
bibliography may be loaded into a datatool database, and
manipulated there before being printed (this permits a LaTeX-
based route to printing bibliographies in formats for which no
BibTeX style is available); and person.sty: provides support
for displaying a person's name and pronoun in a document, thus
avoiding cumbersome use of "he/she", etc. The drawing packages
make use of PGF/TikZ for their output. The bundle supersedes
and replaces the author's csvtools bundle.

%package datatool-doc
Summary: Documentation for datatool
Version: svn41772
Provides: tex-datatool-doc
AutoReqProv: No

%description datatool-doc
Documentation for datatool

%package dateiliste
Provides: tex-dateiliste = %{tl_version}
License: LPPL
Summary: Extensions of the \listfiles concept
Version: svn27974.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(svninfo.sty)
Requires: tex(rcsinfo.sty)
Requires: tex(ltxtable.sty)
Provides: tex(dateiliste.sty) = %{tl_version}

%description dateiliste
The package provides a file list (similar to that offered by
\listfiles), neatly laid out as a table. The main document can
be included in the list, and a command is available for
providing RCS-maintained data for printing in the file list.

%package dateiliste-doc
Summary: Documentation for dateiliste
Version: svn27974.0.6

Provides: tex-dateiliste-doc
AutoReqProv: No

%description dateiliste-doc
Documentation for dateiliste

%package datenumber
Provides: tex-datenumber = %{tl_version}
License: LPPL
Summary: Convert a date into a number and vice versa
Version: svn18951.0.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(datenumber.sty) = %{tl_version}
Provides: tex(datenumberUSenglish.ldf) = %{tl_version}
Provides: tex(datenumberdummy.ldf) = %{tl_version}
Provides: tex(datenumberenglish.ldf) = %{tl_version}
Provides: tex(datenumberfrench.ldf) = %{tl_version}
Provides: tex(datenumbergerman.ldf) = %{tl_version}
Provides: tex(datenumberspanish.ldf) = %{tl_version}

%description datenumber
This package provides commands to convert a date into a number
and vice versa. Additionally there are commands for
incrementing and decrementing a date. Leap years and the
Gregorian calendar reform are considered.

%package datenumber-doc
Summary: Documentation for datenumber
Version: svn18951.0.02

Provides: tex-datenumber-doc
AutoReqProv: No

%description datenumber-doc
Documentation for datenumber

%package datetime
Provides: tex-datetime = %{tl_version}
License: LPPL 1.3
Summary: Change format of \today with commands for current time
Version: svn36650.2.60

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(fmtcount.sty)
Requires: tex(ifthen.sty)
Provides: tex(datetime-defaults.sty) = %{tl_version}
Provides: tex(datetime.sty) = %{tl_version}
Provides: tex(dt-UKenglish.def) = %{tl_version}
Provides: tex(dt-USenglish.def) = %{tl_version}
Provides: tex(dt-american.def) = %{tl_version}
Provides: tex(dt-australian.def) = %{tl_version}
Provides: tex(dt-austrian.def) = %{tl_version}
Provides: tex(dt-bahasa.def) = %{tl_version}
Provides: tex(dt-basque.def) = %{tl_version}
Provides: tex(dt-breton.def) = %{tl_version}
Provides: tex(dt-british.def) = %{tl_version}
Provides: tex(dt-bulgarian.def) = %{tl_version}
Provides: tex(dt-canadian.def) = %{tl_version}
Provides: tex(dt-catalan.def) = %{tl_version}
Provides: tex(dt-croatian.def) = %{tl_version}
Provides: tex(dt-czech.def) = %{tl_version}
Provides: tex(dt-danish.def) = %{tl_version}
Provides: tex(dt-dutch.def) = %{tl_version}
Provides: tex(dt-esperanto.def) = %{tl_version}
Provides: tex(dt-estonian.def) = %{tl_version}
Provides: tex(dt-finnish.def) = %{tl_version}
Provides: tex(dt-french.def) = %{tl_version}
Provides: tex(dt-galician.def) = %{tl_version}
Provides: tex(dt-german.def) = %{tl_version}
Provides: tex(dt-greek.def) = %{tl_version}
Provides: tex(dt-hebrew.def) = %{tl_version}
Provides: tex(dt-icelandic.def) = %{tl_version}
Provides: tex(dt-irish.def) = %{tl_version}
Provides: tex(dt-italian.def) = %{tl_version}
Provides: tex(dt-latin.def) = %{tl_version}
Provides: tex(dt-lsorbian.def) = %{tl_version}
Provides: tex(dt-magyar.def) = %{tl_version}
Provides: tex(dt-naustrian.def) = %{tl_version}
Provides: tex(dt-newzealand.def) = %{tl_version}
Provides: tex(dt-ngerman.def) = %{tl_version}
Provides: tex(dt-norsk.def) = %{tl_version}
Provides: tex(dt-polish.def) = %{tl_version}
Provides: tex(dt-portuges.def) = %{tl_version}
Provides: tex(dt-romanian.def) = %{tl_version}
Provides: tex(dt-russian.def) = %{tl_version}
Provides: tex(dt-samin.def) = %{tl_version}
Provides: tex(dt-scottish.def) = %{tl_version}
Provides: tex(dt-serbian.def) = %{tl_version}
Provides: tex(dt-slovak.def) = %{tl_version}
Provides: tex(dt-slovene.def) = %{tl_version}
Provides: tex(dt-spanish.def) = %{tl_version}
Provides: tex(dt-swedish.def) = %{tl_version}
Provides: tex(dt-turkish.def) = %{tl_version}
Provides: tex(dt-ukraineb.def) = %{tl_version}
Provides: tex(dt-usorbian.def) = %{tl_version}
Provides: tex(dt-welsh.def) = %{tl_version}

%description datetime
Provides various different formats for the text created by the
command \today, and also provides commands for displaying the
current time (or any given time), in 12-hour, 24-hour or text
format. The package overrides babel's date format, having its
own library of date formats in different languages. The package
requires the fmtcount package. This package is now obsolete and
has been replaced by datetime2.

%package datetime-doc
Summary: Documentation for datetime
Version: svn36650.2.60

Provides: tex-datetime-doc
AutoReqProv: No

%description datetime-doc
Documentation for datetime

%package datetime2
Provides: tex-datetime2 = %{tl_version}
License: LPPL 1.3
Summary: Formats for dates, times and time zones
Version: svn41686
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pgfkeys.sty)
Requires: tex(pgfcalendar.sty)
Requires: tex(tracklang.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xkeyval.sty)
Provides: tex(datetime2-calc.sty) = %{tl_version}
Provides: tex(datetime2.sty) = %{tl_version}

%description datetime2
This package provides commands for formatting dates, times and
time zones and redefines \today to use the same formatting
style. In addition to \today, you can also use \DTMcurrenttime
(current time) or \DTMnow (current date and time). Dates and
times can be saved for later use. The accompanying datetime2-
calc package can be used to convert date-times to UTC+00:00.
Language and regional support is provided by independently
maintained and installed modules. The datetime2-calc package
uses the pgfcalendar package (part of the PGF/TikZ bundle).
This package replaces datetime.sty which is now obsolete.

%package datetime2-doc
Summary: Documentation for datetime2
Version: svn41686
Provides: tex-datetime2-doc
AutoReqProv: No

%description datetime2-doc
Documentation for datetime2

%package datetime2-bahasai
Provides: tex-datetime2-bahasai = %{tl_version}
License: LPPL 1.3
Summary: Bahasai language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(datetime2-bahasai.ldf) = %{tl_version}

%description datetime2-bahasai
This module provides the "bahasai" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-bahasai-doc
Summary: Documentation for datetime2-bahasai
Version: svn36682.1.0

Provides: tex-datetime2-bahasai-doc
AutoReqProv: No

%description datetime2-bahasai-doc
Documentation for datetime2-bahasai

%package datetime2-basque
Provides: tex-datetime2-basque = %{tl_version}
License: LPPL 1.3
Summary: Basque language module for the datetime2 package
Version: svn38287.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(datetime2-basque.ldf) = %{tl_version}

%description datetime2-basque
This module provides the "basque" style that can be set using
\DTMsetstyle provided by datetime2.sty.

%package datetime2-basque-doc
Summary: Documentation for datetime2-basque
Version: svn38287.1.2

Provides: tex-datetime2-basque-doc
AutoReqProv: No

%description datetime2-basque-doc
Documentation for datetime2-basque

%package datetime2-breton
Provides: tex-datetime2-breton = %{tl_version}
License: LPPL 1.3
Summary: breton language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-breton-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-breton-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-breton.ldf) = %{tl_version}

%description datetime2-breton
This module provides the "breton" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-breton-doc
Summary: Documentation for datetime2-breton
Version: svn36682.1.0

Provides: tex-datetime2-breton-doc
AutoReqProv: No

%description datetime2-breton-doc
Documentation for datetime2-breton

%package datetime2-bulgarian
Provides: tex-datetime2-bulgarian = %{tl_version}
License: LPPL 1.3
Summary: Bulgarian language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-bulgarian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-bulgarian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-bulgarian.ldf) = %{tl_version}

%description datetime2-bulgarian
This module provides the "bulgarian" style that can be set
using \DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-bulgarian-doc
Summary: Documentation for datetime2-bulgarian
Version: svn36682.1.0

Provides: tex-datetime2-bulgarian-doc
AutoReqProv: No

%description datetime2-bulgarian-doc
Documentation for datetime2-bulgarian

%package datetime2-catalan
Provides: tex-datetime2-catalan = %{tl_version}
License: LPPL 1.3
Summary: catalan language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-catalan-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-catalan-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-catalan.ldf) = %{tl_version}

%description datetime2-catalan
This module provides the "catalan" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-catalan-doc
Summary: Documentation for datetime2-catalan
Version: svn36682.1.0

Provides: tex-datetime2-catalan-doc
AutoReqProv: No

%description datetime2-catalan-doc
Documentation for datetime2-catalan

%package datetime2-croatian
Provides: tex-datetime2-croatian = %{tl_version}
License: LPPL 1.3
Summary: croatian language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-croatian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-croatian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-croatian.ldf) = %{tl_version}

%description datetime2-croatian
This module provides the "croatian" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-croatian-doc
Summary: Documentation for datetime2-croatian
Version: svn36682.1.0

Provides: tex-datetime2-croatian-doc
AutoReqProv: No

%description datetime2-croatian-doc
Documentation for datetime2-croatian

%package datetime2-czech
Provides: tex-datetime2-czech = %{tl_version}
License: LPPL 1.3
Summary: czech language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-czech-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-czech-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-czech.ldf) = %{tl_version}

%description datetime2-czech
This module provides the "czech" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-czech-doc
Summary: Documentation for datetime2-czech
Version: svn36682.1.0

Provides: tex-datetime2-czech-doc
AutoReqProv: No

%description datetime2-czech-doc
Documentation for datetime2-czech

%package datetime2-danish
Provides: tex-datetime2-danish = %{tl_version}
License: LPPL 1.3
Summary: danish language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-danish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-danish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-danish.ldf) = %{tl_version}

%description datetime2-danish
This module provides the "danish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-danish-doc
Summary: Documentation for datetime2-danish
Version: svn36682.1.0

Provides: tex-datetime2-danish-doc
AutoReqProv: No

%description datetime2-danish-doc
Documentation for datetime2-danish

%package datetime2-dutch
Provides: tex-datetime2-dutch = %{tl_version}
License: LPPL 1.3
Summary: dutch language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(datetime2-dutch.ldf) = %{tl_version}

%description datetime2-dutch
This module provides the "dutch" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-dutch-doc
Summary: Documentation for datetime2-dutch
Version: svn36682.1.0

Provides: tex-datetime2-dutch-doc
AutoReqProv: No

%description datetime2-dutch-doc
Documentation for datetime2-dutch

%package datetime2-en-fulltext
Provides: tex-datetime2-en-fulltext = %{tl_version}
License: LPPL 1.3
Summary: English Full Text styles for the datetime2 package
Version: svn36705.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(datetime2.sty)
Requires: tex(fmtcount.sty)
Provides: tex(datetime2-en-fulltext.sty) = %{tl_version}

%description datetime2-en-fulltext
English date and time styles that use words for the numbers and
ordinals. This package provides the following date and time
styles: "en-fulltext", "en-FullText", "en-FULLTEXT", and the
additional time style "en-Fulltext". (The date equivalent can
be obtained through commands like \Today.) Unlike the base
styles provided by datetime2.sty, these styles aren't
expandable styles. This means that you can't use the date or
time in PDF bookmarks or in the argument of certain commands,
such as \MakeUppercase, while these styles are in use.

%package datetime2-en-fulltext-doc
Summary: Documentation for datetime2-en-fulltext
Version: svn36705.1.0

Provides: tex-datetime2-en-fulltext-doc
AutoReqProv: No

%description datetime2-en-fulltext-doc
Documentation for datetime2-en-fulltext

%package datetime2-english
Provides: tex-datetime2-english = %{tl_version}
License: LPPL 1.3
Summary: English language module for the datetime2 package
Version: svn39991

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(datetime2-en-AU.ldf) = %{tl_version}
Provides: tex(datetime2-en-CA.ldf) = %{tl_version}
Provides: tex(datetime2-en-GB.ldf) = %{tl_version}
Provides: tex(datetime2-en-GG.ldf) = %{tl_version}
Provides: tex(datetime2-en-IE.ldf) = %{tl_version}
Provides: tex(datetime2-en-IM.ldf) = %{tl_version}
Provides: tex(datetime2-en-JE.ldf) = %{tl_version}
Provides: tex(datetime2-en-MT.ldf) = %{tl_version}
Provides: tex(datetime2-en-NZ.ldf) = %{tl_version}
Provides: tex(datetime2-en-US.ldf) = %{tl_version}
Provides: tex(datetime2-english-base.ldf) = %{tl_version}
Provides: tex(datetime2-english.ldf) = %{tl_version}

%description datetime2-english
This module provides the following styles that can be set using
\DTMsetstyle provided by datetime2.sty. The region not only
determines the date/time format but also the time zone
abbreviations if the zone mapping setting is on. english
(English - no region) en-GB (English - United Kingdom of Great
Britain and Northern Ireland) en-US (English - United States of
America) en-CA (English - Canada) en-AU (English - Commonwealth
of Australia) en-NZ (English - New Zealand) en-GG (English -
Bailiwick of Guernsey) en-JE (English - Bailiwick of Jersey) en-
IM (English - Isle of Man) en-MT (English - Republic of Malta)
en-IE (English - Republic of Ireland)

%package datetime2-english-doc
Summary: Documentation for datetime2-english
Version: svn39991

Provides: tex-datetime2-english-doc
AutoReqProv: No

%description datetime2-english-doc
Documentation for datetime2-english

%package datetime2-esperanto
Provides: tex-datetime2-esperanto = %{tl_version}
License: LPPL 1.3
Summary: Esperanto language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-esperanto-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-esperanto-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-esperanto.ldf) = %{tl_version}

%description datetime2-esperanto
This module provides the "esperanto" style that can be set
using \DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-esperanto-doc
Summary: Documentation for datetime2-esperanto
Version: svn36682.1.0

Provides: tex-datetime2-esperanto-doc
AutoReqProv: No

%description datetime2-esperanto-doc
Documentation for datetime2-esperanto

%package datetime2-estonian
Provides: tex-datetime2-estonian = %{tl_version}
License: LPPL 1.3
Summary: Estonian language module for the datetime2 package
Version: svn36682.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-estonian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-estonian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-estonian.ldf) = %{tl_version}

%description datetime2-estonian
This module provides the "estonian" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-estonian-doc
Summary: Documentation for datetime2-estonian
Version: svn36682.1.0

Provides: tex-datetime2-estonian-doc
AutoReqProv: No

%description datetime2-estonian-doc
Documentation for datetime2-estonian

%package datetime2-finnish
Provides: tex-datetime2-finnish = %{tl_version}
License: LPPL 1.3
Summary: Finnish language module for the datetime2 package
Version: svn40237

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-finnish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-finnish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-finnish.ldf) = %{tl_version}

%description datetime2-finnish
This module provides the "finnish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-finnish-doc
Summary: Documentation for datetime2-finnish
Version: svn40237

Provides: tex-datetime2-finnish-doc
AutoReqProv: No

%description datetime2-finnish-doc
Documentation for datetime2-finnish

%package datetime2-french
Provides: tex-datetime2-french = %{tl_version}
License: LPPL 1.3
Summary: French language module for the datetime2 package
Version: svn43742
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-french-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-french-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-french.ldf) = %{tl_version}

%description datetime2-french
This module provides the "french" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-french-doc
Summary: Documentation for datetime2-french
Version: svn43742
Provides: tex-datetime2-french-doc
AutoReqProv: No

%description datetime2-french-doc
Documentation for datetime2-french

%package datetime2-galician
Provides: tex-datetime2-galician = %{tl_version}
License: LPPL 1.3
Summary: galician language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-galician-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-galician-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-galician.ldf) = %{tl_version}

%description datetime2-galician
This module provides the "galician" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-galician-doc
Summary: Documentation for datetime2-galician
Version: svn36692.1.0

Provides: tex-datetime2-galician-doc
AutoReqProv: No

%description datetime2-galician-doc
Documentation for datetime2-galician

%package datetime2-german
Provides: tex-datetime2-german = %{tl_version}
License: LPPL 1.3
Summary: German language module for the datetime2 package
Version: svn45472
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-german-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-german-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-german.ldf) = %{tl_version}

%description datetime2-german
This module provides the "german" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-german-doc
Summary: Documentation for datetime2-german
Version: svn45472
Provides: tex-datetime2-german-doc
AutoReqProv: No

%description datetime2-german-doc
Documentation for datetime2-german

%package datetime2-greek
Provides: tex-datetime2-greek = %{tl_version}
License: LPPL 1.3
Summary: Greek language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-greek-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-greek-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-greek.ldf) = %{tl_version}

%description datetime2-greek
This module provides the "greek" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-greek-doc
Summary: Documentation for datetime2-greek
Version: svn36692.1.0

Provides: tex-datetime2-greek-doc
AutoReqProv: No

%description datetime2-greek-doc
Documentation for datetime2-greek

%package datetime2-hebrew
Provides: tex-datetime2-hebrew = %{tl_version}
License: LPPL 1.3
Summary: Hebrew language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(datetime2-hebrew.ldf) = %{tl_version}

%description datetime2-hebrew
This module provides the "hebrew" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-hebrew-doc
Summary: Documentation for datetime2-hebrew
Version: svn36692.1.0

Provides: tex-datetime2-hebrew-doc
AutoReqProv: No

%description datetime2-hebrew-doc
Documentation for datetime2-hebrew

%package datetime2-icelandic
Provides: tex-datetime2-icelandic = %{tl_version}
License: LPPL 1.3
Summary: Icelandic language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-icelandic-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-icelandic-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-icelandic.ldf) = %{tl_version}

%description datetime2-icelandic
This module provides the "icelandic" style that can be set
using \DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-icelandic-doc
Summary: Documentation for datetime2-icelandic
Version: svn36692.1.0

Provides: tex-datetime2-icelandic-doc
AutoReqProv: No

%description datetime2-icelandic-doc
Documentation for datetime2-icelandic

%package datetime2-irish
Provides: tex-datetime2-irish = %{tl_version}
License: LPPL 1.3
Summary: Irish Gaelic Language Module for the datetime2 Package
Version: svn36635.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-ga-GB.ldf) = %{tl_version}
Provides: tex(datetime2-ga-IE.ldf) = %{tl_version}
Provides: tex(datetime2-irish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-irish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-irish.ldf) = %{tl_version}

%description datetime2-irish
This module provides the "irish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-irish-doc
Summary: Documentation for datetime2-irish
Version: svn36635.1.0

Provides: tex-datetime2-irish-doc
AutoReqProv: No

%description datetime2-irish-doc
Documentation for datetime2-irish

%package datetime2-italian
Provides: tex-datetime2-italian = %{tl_version}
License: LPPL 1.3
Summary: Italian language module for the datetime2 package
Version: svn37146.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-italian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-italian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-italian.ldf) = %{tl_version}

%description datetime2-italian
This module provides the "italian" style that can be set using
\DTMsetstyle provided by datetime2.sty.

%package datetime2-italian-doc
Summary: Documentation for datetime2-italian
Version: svn37146.1.3

Provides: tex-datetime2-italian-doc
AutoReqProv: No

%description datetime2-italian-doc
Documentation for datetime2-italian

%package datetime2-it-fulltext
Provides: tex-datetime2-it-fulltext = %{tl_version}
License: LPPL 1.3
Summary: Italian full text styles for the datetime2 package
Version: svn38093.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(datetime2.sty)
Requires: tex(itnumpar.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-it-fulltext-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-it-fulltext-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-it-fulltext.sty) = %{tl_version}

%description datetime2-it-fulltext
Italian date and time styles that use words for the numbers and
ordinals. This package provides the following date and time
styles: "it-fulltext" and "it-fulltext-twenty-four". The first
style uses a format "am pm", the second a format "24 hours".
The necessary packages are datetime2, itnumpar, ifxetex, and
ifluatex. This package is the translation and adaptation of
datetime2-en-fulltext.

%package datetime2-it-fulltext-doc
Summary: Documentation for datetime2-it-fulltext
Version: svn38093.1.6

Provides: tex-datetime2-it-fulltext-doc
AutoReqProv: No

%description datetime2-it-fulltext-doc
Documentation for datetime2-it-fulltext

%package datetime2-latin
Provides: tex-datetime2-latin = %{tl_version}
License: LPPL 1.3
Summary: Latin language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(datetime2-latin.ldf) = %{tl_version}

%description datetime2-latin
This module provides the "latin" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-latin-doc
Summary: Documentation for datetime2-latin
Version: svn36692.1.0

Provides: tex-datetime2-latin-doc
AutoReqProv: No

%description datetime2-latin-doc
Documentation for datetime2-latin

%package datetime2-lsorbian
Provides: tex-datetime2-lsorbian = %{tl_version}
License: LPPL 1.3
Summary: Lower Sorbian language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-lsorbian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-lsorbian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-lsorbian.ldf) = %{tl_version}

%description datetime2-lsorbian
This module provides the "lsorbian" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-lsorbian-doc
Summary: Documentation for datetime2-lsorbian
Version: svn36692.1.0

Provides: tex-datetime2-lsorbian-doc
AutoReqProv: No

%description datetime2-lsorbian-doc
Documentation for datetime2-lsorbian

%package datetime2-magyar
Provides: tex-datetime2-magyar = %{tl_version}
License: LPPL 1.3
Summary: magyar language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-magyar-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-magyar-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-magyar.ldf) = %{tl_version}

%description datetime2-magyar
This module provides the "magyar" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-magyar-doc
Summary: Documentation for datetime2-magyar
Version: svn36692.1.0

Provides: tex-datetime2-magyar-doc
AutoReqProv: No

%description datetime2-magyar-doc
Documentation for datetime2-magyar

%package datetime2-norsk
Provides: tex-datetime2-norsk = %{tl_version}
License: LPPL 1.3
Summary: Norsk language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-norsk-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-norsk-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-norsk.ldf) = %{tl_version}

%description datetime2-norsk
This module provides the "norsk" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-norsk-doc
Summary: Documentation for datetime2-norsk
Version: svn36692.1.0

Provides: tex-datetime2-norsk-doc
AutoReqProv: No

%description datetime2-norsk-doc
Documentation for datetime2-norsk

%package datetime2-polish
Provides: tex-datetime2-polish = %{tl_version}
License: LPPL 1.3
Summary: polish language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-polish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-polish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-polish.ldf) = %{tl_version}

%description datetime2-polish
This module provides the "polish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-polish-doc
Summary: Documentation for datetime2-polish
Version: svn36692.1.0

Provides: tex-datetime2-polish-doc
AutoReqProv: No

%description datetime2-polish-doc
Documentation for datetime2-polish

%package datetime2-portuges
Provides: tex-datetime2-portuges = %{tl_version}
License: LPPL 1.3
Summary: Portuguese language module for the datetime2 package
Version: svn36670.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-portuges-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-portuges-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-portuges.ldf) = %{tl_version}

%description datetime2-portuges
This module provides the "portuges" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-portuges-doc
Summary: Documentation for datetime2-portuges
Version: svn36670.1.0

Provides: tex-datetime2-portuges-doc
AutoReqProv: No

%description datetime2-portuges-doc
Documentation for datetime2-portuges

%package datetime2-romanian
Provides: tex-datetime2-romanian = %{tl_version}
License: LPPL 1.3
Summary: Romanian language module for the datetime2 package
Version: svn43743
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-romanian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-romanian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-romanian.ldf) = %{tl_version}

%description datetime2-romanian
This module provides the "romanian" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-romanian-doc
Summary: Documentation for datetime2-romanian
Version: svn43743
Provides: tex-datetime2-romanian-doc
AutoReqProv: No

%description datetime2-romanian-doc
Documentation for datetime2-romanian

%package datetime2-russian
Provides: tex-datetime2-russian = %{tl_version}
License: LPPL 1.3
Summary: russian language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-russian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-russian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-russian.ldf) = %{tl_version}

%description datetime2-russian
This module provides the "russian" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-russian-doc
Summary: Documentation for datetime2-russian
Version: svn36692.1.0

Provides: tex-datetime2-russian-doc
AutoReqProv: No

%description datetime2-russian-doc
Documentation for datetime2-russian

%package datetime2-samin
Provides: tex-datetime2-samin = %{tl_version}
License: LPPL 1.3
Summary: Northern Sami language module for the datetime2 package
Version: svn36692.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-samin-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-samin-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-samin.ldf) = %{tl_version}

%description datetime2-samin
This module provides the "samin" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-samin-doc
Summary: Documentation for datetime2-samin
Version: svn36692.1.0

Provides: tex-datetime2-samin-doc
AutoReqProv: No

%description datetime2-samin-doc
Documentation for datetime2-samin

%package datetime2-scottish
Provides: tex-datetime2-scottish = %{tl_version}
License: LPPL 1.3
Summary: Scottish Gaelic Language Module for the datetime2 Package
Version: svn36625.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-scottish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-scottish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-scottish.ldf) = %{tl_version}

%description datetime2-scottish
This module provides the "scottish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-scottish-doc
Summary: Documentation for datetime2-scottish
Version: svn36625.1.0

Provides: tex-datetime2-scottish-doc
AutoReqProv: No

%description datetime2-scottish-doc
Documentation for datetime2-scottish

%package datetime2-serbian
Provides: tex-datetime2-serbian = %{tl_version}
License: LPPL 1.3
Summary: serbian language module for the datetime2 package
Version: svn36699.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-serbian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-serbian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-serbian.ldf) = %{tl_version}

%description datetime2-serbian
This module provides the "serbian" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-serbian-doc
Summary: Documentation for datetime2-serbian
Version: svn36699.1.0

Provides: tex-datetime2-serbian-doc
AutoReqProv: No

%description datetime2-serbian-doc
Documentation for datetime2-serbian

%package datetime2-slovak
Provides: tex-datetime2-slovak = %{tl_version}
License: LPPL 1.3
Summary: slovak language module for the datetime2 package
Version: svn36700.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-slovak-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-slovak-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-slovak.ldf) = %{tl_version}

%description datetime2-slovak
This module provides the "slovak" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-slovak-doc
Summary: Documentation for datetime2-slovak
Version: svn36700.1.0

Provides: tex-datetime2-slovak-doc
AutoReqProv: No

%description datetime2-slovak-doc
Documentation for datetime2-slovak

%package datetime2-slovene
Provides: tex-datetime2-slovene = %{tl_version}
License: LPPL 1.3
Summary: slovene language module for the datetime2 package
Version: svn36700.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-slovene-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-slovene-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-slovene.ldf) = %{tl_version}

%description datetime2-slovene
This module provides the "slovene" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-slovene-doc
Summary: Documentation for datetime2-slovene
Version: svn36700.1.0

Provides: tex-datetime2-slovene-doc
AutoReqProv: No

%description datetime2-slovene-doc
Documentation for datetime2-slovene

%package datetime2-spanish
Provides: tex-datetime2-spanish = %{tl_version}
License: LPPL 1.3
Summary: Spanish language module for the datetime2 package
Version: svn36661.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-spanish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-spanish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-spanish.ldf) = %{tl_version}

%description datetime2-spanish
This module provides the "spanish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-spanish-doc
Summary: Documentation for datetime2-spanish
Version: svn36661.1.0

Provides: tex-datetime2-spanish-doc
AutoReqProv: No

%description datetime2-spanish-doc
Documentation for datetime2-spanish

%package datetime2-swedish
Provides: tex-datetime2-swedish = %{tl_version}
License: LPPL 1.3
Summary: swedish language module for the datetime2 package
Version: svn36700.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-swedish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-swedish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-swedish.ldf) = %{tl_version}

%description datetime2-swedish
This module provides the "swedish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-swedish-doc
Summary: Documentation for datetime2-swedish
Version: svn36700.1.0

Provides: tex-datetime2-swedish-doc
AutoReqProv: No

%description datetime2-swedish-doc
Documentation for datetime2-swedish

%package datetime2-turkish
Provides: tex-datetime2-turkish = %{tl_version}
License: LPPL 1.3
Summary: turkish language module for the datetime2 package
Version: svn36700.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-turkish-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-turkish-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-turkish.ldf) = %{tl_version}

%description datetime2-turkish
This module provides the "turkish" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-turkish-doc
Summary: Documentation for datetime2-turkish
Version: svn36700.1.0

Provides: tex-datetime2-turkish-doc
AutoReqProv: No

%description datetime2-turkish-doc
Documentation for datetime2-turkish

%package datetime2-ukrainian
Provides: tex-datetime2-ukrainian = %{tl_version}
License: LPPL 1.3
Summary: Ukrainian language module for the datetime2 package
Version: svn44588
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-ukrainian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-ukrainian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-ukrainian.ldf) = %{tl_version}

%description datetime2-ukrainian
This module provides the "ukrainian" style that can be set
using \DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-ukrainian-doc
Summary: Documentation for datetime2-ukrainian
Version: svn44588
Provides: tex-datetime2-ukrainian-doc
AutoReqProv: No

%description datetime2-ukrainian-doc
Documentation for datetime2-ukrainian

%package datetime2-usorbian
Provides: tex-datetime2-usorbian = %{tl_version}
License: LPPL 1.3
Summary: Upper Sorbian language module for the datetime2 package
Version: svn36700.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-usorbian-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-usorbian-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-usorbian.ldf) = %{tl_version}

%description datetime2-usorbian
This module provides the "usorbian" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-usorbian-doc
Summary: Documentation for datetime2-usorbian
Version: svn36700.1.0

Provides: tex-datetime2-usorbian-doc
AutoReqProv: No

%description datetime2-usorbian-doc
Documentation for datetime2-usorbian

%package datetime2-welsh
Provides: tex-datetime2-welsh = %{tl_version}
License: LPPL 1.3
Summary: Welsh language module for the datetime2 package
Version: svn36636.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(datetime2-welsh-ascii.ldf) = %{tl_version}
Provides: tex(datetime2-welsh-utf8.ldf) = %{tl_version}
Provides: tex(datetime2-welsh.ldf) = %{tl_version}

%description datetime2-welsh
This module provides the "welsh" style that can be set using
\DTMsetstyle provided by datetime2.sty. This package is
currently unmaintained. Please see the README for the procedure
to follow if you want to take over the maintenance.

%package datetime2-welsh-doc
Summary: Documentation for datetime2-welsh
Version: svn36636.1.0

Provides: tex-datetime2-welsh-doc
AutoReqProv: No

%description datetime2-welsh-doc
Documentation for datetime2-welsh

%package dblfloatfix
Provides: tex-dblfloatfix = %{tl_version}
License: LPPL 1.3
Summary: Fixes for twocolumn floats
Version: svn28983.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fixltx2e.sty)
Provides: tex(dblfloatfix.sty) = %{tl_version}

%description dblfloatfix
The package solves two problems: floats in a twocolumn document
come out in the right order and allowed float positions are now
[tbp]. The package actually merges facilities from fixltx2e and
stfloats.

%package dblfloatfix-doc
Summary: Documentation for dblfloatfix
Version: svn28983.1.0a

Provides: tex-dblfloatfix-doc
AutoReqProv: No

%description dblfloatfix-doc
Documentation for dblfloatfix

%package decimal
Provides: tex-decimal = %{tl_version}
License: LPPL
Summary: LaTeX package for the English raised decimal point
Version: svn23374.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(decimal.sty) = %{tl_version}

%description decimal
This LaTeX package should be used by people who need the
traditional English raised decimal point, instead of the
American-style period.

%package decimal-doc
Summary: Documentation for decimal
Version: svn23374.0

Provides: tex-decimal-doc
AutoReqProv: No

%description decimal-doc
Documentation for decimal

%package decorule
Provides: tex-decorule = %{tl_version}
License: LPPL 1.3
Summary: Decorative swelled rule using font character
Version: svn23487.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(fix-cm.sty)
Provides: tex(decorule.sty) = %{tl_version}

%description decorule
The package implements a decorative swelled rule using only a
symbol from a font installed with all distributions of TeX, so
it works independently, without the need to install any
additional software or fonts. This is the packaged version of
the macro which was originally published in the "Typographers'
Inn" column in TUGboat 31:1 (2010).

%package decorule-doc
Summary: Documentation for decorule
Version: svn23487.0.6

Provides: tex-decorule-doc
AutoReqProv: No

%description decorule-doc
Documentation for decorule

%package delim
Provides: tex-delim = %{tl_version}
License: LPPL 1.2
Summary: Simplify typesetting mathematical delimiters
Version: svn23974.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(delim.sty) = %{tl_version}

%description delim
The package permits simpler control of delimiters without
excessive use of \big... commands (and the like).

%package delim-doc
Summary: Documentation for delim
Version: svn23974.1.0

Provides: tex-delim-doc
AutoReqProv: No

%description delim-doc
Documentation for delim

%package delimtxt
Provides: tex-delimtxt = %{tl_version}
License: LPPL
Summary: Read and parse text tables
Version: svn16549.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(delimtxt.sty) = %{tl_version}

%description delimtxt
This experimental package can read and parse text tables
delimited by user-defined tokens (e.g., tab). It can be used
for serial letters and the like, making it easier to export the
data file from MS-Excel/MS-Word

%package delimtxt-doc
Summary: Documentation for delimtxt
Version: svn16549.0

Provides: tex-delimtxt-doc
AutoReqProv: No

%description delimtxt-doc
Documentation for delimtxt

%package denisbdoc
Provides: tex-denisbdoc = %{tl_version}
License: LPPL 1.3
Summary: A personal dirty package for documenting packages
Version: svn42829
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontspec.sty)
Requires: tex(xpatch.sty)
Requires: tex(morewrites.sty)
Requires: tex(parskip.sty)
Requires: tex(amsthm.sty)
Requires: tex(thmtools.sty)
Requires: tex(fixfoot.sty)
Requires: tex(enumitem.sty)
Requires: tex(afterpage.sty)
Requires: tex(tabulary.sty)
Requires: tex(calc.sty)
Requires: tex(siunitx.sty)
Requires: tex(tocbibind.sty)
Requires: tex(varioref.sty)
Requires: tex(booktabs.sty)
Requires: tex(zref.sty)
Requires: tex(footmisc.sty)
Requires: tex(rotating.sty)
Requires: tex(pdflscape.sty)
Requires: tex(hologo.sty)
Requires: tex(xifthen.sty)
Requires: tex(refcount.sty)
Requires: tex(iflang.sty)
Requires: tex(amssymb.sty)
Requires: tex(tocvsec2.sty)
Requires: tex(csquotes.sty)
Requires: tex(tikz.sty)
Requires: tex(imakeidx.sty)
Requires: tex(tcolorbox.sty)
Requires: tex(comment.sty)
Requires: tex(path.sty)
Requires: tex(textcase.sty)
Requires: tex(biblatex.sty)
Requires: tex(babel.sty)
Requires: tex(menukeys.sty)
Requires: tex(datetime.sty)
Requires: tex(hyperref.sty)
Requires: tex(nameref.sty)
Requires: tex(hypcap.sty)
Requires: tex(bookmark.sty)
Requires: tex(glossaries.sty)
Requires: tex(cleveref.sty)
Provides: tex(denisbdoc.sty) = %{tl_version}

%description denisbdoc
A personal dirty package for documenting packages.

%package denisbdoc-doc
Summary: Documentation for denisbdoc
Version: svn42829
Provides: tex-denisbdoc-doc
AutoReqProv: No

%description denisbdoc-doc
Documentation for denisbdoc

%package diagbox
Provides: tex-diagbox = %{tl_version}
License: LPPL 1.3
Summary: Table heads with diagonal lines
Version: svn42843
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(pict2e.sty)
Requires: tex(fp.sty)
Provides: tex(diagbox.sty) = %{tl_version}

%description diagbox
The package's principal command, \diagbox, takes two arguments
(texts for the slash-separated parts of the box), and an
optional argument with which the direction the slash will go,
and the box dimensions, etc., may vbe controlled. The package
also provides \slashbox and \backslashbox commands for
compatibility with the slashbox package, which it supersedes.

%package diagbox-doc
Summary: Documentation for diagbox
Version: svn42843
Provides: tex-diagbox-doc
AutoReqProv: No

%description diagbox-doc
Documentation for diagbox

%package diagnose
Provides: tex-diagnose = %{tl_version}
License: GPL+
Summary: A diagnostic tool for a TeX installation
Version: svn19387.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(diagnose.sty) = %{tl_version}

%description diagnose
Provides macros to assist evaluation of the capabilities of a
TeX installation (i.e., what extensions it supports). An
example document that examines the installation is available.

%package diagnose-doc
Summary: Documentation for diagnose
Version: svn19387.0.2

Provides: tex-diagnose-doc
AutoReqProv: No

%description diagnose-doc
Documentation for diagnose

%package dialogl
Provides: tex-dialogl = %{tl_version}
License: LPPL
Summary: Macros for constructing interactive LaTeX scripts
Version: svn28946.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dialog.sty) = %{tl_version}
Provides: tex(grabhedr.sty) = %{tl_version}
Provides: tex(listout.tex) = %{tl_version}
Provides: tex(menus.sty) = %{tl_version}

%description dialogl
Gathers together a bunch of code and examples about how to
write macros to carry on a dialogue with the user.

%package dialogl-doc
Summary: Documentation for dialogl
Version: svn28946.0

Provides: tex-dialogl-doc
AutoReqProv: No

%description dialogl-doc
Documentation for dialogl

%package dichokey
Provides: tex-dichokey = %{tl_version}
License: Public Domain
Summary: Construct dichotomous identification keys
Version: svn17192.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dichokey.sty) = %{tl_version}

%description dichokey
The package can be used to construct dichotomous identification
keys (used especially in biology for species identification),
taking care of numbering and indentation of successive key
steps automatically. An example file is provided, which
demonstrates usage.

%package dichokey-doc
Summary: Documentation for dichokey
Version: svn17192.0

Provides: tex-dichokey-doc
AutoReqProv: No

%description dichokey-doc
Documentation for dichokey

%package dinbrief
Provides: tex-dinbrief = %{tl_version}
License: LPPL
Summary: German letter DIN style
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dinbrief.cfg) = %{tl_version}
Provides: tex(dinbrief.cls) = %{tl_version}
Provides: tex(dinbrief.sty) = %{tl_version}

%description dinbrief
Implements a document layout for writing letters according to
the rules of DIN (Deutsches Institut fur Normung, German
standardisation institute). A style file for LaTeX 2.09 (with
limited support of the features) is part of the package. Since
the letter layout is based on a German standard, the user guide
is written in German, but most macros have English names from
which the user can recognize what they are used for. In
addition there are example files showing how letters may be
created with the package. A graphical interface for use of the
dinbrief is provided in the dinbrief-GUI bundle.

%package dinbrief-doc
Summary: Documentation for dinbrief
Version: svn15878.0

Provides: tex-dinbrief-doc
AutoReqProv: No

%description dinbrief-doc
Documentation for dinbrief

%package directory
Provides: tex-directory = %{tl_version}
License: LPPL
Summary: An address book using BibTeX
Version: svn15878.1.20

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(url.sty)
Provides: tex(directory.sty) = %{tl_version}

%description directory
A package for LaTeX and BibTeX that facilitates the
construction, maintenance and exploitation of an address book-
like database.

%package directory-doc
Summary: Documentation for directory
Version: svn15878.1.20

Provides: tex-directory-doc
AutoReqProv: No

%description directory-doc
Documentation for directory

%package dirtytalk
Provides: tex-dirtytalk = %{tl_version}
License: Public Domain
Summary: A package to typeset quotations easier
Version: svn20520.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(ifthen.sty)
Provides: tex(dirtytalk.sty) = %{tl_version}

%description dirtytalk
The package provides a macro to typeset quotations, using the
command \say{stuff}. The quotation mark glyphs are inserted by
the macro; nested quotations are detected.

%package dirtytalk-doc
Summary: Documentation for dirtytalk
Version: svn20520.1.0

Provides: tex-dirtytalk-doc
AutoReqProv: No

%description dirtytalk-doc
Documentation for dirtytalk

%package dlfltxb
Provides: tex-dlfltxb = %{tl_version}
License: LPPL
Summary: Macros related to "Introdktion til LaTeX"
Version: svn17337.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(graphicx.sty)
Requires: tex(keyval.sty)
Requires: tex(ragged2e.sty)
Requires: tex(chngpage.sty)
Requires: tex(url.sty)
Requires: tex(calc.sty)
Provides: tex(dlfltxbcodetips.sty) = %{tl_version}
Provides: tex(dlfltxbmarkup.sty) = %{tl_version}
Provides: tex(dlfltxbmarkupbookkeys.sty) = %{tl_version}
Provides: tex(dlfltxbmisc.sty) = %{tl_version}
Provides: tex(dlfltxbtocconfig.sty) = %{tl_version}

%description dlfltxb
The bundle contains various macros either used for creating the
author's book "Introduktion til LaTeX" (in Danish), or
presented in the book as code tips. The bundle comprises:
dlfltxbcodetips: various macros helpful in typesetting
mathematics; dlfltxbmarkup: provides a macros used throughout
the book, for registering macro names, packages etc. in the
text, in the margin and in the index, all by using categorised
keys (note, a configuration file may be used; a sample is
included in the distribution); dlfltxbtocconfig: macros for the
two tables of contents that the book has; dlfltxbmisc: various
macros for typesetting LaTeX arguments, and the macro used in
the bibliography that can wrap a URL up into a bibtex entry.
Interested parties may review the book itself on the web at the
author's institution (it is written in Danish).

%package dlfltxb-doc
Summary: Documentation for dlfltxb
Version: svn17337.0

Provides: tex-dlfltxb-doc
AutoReqProv: No

%description dlfltxb-doc
Documentation for dlfltxb

%package dnaseq
Provides: tex-dnaseq = %{tl_version}
License: LPPL
Summary: Format DNA base sequences
Version: svn17194.0.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(dnaseq.sty) = %{tl_version}

%description dnaseq
Defines a means of specifying sequences of bases. The bases may
be numbered (per line) and you may specify that subsequences be
coloured. For a more 'vanilla-flavoured' way of typesetting
base sequences, the user might consider the seqsplit package.

%package dnaseq-doc
Summary: Documentation for dnaseq
Version: svn17194.0.01

Provides: tex-dnaseq-doc
AutoReqProv: No

%description dnaseq-doc
Documentation for dnaseq

%package doclicense
Provides: tex-doclicense = %{tl_version}
License: LPPL 1.3
Summary: Support for putting documents under a license
Version: svn45495
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(xifthen.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xspace.sty)
Requires: tex(csquotes.sty)
Requires: tex(ccicons.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Provides: tex(doclicense-UKenglish.ldf) = %{tl_version}
Provides: tex(doclicense-USenglish.ldf) = %{tl_version}
Provides: tex(doclicense-acadian.ldf) = %{tl_version}
Provides: tex(doclicense-american.ldf) = %{tl_version}
Provides: tex(doclicense-australian.ldf) = %{tl_version}
Provides: tex(doclicense-british.ldf) = %{tl_version}
Provides: tex(doclicense-canadian.ldf) = %{tl_version}
Provides: tex(doclicense-canadien.ldf) = %{tl_version}
Provides: tex(doclicense-english.ldf) = %{tl_version}
Provides: tex(doclicense-french.ldf) = %{tl_version}
Provides: tex(doclicense-german.ldf) = %{tl_version}
Provides: tex(doclicense-newzealand.ldf) = %{tl_version}
Provides: tex(doclicense-ngerman.ldf) = %{tl_version}
Provides: tex(doclicense-spanish.ldf) = %{tl_version}
Provides: tex(doclicense.sty) = %{tl_version}

%description doclicense
This package allows you to put your document under a license
and include a link to read about the license or include an icon
or image of the license. Currently, only Creative Commons is
supported, but this package is designed to handle all kinds of
licenses.

%package doclicense-doc
Summary: Documentation for doclicense
Version: svn45495
Provides: tex-doclicense-doc
AutoReqProv: No

%description doclicense-doc
Documentation for doclicense

%package docmfp
Provides: tex-docmfp = %{tl_version}
License: LPPL
Summary: Document non-LaTeX code
Version: svn15878.1.2d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(docmfp.sty) = %{tl_version}

%description docmfp
Extends the doc package to cater for documenting non-LaTeX
code, such as Metafont or Metapost, or other programming
languages.

%package docmfp-doc
Summary: Documentation for docmfp
Version: svn15878.1.2d

Provides: tex-docmfp-doc
AutoReqProv: No

%description docmfp-doc
Documentation for docmfp

%package docmute
Provides: tex-docmute = %{tl_version}
License: LPPL 1.3
Summary: Input files ignoring LaTeX preamble, etc
Version: svn25741.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(docmute.sty) = %{tl_version}

%description docmute
Input or include stand-alone LaTeX documents, ignoring
everything but the material between \begin{document} and
\end{document}.

%package docmute-doc
Summary: Documentation for docmute
Version: svn25741.1.4

Provides: tex-docmute-doc
AutoReqProv: No

%description docmute-doc
Documentation for docmute

%package doctools
Provides: tex-doctools = %{tl_version}
License: LPPL 1.3
Summary: Tools for the documentation of LaTeX code
Version: svn34474.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions-patch.sty)
Requires: tex(kvoptions.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(listings.sty)
Provides: tex(doctools.sty) = %{tl_version}

%description doctools
The package provides a collection of tools for use either in an
"ordinary" LaTeX document, or within a .dtx file.

%package doctools-doc
Summary: Documentation for doctools
Version: svn34474.0.1

Provides: tex-doctools-doc
AutoReqProv: No

%description doctools-doc
Documentation for doctools

%package documentation
Provides: tex-documentation = %{tl_version}
License: LPPL 1.2
Summary: Documentation support for C, Java and assembler code
Version: svn34521.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(documentation.sty) = %{tl_version}

%description documentation
The package provides a simple means of typesetting computer
programs such that the result is acceptable for inclusion in
reports, etc.

%package documentation-doc
Summary: Documentation for documentation
Version: svn34521.0.1

Provides: tex-documentation-doc
AutoReqProv: No

%description documentation-doc
Documentation for documentation

%package doi
Provides: tex-doi = %{tl_version}
License: LPPL
Summary: Create correct hyperlinks for DOI numbers
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(hyperref.sty)
Provides: tex(doi.sty) = %{tl_version}

%description doi
You can hyperlink DOI numbers to dx.doi.org. However, some
publishers have elected to use nasty characters in their DOI
numbering scheme ('<', '>', '_' and ';' have all been spotted).
This will either upset (La)TeX, or your PDF reader. This
package contains a single user-level command \doi{}, which
takes a DOI number, and creates a correct hyperlink to the
target of the DOI.

%package doi-doc
Summary: Documentation for doi
Version: svn15878.0

Provides: tex-doi-doc
AutoReqProv: No

%description doi-doc
Documentation for doi

%package dotarrow
Provides: tex-dotarrow = %{tl_version}
License: LPPL
Summary: Extendable dotted arrows
Version: svn15878.0.01a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(DotArrow.sty) = %{tl_version}

%description dotarrow
The package can draw dotted arrows that are extendable, in the
same was as \xrightarrow.

%package dotarrow-doc
Summary: Documentation for dotarrow
Version: svn15878.0.01a

Provides: tex-dotarrow-doc
AutoReqProv: No

%description dotarrow-doc
Documentation for dotarrow

%package dotseqn
Provides: tex-dotseqn = %{tl_version}
License: Dotseqn
Summary: Flush left equations with dotted leaders to the numbers
Version: svn17195.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dotseqn.sty) = %{tl_version}

%description dotseqn
The package provides a different format for typesetting
equations, one reportedly used in 'old style Britsh books':
equations aligned on the left, with dots on the right leading
to the equation number. In default of an equation number, the
package operates much like the fleqn class option (no leaders).

%package dotseqn-doc
Summary: Documentation for dotseqn
Version: svn17195.1.1

Provides: tex-dotseqn-doc
AutoReqProv: No

%description dotseqn-doc
Documentation for dotseqn

%package download
Provides: tex-download = %{tl_version}
License: LPPL 1.3
Summary: Allow LaTeX to download files using an external process
Version: svn30695.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(xparse.sty)
Provides: tex(download.sty) = %{tl_version}

%description download
The package allows the user to download files (using cURL or
wget), from within a document. To run the external commands,
LaTeX (or whatever) needs to be run with the --shell-escape
flag; this creates a tension between your needs and the
security implications of the flag; users should exercise due
caution.

%package download-doc
Summary: Documentation for download
Version: svn30695.1.1

Provides: tex-download-doc
AutoReqProv: No

%description download-doc
Documentation for download

%package dox
Provides: tex-dox = %{tl_version}
License: LPPL
Summary: Extend the doc package
Version: svn43060
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Provides: tex(dox.sty) = %{tl_version}

%description dox
The doc package provides LaTeX developers with means to
describe the usage and the definition of new macros and
environments. However, there is no simple way to extend this
functionality to other items (options or counters, for
instance). The DoX package is designed to circumvent this
limitation.

%package dox-doc
Summary: Documentation for dox
Version: svn43060
Provides: tex-dox-doc
AutoReqProv: No

%description dox-doc
Documentation for dox

%package dpfloat
Provides: tex-dpfloat = %{tl_version}
License: LPPL
Summary: Support for double-page floats
Version: svn17196.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dpfloat.sty) = %{tl_version}

%description dpfloat
Provides fullpage and leftfullpage environments, that may be
used inside a figure, table, or other float environment. If the
first of a 2-page spread uses a "leftfullpage" environment, the
float will only be typeset on an even-numbered page, and the
two floats will appear side-by-side in a two-sided document.

%package dpfloat-doc
Summary: Documentation for dpfloat
Version: svn17196.0

Provides: tex-dpfloat-doc
AutoReqProv: No

%description dpfloat-doc
Documentation for dpfloat

%package dprogress
Provides: tex-dprogress = %{tl_version}
License: LPPL
Summary: LaTeX-relevant log information for debugging
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dprogress.sty) = %{tl_version}

%description dprogress
The package logs LaTeX's progress through the file, making the
LaTeX output more verbose. This helps to make LaTeX debugging
easier, as it is simpler to find where exactly LaTeX failed.
The package outputs the typesetting of section, subsection and
subsubsection headers and (if amsmath is loaded) details of the
align environment.

%package dprogress-doc
Summary: Documentation for dprogress
Version: svn15878.0.1

Provides: tex-dprogress-doc
AutoReqProv: No

%description dprogress-doc
Documentation for dprogress

%package drac
Provides: tex-drac = %{tl_version}
License: LPPL
Summary: Declare active character substitution, robustly
Version: svn15878.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(drac.sty) = %{tl_version}

%description drac
The package provides macros \DeclareRobustActChar and
\ReDeclareRobActChar. One uses \DeclareRobustActChar in the
same way one would use \DeclareRobustCommand; the macro
\protects the active character when it appears in a moving
argument. \ReDeclareRobActChar redefines an active character
previously defined with \DeclareRobustActChar, in the same way
that \renewcommand works for ordinary commands.

%package drac-doc
Summary: Documentation for drac
Version: svn15878.1

Provides: tex-drac-doc
AutoReqProv: No

%description drac-doc
Documentation for drac

%package draftcopy
Provides: tex-draftcopy = %{tl_version}
License: LPPL
Summary: Identify draft copies
Version: svn15878.2.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(draftcopy.cfg) = %{tl_version}
Provides: tex(draftcopy.sty) = %{tl_version}

%description draftcopy
Places the word DRAFT (or other words) in light grey diagonally
across the background (or at the bottom) of each (or selected)
pages of the document. The package uses PostScript \special
commands, and may not therefore be used with PDFLaTeX. For that
usage, consider the wallpaper or draftwatermark packages.

%package draftcopy-doc
Summary: Documentation for draftcopy
Version: svn15878.2.16

Provides: tex-draftcopy-doc
AutoReqProv: No

%description draftcopy-doc
Documentation for draftcopy

%package draftwatermark
Provides: tex-draftwatermark = %{tl_version}
License: LPPL 1.3
Summary: Put a grey textual watermark on document pages
Version: svn37498.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(everypage.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Provides: tex(draftwatermark.sty) = %{tl_version}

%description draftwatermark
The package provides a means to add a textual, light grey
watermark on every page or on the first page of a document.
Typical usage may consist in writing words such as DRAFT or
CONFIDENTIAL across document pages. The package performs a
similar function to that of draftcopy, but its implementation
is output device independent, and made very simple by relying
on everypage.

%package draftwatermark-doc
Summary: Documentation for draftwatermark
Version: svn37498.1.2

Provides: tex-draftwatermark-doc
AutoReqProv: No

%description draftwatermark-doc
Documentation for draftwatermark

%package dtk
Provides: tex-dtk = %{tl_version}
License: LPPL 1.3
Summary: Document class for the journal of DANTE
Version: svn44524
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(multicol.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(hyperref.sty)
Requires: tex(url.sty)
Requires: tex(pdfescape.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifluatex.sty)
Requires: tex(atveryend.sty)
Requires: tex(embedfile.sty)
Requires: tex(xcolor.sty)
Requires: tex(longtable.sty)
Requires: tex(caption.sty)
Requires: tex(listings.sty)
Requires: tex(ifthen.sty)
Requires: tex(paralist.sty)
Requires: tex(hyphsubst.sty)
Requires: tex(accsupp.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(lineno.sty)
Requires: tex(etex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(amssymb.sty)
Requires: tex(textcomp.sty)
Requires: tex(eurosym.sty)
Requires: tex(amsmath.sty)
Requires: tex(fontspec.sty)
Requires: tex(unicode-math.sty)
Requires: tex(libertine.sty)
Requires: tex(fontenc.sty)
Requires: tex(mathpazo.sty)
Requires: tex(tgpagella.sty)
Requires: tex(tgheros.sty)
Requires: tex(beramono.sty)
Requires: tex(inputenc.sty)
Requires: tex(cmap.sty)
Requires: tex(babel.sty)
Requires: tex(microtype.sty)
Requires: tex(afterpage.sty)
Requires: tex(tabularx.sty)
Requires: tex(xspace.sty)
Requires: tex(shortvrb.sty)
Requires: tex(footmisc.sty)
Requires: tex(array.sty)
Requires: tex(enumerate.sty)
Requires: tex(booktabs.sty)
Requires: tex(subfig.sty)
Requires: tex(setspace.sty)
Requires: tex(makeidx.sty)
Requires: tex(hologo.sty)
Provides: tex(dtk-url.sty) = %{tl_version}
Provides: tex(dtk-author.clo) = %{tl_version}
Provides: tex(dtk-full.clo) = %{tl_version}
Provides: tex(dtk-new-engines.clo) = %{tl_version}
Provides: tex(dtk-old-engines.clo) = %{tl_version}
Provides: tex(dtk.cls) = %{tl_version}
Provides: tex(dtk-logos.sty) = %{tl_version}

%description dtk
The bundle provides a class and style file for typesetting "Die
TeXnische Komodie" -- the communications of the German TeX
Users Group DANTE e.V. The arrangement means that the class may
be used by article writers to typeset a single article as well
as to produce the complete journal.

%package dtk-doc
Summary: Documentation for dtk
Version: svn44524
Provides: tex-dtk-doc
AutoReqProv: No

%description dtk-doc
Documentation for dtk

%package dtxgallery-doc
Summary: Documentation for dtxgallery
Version: svn15878.1

Provides: tex-dtxgallery-doc
AutoReqProv: No

%description dtxgallery-doc
Documentation for dtxgallery

%package dvdcoll
Provides: tex-dvdcoll = %{tl_version}
License: LPPL
Summary: A class for typesetting DVD archives
Version: svn15878.v1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(afterpage.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(tabularx.sty)
Requires: tex(booktabs.sty)
Requires: tex(array.sty)
Requires: tex(multicol.sty)
Requires: tex(ragged2e.sty)
Requires: tex(hyperref.sty)
Requires: tex(ifpdf.sty)
Requires: tex(marginnote.sty)
Provides: tex(dcwrtbib.sty) = %{tl_version}
Provides: tex(dvdcoll.cls) = %{tl_version}
Provides: tex(pdfnotiz.sty) = %{tl_version}

%description dvdcoll
Having lost the overview of my DVD archives, I simply could not
remember if I already recorded the documentary running on TV
that day. I chose to recreate the index using LaTeX: the design
aim was a hyperlinked and fully searchable PDF-document,
listing my DVDs with all titles, lengths and so on. Further
requirements were support for seasons of tv series and a list
with all faulty or missing programs for rerecording. The
dvdcoll class supports all these requirements. dvdcoll.cls
follows the structure <number><title><length>. As a result, the
class is not limited to DVDs--you can of course typeset
archives of CD-ROMs, Audio-CDs and so on. Supported languages
at the moment: English, French, German, Italian, Polish,
Portuguese, Spanish. Some help is needed for other languages!

%package dvdcoll-doc
Summary: Documentation for dvdcoll
Version: svn15878.v1.1a

Provides: tex-dvdcoll-doc
AutoReqProv: No

%description dvdcoll-doc
Documentation for dvdcoll

%package dynblocks
Provides: tex-dynblocks = %{tl_version}
License: LPPL 1.3
Summary: A simple way to create dynamic blocks for Beamer
Version: svn35193.0.2b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xparse.sty)
Provides: tex(dynblocks.sty) = %{tl_version}

%description dynblocks
The package provides full customisation of the aspect and
dimensions of blocks inside a presentation.

%package dynblocks-doc
Summary: Documentation for dynblocks
Version: svn35193.0.2b

Provides: tex-dynblocks-doc
AutoReqProv: No

%description dynblocks-doc
Documentation for dynblocks

%package ean13isbn
Provides: tex-ean13isbn = %{tl_version}
License: LPPL
Summary: Print EAN13 for ISBN
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(ean13.tex)
Provides: tex(ean13isbn.sty) = %{tl_version}

%description ean13isbn
The package provides the means to typeset ISBN codes with EAN-
13; it uses the (generic) package ean13.tex to typeset the
actual barcode.

%package ean13isbn-doc
Summary: Documentation for ean13isbn
Version: svn15878.0

Provides: tex-ean13isbn-doc
AutoReqProv: No

%description ean13isbn-doc
Documentation for ean13isbn

%package easy
Provides: tex-easy = %{tl_version}
License: LPPL
Summary: A collection of easy-to-use macros
Version: svn19440.0.99

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(easy.sty) = %{tl_version}
Provides: tex(easybib.sty) = %{tl_version}
Provides: tex(easybmat.sty) = %{tl_version}
Provides: tex(easyeqn.sty) = %{tl_version}
Provides: tex(easymat.sty) = %{tl_version}
Provides: tex(easytable.sty) = %{tl_version}
Provides: tex(easyvector.sty) = %{tl_version}

%description easy
The collection comprises: easybib, support for customising
bibliographies; easybmat, support for composing block matrices;
easyeqn, support for various aspects of equations; easymat,
support for composing matrices; easytable, support for writing
tables; easyvector, a C-like syntax for writing vectors.

%package easy-doc
Summary: Documentation for easy
Version: svn19440.0.99

Provides: tex-easy-doc
AutoReqProv: No

%description easy-doc
Documentation for easy

%package easy-todo
Provides: tex-easy-todo = %{tl_version}
License: ASL 2.0
Summary: To-do notes in a document
Version: svn32677.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(tocloft.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifdraft.sty)
Provides: tex(easy-todo.sty) = %{tl_version}

%description easy-todo
The package provides to-do notes throughout a document, and
will provide an index of things to do.

%package easy-todo-doc
Summary: Documentation for easy-todo
Version: svn32677.0

Provides: tex-easy-todo-doc
AutoReqProv: No

%description easy-todo-doc
Documentation for easy-todo

%package easyfig
Provides: tex-easyfig = %{tl_version}
License: LPPL 1.3
Summary: Simplifying the use of common figures
Version: svn26424.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(adjustbox.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifetex.sty)
Provides: tex(easyfig.sty) = %{tl_version}

%description easyfig
The package provides the command \Figure[<key=value>...]{<image
filename>} to simplify the business of including an image as
figure in the most common form (centred and with caption and
label). Caption and label are set using the caption and label
keys; the label fig:<image filename> is used if none is given.
If the here key is given, the figure is not 'floated', and the
user is responsible for placement. The package uses the
author's package adjustbox to centre an image and to simplify
further modifications.

%package easyfig-doc
Summary: Documentation for easyfig
Version: svn26424.1.2

Provides: tex-easyfig-doc
AutoReqProv: No

%description easyfig-doc
Documentation for easyfig

%package easylist
Provides: tex-easylist = %{tl_version}
License: LPPL
Summary: Lists using a single active character
Version: svn32661.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(easylist.sty) = %{tl_version}

%description easylist
This package allows you to create lists of numbered items (as
in Wittgenstein's 'Tractatus') with a single active character
as the only command. A variety of parameters are available to
configure the appearance of the list; lists may be nested
(effectively to unlimited depth).

%package easylist-doc
Summary: Documentation for easylist
Version: svn32661.1.3

Provides: tex-easylist-doc
AutoReqProv: No

%description easylist-doc
Documentation for easylist

%package easyreview
Provides: tex-easyreview = %{tl_version}
License: LPPL
Summary: Package to provide a way to review (or perform editorial process) in LaTeX
Version: svn38352.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(soul.sty)
Requires: tex(xcolor.sty)
Requires: tex(todonotes.sty)
Provides: tex(easyReview.sty) = %{tl_version}

%description easyreview
The easyReview package provides a way to review (or perform
editorial process) in LaTeX. You can use the provided commands
to claim attention in different ways to part of the text, or
even to indicate that a text was added, needs to be removed,
needs to be replaced and add comments to the text.

%package easyreview-doc
Summary: Documentation for easyreview
Version: svn38352.1.0

Provides: tex-easyreview-doc
AutoReqProv: No

%description easyreview-doc
Documentation for easyreview

%package ebezier
Provides: tex-ebezier = %{tl_version}
License: LPPL
Summary: Device independent picture environment enhancement
Version: svn15878.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Provides: tex(ebezier.sty) = %{tl_version}

%description ebezier
Ebezier is a device independent extension for the standard
picture environment. Linear, quadratic, and cubic bezier curves
are supplied in connection with higher level circle drawing
commands. Additionally some macros for the calculation of curve
lenghts are part of this package.

%package ebezier-doc
Summary: Documentation for ebezier
Version: svn15878.4

Provides: tex-ebezier-doc
AutoReqProv: No

%description ebezier-doc
Documentation for ebezier

%package ecclesiastic
Provides: tex-ecclesiastic = %{tl_version}
License: LPPL 1.3
Summary: Typesetting Ecclesiastic Latin
Version: svn38172.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(iftex.sty)
Provides: tex(ecclesiastic.sty) = %{tl_version}

%description ecclesiastic
The package modifies the way the latin option to babel operates
when typesetting Latin. The style is somewhat 'frenchified' in
respect of punctuation spacings and footnote style; shortcuts
are available in order to set accents on all vowels, including
y and the diphthongs ae and oe.

%package ecclesiastic-doc
Summary: Documentation for ecclesiastic
Version: svn38172.0.3

Provides: tex-ecclesiastic-doc
AutoReqProv: No

%description ecclesiastic-doc
Documentation for ecclesiastic

%package ecv
Provides: tex-ecv = %{tl_version}
License: Copyright only
Summary: A fancy Curriculum Vitae class
Version: svn24928.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(ifthen.sty)
Requires: tex(geometry.sty)
Requires: tex(longtable.sty)
Requires: tex(pgf.sty)
Requires: tex(paralist.sty)
Requires: tex(helvet.sty)
Requires: tex(xcolor.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(inputenc.sty)
Requires: tex(selinput.sty)
Requires: tex(fontenc.sty)
Requires: tex(url.sty)
Requires: tex(hyperref.sty)
Requires: tex(babel.sty)
Provides: tex(ecv.cls) = %{tl_version}
Provides: tex(ecvEnglish.ldf) = %{tl_version}
Provides: tex(ecvGerman.ldf) = %{tl_version}
Provides: tex(ecvNLS.sty) = %{tl_version}

%description ecv
The class provides an environment for creating a fancily laid
out tabular curriculum vitae inspired by the european
curriculum vitae. The distribution comes with a German and an
English template.

%package ecv-doc
Summary: Documentation for ecv
Version: svn24928.0.3

Provides: tex-ecv-doc
AutoReqProv: No

%description ecv-doc
Documentation for ecv

%package ed
Provides: tex-ed = %{tl_version}
License: LPPL
Summary: Editorial Notes for LaTeX documents
Version: svn25231.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(paralist.sty)
Requires: tex(xcolor.sty)
Requires: tex(verbatim.sty)
Provides: tex(ed.sty) = %{tl_version}

%description ed
This package defines a couple of editorial notes that simplify
collaboration on a LaTeX text. These allow authors to annotate
status information in the source. In draft mode, the
annotations are shown for communication, and in publication
mode these are suppressed.

%package ed-doc
Summary: Documentation for ed
Version: svn25231.1.8

Provides: tex-ed-doc
AutoReqProv: No

%description ed-doc
Documentation for ed

%package edmargin
Provides: tex-edmargin = %{tl_version}
License: LPPL
Summary: Multiple series of endnotes for critical editions
Version: svn27599.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(edmargin.sty) = %{tl_version}

%description edmargin
Edmargin provides a very simple scheme for endnote sections for
critical editions. Endnotes can either be marked in the text,
or with marginal references to the page in the note sections
where the note is to be found. Notes can be set in individual
paragraphs, or in block paragraph mode (where there are many
short notes). Note sections will have running headers of the
form "Textual notes to pp. xx--yy". New note sections can be
created on the fly. There are predefined endnote sections for
textual notes, emendations, and explanatory notes.

%package edmargin-doc
Summary: Documentation for edmargin
Version: svn27599.1.2

Provides: tex-edmargin-doc
AutoReqProv: No

%description edmargin-doc
Documentation for edmargin

%package eemeir
Provides: tex-eemeir = %{tl_version}
License: LPPL
Summary: Adjust the gender of words in a document
Version: svn15878.1.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(eemeir.sty) = %{tl_version}

%description eemeir
Defines macros for third-person singular pronouns (\E, \Em,
\Eir, \Eirs), which expand differently according to a
masculine/feminine switch. (If the switch is 'masculine', they
would expand to 'he', 'him', 'his' and 'his'; if 'feminine',
they would expand to 'she', 'her', 'her' and 'hers'. Apart from
the pronouns, one can define 'word pairs', such as
mother/father, daughter/son, and so on. Gender may be defined
once per document, as an environment, or may be flipped on the
fly.

%package eemeir-doc
Summary: Documentation for eemeir
Version: svn15878.1.1b

Provides: tex-eemeir-doc
AutoReqProv: No

%description eemeir-doc
Documentation for eemeir

%package efbox
Provides: tex-efbox = %{tl_version}
License: LPPL 1.3
Summary: Extension of \fbox, with controllable frames and colours
Version: svn33236.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(pgfkeys.sty)
Provides: tex(efbox.sty) = %{tl_version}

%description efbox
The package defines the \efbox command, which creates a box
just wide enough to hold the text created by its argument. The
command optionally puts a (possibly partial) frame around the
box, and allows setting the box background colour.

%package efbox-doc
Summary: Documentation for efbox
Version: svn33236.1.0

Provides: tex-efbox-doc
AutoReqProv: No

%description efbox-doc
Documentation for efbox

%package egplot
Provides: tex-egplot = %{tl_version}
License: GPL+
Summary: Encapsulate Gnuplot sources in LaTeX documents
Version: svn20617.1.02a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Provides: tex(egplot.sty) = %{tl_version}

%description egplot
A package to encapsulate gnuplot commands in a LaTeX source
file, so that a document's figures are maintained in parallel
with the document source itself.

%package egplot-doc
Summary: Documentation for egplot
Version: svn20617.1.02a

Provides: tex-egplot-doc
AutoReqProv: No

%description egplot-doc
Documentation for egplot

%package elements
Provides: tex-elements = %{tl_version}
License: LPPL 1.3
Summary: Provides properties of chemical elements
Version: svn44628
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(translations.sty)
Provides: tex(elements.sty) = %{tl_version}
Provides: tex(elements_names_english.def) = %{tl_version}
Provides: tex(elements_names_french.def) = %{tl_version}
Provides: tex(elements_names_german.def) = %{tl_version}

%description elements
The package provides means for retrieving properties of
chemical elements like atomic number, element symbol, element
name, electron distribution or isotope number. Properties are
defined for the elements up to the atomic number 112. This
package is a spin-off of the package bohr by the same author.

%package elements-doc
Summary: Documentation for elements
Version: svn44628
Provides: tex-elements-doc
AutoReqProv: No

%description elements-doc
Documentation for elements

%package ellipsis
Provides: tex-ellipsis = %{tl_version}
License: LPPL
Summary: Fix uneven spacing around ellipses in LaTeX text mode
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(ellipsis.sty) = %{tl_version}

%description ellipsis
This is a simple package that fixes a problem in the way LaTeX
handles ellipses: it always puts a tiny bit more space after
\dots in text mode than before it, which results in the
ellipsis being off-center when used between two words.

%package ellipsis-doc
Summary: Documentation for ellipsis
Version: svn15878.0

Provides: tex-ellipsis-doc
AutoReqProv: No

%description ellipsis-doc
Documentation for ellipsis

%package elmath
Provides: tex-elmath = %{tl_version}
License: LPPL
Summary: Mathematics in Greek texts
Version: svn15878.v1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(elmath.sty) = %{tl_version}

%description elmath
This package has been designed to facilitate the use of Greek
letters in mathematical mode. The package allows one to
directly type in Greek letters (in ISO 8859-7 encoding) in math
mode.

%package elmath-doc
Summary: Documentation for elmath
Version: svn15878.v1.2

Provides: tex-elmath-doc
AutoReqProv: No

%description elmath-doc
Documentation for elmath

%package elocalloc
Provides: tex-elocalloc = %{tl_version}
License: LPPL
Summary: Local allocation macros for LaTeX 2015
Version: svn42712
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etex.sty)
Provides: tex(elocalloc.sty) = %{tl_version}

%description elocalloc
Local allocation macros, with names taken from etex.sty but
with implementation based on the LaTeX 2015 allocation macros.

%package elocalloc-doc
Summary: Documentation for elocalloc
Version: svn42712
Provides: tex-elocalloc-doc
AutoReqProv: No

%description elocalloc-doc
Documentation for elocalloc

%package elpres
Provides: tex-elpres = %{tl_version}
License: LPPL
Summary: A simple class for electronic presentations
Version: svn15878.v0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(ifthen.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(mathptmx.sty)
Requires: tex(courier.sty)
Requires: tex(helvet.sty)
Provides: tex(elpres.cls) = %{tl_version}

%description elpres
Elpres is a simple class for electronic presentations to be
shown on screen or a beamer. Elpres is derived from article.cls
and may be used with LaTeX or pdfLaTeX.

%package elpres-doc
Summary: Documentation for elpres
Version: svn15878.v0.3

Provides: tex-elpres-doc
AutoReqProv: No

%description elpres-doc
Documentation for elpres

%package elzcards
Provides: tex-elzcards = %{tl_version}
License: LPPL 1.3
Summary: Typeset business cards, index cards and flash cards easyly
Version: svn44785
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(calc.sty)
Requires: tex(xparse.sty)
Requires: tex(keyval.sty)
Provides: tex(elzcards.sty) = %{tl_version}

%description elzcards
A class, based on article.cls, for typesetting business cards,
index cards, and flash cards in an easy and flexible way,
optionally also the reverse side. You will have to furnish the
paper size, the desired size of your card, the printable area
of your printer, and the design of the card. Everything else is
taken care of by elzcards.

%package elzcards-doc
Summary: Documentation for elzcards
Version: svn44785
Provides: tex-elzcards-doc
AutoReqProv: No

%description elzcards-doc
Documentation for elzcards

%package emarks
Provides: tex-emarks = %{tl_version}
License: LPPL 1.3
Summary: Named mark registers with e-TeX
Version: svn24504.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Provides: tex(emarks.sty) = %{tl_version}

%description emarks
E-TeX provides 32 768 mark registers; using this facility is
far more comfortable than LaTeX tricks with \markright,
\markboth, \leftmark and \rightmark. The package provides two
commands for marking: \marksthe and \marksthecs, which have *
forms which disable expansion; new mark registers are allocated
as needed. Syntax is closely modelled on the \marks primitive.
Four commands are provided for retrieving the marks registers'
content: \thefirstmarks, \thebotmarks, thetopmarks and
\getthemarks; and the command \ifmarksequal is available for
comparing the content of marks registers. The package requires
an e-TeX-enabled engine, and the etex package.

%package emarks-doc
Summary: Documentation for emarks
Version: svn24504.1.0

Provides: tex-emarks-doc
AutoReqProv: No

%description emarks-doc
Documentation for emarks

%package embedall
Provides: tex-embedall = %{tl_version}
License: LPPL 1.2
Summary: Embed source files into the generated PDF
Version: svn31903.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(embedfile.sty)
Requires: tex(graphicx.sty)
Requires: tex(listings.sty)
Requires: tex(letltxmacro.sty)
Provides: tex(embedall.sty) = %{tl_version}

%description embedall
The package provides a means of storing a project, without
losing anything. It uses the embedfile package to attach to the
generated PDF all files used in creating your project. In
particular, it can embed images, external TeX files, external
codes and

%package embedall-doc
Summary: Documentation for embedall
Version: svn31903.1.0

Provides: tex-embedall-doc
AutoReqProv: No

%description embedall-doc
Documentation for embedall

%package embrac
Provides: tex-embrac = %{tl_version}
License: LPPL 1.3
Summary: Upright brackets in emphasised text
Version: svn44757
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Provides: tex(embrac.sty) = %{tl_version}

%description embrac
The package redefines the commands \emph and \textit so that
parentheses and square brackets are typeset in an upright font
in their arguments. The package requires expl3 from the
l3kernel bundle, and xparse and l3keys2e from the l3packages
bundle.

%package embrac-doc
Summary: Documentation for embrac
Version: svn44757
Provides: tex-embrac-doc
AutoReqProv: No

%description embrac-doc
Documentation for embrac

%package emptypage
Provides: tex-emptypage = %{tl_version}
License: LPPL 1.2
Summary: Make empty pages really empty
Version: svn18064.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(emptypage.sty) = %{tl_version}

%description emptypage
This package prevents page numbers and headings from appearing
on empty pages.

%package emptypage-doc
Summary: Documentation for emptypage
Version: svn18064.1.2

Provides: tex-emptypage-doc
AutoReqProv: No

%description emptypage-doc
Documentation for emptypage

%package emulateapj
Provides: tex-emulateapj = %{tl_version}
License: LPPL
Summary: Produce output similar to that of APJ
Version: svn28469.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(latexsym.sty)
Requires: tex(graphicx.sty)
Requires: tex(amssymb.sty)
Requires: tex(longtable.sty)
Requires: tex(epsf.sty)
Provides: tex(emulateapj.cls) = %{tl_version}

%description emulateapj
A LaTeX class (based on current RevTeX) to produce preprints
with the page layout similar to that of the Astrophysical
Journal.

%package emulateapj-doc
Summary: Documentation for emulateapj
Version: svn28469.0

Provides: tex-emulateapj-doc
AutoReqProv: No

%description emulateapj-doc
Documentation for emulateapj

%package endfloat
Provides: tex-endfloat = %{tl_version}
License: GPL+
Summary: Move floats to the end, leaving markers where they belong
Version: svn24962.2.5d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(efxmpl.cfg) = %{tl_version}
Provides: tex(endfloat.sty) = %{tl_version}

%description endfloat
Place all floats on pages by themselves at the end of the
document, optionally leaving markers like "[Figure 3 about
here]" in the text near to where the figure (or table) would
normally have occurred. Float types figure and table are
recognised by the package, unmodified. Since several packages
define other types of float, it is possible to register these
float types with endfloat.

%package endfloat-doc
Summary: Documentation for endfloat
Version: svn24962.2.5d

Provides: tex-endfloat-doc
AutoReqProv: No

%description endfloat-doc
Documentation for endfloat

%package endheads
Provides: tex-endheads = %{tl_version}
License: LPPL
Summary: Running headers of the form "Notes to pp.xx-yy"
Version: svn43750
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(endheads.sty) = %{tl_version}

%description endheads
Endheads provides running headers of the form "Notes to pp. xx-
yy" for endnotes sections. It also enables one to reset the
endnotes counter, and put a line marking the chapter change in
the endnotes, at the beginning of every chapter. Endheads
requires the fancyhdr, needspace, ifthen, and endnotes
packages.

%package endheads-doc
Summary: Documentation for endheads
Version: svn43750
Provides: tex-endheads-doc
AutoReqProv: No

%description endheads-doc
Documentation for endheads

%package endnotes
Provides: tex-endnotes = %{tl_version}
License: LPPL 1.2
Summary: Place footnotes at the end
Version: svn17197.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(endnotes.sty) = %{tl_version}

%description endnotes
Accumulates notes (using the \endnote command, which can be
used as a replacement for \footnote), and places them at the
end of the section, chapter or document.

%package endnotes-doc
Summary: Documentation for endnotes
Version: svn17197.0

Provides: tex-endnotes-doc
AutoReqProv: No

%description endnotes-doc
Documentation for endnotes

%package engpron
Provides: tex-engpron = %{tl_version}
License: LPPL
Summary: Helps to type the pronunciation of English words
Version: svn16558.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(tipa.sty)
Requires: tex(ifthen.sty)
Requires: tex(drac.sty)
Provides: tex(engpron-tools.sty) = %{tl_version}
Provides: tex(engpron.sty) = %{tl_version}

%description engpron
This package provides macros beginning with the 'PS' character,
made active, which enable us to write the British or American
English pronunciation as one can find it in the 'English
Pronouncing Dictionary' by Daniel Jones. There is an option to
typeset the pronunciation in the style of Harrap's dictionary.

%package engpron-doc
Summary: Documentation for engpron
Version: svn16558.2

Provides: tex-engpron-doc
AutoReqProv: No

%description engpron-doc
Documentation for engpron

%package engrec
Provides: tex-engrec = %{tl_version}
License: LPPL
Summary: Enumerate with lower- or uppercase Greek letters
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amstext.sty)
Requires: tex(upgreek.sty)
Provides: tex(engrec.sty) = %{tl_version}

%description engrec
This package provides two macros \engrec and \EnGrec to convert
number arguments to lower case or upper case greek letters.
They have the syntax of \alph, i.e. \engrec{a_counter},
\EnGrec{a_counter}. Options are provided to work with the
upgreek and fourier packages. Requires amstext.

%package engrec-doc
Summary: Documentation for engrec
Version: svn15878.1.1

Provides: tex-engrec-doc
AutoReqProv: No

%description engrec-doc
Documentation for engrec

%package enotez
Provides: tex-enotez = %{tl_version}
License: LPPL 1.3
Summary: Support for end-notes
Version: svn44024
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xtemplate.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xpatch.sty)
Requires: tex(scrlfile.sty)
Requires: tex(translations.sty)
Provides: tex(enotez.sty) = %{tl_version}

%description enotez
The package allows nested endnotes, supports hyperref and
provides means for easy customization of the list of notes. The
package requires the expl3 bundle and packages from the LaTeX 3
'package set'.

%package enotez-doc
Summary: Documentation for enotez
Version: svn44024
Provides: tex-enotez-doc
AutoReqProv: No

%description enotez-doc
Documentation for enotez

%package enumitem
Provides: tex-enumitem = %{tl_version}
License: LPPL
Summary: Control layout of itemize, enumerate, description
Version: svn24146.3.5.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(enumitem.sty) = %{tl_version}

%description enumitem
This package provides user control over the layout of the three
basic list environments: enumerate, itemize and description. It
supersedes both enumerate and mdwlist (providing well-
structured replacements for all their funtionality), and in
addition provides functions to compute the layout of labels,
and to 'clone' the standard environments, to create new
environments with counters of their own.

%package enumitem-doc
Summary: Documentation for enumitem
Version: svn24146.3.5.2

Provides: tex-enumitem-doc
AutoReqProv: No

%description enumitem-doc
Documentation for enumitem

%package enumitem-zref
Provides: tex-enumitem-zref = %{tl_version}
License: LPPL 1.3
Summary: Extended references to items for enumitem package
Version: svn21472.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ltxcmds.sty)
Requires: tex(etoolbox.sty)
Requires: tex(kvoptions.sty)
Requires: tex(gettitlestring.sty)
Requires: tex(enumitem.sty)
Requires: tex(zref.sty)
Requires: tex(zref-user.sty)
Requires: tex(zref-counter.sty)
Requires: tex(engrec.sty)
Requires: tex(alphalph.sty)
Requires: tex(greekctr.sty)
Provides: tex(enumitem-zref.sty) = %{tl_version}

%description enumitem-zref
The package is a companion for the enumitem package; it makes
it possible to reference any item in lists formatted by
enumitem lists, viz., enumerated, itemize and description
lists, and any list defined (or customised) with \newlist or
\setlist. References may be typeset differently with
options/properties and even arbitrary text. With hyperref,
anchors are added for each item to enable hyperlinks within the
document or even to external documents. Three schemes are
provided to make reference names (including the standard \label
command).

%package enumitem-zref-doc
Summary: Documentation for enumitem-zref
Version: svn21472.1.8

Provides: tex-enumitem-zref-doc
AutoReqProv: No

%description enumitem-zref-doc
Documentation for enumitem-zref

%package envbig
Provides: tex-envbig = %{tl_version}
License: LPPL
Summary: Printing addresses on envelopes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(envbig.sty) = %{tl_version}

%description envbig
A simple package, that prints both 'from' and 'to' addresses.

%package envbig-doc
Summary: Documentation for envbig
Version: svn15878.0

Provides: tex-envbig-doc
AutoReqProv: No

%description envbig-doc
Documentation for envbig

%package environ
Provides: tex-environ = %{tl_version}
License: LPPL
Summary: A new interface for environments in LaTeX
Version: svn33821.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(trimspaces.sty)
Provides: tex(environ.sty) = %{tl_version}

%description environ
The package provides the \collect@body command (as in amsmath),
as well as a \long version \Collect@Body, for collecting the
body text of an environment. These commands are used to define
a new author interface to creating new environments. For
example: \NewEnviron{test} wraps the entire environment body in
square brackets, doing the right thing in ignoring leading and
trailing spaces.

%package environ-doc
Summary: Documentation for environ
Version: svn33821.0.3

Provides: tex-environ-doc
AutoReqProv: No

%description environ-doc
Documentation for environ

%package envlab
Provides: tex-envlab = %{tl_version}
License: LPPL
Summary: Addresses on envelopes or mailing labels
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(envlab.cfg) = %{tl_version}
Provides: tex(envlab.sty) = %{tl_version}

%description envlab
A LaTeX package for producing mailing envelopes and labels,
including barcodes and address formatting according to the US
Postal Service rules. Redefines the standard \makelabels
command of the LaTeX letter documentclass.

%package envlab-doc
Summary: Documentation for envlab
Version: svn15878.1.2

Provides: tex-envlab-doc
AutoReqProv: No

%description envlab-doc
Documentation for envlab

%package epigraph
Provides: tex-epigraph = %{tl_version}
License: LPPL 1.3
Summary: A package for typesetting epigraphs
Version: svn15878.1.5c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(epigraph.sty) = %{tl_version}

%description epigraph
Epigraphs are the pithy quotations often found at the start (or
end) of a chapter. Both single epigraphs and lists of epigraphs
are catered for. Various aspects are easily configurable.

%package epigraph-doc
Summary: Documentation for epigraph
Version: svn15878.1.5c

Provides: tex-epigraph-doc
AutoReqProv: No

%description epigraph-doc
Documentation for epigraph

%package epiolmec
Provides: tex-epiolmec = %{tl_version}
License: LPPL
Summary: Typesetting the Epi-Olmec Language
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(epiolmec.map) = %{tl_version}
Provides: tex(EpiOlmec.tfm) = %{tl_version}
Provides: tex(Epi-Olmec.pfb) = %{tl_version}
Provides: tex(epiolmec.sty) = %{tl_version}

%description epiolmec
The package contains all the necessary files to typeset Epi-
Olmec "documents", in a script used in Southern Middle America
until about 500 AD.

%package epiolmec-doc
Summary: Documentation for epiolmec
Version: svn15878.0

Provides: tex-epiolmec-doc
AutoReqProv: No

%description epiolmec-doc
Documentation for epiolmec

%package eqell
Provides: tex-eqell = %{tl_version}
License: GPL+
Summary: Sympathetically spaced ellipsis after punctuation
Version: svn22931.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(eqell.sty) = %{tl_version}

%description eqell
The package provides commands that give a well-spaced ellipsis
after !, ?, !? or ?!.

%package eqell-doc
Summary: Documentation for eqell
Version: svn22931.0

Provides: tex-eqell-doc
AutoReqProv: No

%description eqell-doc
Documentation for eqell

%package eqlist
Provides: tex-eqlist = %{tl_version}
License: LPPL
Summary: Description lists with equal indentation
Version: svn32257.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(eqparbox.sty)
Provides: tex(eqlist.sty) = %{tl_version}

%description eqlist
This package provides a list environment which sets a
description-like list in which the indentation corresponds to
the longest item of the list.

%package eqlist-doc
Summary: Documentation for eqlist
Version: svn32257.2.1

Provides: tex-eqlist-doc
AutoReqProv: No

%description eqlist-doc
Documentation for eqlist

%package eqname
Provides: tex-eqname = %{tl_version}
License: Copyright only
Summary: Name tags for equations
Version: svn20678.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eqname.sty) = %{tl_version}

%description eqname
The \eqname command provides a name tag for the current
equation, in place of an equation number. The name tag will be
picked up by a subsequent \label command.

%package eqparbox
Provides: tex-eqparbox = %{tl_version}
License: LPPL 1.3
Summary: Create equal-widthed parboxes
Version: svn45215
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(array.sty)
Requires: tex(environ.sty)
Provides: tex(eqparbox.sty) = %{tl_version}

%description eqparbox
LaTeX users sometimes need to ensure that two or more blocks of
text occupy the same amount of horizontal space on the page. To
that end, the eqparbox package defines a new command,
\eqparbox, which works just like \parbox, except that instead
of specifying a width, one specifies a tag. All eqparboxes with
the same tag--regardless of where they are in the document--
will stretch to fit the widest eqparbox with that tag. This
simple, equal-width mechanism can be used for a variety of
alignment purposes, as is evidenced by the examples in
eqparbox's documentation. Various derivatives of \eqparbox are
also provided.

%package eqparbox-doc
Summary: Documentation for eqparbox
Version: svn45215
Provides: tex-eqparbox-doc
AutoReqProv: No

%description eqparbox-doc
Documentation for eqparbox

%package errata
Provides: tex-errata = %{tl_version}
License: LPPL
Summary: Error markup for LaTeX documents
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(errata.sty) = %{tl_version}

%description errata
This package provides a simple infrastructure for recording
errata in LaTeX documents. This allows the user to maintain an
updated version of the document (with all errors corrected) and
to automatically generate an errata document highlighting the
difference to the published version.

%package errata-doc
Summary: Documentation for errata
Version: svn42428
Provides: tex-errata-doc
AutoReqProv: No

%description errata-doc
Documentation for errata

%package esami
Provides: tex-esami = %{tl_version}
License: LPPL
Summary: Typeset exams with scrambled questions and answers
Version: svn45359
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(random.tex)
Provides: tex(esami.sty) = %{tl_version}

%description esami
The package enables the user to typeset exams with multiple
choice, open questions and many other types of exercise. Both
questions and answers may be randomly distributed within the
exam, and the solutions are typeset automatically. Exercises
may contain a wide number of random parameters and it is
possible to do arithmetical operations on them. The package is
localised in Italian, English, French, German, Greek and
Spanish.

%package esami-doc
Summary: Documentation for esami
Version: svn45359
Provides: tex-esami-doc
AutoReqProv: No

%description esami-doc
Documentation for esami

%package esdiff
Provides: tex-esdiff = %{tl_version}
License: LPPL
Summary: Simplify typesetting of derivatives
Version: svn21385.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(esdiff.sty) = %{tl_version}

%description esdiff
The package makes writing derivatives very easy. It offers
macros for derivatives, partial derivatives and multiple
derivatives, and allows specification of the point at which the
value is calculated. Some typographic alternatives may be
selected by package options

%package esdiff-doc
Summary: Documentation for esdiff
Version: svn21385.1.2

Provides: tex-esdiff-doc
AutoReqProv: No

%description esdiff-doc
Documentation for esdiff

%package esint
Provides: tex-esint = %{tl_version}
License: Public Domain
Summary: Extended set of integrals for Computer Modern
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(esint10.tfm) = %{tl_version}
Provides: tex(esint.sty) = %{tl_version}
Provides: tex(uesint.fd) = %{tl_version}

%description esint
The esint package permits access to alternate integral symbols
when you're using the Computer Modern fonts. In the original
set, several integral symbols are missing, such as \oiint. Many
of these symbols are available in other font sets (pxfonts,
txfonts, etc.), but there is no good solution if you want to
use Computer Modern. The package provides Metafont source and
LaTeX macro support.

%package esint-doc
Summary: Documentation for esint
Version: svn15878.1.1

Provides: tex-esint-doc
AutoReqProv: No

%description esint-doc
Documentation for esint

%package esint-type1
Provides: tex-esint-type1 = %{tl_version}
License: Public Domain
Summary: Font esint10 in Type 1 format
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex-esint
Provides: tex(esint.map) = %{tl_version}
Provides: tex(esint10.pfb) = %{tl_version}
Provides: tex(esint.tex) = %{tl_version}

%description esint-type1
This is Eddie Saudrais's font esint10 in Adobe Type 1 format.
The Adobe Type 1 implementation was generated from the original
Metafont using mftrace. This distribution does not contain the
TFM files that are necessary to use the fonts with TeX; the TFM
files can be generated from the Metafont sources obtained by
following the instructions in the normal way.

%package esint-type1-doc
Summary: Documentation for esint-type1
Version: svn15878.0

Provides: tex-esint-type1-doc
AutoReqProv: No
Requires: tex-esint-doc

%description esint-type1-doc
Documentation for esint-type1

%package etaremune
Provides: tex-etaremune = %{tl_version}
License: LPPL
Summary: Reverse-counting enumerate environment
Version: svn15878.v1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Provides: tex(etaremune.sty) = %{tl_version}

%description etaremune
The package implements the etaremune environment which is an
enumerate environment in which the labels decrease instead of
increasing. The package is noticeably more efficient than the
revnum package, which uses painfully many counters.

%package etaremune-doc
Summary: Documentation for etaremune
Version: svn15878.v1.2

Provides: tex-etaremune-doc
AutoReqProv: No

%description etaremune-doc
Documentation for etaremune

%package etextools
Provides: tex-etextools = %{tl_version}
License: LPPL
Summary: e-TeX tools for LaTeX users and package writers
Version: svn20694.3.1415926

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(etoolbox.sty)
Requires: tex(letltxmacro.sty)
Provides: tex(etextools.sty) = %{tl_version}

%description etextools
The package provides many (purely expandable) tools for LaTeX:
Extensive list management (csv lists, lists of single
tokens/characters, etoolbox lists); purely expandable loops
(csvloop, forcsvloop, etc.); conversion (csvtolist, etc.));
addition/deletion (csvadd, listdel, etc.); Expansion and group
control: \expandnext, \ExpandAfterCmds, \AfterGroup...; Tests
on tokens, characters and control sequences (\iffirstchar,
\ifiscs, \ifdefcount, \@ifchar...); Tests on strings
(\ifstrnum, \ifuppercase, \DeclareStringFilter...); Purely
expandable macros with options (\FE@testopt, \FE@ifstar) or
modifiers (\FE@modifiers); Some purely expandable numerics
(\interval, \locinterplin). The package is dependent on the
etex and the etoolbox packages.

%package etextools-doc
Summary: Documentation for etextools
Version: svn20694.3.1415926

Provides: tex-etextools-doc
AutoReqProv: No

%description etextools-doc
Documentation for etextools

%package etoc
Provides: tex-etoc = %{tl_version}
License: LPPL 1.3
Summary: Completely customisable TOCs
Version: svn45429
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(multicol.sty)
Provides: tex(etoc.sty) = %{tl_version}

%description etoc
The package gives the user complete control of how the entries
of the table of contents should be constituted from the name,
number, and page number of each sectioning unit. The layout is
controlled by the definition of 'line styles' for each
sectioning level used in the document. The package provides its
own custom line styles (which may be used as examples), and
continues to support the standard formatting inherited from the
LaTeX document classes, but the package can also allow the user
to delegate the details to packages dealing with list making
environments (such as enumitem). The package's default global
style typesets tables of contents in a multi-column format,
with either a standard heading, or a ruled title (optionally
with a frame around the table). The \tableofcontents command
may be used arbitrarily many times in the same document, while
\localtableofcontents provides a 'local' table of contents.

%package etoc-doc
Summary: Documentation for etoc
Version: svn45429
Provides: tex-etoc-doc
AutoReqProv: No

%description etoc-doc
Documentation for etoc

%package etoolbox
Provides: tex-etoolbox = %{tl_version}
License: LPPL 1.3
Summary: e-TeX tools for LaTeX
Version: svn42855
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etex.sty)
Provides: tex(etoolbox.def) = %{tl_version}
Provides: tex(etoolbox.sty) = %{tl_version}

%description etoolbox
The package is a toolbox of programming facilities geared
primarily towards LaTeX class and package authors. It provides
LaTeX frontends to some of the new primitives provided by e-TeX
as well as some generic tools which are not strictly related to
e-TeX but match the profile of this package. Note that the
initial versions of this package were released under the name
elatex. The package provides functions that seem to offer
alternative ways of implementing some LaTeX kernel commands;
nevertheless, the package will not modify any part of the LaTeX
kernel.

%package etoolbox-doc
Summary: Documentation for etoolbox
Version: svn42855
Provides: tex-etoolbox-doc
AutoReqProv: No

%description etoolbox-doc
Documentation for etoolbox

%package eukdate
Provides: tex-eukdate = %{tl_version}
License: LPPL
Summary: UK format dates, with weekday
Version: svn15878.1.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eukdate.sty) = %{tl_version}

%description eukdate
The package is used to change the format of \today's date,
including the weekday, e.g., "Saturday, 26 June 2008", the 'UK
format', which is preferred in many parts of the world, as
distinct from that which is used in \maketitle of the article
class, "June 26, 2008", the 'US format'.

%package eukdate-doc
Summary: Documentation for eukdate
Version: svn15878.1.04

Provides: tex-eukdate-doc
AutoReqProv: No

%description eukdate-doc
Documentation for eukdate

%package europasscv
Provides: tex-europasscv = %{tl_version}
License: LPPL 1.3
Summary: Unofficial class for the new version of the Europass curriculum vitae
Version: svn43033
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(totpages.sty)
Requires: tex(inputenc.sty)
Requires: tex(array.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(xcolor.sty)
Requires: tex(url.sty)
Requires: tex(soul.sty)
Requires: tex(tabu.sty)
Requires: tex(setspace.sty)
Requires: tex(geometry.sty)
Requires: tex(textcomp.sty)
Requires: tex(enumitem.sty)
Requires: tex(hyperref.sty)
Requires: tex(colortbl.sty)
Requires: tex(graphicx.sty)
Requires: tex(showframe.sty)
Requires: tex(fontenc.sty)
Provides: tex(europasscv.cls) = %{tl_version}
Provides: tex(europasscv_de.def) = %{tl_version}
Provides: tex(europasscv_en.def) = %{tl_version}
Provides: tex(europasscv_it.def) = %{tl_version}

%description europasscv
This class is an unofficial LaTeX implementation of the the
Europass CV, the standard model for curriculum vitae as
recommended by the European Commission. It includes the major
style updates that came out in 2013, featuring a neater, more
compact and somewhat fancier layout.

%package europasscv-doc
Summary: Documentation for europasscv
Version: svn43033
Provides: tex-europasscv-doc
AutoReqProv: No

%description europasscv-doc
Documentation for europasscv

%package europecv
Provides: tex-europecv = %{tl_version}
License: LPPL
Summary: Unofficial class for European curricula vitae
Version: svn34454.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(totpages.sty)
Requires: tex(booktabs.sty)
Requires: tex(ucs.sty)
Requires: tex(inputenc.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(ecvbg.def) = %{tl_version}
Provides: tex(ecvca.def) = %{tl_version}
Provides: tex(ecvcs.def) = %{tl_version}
Provides: tex(ecvda.def) = %{tl_version}
Provides: tex(ecvde.def) = %{tl_version}
Provides: tex(ecven.def) = %{tl_version}
Provides: tex(ecves.def) = %{tl_version}
Provides: tex(ecvet.def) = %{tl_version}
Provides: tex(ecvfi.def) = %{tl_version}
Provides: tex(ecvfr.def) = %{tl_version}
Provides: tex(ecvgl.def) = %{tl_version}
Provides: tex(ecvgr.def) = %{tl_version}
Provides: tex(ecvhu.def) = %{tl_version}
Provides: tex(ecvis.def) = %{tl_version}
Provides: tex(ecvit.def) = %{tl_version}
Provides: tex(ecvlt.def) = %{tl_version}
Provides: tex(ecvlv.def) = %{tl_version}
Provides: tex(ecvmt.def) = %{tl_version}
Provides: tex(ecvnl.def) = %{tl_version}
Provides: tex(ecvno.def) = %{tl_version}
Provides: tex(ecvpl.def) = %{tl_version}
Provides: tex(ecvpt.def) = %{tl_version}
Provides: tex(ecvro.def) = %{tl_version}
Provides: tex(ecvsk.def) = %{tl_version}
Provides: tex(ecvsl.def) = %{tl_version}
Provides: tex(ecvsr.def) = %{tl_version}
Provides: tex(ecvsv.def) = %{tl_version}
Provides: tex(europecv.cls) = %{tl_version}

%description europecv
The europecv class is an unofficial LaTeX implementation of the
standard model for curricula vitae (the "Europass CV") as
recommended by the European Commission. Although primarily
intended for users in the European Union, the class is flexible
enough to be used for any kind of curriculum vitae. The class
has localisations for all the official languages of the EU
(plus Catalan), as well as options permitting input in UTF-8
and koi8-r.

%package europecv-doc
Summary: Documentation for europecv
Version: svn34454.0

Provides: tex-europecv-doc
AutoReqProv: No

%description europecv-doc
Documentation for europecv

%package everyhook
Provides: tex-everyhook = %{tl_version}
License: LPPL 1.3
Summary: Hooks for standard TeX token lists
Version: svn35675.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(svn-prov.sty)
Requires: tex(etoolbox.sty)
Provides: tex(everyhook.sty) = %{tl_version}

%description everyhook
The package takes control of the six TeX token registers
\everypar, \everymath, \everydisplay, \everyhbox, \everyvbox
and \everycr. Real hooks for each of the registers may be
installed using a stack like interface. For backwards
compatibility, each of the \everyX token lists can be set
without interfering with the hooks.

%package everyhook-doc
Summary: Documentation for everyhook
Version: svn35675.1.2

Provides: tex-everyhook-doc
AutoReqProv: No

%description everyhook-doc
Documentation for everyhook

%package everypage
Provides: tex-everypage = %{tl_version}
License: LPPL
Summary: Provide hooks to be run on every page of a document
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(everypage.sty) = %{tl_version}

%description everypage
The package provides hooks to perform actions on every page, or
on the current page. Specifically, actions are performed after
the page is composed, but before it is shipped, so they can be
used to prepare the output page in tasks like putting
watermarks in the background, or in setting the next page
layout, etc.

%package everypage-doc
Summary: Documentation for everypage
Version: svn15878.1.1

Provides: tex-everypage-doc
AutoReqProv: No

%description everypage-doc
Documentation for everypage

%package exam
Provides: tex-exam = %{tl_version}
License: LPPL 1.3
Summary: Package for typesetting exam scripts
Version: svn37279.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(exam.cls) = %{tl_version}

%description exam
Provides a class exam, which eases production of exams, even by
a LaTeX novice. Simple commands are provided to: create
questions, parts of questions, subparts of parts, and
subsubparts of subparts, all with optional point values; create
a grading table, indexed either by question number (listing
each question and the total possible points for that question)
or by page number (listing each page with points and the total
possible points for that page); create headers and footers that
are each specified in three parts: one part to be left
justified, one part to be centered, and one part to be right
justified, in the manner of fancyhdr Headers and/or footers can
be different on the first page of the exam, can be different on
the last page of the exam, and can vary depending on whether
the page number is odd or even, or on whether the current page
continues a question from a previous page, or on whether the
last question on the current page continues onto the following
page. Multiple line headers and/or footers are allowed, and
it's easy to increase the part of the page devoted to headers
and/or footers to allow for this. Note that the bundle exams
also provides a file exam.cls; the two bundles therefore clash,
and should not be installed on the same system.

%package exam-doc
Summary: Documentation for exam
Version: svn37279.2.5

Provides: tex-exam-doc
AutoReqProv: No

%description exam-doc
Documentation for exam

%package exam-n
Provides: tex-exam-n = %{tl_version}
License: LPPL
Summary: Exam class, focused on collaborative authoring
Version: svn42755
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(babel.sty)
Requires: tex(amsmath.sty)
Requires: tex(color.sty)
Requires: tex(ifpdf.sty)
Requires: tex(times.sty)
Requires: tex(helvet.sty)
Requires: tex(mathptm.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(exam-n.cls) = %{tl_version}

%description exam-n
The class design offers: Direct support for collaborative
development of an exam, using a model in which a departmental
'exams convener' or 'exam chair' coordinates multiple authors
writing individual questions (the class file and associated
process is in regular use within a physics and astronomy
department). All of the 'traditional' exam paper features such
as sectioning, per-part running marks, 'Question n continued'
catchwords, and so on. Readily configured local adaptation.

%package exam-n-doc
Summary: Documentation for exam-n
Version: svn42755
Provides: tex-exam-n-doc
AutoReqProv: No

%description exam-n-doc
Documentation for exam-n

%package examdesign
Provides: tex-examdesign = %{tl_version}
License: GPL+
Summary: LaTeX class for typesetting exams
Version: svn15878.1.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(enumerate.sty)
Requires: tex(multicol.sty)
Requires: tex(keyval.sty)
Provides: tex(examdesign.cls) = %{tl_version}

%description examdesign
This bundle provides a class examdesign. The class provides
several features useful for designing tests or question sets:
it allows for explicit markup of questions and answers; the
class will, at the user's request, automatically generate
answer keys; multiple versions of the same test can be
generated automatically, with the ordering of questions within
each section randomly permuted so as to minimize cheating; the
generated answer keys can be constructed either with or without
the questions included; environments are provided to assist in
constructing the most common types of test question: matching,
true/false, multiple-choice, fill-in-the-blank, and short
answer/essay questions.

%package examdesign-doc
Summary: Documentation for examdesign
Version: svn15878.1.02

Provides: tex-examdesign-doc
AutoReqProv: No

%description examdesign-doc
Documentation for examdesign

%package example
Provides: tex-example = %{tl_version}
License: GPL+
Summary: Typeset examples for TeX courses
Version: svn33398.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(example.sty) = %{tl_version}

%description example
The package makes it easier to produce examples for TeX course.
It provides an example environment, which typesets its contents
on the left of the page, and prints it verbatim on the right.

%package examplep
Provides: tex-examplep = %{tl_version}
License: GPL+
Summary: Verbatim phrases and listings in LaTeX
Version: svn16916.0.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbfwr.sty)
Provides: tex(codep.sty) = %{tl_version}
Provides: tex(examplep.sty) = %{tl_version}
Provides: tex(verbfwr.sty) = %{tl_version}

%description examplep
Examplep provides sophisticated features for typesetting
verbatim source code listings, including the display of the
source code and its compiled LaTeX or Metapost output side-by-
side, with automatic width detection and enabled page breaks
(in the source), without the need for specifying the source
twice. Special care is taken that section, page and footnote
numbers do not interfere with the main document. For
typesetting short verbatim phrases, a replacement for the \verb
command is also provided in the package, which can be used
inside tables and moving arguments such as footnotes and
section titles. The listings package is used for syntax
highlighting. The accompanying codep package and the wrfiles.pl
Perl script provide a convenient interface to the examplep
package for authors of manuals. With codep it is possible to
generate the source code, the LaTeX or METAPOST output and the
compilable example file from a single source embedded into the
appropriate place of the .tex document file.

%package examplep-doc
Summary: Documentation for examplep
Version: svn16916.0.04

Provides: tex-examplep-doc
AutoReqProv: No

%description examplep-doc
Documentation for examplep

%package excludeonly
Provides: tex-excludeonly = %{tl_version}
License: Public Domain
Summary: Prevent files being \include-ed
Version: svn17262.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(excludeonly.sty) = %{tl_version}

%description excludeonly
The package defines an \excludeonly command, which is (in
effect) the opposite of \includeonly. If both \includeonly and
\excludeonly exist in a document, only files "allowed" by both
will be included. The package redefines the internal \@include
command, so it conflicts with packages that do the same.
Examples are the classes paper.cls and thesis.cls.

%package excludeonly-doc
Summary: Documentation for excludeonly
Version: svn17262.1.0

Provides: tex-excludeonly-doc
AutoReqProv: No

%description excludeonly-doc
Documentation for excludeonly

%package exercise
Provides: tex-exercise = %{tl_version}
License: GPLv2+
Summary: Typeset exercises, problems, etc. and their answers
Version: svn35417.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Provides: tex(exercise.sty) = %{tl_version}

%description exercise
The package helps to typeset exercises or list of exercises
within any document. Exercises, questions and sub-questions are
automatically numbered. It is possible to put answers in the
same document, and display them immediatly, later in the
document or not to print answers at all. The layout of
exercises is fully customisable. It is possible to typeset long
problems, short exercises, questionnaires, etc. Usage of the
babel package is detected, but not fully supported yet (only
English and French are implemented).

%package exercise-doc
Summary: Documentation for exercise
Version: svn35417.1.6

Provides: tex-exercise-doc
AutoReqProv: No

%description exercise-doc
Documentation for exercise

%package exp-testopt
Provides: tex-exp-testopt = %{tl_version}
License: LPPL
Summary: Expandable \@testopt (and related) macros
Version: svn15878.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(exp-testopt.sty) = %{tl_version}

%description exp-testopt
The package provides an expandable variant of the LaTeX kernel
command \@testopt, named \@expandable@testopt, and a more
general \@expandable@ifopt, both intended for package writers.
Also we have a variant of \newcommand which uses these macros
to check for optional arguments.

%package exp-testopt-doc
Summary: Documentation for exp-testopt
Version: svn15878.0.3

Provides: tex-exp-testopt-doc
AutoReqProv: No

%description exp-testopt-doc
Documentation for exp-testopt

%package expdlist
Provides: tex-expdlist = %{tl_version}
License: LPPL
Summary: Expanded description environments
Version: svn15878.2.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(expdlist.sty) = %{tl_version}

%description expdlist
The package provides additional features for the LaTeX
description environment, including adjustable left margin. The
package also allows the user to 'break' a list (for example, to
interpose a comment) without affecting the structure of the
list (this works for itemize and eumerate lists and numbered
lists remain in sequence).

%package expdlist-doc
Summary: Documentation for expdlist
Version: svn15878.2.4

Provides: tex-expdlist-doc
AutoReqProv: No

%description expdlist-doc
Documentation for expdlist

%package export
Provides: tex-export = %{tl_version}
License: LPPL
Summary: Import and export values of LaTeX registers
Version: svn27206.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dvipaste.sty) = %{tl_version}
Provides: tex(export.sty) = %{tl_version}

%description export
The package allows the user to export/import the values of
LaTeX registers (counters, rigid and rubber lengths only). It
is not for faint-hearted users. The package may be used, for
example, to communicate between documents for the purposes of
dvipaste.

%package export-doc
Summary: Documentation for export
Version: svn27206.1.8

Provides: tex-export-doc
AutoReqProv: No

%description export-doc
Documentation for export

%package exsheets
Provides: tex-exsheets = %{tl_version}
License: LPPL 1.3
Summary: Create exercise sheets and exams
Version: svn43188
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(listings.sty)
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(xtemplate.sty)
Requires: tex(l3sort.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xcolor.sty)
Requires: tex(etoolbox.sty)
Requires: tex(environ.sty)
Requires: tex(pgfcore.sty)
Requires: tex(cntformats.sty)
Requires: tex(tasks.sty)
Requires: tex(ulem.sty)
Requires: tex(translations.sty)
Provides: tex(exsheets-listings.sty) = %{tl_version}
Provides: tex(exsheets.sty) = %{tl_version}
Provides: tex(exsheets_configurations.cfg) = %{tl_version}
Provides: tex(exsheets_headings.cfg) = %{tl_version}
Provides: tex(exsheets_headings.def) = %{tl_version}

%description exsheets
The package provides the means to create exercises or questions
and their corresponding solutions. The questions may be divided
into classes and/or topics and may be printed selectively. Meta-
data to questions can be added and recovered. The solutions may
be printed where they are, or collected and printed at a later
point in the document all together, section-wise or selectively
by ID. The package provides the means to selectively include
questions from an external file, and to control the style of
headings of both questions and solutions.

%package exsheets-doc
Summary: Documentation for exsheets
Version: svn43188
Provides: tex-exsheets-doc
AutoReqProv: No

%description exsheets-doc
Documentation for exsheets

%package exsol
Provides: tex-exsol = %{tl_version}
License: LPPL 1.3
Summary: Exercises and solutions from the same source, into a book
Version: svn41377

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyvrb.sty)
Requires: tex(ifthen.sty)
Requires: tex(kvoptions.sty)
Provides: tex(exsol.sty) = %{tl_version}

%description exsol
The packageThe exsol package provides macros to allow for
embedding exercises and solutions in the LaTeX source of an
instructional text (e.g., a book or a course text) while
generating the following separate documents: your original text
that only contains the exercises, and a solution book that
contains only the solutions to the exercises (optionally, the
exercises themselves are also copied to the solution book). The
exercise data are generated when running LaTeX on your
document; the first run also writes the solutions to a
secondary file that may be included in a simple document
harness, may be processed by LaTeX, to generate a nice solution
book. The code of the package was derived (in large part) from
fancyvrb.

%package exsol-doc
Summary: Documentation for exsol
Version: svn41377

Provides: tex-exsol-doc
AutoReqProv: No

%description exsol-doc
Documentation for exsol

%package extract
Provides: tex-extract = %{tl_version}
License: LPPL
Summary: Extract parts of a document and write to another document
Version: svn15878.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Requires: tex(xkeyval.sty)
Provides: tex(extract.sty) = %{tl_version}

%description extract
The package provides the means to extract specific content from
a source document and write that to a target document. One
could, for instance, use this to extract all exercises from
lecture notes and generate an exercises book on the fly. The
package also provides an environment which writes its body
entirely to the target file. Another environment will write to
the target file, but will also execute the body. This allows to
share code (for instance, a preamble) between the source
document and the target file. Finally, the package provides an
interface to conditionally extract content. With a single
package option, one can specify exactly which commands (counted
from the start of the document) should be extracted and which
not. This might be useful for extracting specific slides from a
presentation and use them in a new file.

%package extract-doc
Summary: Documentation for extract
Version: svn15878.1.8

Provides: tex-extract-doc
AutoReqProv: No

%description extract-doc
Documentation for extract

%package facsimile
Provides: tex-facsimile = %{tl_version}
License: LPPL
Summary: Document class for preparing faxes
Version: svn21328.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(lastpage.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(fac-de.cfg) = %{tl_version}
Provides: tex(fac-en.cfg) = %{tl_version}
Provides: tex(facsimile.cls) = %{tl_version}

%description facsimile
The facsimile class provides a simple interface for creating a
document for sending as a fax, with LaTeX. The class covers two
areas: First, a title page is created with a detailed fax
header; second, every page gets headers and footers so that the
recipient can be sure that every page has been received and all
pages are complete, and in the correct order. The class evolved
from the fax package, and provides much better language
support.

%package facsimile-doc
Summary: Documentation for facsimile
Version: svn21328.1.0

Provides: tex-facsimile-doc
AutoReqProv: No

%description facsimile-doc
Documentation for facsimile

%package factura
Provides: tex-factura = %{tl_version}
License: LPPL 1.3
Summary: Typeset and calculate invoices according to Venezuelan law
Version: svn44831
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xifthen.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xparse.sty)
Requires: tex(textpos.sty)
Requires: tex(geometry.sty)
Requires: tex(xstring.sty)
Requires: tex(pbox.sty)
Requires: tex(calc.sty)
Requires: tex(fp-upn.sty)
Requires: tex(numprint.sty)
Requires: tex(tikz.sty)
Requires: tex(tabularx.sty)
Requires: tex(environ.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(graphicx.sty)
Requires: tex(babel.sty)
Requires: tex(fontenc.sty)
Requires: tex(lmodern.sty)
Requires: tex(zref-savepos.sty)
Requires: tex(eso-pic.sty)
Provides: tex(factura.cls) = %{tl_version}
Provides: tex(factura.def) = %{tl_version}

%description factura
The class provides convenient means for typesetting and
calculating invoices, according to the requirements of SENIAT
legislation (tax collecting entity of the Bolivarian Republic
of Venezuela). The author suggests that the class may well be
re-usable for other jurisdictions, by rather simple editing.

%package factura-doc
Summary: Documentation for factura
Version: svn44831
Provides: tex-factura-doc
AutoReqProv: No

%description factura-doc
Documentation for factura

%package fancylabel
Provides: tex-fancylabel = %{tl_version}
License: LPPL 1.2
Summary: Complex labelling with LaTeX
Version: svn34684.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(suffix.sty)
Provides: tex(fancylabel.sty) = %{tl_version}

%description fancylabel
The package provides a complex labelling scheme. It is designed
to support the needs of the author's chemschemex package

%package fancylabel-doc
Summary: Documentation for fancylabel
Version: svn34684.1.0

Provides: tex-fancylabel-doc
AutoReqProv: No

%description fancylabel-doc
Documentation for fancylabel

%package fancynum
Provides: tex-fancynum = %{tl_version}
License: LPPL
Summary: Typeset numbers
Version: svn15878.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fancynum.sty) = %{tl_version}

%description fancynum
A LaTeX package for typesetting numbers, in particular floating
point numbers, such as you find in program output.

%package fancynum-doc
Summary: Documentation for fancynum
Version: svn15878.0.92

Provides: tex-fancynum-doc
AutoReqProv: No

%description fancynum-doc
Documentation for fancynum

%package fancypar
Provides: tex-fancypar = %{tl_version}
License: LPPL 1.3
Summary: Decoration of individual paragraphs
Version: svn18018.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(tikz.sty)
Requires: tex(xcolor.sty)
Provides: tex(fancypar.sty) = %{tl_version}

%description fancypar
Decorates individual paragraphs of a document, offering five
pre-defined styles. The command offers an optional 'key-value'
argument with the user may define parameters of the selected
style. Predefined styles offer a spiral-notebook, a zebra-like,
a dashed, a marked design, and an underlined style. Users may
also define their own styles. Decorated paragraphs may not
include displayed mathematics.

%package fancypar-doc
Summary: Documentation for fancypar
Version: svn18018.1.1

Provides: tex-fancypar-doc
AutoReqProv: No

%description fancypar-doc
Documentation for fancypar

%package fancyslides
Provides: tex-fancyslides = %{tl_version}
License: LPPL 1.3
Summary: Custom presentation class built upon LaTeX Beamer
Version: svn36263.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(framed.sty)
Requires: tex(tikz.sty)
Provides: tex(fancyslides.cls) = %{tl_version}

%description fancyslides
This class is prepared for short presentations with a modern
look & feel. It offers the following features: custom
background for each slide, predefined types of slides,
simplified commands (e.g. for starting and ending slide). The
class is built upon LaTeX beamer, so all beamer commands should
work.

%package fancyslides-doc
Summary: Documentation for fancyslides
Version: svn36263.1.0

Provides: tex-fancyslides-doc
AutoReqProv: No

%description fancyslides-doc
Documentation for fancyslides

%package fancytabs
Provides: tex-fancytabs = %{tl_version}
License: LPPL 1.3
Summary: Fancy page border tabs
Version: svn27684.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Provides: tex(fancytabs.sty) = %{tl_version}

%description fancytabs
The package can typeset tabs on the side of a page. It requires
TikZ from the pgf bundle.

%package fancytabs-doc
Summary: Documentation for fancytabs
Version: svn27684.1.8

Provides: tex-fancytabs-doc
AutoReqProv: No

%description fancytabs-doc
Documentation for fancytabs

%package fancytooltips
Provides: tex-fancytooltips = %{tl_version}
License: LPPL 1.2
Summary: Include a wide range of material in PDF tooltips
Version: svn27129.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(xkeyval.sty)
Requires: tex(atbegshi.sty)
Requires: tex(transparent.sty)
Requires: tex(eso-pic.sty)
Provides: tex(fancytooltips.sty) = %{tl_version}

%description fancytooltips
The package was inspired by the cooltooltips package. In
contrast to cooltooltips, fancytooltips allows inclusion of
tooltips which contain arbitrary TeX material or a series of
TeX materials (animated graphics) from an external PDF file. To
see the tooltips, you have to open the files in Adobe Reader.
The links and JavaScripts are inserted using eforms package
from the AcroTeX bundle.

%package fancytooltips-doc
Summary: Documentation for fancytooltips
Version: svn27129.1.8

Provides: tex-fancytooltips-doc
AutoReqProv: No

%description fancytooltips-doc
Documentation for fancytooltips

%package fcolumn
Provides: tex-fcolumn = %{tl_version}
License: LPPL 1.2
Summary: Typesetting financial tables
Version: svn38489

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Provides: tex(fcolumn.sty) = %{tl_version}

%description fcolumn
In financial reports, text and currency amounts are regularly
put in one table, e.g., a year balance or a profit-and-loss
overview. This package provides the settings for automatically
typesetting such columns, including the sum line (preceded by a
rule of the correct width) using the specifier "f".

%package fcolumn-doc
Summary: Documentation for fcolumn
Version: svn38489

Provides: tex-fcolumn-doc
AutoReqProv: No

%description fcolumn-doc
Documentation for fcolumn

%package fifo-stack
Provides: tex-fifo-stack = %{tl_version}
License: LPPL
Summary: FIFO and stack implementation for package writers
Version: svn33288.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(fifo-stack.sty) = %{tl_version}

%description fifo-stack
A LaTeX implementation of a combined FIFO Stack modified from
the existing stack package by Benjamin Bayart. The package
renames the original's \Push and \Pop commands \FSPush and
\FSPop, and which work on the top/end of the FIFO/Stack), and
adds the ability to \FSUnshift and \FSShift from the the
bottom(front) of the FIFO/Stack.

%package fifo-stack-doc
Summary: Documentation for fifo-stack
Version: svn33288.1.0

Provides: tex-fifo-stack-doc
AutoReqProv: No

%description fifo-stack-doc
Documentation for fifo-stack

%package figsize
Provides: tex-figsize = %{tl_version}
License: LPPL
Summary: Auto-size graphics
Version: svn18784.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(subfigure.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifthen.sty)
Provides: tex(figsize.sty) = %{tl_version}

%description figsize
The FigSize package enables automatic sizing of graphics,
especially when including graphics with the graphicx package.
The user only has to specify the number of graphics that should
fit to a page or fraction there of and the package will
dynamically calculate the correct graphics sizes relative to
the page size. Thus, graphics can be auto-sized to fill a whole
page or fraction and manual changes of graphic sizes are never
needed when changing document layouts. Finally, the package's
dynamic lengths can be used to allow other document element
sizes to be dynamic.

%package figsize-doc
Summary: Documentation for figsize
Version: svn18784.0.1

Provides: tex-figsize-doc
AutoReqProv: No

%description figsize-doc
Documentation for figsize

%package filecontents
Provides: tex-filecontents = %{tl_version}
License: LPPL
Summary: Extended filecontents and filecontents* environments
Version: svn24250.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(filecontents.sty) = %{tl_version}

%description filecontents
LaTeX2e's filecontents and filecontents* environments enable a
LaTeX source file to generate external files as it runs through
LaTeX. However, there are two limitations of these
environments: they refuse to overwrite existing files, and they
can only be used in the preamble of a document. The
filecontents package removes these limitations, letting you
overwrite existing files and letting you use
filecontents/filecontents* anywhere.

%package filecontents-doc
Summary: Documentation for filecontents
Version: svn24250.1.3

Provides: tex-filecontents-doc
AutoReqProv: No

%description filecontents-doc
Documentation for filecontents

%package filedate
Provides: tex-filedate = %{tl_version}
License: LPPL
Summary: Access and compare info and modification dates
Version: svn29529.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(filedate.sty) = %{tl_version}

%description filedate
The package provides basic access to the date of a LaTeX source
file according to its \Provides... entry (the "info date") as
well as to its modification date according to \pdffilemoddate
if the latter is available.

%package filedate-doc
Summary: Documentation for filedate
Version: svn29529.0

Provides: tex-filedate-doc
AutoReqProv: No

%description filedate-doc
Documentation for filedate

%package filehook
Provides: tex-filehook = %{tl_version}
License: LPPL 1.3
Summary: Hooks for input files
Version: svn24280.0.5d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(currfile.sty)
Requires: tex(kvoptions.sty)
Requires: tex(pgfkeys.sty)
Provides: tex(filehook-fink.sty) = %{tl_version}
Provides: tex(filehook-listings.sty) = %{tl_version}
Provides: tex(filehook-memoir.sty) = %{tl_version}
Provides: tex(filehook-scrlfile.sty) = %{tl_version}
Provides: tex(filehook.sty) = %{tl_version}
Provides: tex(pgf-filehook.sty) = %{tl_version}

%description filehook
The package provides several file hooks (AtBegin, AtEnd, ...)
for files read by \input, \include and \InputIfFileExists.
General hooks for all such files (e.g. all \include'd ones) and
file specific hooks only used for named files are provided; two
hooks are provided for the end of \included files -- one
before, and one after the final \clearpage.

%package filehook-doc
Summary: Documentation for filehook
Version: svn24280.0.5d

Provides: tex-filehook-doc
AutoReqProv: No

%description filehook-doc
Documentation for filehook

%package fileinfo
Provides: tex-fileinfo = %{tl_version}
License: LPPL 1.3
Summary: Enhanced display of LaTeX File Information
Version: svn28421.0.81a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(myfilist.sty) = %{tl_version}
Provides: tex(readprov.sty) = %{tl_version}

%description fileinfo
The bundle provides two packages, readprov and myfilist. The
readprov package provides a means of reading file information
without loading the body of the file. The myfilist package uses
readprov and controls what \listfiles will report.

%package fileinfo-doc
Summary: Documentation for fileinfo
Version: svn28421.0.81a

Provides: tex-fileinfo-doc
AutoReqProv: No

%description fileinfo-doc
Documentation for fileinfo

%package filemod
Provides: tex-filemod = %{tl_version}
License: LPPL 1.3
Summary: Provide file modification times, and compare them
Version: svn24042.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pdftexcmds.sty)
Provides: tex(filemod-expmin.tex) = %{tl_version}
Provides: tex(filemod.tex) = %{tl_version}
Provides: tex(filemod-expmin.sty) = %{tl_version}
Provides: tex(filemod.sty) = %{tl_version}

%description filemod
The package provides macros to read and compare the
modification dates of files. The files may be .tex files,
images or other files (as long as they can be found by LaTeX).
It uses the \pdffilemoddate primitive of pdfLaTeX to find the
file modification date as PDF date string, parses the string
and returns the value to the user. The package will also work
for DVI output with recent versions of the LaTeX compiler which
uses pdfLaTeX in DVI mode. The functionality is provided by
purely expandable macros or by faster but non-expandable ones.

%package filemod-doc
Summary: Documentation for filemod
Version: svn24042.1.2

Provides: tex-filemod-doc
AutoReqProv: No

%description filemod-doc
Documentation for filemod

%package fink
Provides: tex-fink = %{tl_version}
License: LPPL
Summary: The LaTeX2e File Name Keeper
Version: svn24329.2.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Provides: tex(fink.sty) = %{tl_version}

%description fink
This package "looks over your shoulder" and keeps track of
files \input'ed (the LaTeX way) or \include'ed in your
document. You then have permanent access to the name of the
file currently being processed through the macro \finkfile.
FiNK also comes with support for AUC-TeX. As of version 2.2.1,
FiNK has been deprecated and is not maintained anymore. People
interested in FiNK's functionality are invited to use a package
named currfile instead.

%package fink-doc
Summary: Documentation for fink
Version: svn24329.2.2.1

Provides: tex-fink-doc
AutoReqProv: No

%description fink-doc
Documentation for fink

%package finstrut
Provides: tex-finstrut = %{tl_version}
License: LPPL 1.3
Summary: Adjust behaviour of the ends of footnotes
Version: svn21719.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(finstrut.sty) = %{tl_version}

%description finstrut
The LaTeX internal command \@finalstrut is used automatically
used at the end of footnote texts to insert a strut to avoid
mis-spacing of multiple footnotes. Unfortunately the command
can cause a blank line at the end of a footnote. The package
provides a solution to this problem.

%package finstrut-doc
Summary: Documentation for finstrut
Version: svn21719.0.5

Provides: tex-finstrut-doc
AutoReqProv: No

%description finstrut-doc
Documentation for finstrut

%package fithesis
Provides: tex-fithesis = %{tl_version}
License: LPPL 1.3
Summary: Thesis class and template for Masaryk University (Brno, Czech Republic)
Version: svn45257
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(inputenc.sty)
Requires: tex(cmap.sty)
Requires: tex(fontenc.sty)
Provides: tex(fithesis.cls) = %{tl_version}
Provides: tex(fithesis2.cls) = %{tl_version}
Provides: tex(fithesis3.cls) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-czech.def) = %{tl_version}
Provides: tex(fithesis-english.def) = %{tl_version}
Provides: tex(fithesis-slovak.def) = %{tl_version}
Provides: tex(fithesis-base.sty) = %{tl_version}
Provides: tex(fithesis-10.clo) = %{tl_version}
Provides: tex(fithesis-11.clo) = %{tl_version}
Provides: tex(fithesis-12.clo) = %{tl_version}
Provides: tex(fithesis-base.sty) = %{tl_version}
Provides: tex(fithesis-econ.sty) = %{tl_version}
Provides: tex(fithesis-fi.sty) = %{tl_version}
Provides: tex(fithesis-fsps.sty) = %{tl_version}
Provides: tex(fithesis-fss.sty) = %{tl_version}
Provides: tex(fithesis-law.sty) = %{tl_version}
Provides: tex(fithesis-med.sty) = %{tl_version}
Provides: tex(fithesis-ped.sty) = %{tl_version}
Provides: tex(fithesis-phil.sty) = %{tl_version}
Provides: tex(fithesis-sci.sty) = %{tl_version}

%description fithesis
A document class for the typesetting of theses at the Masaryk
University (Brno, Czech Republic). The class has been designed
for easy extensibility by style and locale files of other
academic institutions.

%package fithesis-doc
Summary: Documentation for fithesis
Version: svn45257
Provides: tex-fithesis-doc
AutoReqProv: No

%description fithesis-doc
Documentation for fithesis

%package fixfoot
Provides: tex-fixfoot = %{tl_version}
License: LPPL
Summary: Multiple use of the same footnote text
Version: svn17131.0.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fixfoot.sty) = %{tl_version}

%description fixfoot
Provides a \DeclareFixedFootnote command to provide a single
command for a frequently-used footnote. The package ensures
that only one instance of the footnote text appears on each
page (LaTeX needs to be run several times to achieve this).

%package fixfoot-doc
Summary: Documentation for fixfoot
Version: svn17131.0.3a

Provides: tex-fixfoot-doc
AutoReqProv: No

%description fixfoot-doc
Documentation for fixfoot

%package fixme
Provides: tex-fixme = %{tl_version}
License: LPPL
Summary: Insert "fixme" notes into draft documents
Version: svn43413
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(verbatim.sty)
Requires: tex(xkeyval.sty)
Requires: tex(color.sty)
Requires: tex(marginnote.sty)
Requires: tex(pdfcomment.sty)
Requires: tex(xcolor.sty)
Requires: tex(changebar.sty)
Provides: tex(fixme.sty) = %{tl_version}
Provides: tex(fxenvlayoutcolor.sty) = %{tl_version}
Provides: tex(fxenvlayoutcolorsig.sty) = %{tl_version}
Provides: tex(fxlayoutmarginnote.sty) = %{tl_version}
Provides: tex(fxlayoutpdfcmargin.sty) = %{tl_version}
Provides: tex(fxlayoutpdfcnote.sty) = %{tl_version}
Provides: tex(fxlayoutpdfcsigmargin.sty) = %{tl_version}
Provides: tex(fxlayoutpdfcsignote.sty) = %{tl_version}
Provides: tex(fxlayoutpdfmargin.sty) = %{tl_version}
Provides: tex(fxlayoutpdfnote.sty) = %{tl_version}
Provides: tex(fxlayoutpdfsigmargin.sty) = %{tl_version}
Provides: tex(fxlayoutpdfsignote.sty) = %{tl_version}
Provides: tex(fxtargetlayoutchangebar.sty) = %{tl_version}
Provides: tex(fxtargetlayoutcolor.sty) = %{tl_version}
Provides: tex(fxtargetlayoutcolorcb.sty) = %{tl_version}
Provides: tex(fxthemecolor.sty) = %{tl_version}
Provides: tex(fxthemecolorsig.sty) = %{tl_version}
Provides: tex(fxthemesignature.sty) = %{tl_version}

%description fixme
This package provides a way to insert fixme notes in documents
being developed (in draft mode). Such notes can appear in the
margin of the document, as index entries, in the log file and
as warnings on stdout. It is also possible to summarize them in
a list. If your document is in a final version, any remaining
fixme notes will produce an error. FiXme also comes with
support for AUC-TeX.

%package fixme-doc
Summary: Documentation for fixme
Version: svn43413
Provides: tex-fixme-doc
AutoReqProv: No

%description fixme-doc
Documentation for fixme

%package fixmetodonotes
Provides: tex-fixmetodonotes = %{tl_version}
License: Public Domain
Summary: Add notes on document development
Version: svn30168.0.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(transparent.sty)
Requires: tex(watermark.sty)
Requires: tex(fix-cm.sty)
Requires: tex(ulem.sty)
Requires: tex(tocloft.sty)
Provides: tex(fixmetodonotes.sty) = %{tl_version}

%description fixmetodonotes
The package provides tools to highlight FIXME and TODO
annotations. The command \listofnotes prints a list of
outstanding notes, with links to the pages on which they
appear.

%package fixmetodonotes-doc
Summary: Documentation for fixmetodonotes
Version: svn30168.0.2.2

Provides: tex-fixmetodonotes-doc
AutoReqProv: No

%description fixmetodonotes-doc
Documentation for fixmetodonotes

%package fjodor
Provides: tex-fjodor = %{tl_version}
License: GPL+
Summary: A selection of layout styles
Version: svn20220.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fjodor.sty) = %{tl_version}

%description fjodor
The package provides several page layouts, selectable by
package options.

%package fjodor-doc
Summary: Documentation for fjodor
Version: svn20220.0

Provides: tex-fjodor-doc
AutoReqProv: No

%description fjodor-doc
Documentation for fjodor

%package flabels
Provides: tex-flabels = %{tl_version}
License: LPPL
Summary: Labels for files and folders
Version: svn17272.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(flabels.sty) = %{tl_version}

%description flabels
Macros for typesetting pretty labels (optionally colored) for
the back of files or binders (currently only the special A4
"Leitz-Ordner" ring binder is supported).

%package flabels-doc
Summary: Documentation for flabels
Version: svn17272.1.0

Provides: tex-flabels-doc
AutoReqProv: No

%description flabels-doc
Documentation for flabels

%package flacards
Provides: tex-flacards = %{tl_version}
License: GPL+
Summary: Generate flashcards for printing
Version: svn19440.0.1.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Provides: tex(flacards.cls) = %{tl_version}

%description flacards
The flacards class provides an easy interface to produce
flashcards. It will print several cards per page, on both sides
of the paper.

%package flacards-doc
Summary: Documentation for flacards
Version: svn19440.0.1.1b

Provides: tex-flacards-doc
AutoReqProv: No

%description flacards-doc
Documentation for flacards

%package flagderiv
Provides: tex-flagderiv = %{tl_version}
License: GPL+
Summary: Flag style derivation package
Version: svn15878.0.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Provides: tex(flagderiv.sty) = %{tl_version}

%description flagderiv
The flagderiv package is used to create mathematical
derivations using the flag/flagpole notation. The package
features an intuitive command syntax, opening and closing
multiple flagpoles, different comment styles, customizable
symbols and label namespaces.

%package flagderiv-doc
Summary: Documentation for flagderiv
Version: svn15878.0.10

Provides: tex-flagderiv-doc
AutoReqProv: No

%description flagderiv-doc
Documentation for flagderiv

%package flashcards
Provides: tex-flashcards = %{tl_version}
License: GPL+
Summary: A class for typesetting flashcards
Version: svn19667.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(geometry.sty)
Provides: tex(avery5371.cfg) = %{tl_version}
Provides: tex(avery5388.cfg) = %{tl_version}
Provides: tex(flashcards.cls) = %{tl_version}

%description flashcards
The FlashCards class provides for the typesetting of flash
cards. By flash card, we mean a two sided card which has a
prompt or a question on one side and the response or the answer
on the flip (back) side. Flash cards come in many sizes
depending on the nature of the information they contain.

%package flashcards-doc
Summary: Documentation for flashcards
Version: svn19667.1.0.1

Provides: tex-flashcards-doc
AutoReqProv: No

%description flashcards-doc
Documentation for flashcards

%package flashmovie
Provides: tex-flashmovie = %{tl_version}
License: LPPL 1.3
Summary: Directly embed flash movies into PDF files
Version: svn25768.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Provides: tex(flashmovie.sty) = %{tl_version}

%description flashmovie
The package allows direct embedding of flash movies into PDF
files. It is designed for use with pdflatex. The package takes
advantage of the embedded Adobe Flash player in Adobe Reader 9;
the reader is invoked with the 'rich media annotation' feature,
described in "Adobe Supplement to the ISO 32000 BaseVersion:
1.7 ExtensionLevel: 3". This method of embedding movies is
attractive since it removes all platform dependencies; however,
the user is required to use Acrobat 9.

%package flashmovie-doc
Summary: Documentation for flashmovie
Version: svn25768.0.4

Provides: tex-flashmovie-doc
AutoReqProv: No

%description flashmovie-doc
Documentation for flashmovie

%package flipbook
Provides: tex-flipbook = %{tl_version}
License: LPPL
Summary: Typeset flipbook animations, in the corners of documents
Version: svn25584.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyhdr.sty)
Requires: tex(graphicx.sty)
Requires: tex(scalefnt.sty)
Requires: tex(verbatim.sty)
Requires: tex(everypage.sty)
Requires: tex(ifthen.sty)
Provides: tex(flipbook.sty) = %{tl_version}

%description flipbook
The package provides techniques for adding flip book animations
in the corner of your LaTeX documents (using images or ASCII
art). Animations are defined as a set of numbered files (e.g.,
"im1.pdf", "im2.pdf", "im3.pdf", ...). The package relies on
fancyhdr to control the corners.

%package flipbook-doc
Summary: Documentation for flipbook
Version: svn25584.0.2

Provides: tex-flipbook-doc
AutoReqProv: No

%description flipbook-doc
Documentation for flipbook

%package flippdf
Provides: tex-flippdf = %{tl_version}
License: LPPL
Summary: Horizontal flipping of pages with pdfLaTeX
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(everypage.sty)
Provides: tex(flippdf.sty) = %{tl_version}

%description flippdf
The package allows the production of a document with pages
"mirrored". This is sometimes required by publishers who want
camera-ready documents to be printed on transparent film (to be
viewed from the "wrong" side). The package requires everypage,
and only works with pdfLaTeX in PDF mode.

%package flippdf-doc
Summary: Documentation for flippdf
Version: svn15878.1.0

Provides: tex-flippdf-doc
AutoReqProv: No

%description flippdf-doc
Documentation for flippdf

%package floatflt
Provides: tex-floatflt = %{tl_version}
License: LPPL
Summary: Wrap text around floats
Version: svn25540.1.31

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(floatflt.sty) = %{tl_version}

%description floatflt
The package can float text around figures and tables which do
not span the full width of a page; it improves upon floatfig,
and allows tables/figures to be set left/right or alternating
on even/odd pages.

%package floatflt-doc
Summary: Documentation for floatflt
Version: svn25540.1.31

Provides: tex-floatflt-doc
AutoReqProv: No

%description floatflt-doc
Documentation for floatflt

%package floatrow
Provides: tex-floatrow = %{tl_version}
License: LPPL
Summary: Modifying the layout of floats
Version: svn15878.0.3b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(caption3.sty)
Requires: tex(color.sty)
Requires: tex(fr-subfig.sty)
Requires: tex(fancybox.sty)
Requires: tex(longtable.sty)
Provides: tex(floatpagestyle.sty) = %{tl_version}
Provides: tex(floatrow.sty) = %{tl_version}
Provides: tex(fr-fancy.sty) = %{tl_version}
Provides: tex(fr-longtable.sty) = %{tl_version}
Provides: tex(fr-subfig.sty) = %{tl_version}
Provides: tex(listpen.sty) = %{tl_version}

%description floatrow
The floatrow package provides many ways to customize layouts of
floating environments and has code to cooperate with the
caption 3.x package. The package offers mechanisms to put
floats side by side, and to put the caption beside its float.
The floatrow settings could be expanded to the floats created
by packages rotating, wrapfig, subfig (in the case of rows of
subfloats), and longtable.

%package floatrow-doc
Summary: Documentation for floatrow
Version: svn15878.0.3b

Provides: tex-floatrow-doc
AutoReqProv: No

%description floatrow-doc
Documentation for floatrow

%package flowfram
Provides: tex-flowfram = %{tl_version}
License: LPPL 1.3
Summary: Create text frames for posters, brochures or magazines
Version: svn35291.1.17

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(graphics.sty)
Requires: tex(afterpage.sty)
Requires: tex(xfor.sty)
Requires: tex(etoolbox.sty)
Requires: tex(color.sty)
Provides: tex(flowfram.sty) = %{tl_version}

%description flowfram
The flowfram package enables you to create frames in a document
such that the contents of the document environment flow from
one frame to the next in the order in which they were defined.
This is useful for creating posters or magazines, indeed any
form of document that does not conform to the standard one or
two column layout.

%package flowfram-doc
Summary: Documentation for flowfram
Version: svn35291.1.17

Provides: tex-flowfram-doc
AutoReqProv: No

%description flowfram-doc
Documentation for flowfram

%package fmp
Provides: tex-fmp = %{tl_version}
License: LPPL
Summary: Include Functional MetaPost in LaTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(verbatim.sty)
Provides: tex(fmp.sty) = %{tl_version}

%description fmp
fmp package

%package fmp-doc
Summary: Documentation for fmp
Version: svn15878.0

Provides: tex-fmp-doc
AutoReqProv: No

%description fmp-doc
Documentation for fmp

%package fmtcount
Provides: tex-fmtcount = %{tl_version}
License: LPPL 1.3
Summary: Display the value of a LaTeX counter in a variety of formats
Version: svn45344
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Requires: tex(xkeyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifxetex.sty)
Requires: tex(amsgen.sty)
Provides: tex(fc-UKenglish.def) = %{tl_version}
Provides: tex(fc-USenglish.def) = %{tl_version}
Provides: tex(fc-american.def) = %{tl_version}
Provides: tex(fc-british.def) = %{tl_version}
Provides: tex(fc-english.def) = %{tl_version}
Provides: tex(fc-francais.def) = %{tl_version}
Provides: tex(fc-french.def) = %{tl_version}
Provides: tex(fc-frenchb.def) = %{tl_version}
Provides: tex(fc-german.def) = %{tl_version}
Provides: tex(fc-germanb.def) = %{tl_version}
Provides: tex(fc-italian.def) = %{tl_version}
Provides: tex(fc-ngerman.def) = %{tl_version}
Provides: tex(fc-ngermanb.def) = %{tl_version}
Provides: tex(fc-portuges.def) = %{tl_version}
Provides: tex(fc-portuguese.def) = %{tl_version}
Provides: tex(fc-spanish.def) = %{tl_version}
Provides: tex(fcnumparser.sty) = %{tl_version}
Provides: tex(fcprefix.sty) = %{tl_version}
Provides: tex(fmtcount.sty) = %{tl_version}

%description fmtcount
The package provides commands that display the value of a LaTeX
counter in a variety of formats (ordinal, text, hexadecimal,
decimal, octal, binary etc). The package offers some
multilingual support; configurations for use in English (both
British and American usage), French (including Belgian and
Swiss variants), German, Italian, Portuguese and Spanish
documents are provided. This package was originally provided as
part of the author's datetime package, but is now distributed
separately.

%package fmtcount-doc
Summary: Documentation for fmtcount
Version: svn45344
Provides: tex-fmtcount-doc
AutoReqProv: No

%description fmtcount-doc
Documentation for fmtcount

%package fn2end
Provides: tex-fn2end = %{tl_version}
License: Public Domain
Summary: Convert footnotes to endnotes
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fn2end.sty) = %{tl_version}

%description fn2end
Defines macros \makeendnotes, which converts \footnote to
produce endnotes; and \theendnotes which prints them out.

%package fn2end-doc
Summary: Documentation for fn2end
Version: svn15878.1.1

Provides: tex-fn2end-doc
AutoReqProv: No

%description fn2end-doc
Documentation for fn2end

%package fnbreak
Provides: tex-fnbreak = %{tl_version}
License: LPPL
Summary: Warn for split footnotes
Version: svn25003.1.30

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(fnbreak.sty) = %{tl_version}

%description fnbreak
This package detects footnotes that are split over several
pages, and writes a warning to the log file.

%package fnbreak-doc
Summary: Documentation for fnbreak
Version: svn25003.1.30

Provides: tex-fnbreak-doc
AutoReqProv: No

%description fnbreak-doc
Documentation for fnbreak

%package fncychap
Provides: tex-fncychap = %{tl_version}
License: LPPL 1.3
Summary: Seven predefined chapter heading styles
Version: svn20710.v1.34

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(fncychap.sty) = %{tl_version}

%description fncychap
Each style can be modified using a set of simple commands.
Optionally one can modify the formatting routines in order to
create additional chapter headings. This package was previously
known as FancyChapter.

%package fncychap-doc
Summary: Documentation for fncychap
Version: svn20710.v1.34

Provides: tex-fncychap-doc
AutoReqProv: No

%description fncychap-doc
Documentation for fncychap

%package fncylab
Provides: tex-fncylab = %{tl_version}
License: LPPL
Summary: Alter the format of \label references
Version: svn17382.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fncylab.sty) = %{tl_version}

%description fncylab
LaTeX provides a mechanism for altering the appearance of
references to labels, but it's somewhat flawed, and requires
that the user manipulate internal commands. The package solves
the problem, by providing a \labelformat command for changing
the format of references to labels. The package also provides a
\Ref command to make reference to such redefined labels at the
start of a sentence.

%package fncylab-doc
Summary: Documentation for fncylab
Version: svn17382.1.0

Provides: tex-fncylab-doc
AutoReqProv: No

%description fncylab-doc
Documentation for fncylab

%package fnpara
Provides: tex-fnpara = %{tl_version}
License: LPPL 1.3
Summary: Footnotes in paragraphs
Version: svn25607.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fnpara.sty) = %{tl_version}

%description fnpara
Typeset footnotes in run-on paragraphs, instead of one above
another; this is a re-seating, for the LaTeX environment, of an
example in the TeXbook. The same basic code, improved for use
in e-TeX-based LaTeX, appears in the comprehensive footnote
package footmisc, and superior versions are also available in
the manyfoot and bigfoot packages.

%package fnpara-doc
Summary: Documentation for fnpara
Version: svn25607.0

Provides: tex-fnpara-doc
AutoReqProv: No

%description fnpara-doc
Documentation for fnpara

%package fnpct
Provides: tex-fnpct = %{tl_version}
License: LPPL 1.3
Summary: Manage footnote marks' interaction with punctuation
Version: svn40535

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(scrlfile.sty)
Requires: tex(scrextend.sty)
Requires: tex(translations.sty)
Provides: tex(fnpct.sty) = %{tl_version}

%description fnpct
The package moves footnote marks after following punctuation
(comma or full stop), and adjusts kerning as appropriate. As a
side effect, a change to the handling of multiple footnotes is
provided.

%package fnpct-doc
Summary: Documentation for fnpct
Version: svn40535

Provides: tex-fnpct-doc
AutoReqProv: No

%description fnpct-doc
Documentation for fnpct

%package fnumprint
Provides: tex-fnumprint = %{tl_version}
License: LPPL 1.3
Summary: Print a number in 'appropriate' format
Version: svn29173.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xifthen.sty)
Requires: tex(numprint.sty)
Requires: tex(zahl2string.sty)
Provides: tex(fnumprint.sty) = %{tl_version}

%description fnumprint
The package defines two macros which decide to typeset a number
either as an Arabic number or as a word (or words) for the
number. If the number is between zero and twelve (including
zero and twelve) then words will be used; if the number is
outside that range, it will be typeset using the package
numprint Words for English representation of numbers are
generated within the package, while those for German are
generated using the package zahl2string.

%package fnumprint-doc
Summary: Documentation for fnumprint
Version: svn29173.1.1a

Provides: tex-fnumprint-doc
AutoReqProv: No

%description fnumprint-doc
Documentation for fnumprint

%package foilhtml
Provides: tex-foilhtml = %{tl_version}
License: LPPL
Summary: Interface between foiltex and LaTeX2HTML
Version: svn21855.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(foilhtml.cfg) = %{tl_version}
Provides: tex(foilhtml.sty) = %{tl_version}

%description foilhtml
Provides integration between FoilTeX and LaTeX2HTML, adding
sectioning commands and elements of logical formatting to
FoilTeX and providing support for FoilTeX commands in
LaTeX2HTML.

%package foilhtml-doc
Summary: Documentation for foilhtml
Version: svn21855.1.2

Provides: tex-foilhtml-doc
AutoReqProv: No

%description foilhtml-doc
Documentation for foilhtml

%package fontaxes
Provides: tex-fontaxes = %{tl_version}
License: LPPL 1.3
Summary: Additional font axes for LaTeX
Version: svn33276.1.0d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fontaxes.sty) = %{tl_version}

%description fontaxes
The package adds several new font axes on top of LaTeX's New
Font Selection Scheme. In particular, it splits the shape axis
into a primary and a secondary shape axis, and it adds three
new axes to deal with the different figure versions offered by
many professional fonts.

%package fontaxes-doc
Summary: Documentation for fontaxes
Version: svn33276.1.0d

Provides: tex-fontaxes-doc
AutoReqProv: No

%description fontaxes-doc
Documentation for fontaxes

%package fonttable
Provides: tex-fonttable = %{tl_version}
License: LPPL 1.3
Summary: Print font tables from a LaTeX document
Version: svn44799
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(fonttable.sty) = %{tl_version}

%description fonttable
This is a package version of nfssfont.tex (part of the LaTeX
distribution); it enables you to print a table of the
characters of a font and/or some text (for demonstration or
testing purposes), from within a document. (Packages such as
testfont and nfssfont.tex provide these facilities, but they
run as interactive programs: the user is expected to type
details of what is needed.) Note that the package mftinc also
has a \fonttable function; the documentation explains how avoid
a clash with that package.

%package fonttable-doc
Summary: Documentation for fonttable
Version: svn44799
Provides: tex-fonttable-doc
AutoReqProv: No

%description fonttable-doc
Documentation for fonttable

%package footmisc
Provides: tex-footmisc = %{tl_version}
License: LPPL 1.3
Summary: A range of footnote options
Version: svn23330.5.5b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(footmisc.sty) = %{tl_version}

%description footmisc
A collection of ways to change the typesetting of footnotes.
The package provides means of changing the layout of the
footnotes themselves (including setting them in 'paragraphs' --
the para option), a way to number footnotes per page (the
perpage option), to make footnotes disappear in a 'moving'
argument (stable option) and to deal with multiple references
to footnotes from the same place (multiple option). The package
also has a range of techniques for labelling footnotes with
symbols rather than numbers. Some of the functions of the
package are overlap with the functionality of other packages.
The para option is also provided by the manyfoot and bigfoot
packages, though those are both also portmanteau packages.
(Don't be seduced by fnpara, whose implementation is improved
by the present package.) The perpage option is also offered by
footnpag and by the rather more general-purpose perpage

%package footmisc-doc
Summary: Documentation for footmisc
Version: svn23330.5.5b

Provides: tex-footmisc-doc
AutoReqProv: No

%description footmisc-doc
Documentation for footmisc

%package footnotebackref
Provides: tex-footnotebackref = %{tl_version}
License: LPPL 1.3
Summary: Back-references from footnotes
Version: svn27034.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(letltxmacro.sty)
Requires: tex(hyperref.sty)
Requires: tex(kvoptions.sty)
Provides: tex(footnotebackref.sty) = %{tl_version}

%description footnotebackref
The package provides the means of creating hyperlinks, from a
footnote at the bottom of the page, back to the occurence of
the footnote in the main text.

%package footnotebackref-doc
Summary: Documentation for footnotebackref
Version: svn27034.1.0

Provides: tex-footnotebackref-doc
AutoReqProv: No

%description footnotebackref-doc
Documentation for footnotebackref

%package footnoterange
Provides: tex-footnoterange = %{tl_version}
License: LPPL 1.3
Summary: References to ranges of footnotes
Version: svn25430.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ltxcmds.sty)
Requires: tex(xspace.sty)
Provides: tex(footnoterange.sty) = %{tl_version}

%description footnoterange
The package provides environments footnoterange and
footnoterange*. Multiple footnotes inside these environments
are not referenced as (e.g.) "1 2 3 4" but as "1-4", i.e., the
range (from first to last referred footnote at that place) is
given. If hyperref package and use of its hyperfootnotes-option
the references are hyperlinked. (References to footnotes in the
footnoterange* environment are never hyperlinked.)

%package footnoterange-doc
Summary: Documentation for footnoterange
Version: svn25430.1.0a

Provides: tex-footnoterange-doc
AutoReqProv: No

%description footnoterange-doc
Documentation for footnoterange

%package footnpag
Provides: tex-footnpag = %{tl_version}
License: GPL+
Summary: Per-page numbering of footnotes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(footnpag.sty) = %{tl_version}

%description footnpag
Allows footnotes on individual pages to be numbered from 1,
rather than being numbered sequentially through the document.

%package footnpag-doc
Summary: Documentation for footnpag
Version: svn15878.0

Provides: tex-footnpag-doc
AutoReqProv: No

%description footnpag-doc
Documentation for footnpag

%package forarray
Provides: tex-forarray = %{tl_version}
License: LPPL
Summary: Using array structures in LaTeX
Version: svn15878.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(forarray.sty) = %{tl_version}

%description forarray
The package provides functionality for processing lists and
array structures in LaTeX. Arrays can contain characters as
well as TeX and LaTeX commands, nesting of arrays is possible,
and arrays are processed within the same brace level as their
surrounding environment. Array levels can be delimited by
characters or control sequences defined by the user. Practical
uses of this package include data management, construction of
lists and tables, and calculations based on the contents of
lists and arrays.

%package forarray-doc
Summary: Documentation for forarray
Version: svn15878.1.01

Provides: tex-forarray-doc
AutoReqProv: No

%description forarray-doc
Documentation for forarray

%package foreign
Provides: tex-foreign = %{tl_version}
License: LPPL 1.3
Summary: Systematic treatment of 'foreign' words in documents
Version: svn27819.2.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xpunctuate.sty)
Requires: tex(xspace.sty)
Provides: tex(foreign.sty) = %{tl_version}

%description foreign
The package supports authors' use of consistent typesetting of
foreign words in documents.

%package foreign-doc
Summary: Documentation for foreign
Version: svn27819.2.7

Provides: tex-foreign-doc
AutoReqProv: No

%description foreign-doc
Documentation for foreign

%package forloop
Provides: tex-forloop = %{tl_version}
License: LGPLv2+
Summary: Iteration in LaTeX
Version: svn15878.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(forloop.sty) = %{tl_version}

%description forloop
The package provides a command \forloop for doing iteration in
LaTeX macro programming.

%package forloop-doc
Summary: Documentation for forloop
Version: svn15878.3.0

Provides: tex-forloop-doc
AutoReqProv: No

%description forloop-doc
Documentation for forloop

%package formlett
Provides: tex-formlett = %{tl_version}
License: GPL+
Summary: Letters to multiple recipients
Version: svn21480.2.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(formlett.sty) = %{tl_version}

%description formlett
A package for multiple letters from the same basic source; the
package offers parametrisation of the letters actually sent.

%package formlett-doc
Summary: Documentation for formlett
Version: svn21480.2.3

Provides: tex-formlett-doc
AutoReqProv: No

%description formlett-doc
Documentation for formlett

%package formular
Provides: tex-formular = %{tl_version}
License: LPPL
Summary: Create forms containing field for manual entry
Version: svn15878.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(formular.sty) = %{tl_version}

%description formular
When typesetting forms there often arises the need for defining
fields which consist of one or more lines where the customer
can write something down manually. This package offers some
commands for defining such fields in a distinctive way.

%package formular-doc
Summary: Documentation for formular
Version: svn15878.1.0a

Provides: tex-formular-doc
AutoReqProv: No

%description formular-doc
Documentation for formular

%package fragments
Provides: tex-fragments = %{tl_version}
License: Public Domain
Summary: Fragments of LaTeX code
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(checklab.tex) = %{tl_version}
Provides: tex(overrightarrow.sty) = %{tl_version}
Provides: tex(removefr.tex) = %{tl_version}
Provides: tex(subscript.sty) = %{tl_version}

%description fragments
A collection of fragments of LaTeX code, suitable for inclusion
in packages, or (possibly) in users' documents. Included are:
checklab, for modifying the label checking code at
\end{document}; overrightarrow, defining a doubled over-arrow
macro; removefr, for removing 'reset' relations between
counters; and subscript, defining a \textsubscript command.

%package fragments-doc
Summary: Documentation for fragments
Version: svn15878.0

Provides: tex-fragments-doc
AutoReqProv: No

%description fragments-doc
Documentation for fragments

%package frame
Provides: tex-frame = %{tl_version}
License: LPPL
Summary: Framed boxes for Plain TeX
Version: svn18312.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(frame.sty) = %{tl_version}
Provides: tex(frame.tex) = %{tl_version}

%description frame
A jiffy file (taken from fancybox) for placing a frame around a
box of text. The macros also provide for typesetting an empty
box of given dimensions.

%package frame-doc
Summary: Documentation for frame
Version: svn18312.1.0

Provides: tex-frame-doc
AutoReqProv: No

%description frame-doc
Documentation for frame

%package framed
Provides: tex-framed = %{tl_version}
License: Copyright only
Summary: Framed or shaded regions that can break across pages
Version: svn26789.0.96

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(framed.sty) = %{tl_version}

%description framed
The package creates three environments: framed, which puts an
ordinary frame box around the region, shaded, which shades the
region, and leftbar, which places a line at the left side. The
environments allow a break at their start (the \FrameCommand
enables creation of a title that is "attached" to the
environment); breaks are also allowed in the course of the
framed/shaded matter. There is also a command \MakeFramed to
make your own framed-style environments.

%package framed-doc
Summary: Documentation for framed
Version: svn26789.0.96

Provides: tex-framed-doc
AutoReqProv: No

%description framed-doc
Documentation for framed

%package frankenstein
Provides: tex-frankenstein = %{tl_version}
License: Public Domain
Summary: A collection of LaTeX packages
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(slemph.sty)
Provides: tex(abbrevs.cfg) = %{tl_version}
Provides: tex(abbrevs.sty) = %{tl_version}
Provides: tex(achicago.sty) = %{tl_version}
Provides: tex(attrib.sty) = %{tl_version}
Provides: tex(blkcntrl.sty) = %{tl_version}
Provides: tex(compsci.cfg) = %{tl_version}
Provides: tex(compsci.sty) = %{tl_version}
Provides: tex(dialogue.sty) = %{tl_version}
Provides: tex(lips.sty) = %{tl_version}
Provides: tex(moredefs.sty) = %{tl_version}
Provides: tex(newclude.sty) = %{tl_version}
Provides: tex(slemph.cfg) = %{tl_version}
Provides: tex(slemph.sty) = %{tl_version}
Provides: tex(titles.cfg) = %{tl_version}
Provides: tex(titles.sty) = %{tl_version}

%description frankenstein
Frankenstein is a bundle of LaTeX packages serving various
purposes and a BibTeX bibliography style. Descriptions are
given under the individual packages: abbrevs, achicago package,
achicago bibstyle, attrib, blkcntrl, compsci, dialogue, lips,
moredefs, newclude, slemph, titles.

%package frankenstein-doc
Summary: Documentation for frankenstein
Version: svn15878.0

Provides: tex-frankenstein-doc
AutoReqProv: No

%description frankenstein-doc
Documentation for frankenstein

%package frege
Provides: tex-frege = %{tl_version}
License: GPL+
Summary: Typeset fregean Begriffsschrift
Version: svn27417.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Requires: tex(ifthen.sty)
Requires: tex(bguq.sty)
Provides: tex(frege.sty) = %{tl_version}

%description frege
The package defines a number of new commands for typesetting
fregean Begriffsschrift in LaTeX. It is loosely based on the
package begriff, and offers a number of improvements including
better relative lengths of the content stroke with respect to
other strokes, content strokes that point at the middle of
lines rather than the bottom, a greater width for the assertion
stroke as compared to the content stroke, a more intuitive
structure for the conditional, greater care taken to allow for
the linewidth in the spacing of formulas.

%package frege-doc
Summary: Documentation for frege
Version: svn27417.1.3

Provides: tex-frege-doc
AutoReqProv: No

%description frege-doc
Documentation for frege

%package ftcap
Provides: tex-ftcap = %{tl_version}
License: GPL+
Summary: Allows \caption at the beginning of a table-environment
Version: svn17275.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ftcap.sty) = %{tl_version}

%description ftcap
For several reasons a \caption may be desirable at the top of a
table environment. This package changes the table environment
such that \abovecaptionskip and \belowcaptionskip are swapped.
The package should also work with a non-standard table
environment.

%package ftcap-doc
Summary: Documentation for ftcap
Version: svn17275.1.4

Provides: tex-ftcap-doc
AutoReqProv: No

%description ftcap-doc
Documentation for ftcap

%package ftnxtra
Provides: tex-ftnxtra = %{tl_version}
License: LPPL
Summary: Extend the applicability of the \footnote command
Version: svn29652.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ftnxtra.sty) = %{tl_version}

%description ftnxtra
The package treats footnotes in \caption, the tabular
environment, and \chapter and other \section-like commands.

%package ftnxtra-doc
Summary: Documentation for ftnxtra
Version: svn29652.0.1

Provides: tex-ftnxtra-doc
AutoReqProv: No

%description ftnxtra-doc
Documentation for ftnxtra

%package fullblck
Provides: tex-fullblck = %{tl_version}
License: LPPL
Summary: Left-blocking for letter class
Version: svn25434.1.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fullblck.sty) = %{tl_version}

%description fullblck
Used with the letter documentclass to set the letter in a
fullblock style (everything at the left margin).

%package fullblck-doc
Summary: Documentation for fullblck
Version: svn25434.1.03

Provides: tex-fullblck-doc
AutoReqProv: No

%description fullblck-doc
Documentation for fullblck

%package fullminipage
Provides: tex-fullminipage = %{tl_version}
License: GPLv3+
Summary: Minipage spanning a complete page
Version: svn34545.0.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(color.sty)
Provides: tex(fullminipage.sty) = %{tl_version}

%description fullminipage
This package provides the environment fullminipage, which
generates a minipage spanning a new, complete page with page
style empty. The environment provides options to set margins
around the minipage and configure the background.

%package fullminipage-doc
Summary: Documentation for fullminipage
Version: svn34545.0.1.1

Provides: tex-fullminipage-doc
AutoReqProv: No

%description fullminipage-doc
Documentation for fullminipage

%package fullwidth
Provides: tex-fullwidth = %{tl_version}
License: LPPL
Summary: Adjust margins of text block
Version: svn24684.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(etoolbox.sty)
Requires: tex(zref-abspage.sty)
Provides: tex(fullwidth.sty) = %{tl_version}

%description fullwidth
The package provides the environment fullwidth, which sets the
left and right margins in a simple way. There is no constraint
about page breaks; if you are using the twoside mode, you can
set the inner and outer margins to avoid the effects of the
different margins.

%package fullwidth-doc
Summary: Documentation for fullwidth
Version: svn24684.0.1

Provides: tex-fullwidth-doc
AutoReqProv: No

%description fullwidth-doc
Documentation for fullwidth

%package fundus-calligra
Provides: tex-fundus-calligra = %{tl_version}
License: LPPL
Summary: Support for the calligra font in LaTeX documents
Version: svn26018.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(calligra.sty) = %{tl_version}

%description fundus-calligra
The package offers support for the calligra handwriting font,
in LaTeX documents. The package is part of the fundus bundle.

%package fundus-calligra-doc
Summary: Documentation for fundus-calligra
Version: svn26018.1.2

Provides: tex-fundus-calligra-doc
AutoReqProv: No

%description fundus-calligra-doc
Documentation for fundus-calligra

%package fundus-cyr
Provides: tex-fundus-cyr = %{tl_version}
License: LPPL 1.3
Summary: Support for Washington University Cyrillic fonts
Version: svn26019.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(cyracc.def)
Provides: tex(cyr.sty) = %{tl_version}

%description fundus-cyr
The package supports the use of the Washington Cyrillic fonts
with LaTeX (Note that standard LateX has support, too, as
encoding OT2). The package is distributed as part of the fundus
bundle.

%package fundus-sueterlin
Provides: tex-fundus-sueterlin = %{tl_version}
License: LPPL 1.3
Summary: Sutterlin
Version: svn26030.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(suetterl.sty) = %{tl_version}

%description fundus-sueterlin
The package supports use, in LaTeX, of the MetaFont emulation
of the Sueterlin handwriting fonts The package is distributed
as part of the fundus bundle..

%package fundus-sueterlin-doc
Summary: Documentation for fundus-sueterlin
Version: svn26030.1.2

Provides: tex-fundus-sueterlin-doc
AutoReqProv: No

%description fundus-sueterlin-doc
Documentation for fundus-sueterlin

%package fwlw
Provides: tex-fwlw = %{tl_version}
License: Copyright only
Summary: Get first and last words of a page
Version: svn29803.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fwlw.sty) = %{tl_version}

%description fwlw
The package extracts the first and last words of a page,
together with the first word of the next page, just before the
page is formed into the object to print. The package defines a
couple of page styles that use the words that have been
extracted.

%package fwlw-doc
Summary: Documentation for fwlw
Version: svn29803.0

Provides: tex-fwlw-doc
AutoReqProv: No

%description fwlw-doc
Documentation for fwlw

%package g-brief
Provides: tex-g-brief = %{tl_version}
License: LPPL
Summary: Letter document class
Version: svn21140.4.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(babel.sty)
Requires: tex(inputenc.sty)
Requires: tex(marvosym.sty)
Requires: tex(eurosym.sty)
Requires: tex(ifthen.sty)
Provides: tex(g-brief.cls) = %{tl_version}
Provides: tex(g-brief.sty) = %{tl_version}
Provides: tex(g-brief2.cls) = %{tl_version}
Provides: tex(g-brief2.sty) = %{tl_version}

%description g-brief
Designed for formatting formless letters in German; can also be
used for English (by those who can read the documentation).
There are LaTeX 2.09 documentstyle and LaTeX 2e class files for
both an 'old' and a 'new' version of g-brief.

%package g-brief-doc
Summary: Documentation for g-brief
Version: svn21140.4.0.2

Provides: tex-g-brief-doc
AutoReqProv: No

%description g-brief-doc
Documentation for g-brief

%package gauss
Provides: tex-gauss = %{tl_version}
License: LPPL
Summary: A package for Gaussian operations
Version: svn32934.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Provides: tex(gauss.sty) = %{tl_version}

%description gauss
The gauss package provides configurable tools for producing row
and column operations on matrices (a.k.a. Gaussian operations).

%package gauss-doc
Summary: Documentation for gauss
Version: svn32934.0

Provides: tex-gauss-doc
AutoReqProv: No

%description gauss-doc
Documentation for gauss

%package gcard
Provides: tex-gcard = %{tl_version}
License: LPPL
Summary: Arrange text on a sheet to fold into a greeting card
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(textpos.sty)
Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Provides: tex(gcard.sty) = %{tl_version}

%description gcard
The package provides a simple means of producing greeting
cards. It arranges four panels onto a single sheet so that when
the sheet is folded twice the four panels are arranged as front
cover, inside left and right pages, and back cover. It uses the
textpos package for placement on the sheet and the graphicx
package for the necessary rotation. The four panels are set in
minipages for formatting by the user.

%package gcard-doc
Summary: Documentation for gcard
Version: svn15878.0

Provides: tex-gcard-doc
AutoReqProv: No

%description gcard-doc
Documentation for gcard

%package gcite
Provides: tex-gcite = %{tl_version}
License: LPPL 1.3
Summary: Citations in a reader-friendly style
Version: svn15878.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(biblatex.sty)
Provides: tex(gcite.sty) = %{tl_version}

%description gcite
The package allows citations in the German style, which is
considered by many to be particularly reader-friendly. The
citation provides a small amount of bibliographic information
in a footnote on the page where each citation is made. It
combines a desire to eliminate unnecessary page-turning with
the look-up efficiency afforded by numeric citations. The
package makes use of BibLaTeX, and is considered experimental;
comment is invited.

%package gcite-doc
Summary: Documentation for gcite
Version: svn15878.1.0.1

Provides: tex-gcite-doc
AutoReqProv: No

%description gcite-doc
Documentation for gcite

%package gender
Provides: tex-gender = %{tl_version}
License: LPPL 1.3
Summary: Gender neutrality for languages with grammatical gender
Version: svn36464.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Provides: tex(gender.sty) = %{tl_version}

%description gender
Many languages -- like German or French -- use masculine and
feminine grammatical genders. There are many ideas how to
promote gender neutrality in those languages. The gender
package uses alternately masculine and feminine forms. It is
also possible to use just one form out of a template.

%package gender-doc
Summary: Documentation for gender
Version: svn36464.1.0

Provides: tex-gender-doc
AutoReqProv: No

%description gender-doc
Documentation for gender

%package genmpage
Provides: tex-genmpage = %{tl_version}
License: LPPL
Summary: Generalization of LaTeX's minipages
Version: svn15878.0.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(genmpage.sty) = %{tl_version}

%description genmpage
The GenMPage package generalizes LaTeX's minipages. Keyval
options and styles can be used to determine their appearance in
an easy and consistent way. Includes options for paragraph
indentation and vertical alignment with respect to the visual
top and bottom margins.

%package genmpage-doc
Summary: Documentation for genmpage
Version: svn15878.0.3.1

Provides: tex-genmpage-doc
AutoReqProv: No

%description genmpage-doc
Documentation for genmpage

%package getfiledate
Provides: tex-getfiledate = %{tl_version}
License: LPPL
Summary: Find the date of last modification of a file
Version: svn16189.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etextools.sty)
Requires: tex(ltxnew.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(amssymb.sty)
Requires: tex(boxedminipage.sty)
Provides: tex(getfiledate.sty) = %{tl_version}

%description getfiledate
The package fetches from the system the date of last
modification or opening of an existing file, using the function
\pdffilemoddate (present in recent versions of PDFTeX); the
user may specify how the date is to be presented.

%package getfiledate-doc
Summary: Documentation for getfiledate
Version: svn16189.1.2

Provides: tex-getfiledate-doc
AutoReqProv: No

%description getfiledate-doc
Documentation for getfiledate

%package ginpenc
Provides: tex-ginpenc = %{tl_version}
License: LPPL
Summary: Modification of inputenc for German
Version: svn24980.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ginpenc.sty) = %{tl_version}

%description ginpenc
If the inputenc is used and German umlauts are input directly,
they are converted to the LICR representation \"a (etc.). This
breaks the sort algorithm of makeindex, for instance. Ginpenc
converts umlauts and the sharp-s to the short forms defined by
babel, e.g., "a instead, if the text is typeset in German.

%package ginpenc-doc
Summary: Documentation for ginpenc
Version: svn24980.1.0

Provides: tex-ginpenc-doc
AutoReqProv: No

%description ginpenc-doc
Documentation for ginpenc

%package gitinfo
Provides: tex-gitinfo = %{tl_version}
License: LPPL 1.3
Summary: Access metadata from the git distributed version control system
Version: svn34049.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xstring.sty)
Provides: tex(gitinfo.sty) = %{tl_version}
Provides: tex(gitsetinfo.sty) = %{tl_version}

%description gitinfo
The package makes it possible to incorporate git version
control metadata into documents. For memoir users, the package
provides the means to tailor page headers and footers to use
the metadata. Note this version is now deprecated, but is kept
on the archive, pro tem, for continuity for existing users. All
new repositories should use gitinfo2.

%package gitinfo-doc
Summary: Documentation for gitinfo
Version: svn34049.1.0

Provides: tex-gitinfo-doc
AutoReqProv: No

%description gitinfo-doc
Documentation for gitinfo

%package gitinfo2
Provides: tex-gitinfo2 = %{tl_version}
License: LPPL 1.3
Summary: Access metadata from the git distributed version control system
Version: svn38913

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(xstring.sty)
Requires: tex(etoolbox.sty)
Requires: tex(eso-pic.sty)
Provides: tex(gitexinfo.sty) = %{tl_version}
Provides: tex(gitinfo2.sty) = %{tl_version}

%description gitinfo2
The package makes it possible to incorporate git version
control metadata into documents. For memoir users, the package
provides the means to tailor page headers and footers to use
the metadata. gitinfo2 is a new release of gitinfo. The changes
to version 2 are not backward-compatible, and the package name
has been changed to avoid impact on existing users'
repositories. All new repositories should use this version of
the package.

%package gitinfo2-doc
Summary: Documentation for gitinfo2
Version: svn38913

Provides: tex-gitinfo2-doc
AutoReqProv: No

%description gitinfo2-doc
Documentation for gitinfo2

%package gloss
Provides: tex-gloss = %{tl_version}
License: LPPL
Summary: Create glossaries using BibTeX
Version: svn15878.1.5.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gloss.sty) = %{tl_version}

%description gloss
A glossary package using BibTeX with \cite replaced by \gloss.

%package gloss-doc
Summary: Documentation for gloss
Version: svn15878.1.5.2

Provides: tex-gloss-doc
AutoReqProv: No

%description gloss-doc
Documentation for gloss

%package glossaries-danish
Provides: tex-glossaries-danish = %{tl_version}
License: LPPL 1.3
Summary: Danish language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-danish.ldf) = %{tl_version}

%description glossaries-danish
Danish language module for glossaries package.

%package glossaries-danish-doc
Summary: Documentation for glossaries-danish
Version: svn35665.1.0

Provides: tex-glossaries-danish-doc
AutoReqProv: No

%description glossaries-danish-doc
Documentation for glossaries-danish

%package glossaries-dutch
Provides: tex-glossaries-dutch = %{tl_version}
License: LPPL 1.3
Summary: Dutch language module for glossaries package
Version: svn35685.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-dutch.ldf) = %{tl_version}

%description glossaries-dutch
Dutch language module for glossariesr package.

%package glossaries-dutch-doc
Summary: Documentation for glossaries-dutch
Version: svn35685.1.1

Provides: tex-glossaries-dutch-doc
AutoReqProv: No

%description glossaries-dutch-doc
Documentation for glossaries-dutch

%package glossaries-english
Provides: tex-glossaries-english = %{tl_version}
License: LPPL 1.3
Summary: English language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-english.ldf) = %{tl_version}

%description glossaries-english
English language module for glossariesr package.

%package glossaries-english-doc
Summary: Documentation for glossaries-english
Version: svn35665.1.0

Provides: tex-glossaries-english-doc
AutoReqProv: No

%description glossaries-english-doc
Documentation for glossaries-english

%package glossaries-french
Provides: tex-glossaries-french = %{tl_version}
License: LPPL 1.3
Summary: French language module for glossaries package
Version: svn42873
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(glossaries-french.ldf) = %{tl_version}

%description glossaries-french
French language module for glossaries package.

%package glossaries-french-doc
Summary: Documentation for glossaries-french
Version: svn42873
Provides: tex-glossaries-french-doc
AutoReqProv: No

%description glossaries-french-doc
Documentation for glossaries-french

%package glossaries-german
Provides: tex-glossaries-german = %{tl_version}
License: LPPL 1.3
Summary: German language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-german.ldf) = %{tl_version}

%description glossaries-german
German language module for glossariesr package.

%package glossaries-german-doc
Summary: Documentation for glossaries-german
Version: svn35665.1.0

Provides: tex-glossaries-german-doc
AutoReqProv: No

%description glossaries-german-doc
Documentation for glossaries-german

%package glossaries-irish
Provides: tex-glossaries-irish = %{tl_version}
License: LPPL 1.3
Summary: Irish language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-irish-noenc.ldf) = %{tl_version}
Provides: tex(glossaries-irish-utf8.ldf) = %{tl_version}
Provides: tex(glossaries-irish.ldf) = %{tl_version}

%description glossaries-irish
Irish language module for glossariesr package.

%package glossaries-irish-doc
Summary: Documentation for glossaries-irish
Version: svn35665.1.0

Provides: tex-glossaries-irish-doc
AutoReqProv: No

%description glossaries-irish-doc
Documentation for glossaries-irish

%package glossaries-italian
Provides: tex-glossaries-italian = %{tl_version}
License: LPPL 1.3
Summary: Italian language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-italian.ldf) = %{tl_version}

%description glossaries-italian
Italian language module for glossaries package.

%package glossaries-italian-doc
Summary: Documentation for glossaries-italian
Version: svn35665.1.0

Provides: tex-glossaries-italian-doc
AutoReqProv: No

%description glossaries-italian-doc
Documentation for glossaries-italian

%package glossaries-magyar
Provides: tex-glossaries-magyar = %{tl_version}
License: LPPL 1.3
Summary: Magyar language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-magyar-noenc.ldf) = %{tl_version}
Provides: tex(glossaries-magyar-utf8.ldf) = %{tl_version}
Provides: tex(glossaries-magyar.ldf) = %{tl_version}

%description glossaries-magyar
Magyar language module for glossariesr package.

%package glossaries-magyar-doc
Summary: Documentation for glossaries-magyar
Version: svn35665.1.0

Provides: tex-glossaries-magyar-doc
AutoReqProv: No

%description glossaries-magyar-doc
Documentation for glossaries-magyar

%package glossaries-polish
Provides: tex-glossaries-polish = %{tl_version}
License: LPPL 1.3
Summary: Polish language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-polish-noenc.ldf) = %{tl_version}
Provides: tex(glossaries-polish-utf8.ldf) = %{tl_version}
Provides: tex(glossaries-polish.ldf) = %{tl_version}

%description glossaries-polish
Polish language module for glossariesr package.

%package glossaries-polish-doc
Summary: Documentation for glossaries-polish
Version: svn35665.1.0

Provides: tex-glossaries-polish-doc
AutoReqProv: No

%description glossaries-polish-doc
Documentation for glossaries-polish

%package glossaries-portuges
Provides: tex-glossaries-portuges = %{tl_version}
License: LPPL 1.3
Summary: Portuges language module for glossaries package
Version: svn36064.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-portuges-noenc.ldf) = %{tl_version}
Provides: tex(glossaries-portuges-utf8.ldf) = %{tl_version}
Provides: tex(glossaries-portuges.ldf) = %{tl_version}
Provides: tex(glossaries-pt-BR.ldf) = %{tl_version}

%description glossaries-portuges
Portuges language module for glossaries package.

%package glossaries-portuges-doc
Summary: Documentation for glossaries-portuges
Version: svn36064.1.1

Provides: tex-glossaries-portuges-doc
AutoReqProv: No

%description glossaries-portuges-doc
Documentation for glossaries-portuges

%package glossaries-serbian
Provides: tex-glossaries-serbian = %{tl_version}
License: LPPL 1.3
Summary: Serbian language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-serbian-noenc.ldf) = %{tl_version}
Provides: tex(glossaries-serbian-utf8.ldf) = %{tl_version}
Provides: tex(glossaries-serbian.ldf) = %{tl_version}

%description glossaries-serbian
Serbian language module for glossaries package.

%package glossaries-serbian-doc
Summary: Documentation for glossaries-serbian
Version: svn35665.1.0

Provides: tex-glossaries-serbian-doc
AutoReqProv: No

%description glossaries-serbian-doc
Documentation for glossaries-serbian

%package glossaries-spanish
Provides: tex-glossaries-spanish = %{tl_version}
License: LPPL 1.3
Summary: Spanish language module for glossaries package
Version: svn35665.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(glossaries-spanish-noenc.ldf) = %{tl_version}
Provides: tex(glossaries-spanish-utf8.ldf) = %{tl_version}
Provides: tex(glossaries-spanish.ldf) = %{tl_version}

%description glossaries-spanish
Spanish language module for glossaries package.

%package glossaries-spanish-doc
Summary: Documentation for glossaries-spanish
Version: svn35665.1.0

Provides: tex-glossaries-spanish-doc
AutoReqProv: No

%description glossaries-spanish-doc
Documentation for glossaries-spanish

%package gmdoc
Provides: tex-gmdoc = %{tl_version}
License: LPPL
Summary: Documentation of LaTeX packages
Version: svn21292.0.993

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(gmutils.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(hyperref.sty)
Requires: tex(gmiflink.sty)
Requires: tex(gmverb.sty)
Requires: tex(makeidx.sty)
Requires: tex(multicol.sty)
Requires: tex(tikz.sty)
Requires: tex(lmodern.sty)
Requires: tex(fontenc.sty)
Requires: tex(geometry.sty)
Requires: tex(trace.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Provides: tex(gmdoc.sty) = %{tl_version}
Provides: tex(gmdocc.cls) = %{tl_version}
Provides: tex(gmoldcomm.sty) = %{tl_version}

%description gmdoc
A LaTeX package and an example class for documenting (La)TeX
packages, document classes, .dtx etc., providing hyperlinks.
The package is believed to be compatible with doc and permits
minimal markup of code (the macrocode environment is no longer
necessary). The package provides automatic detection of
definitions (detecting such things as \def, \newcommand,
\DeclareOption etc.). The package needs hyperref and the
author's three 'basic' packages: gmutils, gmverb and gmiflink.
As a bonus (and as an example of doc compatibility) driver
files are provided that may be used to typeset the LaTeX Base.

%package gmdoc-doc
Summary: Documentation for gmdoc
Version: svn21292.0.993

Provides: tex-gmdoc-doc
AutoReqProv: No

%description gmdoc-doc
Documentation for gmdoc

%package gmdoc-enhance
Provides: tex-gmdoc-enhance = %{tl_version}
License: LPPL
Summary: Some enhancements to the gmdoc package
Version: svn15878.v0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(gmdoc.sty)
Provides: tex(gmdoc-enhance.sty) = %{tl_version}

%description gmdoc-enhance
This package provides some enhancements for the gmdoc package:
nicer formatting for multiple line inline comments, an ability
to "comment out" some code, and a macro to input other files in
"normal" LaTeX mode.

%package gmdoc-enhance-doc
Summary: Documentation for gmdoc-enhance
Version: svn15878.v0.2

Provides: tex-gmdoc-enhance-doc
AutoReqProv: No

%description gmdoc-enhance-doc
Documentation for gmdoc-enhance

%package gmiflink
Provides: tex-gmiflink = %{tl_version}
License: LPPL
Summary: Simplify usage of \hypertarget and \hyperlink
Version: svn15878.v0.97

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gmiflink.sty) = %{tl_version}

%description gmiflink
Three hyperref-based macros that simplify usage of \hypertarget
and \hyperlink: one argument instead of the same one twice.
Also \gmiflink and \gmifref which typeset plain text instead of
generating an error or printing '??' if there is no respective
hypertarget or label.

%package gmiflink-doc
Summary: Documentation for gmiflink
Version: svn15878.v0.97

Provides: tex-gmiflink-doc
AutoReqProv: No

%description gmiflink-doc
Documentation for gmiflink

%package gmutils
Provides: tex-gmutils = %{tl_version}
License: LPPL
Summary: Support macros for other packages
Version: svn24287.v0.996

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(graphicx.sty)
Requires: tex(polski.sty)
Requires: tex(xltxtra.sty)
Requires: tex(multicol.sty)
Requires: tex(calc.sty)
Requires: tex(xkeyval.sty)
Provides: tex(gmRCS.sty) = %{tl_version}
Provides: tex(gmampulex.sty) = %{tl_version}
Provides: tex(gmbase.sty) = %{tl_version}
Provides: tex(gmcommand.sty) = %{tl_version}
Provides: tex(gmenvir.sty) = %{tl_version}
Provides: tex(gmlogos.sty) = %{tl_version}
Provides: tex(gmmeta.sty) = %{tl_version}
Provides: tex(gmmw.sty) = %{tl_version}
Provides: tex(gmnotonlypream.sty) = %{tl_version}
Provides: tex(gmparts.sty) = %{tl_version}
Provides: tex(gmrelsize.sty) = %{tl_version}
Provides: tex(gmtypos.sty) = %{tl_version}
Provides: tex(gmurl.sty) = %{tl_version}
Provides: tex(gmutils.sty) = %{tl_version}

%description gmutils
Miscellaneous macros used by others of the author's packages.
Contents of the package: \newgif and other globals; \@ifnextcat
and \@ifXeTeX; \(Re)storeMacro(s) to override redefinitions;
\afterfi and friends; commands from relsize, etc.; "almost an
environment" or redefinition of \begin (\begin* doesn't check
if the argument environment is defined).

%package gmutils-doc
Summary: Documentation for gmutils
Version: svn24287.v0.996

Provides: tex-gmutils-doc
AutoReqProv: No

%description gmutils-doc
Documentation for gmutils

%package gmverb
Provides: tex-gmverb = %{tl_version}
License: LPPL
Summary: A variant of LaTeX \verb, verbatim and shortvrb
Version: svn24288.v0.98

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(gmcommand.sty)
Requires: tex(xcolor.sty)
Provides: tex(gmverb.sty) = %{tl_version}

%description gmverb
A redefinition of \verb and verbatim so that long lines are
breakable before \ and after { with % as 'hyphen'. Allows you
to define your own verbatim-like environments (subject to a
size limit) and allows you to declare any single character as a
shorthand as in the \MakeShortVerb command of the shortvrb
package of the LaTeX distribution. The package depends on the
gmutils package.

%package gmverb-doc
Summary: Documentation for gmverb
Version: svn24288.v0.98

Provides: tex-gmverb-doc
AutoReqProv: No

%description gmverb-doc
Documentation for gmverb

%package graphbox
Provides: tex-graphbox = %{tl_version}
License: LPPL 1.3
Summary: Extend graphicx to improve placement of graphics
Version: svn35075.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Provides: tex(graphbox.sty) = %{tl_version}

%description graphbox
Graphbox is an extension of the standard graphicx LaTeX2e
package to allow the placement of graphics relative to the
"current position" using additional optional arguments of
\includegraphics. For example, changing the vertical alignment
is convenient for using graphics as elements of (mathematical)
formulae. Options for shifting, smashing and hiding the
graphics may be useful in support, for example, of the beamer
framework.

%package graphbox-doc
Summary: Documentation for graphbox
Version: svn35075.1.0

Provides: tex-graphbox-doc
AutoReqProv: No

%description graphbox-doc
Documentation for graphbox

%package graphicx-psmin
Provides: tex-graphicx-psmin = %{tl_version}
License: LPPL
Summary: Reduce size of PostScript files by not repeating images
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Provides: tex(graphicx-psmin.sty) = %{tl_version}

%description graphicx-psmin
The package is an extension of the standard graphics bundle and
provides a way to include repeated PostScript graphics (ps,
eps) only once in a PostScript document. This leads to smaller
PostScript documents when having, for instance, a logo on every
page. The package only works when post-processed with dvips,
which should eb version 5.95b or later. The difference for a
resulting distilled PDF file is minimal (as Ghostscript and
Adobe Distiller only include a single copy of each graphics
file, anyway).

%package graphicx-psmin-doc
Summary: Documentation for graphicx-psmin
Version: svn15878.1.1

Provides: tex-graphicx-psmin-doc
AutoReqProv: No

%description graphicx-psmin-doc
Documentation for graphicx-psmin

%package graphicxbox
Provides: tex-graphicxbox = %{tl_version}
License: LPPL
Summary: Insert a graphical image as a background
Version: svn32630.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(graphicxbox.sty) = %{tl_version}

%description graphicxbox
The package defines two new commands \graphicxbox and
\fgraphicxbox, which are companions to \colorbox and \fcolorbox
of the Standard LaTeX color package. The \graphicxbox command
inserts a graphical image as a background rather than a
background color, while \fgraphicxbox does the same thing, but
also draws a colored frame around the box.

%package graphicxbox-doc
Summary: Documentation for graphicxbox
Version: svn32630.1.0

Provides: tex-graphicxbox-doc
AutoReqProv: No

%description graphicxbox-doc
Documentation for graphicxbox

%package grfpaste
Provides: tex-grfpaste = %{tl_version}
License: LPPL
Summary: Include fragments of a dvi file
Version: svn17354.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Provides: tex(grfpaste.sty) = %{tl_version}

%description grfpaste
Provides a mechanism to include fragments of dvi files with the
graphicx package, so that you can use \includegraphics to
include dvi files. The package requires the dvipaste program.

%package grfpaste-doc
Summary: Documentation for grfpaste
Version: svn17354.0.2

Provides: tex-grfpaste-doc
AutoReqProv: No

%description grfpaste-doc
Documentation for grfpaste

%package grid
Provides: tex-grid = %{tl_version}
License: LPPL
Summary: Grid typesetting in LaTeX
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(grid.sty) = %{tl_version}

%description grid
The package helps to enables grid typesetting in double column
documents. Grid typesetting (vertical aligning of lines of text
in adjacent columns) is a difficult task in LaTeX, and the
present package is no more than an attempt to help users to
achieve it in a limited way. An example document, grid.tex, is
provided with simple instructions to typeset it using the
package. The package needs a lot more work: this is only a
beginning...

%package grid-doc
Summary: Documentation for grid
Version: svn15878.1.0

Provides: tex-grid-doc
AutoReqProv: No

%description grid-doc
Documentation for grid

%package grid-system
Provides: tex-grid-system = %{tl_version}
License: ASL 2.0
Summary: Page organisation, modelled on CSS facilities
Version: svn32981.0.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(environ.sty)
Requires: tex(forloop.sty)
Provides: tex(grid-system.sty) = %{tl_version}

%description grid-system
The package provides the means for LaTeX to implement a grid
system as known from CSS grid systems. The facility is useful
for creating box layouts as used in brochures.

%package grid-system-doc
Summary: Documentation for grid-system
Version: svn32981.0.3.0

Provides: tex-grid-system-doc
AutoReqProv: No

%description grid-system-doc
Documentation for grid-system

%package gridset
Provides: tex-gridset = %{tl_version}
License: LPPL
Summary: Grid, a.k.a. in-register, setting
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gridset.sty) = %{tl_version}

%description gridset
Grid setting -- also known as strict in-register setting -- is
something, that should be done for a lot of documents but is
not easy using LaTeX. The package helps to get the information
needed for grid setting. It does not implement auto grid
setting, but there is a command \vskipnextgrid, that moves to
the next grid position. This may be enough under some
circumstances, but in other circumstances it may fail. Thus
gridset is only one more step for grid setting, not a complete
solution.

%package gridset-doc
Summary: Documentation for gridset
Version: svn15878.0.1

Provides: tex-gridset-doc
AutoReqProv: No

%description gridset-doc
Documentation for gridset

%package gtl
Provides: tex-gtl = %{tl_version}
License: LPPL
Summary: Manipulating generalized token lists
Version: svn38503

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Provides: tex(gtl.sty) = %{tl_version}

%description gtl
The package provides tools for simple operations on lists of
tokens which are not necessarily balanced. It is in particular
used a lot in the unravel package, to go through tokens one at
a time rather than having to work with entire braced groups at
a time. The package requires an up-to-date l3kernel bundle.

%package gtl-doc
Summary: Documentation for gtl
Version: svn38503

Provides: tex-gtl-doc
AutoReqProv: No

%description gtl-doc
Documentation for gtl

%package guitlogo
Provides: tex-guitlogo = %{tl_version}
License: LPPL
Summary: Macros for typesetting the GuIT logo
Version: svn27458.0.9.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Requires: tex(url.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Provides: tex(guit.cfg) = %{tl_version}
Provides: tex(guit.sty) = %{tl_version}

%description guitlogo
Guit provides some commands useful to correctly write the logo
of GUIT -- "Gruppo Utilizzatori Italiani di TeX" (Italian TeX
User Group), using the default document color or any other
color the user may ever choose, in conformity with logo's
scheme as seen on the Group web site
(http://www.guit.sssup.it). Likewise, commands are provided
that simplify the writing of GuIT acronym's complete expansion,
of the addresses of Group's internet site and public forum and
'GuITmeeting' logo. Optionally, using hyperref, the outputs of
the above cited commands can become hyperlinks to Group's site.
Documentation is available in Italian, only.

%package guitlogo-doc
Summary: Documentation for guitlogo
Version: svn27458.0.9.2

Provides: tex-guitlogo-doc
AutoReqProv: No

%description guitlogo-doc
Documentation for guitlogo

%package handout
Provides: tex-handout = %{tl_version}
License: LPPL 1.3
Summary: Create handout for auditors of a talk
Version: svn43962
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(etoolbox.sty)
Provides: tex(handout.sty) = %{tl_version}

%description handout
In some fields of scholarship, a beamer does not offer good
support when giving a talk in a proceeding. For example, in
classical philology, the main sources are text, and it will be
better to distribute a handout to the audience with extracts of
the texts about which we will talk. The package supports
preparation of such handouts when writing the talk.

%package handout-doc
Summary: Documentation for handout
Version: svn43962
Provides: tex-handout-doc
AutoReqProv: No

%description handout-doc
Documentation for handout

%package hang
Provides: tex-hang = %{tl_version}
License: LPPL 1.3
Summary: Environments for hanging paragraphs and list items
Version: svn43280
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(hang.sty) = %{tl_version}

%description hang
This package provides environments for hanging paragraphs and
list items. In addition, it defines environments for labeled
paragraphs and list items.

%package hang-doc
Summary: Documentation for hang
Version: svn43280
Provides: tex-hang-doc
AutoReqProv: No

%description hang-doc
Documentation for hang

%package hanging
Provides: tex-hanging = %{tl_version}
License: LPPL 1.3
Summary: Hanging paragraphs
Version: svn15878.1.2b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hanging.sty) = %{tl_version}

%description hanging
The hanging package facilitates the typesetting of hanging
paragraphs. The package also enables typesetting with hanging
punctuation, by making punctuation characters active. This
facility is best suppressed (it can interfere with other
packages) -- there are package options for suppressing each
individual punctuation character. 'Real' attempts at hanging
punction should nowadays use the microtype package, which takes
advantage of the support offered in recent versions of pdfTeX.

%package hanging-doc
Summary: Documentation for hanging
Version: svn15878.1.2b

Provides: tex-hanging-doc
AutoReqProv: No

%description hanging-doc
Documentation for hanging

%package hardwrap
Provides: tex-hardwrap = %{tl_version}
License: LPPL 1.3
Summary: Hard wrap text to a certain character length
Version: svn21396.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifplatform.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(ifxetex.sty)
Provides: tex(hardwrap.sty) = %{tl_version}

%description hardwrap
The package facilitates wrapping text to a specific character
width, breaking lines by words rather than, as done by TeX, by
characters. The primary use for these facilities is to aid the
generation of messages sent to the log file or console output
to display messages to the user. Package authors may also find
this useful when writing out arbitary text to an external file.

%package hardwrap-doc
Summary: Documentation for hardwrap
Version: svn21396.0.2

Provides: tex-hardwrap-doc
AutoReqProv: No

%description hardwrap-doc
Documentation for hardwrap

%package harnon-cv
Provides: tex-harnon-cv = %{tl_version}
License: Public Domain
Summary: A CV document class with a vertical timeline for experience
Version: svn26543.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(harnon-cv.cls) = %{tl_version}

%description harnon-cv
The class offers another modern, neat, design, and provides a
simple means of adding an 'experience timeline'.

%package harnon-cv-doc
Summary: Documentation for harnon-cv
Version: svn26543.1.0

Provides: tex-harnon-cv-doc
AutoReqProv: No

%description harnon-cv-doc
Documentation for harnon-cv

%package harpoon
Provides: tex-harpoon = %{tl_version}
License: Public Domain
Summary: Extra harpoons, using the graphics package
Version: svn21327.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(harpoon.sty) = %{tl_version}

%description harpoon
Provides over- and under-harpoon symbol commands; the harpoons
may point in either direction, with the hook pointing up or
down. The covered object is provided as an argument to the
commands, so that they have the look of accent commands.

%package harpoon-doc
Summary: Documentation for harpoon
Version: svn21327.1.0

Provides: tex-harpoon-doc
AutoReqProv: No

%description harpoon-doc
Documentation for harpoon

%package hc
Provides: tex-hc = %{tl_version}
License: GPLv2+
Summary: Replacement for the LaTeX classes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(natbib.sty)
Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Requires: tex(ifthen.sty)
Requires: tex(babel.sty)
Requires: tex(xspace.sty)
Requires: tex(palatino.sty)
Requires: tex(mathpple.sty)
Requires: tex(pifont.sty)
Requires: tex(fancyref.sty)
Requires: tex(truncate.sty)
Requires: tex(typearea.sty)
Requires: tex(multicol.sty)
Requires: tex(hyperref.sty)
Requires: tex(fancybox.sty)
Provides: tex(hcart.cls) = %{tl_version}
Provides: tex(hcletter.cls) = %{tl_version}
Provides: tex(hcreport.cls) = %{tl_version}
Provides: tex(hcslides.cls) = %{tl_version}

%description hc
A set of replacements for the default LaTeX classes, based upon
the Koma-Script bundle and the seminar class. Includes hcart,
hcreport, hcletter, and hcslides.

%package hc-doc
Summary: Documentation for hc
Version: svn15878.0

Provides: tex-hc-doc
AutoReqProv: No

%description hc-doc
Documentation for hc

%package he-she
Provides: tex-he-she = %{tl_version}
License: LPPL 1.3
Summary: Alternating pronouns to aid gender-neutral writing
Version: svn41359

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(everyhook.sty)
Provides: tex(he-she.sty) = %{tl_version}

%description he-she
The package implements a version of semi-automatic pronoun
switching for writing gender-neutral (and possibly annoying)
prose. It has upper- and lowercase versions of switching
pronouns for all case forms, plus anaphoric versions that
reflect the current gender choice.

%package he-she-doc
Summary: Documentation for he-she
Version: svn41359

Provides: tex-he-she-doc
AutoReqProv: No

%description he-she-doc
Documentation for he-she

%package hhtensor
Provides: tex-hhtensor = %{tl_version}
License: LPPL
Summary: Print vectors, matrices, and tensors
Version: svn24981.0.61

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ushort.sty)
Requires: tex(amsmath.sty)
Provides: tex(hhtensor.sty) = %{tl_version}

%description hhtensor
This package provides commands for vectors, matrices, and
tensors with different styles -- arrows (as the LaTeX default),
underlined, and bold).

%package hhtensor-doc
Summary: Documentation for hhtensor
Version: svn24981.0.61

Provides: tex-hhtensor-doc
AutoReqProv: No

%description hhtensor-doc
Documentation for hhtensor

%package histogr
Provides: tex-histogr = %{tl_version}
License: LPPL 1.3
Summary: Draw histograms with the LaTeX picture environment
Version: svn15878.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(histogr.sty) = %{tl_version}

%description histogr
This is a collection pf macros to draw histogram bars inside a
LaTeX picture-environment.

%package histogr-doc
Summary: Documentation for histogr
Version: svn15878.1.01

Provides: tex-histogr-doc
AutoReqProv: No

%description histogr-doc
Documentation for histogr

%package hitec
Provides: tex-hitec = %{tl_version}
License: LPPL
Summary: Class for documentation
Version: svn15878.0.0_beta_

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hitec.cls) = %{tl_version}

%description hitec
An article-based class designed for use for documentation in
high-technology companies.

%package hitec-doc
Summary: Documentation for hitec
Version: svn15878.0.0_beta_

Provides: tex-hitec-doc
AutoReqProv: No

%description hitec-doc
Documentation for hitec

%package hletter
Provides: tex-hletter = %{tl_version}
License: LPPL 1.2
Summary: Flexible letter typesetting with flexible page headings
Version: svn30002.4.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(babel.sty)
Provides: tex(hdefine.clo) = %{tl_version}
Provides: tex(hhead.sty) = %{tl_version}
Provides: tex(hlete.clo) = %{tl_version}
Provides: tex(hletf.clo) = %{tl_version}
Provides: tex(hletg.clo) = %{tl_version}
Provides: tex(hletter.cls) = %{tl_version}
Provides: tex(hsetup.sty) = %{tl_version}
Provides: tex(mergeh.sty) = %{tl_version}

%description hletter
The package permits the user to specify easily, with the aid of
self defined key-words, letters (with a logo and private) and
headings. The heading may include a footer and the letter
provides commands to include a scanned signature and two
signees. The package works with the merge package.

%package hletter-doc
Summary: Documentation for hletter
Version: svn30002.4.2

Provides: tex-hletter-doc
AutoReqProv: No

%description hletter-doc
Documentation for hletter

%package hpsdiss
Provides: tex-hpsdiss = %{tl_version}
License: GPL+
Summary: A dissertation class
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(calc.sty)
Requires: tex(ragged2e.sty)
Requires: tex(rotating.sty)
Requires: tex(mparhack.sty)
Requires: tex(graphicx.sty)
Requires: tex(colordvi.sty)
Provides: tex(hpsdiss.cls) = %{tl_version}

%description hpsdiss
The class was developed to typeset a dissertation at ETH
Zurich. The requirements were to use A5 paper and 10pt type. A
sample of the output is shown in the PDF documentation link.

%package hpsdiss-doc
Summary: Documentation for hpsdiss
Version: svn15878.1.0

Provides: tex-hpsdiss-doc
AutoReqProv: No

%description hpsdiss-doc
Documentation for hpsdiss

%package hrefhide
Provides: tex-hrefhide = %{tl_version}
License: LPPL 1.3
Summary: Suppress hyper links when printing
Version: svn22255.1.0f

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(hyperref.sty)
Requires: tex(kvoptions.sty)
Provides: tex(hrefhide.sty) = %{tl_version}

%description hrefhide
This package provides the command \hrefdisplayonly (which
provides a substitute for \href). While the (hyperlinked) text
appears like an ordinary \href in the compiled PDF file, the
same text will be "hidden" when printing the text. (Hiding is
actually achieved by making the text the same colour as the
background, thus preserving the layout of the rest of the
text.)

%package hrefhide-doc
Summary: Documentation for hrefhide
Version: svn22255.1.0f

Provides: tex-hrefhide-doc
AutoReqProv: No

%description hrefhide-doc
Documentation for hrefhide

%package hvindex
Provides: tex-hvindex = %{tl_version}
License: LPPL
Summary: Support for indexing
Version: svn16136.0.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(makeidx.sty)
Provides: tex(hvindex.sty) = %{tl_version}

%description hvindex
The package simplifies the indexing of words using the \index
command of makeidx. With the package, to index a word in a
text, you only have to type it once; the package makes sure it
is both typeset and indexed.

%package hvindex-doc
Summary: Documentation for hvindex
Version: svn16136.0.02

Provides: tex-hvindex-doc
AutoReqProv: No

%description hvindex-doc
Documentation for hvindex

%package hypdvips
Provides: tex-hypdvips = %{tl_version}
License: LPPL 1.3
Summary: Hyperref extensions for use with dvips
Version: svn34364.3.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(atveryend.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Requires: tex(bookmark.sty)
Requires: tex(hypcap.sty)
Provides: tex(hypdvips.sty) = %{tl_version}

%description hypdvips
The hypdvips package fixes some problems when using hyperref
with dvips. It also adds support for breaking links, file
attachments, embedded documents and different types of GoTo-
links. The cooperation of hyperref with cleveref is improved,
which in addition allows an enhanced back-referencing system.

%package hypdvips-doc
Summary: Documentation for hypdvips
Version: svn34364.3.02

Provides: tex-hypdvips-doc
AutoReqProv: No

%description hypdvips-doc
Documentation for hypdvips

%package hyper
Provides: tex-hyper = %{tl_version}
License: LPPL
Summary: Hypertext cross referencing
Version: svn17357.4.2d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(defpattern.sty)
Requires: tex(color.sty)
Provides: tex(hxt-bc.sty) = %{tl_version}
Provides: tex(hyper.sty) = %{tl_version}

%description hyper
Redefines LaTeX cross-referencing commands to insert \special
commands for HyperTeX dvi viewers, such as recent versions of
xdvi. The package is now largely superseded by hyperref.

%package hyper-doc
Summary: Documentation for hyper
Version: svn17357.4.2d

Provides: tex-hyper-doc
AutoReqProv: No

%description hyper-doc
Documentation for hyper

%package hypernat
Provides: tex-hypernat = %{tl_version}
License: GPL+
Summary: Allow hyperref and natbib to work together
Version: svn17358.1.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hypernat.sty) = %{tl_version}

%description hypernat
Allows hyperref package and the natbib package with options
'numbers' and 'sort&compress' to work together. This means that
multiple sequential citations (e.g [3,2,1]) will be compressed
to [1-3], where the '1' and the '3' are (color-)linked to the
bibliography.

%package hypernat-doc
Summary: Documentation for hypernat
Version: svn17358.1.0b

Provides: tex-hypernat-doc
AutoReqProv: No

%description hypernat-doc
Documentation for hypernat

%package hyperref-docsrc-doc
Summary: Documentation for hyperref-docsrc
Version: svn15878.0

Provides: tex-hyperref-docsrc-doc
AutoReqProv: No

%description hyperref-docsrc-doc
Documentation for hyperref-docsrc

%package hyperxmp
Provides: tex-hyperxmp = %{tl_version}
License: LPPL 1.3
Summary: Embed XMP metadata within a LaTeX document
Version: svn44902
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(atenddvi.sty)
Requires: tex(kvoptions.sty)
Requires: tex(pdfescape.sty)
Requires: tex(stringenc.sty)
Requires: tex(intcalc.sty)
Requires: tex(ifxetex.sty)
Provides: tex(hyperxmp.sty) = %{tl_version}

%description hyperxmp
XMP (eXtensible Metadata Platform) is a mechanism proposed by
Adobe for embedding document metadata within the document
itself. The metadata is designed to be easy to extract, even by
programs that are oblivious to the document's file format. Most
of Adobe's applications store XMP metadata when saving files.
Now, with the hyperxmp package, it is trivial for LaTeX
document authors to store XMP metadata in their documents as
well. Version 2.2 of the package added support for the IPTC
Photo Metadata schema. It allows \xmpcomma and \xmpquote to be
used in any hyperxmp option, not only those that require
special treatment of commas. And it introduces an \xmplinesep
macro that controls how multiline fields are represented in the
XMP packet. The package integrates seamlessly with hyperref and
requires virtually no modifications to documents that already
exploit hyperref's mechanisms for specifying PDF metadata. The
current version of hyperxmp can embed the following metadata as
XMP: title, authors, primary author's title or position,
metadata writer, subject/summary, keywords, copyright, license
URL, document base URL, document identifier and instance
identifier, language, source file name, PDF generating tool,
PDF version, and contact telephone number/postal address/email
address/URL. Hyperxmp currently embeds XMP only within PDF
documents; it is compatible with pdflatex, xelatex,
latex+dvipdfm, and latex+dvips+ps2pdf.

%package hyperxmp-doc
Summary: Documentation for hyperxmp
Version: svn44902
Provides: tex-hyperxmp-doc
AutoReqProv: No

%description hyperxmp-doc
Documentation for hyperxmp

%package hyphenat
Provides: tex-hyphenat = %{tl_version}
License: LPPL 1.3
Summary: Disable/enable hypenation
Version: svn15878.2.3c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hyphenat.sty) = %{tl_version}

%description hyphenat
This package can disable all hyphenation or enable hyphenation
of non-alphabetics or monospaced fonts. The package can also
enable hyphenation within 'words' that contain non-alphabetic
characters (e.g., that include underscores), and hyphenation of
text typeset in monospaced (e.g., cmtt) fonts.

%package hyphenat-doc
Summary: Documentation for hyphenat
Version: svn15878.2.3c

Provides: tex-hyphenat-doc
AutoReqProv: No

%description hyphenat-doc
Documentation for hyphenat

%package idxcmds
Provides: tex-idxcmds = %{tl_version}
License: LPPL 1.3
Summary: Semantic commands for adding formatted index entries
Version: svn38115.0.2c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(pgfopts.sty)
Requires: tex(ltxcmds.sty)
Provides: tex(idxcmds.sty) = %{tl_version}

%description idxcmds
The package provides commands for adding formatted index
entries; it arises from the author's work on large documents.

%package idxcmds-doc
Summary: Documentation for idxcmds
Version: svn38115.0.2c

Provides: tex-idxcmds-doc
AutoReqProv: No

%description idxcmds-doc
Documentation for idxcmds

%package idxlayout
Provides: tex-idxlayout = %{tl_version}
License: LPPL
Summary: Configurable index layout, responsive to KOMA-Script and memoir
Version: svn25821.0.4d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(kvoptions.sty)
Requires: tex(multicol.sty)
Requires: tex(ragged2e.sty)
Provides: tex(idxlayout.sty) = %{tl_version}

%description idxlayout
The idxlayout package offers a key-value interface to configure
index layout parameters, e.g. allowing for three-column indexes
or for "parent" items and their affiliated subitems being
typeset as a single paragraph. The package is responsive to the
index-related options and commands of the KOMA-Script and
memoir classes.

%package idxlayout-doc
Summary: Documentation for idxlayout
Version: svn25821.0.4d

Provides: tex-idxlayout-doc
AutoReqProv: No

%description idxlayout-doc
Documentation for idxlayout

%package ifmslide
Provides: tex-ifmslide = %{tl_version}
License: LPPL 1.2
Summary: Presentation slides for screen and printouts
Version: svn20727.0.47

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(hyperref.sty)
Requires: tex(ifpdf.sty)
Requires: tex(color.sty)
Requires: tex(texpower.sty)
Requires: tex(fixseminar.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(graphicx.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsbsy.sty)
Provides: tex(ifmslide.cfg) = %{tl_version}
Provides: tex(ifmslide.sty) = %{tl_version}

%description ifmslide
This package is used to produce printed slides with LaTeX and
online presentations with pdfLaTeX. It is provided by the
'Institute of Mechanics' (ifm) Univ. of Technology Darmstadt,
Germany. It is based on ideas of pdfslide, but completely
rewritten for compatibility with texpower and seminar. The
manual describes all functions and provides a sample.

%package ifmslide-doc
Summary: Documentation for ifmslide
Version: svn20727.0.47

Provides: tex-ifmslide-doc
AutoReqProv: No

%description ifmslide-doc
Documentation for ifmslide

%package ifnextok
Provides: tex-ifnextok = %{tl_version}
License: LPPL 1.3
Summary: Utility macro: peek ahead without ignoring spaces
Version: svn23379.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ifnextok.sty) = %{tl_version}

%description ifnextok
The package deals with the behaviour of the LaTeX internal
command \@ifnextchar, which skips blank spaces. This has the
potential to surprise users, since it can produce really
unwanted effects. A common example occurs with brackets
starting a line following \\: the command looks for an optional
argument, whereas the user wants the brackets to be printed.
The package offers commands and options for modifying this
behaviour, maybe limited to certain parts of the document
source.

%package ifnextok-doc
Summary: Documentation for ifnextok
Version: svn23379.0.3

Provides: tex-ifnextok-doc
AutoReqProv: No

%description ifnextok-doc
Documentation for ifnextok

%package ifoddpage
Provides: tex-ifoddpage = %{tl_version}
License: LPPL 1.3
Summary: Determine if the current page is odd or even
Version: svn40726

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ifoddpage.sty) = %{tl_version}

%description ifoddpage
The package provides an \ifoddpage conditional to determine if
the current page is odd or even. The macro \checkoddpage must
be used direct before to check the page number using a label.
Two compiler runs are therefore required to achieve correct
results. In addition, the conditional \ifoddpageoronside is
provided which is also true in oneside mode where all pages use
the odd page layout.

%package ifoddpage-doc
Summary: Documentation for ifoddpage
Version: svn40726

Provides: tex-ifoddpage-doc
AutoReqProv: No

%description ifoddpage-doc
Documentation for ifoddpage

%package ifplatform
Provides: tex-ifplatform = %{tl_version}
License: LPPL
Summary: Conditionals to test which platform is being used
Version: svn45533
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pdftexcmds.sty)
Requires: tex(catchfile.sty)
Requires: tex(ifluatex.sty)
Provides: tex(ifplatform.sty) = %{tl_version}

%description ifplatform
This package uses the (La)TeX extension -shell-escape to
establish whether the document is being processed on a Windows
or on a Unix-like system (Mac OS X, Linux, etc.), or on Cygwin
(Unix environment over a windows system). Booleans provided
are: \ifwindows, \iflinux, \ifmacosx and \ifcygwin. The package
also preserves the output of uname on a Unix-like system, which
may be used to distinguish between various classes of Unix
systems.

%package ifplatform-doc
Summary: Documentation for ifplatform
Version: svn45533
Provides: tex-ifplatform-doc
AutoReqProv: No

%description ifplatform-doc
Documentation for ifplatform

%package ifthenx
Provides: tex-ifthenx = %{tl_version}
License: LPPL
Summary: Extra tests for \ifthenelse
Version: svn25819.0.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(ifthenx.sty) = %{tl_version}

%description ifthenx
The package extends the ifthen package, providing extra
predicates for the package's \ifthenelse command. The package
is complementary to xifthen, in that they provide different
facilities; the two may be loaded in the same document, as long
as xifthen is loaded first.

%package ifthenx-doc
Summary: Documentation for ifthenx
Version: svn25819.0.1a

Provides: tex-ifthenx-doc
AutoReqProv: No

%description ifthenx-doc
Documentation for ifthenx

%package iitem
Provides: tex-iitem = %{tl_version}
License: LPPL
Summary: Multiple level of lists in one list-like environment
Version: svn29613.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(iitem.sty) = %{tl_version}

%description iitem
The package defines multiple level lists within one list-like
environment. instead of writing \begin{enumerate} \item 1
\begin{enumerate} \item 2 \begin{enumerate} \item 3
\begin{enumerate} \item 4 \end{enumerate} \end{enumerate} \item
2.1 \end{enumerate} \item 1.1 \begin{enumerate} \item 2
\end{enumerate} \end{enumerate} this package allows you to
write \begin{enumerate} \item 1 \iitem 2 \iiitem 3 \ivtem 4
\iitem 2.1 \item 1.1 \iitem 2 \end{enumerate}

%package iitem-doc
Summary: Documentation for iitem
Version: svn29613.1.0

Provides: tex-iitem-doc
AutoReqProv: No

%description iitem-doc
Documentation for iitem

%package image-gallery
Provides: tex-image-gallery = %{tl_version}
License: LPPL
Summary: Create an overview of pictures from a digital camera or from other sources
Version: svn15878.v1.0j

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(graphicx.sty)
Requires: tex(keyval.sty)
Requires: tex(url.sty)
Requires: tex(geometry.sty)
Provides: tex(image-gallery.cls) = %{tl_version}

%description image-gallery
The class may be used to create an overview of pictures from a
digital camera or from other sources. It is possible to adjust
the size of the pictures and all the margins. The example file
shows the usage.

%package image-gallery-doc
Summary: Documentation for image-gallery
Version: svn15878.v1.0j

Provides: tex-image-gallery-doc
AutoReqProv: No

%description image-gallery-doc
Documentation for image-gallery

%package imakeidx
Provides: tex-imakeidx = %{tl_version}
License: LPPL 1.3
Summary: A package for producing multiple indexes
Version: svn42287
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(xpatch.sty)
Requires: tex(multicol.sty)
Provides: tex(imakeidx.sty) = %{tl_version}

%description imakeidx
The package enables the user to produce and typeset one or more
indexes simultaneously with a document. The package is known to
work in LaTeX documents processed with pdflatex, xelatatex and
lualatex. If makeindex is used for processing the index
entries, no particular setting up is needed when TeX Live is
used. Using xindy or other programs it is necessary to enable
shell escape; shell escape is also needed if splitindex is
used.

%package imakeidx-doc
Summary: Documentation for imakeidx
Version: svn42287
Provides: tex-imakeidx-doc
AutoReqProv: No

%description imakeidx-doc
Documentation for imakeidx

%package import
Provides: tex-import = %{tl_version}
License: Public Domain
Summary: Establish input relative to a directory
Version: svn17361.5.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(import.sty) = %{tl_version}

%description import
The commands \import{full_path}{file} and
\subimport{path_extension}{file} set up input through standard
LaTeX mechanisms (\input, \include and \includegraphics) to
load files relative to the \import-ed directory. There are also
\includefrom, \subincludefrom, and * variants of the commands.

%package import-doc
Summary: Documentation for import
Version: svn17361.5.1

Provides: tex-import-doc
AutoReqProv: No

%description import-doc
Documentation for import

%package incgraph
Provides: tex-incgraph = %{tl_version}
License: LPPL 1.3
Summary: Sophisticated graphics inclusion in a PDF document
Version: svn36500.1.12

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgf.sty)
Requires: tex(pgffor.sty)
Requires: tex(graphicx.sty)
Requires: tex(bookmark.sty)
Requires: tex(pgfkeys.sty)
Provides: tex(incgraph.sty) = %{tl_version}

%description incgraph
The package provides tools for including graphics at the full
size of the output medium, or for creating "pages" whose size
is that of the graphic they contain. A principal use case is
documents that require inclusion of (potentially many) scans or
photographs. Bookmarking is especially supported. The tool box
has basic macros and a 'convenience' user interface that wraps
\includegraphics.

%package incgraph-doc
Summary: Documentation for incgraph
Version: svn36500.1.12

Provides: tex-incgraph-doc
AutoReqProv: No

%description incgraph-doc
Documentation for incgraph

%package indextools
Provides: tex-indextools = %{tl_version}
License: LPPL 1.3
Summary: A fork of imakeidx to fixe one bug with bidi
Version: svn38931

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(xpatch.sty)
Requires: tex(multicol.sty)
Provides: tex(indextools.sty) = %{tl_version}

%description indextools
This package is a fork of the imakeidx package. The original
authors of imakeidx declined some upgrade suggestions to remove
incompatibilities with certain packages that are particularly
important with critical editions dealing with languages that
are being written from right to left. Therefore this fork was
created in order to let other users benefit from its
functionalities very useful in the field of humanities.

%package indextools-doc
Summary: Documentation for indextools
Version: svn38931

Provides: tex-indextools-doc
AutoReqProv: No

%description indextools-doc
Documentation for indextools

%package inlinedef
Provides: tex-inlinedef = %{tl_version}
License: LPPL
Summary: Inline expansions within definitions
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(inlinedef.sty) = %{tl_version}

%description inlinedef
The package provides a macro \Inline that precedes a \def or
\gdef. Within the definition text of an inlined definition,
keywords such as \Expand may be used to selectively inline
certain expansions at definition-time. This eases the process
of redefining macros in terms of the original definition, as
well as definitions in which the token that must be expanded is
deep within, where \expandafter would be difficult and \edef is
not suitable. Another application is as an easier version of
\aftergroup, by defining a macro in terms of expanded local
variables, then ending the group with
\expandafter\endgroup\macro.

%package inlinedef-doc
Summary: Documentation for inlinedef
Version: svn15878.1.0

Provides: tex-inlinedef-doc
AutoReqProv: No

%description inlinedef-doc
Documentation for inlinedef

%package inputtrc
Provides: tex-inputtrc = %{tl_version}
License: LPPL 1.3
Summary: Trace which file loads which
Version: svn28019.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(inputtrc.sty) = %{tl_version}

%description inputtrc
The package produces screen/log messages of the form '<current>
INPUTTING <next>' reporting LaTeX input commands (<current> and
<next> being file names). The message is indented to reflect
the level of input nesting. Tracing may be turned on and off,
and the unit of indentation may be adjusted. The implementation
somewhat resembles those of packages FiNK and inputfile.

%package inputtrc-doc
Summary: Documentation for inputtrc
Version: svn28019.0.3

Provides: tex-inputtrc-doc
AutoReqProv: No

%description inputtrc-doc
Documentation for inputtrc

%package interactiveworkbook
Provides: tex-interactiveworkbook = %{tl_version}
License: LPPL
Summary: LaTeX-based interactive PDF on the Web
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(epsfig.sty)
Requires: tex(color.sty)
Requires: tex(xspace.sty)
Requires: tex(ifthen.sty)
Provides: tex(interactiveworkbook-web.sty) = %{tl_version}
Provides: tex(interactiveworkbook.sty) = %{tl_version}
Provides: tex(interactiveworkbook.sty) = %{tl_version}

%description interactiveworkbook
The package interactiveworkbook gives the user the ability to
write LaTeX documents which, ultimately, create interactive
question-and-answer Portable Document Format (PDF) tutorials
meant to be used by Internet students and that, in particular,
freely use mathematical notation.

%package interactiveworkbook-doc
Summary: Documentation for interactiveworkbook
Version: svn15878.0

Provides: tex-interactiveworkbook-doc
AutoReqProv: No

%description interactiveworkbook-doc
Documentation for interactiveworkbook

%package interfaces
Provides: tex-interfaces = %{tl_version}
License: LPPL 1.3
Summary: Set parameters for other packages, conveniently
Version: svn21474.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(etoolbox.sty)
Requires: tex(pgfkeys.sty)
Requires: tex(scrlfile.sty)
Requires: tex(infwarerr.sty)
Requires: tex(interfaces-scrlfile.sty)
Requires: tex(interfaces-tikz.sty)
Requires: tex(interfaces-marks.sty)
Requires: tex(refcount.sty)
Requires: tex(gettitlestring.sty)
Requires: tex(tikz.sty)
Requires: tex(auxhook.sty)
Provides: tex(interfaces-LaTeX.sty) = %{tl_version}
Provides: tex(interfaces-appendix.sty) = %{tl_version}
Provides: tex(interfaces-base.sty) = %{tl_version}
Provides: tex(interfaces-bookmark.sty) = %{tl_version}
Provides: tex(interfaces-embedfile.sty) = %{tl_version}
Provides: tex(interfaces-enumitem.sty) = %{tl_version}
Provides: tex(interfaces-environ.sty) = %{tl_version}
Provides: tex(interfaces-etoolbox.sty) = %{tl_version}
Provides: tex(interfaces-fancyhdr.sty) = %{tl_version}
Provides: tex(interfaces-hypbmsec.sty) = %{tl_version}
Provides: tex(interfaces-hyperref.sty) = %{tl_version}
Provides: tex(interfaces-makecell.sty) = %{tl_version}
Provides: tex(interfaces-marks.sty) = %{tl_version}
Provides: tex(interfaces-pgfkeys.sty) = %{tl_version}
Provides: tex(interfaces-scrlfile.sty) = %{tl_version}
Provides: tex(interfaces-tikz.sty) = %{tl_version}
Provides: tex(interfaces-titlesec.sty) = %{tl_version}
Provides: tex(interfaces-tocloft.sty) = %{tl_version}
Provides: tex(interfaces-truncate.sty) = %{tl_version}
Provides: tex(interfaces-umrand.sty) = %{tl_version}
Provides: tex(interfaces.sty) = %{tl_version}

%description interfaces
The package provides a small number of convenient macros that
access features in other frequently-used packages, or provide
interfaces to other useful facilities such as the pdfTeX
\pdfelapsedtime primitive. Most of these macros use pgfkeys to
provide a key-value syntax. The package also uses the package
scrlfile from the Koma-Script bundle (for controlled loading of
other files) and etoolbox. The package is bundled with sub-
packages containing actual interfaces: by default, the package
loads all available sub-packages, but techniques are provided
for the user to select no more than the interfaces needed for a
job.

%package interfaces-doc
Summary: Documentation for interfaces
Version: svn21474.3.1

Provides: tex-interfaces-doc
AutoReqProv: No

%description interfaces-doc
Documentation for interfaces

%package inversepath
Provides: tex-inversepath = %{tl_version}
License: LPPL 1.3
Summary: Calculate inverse file paths
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(inversepath.sty) = %{tl_version}

%description inversepath
The package calculates inverse relative paths. Such things may
be useful, for example, when writing an auxiliary file to a
different directory.

%package inversepath-doc
Summary: Documentation for inversepath
Version: svn15878.0.2

Provides: tex-inversepath-doc
AutoReqProv: No

%description inversepath-doc
Documentation for inversepath

%package invoice
Provides: tex-invoice = %{tl_version}
License: GPL+
Summary: Generate invoices
Version: svn39397

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(longtable.sty)
Requires: tex(calc.sty)
Requires: tex(fp.tex)
Provides: tex(invoice.def) = %{tl_version}
Provides: tex(invoice.sty) = %{tl_version}

%description invoice
The package may be used for generating invoices. The package
can deal with invisible expense items and deductions; output
may be presented in any of 10 different languages. The package
depends on the fp and calc packages for its calculations.

%package invoice-doc
Summary: Documentation for invoice
Version: svn39397

Provides: tex-invoice-doc
AutoReqProv: No

%description invoice-doc
Documentation for invoice

%package iso
Provides: tex-iso = %{tl_version}
License: LPPL
Summary: Generic ISO standards typesetting macros
Version: svn15878.2.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(url.sty)
Provides: tex(askincv1.sty) = %{tl_version}
Provides: tex(iso10.clo) = %{tl_version}
Provides: tex(iso11.clo) = %{tl_version}
Provides: tex(iso9.clo) = %{tl_version}
Provides: tex(isov2.cls) = %{tl_version}

%description iso
Generic class and package files for typesetting ISO
International Standard documents. Several standard documents
have been printed by ISO from camera-ready copy prepared using
LaTeX and these files. The class makes use of the isorot
package, rather than use other mechanisms directly.

%package iso-doc
Summary: Documentation for iso
Version: svn15878.2.4

Provides: tex-iso-doc
AutoReqProv: No

%description iso-doc
Documentation for iso

%package iso10303
Provides: tex-iso10303 = %{tl_version}
License: LPPL
Summary: Typesetting the STEP standards
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(aicv1.sty) = %{tl_version}
Provides: tex(apendint.tex) = %{tl_version}
Provides: tex(apmpspec.tex) = %{tl_version}
Provides: tex(apmptbl.tex) = %{tl_version}
Provides: tex(apmptempl.tex) = %{tl_version}
Provides: tex(apsstempl.tex) = %{tl_version}
Provides: tex(apv12.sty) = %{tl_version}
Provides: tex(atsv11.sty) = %{tl_version}
Provides: tex(bpfap1.tex) = %{tl_version}
Provides: tex(bpfap10.tex) = %{tl_version}
Provides: tex(bpfap11.tex) = %{tl_version}
Provides: tex(bpfap12.tex) = %{tl_version}
Provides: tex(bpfap13.tex) = %{tl_version}
Provides: tex(bpfap14.tex) = %{tl_version}
Provides: tex(bpfap15.tex) = %{tl_version}
Provides: tex(bpfap16.tex) = %{tl_version}
Provides: tex(bpfap2.tex) = %{tl_version}
Provides: tex(bpfap3.tex) = %{tl_version}
Provides: tex(bpfap4.tex) = %{tl_version}
Provides: tex(bpfap5.tex) = %{tl_version}
Provides: tex(bpfap6.tex) = %{tl_version}
Provides: tex(bpfap7.tex) = %{tl_version}
Provides: tex(bpfap8.tex) = %{tl_version}
Provides: tex(bpfap9.tex) = %{tl_version}
Provides: tex(bpfats1.tex) = %{tl_version}
Provides: tex(bpfats10.tex) = %{tl_version}
Provides: tex(bpfats11.tex) = %{tl_version}
Provides: tex(bpfats12.tex) = %{tl_version}
Provides: tex(bpfats14.tex) = %{tl_version}
Provides: tex(bpfats2.tex) = %{tl_version}
Provides: tex(bpfats3.tex) = %{tl_version}
Provides: tex(bpfats4.tex) = %{tl_version}
Provides: tex(bpfats5.tex) = %{tl_version}
Provides: tex(bpfats6.tex) = %{tl_version}
Provides: tex(bpfats7.tex) = %{tl_version}
Provides: tex(bpfats8.tex) = %{tl_version}
Provides: tex(bpfats9.tex) = %{tl_version}
Provides: tex(bpfir1.tex) = %{tl_version}
Provides: tex(bpfir2.tex) = %{tl_version}
Provides: tex(bpfir3.tex) = %{tl_version}
Provides: tex(bpfs1.tex) = %{tl_version}
Provides: tex(bpfs2.tex) = %{tl_version}
Provides: tex(bpfs3.tex) = %{tl_version}
Provides: tex(irv12.sty) = %{tl_version}
Provides: tex(stepman.tex) = %{tl_version}
Provides: tex(stepv13.sty) = %{tl_version}
Provides: tex(stppdlst.tex) = %{tl_version}

%description iso10303
Class and package files building on iso for typesetting the ISO
10303 (STEP) standards. Standard documents prepared using these
packages have been published by ISO.

%package iso10303-doc
Summary: Documentation for iso10303
Version: svn15878.1.5

Provides: tex-iso10303-doc
AutoReqProv: No

%description iso10303-doc
Documentation for iso10303

%package isodate
Provides: tex-isodate = %{tl_version}
License: LPPL
Summary: Tune the output format of dates according to language
Version: svn16613.2.28

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(substr.sty)
Requires: tex(calc.sty)
Provides: tex(isodate.sty) = %{tl_version}
Provides: tex(isodateo.sty) = %{tl_version}

%description isodate
This package provides ten output formats of the commands
\today, \printdate, \printdateTeX, and \daterange (partly
language dependent). Formats available are: ISO (yyyy-mm-dd),
numeric (e.g. dd.\,mm.~yyyy), short (e.g. dd.\,mm.\,yy), TeX
(yyyy/mm/dd), original (e.g. dd. mmm yyyy), short original
(e.g. dd. mmm yy), as well as numerical formats with Roman
numerals for the month. The commands \printdate and
\printdateTeX print any date. The command \daterange prints a
date range and leaves out unnecessary year or month entries.
This package supports German (old and new rules), Austrian, US
English, British English, French, Danish, Swedish, and
Norwegian.

%package isodate-doc
Summary: Documentation for isodate
Version: svn16613.2.28

Provides: tex-isodate-doc
AutoReqProv: No

%description isodate-doc
Documentation for isodate

%package isodoc
Provides: tex-isodoc = %{tl_version}
License: LPPL 1.3
Summary: A LaTeX class for typesetting letters and invoices
Version: svn39520

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ctable.sty)
Requires: tex(xcolor.sty)
Requires: tex(tabularx.sty)
Requires: tex(graphicx.sty)
Requires: tex(xstring.sty)
Requires: tex(calc.sty)
Requires: tex(forarray.sty)
Requires: tex(longtable.sty)
Requires: tex(geometry.sty)
Requires: tex(textpos.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(isodoc.cls) = %{tl_version}

%description isodoc
The isodoc class can be used for the preparation of letters and
invoices (and, in the future, similar documents). Documents are
set up with options, thus making the class easily adaptable to
user's wishes and extensible for other document types. The
class is based on the NTG brief class by Victor Eijkhout, which
implements the NEN1026 standard.

%package isodoc-doc
Summary: Documentation for isodoc
Version: svn39520

Provides: tex-isodoc-doc
AutoReqProv: No

%description isodoc-doc
Documentation for isodoc

%package isonums
Provides: tex-isonums = %{tl_version}
License: LPPL
Summary: Display numbers in maths mode according to ISO 31-0
Version: svn17362.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(isonums.sty) = %{tl_version}

%description isonums
The package makes a quick hack to ziffer to display numbers in
maths mode according to ISO 31-0, regardless of input format
(European $1.235,7$ or Anglo-American $1,235.7$). The options
[euro, anglo] control the global input format. Default input
format is anglo. Documentation is included as comments to the
text source.

%package isonums-doc
Summary: Documentation for isonums
Version: svn17362.1.0

Provides: tex-isonums-doc
AutoReqProv: No

%description isonums-doc
Documentation for isonums

%package isorot
Provides: tex-isorot = %{tl_version}
License: LPPL
Summary: Rotation of document elements
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(lscape.sty)
Provides: tex(isorot.sty) = %{tl_version}

%description isorot
The package is for rotation of document elements. It is a
combination of the lscape package and an extension of the
rotating package. The package is designed for use with the iso
class but may be used with any normal class.

%package isorot-doc
Summary: Documentation for isorot
Version: svn15878.0

Provides: tex-isorot-doc
AutoReqProv: No

%description isorot-doc
Documentation for isorot

%package isotope
Provides: tex-isotope = %{tl_version}
License: LPPL
Summary: A package for typesetting isotopes
Version: svn23711.v0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(isotope.sty) = %{tl_version}

%description isotope
The package provides a command \isotope for setting the atomic
weight and atomic number indications of isotopes. (The naive
way of doing the job with (La)TeX mathematics commands produces
an unsatisfactory result.)

%package isotope-doc
Summary: Documentation for isotope
Version: svn23711.v0.3

Provides: tex-isotope-doc
AutoReqProv: No

%description isotope-doc
Documentation for isotope

%package issuulinks
Provides: tex-issuulinks = %{tl_version}
License: LPPL 1.3
Summary: Produce external links instead of internal ones
Version: svn25742.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Provides: tex(issuulinks.sty) = %{tl_version}

%description issuulinks
The PDF visualizer http://issuu.com/ISSUU is a popular service
which shows PDF documents "a page a time". Due to the way it is
implemented, internal links in these documents are not allowed.
Instead, they must be converted to external ones in the form
http://issuu.com/action/page?page=PAGENUMBER. The package
patches hyperref to produce external links in the required form
instead of internal links created by \ref, \cite and other
commands. Since the package redefines the internals of
hyperref, it must be loaded it AFTER hyperref.

%package issuulinks-doc
Summary: Documentation for issuulinks
Version: svn25742.1.1

Provides: tex-issuulinks-doc
AutoReqProv: No

%description issuulinks-doc
Documentation for issuulinks

%package iwhdp
Provides: tex-iwhdp = %{tl_version}
License: LPPL 1.3
Summary: Halle Institute for Economic Research (IWH) Discussion Papers
Version: svn37552.0.50

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(iwhdp.cls) = %{tl_version}

%description iwhdp
The document class is for creating Discussion Papers of the
Halle Institute for Economic Research (IWH) in Halle, Germany.
The class offers options for both English and German texts.

%package iwhdp-doc
Summary: Documentation for iwhdp
Version: svn37552.0.50

Provides: tex-iwhdp-doc
AutoReqProv: No

%description iwhdp-doc
Documentation for iwhdp

%package jlabels
Provides: tex-jlabels = %{tl_version}
License: Bibtex or LPPL
Summary: Make letter-sized pages of labels
Version: svn24858.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(pstricks.sty)
Requires: tex(etoolbox.sty)
Provides: tex(jlabels.sty) = %{tl_version}

%description jlabels
The package provides controls for the numbers of rows and
columns.

%package jlabels-doc
Summary: Documentation for jlabels
Version: svn24858.0

Provides: tex-jlabels-doc
AutoReqProv: No

%description jlabels-doc
Documentation for jlabels

%package jslectureplanner
Provides: tex-jslectureplanner = %{tl_version}
License: LPPL 1.3
Summary: Creation and management of university course material
Version: svn43476
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(advdate.sty)
Requires: tex(xkeyval.sty)
Requires: tex(datetime.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(hhline.sty)
Requires: tex(datatool.sty)
Provides: tex(jslectureplanner.sty) = %{tl_version}
Provides: tex(jsmembertable.sty) = %{tl_version}

%description jslectureplanner
The jslectureplanner package facilitates the generation and
management of university course material. It provides an
interface to set up and access centralized course data that can
be reused in all course documents. Furthermore, the package is
able to calculate the session dates of a whole semester and
generate course programs, if the course is held weekly and the
date of the first lecture is specified. Moreover, the package
can be used to generate a sectioned course bibliography via
biblatex.

%package jslectureplanner-doc
Summary: Documentation for jslectureplanner
Version: svn43476
Provides: tex-jslectureplanner-doc
AutoReqProv: No

%description jslectureplanner-doc
Documentation for jslectureplanner

%package jumplines
Provides: tex-jumplines = %{tl_version}
License: LPPL 1.3
Summary: Articles with teasers and continuation later on
Version: svn37553.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(xparse.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(tcolorbox.sty)
Requires: tex(babel.sty)
Requires: tex(tocloft.sty)
Requires: tex(ifluatex.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(luacolor.sty)
Provides: tex(jumplines.sty) = %{tl_version}

%description jumplines
Jumplines is a package for typesetting (newspaper) articles
that show a teaser (some few lines of text/content) and are
continued at a later place, with optional hyperlinking and a
list of articles. It requires lualatex for colour support in
split boxes.

%package jumplines-doc
Summary: Documentation for jumplines
Version: svn37553.0.2

Provides: tex-jumplines-doc
AutoReqProv: No

%description jumplines-doc
Documentation for jumplines

%package jvlisting
Provides: tex-jvlisting = %{tl_version}
License: LPPL
Summary: A replacement for LaTeX's verbatim package
Version: svn24638.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(jvlisting.sty) = %{tl_version}

%description jvlisting
This package provides a LaTeX environment listing, an
alternative to the built-in verbatim environment. The listing
environment is tailored for including listings of computer
program source code into documents. The main advantages over
the original verbatim environment are: environments
automatically fixes leading whitespace so that the environment
and program listing can be indented with the rest of the
document source, and; listing environments may easily be
customised and extended.

%package jvlisting-doc
Summary: Documentation for jvlisting
Version: svn24638.0.7

Provides: tex-jvlisting-doc
AutoReqProv: No

%description jvlisting-doc
Documentation for jvlisting

%package kantlipsum
Provides: tex-kantlipsum = %{tl_version}
License: LPPL 1.3
Summary: Generate sentences in Kant's style
Version: svn27994.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(kantlipsum.sty) = %{tl_version}

%description kantlipsum
The package spits out sentences in Kantian style; the text is
provided by the Kant generator for Python by Mark Pilgrim,
described in the book "Dive into Python". The package is
modelled on lipsum, and may be used for similar purposes.

%package kantlipsum-doc
Summary: Documentation for kantlipsum
Version: svn27994.0.6

Provides: tex-kantlipsum-doc
AutoReqProv: No

%description kantlipsum-doc
Documentation for kantlipsum

%package kerntest
Provides: tex-kerntest = %{tl_version}
License: LPPL
Summary: Print tables and generate control files to adjust kernings
Version: svn15878.1.32

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(helvet.sty)
Requires: tex(calc.sty)
Requires: tex(longtable.sty)
Requires: tex(array.sty)
Requires: tex(color.sty)
Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Requires: tex(fontenc.sty)
Provides: tex(kerntest.cls) = %{tl_version}
Provides: tex(ly1mtx.clo) = %{tl_version}
Provides: tex(ot1mtx.clo) = %{tl_version}
Provides: tex(t1cmr-1200.fd) = %{tl_version}
Provides: tex(t1mtx.clo) = %{tl_version}
Provides: tex(t2amtx.clo) = %{tl_version}
Provides: tex(t2bmtx.clo) = %{tl_version}
Provides: tex(ts1mtx.clo) = %{tl_version}

%description kerntest
This class makes it easy to generate tables that show many
different kerning pairs of an arbitrary font, usable by LaTeX.
It shows the kerning values that are used in the font by
default. In addition, this class enables the user to alter the
kernings and to observe the results. Kerning pairs can be
defined for groups of similar glyphs at the same time. An mtx
file is generated automatically. The mtx file may then be
loaded by fontinst to introduce the user-made kernings into the
virtual font for later use in LaTeX.

%package kerntest-doc
Summary: Documentation for kerntest
Version: svn15878.1.32

Provides: tex-kerntest-doc
AutoReqProv: No

%description kerntest-doc
Documentation for kerntest

%package keycommand
Provides: tex-keycommand = %{tl_version}
License: LPPL
Summary: Simple creation of commands with key-value arguments
Version: svn18042.3.1415

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(kvsetkeys.sty)
Requires: tex(xkeyval.sty)
Requires: tex(etoolbox.sty)
Provides: tex(keycommand.sty) = %{tl_version}

%description keycommand
The package (which requires e-TeX) provides a natural way to
define commands with optional keys. The package provides
\newkeycommand, \renewkeycommand, \providekeycommand,
\newkeyenvironment and \renewkeyenvironment, together with
\keycmd for a more advanced interface. The package is based on
kvsetkeys by Heiko Oberdiek.

%package keycommand-doc
Summary: Documentation for keycommand
Version: svn18042.3.1415

Provides: tex-keycommand-doc
AutoReqProv: No

%description keycommand-doc
Documentation for keycommand

%package keyreader
Provides: tex-keyreader = %{tl_version}
License: LPPL 1.3
Summary: A robust interface to xkeyval
Version: svn28195.0.5b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pdftexcmds.sty)
Provides: tex(keyreader.sty) = %{tl_version}

%description keyreader
The package provides a robust interface to controlling keys in
xkeyval, removing some of that package's restrictions. The
package also addresses some of the issues now covered by the
author's ltxkeys package, which was assumed to be a replacement
for keyreader. Since keyreader has remained a favourite with
users, it has been reinstated.

%package keyreader-doc
Summary: Documentation for keyreader
Version: svn28195.0.5b

Provides: tex-keyreader-doc
AutoReqProv: No

%description keyreader-doc
Documentation for keyreader

%package keystroke
Provides: tex-keystroke = %{tl_version}
License: GPL+
Summary: Graphical representation of keys on keyboard
Version: svn17992.v1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(keystroke.sty) = %{tl_version}

%description keystroke
A LaTeX package which provides macros for the graphical
representation of the keys on a computer keyboard.

%package keystroke-doc
Summary: Documentation for keystroke
Version: svn17992.v1.6

Provides: tex-keystroke-doc
AutoReqProv: No

%description keystroke-doc
Documentation for keystroke

%package keyval2e
Provides: tex-keyval2e = %{tl_version}
License: LPPL 1.3
Summary: A lightweight and robust key-value parser
Version: svn23698.0.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(catoptions.sty)
Provides: tex(keyval2e.sty) = %{tl_version}

%description keyval2e
The package provides lightweight and robust facilities for
creating and managing keys. Its machinery isn't as extensive as
that of, e.g., the ltxkeys package, but it is equally robust;
ease of use and speed of processing are the design aims of the
package.

%package keyval2e-doc
Summary: Documentation for keyval2e
Version: svn23698.0.0.2

Provides: tex-keyval2e-doc
AutoReqProv: No

%description keyval2e-doc
Documentation for keyval2e

%package kix
Provides: tex-kix = %{tl_version}
License: LPPL
Summary: Typeset KIX codes
Version: svn21606.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(kix.sty) = %{tl_version}

%description kix
Implements KIX codes as used by the Dutch PTT for bulk mail
addressing. (Royal Mail 4 State Code.) KIX is a registered
trade mark of PTT Post Holdings B. V.

%package kix-doc
Summary: Documentation for kix
Version: svn21606.0

Provides: tex-kix-doc
AutoReqProv: No

%description kix-doc
Documentation for kix

%package koma-moderncvclassic
Provides: tex-koma-moderncvclassic = %{tl_version}
License: LPPL 1.3
Summary: Makes the style and command of moderncv (style classic) available for koma-classes and thus compatible with biblatex
Version: svn25025.v0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(ifpdf.sty)
Requires: tex(xcolor.sty)
Requires: tex(lmodern.sty)
Requires: tex(marvosym.sty)
Requires: tex(url.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Provides: tex(koma-moderncvclassic.sty) = %{tl_version}

%description koma-moderncvclassic
This package provides an imitation of the moderncv class with
the classic style (by Xavier Danaux), to be used in conjunction
with the koma-classes. Thus it is possible to configure
pagelayout, headings etc. the way it is done in koma-classes.
Moreover, it is possible to use biblatex, while the original
moderncv-class is incompatible with biblatex.

%package koma-moderncvclassic-doc
Summary: Documentation for koma-moderncvclassic
Version: svn25025.v0.5

Provides: tex-koma-moderncvclassic-doc
AutoReqProv: No

%description koma-moderncvclassic-doc
Documentation for koma-moderncvclassic

%package koma-script-sfs
Provides: tex-koma-script-sfs = %{tl_version}
License: LPPL
Summary: Koma-script letter class option for Finnish
Version: svn26137.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description koma-script-sfs
A koma-script parameter set for letters on A4 paper, complying
with Finnish standards SFS 2486, 2487 and 2488; suitable for
window envelopes with window on the left size in the sizes C5,
C65, E5 and E65 (although, because the address window is
smaller, for sizes E5 and E65 the address may not fit within
the window, but ordinary 3-line address should fit).

%package koma-script-sfs-doc
Summary: Documentation for koma-script-sfs
Version: svn26137.1.0

Provides: tex-koma-script-sfs-doc
AutoReqProv: No

%description koma-script-sfs-doc
Documentation for koma-script-sfs

%package komacv
Provides: tex-komacv = %{tl_version}
License: LPPL 1.3
Summary: Typesetting a beuatiful CV with various style options
Version: svn43902
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(kvoptions.sty)
Requires: tex(calc.sty)
Requires: tex(xcolor.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(scrpage2.sty)
Requires: tex(marvosym.sty)
Requires: tex(array.sty)
Requires: tex(graphicx.sty)
Requires: tex(microtype.sty)
Requires: tex(enumitem.sty)
Requires: tex(hyperref.sty)
Requires: tex(fontspec.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(lastpage.sty)
Provides: tex(komacv-casual.sty) = %{tl_version}
Provides: tex(komacv-classic.sty) = %{tl_version}
Provides: tex(komacv-oldstyle.sty) = %{tl_version}
Provides: tex(komacv.cls) = %{tl_version}

%description komacv
The class simplifies the creation of beautiful CV. The user may
choose between different styles, and may adjust settings to
tune the output.

%package komacv-doc
Summary: Documentation for komacv
Version: svn43902
Provides: tex-komacv-doc
AutoReqProv: No

%description komacv-doc
Documentation for komacv

%package ktv-texdata
Provides: tex-ktv-texdata = %{tl_version}
License: GPL+
Summary: Extract subsets of documents
Version: svn27369.05.34

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(ktv-buildnum.sty) = %{tl_version}
Provides: tex(ktv-texdata.sty) = %{tl_version}

%description ktv-texdata
The package defines an exercice environment which numbers every
exercise, and a command \get to extract a collection whose
argument is a comma-separated set of exercise index numbers.
While the package was designed for teachers constructing tables
of exercises, it plainly has more general application.

%package ktv-texdata-doc
Summary: Documentation for ktv-texdata
Version: svn27369.05.34

Provides: tex-ktv-texdata-doc
AutoReqProv: No

%description ktv-texdata-doc
Documentation for ktv-texdata

%package labbook
Provides: tex-labbook = %{tl_version}
License: LPPL
Summary: Typeset laboratory journals
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(makeidx.sty)
Provides: tex(labbook.cls) = %{tl_version}

%description labbook
This class is designed to typeset laboratory journals that
contain chronologically ordered records about experiments. From
the sectioning commands, an experiment index is generated. The
class is based on the KOMA-Script class scrbook.cls. There can
be several index entries for one experiment.

%package labbook-doc
Summary: Documentation for labbook
Version: svn15878.0

Provides: tex-labbook-doc
AutoReqProv: No

%description labbook-doc
Documentation for labbook

%package labels
Provides: tex-labels = %{tl_version}
License: LPPL 1.2
Summary: Print sheets of sticky labels
Version: svn15878.13

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(labels.sty) = %{tl_version}
Provides: tex(olabels.sty) = %{tl_version}

%description labels
A LaTeX package to print a regular grid of ragged-right labels
on a page, suitable for sheets of labels which can be fed
through a printer. Macros are provided to allow easy input of
names and addresses in a form free of TeX markup. Equally
useful is a feature for making multiple copies of a single
label, e.g., return address stickers to go with the labels.
Rows, columns, borders can all be specified to match the label
sheet being used.

%package labels-doc
Summary: Documentation for labels
Version: svn15878.13

Provides: tex-labels-doc
AutoReqProv: No

%description labels-doc
Documentation for labels

%package lastpackage
Provides: tex-lastpackage = %{tl_version}
License: LPPL 1.3
Summary: Indicates the last loaded package
Version: svn34481.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lastpackage.sty) = %{tl_version}

%description lastpackage
This package may be used to define the last point where some
code shall be executed. Its provides a package name for use in
package-placing commands from the author's templatetools. Usage
examples are provided in the documentation.

%package lastpackage-doc
Summary: Documentation for lastpackage
Version: svn34481.0.1

Provides: tex-lastpackage-doc
AutoReqProv: No

%description lastpackage-doc
Documentation for lastpackage

%package lastpage
Provides: tex-lastpage = %{tl_version}
License: LPPL 1.3
Summary: Reference last page for Page N of M type footers
Version: svn36680.1.2m

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lastpage.sty) = %{tl_version}
Provides: tex(lastpage209.sty) = %{tl_version}

%description lastpage
Reference the number of pages in your LaTeX document through
the introduction of a new label which can be referenced like
\pageref{LastPage} to give a reference to the last page of a
document. It is particularly useful in the page footer that
says: Page N of M.

%package lastpage-doc
Summary: Documentation for lastpage
Version: svn36680.1.2m

Provides: tex-lastpage-doc
AutoReqProv: No

%description lastpage-doc
Documentation for lastpage

%package latexdemo
Provides: tex-latexdemo = %{tl_version}
License: LPPL 1.3
Summary: Demonstrate LaTeX code with its resulting output
Version: svn34481.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(doctools.sty)
Requires: tex(listings.sty)
Requires: tex(xspace.sty)
Requires: tex(etoolbox.sty)
Requires: tex(filecontents.sty)
Requires: tex(mdframed.sty)
Requires: tex(framed.sty)
Requires: tex(xcolor.sty)
Requires: tex(kvoptions-patch.sty)
Requires: tex(kvoptions.sty)
Requires: tex(pdftexcmds.sty)
Provides: tex(latexdemo.sty) = %{tl_version}

%description latexdemo
The package provides configurable tools to print out LaTeX code
and the resulting output in the same document. It also supports
printing the result inside a conditional sequence; thus one may
suppress printing if the code would not compile.

%package latexdemo-doc
Summary: Documentation for latexdemo
Version: svn34481.0.1

Provides: tex-latexdemo-doc
AutoReqProv: No

%description latexdemo-doc
Documentation for latexdemo

%package layouts
Provides: tex-layouts = %{tl_version}
License: LPPL 1.3
Summary: Display various elements of a document's layout
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(layouts.sty) = %{tl_version}

%description layouts
Display information about a document, including: text
positioning on a page; disposition of floats; layout of
paragraphs, lists, footnotes, table of contents, and sectional
headings; font boxes. Facilities are provided for a document
designer to experiment with the layout parameters.

%package layouts-doc
Summary: Documentation for layouts
Version: svn42428
Provides: tex-layouts-doc
AutoReqProv: No

%description layouts-doc
Documentation for layouts

%package lazylist
Provides: tex-lazylist = %{tl_version}
License: LPPL 1.2
Summary: Lists in TeX's "mouth"
Version: svn17691.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lazylist.sty) = %{tl_version}

%description lazylist
The package was developed to provide flexible lists, whose
ordering can be altered on the fly. The implementation involves
a pile of lambda-calculus and list-handling macros of an
incredibly obtuse nature. The TUGboat paper serves as a manual
for the macros. Having said all of which, confidence is
enhanced by the knowledge that the TeX code was formally
verified.

%package lazylist-doc
Summary: Documentation for lazylist
Version: svn17691.1.0a

Provides: tex-lazylist-doc
AutoReqProv: No

%description lazylist-doc
Documentation for lazylist

%package lcd
Provides: tex-lcd = %{tl_version}
License: LPPL
Summary: Alphanumerical LCD-style displays
Version: svn16549.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lcd.sty) = %{tl_version}

%description lcd
A LaTeX package that will display text as on an (early) LCD
display (the output is very visibly pixellated). Assumes 8-bit
input in its internal verbatim-style environment.

%package lcd-doc
Summary: Documentation for lcd
Version: svn16549.0.3

Provides: tex-lcd-doc
AutoReqProv: No

%description lcd-doc
Documentation for lcd

%package lcg
Provides: tex-lcg = %{tl_version}
License: LPPL
Summary: Generate random integers
Version: svn31474.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(lcg.sty) = %{tl_version}

%description lcg
The lcg package generates random numbers (integers) via a
linear congruential generator (Schrage's method). The random
numbers are written to a counter. The keyval package is used
for the user to provide values for the range and a seed, and
for the name of the counter to be used.

%package lcg-doc
Summary: Documentation for lcg
Version: svn31474.1.3

Provides: tex-lcg-doc
AutoReqProv: No

%description lcg-doc
Documentation for lcg

%package leading
Provides: tex-leading = %{tl_version}
License: LPPL
Summary: Define leading with a length
Version: svn15878.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Provides: tex(leading.sty) = %{tl_version}

%description leading
The package defines a command \leading, whose argument is a
<length> that specifies the nominal distance between
consecutive baselines of typeset text. The command replaces the
rather more difficult LaTeX command \linespread{<ratio>}, where
the leading is specified by reference to the font size.

%package leading-doc
Summary: Documentation for leading
Version: svn15878.0.3

Provides: tex-leading-doc
AutoReqProv: No

%description leading-doc
Documentation for leading

%package leaflet
Provides: tex-leaflet = %{tl_version}
License: LPPL
Summary: Create small handouts (flyers)
Version: svn43523
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etex.sty)
Requires: tex(everyshi.sty)
Requires: tex(calc.sty)
Requires: tex(graphicx.sty)
Requires: tex(pifont.sty)
Provides: tex(leaflet.cls) = %{tl_version}

%description leaflet
A document class to create small hand-outs (flyers) that fit on
a single sheet of paper which is then folded twice. Pages are
rearranged by LaTeX so that they print correctly on a single
sheet -- no external script is necessary. (Works with
PostScript and PDF.) This is a complete reimplementation with
permission of the original author Jurgen Schlegelmilch.

%package leaflet-doc
Summary: Documentation for leaflet
Version: svn43523
Provides: tex-leaflet-doc
AutoReqProv: No

%description leaflet-doc
Documentation for leaflet

%package leftidx
Provides: tex-leftidx = %{tl_version}
License: LPPL
Summary: Left and right subscripts and superscripts in math mode
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(leftidx.sty) = %{tl_version}

%description leftidx
Left and right subscripts and superscripts are automatically
raised for better fitting to the symbol they belong to.

%package leftidx-doc
Summary: Documentation for leftidx
Version: svn15878.0

Provides: tex-leftidx-doc
AutoReqProv: No

%description leftidx-doc
Documentation for leftidx

%package lengthconvert
Provides: tex-lengthconvert = %{tl_version}
License: LPPL 1.3
Summary: Express lengths in arbitrary units
Version: svn30867.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Provides: tex(lengthconvert.sty) = %{tl_version}

%description lengthconvert
The package provides a command to convert a length to any of a
large selection of units. The package relies on the LaTeX 3
programming environment.

%package lengthconvert-doc
Summary: Documentation for lengthconvert
Version: svn30867.1.0a

Provides: tex-lengthconvert-doc
AutoReqProv: No

%description lengthconvert-doc
Documentation for lengthconvert

%package lettre
Provides: tex-lettre = %{tl_version}
License: LPPL 1.3
Summary: Letters and faxes in French
Version: svn44950
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Provides: tex(lettre.cls) = %{tl_version}

%description lettre
Developed from the ancestor of the standard letter class, at
the Observatoire de Geneve.

%package lettre-doc
Summary: Documentation for lettre
Version: svn44950
Provides: tex-lettre-doc
AutoReqProv: No

%description lettre-doc
Documentation for lettre

%package lettrine
Provides: tex-lettrine = %{tl_version}
License: LPPL 1.3
Summary: Typeset dropped capitals
Version: svn38268.1.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(lettrine.cfg) = %{tl_version}
Provides: tex(lettrine.sty) = %{tl_version}

%description lettrine
The lettrine package supports various dropped capitals styles,
typically those described in the French typographic books. In
particular, it has facilities for the paragraph text's left
edge to follow the outline of capitals that have a regular
shape (such as "A" and "V").

%package lettrine-doc
Summary: Documentation for lettrine
Version: svn38268.1.9

Provides: tex-lettrine-doc
AutoReqProv: No

%description lettrine-doc
Documentation for lettrine

%package lewis
Provides: tex-lewis = %{tl_version}
License: Public Domain
Summary: Draw Lewis structures
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lewis.sty) = %{tl_version}

%description lewis
The package provides rudimentary support for drawing Lewis
Structures. Support is limited to elements that support the
octet rule.

%package lewis-doc
Summary: Documentation for lewis
Version: svn15878.0.1

Provides: tex-lewis-doc
AutoReqProv: No

%description lewis-doc
Documentation for lewis

%package lhelp
Provides: tex-lhelp = %{tl_version}
License: GPL+
Summary: Miscellaneous helper packages
Version: svn23638.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Requires: tex(color.sty)
Provides: tex(lhelp.sty) = %{tl_version}

%description lhelp
This package defines macros which are useful for many
documents. It is a large collection of simple 'little helpers'
which do not really warrant a separate package on their own.
Included are, among other things, definitions of common units
with preceeding thinspaces, framed boxes where both width and
height can be specified, starting new odd or even pages, draft
markers, notes, conditional includes, including EPS files, and
versions of enumerate and itemize which allow the horizontal
and vertical spacing to be changed.

%package lhelp-doc
Summary: Documentation for lhelp
Version: svn23638.2.0

Provides: tex-lhelp-doc
AutoReqProv: No

%description lhelp-doc
Documentation for lhelp

%package libgreek
Provides: tex-libgreek = %{tl_version}
License: LPPL 1.3
Summary: Use Libertine or Biolinum Greek glyphs in mathematics
Version: svn27789.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(libgreek.sty) = %{tl_version}

%description libgreek
The package is for LaTeX users who wish to use the Libertine or
Biolinum font for the Greek letters in math mode. It is not
necessary to load the libertine package itself, but of course
the Linux-Libertine/Biolinum fonts and LaTeX support files must
have been installed.

%package libgreek-doc
Summary: Documentation for libgreek
Version: svn27789.1.0

Provides: tex-libgreek-doc
AutoReqProv: No

%description libgreek-doc
Documentation for libgreek

%package limap
Provides: tex-limap = %{tl_version}
License: LPPL
Summary: Typeset maps and blocks according to the Information Mapping method
Version: svn44863
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(longtable.sty)
Requires: tex(booktabs.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(limap.cls) = %{tl_version}
Provides: tex(limap.sty) = %{tl_version}

%description limap
The Information Mapping method provides a methodology for
structuring and presenting information. It claims to be useful
for readers who are more concerned about finding the right
information than reading the document as a whole. Thus short,
highly structured, and context free pieces of information are
used. A LaTeX style and a LaTeX class are provided. The style
contains definitions to typeset maps and blocks according to
the Information Mapping method. The class provides all
definitions to typeset a whole document.

%package linegoal
Provides: tex-linegoal = %{tl_version}
License: LPPL 1.3
Summary: A "dimen" that returns the space left on the line
Version: svn21523.2.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(zref.sty)
Requires: tex(zref-savepos.sty)
Provides: tex(linegoal.sty) = %{tl_version}

%description linegoal
The linegoal package provides a macro \linegoal to be used with
\setlength: \setlength<some dimen>\linegoal will set <some
dimen> to the horizontal length of the remainder of the line.
This is achieved using the \pdfsavepos primitive of pdftex,
through the zref-savepos package. Example: Some text:
\begin{tabularx}\linegoal{|l|X|} \hline one & two \\ three &
four \\\hline \end{tabularx} will position the table after the
initial text, and make the table fill the rest of the line.

%package linegoal-doc
Summary: Documentation for linegoal
Version: svn21523.2.9

Provides: tex-linegoal-doc
AutoReqProv: No

%description linegoal-doc
Documentation for linegoal

%package lipsum
Provides: tex-lipsum = %{tl_version}
License: LPPL
Summary: Easy access to the Lorem Ipsum dummy text
Version: svn34800.v1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lipsum.sty) = %{tl_version}

%description lipsum
This package gives you easy access to the Lorem Ipsum dummy
text; an option is available to separate the paragraphs of the
dummy text into TeX-paragraphs. All the paragraphs are taken
with permission from http://lipsum.com/.

%package lipsum-doc
Summary: Documentation for lipsum
Version: svn34800.v1.3

Provides: tex-lipsum-doc
AutoReqProv: No

%description lipsum-doc
Documentation for lipsum

%package lisp-on-tex
Provides: tex-lisp-on-tex = %{tl_version}
License: BSD
Summary: Execute LISP code in a LaTeX document
Version: svn38722

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lisp-arith.sty) = %{tl_version}
Provides: tex(lisp-gc.sty) = %{tl_version}
Provides: tex(lisp-latexutil.sty) = %{tl_version}
Provides: tex(lisp-mod-fpnum.sty) = %{tl_version}
Provides: tex(lisp-mod-l3regex.sty) = %{tl_version}
Provides: tex(lisp-on-tex.sty) = %{tl_version}
Provides: tex(lisp-prim.sty) = %{tl_version}
Provides: tex(lisp-read.sty) = %{tl_version}
Provides: tex(lisp-simple-alloc.sty) = %{tl_version}
Provides: tex(lisp-string.sty) = %{tl_version}
Provides: tex(lisp-util.sty) = %{tl_version}

%description lisp-on-tex
The package provides a LISP interpreter written using TeX
macros; it is provided as a LaTeX package. The interpreter
static scoping, dynamic typing, and eager evaluation.

%package lisp-on-tex-doc
Summary: Documentation for lisp-on-tex
Version: svn38722

Provides: tex-lisp-on-tex-doc
AutoReqProv: No

%description lisp-on-tex-doc
Documentation for lisp-on-tex

%package listing
Provides: tex-listing = %{tl_version}
License: LPPL
Summary: Produce formatted program listings
Version: svn17373.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(listing.sty) = %{tl_version}

%description listing
The listing environment is provided and is similar to figure
and table, although it is not a floating environment. Includes
support for \caption, \label, \ref, and introduces
\listoflistings, \listingname, \listlistingname. It produces a
.lol file. It does not change \@makecaption (unless the option
bigcaptions is used), so packages that change the layout of
\caption still work.

%package listing-doc
Summary: Documentation for listing
Version: svn17373.1.2

Provides: tex-listing-doc
AutoReqProv: No

%description listing-doc
Documentation for listing

%package listlbls
Provides: tex-listlbls = %{tl_version}
License: LPPL 1.3
Summary: Creates a list of all labels used throughout a document
Version: svn34893.1.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(translations.sty)
Provides: tex(listlbls.sty) = %{tl_version}

%description listlbls
The package aims to help a LaTeX author to keep track of all
defined labels by typesetting a complete list of labels
wherever the author requests it. (Of course, the user may need
to have additional LaTeX runs to get the references right. )
This package is based on an answer David Carlisle gave on
TeX/Stackexchange in the thread 'List of all labels with
hyperlinks'.

%package listlbls-doc
Summary: Documentation for listlbls
Version: svn34893.1.03

Provides: tex-listlbls-doc
AutoReqProv: No

%description listlbls-doc
Documentation for listlbls

%package listliketab
Provides: tex-listliketab = %{tl_version}
License: LPPL
Summary: Typeset lists as tables
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(array.sty)
Provides: tex(listliketab.sty) = %{tl_version}

%description listliketab
The listliketab package helps the user make list-like tabulars,
i.e., a tabular that is indistinguishable from an itemize or
enumerate environment. The advantage of using a tabular is that
the user can add additional columns to each entry in the list.

%package listliketab-doc
Summary: Documentation for listliketab
Version: svn15878.0

Provides: tex-listliketab-doc
AutoReqProv: No

%description listliketab-doc
Documentation for listliketab

%package listofsymbols
Provides: tex-listofsymbols = %{tl_version}
License: LPPL
Summary: Create and manipulate lists of symbols
Version: svn16134.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(nomencl.sty)
Requires: tex(xspace.sty)
Provides: tex(listofsymbols.sty) = %{tl_version}

%description listofsymbols
Listofsymbols provides commands to automatically create a list
of symbols (also called notation or nomenclature), and to
handle symbols logically, i.e. define a macro that is expanded
to the desired output and use the macro in the text rather than
`hardcoding' the output into the text. This helps to ensure
consistency throughout the text, especially if there is a
chance that symbols will be changed at some stage. The package
is more or less a combination of what the packages nomencl and
formula do. The concept of creating the list of symbols,
though, is different from the way nomencl.sty does it.

%package listofsymbols-doc
Summary: Documentation for listofsymbols
Version: svn16134.0.2

Provides: tex-listofsymbols-doc
AutoReqProv: No

%description listofsymbols-doc
Documentation for listofsymbols

%package lkproof
Provides: tex-lkproof = %{tl_version}
License: GPL+
Summary: LK Proof figure macros
Version: svn20021.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(proof.sty) = %{tl_version}

%description lkproof
The package defines a pair of commands \infer and \deduce, that
are used in constructing LK proof diagrams.

%package lkproof-doc
Summary: Documentation for lkproof
Version: svn20021.3.1

Provides: tex-lkproof-doc
AutoReqProv: No

%description lkproof-doc
Documentation for lkproof

%package lmake
Provides: tex-lmake = %{tl_version}
License: LPPL 1.2
Summary: Process lists to do repetitive actions
Version: svn25552.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lmake.sty) = %{tl_version}

%description lmake
The package provides commands to simplify processing of
sequential list-like structures, such as making a series of
'similar' commands from a list of names.

%package lmake-doc
Summary: Documentation for lmake
Version: svn25552.1.0

Provides: tex-lmake-doc
AutoReqProv: No

%description lmake-doc
Documentation for lmake

%package locality
Provides: tex-locality = %{tl_version}
License: LPPL 1.3
Summary: Various macros for keeping things local
Version: svn20422.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Provides: tex(locality.sty) = %{tl_version}

%description locality
A toolbox of macros designed to allow the LaTeX programmer to
work around some of the restrictions of the TeX grouping
mechanisms. The present release offers a preliminary view of
the package; not all of its facilities are working optimally

%package locality-doc
Summary: Documentation for locality
Version: svn20422.0.2

Provides: tex-locality-doc
AutoReqProv: No

%description locality-doc
Documentation for locality

%package localloc
Provides: tex-localloc = %{tl_version}
License: Bibtex
Summary: Macros for localizing TeX register allocations
Version: svn21934.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(localloc.sty) = %{tl_version}

%description localloc
This package approaches the problem of the shortage of
registers, by providing a mechanism for local allocation. The
package works with Plain TeX, LaTeX and LaTeX 2.09.

%package localloc-doc
Summary: Documentation for localloc
Version: svn21934.0

Provides: tex-localloc-doc
AutoReqProv: No

%description localloc-doc
Documentation for localloc

%package logbox
Provides: tex-logbox = %{tl_version}
License: LPPL 1.3
Summary: e-TeX showbox facilities for exploration purposes
Version: svn24499.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(logbox.sty) = %{tl_version}

%description logbox
The command \logbox does \showbox without stopping the
compilation. The package's main command is \viewbox*: the box
is typeset (copied) with its dimensions, and its contents are
logged in the .log file.

%package logbox-doc
Summary: Documentation for logbox
Version: svn24499.1.0

Provides: tex-logbox-doc
AutoReqProv: No

%description logbox-doc
Documentation for logbox

%package logical-markup-utils
Provides: tex-logical-markup-utils = %{tl_version}
License: GPLv3+
Summary: Packages for language-dependent inline quotes and dashes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(onedash.sty) = %{tl_version}
Provides: tex(quoted.sty) = %{tl_version}

%description logical-markup-utils
The bundle contains two packages: quoted, for inserting
quotation marks; and onedash, for inserting dashes. Each
package takes a language name as an option; accepted language
options are american, british, german and polish.

%package logical-markup-utils-doc
Summary: Documentation for logical-markup-utils
Version: svn15878.0

Provides: tex-logical-markup-utils-doc
AutoReqProv: No

%description logical-markup-utils-doc
Documentation for logical-markup-utils

%package logpap
Provides: tex-logpap = %{tl_version}
License: LPPL
Summary: Generate logarithmic graph paper with LaTeX
Version: svn15878.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(color.sty)
Provides: tex(logpap.sty) = %{tl_version}

%description logpap
The logpap package provides four macros for drawing logarithmic-
logarithmic, logarithmic-linear, linear-logarithmic and
(because it was easy to implement) linear-linear graph paper
with LaTeX.

%package logpap-doc
Summary: Documentation for logpap
Version: svn15878.0.6

Provides: tex-logpap-doc
AutoReqProv: No

%description logpap-doc
Documentation for logpap

%package longfigure
Provides: tex-longfigure = %{tl_version}
License: LPPL 1.3
Summary: Provides a figure-like environment that break over pages
Version: svn34302.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(tocloft.sty)
Provides: tex(longfigure.sty) = %{tl_version}

%description longfigure
The longfigure package uses and relabels components of the well-
known longtable package, written by David Carlisle, to provide
a table-like environment that can display a stream of figures
as a single figure that can break across pages.

%package longfigure-doc
Summary: Documentation for longfigure
Version: svn34302.1.0

Provides: tex-longfigure-doc
AutoReqProv: No

%description longfigure-doc
Documentation for longfigure

%package longnamefilelist
Provides: tex-longnamefilelist = %{tl_version}
License: LPPL 1.3
Summary: Tidy \listfiles with long file names
Version: svn27889.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(myfilist.sty)
Provides: tex(longnamefilelist.sty) = %{tl_version}

%description longnamefilelist
The package equips LaTeX's \listfiles command with an optional
argument for the number of characters in the longest base
filename. This way you get a neatly aligned file list even when
it contains files whose base names have more than 8 characters.
The package can be combined with the myfilist package as
explained in the documentation.

%package longnamefilelist-doc
Summary: Documentation for longnamefilelist
Version: svn27889.0.2

Provides: tex-longnamefilelist-doc
AutoReqProv: No

%description longnamefilelist-doc
Documentation for longnamefilelist

%package loops
Provides: tex-loops = %{tl_version}
License: LPPL 1.3
Summary: General looping macros for use with LaTeX
Version: svn30704.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(skeyval.sty)
Provides: tex(loops.sty) = %{tl_version}

%description loops
The package provides efficient looping macros for processing
both csv (separated-values) and nsv/tsv (non-separated values)
lists. CSV lists which have associated parsers may be processed
with the tools of the package.

%package loops-doc
Summary: Documentation for loops
Version: svn30704.1.3

Provides: tex-loops-doc
AutoReqProv: No

%description loops-doc
Documentation for loops

%package lsc
Provides: tex-lsc = %{tl_version}
License: LPPL
Summary: Typesetting Live Sequence Charts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Provides: tex(lsc.sty) = %{tl_version}

%description lsc
This package is similar to the msc package in that it provides
macros for typesetting a variant of sequence diagrams, in this
case the Live Sequence Charts of Damm and Harel. The package
supports the full LSC language of the original LSC paper, the
Klose-extensions for formal verification and some of the Harel-
extensions for the Play-In/Play-Out approach (cf. the manual).

%package lsc-doc
Summary: Documentation for lsc
Version: svn15878.0

Provides: tex-lsc-doc
AutoReqProv: No

%description lsc-doc
Documentation for lsc

%package lstaddons
Provides: tex-lstaddons = %{tl_version}
License: LPPL 1.3
Summary: Add-on packages for listings: autogobble and line background
Version: svn26196.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(listings.sty)
Requires: tex(xcolor.sty)
Provides: tex(lstautogobble.sty) = %{tl_version}
Provides: tex(lstlinebgrd.sty) = %{tl_version}

%description lstaddons
The bundle contains a small collection of add-on packages for
the listings package. Current packages are: lstlinebgrd: colour
the background of some or all lines of a listing; and
lstautogobble: set the standard "gobble" option to the indent
of the first line of the code.

%package lstaddons-doc
Summary: Documentation for lstaddons
Version: svn26196.0.1

Provides: tex-lstaddons-doc
AutoReqProv: No

%description lstaddons-doc
Documentation for lstaddons

%package lt3graph
Provides: tex-lt3graph = %{tl_version}
License: LPPL 1.3
Summary: Provide a graph datastructure for experimental LaTeX3
Version: svn42874
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(filecontents.sty)
Requires: tex(xparse.sty)
Requires: tex(etoolbox.sty)
Requires: tex(withargs.sty)
Requires: tex(xcolor.sty)
Requires: tex(mdframed.sty)
Requires: tex(marginnote.sty)
Requires: tex(listings.sty)
Requires: tex(textcomp.sty)
Requires: tex(hyperref.sty)
Requires: tex(needspace.sty)
Requires: tex(noindentafter.sty)
Requires: tex(ifthen.sty)
Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Provides: tex(lt3graph-dry.sty) = %{tl_version}
Provides: tex(lt3graph-packagedoc.cls) = %{tl_version}
Provides: tex(lt3graph.sty) = %{tl_version}

%description lt3graph
The package defines a 'graph' data structure, for use in
documents that are using the experimental LaTeX 3 syntax.

%package lt3graph-doc
Summary: Documentation for lt3graph
Version: svn42874
Provides: tex-lt3graph-doc
AutoReqProv: No

%description lt3graph-doc
Documentation for lt3graph

%package ltablex
Provides: tex-ltablex = %{tl_version}
License: LPPL
Summary: Table package extensions
Version: svn34923.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(longtable.sty)
Requires: tex(tabularx.sty)
Provides: tex(ltablex.sty) = %{tl_version}

%description ltablex
Modifies the tabularx environment to combine the features of
the tabularx package (auto-sized columns in a fixed width
table) with those of the longtable package (multi-page tables).

%package ltablex-doc
Summary: Documentation for ltablex
Version: svn34923.1.1

Provides: tex-ltablex-doc
AutoReqProv: No

%description ltablex-doc
Documentation for ltablex

%package ltabptch
Provides: tex-ltabptch = %{tl_version}
License: LPPL
Summary: Bug fix for longtable
Version: svn17533.1.74d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(longtable.sty)
Provides: tex(ltabptch.sty) = %{tl_version}

%description ltabptch
A patch for LaTeX bugs tools/3180 and tools/3480. The patch
applies to version 4.11 of longtable.

%package ltabptch-doc
Summary: Documentation for ltabptch
Version: svn17533.1.74d

Provides: tex-ltabptch-doc
AutoReqProv: No

%description ltabptch-doc
Documentation for ltabptch

%package ltxdockit
Provides: tex-ltxdockit = %{tl_version}
License: LPPL
Summary: Documentation support
Version: svn21869.1.2d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(multicol.sty)
Requires: tex(keyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(hyperref.sty)
Requires: tex(hypcap.sty)
Requires: tex(listings.sty)
Requires: tex(color.sty)
Requires: tex(xspace.sty)
Requires: tex(ifpdf.sty)
Provides: tex(btxdockit.sty) = %{tl_version}
Provides: tex(ltxdockit.cfg) = %{tl_version}
Provides: tex(ltxdockit.cls) = %{tl_version}
Provides: tex(ltxdockit.def) = %{tl_version}
Provides: tex(ltxdockit.sty) = %{tl_version}

%description ltxdockit
This bundle, consisting of a simple wrapper class and some
packages, forms a small LaTeX/BibTeX documentation kit; the
author uses it for some of his own packages. The package is not
supported: users should not attempt its use unless they are
capable of dealing with problems unaided. (The actual purpose
of releasing the package is to make it possible for third
parties to compile the documentation of other packages, should
that be necessary.)

%package ltxdockit-doc
Summary: Documentation for ltxdockit
Version: svn21869.1.2d

Provides: tex-ltxdockit-doc
AutoReqProv: No

%description ltxdockit-doc
Documentation for ltxdockit

%package ltxindex
Provides: tex-ltxindex = %{tl_version}
License: GPL+
Summary: A LaTeX package to typeset indices with GNU's Texindex
Version: svn15878.0.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(multicol.sty)
Provides: tex(ltxindex.sty) = %{tl_version}

%description ltxindex
A LaTeX package that allows the user to make indexes with GNU's
Texindex program, instead of makeindex. It provides the
indexing commands available in Texinfo by default, but only
defines the concept index (cp) by default -- the user must
define other standard indexes, and there is no provision for
custom indexes. The package is not currently maintained.

%package ltxindex-doc
Summary: Documentation for ltxindex
Version: svn15878.0.1c

Provides: tex-ltxindex-doc
AutoReqProv: No

%description ltxindex-doc
Documentation for ltxindex

%package ltxkeys
Provides: tex-ltxkeys = %{tl_version}
License: LPPL
Summary: A robust key parser for LaTeX
Version: svn28332.0.0.3c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(catoptions.sty)
Provides: tex(ltxkeys.sty) = %{tl_version}

%description ltxkeys
The package provides facilities for creating and managing keys
in the sense of the keyval and xkeyval packages, but it is
intended to be more robust and faster. Its robustness comes
from its ability to preserve braces in key values throughout
parsing. The need to preserve braces in key values arises often
in parsing keys (for example, in the xwatermark package). The
package is faster than xkeyval package because (among other
things) it avoids character-wise parsing of key values (called
"selective sanitization" by the xkeyval package). The package
also provides functions for defining and managing keys.

%package ltxkeys-doc
Summary: Documentation for ltxkeys
Version: svn28332.0.0.3c

Provides: tex-ltxkeys-doc
AutoReqProv: No

%description ltxkeys-doc
Documentation for ltxkeys

%package ltxnew
Provides: tex-ltxnew = %{tl_version}
License: LPPL 1.3
Summary: A simple means of creating commands
Version: svn21586.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Provides: tex(ltxnew.sty) = %{tl_version}

%description ltxnew
The package ltxnew provides \new, \renew and \provide prefixes
for checking definitions. It is designed to work with e-TeX
distributions of LaTeX and relies on the LaTeX internal macro
\@ifdefinable. Local allocation of counters, dimensions, skips,
muskips, boxes, tokens and marks are provided by the etex
package. \new and \renew as well as \provide may be used for
all kind of control sequences. Please refer to the section
"Using \new" of the PDF documentation.

%package ltxnew-doc
Summary: Documentation for ltxnew
Version: svn21586.1.3

Provides: tex-ltxnew-doc
AutoReqProv: No

%description ltxnew-doc
Documentation for ltxnew

%package ltxtools
Provides: tex-ltxtools = %{tl_version}
License: LPPL 1.3
Summary: A collection of LaTeX API macros
Version: svn24897.0.0.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(catoptions.sty)
Requires: tex(atveryend.sty)
Requires: tex(ltxkeys.sty)
Requires: tex(fp.sty)
Provides: tex(ltxtools-base.sty) = %{tl_version}
Provides: tex(ltxtools-doc.sty) = %{tl_version}
Provides: tex(ltxtools-environ.sty) = %{tl_version}
Provides: tex(ltxtools-incluput.sty) = %{tl_version}
Provides: tex(ltxtools-index.sty) = %{tl_version}
Provides: tex(ltxtools-review.sty) = %{tl_version}
Provides: tex(ltxtools-trace.sty) = %{tl_version}
Provides: tex(ltxtools.sty) = %{tl_version}

%description ltxtools
This is a bundle of macros that the author uses in the coding
of others of his macro files.

%package ltxtools-doc
Summary: Documentation for ltxtools
Version: svn24897.0.0.1a

Provides: tex-ltxtools-doc
AutoReqProv: No

%description ltxtools-doc
Documentation for ltxtools

%package macroswap
Provides: tex-macroswap = %{tl_version}
License: LPPL 1.2
Summary: Swap the definitions of two LaTeX macros
Version: svn31498.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(macroswap.sty) = %{tl_version}

%description macroswap
The package provides simple utility methods to swap the meaning
(token expansion) of two macros by name.

%package macroswap-doc
Summary: Documentation for macroswap
Version: svn31498.1.1

Provides: tex-macroswap-doc
AutoReqProv: No

%description macroswap-doc
Documentation for macroswap

%package magaz
Provides: tex-magaz = %{tl_version}
License: Copyright only
Summary: Magazine layout
Version: svn24694.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(magaz.sty) = %{tl_version}

%description magaz
The current version does special formatting for the first line
of text in a paragraph. The package is part of a larger body of
tools which remain in preparation.

%package magaz-doc
Summary: Documentation for magaz
Version: svn24694.0.4

Provides: tex-magaz-doc
AutoReqProv: No

%description magaz-doc
Documentation for magaz

%package mailing
Provides: tex-mailing = %{tl_version}
License: LPPL
Summary: Macros for mail merging
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mailing.sty) = %{tl_version}

%description mailing
This package is for use when sending a large number of letters,
all with the same body text. The package's \addressfile command
is used to specify who the letter is to be sent to; the body of
the \mailingtext command specifies the text of the letters,
possibly using macros defined in the \addressfile.

%package mailing-doc
Summary: Documentation for mailing
Version: svn15878.0

Provides: tex-mailing-doc
AutoReqProv: No

%description mailing-doc
Documentation for mailing

%package mailmerge
Provides: tex-mailmerge = %{tl_version}
License: LPPL 1.2
Summary: Repeating text field substitution
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(mailmerge.sty) = %{tl_version}

%description mailmerge
The package mailmerge provides an interface to produce text
from a template, where fields are replaced by actual data, as
in a database. The package may be used to produce several
letters from a template, certificates or other such documents.
It allows access to the entry number, number of entries and so
on.

%package mailmerge-doc
Summary: Documentation for mailmerge
Version: svn15878.1.0

Provides: tex-mailmerge-doc
AutoReqProv: No

%description mailmerge-doc
Documentation for mailmerge

%package makebarcode
Provides: tex-makebarcode = %{tl_version}
License: LPPL
Summary: Print various kinds 2/5 and Code 39 bar codes
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Provides: tex(makebarcode.sty) = %{tl_version}

%description makebarcode
The package contains macros for printing various 2/5 bar codes
and Code 39 bar codes. The macros do not use fonts but create
the bar codes directly using vertical rules. It is therefore
possible to vary width to height ratio, ratio of thin and thick
bars. The package is therefore convenient for printing ITF bar
codes as well as bar codes for identification labels for HP
storage media.

%package makebarcode-doc
Summary: Documentation for makebarcode
Version: svn15878.1.0

Provides: tex-makebarcode-doc
AutoReqProv: No

%description makebarcode-doc
Documentation for makebarcode

%package makebox
Provides: tex-makebox = %{tl_version}
License: LPPL
Summary: Defines a \makebox* command
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(makebox.sty) = %{tl_version}

%description makebox
Define a \makebox* command that does the same as a \makebox
command, except that the width is given by a sample text
instead of an explicit length measure.

%package makebox-doc
Summary: Documentation for makebox
Version: svn15878.0.1

Provides: tex-makebox-doc
AutoReqProv: No

%description makebox-doc
Documentation for makebox

%package makecell
Provides: tex-makecell = %{tl_version}
License: LPPL
Summary: Tabular column heads and multilined cells
Version: svn15878.0.1e

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Provides: tex(makecell.sty) = %{tl_version}

%description makecell
This package supports common layouts for tabular column heads
in whole documents, based on one-column tabular environment. In
addition, it can create multi-lined tabular cells. The Package
also offers: a macro which changes the vertical space around
all the cells in a tabular environment (similar to the function
of the tabls package, but using the facilities of the array)
macros for multirow cells, which use the facilities of the
multirow package; macros to number rows in tables, or to skip
cells; diagonally divided cells; horizontal lines in tabular
environments with defined thickness.

%package makecell-doc
Summary: Documentation for makecell
Version: svn15878.0.1e

Provides: tex-makecell-doc
AutoReqProv: No

%description makecell-doc
Documentation for makecell

%package makecirc
Provides: tex-makecirc = %{tl_version}
License: LPPL
Summary: A MetaPost library for drawing electrical circuit diagrams
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description makecirc
MakeCirc is a MetaPost library that contains diverse symbols
for use in circuit diagrams. MakeCirc offers a high quality
tool, with a simple syntax. MakeCirc is completely integrated
with LaTeX documents and with other MetaPost drawing/graphic.
Its output is a PostScript file. MakeCirc only requires (La)TeX
and MetaPost to work.

%package makecirc-doc
Summary: Documentation for makecirc
Version: svn15878.0

Provides: tex-makecirc-doc
AutoReqProv: No

%description makecirc-doc
Documentation for makecirc

%package makecmds
Provides: tex-makecmds = %{tl_version}
License: LPPL
Summary: The new \makecommand command always (re)defines a command
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(makecmds.sty) = %{tl_version}

%description makecmds
The package provides a \makecommand command, which is like
\(re)newcommand except it always (re)defines a command. There
is also \makeenvironment and \provideenvironment for
environments.

%package makecmds-doc
Summary: Documentation for makecmds
Version: svn15878.0

Provides: tex-makecmds-doc
AutoReqProv: No

%description makecmds-doc
Documentation for makecmds

%package makeglos
Provides: tex-makeglos = %{tl_version}
License: GPL+
Summary: Include a glossary into a document
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(makeglos.sty) = %{tl_version}

%description makeglos
The package provides the means to include a glossary into a
document. The glossary is prepared by an external program, such
as xindy or makeindex, in the same way that an index is made.

%package makeglos-doc
Summary: Documentation for makeglos
Version: svn15878.0

Provides: tex-makeglos-doc
AutoReqProv: No

%description makeglos-doc
Documentation for makeglos

%package mandi
Provides: tex-mandi = %{tl_version}
License: LPPL 1.3
Summary: Macros for introductory physics and astronomy
Version: svn41598
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(array.sty)
Requires: tex(cancel.sty)
Requires: tex(xcolor.sty)
Requires: tex(environ.sty)
Requires: tex(esint.sty)
Requires: tex(esvect.sty)
Requires: tex(etoolbox.sty)
Requires: tex(filehook.sty)
Requires: tex(extarrows.sty)
Requires: tex(fontenc.sty)
Requires: tex(graphicx.sty)
Requires: tex(epstopdf.sty)
Requires: tex(textcomp.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(listings.sty)
Requires: tex(mdframed.sty)
Requires: tex(suffix.sty)
Requires: tex(xargs.sty)
Requires: tex(xparse.sty)
Requires: tex(xspace.sty)
Requires: tex(ifthen.sty)
Requires: tex(calligra.sty)
Requires: tex(hyperref.sty)
Provides: tex(mandi.sty) = %{tl_version}

%description mandi
The package contains commands for students and teachers of
introductory physics. Commands for physical quantities
intelligently handle SI units so the user need not do so. There
are other features that should make LaTeX easy for introductory
physics students.

%package mandi-doc
Summary: Documentation for mandi
Version: svn41598
Provides: tex-mandi-doc
AutoReqProv: No

%description mandi-doc
Documentation for mandi

%package manfnt
Provides: tex-manfnt = %{tl_version}
License: LPPL
Summary: LaTeX support for the TeX book symbols
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(manfnt.sty) = %{tl_version}

%description manfnt
A LaTeX package for easy access to the symbols of the Knuth's
'manual' font, such as the Dangerous Bend and Manual-errata
Arrow.

%package manuscript
Provides: tex-manuscript = %{tl_version}
License: LPPL
Summary: Emulate look of a document typed on a typewriter
Version: svn36110.1.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(setspace.sty)
Requires: tex(fontenc.sty)
Requires: tex(ragged2e.sty)
Requires: tex(soul.sty)
Requires: tex(fullpage.sty)
Provides: tex(manuscript.sty) = %{tl_version}

%description manuscript
This package is designed for those who have to submit
dissertations, etc., to institutions that still maintain the
typewriter is the summit of non-professional printing.

%package manuscript-doc
Summary: Documentation for manuscript
Version: svn36110.1.7

Provides: tex-manuscript-doc
AutoReqProv: No

%description manuscript-doc
Documentation for manuscript

%package marginfix
Provides: tex-marginfix = %{tl_version}
License: LPPL
Summary: Patch \marginpar to avoid overfull margins
Version: svn31598.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(marginfix.sty) = %{tl_version}

%description marginfix
Authors using LaTeX to typeset books with significant margin
material often run into the problem of long notes running off
the bottom of the page. A typical workaround is to insert
\vshift commands by hand, but this is a tedious process that is
invalidated when pagination changes. Another workaround is
memoir's \sidebar function, but this can be unsatisfying for
short textual notes, and standard marginpars cannot be mixed
with sidebars. This package implements a solution to make
marginpars "just work" by keeping a list of floating inserts
and arranging them intelligently in the output routine.

%package marginfix-doc
Summary: Documentation for marginfix
Version: svn31598.1.1

Provides: tex-marginfix-doc
AutoReqProv: No

%description marginfix-doc
Documentation for marginfix

%package marginnote
Provides: tex-marginnote = %{tl_version}
License: LPPL
Summary: Notes in the margin, even where \marginpar fails
Version: svn43979
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(marginnote.sty) = %{tl_version}

%description marginnote
This package provides the command \marginnote that may be used
instead of \marginpar at almost every place where \marginpar
cannot be used, e.g., inside floats, footnotes, or in frames
made with the framed package.

%package marginnote-doc
Summary: Documentation for marginnote
Version: svn43979
Provides: tex-marginnote-doc
AutoReqProv: No

%description marginnote-doc
Documentation for marginnote

%package mathalfa
Provides: tex-mathalfa = %{tl_version}
License: LPPL 1.3
Summary: General package for loading maths alphabets in LaTeX
Version: svn43332
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Provides: tex(mathalfa.sty) = %{tl_version}

%description mathalfa
The package provides means of loading maths alphabets (such as
are normally addressed via macros \mathcal, \mathbb, \mathfrak
and \mathscr), offering various features normally missing in
existing packages for this job.

%package mathalfa-doc
Summary: Documentation for mathalfa
Version: svn43332
Provides: tex-mathalfa-doc
AutoReqProv: No

%description mathalfa-doc
Documentation for mathalfa

%package mathastext
Provides: tex-mathastext = %{tl_version}
License: LPPL 1.3
Summary: Use the text font in maths mode
Version: svn42447
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(mathastext.sty) = %{tl_version}

%description mathastext
The package uses a text font (usually the document's text font)
for the letters of the Latin alphabet needed when typesetting
mathematics. (Optionally, other characters in the font may also
be used). This facility makes possible (for a document with
simple mathematics) a far wider choice of text font, with
little worry that no specially designed accompanying maths
fonts are available. The package also offers a simple mechanism
for using many different choices of (text hence, now, maths)
font in the same document. Of course, using one font for two
purposes helps produce smaller PDF files. The package, running
under LuaTeX, requires the TeX live 2013 distribution (or
later).

%package mathastext-doc
Summary: Documentation for mathastext
Version: svn42447
Provides: tex-mathastext-doc
AutoReqProv: No

%description mathastext-doc
Documentation for mathastext

%package mathexam
Provides: tex-mathexam = %{tl_version}
License: LPPL
Summary: Package for typesetting exams
Version: svn15878.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyhdr.sty)
Requires: tex(lastpage.sty)
Requires: tex(ifthen.sty)
Provides: tex(mathexam.sty) = %{tl_version}

%description mathexam
The package can help you typeset exams (mostly in mathematics
and related disciplines where students are required to show
their calculations followed by one or more short answers). It
provides commands for inclusion of space for calculations, as
well as commands for automatic creation of "answer spaces". In
addition, the package will automatically create page headers
and footers, and will let you include instructions and space
for students to put their name.

%package mathexam-doc
Summary: Documentation for mathexam
Version: svn15878.1.00

Provides: tex-mathexam-doc
AutoReqProv: No

%description mathexam-doc
Documentation for mathexam

%package maybemath
Provides: tex-maybemath = %{tl_version}
License: LPPL
Summary: Make math bold or italic according to context
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(bm.sty)
Provides: tex(maybemath.sty) = %{tl_version}

%description maybemath
The \maybebm and \maybeit macros can be used in maths
expressions to make the arguments typeset as bold or italic
respectively if the surrounding context is appropriate. They
are useful for writing user macros for use in general contexts.
\maybebm is especially appropriate when section titles contain
math expressions, since the title will appear bold but the
header and table of contents usually replicate the title in
normal width. It uses the bm package to make things bold
\maybeit performs a similar role to \mathrm{} but the maths
expression will be italicised if the surrounding text is.
\maybeitsubscript is provided to shift subscripts to the left
if the expression is italicised.

%package maybemath-doc
Summary: Documentation for maybemath
Version: svn15878.0

Provides: tex-maybemath-doc
AutoReqProv: No

%description maybemath-doc
Documentation for maybemath

%package mbenotes
Provides: tex-mbenotes = %{tl_version}
License: LPPL 1.2
Summary: Notes in tables or images
Version: svn31813.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(xcolor.sty)
Provides: tex(mbenotes.sty) = %{tl_version}

%description mbenotes
The package defines a command \tabnote, which stores notes for
later processing by the command \thetabnotes, and a
corresponding \imgnote for images. The package is derived from
mechanisms in the package endnotes.

%package mbenotes-doc
Summary: Documentation for mbenotes
Version: svn31813.2

Provides: tex-mbenotes-doc
AutoReqProv: No

%description mbenotes-doc
Documentation for mbenotes

%package mcaption
Provides: tex-mcaption = %{tl_version}
License: LPPL
Summary: Put captions in the margin
Version: svn15878.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(changepage.sty)
Provides: tex(mcaption.sty) = %{tl_version}

%description mcaption
The mcaption package provides an mcaption environment which
puts figure or table captions in the margin. The package works
with the standard classes and with the KOMA-Script document
classes scrartcl, scrreprt and scrbook. The package requires
the changepage package.

%package mcaption-doc
Summary: Documentation for mcaption
Version: svn15878.3.0

Provides: tex-mcaption-doc
AutoReqProv: No

%description mcaption-doc
Documentation for mcaption

%package mceinleger
Provides: tex-mceinleger = %{tl_version}
License: GPL+
Summary: Creating covers for music cassettes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mceinleger.sty) = %{tl_version}

%description mceinleger
A package for creating MC-covers on your own. It allows the
creation of simple covers as well as covers with an additional
page for more information about the cassette (table of contents
e.g.). The rotating package is required.

%package mceinleger-doc
Summary: Documentation for mceinleger
Version: svn15878.0

Provides: tex-mceinleger-doc
AutoReqProv: No

%description mceinleger-doc
Documentation for mceinleger

%package mcite
Provides: tex-mcite = %{tl_version}
License: GPL+
Summary: Multiple items in a single citation
Version: svn18173.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mcite.sty) = %{tl_version}

%description mcite
The mcite package allows the user to collapse multiple
citations into one, as is customary in physics journals. The
package requires a customised BibTeX style for its work; the
documentation explains how to do that customisation.

%package mcite-doc
Summary: Documentation for mcite
Version: svn18173.1.6

Provides: tex-mcite-doc
AutoReqProv: No

%description mcite-doc
Documentation for mcite

%package mciteplus
Provides: tex-mciteplus = %{tl_version}
License: LPPL
Summary: Enhanced multiple citations
Version: svn31648.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mciteplus.sty) = %{tl_version}

%description mciteplus
The mciteplus LaTeX package is an enhanced reimplementation of
Thorsten Ohl's mcite package which provides support for the
grouping of multiple citations together as is often done in
physics journals. An extensive set of features provide for
other applications such as reference sublisting.

%package mciteplus-doc
Summary: Documentation for mciteplus
Version: svn31648.1.2

Provides: tex-mciteplus-doc
AutoReqProv: No

%description mciteplus-doc
Documentation for mciteplus

%package mdframed
Provides: tex-mdframed = %{tl_version}
License: LPPL
Summary: Framed environments that can split at page boundaries
Version: svn31075.1.9b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(etoolbox.sty)
Requires: tex(geometry.sty)
Requires: tex(selinput.sty)
Requires: tex(fontenc.sty)
Requires: tex(beramono.sty)
Requires: tex(microtype.sty)
Requires: tex(fontspec.sty)
Requires: tex(csquotes.sty)
Requires: tex(xspace.sty)
Requires: tex(multicol.sty)
Requires: tex(scrpage2.sty)
Requires: tex(enumitem.sty)
Requires: tex(amsmath.sty)
Requires: tex(listings.sty)
Requires: tex(ntheorem.sty)
Requires: tex(array.sty)
Requires: tex(booktabs.sty)
Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Requires: tex(graphicx.sty)
Requires: tex(hypdoc.sty)
Requires: tex(showframe.sty)
Requires: tex(lipsum.sty)
Requires: tex(kantlipsum.sty)
Requires: tex(kvoptions.sty)
Requires: tex(zref-abspage.sty)
Requires: tex(needspace.sty)
Requires: tex(color.sty)
Provides: tex(ltxmdf.cls) = %{tl_version}
Provides: tex(mdframed.sty) = %{tl_version}

%description mdframed
The package develops the facilities of framed in providing
breakable framed and coloured boxes. The user may instruct the
package to perform its operations using default LaTeX commands,
PStricks or TikZ.

%package mdframed-doc
Summary: Documentation for mdframed
Version: svn31075.1.9b

Provides: tex-mdframed-doc
AutoReqProv: No

%description mdframed-doc
Documentation for mdframed

%package media9
Provides: tex-media9 = %{tl_version}
License: LPPL 1.3
Summary: Multimedia inclusion package with Adobe Reader-9/X compatibility
Version: svn45432
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(l3regex.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(ifpdf.sty)
Requires: tex(atbegshi.sty)
Requires: tex(atenddvi.sty)
Requires: tex(tikz.sty)
Requires: tex(pdftexcmds.sty)
Provides: tex(media9.sty) = %{tl_version}
Provides: texlive-movie15 = svn26473.0.obsolete
Obsoletes: texlive-movie15 <= svn26473.0

%description media9
The package provides an interface to embed interactive Flash
(SWF) and 3D objects (Adobe U3D & PRC), as well as video and
sound files or streams in the popular MP4, FLV and MP3 formats
into PDF documents with Acrobat-9/X compatibility. Playback of
multimedia files uses the built-in Flash Player of Adobe Reader
and does, therefore, not depend on external plug-ins. Flash
Player supports the efficient H.264 codec for video
compression. The package is based on the RichMedia Annotation,
an Adobe addition to the PDF specification. It replaces the now
obsolete movie15 package.

%package media9-doc
Summary: Documentation for media9
Version: svn45432
Provides: tex-media9-doc
AutoReqProv: No
Provides: texlive-movie15-doc = svn26473.0.obsolete
Obsoletes: texlive-movie15-doc <= svn26473.0

%description media9-doc
Documentation for media9

%package medstarbeamer
Provides: tex-medstarbeamer = %{tl_version}
License: LPPL 1.3
Summary: Beamer document class for MedStar Health Research Institute
Version: svn38828

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(anysize.sty)
Requires: tex(hyperref.sty)
Requires: tex(graphicx.sty)
Requires: tex(pgf.sty)
Requires: tex(xcolor.sty)
Requires: tex(booktabs.sty)
Requires: tex(soul.sty)
Requires: tex(background.sty)
Requires: tex(cancel.sty)
Requires: tex(amsmath.sty)
Requires: tex(enumerate.sty)
Provides: tex(medstarbeamer.cls) = %{tl_version}

%description medstarbeamer
This is a beamer template for MedStar Health presentations. It
includes sample presentations using both .tex files and .rnw
files. The document class is obviously compatible with both.
The advantage of the .rnw file is that it can be used with
knitr such that you can weave your R code with your
presentation.

%package medstarbeamer-doc
Summary: Documentation for medstarbeamer
Version: svn38828

Provides: tex-medstarbeamer-doc
AutoReqProv: No

%description medstarbeamer-doc
Documentation for medstarbeamer

%package meetingmins
Provides: tex-meetingmins = %{tl_version}
License: LPPL 1.3
Summary: Format written minutes of meetings
Version: svn31878.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(fontenc.sty)
Requires: tex(lmodern.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(enumitem.sty)
Requires: tex(mathabx.sty)
Requires: tex(xstring.sty)
Requires: tex(environ.sty)
Provides: tex(meetingmins.cls) = %{tl_version}

%description meetingmins
The class allows formatting of meeting minutes using \section
commands (which provide hierarchical structure). An agenda can
also be produced for distribution prior to the meeting, with
user-selected portions suppressed from printing.

%package meetingmins-doc
Summary: Documentation for meetingmins
Version: svn31878.1.6

Provides: tex-meetingmins-doc
AutoReqProv: No

%description meetingmins-doc
Documentation for meetingmins

%package memexsupp
Provides: tex-memexsupp = %{tl_version}
License: LPPL
Summary: Experimental memoir support
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(memexsupp.sty) = %{tl_version}

%description memexsupp
A package of code proposed as supporting material for memoir.
The package is intended as a test bed for such code, which may
in the fullness of time be adopted into the main memoir
release.

%package memexsupp-doc
Summary: Documentation for memexsupp
Version: svn15878.0.1

Provides: tex-memexsupp-doc
AutoReqProv: No

%description memexsupp-doc
Documentation for memexsupp

%package memory
Provides: tex-memory = %{tl_version}
License: LPPL 1.3
Summary: Containers for data in LaTeX
Version: svn30452.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(memory.sty) = %{tl_version}

%description memory
The package allows the user to declare single object or array
containers.

%package memory-doc
Summary: Documentation for memory
Version: svn30452.1.2

Provides: tex-memory-doc
AutoReqProv: No

%description memory-doc
Documentation for memory

%package menu
Provides: tex-menu = %{tl_version}
License: LPPL
Summary: Typesetting menus
Version: svn15878.0.994

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(bbding.sty)
Requires: tex(fancybox.sty)
Requires: tex(color.sty)
Provides: tex(menu.sty) = %{tl_version}

%description menu
The package defines command \menu which assists typesetting of
a path through a program's menu.

%package menu-doc
Summary: Documentation for menu
Version: svn15878.0.994

Provides: tex-menu-doc
AutoReqProv: No

%description menu-doc
Documentation for menu

%package menukeys
Provides: tex-menukeys = %{tl_version}
License: LPPL 1.2
Summary: Format menu sequences, paths and keystrokes from lists
Version: svn41823
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xparse.sty)
Requires: tex(xstring.sty)
Requires: tex(etoolbox.sty)
Requires: tex(tikz.sty)
Requires: tex(xcolor.sty)
Requires: tex(adjustbox.sty)
Requires: tex(relsize.sty)
Requires: tex(catoptions.sty)
Requires: tex(kvoptions.sty)
Provides: tex(menukeys.sty) = %{tl_version}

%description menukeys
The package allows easy input and formatting of menu sequences,
using menus set with commands such as \menu{Extras > Settings >
General}, paths using a command like
\path{macros/latex/contrib/menukeys} and short cuts such as
\keys{\ctrl + C}. The output is highly configurable by
providing different styles and colour themes.

%package menukeys-doc
Summary: Documentation for menukeys
Version: svn41823
Provides: tex-menukeys-doc
AutoReqProv: No

%description menukeys-doc
Documentation for menukeys

%package method
Provides: tex-method = %{tl_version}
License: LPPL
Summary: Typeset method and variable declarations
Version: svn17485.2.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(method.sty) = %{tl_version}

%description method
The package supports typesetting of programming language method
and variable declarations. It supports declarations in German,
French and English.

%package method-doc
Summary: Documentation for method
Version: svn17485.2.0b

Provides: tex-method-doc
AutoReqProv: No

%description method-doc
Documentation for method

%package metre
Provides: tex-metre = %{tl_version}
License: LPPL
Summary: Support for the work of classicists
Version: svn18489.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(relsize.sty)
Provides: tex(metre.sty) = %{tl_version}

%description metre
The package provides classicists with some of the tools that
are needed for typesetting scholarly publications dealing with
Greek and Latin texts, with special emphasis on Greek verse. As
the package's name suggests, its core is a comprehensive set of
commands for generating metrical schemes and for placing
prosodical marks on text set in the Latin or the Greek
alphabet. The rest of the package provides a miscellany of
commands for symbols (most of them not directly related to
metre) that are often used in critical editions of classical
texts. The package does not require any special font: all
symbols are taken from the Computer Modern fonts (which are
included in all TeX distributions) and the package's commands
are based on TeX primitives.

%package metre-doc
Summary: Documentation for metre
Version: svn18489.1.0

Provides: tex-metre-doc
AutoReqProv: No

%description metre-doc
Documentation for metre

%package mfirstuc
Provides: tex-mfirstuc = %{tl_version}
License: LPPL 1.3
Summary: Uppercase the first letter of a word
Version: svn41785
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Provides: tex(mfirstuc-english.sty) = %{tl_version}
Provides: tex(mfirstuc.sty) = %{tl_version}

%description mfirstuc
The package provides commands \makefirstuc that uppercases the
first letter in its argument, and \xmakefirstuc which expands
the argument before uppercasing.

%package mfirstuc-doc
Summary: Documentation for mfirstuc
Version: svn41785
Provides: tex-mfirstuc-doc
AutoReqProv: No

%description mfirstuc-doc
Documentation for mfirstuc

%package mftinc
Provides: tex-mftinc = %{tl_version}
License: LPPL
Summary: Pretty-print Metafont source
Version: svn15878.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(rawfonts.sty)
Requires: tex(keyval.sty)
Requires: tex(chngpage.sty)
Requires: tex(lineno.sty)
Provides: tex(mftinc.sty) = %{tl_version}

%description mftinc
The mft program pretty-prints Metafont source code into a TeX
file. The mftinc package facilitates incorporating such files
into a LaTeX2e document. In addition, mftinc provides routines
for improved comment formatting and for typesetting font
tables.

%package mftinc-doc
Summary: Documentation for mftinc
Version: svn15878.1.0a

Provides: tex-mftinc-doc
AutoReqProv: No

%description mftinc-doc
Documentation for mftinc

%package midpage
Provides: tex-midpage = %{tl_version}
License: LPPL
Summary: Environment for vertical centring
Version: svn17484.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(midpage.sty) = %{tl_version}

%description midpage
The environment will centre text, if immediately preceded and
followed by \clearpage.

%package midpage-doc
Summary: Documentation for midpage
Version: svn17484.1.1a

Provides: tex-midpage-doc
AutoReqProv: No

%description midpage-doc
Documentation for midpage

%package minibox
Provides: tex-minibox = %{tl_version}
License: LPPL
Summary: A simple type of box for LaTeX
Version: svn30914.0.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Provides: tex(minibox.sty) = %{tl_version}

%description minibox
This small package provides a convenient input syntax for boxes
that don't break their text over lines automatically, but do
allow manual line breaks. The boxes shrink to the natural width
of the longest line they contain.

%package minibox-doc
Summary: Documentation for minibox
Version: svn30914.0.2a

Provides: tex-minibox-doc
AutoReqProv: No

%description minibox-doc
Documentation for minibox

%package minifp
Provides: tex-minifp = %{tl_version}
License: LPPL 1.3
Summary: Fixed-point real computations to 8 decimals
Version: svn32559.0.96

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mfpextra.tex) = %{tl_version}
Provides: tex(minifp.sty) = %{tl_version}

%description minifp
The package provides basic arithmetic operations to 8 decimal
places for plain TeX or LaTeX. Results are exact when they fit
within the digit limits. Along with the basic package is an
optional extension that adds computation of sin, cos, log,
sqrt, exp, powers and angles. These are also exact when
theoretically possible and are otherwise accurate to at least 7
decimal places. In addition, the package provides a stack-based
programing environment.

%package minifp-doc
Summary: Documentation for minifp
Version: svn32559.0.96

Provides: tex-minifp-doc
AutoReqProv: No

%description minifp-doc
Documentation for minifp

%package minipage-marginpar
Provides: tex-minipage-marginpar = %{tl_version}
License: LPPL
Summary: Minipages with marginal notes
Version: svn15878.v0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(minipage-marginpar.sty) = %{tl_version}
Provides: tex(mpgmpar.sty) = %{tl_version}

%description minipage-marginpar
This package allows \marginpar-commands inside of minipages and
other boxes. (It takes another approach than marginnote by
Markus Kohm: it saves all \marginpar-commands and typesets them
outside (i.e., after) the box.) The package defines an
environment minipagewithmarginpars (to be used like minipage)--
and the internal commands may be used by other packages to
define similar environments or commands.

%package minipage-marginpar-doc
Summary: Documentation for minipage-marginpar
Version: svn15878.v0.2

Provides: tex-minipage-marginpar-doc
AutoReqProv: No

%description minipage-marginpar-doc
Documentation for minipage-marginpar

%package minitoc
Provides: tex-minitoc = %{tl_version}
License: LPPL 1.3
Summary: Produce a table of contents for each chapter, part or section
Version: svn37852.61

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(mtcpatchmem.sty)
Requires: tex(flafter.sty)
Requires: tex(placeins.sty)
Requires: tex(notoccite.sty)
Provides: tex(minitoc.sty) = %{tl_version}
Provides: tex(mtcmess.sty) = %{tl_version}
Provides: tex(mtcoff.sty) = %{tl_version}
Provides: tex(mtcpatchmem.sty) = %{tl_version}

%description minitoc
The minitoc package allows you to add mini-tables-of-contents
(minitocs) at the beginning of every chapter, part or section.
There is also provision for mini-lists of figures and of
tables. At the part level, they are parttocs, partlofs and
partlots. If the type of document does not use chapters, the
basic provision is section level secttocs, sectlofs and
sectlots. The package has provision for language-specific
configuration of its own "fixed names", using .mld files
(analagous to babel .ldf files that do that job for LaTeX"s own
fixed names).

%package minitoc-doc
Summary: Documentation for minitoc
Version: svn37852.61

Provides: tex-minitoc-doc
AutoReqProv: No

%description minitoc-doc
Documentation for minitoc

%package minorrevision
Provides: tex-minorrevision = %{tl_version}
License: LPPL 1.2
Summary: Quote and refer to a manuscript for minor revisions
Version: svn32165.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(lineno.sty)
Requires: tex(xr.sty)
Provides: tex(minorrevision.sty) = %{tl_version}

%description minorrevision
The package supports those who publish articles in peer-
reviewed journals. In the final stages of the review process,
the authors typically have to provide an additional document
(such as a letter to the editors), in which they provide a list
of modifications that they made to the manuscript. The package
automatically provides line numbers and quotations from the
manuscript, for this letter. The package loads the package
lineno, so (in effect) shares lineno's incompatibilities.

%package minorrevision-doc
Summary: Documentation for minorrevision
Version: svn32165.1.1

Provides: tex-minorrevision-doc
AutoReqProv: No

%description minorrevision-doc
Documentation for minorrevision

%package minted
Provides: tex-minted = %{tl_version}
License: LPPL 1.3
Summary: Highlighted source code for LaTeX
Version: svn44855
Requires: texlive-base
Requires: %{_bindir}/pygmentize
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(kvoptions.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(fvextra.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(ifplatform.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xstring.sty)
Requires: tex(lineno.sty)
Requires: tex(xcolor.sty)
Requires: tex(framed.sty)
Requires: tex(newfloat.sty)
Provides: tex(minted.sty) = %{tl_version}
Provides: tex(minted1.sty) = %{tl_version}

%description minted
The package that facilitates expressive syntax highlighting in
LaTeX using the powerful Pygments library. The package also
provides options to customize the highlighted source code
output using fancyvrb.

%package minted-doc
Summary: Documentation for minted
Version: svn44855
Provides: tex-minted-doc
AutoReqProv: No

%description minted-doc
Documentation for minted

%package minutes
Provides: tex-minutes = %{tl_version}
License: LPPL
Summary: Typeset the minutes of meetings
Version: svn42186
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(multicol.sty)
Requires: tex(xspace.sty)
Requires: tex(url.sty)
Requires: tex(minitoc.sty)
Requires: tex(keyval.sty)
Provides: tex(minutes.sty) = %{tl_version}

%description minutes
Supports the creation of a collection of minutes. Features
include: Support of tasks (who, schedule, what, time of
finishing; possibility of creating a list of open tasks;
inclusion of open tasks from other minutes; Support for
attachments; Support of schedule dates (in planning: support
for the calendar package); Different versions ('secret parts');
and Macros for votes and decisions (list of decisions). Support
for minutes in German, Dutch and English is provided.

%package minutes-doc
Summary: Documentation for minutes
Version: svn42186
Provides: tex-minutes-doc
AutoReqProv: No

%description minutes-doc
Documentation for minutes

%package mla-paper
Provides: tex-mla-paper = %{tl_version}
License: LPPL
Summary: Proper MLA formatting
Version: svn20885.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mla.sty) = %{tl_version}

%description mla-paper
The package formats articles using the MLA style. The aim is
that students and other academics in the humanities should be
able to typeset their materials, properly, with minimal effort
on their part.

%package mla-paper-doc
Summary: Documentation for mla-paper
Version: svn20885.0

Provides: tex-mla-paper-doc
AutoReqProv: No

%description mla-paper-doc
Documentation for mla-paper

%package mlist
Provides: tex-mlist = %{tl_version}
License: LPPL
Summary: Logical markup for lists
Version: svn15878.0.6a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(ifmtarg.sty)
Provides: tex(mlist.cfg) = %{tl_version}
Provides: tex(mlist.sty) = %{tl_version}

%description mlist
The package defines commands that create macros for typesetting
vectors, matrices and functions, in a logical way. For example,
logical indexing can then be used to refer to elements or
arguments without hard-coding the symbols in the document.

%package mlist-doc
Summary: Documentation for mlist
Version: svn15878.0.6a

Provides: tex-mlist-doc
AutoReqProv: No

%description mlist-doc
Documentation for mlist

%package mmap
Provides: tex-mmap = %{tl_version}
License: LPPL
Summary: Include CMap resources in PDF files from PDFTeX
Version: svn15878.1.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(cmap.sty)
Requires: tex(ifpdf.sty)
Provides: tex(mmap.sty) = %{tl_version}

%description mmap
The package is an extension of cmap with improved flexibility
and coverage, including the ability to re-encode Knuth's basic
mathematics fonts.

%package mmap-doc
Summary: Documentation for mmap
Version: svn15878.1.03

Provides: tex-mmap-doc
AutoReqProv: No

%description mmap-doc
Documentation for mmap

%package mnotes
Provides: tex-mnotes = %{tl_version}
License: LPPL 1.3
Summary: Margin annotation for collaborative writing
Version: svn35521.0.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(color.sty)
Requires: tex(sidenotes.sty)
Requires: tex(marginnote.sty)
Requires: tex(tikz.sty)
Requires: tex(ifoddpage.sty)
Provides: tex(mnotes.sty) = %{tl_version}

%description mnotes
The package provides a flexible mechanism for annotating, and
commenting upon, collaboratively-written documents.

%package mnotes-doc
Summary: Documentation for mnotes
Version: svn35521.0.8

Provides: tex-mnotes-doc
AutoReqProv: No

%description mnotes-doc
Documentation for mnotes

%package moderncv
Provides: tex-moderncv = %{tl_version}
License: LPPL 1.3
Summary: A modern curriculum vitae class
Version: svn37992.2.0.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(ifthen.sty)
Requires: tex(xcolor.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontenc.sty)
Requires: tex(lmodern.sty)
Requires: tex(url.sty)
Requires: tex(hyperref.sty)
Requires: tex(graphicx.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(calc.sty)
Requires: tex(xparse.sty)
Requires: tex(microtype.sty)
Requires: tex(moderncvcompatibility.sty)
Requires: tex(tikz.sty)
Requires: tex(changepage.sty)
Requires: tex(fontawesome.sty)
Requires: tex(tgpagella.sty)
Requires: tex(ebgaramond.sty)
Requires: tex(kurier.sty)
Provides: tex(moderncv.cls) = %{tl_version}
Provides: tex(moderncvbodyi.sty) = %{tl_version}
Provides: tex(moderncvbodyii.sty) = %{tl_version}
Provides: tex(moderncvbodyiii.sty) = %{tl_version}
Provides: tex(moderncvbodyiv.sty) = %{tl_version}
Provides: tex(moderncvbodyv.sty) = %{tl_version}
Provides: tex(moderncvcollection.sty) = %{tl_version}
Provides: tex(moderncvcolorblack.sty) = %{tl_version}
Provides: tex(moderncvcolorblue.sty) = %{tl_version}
Provides: tex(moderncvcolorburgundy.sty) = %{tl_version}
Provides: tex(moderncvcolorgreen.sty) = %{tl_version}
Provides: tex(moderncvcolorgrey.sty) = %{tl_version}
Provides: tex(moderncvcolororange.sty) = %{tl_version}
Provides: tex(moderncvcolorpurple.sty) = %{tl_version}
Provides: tex(moderncvcolorred.sty) = %{tl_version}
Provides: tex(moderncvcompatibility.sty) = %{tl_version}
Provides: tex(moderncvdebugtools.sty) = %{tl_version}
Provides: tex(moderncvfooti.sty) = %{tl_version}
Provides: tex(moderncvheadi.sty) = %{tl_version}
Provides: tex(moderncvheadii.sty) = %{tl_version}
Provides: tex(moderncvheadiii.sty) = %{tl_version}
Provides: tex(moderncvheadiv.sty) = %{tl_version}
Provides: tex(moderncvheadv.sty) = %{tl_version}
Provides: tex(moderncvheadvi.sty) = %{tl_version}
Provides: tex(moderncviconsawesome.sty) = %{tl_version}
Provides: tex(moderncviconsletters.sty) = %{tl_version}
Provides: tex(moderncviconsmarvosym.sty) = %{tl_version}
Provides: tex(moderncvstylebanking.sty) = %{tl_version}
Provides: tex(moderncvstylecasual.sty) = %{tl_version}
Provides: tex(moderncvstyleclassic.sty) = %{tl_version}
Provides: tex(moderncvstyleempty.sty) = %{tl_version}
Provides: tex(moderncvstylefancy.sty) = %{tl_version}
Provides: tex(moderncvstyleoldstyle.sty) = %{tl_version}
Provides: tex(tweaklist.sty) = %{tl_version}

%description moderncv
The class provides facilities for typesetting modern
curriculums vitae, both in a classic and in a casual style. It
is fairly customizable, allowing you to define your own style
by changing the colours, the fonts, etc. A number of templates
are provided in the distribution examples subdirectory.

%package moderncv-doc
Summary: Documentation for moderncv
Version: svn37992.2.0.0

Provides: tex-moderncv-doc
AutoReqProv: No

%description moderncv-doc
Documentation for moderncv

%package moderntimeline
Provides: tex-moderntimeline = %{tl_version}
License: LPPL 1.3
Summary: Timelines for use with moderncv
Version: svn38254.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(kvoptions.sty)
Provides: tex(moderntimeline.sty) = %{tl_version}

%description moderntimeline
The package provides commands to configure and to draw time
line diagrams; such diagrams are designed to fit into
Curriculum Vitae documents written using the moderncv class.

%package moderntimeline-doc
Summary: Documentation for moderntimeline
Version: svn38254.0.9

Provides: tex-moderntimeline-doc
AutoReqProv: No

%description moderntimeline-doc
Documentation for moderntimeline

%package modref
Provides: tex-modref = %{tl_version}
License: LPPL
Summary: Customisation of cross-references in LaTeX
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Provides: tex(modref.sty) = %{tl_version}

%description modref
The package contains macros which allow authors to easily
customise how cross-references appear in their document, both
in general (across all cross-references) and for particular
types of references (identified by a prefix in the reference
label), in a very generic manner.

%package modref-doc
Summary: Documentation for modref
Version: svn15878.1.0

Provides: tex-modref-doc
AutoReqProv: No

%description modref-doc
Documentation for modref

%package modroman
Provides: tex-modroman = %{tl_version}
License: LPPL
Summary: Write numbers in lower case roman numerals
Version: svn29803.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(etoolbox.sty)
Provides: tex(modroman.sty) = %{tl_version}

%description modroman
This package provides only two macros viz. \modromannumeral
which writes the number given as argument in lower case roman
numeral with a 'j' instead of a 'i' as the final letter of
numbers greater than 1 and \modroman{MyCounter} which writes
the value of a counter in the same way. You use the first in
the same way as the TeX primitive \romannumeral and the second
as LaTeX command \roman. The default option is 'vpourv' with
which 5 is 'translated' as 'v' and option 'upourv' whith which
the same 5 is given as 'u'.

%package modroman-doc
Summary: Documentation for modroman
Version: svn29803.1

Provides: tex-modroman-doc
AutoReqProv: No

%description modroman-doc
Documentation for modroman

%package monofill
Provides: tex-monofill = %{tl_version}
License: LPPL 1.3
Summary: Alignment of plain text
Version: svn28140.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(monofill.sty) = %{tl_version}

%description monofill
The package provides horizontal alignment, as in the LaTeX
command \listfiles (or the author's longnamefilelist package).
Uses may include in-text tables, or even code listings.

%package monofill-doc
Summary: Documentation for monofill
Version: svn28140.0.2

Provides: tex-monofill-doc
AutoReqProv: No

%description monofill-doc
Documentation for monofill

%package moreenum
Provides: tex-moreenum = %{tl_version}
License: LPPL 1.3
Summary: More enumeration options
Version: svn24479.1.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(alphalph.sty)
Requires: tex(enumitem.sty)
Requires: tex(fmtcount.sty)
Provides: tex(moreenum.sty) = %{tl_version}

%description moreenum
The package provides the following new enumerate styles: \greek
for lowercase Greek letters; \Greek for uppercase Greek
letters; \enumHex for uppercase hexadecimal enumeration;
\enumhex for lowercase hexadecimal enumeration; \enumbinary for
binary enumeration; \enumoctal for octal enumeration; \levelnth
for "1st", "2nd", "3rd" etc., with the "nth"s on the baseline;
raisenth for "1st", "2nd", "3rd" etc., with the "nth"s raised;
\nthwords for "first", "second", "third" etc.; \Nthwords for
"First", "Second", "Third" etc.; \NTHWORDS for "FIRST",
"SECOND", "THIRD" etc.; \nwords for "one", "two", "three" etc.;
\Nwords for "One", "Two", "Three" etc.; and \NWORDS for "ONE",
"TWO", "THREE" etc. Each of these works with enumitem's
"starred variant" feature. So
\begin{enumerate}[label=\enumhex*] will output a hex enumerated
list. Enumitem provides a start=0 option for starting your
enumerations at 0. The package requires amsmath, alphalph,
enumitem (of course), binhex and nth, all of which are widely
available.

%package moreenum-doc
Summary: Documentation for moreenum
Version: svn24479.1.03

Provides: tex-moreenum-doc
AutoReqProv: No

%description moreenum-doc
Documentation for moreenum

%package morefloats
Provides: tex-morefloats = %{tl_version}
License: LPPL 1.3
Summary: Increase the number of simultaneous LaTeX floats
Version: svn37927.1.0h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(ifetex.sty)
Provides: tex(morefloats.sty) = %{tl_version}

%description morefloats
LaTeX can, by default, only cope with 18 outstanding floats;
any more, and you get the error "too many unprocessed floats".
This package releases the limit; TeX itself imposes limits
(which are independent of the help offered by e-TeX). However,
if your floats can't be placed anywhere, extending the number
of floats merely delays the arrival of the inevitable error
message.

%package morefloats-doc
Summary: Documentation for morefloats
Version: svn37927.1.0h

Provides: tex-morefloats-doc
AutoReqProv: No

%description morefloats-doc
Documentation for morefloats

%package morehype
Provides: tex-morehype = %{tl_version}
License: LPPL 1.3
Summary: Hypertext tools for use with LaTeX
Version: svn38815

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fifinddo.sty)
Requires: tex(dowith.sty)
Requires: tex(markblog.sty)
Requires: tex(langcode.sty)
Provides: tex(blog.sty) = %{tl_version}
Provides: tex(blogdot.cfg) = %{tl_version}
Provides: tex(blogdot.sty) = %{tl_version}
Provides: tex(blogexec.sty) = %{tl_version}
Provides: tex(blogligs.sty) = %{tl_version}
Provides: tex(hypertoc.sty) = %{tl_version}
Provides: tex(lnavicol.sty) = %{tl_version}
Provides: tex(markblog.sty) = %{tl_version}
Provides: tex(texlinks.sty) = %{tl_version}

%description morehype
The bundle provides three packages: texlinks: shorthand macros
for TeX-related external hyperlinks with hyperref, the blog
package in the present bundle, etc; hypertoc: adjust the
presentation of coloured frames in hyperref tables of contents
(article class only); blog: fast generation of simple HTML by
expanding LaTeX macros, using the fifinddo package.

%package morehype-doc
Summary: Documentation for morehype
Version: svn38815

Provides: tex-morehype-doc
AutoReqProv: No

%description morehype-doc
Documentation for morehype

%package moresize
Provides: tex-moresize = %{tl_version}
License: LPPL
Summary: Allows font sizes up to 35.83pt
Version: svn17513.1.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(moresize.sty) = %{tl_version}

%description moresize
A package for using font sizes up to 35.88pt, for example with
the EC fonts. New commands \HUGE and \ssmall for selecting font
sizes are provided together with some options working around
current LaTeX2e shortcomings in using big font sizes. The
package also provides options for improving the typesetting of
paragraphs (or headlines) with embedded math expressions at
font sizes above 17.28pt.

%package moresize-doc
Summary: Documentation for moresize
Version: svn17513.1.9

Provides: tex-moresize-doc
AutoReqProv: No

%description moresize-doc
Documentation for moresize

%package moreverb
Provides: tex-moreverb = %{tl_version}
License: LPPL
Summary: Extended verbatim
Version: svn22126.2.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(moreverb.sty) = %{tl_version}

%description moreverb
A collection of verbatim facilities that provide line-numbered
verbatim, verbatim that obey's TAB characters, verbatim input
and verbatim output to file. The package makes use of the LaTeX
required verbatim package. The package formed from a series of
small pieces, and is somewhat unstructured. The user who looks
for thought-through verbatim facilities is advised to consider
using the fancyvrb package in place of moreverb.

%package moreverb-doc
Summary: Documentation for moreverb
Version: svn22126.2.3a

Provides: tex-moreverb-doc
AutoReqProv: No

%description moreverb-doc
Documentation for moreverb

%package morewrites
Provides: tex-morewrites = %{tl_version}
License: LPPL 1.3
Summary: Always room for a new write stream
Version: svn43945
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(atbegshi.sty)
Provides: tex(morewrites.sty) = %{tl_version}
Provides: tex(primargs.sty) = %{tl_version}

%description morewrites
The package aims to solve the error "No room for a new \write",
which occurs when the user, or when the user's packages have
'allocated too many streams using \newwrite (TeX has a fixed
maximum number - 16 - such streams built-in to its code). The
package hooks into TeX primitive commands associated with
writing to files; it should be loaded near the beginning of the
sequence of loading packages for a document. The package uses
the l3kernel bundle.

%package morewrites-doc
Summary: Documentation for morewrites
Version: svn43945
Provides: tex-morewrites-doc
AutoReqProv: No

%description morewrites-doc
Documentation for morewrites

%package mparhack
Provides: tex-mparhack = %{tl_version}
License: GPL+
Summary: Work around a LaTeX bug in marginpars
Version: svn15878.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mparhack.sty) = %{tl_version}

%description mparhack
Works around the LaTeX bug that marginpars will sometimes come
out at the wrong margin.

%package mparhack-doc
Summary: Documentation for mparhack
Version: svn15878.1.4

Provides: tex-mparhack-doc
AutoReqProv: No

%description mparhack-doc
Documentation for mparhack

%package msc
Provides: tex-msc = %{tl_version}
License: LPPL
Summary: Draw MSC diagrams
Version: svn15878.1.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(pstricks.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(pst-node.sty)
Provides: tex(msc.sty) = %{tl_version}

%description msc
The package should be useful to all people that prepare their
texts with LaTeX and want to draw Message Sequence Charts in
their texts. The package is not an MSC editor; it simply takes
a textual description of an MSC and draws the corresponding
MSC. The current version of the MSC macro package supports the
full MSC2000 language.

%package msc-doc
Summary: Documentation for msc
Version: svn15878.1.16

Provides: tex-msc-doc
AutoReqProv: No

%description msc-doc
Documentation for msc

%package msg
Provides: tex-msg = %{tl_version}
License: LPPL
Summary: A package for LaTeX localisation
Version: svn15878.0.40

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(inputenc.sty)
Provides: tex(french_msg-msg.tex) = %{tl_version}
Provides: tex(german_msg-msg.tex) = %{tl_version}
Provides: tex(msg-msg.tex) = %{tl_version}
Provides: tex(msg.sty) = %{tl_version}
Provides: tex(norsk_msg-msg.tex) = %{tl_version}

%description msg
The package is designed to localise any document class or
package. This should be very useful for end-users who could
obtain messages in their own preferred language. It is really
easy to use by writers of other classes and packages.
Volunteers are urged to test the package, report, and even to
localise the message file to their own language. Documentation
is provided in English.

%package msg-doc
Summary: Documentation for msg
Version: svn15878.0.40

Provides: tex-msg-doc
AutoReqProv: No

%description msg-doc
Documentation for msg

%package mslapa
Provides: tex-mslapa = %{tl_version}
License: Public Domain
Summary: Michael Landy's APA citation style
Version: svn17514.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mslapa.sty) = %{tl_version}

%description mslapa
LaTeX and BibTeX style files for a respectably close
approximation to APA (American Psychological Association)
citation and reference style.

%package mslapa-doc
Summary: Documentation for mslapa
Version: svn17514.0

Provides: tex-mslapa-doc
AutoReqProv: No

%description mslapa-doc
Documentation for mslapa

%package mtgreek
Provides: tex-mtgreek = %{tl_version}
License: LPPL
Summary: Use italic and upright greek letters with mathtime
Version: svn17967.1.1+

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mtgreek.sty) = %{tl_version}

%description mtgreek
This package is an add-on to the MathTime a style to provide
TeX support for the use of the MathTime(tm) fonts (formerly
distributed by YandY, Inc.). The MathTime package has uppercase
Greek letters hardwired to be upright and only upright; this
package provides a switch to choose between the two kinds of
Greek uppercase letters.

%package mtgreek-doc
Summary: Documentation for mtgreek
Version: svn17967.1.1+

Provides: tex-mtgreek-doc
AutoReqProv: No

%description mtgreek-doc
Documentation for mtgreek

%package multenum
Provides: tex-multenum = %{tl_version}
License: LPPL
Summary: Multi-column enumerated lists
Version: svn21775.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(multienum.sty) = %{tl_version}

%description multenum
Defines an environment multienumerate, that produces an
enumerated array in which columns are vertically aligned on the
counter. The motivation was lists of answers for a text book,
where there are many rather small items; the multienumerate
environment goes some way to making such lists look neater.

%package multenum-doc
Summary: Documentation for multenum
Version: svn21775.0

Provides: tex-multenum-doc
AutoReqProv: No

%description multenum-doc
Documentation for multenum

%package multiaudience
Provides: tex-multiaudience = %{tl_version}
License: LPPL 1.3
Summary: Several versions of output from the same source
Version: svn38035.1.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(environ.sty)
Provides: tex(multiaudience.sty) = %{tl_version}

%description multiaudience
This package allows to generate several versions of the same
document for different audiences.

%package multiaudience-doc
Summary: Documentation for multiaudience
Version: svn38035.1.03

Provides: tex-multiaudience-doc
AutoReqProv: No

%description multiaudience-doc
Documentation for multiaudience

%package multibbl
Provides: tex-multibbl = %{tl_version}
License: LPPL
Summary: Multiple bibliographies
Version: svn15878.v1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(multibbl.sty) = %{tl_version}

%description multibbl
The package multibbl redefines the standard bibliographic
commands so that one can generate multiple reference sections.
Each section has it own auxiliary file (for use with BibTeX)
and title.

%package multibbl-doc
Summary: Documentation for multibbl
Version: svn15878.v1.1

Provides: tex-multibbl-doc
AutoReqProv: No

%description multibbl-doc
Documentation for multibbl

%package multicap
Provides: tex-multicap = %{tl_version}
License: LPPL
Summary: Format captions inside multicols
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(multicap.sty) = %{tl_version}

%description multicap
This is a package for formatting captions of column figures and
column tabular material, which cannot be standard floats in a
multicols environment. The package also provides a convenient
way to customise your captions, whether they be in multicols or
not.

%package multicap-doc
Summary: Documentation for multicap
Version: svn15878.0

Provides: tex-multicap-doc
AutoReqProv: No

%description multicap-doc
Documentation for multicap

%package multienv
Provides: tex-multienv = %{tl_version}
License: LPPL 1.3
Summary: Multiple environments using a "key=value" syntax
Version: svn26544.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(multienv.sty) = %{tl_version}

%description multienv
The package provides a multienv environment which permits easy
addition of multiple environments using a key=value syntax.
Macros to define environments using this syntax are also
provided.

%package multienv-doc
Summary: Documentation for multienv
Version: svn26544.1.0

Provides: tex-multienv-doc
AutoReqProv: No

%description multienv-doc
Documentation for multienv

%package multiexpand
Provides: tex-multiexpand = %{tl_version}
License: LPPL 1.3
Summary: Variations on the primitive command \expandafter
Version: svn38416

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(multiexpand.sty) = %{tl_version}

%description multiexpand
The package provides two user commands; one that performs
multiple expansions, and one that does multiple \expandafter
operations, in a single macro call. The package requires eTeX's
\numexpr command. The author suggests that the same effect
could be provided by use of the command variant mechanisms of
LaTeX 3 (see, for example, the interface documentation of the
experimental LaTeX 3 kernel).

%package multiexpand-doc
Summary: Documentation for multiexpand
Version: svn38416

Provides: tex-multiexpand-doc
AutoReqProv: No

%description multiexpand-doc
Documentation for multiexpand

%package multirow
Provides: tex-multirow = %{tl_version}
License: LPPL
Summary: Create tabular cells spanning multiple rows
Version: svn42588
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bigdelim.sty) = %{tl_version}
Provides: tex(bigstrut.sty) = %{tl_version}
Provides: tex(multirow.sty) = %{tl_version}

%description multirow
The package has a lot of flexibility, including an option for
specifying an entry at the "natural" width of its text. The
package is distributed with the bigdelim and bigstrut packages,
which can be used to advantage with \multirow cells.

%package multirow-doc
Summary: Documentation for multirow
Version: svn42588
Provides: tex-multirow-doc
AutoReqProv: No

%description multirow-doc
Documentation for multirow

%package mversion
Provides: tex-mversion = %{tl_version}
License: LPPL 1.2
Summary: Keeping track of document versions
Version: svn29370.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mVersion.sty) = %{tl_version}

%description mversion
The package enables the user to keep track of different
versions of a LaTeX document. The command \version prints the
version and build numbers; each time you compile your document,
the build number is increased by one. By placing \version in
the header or footer, each page can be marked with the unique
build number describing the progress of your document.

%package mversion-doc
Summary: Documentation for mversion
Version: svn29370.1.0.1

Provides: tex-mversion-doc
AutoReqProv: No

%description mversion-doc
Documentation for mversion

%package mwe
Provides: tex-mwe = %{tl_version}
License: LPPL 1.3
Summary: Packages and image files for MWEs
Version: svn26422.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(lipsum.sty)
Requires: tex(blindtext.sty)
Provides: tex(example-grid-100x100bp.tex) = %{tl_version}
Provides: tex(example-grid-100x100pt.tex) = %{tl_version}
Provides: tex(example-image-10x16.tex) = %{tl_version}
Provides: tex(example-image-16x10.tex) = %{tl_version}
Provides: tex(example-image-16x9.tex) = %{tl_version}
Provides: tex(example-image-1x1.tex) = %{tl_version}
Provides: tex(example-image-4x3.tex) = %{tl_version}
Provides: tex(example-image-9x16.tex) = %{tl_version}
Provides: tex(example-image-a.tex) = %{tl_version}
Provides: tex(example-image-a3-landscape.tex) = %{tl_version}
Provides: tex(example-image-a3.tex) = %{tl_version}
Provides: tex(example-image-a4-landscape.tex) = %{tl_version}
Provides: tex(example-image-a4.tex) = %{tl_version}
Provides: tex(example-image-a5-landscape.tex) = %{tl_version}
Provides: tex(example-image-a5.tex) = %{tl_version}
Provides: tex(example-image-b.tex) = %{tl_version}
Provides: tex(example-image-c.tex) = %{tl_version}
Provides: tex(example-image-golden-upright.tex) = %{tl_version}
Provides: tex(example-image-golden.tex) = %{tl_version}
Provides: tex(example-image-letter-landscape.tex) = %{tl_version}
Provides: tex(example-image-letter.tex) = %{tl_version}
Provides: tex(example-image.tex) = %{tl_version}
Provides: tex(mwe.sty) = %{tl_version}

%description mwe
The bundle provides several files useful when creating a
minimal working example (MWE). The package itself loads a small
set of packages often used when creating MWEs. In addition, a
range of images are provided, which will be installed in the
TEXMF tree, so that they may be used in any (La)TeX document.
This allows different users to share MWEs which include image
commands, without the need to share image files or to use
replacement code.

%package mwe-doc
Summary: Documentation for mwe
Version: svn26422.0.3

Provides: tex-mwe-doc
AutoReqProv: No

%description mwe-doc
Documentation for mwe

%package mweights
Provides: tex-mweights = %{tl_version}
License: LPPL
Summary: Support for multiple-weight font packages
Version: svn43647
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(mweights.sty) = %{tl_version}

%description mweights
Many font families available for use with LaTeX are available
at multiple weights. Many Type 1-oriented support packages for
such fonts re-define the standard \mddefault or \bfdefault
macros. This can create difficulties if the weight desired for
one font family isn't available for another font family, or if
it differs from the weight desired for another font family. The
package provides a solution to these difficulties.

%package mweights-doc
Summary: Documentation for mweights
Version: svn43647
Provides: tex-mweights-doc
AutoReqProv: No

%description mweights-doc
Documentation for mweights

%package mycv
Provides: tex-mycv = %{tl_version}
License: LPPL 1.3
Summary: A list-driven CV class, allowing TikZ decorations
Version: svn26807.1.5.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(svn-prov.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xstring.sty)
Requires: tex(ifthen.sty)
Requires: tex(babel.sty)
Requires: tex(tikz.sty)
Requires: tex(xparse.sty)
Requires: tex(titlesec.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(xcolor.sty)
Requires: tex(calligra.sty)
Requires: tex(times.sty)
Requires: tex(pifont.sty)
Requires: tex(marvosym.sty)
Requires: tex(amssymb.sty)
Requires: tex(hyperref.sty)
Requires: tex(geometry.sty)
Provides: tex(mycv.cls) = %{tl_version}
Provides: tex(mycv_base.def) = %{tl_version}
Provides: tex(mycv_dec.sty) = %{tl_version}
Provides: tex(mycv_misc.def) = %{tl_version}
Provides: tex(mycv_style.sty) = %{tl_version}
Provides: tex(mycv_version.def) = %{tl_version}

%description mycv
The class provides a set of functionality for writing
"curriculum vitae" with different layouts. The idea is that a
user can write some custom configuration directives, by means
of which is possible both to produce different c.v. layouts and
quickly switch among them. In order to process such directives,
the class uses a set of lists, provided by the package
etextools. Basic support for using TikZ decorations is also
provided.

%package mycv-doc
Summary: Documentation for mycv
Version: svn26807.1.5.6

Provides: tex-mycv-doc
AutoReqProv: No

%description mycv-doc
Documentation for mycv

%package mylatexformat
Provides: tex-mylatexformat = %{tl_version}
License: LPPL 1.3
Summary: Build a format based on the preamble of a LaTeX file
Version: svn21392.3.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description mylatexformat
The use of formats helps to speed up compilations: packages
which have been dumped in the format are loaded at very high
speed. This is useful when a document loads many packages
(including large packages such as pgf-TikZ). The package was
developed from the work in mylatex, and eliminates many of the
limitations and problems of that package.

%package mylatexformat-doc
Summary: Documentation for mylatexformat
Version: svn21392.3.4

Provides: tex-mylatexformat-doc
AutoReqProv: No

%description mylatexformat-doc
Documentation for mylatexformat

%package nag
Provides: tex-nag = %{tl_version}
License: LPPL
Summary: Detecting and warning about obsolete LaTeX commands
Version: svn24741.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nag-abort.cfg) = %{tl_version}
Provides: tex(nag-experimental.cfg) = %{tl_version}
Provides: tex(nag-l2tabu.cfg) = %{tl_version}
Provides: tex(nag-orthodox.cfg) = %{tl_version}
Provides: tex(nag.sty) = %{tl_version}

%description nag
Old habits die hard. All the same, there are commands, classes
and packages which are outdated and superseded. The nag package
provides routines to warn the user about the use of such
obsolete things. As an example, we provide an extension that
detects many of the "sins" described in l2tabu.

%package nag-doc
Summary: Documentation for nag
Version: svn24741.0.7

Provides: tex-nag-doc
AutoReqProv: No

%description nag-doc
Documentation for nag

%package nameauth
Provides: tex-nameauth = %{tl_version}
License: LPPL 1.3
Summary: Name authority mechanism for consistency in body text and index
Version: svn43586
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(trimspaces.sty)
Requires: tex(suffix.sty)
Requires: tex(xargs.sty)
Provides: tex(nameauth.sty) = %{tl_version}

%description nameauth
Publications, that reference many names, require editors and
proofreaders to track those names in the text and index. The
package offers name authority macros that allow authors and
compilers to normalize occurrences of names, variant name
forms, and pen names in the text and index. This may help
minimize writing and production time and cost.

%package nameauth-doc
Summary: Documentation for nameauth
Version: svn43586
Provides: tex-nameauth-doc
AutoReqProv: No

%description nameauth-doc
Documentation for nameauth

%package namespc
Provides: tex-namespc = %{tl_version}
License: LPPL
Summary: Rudimentary C++-like namespaces in LaTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(namespc.sty) = %{tl_version}

%description namespc
The namespc package adds rudimentary C++-like namespace
functionality to LaTeX. It may be used to declare local LaTeX
commands, which can be made accessible in a later contexts
without defining them globally.

%package namespc-doc
Summary: Documentation for namespc
Version: svn15878.0

Provides: tex-namespc-doc
AutoReqProv: No

%description namespc-doc
Documentation for namespc

%package ncclatex
Provides: tex-ncclatex = %{tl_version}
License: LPPL
Summary: An extended general-purpose class
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(afterpackage.sty)
Requires: tex(tocenter.sty)
Requires: tex(dcounter.sty)
Requires: tex(makeidx.sty)
Requires: tex(topsection.sty)
Requires: tex(watermark.sty)
Requires: tex(nccheadings.sty)
Requires: tex(nccbiblist.sty)
Requires: tex(nccfancyhdr.sty)
Requires: tex(multicol.sty)
Requires: tex(desclist.sty)
Requires: tex(extdash.sty)
Requires: tex(nccmath.sty)
Requires: tex(nccsect.sty)
Requires: tex(nccthm.sty)
Requires: tex(nccboxes.sty)
Requires: tex(nccfoots.sty)
Requires: tex(nccpic.sty)
Requires: tex(nccfloats.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(amstext.sty)
Requires: tex(textarea.sty)
Provides: tex(cp1251-light.def) = %{tl_version}
Provides: tex(ncc.cls) = %{tl_version}
Provides: tex(ncc10.clo) = %{tl_version}
Provides: tex(ncc11.clo) = %{tl_version}
Provides: tex(ncc12.clo) = %{tl_version}
Provides: tex(ncc14.clo) = %{tl_version}
Provides: tex(nccart.clo) = %{tl_version}
Provides: tex(nccbiblist.sty) = %{tl_version}
Provides: tex(nccbook.clo) = %{tl_version}
Provides: tex(nccdefaults.sty) = %{tl_version}
Provides: tex(nccfit.clo) = %{tl_version}
Provides: tex(ncchdr.sty) = %{tl_version}
Provides: tex(nccheadings.sty) = %{tl_version}
Provides: tex(nccindex.sty) = %{tl_version}
Provides: tex(ncclatex.sty) = %{tl_version}
Provides: tex(nccltrus.sty) = %{tl_version}
Provides: tex(nccold.sty) = %{tl_version}
Provides: tex(nccproc.cls) = %{tl_version}
Provides: tex(nccsections.sty) = %{tl_version}
Provides: tex(ncctheorems.sty) = %{tl_version}
Provides: tex(ncctitle.clo) = %{tl_version}
Provides: tex(ncctitle.sty) = %{tl_version}
Provides: tex(ncctitlepage.sty) = %{tl_version}
Provides: tex(sibjnm.cls) = %{tl_version}

%description ncclatex
The ncc class provides a framework for a common class to
replace the standard article, book and report classes, and
providing a "preprint" class. The class's extensions are
provided in a number of small packages, some of which may also
be used with the standard classes. The ncclatex package also
loads many of the packages of, and requires the latest version
of the ncctools bundle.

%package ncclatex-doc
Summary: Documentation for ncclatex
Version: svn15878.1.5

Provides: tex-ncclatex-doc
AutoReqProv: No

%description ncclatex-doc
Documentation for ncclatex

%package needspace
Provides: tex-needspace = %{tl_version}
License: LPPL
Summary: Insert pagebreak if not enough space
Version: svn29601.1.3d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(needspace.sty) = %{tl_version}

%description needspace
Provides commands to disable pagebreaking within a given
vertical space. If there is not enough space between the
command and the bottom of the page, a new page will be started.

%package needspace-doc
Summary: Documentation for needspace
Version: svn29601.1.3d

Provides: tex-needspace-doc
AutoReqProv: No

%description needspace-doc
Documentation for needspace

%package nestquot
Provides: tex-nestquot = %{tl_version}
License: BSD
Summary: Alternate quotes between double and single with nesting
Version: svn27323.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nestquot.sty) = %{tl_version}

%description nestquot
Provides two new commands: \nlq and \nrq for nesting left and
right quotes that properly change between double and single
quotes according to their nesting level. For example, the input
\nlq Foo \nlq bar\nrq\ bletch\nrq will be typeset as if it had
been entered as "Foo 'bar' bletch".

%package newcommand-doc
Summary: Documentation for newcommand
Version: svn18704.2.0

Provides: tex-newcommand-doc
AutoReqProv: No

%description newcommand-doc
Documentation for newcommand

%package newenviron
Provides: tex-newenviron = %{tl_version}
License: LPPL 1.3
Summary: Processing an environment's body
Version: svn29331.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(catoptions.sty)
Provides: tex(newenviron.sty) = %{tl_version}

%description newenviron
The package offers tools for collecting and executing an
environment's body.

%package newenviron-doc
Summary: Documentation for newenviron
Version: svn29331.1.0

Provides: tex-newenviron-doc
AutoReqProv: No

%description newenviron-doc
Documentation for newenviron

%package newfile
Provides: tex-newfile = %{tl_version}
License: LPPL
Summary: User level management of LaTeX input and output
Version: svn15878.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(newfile.sty) = %{tl_version}

%description newfile
Commands are defined to manage the limited pool of input and
output handles provided by TeX. The streams so provided are
mapped to various of the LaTeX input and output mechanisms.
Some facilities of the verbatim package are also mapped.

%package newfile-doc
Summary: Documentation for newfile
Version: svn15878.1.0c

Provides: tex-newfile-doc
AutoReqProv: No

%description newfile-doc
Documentation for newfile

%package newlfm
Provides: tex-newlfm = %{tl_version}
License: GPL+
Summary: Write letters, facsimiles, and memos
Version: svn15878.9.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifpdf.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(eso-pic.sty)
Requires: tex(setspace.sty)
Requires: tex(lastpage.sty)
Requires: tex(calc.sty)
Requires: tex(graphicx.sty)
Requires: tex(rotating.sty)
Requires: tex(afterpage.sty)
Requires: tex(envlab.sty)
Provides: tex(addrset.sty) = %{tl_version}
Provides: tex(newlfm.cls) = %{tl_version}
Provides: tex(setdim.sty) = %{tl_version}

%description newlfm
Integrates the letter class with fancyhdr and geometry to
automatically make letterhead stationery. Useful for writing
letters, fax, and memos. You can set up an address book using
'wrapper' macros. You put all the information for a person into
a wrapper and then put the wrapper in a document. The class
handles letterheads automatically. You place the object for the
letterhead (picture, information, etc.) in a box and all sizing
is set automatically.

%package newlfm-doc
Summary: Documentation for newlfm
Version: svn15878.9.4

Provides: tex-newlfm-doc
AutoReqProv: No

%description newlfm-doc
Documentation for newlfm

%package newspaper
Provides: tex-newspaper = %{tl_version}
License: LPPL
Summary: Typeset newsletters to resemble newspapers
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(yfonts.sty)
Provides: tex(newspaper.sty) = %{tl_version}

%description newspaper
The newspaper package redefines the page style and \maketitle
command to produce a typeset page similar to that of a
newspaper. It also provides several commands that (when used
with other packages) simplify the writing of articles in a
newspaper-style column format.

%package newspaper-doc
Summary: Documentation for newspaper
Version: svn15878.1.0

Provides: tex-newspaper-doc
AutoReqProv: No

%description newspaper-doc
Documentation for newspaper

%package newunicodechar
Provides: tex-newunicodechar = %{tl_version}
License: LPPL 1.3
Summary: Definitions of the meaning of Unicode characters
Version: svn28253.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(newunicodechar.sty) = %{tl_version}

%description newunicodechar
The package provides a friendly interface for defining the
meaning of Unicode characters. The document should be processed
by (pdf)LaTeX with the unicode option of inputenc or inputenx,
or by XeLaTeX/LuaLaTeX. The command provided is
\newunicodechar{<char>}{<code>} where <char> is a directly-
typed Unicode character, and <code> is its replacement.

%package newunicodechar-doc
Summary: Documentation for newunicodechar
Version: svn28253.1.1

Provides: tex-newunicodechar-doc
AutoReqProv: No

%description newunicodechar-doc
Documentation for newunicodechar

%package newvbtm
Provides: tex-newvbtm = %{tl_version}
License: LPPL
Summary: Define your own verbatim-like environment
Version: svn23996.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(newvbtm.sty) = %{tl_version}
Provides: tex(varvbtm.sty) = %{tl_version}

%description newvbtm
Defines general purpose macro named \newverbatim to define your
own verbatim-like environment. It also has a supplementary
style file varvbtm.sty to provide set of macros for variants of
verbatim, such as tab emulation.

%package newvbtm-doc
Summary: Documentation for newvbtm
Version: svn23996.1.1

Provides: tex-newvbtm-doc
AutoReqProv: No

%description newvbtm-doc
Documentation for newvbtm

%package newverbs
Provides: tex-newverbs = %{tl_version}
License: LPPL 1.3
Summary: Define new versions of \verb, including short verb versions
Version: svn26258.1.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(newverbs.sty) = %{tl_version}

%description newverbs
The package allows the definition of \verb variants which add
TeX code before and after the verbatim text (e.g., quotes or
surrounding \fbox{}). When used together with the shortvrb
package it allows the definition of short verbatim characters
which use this package's variant instead of the normal \verb.
In addition, it is possible to collect an argument verbatim to
either typeset or write it into a file. The \Verbdef command
defines verbatim text to a macro which can later be used to
write the verbatim text to a file.

%package newverbs-doc
Summary: Documentation for newverbs
Version: svn26258.1.3a

Provides: tex-newverbs-doc
AutoReqProv: No

%description newverbs-doc
Documentation for newverbs

%package nextpage
Provides: tex-nextpage = %{tl_version}
License: LPPL
Summary: Generalisations of the page advance commands
Version: svn15878.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nextpage.sty) = %{tl_version}

%description nextpage
Provides \clearpage and \newpage variants that guarantee to end
up on even/odd numbered pages; these 4 commands all have an
optional argument whose content will be placed on any "empty"
page generated.

%package nfssext-cfr
Provides: tex-nfssext-cfr = %{tl_version}
License: LPPL 1.3
Summary: Extensions to the LaTeX NFSS
Version: svn43640
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Provides: tex(nfssext-cfr.sty) = %{tl_version}

%description nfssext-cfr
The package is a development of nfssext.sty, distributed with
the examples for the font installation guide. The package has
been developed for use in packages such as cfr-lm and
venturisadf,

%package nfssext-cfr-doc
Summary: Documentation for nfssext-cfr
Version: svn43640
Provides: tex-nfssext-cfr-doc
AutoReqProv: No

%description nfssext-cfr-doc
Documentation for nfssext-cfr

%package nicefilelist
Provides: tex-nicefilelist = %{tl_version}
License: LPPL 1.3
Summary: Provide \listfiles alignment
Version: svn28527.0.7a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(monofill.sty)
Requires: tex(hardwrap.sty)
Requires: tex(myfilist.sty)
Provides: tex(nicefilelist.sty) = %{tl_version}

%description nicefilelist
The package extends longnamefilelist, keeping separate columns
for date, version and "caption" (the caption now separately
listed). Alignment is not disturbed by short file name
extensions, such as ".fd". The package is not compatible with
longnamefilelist: users need to re-read the documentation.

%package nicefilelist-doc
Summary: Documentation for nicefilelist
Version: svn28527.0.7a

Provides: tex-nicefilelist-doc
AutoReqProv: No

%description nicefilelist-doc
Documentation for nicefilelist

%package niceframe
Provides: tex-niceframe = %{tl_version}
License: LPPL
Summary: Support for fancy frames
Version: svn36086.1.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Provides: tex(karta15.tfm) = %{tl_version}
Provides: tex(umranda.tfm) = %{tl_version}
Provides: tex(umrandb.tfm) = %{tl_version}
Provides: tex(niceframe.sty) = %{tl_version}

%description niceframe
The package defines means of drawing frames around boxes, using
dingbat fonts. Some (Metafont) font sources are included; the
fonts are available separately in Type 1 format.

%package niceframe-doc
Summary: Documentation for niceframe
Version: svn36086.1.1c

Provides: tex-niceframe-doc
AutoReqProv: No

%description niceframe-doc
Documentation for niceframe

%package nicetext
Provides: tex-nicetext = %{tl_version}
License: LPPL
Summary: Minimal markup for simple text (Wikipedia style) and documentation
Version: svn38914

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(stacklet.sty)
Requires: tex(actcodes.sty)
Requires: tex(moreverb.sty)
Provides: tex(fifinddo.sty) = %{tl_version}
Provides: tex(makedoc.cfg) = %{tl_version}
Provides: tex(makedoc.sty) = %{tl_version}
Provides: tex(mdoccorr.cfg) = %{tl_version}
Provides: tex(niceverb.sty) = %{tl_version}
Provides: tex(arseneau.tex) = %{tl_version}
Provides: tex(atari.cfg) = %{tl_version}
Provides: tex(copyfile.cfg) = %{tl_version}
Provides: tex(copyfile.tex) = %{tl_version}
Provides: tex(fddial0g.sty) = %{tl_version}
Provides: tex(fdtxttex.cfg) = %{tl_version}
Provides: tex(fdtxttex.tex) = %{tl_version}
Provides: tex(substr.tex) = %{tl_version}
Provides: tex(wiki.sty) = %{tl_version}

%description nicetext
The bundle offers "minimal" markup syntax for various simple
kinds of text. The user will typically involve little more than
is printed, and will still get LaTeX quality. The bundle
provides four packages: wiki addresses general texts, marked up
in the simple style used on Wikipedia; niceverb is yet another
means of documenting LaTeX packages: it offers syntax-aware
typesetting of meta-variables (macro arguments) and for
referring to commands (and their syntax) in footnotes, section
titles etc.; fifinddo aims to parse plain text or (La)TeX files
using TeX, and to write the results to an external file; the
package is used by another member of the bundle: makedoc, which
provides the means to produce typeset documentation direct from
package files.

%package nicetext-doc
Summary: Documentation for nicetext
Version: svn38914

Provides: tex-nicetext-doc
AutoReqProv: No

%description nicetext-doc
Documentation for nicetext

%package nlctdoc
Provides: tex-nlctdoc = %{tl_version}
License: LPPL
Summary: Package documentation class
Version: svn44353
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(xcolor.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(cmap.sty)
Requires: tex(fourier.sty)
Requires: tex(tex4ht.sty)
Requires: tex(etoolbox.sty)
Requires: tex(multicol.sty)
Requires: tex(dox.sty)
Provides: tex(nlctdoc.cls) = %{tl_version}

%description nlctdoc
The class provides support for the documentation of the
author's packages, using koma-script. This class is provided
"as is" solely for the benefit of anyone who wants to compile
the documentation of those packages.

%package nlctdoc-doc
Summary: Documentation for nlctdoc
Version: svn44353
Provides: tex-nlctdoc-doc
AutoReqProv: No

%description nlctdoc-doc
Documentation for nlctdoc

%package noconflict
Provides: tex-noconflict = %{tl_version}
License: LPPL 1.3
Summary: Resolve macro name conflict between packages
Version: svn30140.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(noconflict.sty) = %{tl_version}

%description noconflict
The package provides several commands to prefix (and hence
obscure) a macro's (or a sequence of macros') name, and to
restore the original macro(s) at places in a document where
they are needed.

%package noconflict-doc
Summary: Documentation for noconflict
Version: svn30140.1.0

Provides: tex-noconflict-doc
AutoReqProv: No

%description noconflict-doc
Documentation for noconflict

%package noindentafter
Provides: tex-noindentafter = %{tl_version}
License: LPPL 1.3
Summary: Tool to prevent paragraph indentation after environments/macros
Version: svn35709.0.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Provides: tex(noindentafter.sty) = %{tl_version}

%description noindentafter
The package, as the name suggests, supplies tools to
automatically suppress indentations in following paragraphs,
specifically those following a particular macro or environment.

%package noindentafter-doc
Summary: Documentation for noindentafter
Version: svn35709.0.2.2

Provides: tex-noindentafter-doc
AutoReqProv: No

%description noindentafter-doc
Documentation for noindentafter

%package noitcrul
Provides: tex-noitcrul = %{tl_version}
License: LPPL
Summary: Improved underlines in mathematics
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(robustcommand.sty)
Provides: tex(noitcrul.sty) = %{tl_version}

%description noitcrul
The package provides a (maths mode) \underline variant which
doesn't impose italics correction at the end.

%package noitcrul-doc
Summary: Documentation for noitcrul
Version: svn15878.0.2

Provides: tex-noitcrul-doc
AutoReqProv: No

%description noitcrul-doc
Documentation for noitcrul

%package nolbreaks
Provides: tex-nolbreaks = %{tl_version}
License: Public Domain
Summary: No line breaks in text
Version: svn26786.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nolbreaks.sty) = %{tl_version}

%description nolbreaks
Use \nolbreaks{some text} to prevent line breaks in "some
text". This has the advantage over \mbox{} that glue (rubber
space) remains flexible. Most common cases are handled here
(\linebreak is disabled, for example) but spaces hidden in
macros or { } can still create break-points.

%package nolbreaks-doc
Summary: Documentation for nolbreaks
Version: svn26786.1.2

Provides: tex-nolbreaks-doc
AutoReqProv: No

%description nolbreaks-doc
Documentation for nolbreaks

%package nomencl
Provides: tex-nomencl = %{tl_version}
License: LPPL
Summary: Produce lists of symbols as in nomenclature
Version: svn15878.3.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nomencl.sty) = %{tl_version}
Provides: tex(sample01.cfg) = %{tl_version}
Provides: tex(sample02.cfg) = %{tl_version}
Provides: tex(sample04.cfg) = %{tl_version}
Provides: tex(sample05.cfg) = %{tl_version}

%description nomencl
Produces lists of symbols using the capabilities of the
MakeIndex program.

%package nomencl-doc
Summary: Documentation for nomencl
Version: svn15878.3.1a

Provides: tex-nomencl-doc
AutoReqProv: No

%description nomencl-doc
Documentation for nomencl

%package nomentbl
Provides: tex-nomentbl = %{tl_version}
License: LPPL
Summary: Nomenclature typeset in a longtable
Version: svn16549.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(longtable.sty)
Requires: tex(nomencl.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(array.sty)
Provides: tex(nomentbl.sty) = %{tl_version}

%description nomentbl
Nomentbl typeset nomenclatures in a longtable instead of the
makeindex style of nomencl. A nomenclature entry may have three
arguments: Symbol, description and physical unit.

%package nomentbl-doc
Summary: Documentation for nomentbl
Version: svn16549.0.4

Provides: tex-nomentbl-doc
AutoReqProv: No

%description nomentbl-doc
Documentation for nomentbl

%package nonfloat
Provides: tex-nonfloat = %{tl_version}
License: Public Domain
Summary: Non-floating table and figure captions
Version: svn17598.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(nonfloat.sty) = %{tl_version}

%description nonfloat
Adjusts the figure and table environments to ensure that
centered objects as one line captions are centered as well.
Also the vertical spaces for table captions above the table are
changed.

%package nonfloat-doc
Summary: Documentation for nonfloat
Version: svn17598.1.0

Provides: tex-nonfloat-doc
AutoReqProv: No

%description nonfloat-doc
Documentation for nonfloat

%package nonumonpart
Provides: tex-nonumonpart = %{tl_version}
License: LPPL 1.2
Summary: Prevent page numbers on part pages
Version: svn22114.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nonumonpart.sty) = %{tl_version}

%description nonumonpart
The package bundles the answer to the long-standing FAQ about
removing page numbers on \part pages. The package accepts no
options and defines no user commands; the user needs only to
load it, and the requirement is met.

%package nonumonpart-doc
Summary: Documentation for nonumonpart
Version: svn22114.1

Provides: tex-nonumonpart-doc
AutoReqProv: No

%description nonumonpart-doc
Documentation for nonumonpart

%package nopageno
Provides: tex-nopageno = %{tl_version}
License: LPPL
Summary: No page numbers in LaTeX documents
Version: svn18128.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nopageno.sty) = %{tl_version}

%description nopageno
LaTeX's standard styles use two page styles, one on normal
pages and one on 'opening' pages with \maketitle or \chapter,
etc. Unfortunately there is only easy access to changing one of
these two so if you want something other than 'plain' on the
opening pages you must use \thispagestyle on each such page.
The fancyhdr package does provide a more flexible interface,
but if you just want an empty page style on all pages then this
package will do the job.

%package nopageno-doc
Summary: Documentation for nopageno
Version: svn18128.0

Provides: tex-nopageno-doc
AutoReqProv: No

%description nopageno-doc
Documentation for nopageno

%package notes
Provides: tex-notes = %{tl_version}
License: LPPL
Summary: Mark sections of a document
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphics.sty)
Provides: tex(notes.sty) = %{tl_version}

%description notes
The package provides environments to highlight significant
portions of text within a document, by putting the text in a
box and adding an icon in the margin. (The icons are provided
as 'fig' sources, processable by xfig.)

%package notes-doc
Summary: Documentation for notes
Version: svn42428
Provides: tex-notes-doc
AutoReqProv: No

%description notes-doc
Documentation for notes

%package notoccite
Provides: tex-notoccite = %{tl_version}
License: Public Domain
Summary: Prevent trouble from citations in table of contents, etc
Version: svn18129.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(notoccite.sty) = %{tl_version}

%description notoccite
If you have \cite commands in \section-like commands, or in
\caption, the citation will also appear in the table of
contents, or list of whatever. If you are also using an unsrt-
like bibliography style, these citations will come at the very
start of the bibliography, which is confusing. This package
suppresses the effect.

%package notoccite-doc
Summary: Documentation for notoccite
Version: svn18129.0

Provides: tex-notoccite-doc
AutoReqProv: No

%description notoccite-doc
Documentation for notoccite

%package nowidow
Provides: tex-nowidow = %{tl_version}
License: LPPL 1.3
Summary: Avoid widows
Version: svn24066.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Provides: tex(nowidow.sty) = %{tl_version}

%description nowidow
This package provides a useful macro to manage widow lines.

%package nowidow-doc
Summary: Documentation for nowidow
Version: svn24066.1.0

Provides: tex-nowidow-doc
AutoReqProv: No

%description nowidow-doc
Documentation for nowidow

%package nox
Provides: tex-nox = %{tl_version}
License: LPPL
Summary: Adaptable tables
Version: svn30991.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(longtable.sty)
Provides: tex(nox.sty) = %{tl_version}

%description nox
The package allows data, text (including (La)TeX commands or
environments) to be formatted into a array which may be split.

%package nox-doc
Summary: Documentation for nox
Version: svn30991.1.0

Provides: tex-nox-doc
AutoReqProv: No

%description nox-doc
Documentation for nox

%package ntheorem
Provides: tex-ntheorem = %{tl_version}
License: LPPL
Summary: Enhanced theorem environment
Version: svn27609.1.33

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(ntheorem.sty) = %{tl_version}

%description ntheorem
The package offers enhancements for theorem-like environments:
easier control of layout; proper placement of endmarks even
when the environment ends with \end{enumerate} or
\end{displaymath} (including support for amsmath displayed-
equation environments); and support for making a list of
theorems, analagous to \listoffigures.

%package ntheorem-doc
Summary: Documentation for ntheorem
Version: svn27609.1.33

Provides: tex-ntheorem-doc
AutoReqProv: No

%description ntheorem-doc
Documentation for ntheorem

%package numberedblock
Provides: tex-numberedblock = %{tl_version}
License: LPPL 1.3
Summary: Print a block of code, with unique index number
Version: svn33109.1.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(numberedblock.sty) = %{tl_version}

%description numberedblock
The package has been created for the convenience of the report
writer; it provides the means to number, and label, code-block
snippets in your document. In this way, you can (unambiguously)
refer to each snippet elsewhere in your document.

%package numberedblock-doc
Summary: Documentation for numberedblock
Version: svn33109.1.10

Provides: tex-numberedblock-doc
AutoReqProv: No

%description numberedblock-doc
Documentation for numberedblock

%package numname
Provides: tex-numname = %{tl_version}
License: LPPL
Summary: Convert a number to its English expression
Version: svn18130.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(numname.sty) = %{tl_version}

%description numname
The package can generate cardinal (one, two, ...) and ordinal
(first, second, ...) numbers. The code derives from the memoir
class, and is extracted for the convenience of non-users of
that class.

%package numname-doc
Summary: Documentation for numname
Version: svn18130.0

Provides: tex-numname-doc
AutoReqProv: No

%description numname-doc
Documentation for numname

%package numprint
Provides: tex-numprint = %{tl_version}
License: LPPL
Summary: Print numbers with separators and exponent if necessary
Version: svn27498.1.39

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(array.sty)
Requires: tex(calc.sty)
Provides: tex(nbaseprt.sty) = %{tl_version}
Provides: tex(numprint.sty) = %{tl_version}
Provides: tex(numprint032.sty) = %{tl_version}

%description numprint
The package numprint prints numbers with a separator every
three digits and converts numbers given as 12345.6e789 to
12\,345,6\cdot 10^{789}. Numbers are printed in the current
mode (text or math) in order to use the correct font. Many
things, including the decimal sign, the thousand separator, as
well as the product sign can be changed by the user, e.g., to
reach 12,345.6\times 10^{789}. If an optional argument is given
it is printed upright as unit. Numbers can be rounded to a
given number of digits. The package supports an automatic,
language-dependent change of the number format. Tabular
alignment using the tabular(*), array, tabularx, and longtable
environments (similar to the dcolumn and rccol packages) is
supported using all features of numprint. Additional text can
be added before and after the formatted number.

%package numprint-doc
Summary: Documentation for numprint
Version: svn27498.1.39

Provides: tex-numprint-doc
AutoReqProv: No

%description numprint-doc
Documentation for numprint

%package ocg-p
Provides: tex-ocg-p = %{tl_version}
License: LPPL
Summary: PDF OCG support in LaTeX
Version: svn28803.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(eso-pic.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(datatool.sty)
Requires: tex(tikz.sty)
Requires: tex(listings.sty)
Provides: tex(ocg-p.sty) = %{tl_version}

%description ocg-p
The package provides OCG (Optional Content Groups) support
within a PDF document, replacing the ocg.sty distributed with
asymptote. Nested OCGs are supported. The package may be used
with PDFLatex and XeLaTeX.

%package ocg-p-doc
Summary: Documentation for ocg-p
Version: svn28803.0.4

Provides: tex-ocg-p-doc
AutoReqProv: No

%description ocg-p-doc
Documentation for ocg-p

%package ocgx
Provides: tex-ocgx = %{tl_version}
License: LPPL
Summary: Use OCGs within a PDF document without JavaScript
Version: svn28492.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ocg-p.sty)
Provides: tex(ocgx.sty) = %{tl_version}
Provides: tex(tikzlibraryocgx.code.tex) = %{tl_version}

%description ocgx
The package extends the ocg package, which allows you to create
OCGs (Optional Content Groups) in PDF documents. (The ocg
package is distributed as part of Asymptote.) Every OCG
includes TeX material into a layer of the PDF file. Each of
these layers can be displayed or not. Links can enable or
disable the display of OCGs. The ocgx package does not use
Javascript embedded in the PDF document to enable (to show) or
disable (to hide) OCGs.

%package ocgx-doc
Summary: Documentation for ocgx
Version: svn28492.0.5

Provides: tex-ocgx-doc
AutoReqProv: No

%description ocgx-doc
Documentation for ocgx

%package ocgx2
Provides: tex-ocgx2 = %{tl_version}
License: LPPL 1.3
Summary: Drop-in replacement for the 'ocgx' package; adds support for dvips+ps2pdf, XeLaTeX, dvipdfmx
Version: svn45430
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xparse.sty)
Requires: tex(atenddvi.sty)
Requires: tex(ifpdf.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(media9.sty)
Requires: tex(tikz.sty)
Provides: tex(fixocgx.sty) = %{tl_version}
Provides: tex(ocgx2.sty) = %{tl_version}

%description ocgx2
This package is a drop-in replacement for the ocgx package by
Paul Gaborit. It re-implements the functionality of the ocg,
ocgx, and ocg-p packages and adds support for all known engines
and back-ends including: LaTeX -> dvips -> ps2pdf/Distiller
(Xe)LaTeX(x) -> dvipdfmx PdfLaTeX and LuaLaTeX . It also
ensures compatibility with the media9 and animate packages.

%package ocgx2-doc
Summary: Documentation for ocgx2
Version: svn45430
Provides: tex-ocgx2-doc
AutoReqProv: No

%description ocgx2-doc
Documentation for ocgx2

%package ocr-latex
Provides: tex-ocr-latex = %{tl_version}
License: GPL+
Summary: LaTeX support for ocr fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(ocr.sty) = %{tl_version}
Provides: tex(ot1oca.fd) = %{tl_version}
Provides: tex(ot1ocra.fd) = %{tl_version}
Provides: tex(ot1ocrb.fd) = %{tl_version}
Provides: tex(ot1ocrbn.fd) = %{tl_version}
Provides: tex(ot1ocrbns.fd) = %{tl_version}
Provides: tex(ot1ocrbo.fd) = %{tl_version}
Provides: tex(ot1ocrbs.fd) = %{tl_version}

%description ocr-latex
The package supports use of both ocr-a and ocr-b fonts in LaTeX
documents.

%package ocr-latex-doc
Summary: Documentation for ocr-latex
Version: svn15878.0

Provides: tex-ocr-latex-doc
AutoReqProv: No

%description ocr-latex-doc
Documentation for ocr-latex

%package octavo
Provides: tex-octavo = %{tl_version}
License: LPPL
Summary: Typeset books following classical design and layout
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(oct10.clo) = %{tl_version}
Provides: tex(oct11.clo) = %{tl_version}
Provides: tex(oct12.clo) = %{tl_version}
Provides: tex(octavo.cls) = %{tl_version}

%description octavo
The octavo class is a modification of the standard LaTeX book
class. Its purpose is to typeset books following classical
design and layout principles, with the express intention of
encouraging the making of beautiful books by anyone with access
to a good printer and with an inclination towards venerable
crafts, e.g., bookbinding. The octavo class differs from the
book class by implementing many of the proposals and insights
of respected experts, especially Jan Tschichold and Hugh
Williamson. The documentation discusses methods to organise and
print out any text into signatures, which can then be gathered,
folded and sewn into a book.

%package octavo-doc
Summary: Documentation for octavo
Version: svn15878.1.2

Provides: tex-octavo-doc
AutoReqProv: No

%description octavo-doc
Documentation for octavo

%package oldstyle
Provides: tex-oldstyle = %{tl_version}
License: LPPL
Summary: Old style numbers in OT1 encoding
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Ucmm.fd) = %{tl_version}
Provides: tex(oldstyle.sty) = %{tl_version}

%description oldstyle
Font information needed to load the cmmi and cmmib fonts for
use to produce oldstyle numbers.

%package oldstyle-doc
Summary: Documentation for oldstyle
Version: svn15878.0.2

Provides: tex-oldstyle-doc
AutoReqProv: No

%description oldstyle-doc
Documentation for oldstyle

%package onlyamsmath
Provides: tex-onlyamsmath = %{tl_version}
License: LPPL
Summary: Inhibit use of non-amsmath mathematics markup when using amsmath
Version: svn42927
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(amsmath.sty)
Provides: tex(onlyamsmath.sty) = %{tl_version}

%description onlyamsmath
This package inhibits the usage of plain TeX and (on demand) of
standard LaTeX mathematics environments. This is useful for
class writers who want to encourage their users to use the
environments provided by the amsmath package.

%package onlyamsmath-doc
Summary: Documentation for onlyamsmath
Version: svn42927
Provides: tex-onlyamsmath-doc
AutoReqProv: No

%description onlyamsmath-doc
Documentation for onlyamsmath

%package opcit
Provides: tex-opcit = %{tl_version}
License: LPPL
Summary: Footnote-style bibliographical references
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(hyperref.sty)
Provides: tex(opcit.sty) = %{tl_version}

%description opcit
This package addresses the problem of expressing citations in a
style that is natural for humanities studies, yet does not
interfere with the flow of text (as author-year styles do). The
package differs from footbib in that it uses real footnotes,
potentially in the same series as any of the document's other
footnotes. Opcit also, as its name implies, avoids repetition
of full citations, achieving this, to a large extent,
automatically.

%package opcit-doc
Summary: Documentation for opcit
Version: svn15878.1.1

Provides: tex-opcit-doc
AutoReqProv: No

%description opcit-doc
Documentation for opcit

%package optional
Provides: tex-optional = %{tl_version}
License: LPPL
Summary: Facilitate optional printing of parts of a document
Version: svn18131.2.2b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(optional.sty) = %{tl_version}

%description optional
Optional provides simple, flexible, optional compilation of
LaTeX documents. Option switches may be given via package
options, by the \UseOption command, or interactively via the
\AskOption command (help text may be provided, by defining the
\ExplainOptions command). The package is not robust, in the way
that comment package is, against ill-behaved text. In
particular, verbatim text may not be directly included in
optional sections (whether they're included or not).

%package optional-doc
Summary: Documentation for optional
Version: svn18131.2.2b

Provides: tex-optional-doc
AutoReqProv: No

%description optional-doc
Documentation for optional

%package outline
Provides: tex-outline = %{tl_version}
License: LPPL
Summary: List environment for making outlines
Version: svn18360.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(outline.sty) = %{tl_version}

%description outline
The package defines an outline environment, which provides
facilities similar to enumerate, but up to 6 levels deep.

%package outline-doc
Summary: Documentation for outline
Version: svn18360.0

Provides: tex-outline-doc
AutoReqProv: No

%description outline-doc
Documentation for outline

%package outliner
Provides: tex-outliner = %{tl_version}
License: GPL+
Summary: Change section levels easily
Version: svn21095.0.94

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(outliner.sty) = %{tl_version}

%description outliner
Allows you to write "\Level 2 {Some heading}" instead of the
usual \section stuff; the definitions of the levels can then
easily be changed. There is a mechanism for shifting all
levels. This makes it easy to bundle existing articles into a
compilation.

%package outliner-doc
Summary: Documentation for outliner
Version: svn21095.0.94

Provides: tex-outliner-doc
AutoReqProv: No

%description outliner-doc
Documentation for outliner

%package outlines
Provides: tex-outlines = %{tl_version}
License: LPPL
Summary: Produce "outline" lists
Version: svn25192.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(outlines.sty) = %{tl_version}

%description outlines
Defines an outline environment, which allows outline-style
indented lists with freely mixed levels up to four levels deep.
It replaces the nested begin/end pairs by different item tags
\1 to \4 for each nesting level. This is very convenient in
cases where nested lists are used a lot, such as for to-do
lists or presentation slides.

%package outlines-doc
Summary: Documentation for outlines
Version: svn25192.1.1

Provides: tex-outlines-doc
AutoReqProv: No

%description outlines-doc
Documentation for outlines

%package overpic
Provides: tex-overpic = %{tl_version}
License: LPPL
Summary: Combine LaTeX commands over included graphics
Version: svn45500
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(epic.sty)
Provides: tex(overpic.sty) = %{tl_version}

%description overpic
The overpic environment is a cross between the LaTeX picture
environment and the \includegraphics command of graphicx. The
resulting picture environment has the same dimensions as the
included graphic. LaTeX commands can be placed on the graphic
at defined positions; a grid for orientation is available.

%package overpic-doc
Summary: Documentation for overpic
Version: svn45500
Provides: tex-overpic-doc
AutoReqProv: No

%description overpic-doc
Documentation for overpic

%package pagecolor
Provides: tex-pagecolor = %{tl_version}
License: LPPL 1.3
Summary: Interrogate page colour
Version: svn44487
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(color.sty)
Requires: tex(xcolor.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifluatex.sty)
Provides: tex(pagecolor.sty) = %{tl_version}

%description pagecolor
This package provides the command \thepagecolor, which gives
the current page (background) colour, i. e. the argument used
with the most recent call of \pagecolor{...}. The command
\thepagecolornone gives the same colour as \thepagecolor,
except when the page background colour is "none" (e.g., as a
result of using the \nopagecolor command). In that case
\thepagecolor is "white" and \thepagecolornone is "none".

%package pagecolor-doc
Summary: Documentation for pagecolor
Version: svn44487
Provides: tex-pagecolor-doc
AutoReqProv: No

%description pagecolor-doc
Documentation for pagecolor

%package pagecont
Provides: tex-pagecont = %{tl_version}
License: LPPL
Summary: Page numbering that continues between documents
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(pagecont.sty) = %{tl_version}

%description pagecont
The package provides the facility that several documents can be
typeset independently with page numbers in sequence, as if they
were a single document.

%package pagecont-doc
Summary: Documentation for pagecont
Version: svn15878.1.0

Provides: tex-pagecont-doc
AutoReqProv: No

%description pagecont-doc
Documentation for pagecont

%package pagenote
Provides: tex-pagenote = %{tl_version}
License: LPPL 1.3
Summary: Notes at end of document
Version: svn15878.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifmtarg.sty)
Provides: tex(pagenote.sty) = %{tl_version}

%description pagenote
The pagenote package provides tagged notes on a separate page
(also known as 'end notes'). Unless the memoir class is used,
the package requires the ifmtarg package.

%package pagenote-doc
Summary: Documentation for pagenote
Version: svn15878.1.1a

Provides: tex-pagenote-doc
AutoReqProv: No

%description pagenote-doc
Documentation for pagenote

%package pagerange
Provides: tex-pagerange = %{tl_version}
License: LPPL
Summary: Flexible and configurable page range typesetting
Version: svn16915.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(lastpage.sty)
Requires: tex(xkeyval.sty)
Provides: tex(pagerange-guide.cfg) = %{tl_version}
Provides: tex(pagerange.sty) = %{tl_version}

%description pagerange
The package defines a command \pagerange that typesets ranges
of page numbers, expanding them (e.g., adding first or last
page numbers) and standardising them.

%package pagerange-doc
Summary: Documentation for pagerange
Version: svn16915.0.5

Provides: tex-pagerange-doc
AutoReqProv: No

%description pagerange-doc
Documentation for pagerange

%package pageslts
Provides: tex-pageslts = %{tl_version}
License: LPPL 1.3
Summary: Variants of last page labels
Version: svn39164

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ltxcmds.sty)
Requires: tex(atveryend.sty)
Requires: tex(everyshi.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(kvoptions.sty)
Requires: tex(undolabl.sty)
Requires: tex(rerunfilecheck.sty)
Requires: tex(alphalph.sty)
Provides: tex(pageslts.sty) = %{tl_version}

%description pageslts
The package was designed as an extension of the lastpage
package -- as well as that package's LastPage label (created
\AtEndDocument) it adds a VeryLastPage (created
\AfterLastShipout). When more than one page numbering scheme is
in operation (as in a book class document with frontmatter),
the labels above do not give the total number of pages, so the
package also provides labels pagesLTS.<numbering scheme>, where
the numbering scheme is arabic, roman, etc. The package relies
on the undolabl package.

%package pageslts-doc
Summary: Documentation for pageslts
Version: svn39164

Provides: tex-pageslts-doc
AutoReqProv: No

%description pageslts-doc
Documentation for pageslts

%package paper
Provides: tex-paper = %{tl_version}
License: GPL+
Summary: Versions of article class, tuned for scholarly publications
Version: svn34521.1.0l

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(journal.cls) = %{tl_version}
Provides: tex(journal.sty) = %{tl_version}
Provides: tex(paper.cls) = %{tl_version}
Provides: tex(paper.sty) = %{tl_version}

%description paper
A pair of classes derived from article, tuned for producing
papers for journals. The classes introduce new layout options
and font commands for sections/parts, and define a new keywords
environment, subtitle and institution commands for the title
section and new commands for revisions.

%package paper-doc
Summary: Documentation for paper
Version: svn34521.1.0l

Provides: tex-paper-doc
AutoReqProv: No

%description paper-doc
Documentation for paper

%package papercdcase
Provides: tex-papercdcase = %{tl_version}
License: LPPL
Summary: Origami-style folding paper CD case
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Provides: tex(papercdcase.sty) = %{tl_version}

%description papercdcase
This package implements a LaTeX style file to produce origami-
style folding paper CD cases.

%package papercdcase-doc
Summary: Documentation for papercdcase
Version: svn15878.0

Provides: tex-papercdcase-doc
AutoReqProv: No

%description papercdcase-doc
Documentation for papercdcase

%package papermas
Provides: tex-papermas = %{tl_version}
License: LPPL 1.3
Summary: Compute the mass of a printed version of a document
Version: svn23667.1.0h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(pageslts.sty)
Requires: tex(intcalc.sty)
Provides: tex(papermas.sty) = %{tl_version}

%description papermas
The package computes the number of sheets of paper used by, and
hence the mass of a document. This is useful (for example) when
calculating postal charges.

%package papermas-doc
Summary: Documentation for papermas
Version: svn23667.1.0h

Provides: tex-papermas-doc
AutoReqProv: No

%description papermas-doc
Documentation for papermas

%package papertex
Provides: tex-papertex = %{tl_version}
License: LPPL
Summary: Class for newspapers, etc
Version: svn19230.1.2b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(ifpdf.sty)
Requires: tex(multido.sty)
Requires: tex(datetime.sty)
Requires: tex(multicol.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(fancybox.sty)
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(hyperref.sty)
Requires: tex(textpos.sty)
Requires: tex(hyphenat.sty)
Requires: tex(wrapfig.sty)
Requires: tex(lastpage.sty)
Requires: tex(setspace.sty)
Requires: tex(ragged2e.sty)
Provides: tex(papertex.cls) = %{tl_version}

%description papertex
This class allows LaTeX users to create a paperTeX newspaper.
The final document has a front page and as many inner pages as
desired. News items appear one after another and the user can
choose the number of columns, style and so on. The class allows
users to create newsletters too.

%package papertex-doc
Summary: Documentation for papertex
Version: svn19230.1.2b

Provides: tex-papertex-doc
AutoReqProv: No

%description papertex-doc
Documentation for papertex

%package paracol
Provides: tex-paracol = %{tl_version}
License: LPPL
Summary: Multiple columns with texts "in parallel"
Version: svn38621

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(paracol.sty) = %{tl_version}

%description paracol
The package provides yet another multi-column typesetting
mechanism by which you produce multi-column (e.g., bilingual)
document switching and sychronizing each corresponding part in
"parallel".

%package paracol-doc
Summary: Documentation for paracol
Version: svn38621

Provides: tex-paracol-doc
AutoReqProv: No

%description paracol-doc
Documentation for paracol

%package paresse
Provides: tex-paresse = %{tl_version}
License: LPPL
Summary: Define simple macros for greek letters
Version: svn29803.4.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(skeyval-bc.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifxetex.sty)
Provides: tex(paresse.sty) = %{tl_version}

%description paresse
The package defines macros using SS to type greek letters. so
that the user may (for example) type SSa to get the effect of
$\alpha$.

%package paresse-doc
Summary: Documentation for paresse
Version: svn29803.4.1

Provides: tex-paresse-doc
AutoReqProv: No

%description paresse-doc
Documentation for paresse

%package parnotes
Provides: tex-parnotes = %{tl_version}
License: LPPL 1.3
Summary: Notes after every paragraph (or elsewhere)
Version: svn41868
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(parnotes.sty) = %{tl_version}

%description parnotes
The package provides the \parnote command. The notes are set as
(normal) running paragraphs; placement is at the end of each
paragraph, or manually, using the \parnotes command.

%package parnotes-doc
Summary: Documentation for parnotes
Version: svn41868
Provides: tex-parnotes-doc
AutoReqProv: No

%description parnotes-doc
Documentation for parnotes

%package parselines
Provides: tex-parselines = %{tl_version}
License: LPPL 1.3
Summary: Apply a macro to each line of an environment
Version: svn21475.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(parselines.sty) = %{tl_version}

%description parselines
The package defines an environment "parse lines" which
processes each line of an environment with a macro. An example
of shading the lines of an environment is given.

%package parselines-doc
Summary: Documentation for parselines
Version: svn21475.1.4

Provides: tex-parselines-doc
AutoReqProv: No

%description parselines-doc
Documentation for parselines

%package pas-cours
Provides: tex-pas-cours = %{tl_version}
License: LPPL
Summary: Macros useful in preparing teaching material
Version: svn42036
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(xstring.sty)
Requires: tex(amssymb.sty)
Requires: tex(tikz.sty)
Requires: tex(enumitem.sty)
Provides: tex(pas-cours.sty) = %{tl_version}

%description pas-cours
Several groups of macros cover different branches of
mathematics.

%package pas-cours-doc
Summary: Documentation for pas-cours
Version: svn42036
Provides: tex-pas-cours-doc
AutoReqProv: No

%description pas-cours-doc
Documentation for pas-cours

%package pas-cv
Provides: tex-pas-cv = %{tl_version}
License: LPPL
Summary: Flexible typesetting of Curricula Vitae
Version: svn32263.2.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(graphicx.sty)
Requires: tex(tikz.sty)
Requires: tex(eso-pic.sty)
Requires: tex(fp.sty)
Requires: tex(geometry.sty)
Provides: tex(macro-andromede.tex) = %{tl_version}
Provides: tex(macro-architecte.tex) = %{tl_version}
Provides: tex(macro-centaure.tex) = %{tl_version}
Provides: tex(macro-dynamique.tex) = %{tl_version}
Provides: tex(macro-gaia.tex) = %{tl_version}
Provides: tex(macro-jupiter.tex) = %{tl_version}
Provides: tex(macro-mars.tex) = %{tl_version}
Provides: tex(macro-neptune.tex) = %{tl_version}
Provides: tex(macro-orion.tex) = %{tl_version}
Provides: tex(macro-pegase.tex) = %{tl_version}
Provides: tex(macro-pluton.tex) = %{tl_version}
Provides: tex(macro-saturne.tex) = %{tl_version}
Provides: tex(macro-univers.tex) = %{tl_version}
Provides: tex(macro-uranus.tex) = %{tl_version}
Provides: tex(macro-venus.tex) = %{tl_version}
Provides: tex(pas-cv.sty) = %{tl_version}

%description pas-cv
The package provides the framework for typesetting a Curriculum
Vitae (composed in French), together with a number of "themes"
that may be used with the package. (The use of the themes may
be seen in the package's examples/ collection.) The author
hints that conversion for use with other languages (than
French) should be possible.

%package pas-cv-doc
Summary: Documentation for pas-cv
Version: svn32263.2.01

Provides: tex-pas-cv-doc
AutoReqProv: No

%description pas-cv-doc
Documentation for pas-cv

%package pas-tableur
Provides: tex-pas-tableur = %{tl_version}
License: LPPL
Summary: Create a spreadsheet layout
Version: svn39542

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(xstring.sty)
Requires: tex(xkeyval.sty)
Provides: tex(pas-tableur.sty) = %{tl_version}

%description pas-tableur
The package provides commands for creating a grid of
rectangles, and commands for populating locations in the grid.
PGF/TikZ is used for placement and population of the cells.

%package pas-tableur-doc
Summary: Documentation for pas-tableur
Version: svn39542

Provides: tex-pas-tableur-doc
AutoReqProv: No

%description pas-tableur-doc
Documentation for pas-tableur

%package patchcmd
Provides: tex-patchcmd = %{tl_version}
License: Public Domain
Summary: Change the definition of an existing command
Version: svn41379

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(patchcmd.sty) = %{tl_version}

%description patchcmd
The package provides a command \patchcommand that can be used
to add material at the beginning and/or the end of the
replacement text of an existing macro. It works for macros with
any number of normal arguments, including those that were
defined with \DeclareRobustCommand.

%package patchcmd-doc
Summary: Documentation for patchcmd
Version: svn41379

Provides: tex-patchcmd-doc
AutoReqProv: No

%description patchcmd-doc
Documentation for patchcmd

%package pauldoc
Provides: tex-pauldoc = %{tl_version}
License: LPPL
Summary: German LaTeX package documentation
Version: svn16005.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(inputenc.sty)
Requires: tex(babel.sty)
Requires: tex(fontenc.sty)
Provides: tex(pauldoc.sty) = %{tl_version}

%description pauldoc
The package provides helpers for German language package
documentation.

%package pauldoc-doc
Summary: Documentation for pauldoc
Version: svn16005.0.5

Provides: tex-pauldoc-doc
AutoReqProv: No

%description pauldoc-doc
Documentation for pauldoc

%package pawpict
Provides: tex-pawpict = %{tl_version}
License: GPL+
Summary: Using graphics from PAW
Version: svn21629.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pawpict.sty) = %{tl_version}

%description pawpict
Support for the easy inclusion of graphics made by PAW (Physics
Analysis Workstation). You need to have PAW installed on your
system to benefit from this package.

%package pawpict-doc
Summary: Documentation for pawpict
Version: svn21629.1.0

Provides: tex-pawpict-doc
AutoReqProv: No

%description pawpict-doc
Documentation for pawpict

%package pbox
Provides: tex-pbox = %{tl_version}
License: GPLv2+
Summary: A variable-width \parbox command
Version: svn24807.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Provides: tex(pbox.sty) = %{tl_version}

%description pbox
Defines a command \pbox{<max width>}{<text>} which adjusts its
width to that of the enclosed text, up to the maximum width
given. The package also defines some associated length
commands.

%package pbox-doc
Summary: Documentation for pbox
Version: svn24807.1.2

Provides: tex-pbox-doc
AutoReqProv: No

%description pbox-doc
Documentation for pbox

%package pbsheet
Provides: tex-pbsheet = %{tl_version}
License: LPPL
Summary: Problem sheet class
Version: svn24830.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsthm.sty)
Requires: tex(latexsym.sty)
Requires: tex(geometry.sty)
Requires: tex(rotating.sty)
Requires: tex(moreverb.sty)
Requires: tex(inputenc.sty)
Requires: tex(xspace.sty)
Requires: tex(babel.sty)
Requires: tex(color.sty)
Requires: tex(listings.sty)
Provides: tex(pbsheet.cls) = %{tl_version}

%description pbsheet
This class is designed to simplify the typesetting of problem
sheets with Mathematics and Computer Science content. It is
currently customised towards teaching in French (and the
examples are in French).

%package pbsheet-doc
Summary: Documentation for pbsheet
Version: svn24830.0.1

Provides: tex-pbsheet-doc
AutoReqProv: No

%description pbsheet-doc
Documentation for pbsheet

%package pdf14
Provides: tex-pdf14 = %{tl_version}
License: LPPL 1.3
Summary: Restore PDF 1.4 to a TeX live 2010 format
Version: svn17583.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pdf14.sty) = %{tl_version}

%description pdf14
Starting with TeX Live 2010, the various formats, that directly
generate PDF, default to generating PDF 1.5. This is generally
a good thing, but it can lead to compatibility issues with some
older PDF viewers. This package changes the version of PDF
generated with formats (based on pdfTeX or LuaTeX in PDF mode),
back to 1.4 for documents that need to achieve maximal
compatibility with old viewers.

%package pdf14-doc
Summary: Documentation for pdf14
Version: svn17583.0.1

Provides: tex-pdf14-doc
AutoReqProv: No

%description pdf14-doc
Documentation for pdf14

%package pdfcomment
Provides: tex-pdfcomment = %{tl_version}
License: LPPL 1.3
Summary: A user-friendly interface to pdf annotations
Version: svn40166

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(zref-savepos.sty)
Requires: tex(refcount.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(marginnote.sty)
Requires: tex(ifpdf.sty)
Requires: tex(datetime.sty)
Requires: tex(soulpos.sty)
Requires: tex(hyperref.sty)
Provides: tex(pdfcomment.sty) = %{tl_version}

%description pdfcomment
For a long time pdfLaTeX has offered the command \pdfannot for
inserting arbitrary PDF annotations. However, the command is
presented in a form where additional knowledge of the
definition of the PDF format is indispensable. This package is
an answer to the - occasional - questions in newsgroups, about
how one could use the comment function of Adobe Reader. At
least for the writer of LaTeX code, the package offers a
convenient and user-friendly means of using \pdfannot to
provide comments in PDF files. Since version v1.1,
pdfcomment.sty also supports LaTeX - dvips - ps2pdf, LaTeX -
dvipdfmx, and XeLaTeX. Unfortunately, support of PDF
annotations by PDF viewers is sparse to nonexistent. The
reference viewer for the development of this package is Adobe
Reader.

%package pdfcomment-doc
Summary: Documentation for pdfcomment
Version: svn40166

Provides: tex-pdfcomment-doc
AutoReqProv: No

%description pdfcomment-doc
Documentation for pdfcomment

%package pdfcprot
Provides: tex-pdfcprot = %{tl_version}
License: LPPL
Summary: Activating and setting of character protruding using pdflatex
Version: svn18735.1.7a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Provides: tex(pdfcprot.sty) = %{tl_version}

%description pdfcprot
This package provides an easy interface to adjust the character
protrusion for different fonts and choosing the right
adjustment automatically depending on the font. The package is
largely superseded by microtype.

%package pdfcprot-doc
Summary: Documentation for pdfcprot
Version: svn18735.1.7a

Provides: tex-pdfcprot-doc
AutoReqProv: No

%description pdfcprot-doc
Documentation for pdfcprot

%package pdfmarginpar
Provides: tex-pdfmarginpar = %{tl_version}
License: GPL+
Summary: Generate marginpar-equivalent PDF annotations
Version: svn23492.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgfkeys.sty)
Provides: tex(pdfmarginpar.sty) = %{tl_version}

%description pdfmarginpar
The package provides the \pdfmarginpar command which is similar
in spirit to \marginpar. However, it creates PDF annotations
which may be viewed with Adobe Reader in place of marginal
texts. Small icons indicate the in-text position where the
message originates, popups provide the messages themselves.
Thus bugfixes and other such communications are clearly visible
together when viewing the document, while the document itself
is not obscured.

%package pdfmarginpar-doc
Summary: Documentation for pdfmarginpar
Version: svn23492.0.92

Provides: tex-pdfmarginpar-doc
AutoReqProv: No

%description pdfmarginpar-doc
Documentation for pdfmarginpar

%package pdfpagediff
Provides: tex-pdfpagediff = %{tl_version}
License: LPPL
Summary: Find difference between two PDF's
Version: svn37946.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(substr.sty)
Provides: tex(pdfpagediff.sty) = %{tl_version}

%description pdfpagediff
Find difference between two PDF's

%package pdfpagediff-doc
Summary: Documentation for pdfpagediff
Version: svn37946.1.4

Provides: tex-pdfpagediff-doc
AutoReqProv: No

%description pdfpagediff-doc
Documentation for pdfpagediff

%package pdfscreen
Provides: tex-pdfscreen = %{tl_version}
License: LPPL
Summary: Support screen-based document design
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(calc.sty)
Requires: tex(comment.sty)
Requires: tex(hyperref.sty)
Requires: tex(shortvrb.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsbsy.sty)
Requires: tex(truncate.sty)
Requires: tex(fancybox.sty)
Provides: tex(pdfscreen.sty) = %{tl_version}

%description pdfscreen
An extension of the hyperref package to provide a screen-based
document design. This package helps to generate pdf documents
that are readable on screen and will fit the screen's aspect
ratio. Also it can be used with various options to produce
regular print versions of the same document without any extra
effort.

%package pdfscreen-doc
Summary: Documentation for pdfscreen
Version: svn42428
Provides: tex-pdfscreen-doc
AutoReqProv: No

%description pdfscreen-doc
Documentation for pdfscreen

%package pdfslide
Provides: tex-pdfslide = %{tl_version}
License: LPPL
Summary: Presentation slides using pdftex
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(colortbl.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsbsy.sty)
Requires: tex(fancybox.sty)
Requires: tex(hyperref.sty)
Requires: tex(ifthen.sty)
Provides: tex(pdfslide.cfg) = %{tl_version}
Provides: tex(pdfslide.sty) = %{tl_version}
Provides: tex(slide.clo) = %{tl_version}

%description pdfslide
This is a package for use with pdftex, to make nice
presentation slides. Its aims are: to devise a method for
easier technical presentation; to help the mix of mathematical
formulae with text and graphics which other present day
document processing tools fail to accomplish; to exploit the
platform independence of TeX so that presentation documents
become portable; and to offer the freedom and possibilities of
using various backgrounds and other embellishments that a user
can imagine to have in as presentation. The package can make
use of the facilities of the PPower4 post-processor.

%package pdfslide-doc
Summary: Documentation for pdfslide
Version: svn15878.0

Provides: tex-pdfslide-doc
AutoReqProv: No

%description pdfslide-doc
Documentation for pdfslide

%package pdfsync
Provides: tex-pdfsync = %{tl_version}
License: LPPL
Summary: Provide links between source and PDF
Version: svn20373.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pdfsync.sty) = %{tl_version}

%description pdfsync
The package runs with pdfTeX or XeTeX, and creates an auxiliary
file with geometrical information to permit references back and
forth between source and PDF, assuming a conforming editor and
PDF viewer.

%package pdfsync-doc
Summary: Documentation for pdfsync
Version: svn20373.0

Provides: tex-pdfsync-doc
AutoReqProv: No

%description pdfsync-doc
Documentation for pdfsync

%package pdfwin
Provides: tex-pdfwin = %{tl_version}
License: LPPL
Summary: pdfwin package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Requires: tex(keyval.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(truncate.sty)
Requires: tex(hyperref.sty)
Provides: tex(pdfwin.cfg) = %{tl_version}
Provides: tex(pdfwin.sty) = %{tl_version}

%description pdfwin
pdfwin package

%package pdfwin-doc
Summary: Documentation for pdfwin
Version: svn15878.0

Provides: tex-pdfwin-doc
AutoReqProv: No

%description pdfwin-doc
Documentation for pdfwin

%package pdfx
Provides: tex-pdfx = %{tl_version}
License: LPPL
Summary: PDF/X-1a and PDF/A-1b support for pdfTeX
Version: svn44412
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(hyperref.sty)
Requires: tex(inputenc.sty)
Requires: tex(xmpincl.sty)
Requires: tex(glyphtounicode.tex)
Provides: tex(8bit.def) = %{tl_version}
Provides: tex(glyphtounicode-cmr.tex) = %{tl_version}
Provides: tex(pdfx.sty) = %{tl_version}

%description pdfx
The package helps LaTeX users to create PDF/X-1a and PFD/A-1b
compliant pdf documents with pdfTeX.

%package pdfx-doc
Summary: Documentation for pdfx
Version: svn44412
Provides: tex-pdfx-doc
AutoReqProv: No

%description pdfx-doc
Documentation for pdfx

%package pecha
Provides: tex-pecha = %{tl_version}
License: GPL+
Summary: Print Tibetan text in the classic pecha layout style
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(twoopt.sty)
Requires: tex(relsize.sty)
Requires: tex(calc.sty)
Requires: tex(ctib.sty)
Requires: tex(rotating.sty)
Requires: tex(times.sty)
Provides: tex(ctibmantra.sty) = %{tl_version}
Provides: tex(pecha.cls) = %{tl_version}

%description pecha
The pecha class provides an environment for writing Tibetan on
LaTeX2e in the traditional Tibetan Pecha layout used for
spiritual or philosophical texts, using the cTib4TeX package by
Oliver Corff. It provides features like headers in different
languages, page numbering in Tibetan and more.

%package pecha-doc
Summary: Documentation for pecha
Version: svn15878.0.1

Provides: tex-pecha-doc
AutoReqProv: No

%description pecha-doc
Documentation for pecha

%package permute
Provides: tex-permute = %{tl_version}
License: LPPL
Summary: Support for symmetric groups
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(permute.sty) = %{tl_version}

%description permute
A package for symmetric groups, allowing you to input, output,
and calculate with them.

%package permute-doc
Summary: Documentation for permute
Version: svn15878.0

Provides: tex-permute-doc
AutoReqProv: No

%description permute-doc
Documentation for permute

%package petiteannonce
Provides: tex-petiteannonce = %{tl_version}
License: LPPL
Summary: A class for small advertisements
Version: svn25915.1.0001

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(keyval.sty)
Provides: tex(petiteannonce.cls) = %{tl_version}

%description petiteannonce
The class enables you to create the sort of adverts that you
pin on a noticeboard, with tear-off strips at the bottom where
you can place contact details.

%package petiteannonce-doc
Summary: Documentation for petiteannonce
Version: svn25915.1.0001

Provides: tex-petiteannonce-doc
AutoReqProv: No

%description petiteannonce-doc
Documentation for petiteannonce

%package philex
Provides: tex-philex = %{tl_version}
License: LPPL
Summary: Cross references for named and numbered environments
Version: svn36396.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Requires: tex(calc.sty)
Requires: tex(cgloss4e.sty)
Requires: tex(linguex.sty)
Requires: tex(ifthen.sty)
Requires: tex(suffix.sty)
Provides: tex(philex.sty) = %{tl_version}

%description philex
Philex provides means for creating and cross-referencing named
or numbered environments. Possible uses would be equations,
example sentences (as in linguistics or philosophy) or named
principles. Cross references may refer either to the number, or
to a short name of the target environment, or to the contents
of the environment. Philex builds on the facilities of the
linguex package.

%package philex-doc
Summary: Documentation for philex
Version: svn36396.1.3

Provides: tex-philex-doc
AutoReqProv: No

%description philex-doc
Documentation for philex

%package photo
Provides: tex-photo = %{tl_version}
License: LPPL
Summary: A float environment for photographs
Version: svn18739.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(photo.sty) = %{tl_version}

%description photo
This package introduces a new float type called photo which
works similar to the float types table and figure. Various
options exist for placing photos, captions, and a
"photographer" line. In twocolumn documents, a possibility
exists to generate double-column floats automatically if the
photo does not fit into one column. Photos do not have to be
placed as floats, they can also be placed as boxes, with
captions and photographer line still being available.

%package photo-doc
Summary: Documentation for photo
Version: svn18739.0

Provides: tex-photo-doc
AutoReqProv: No

%description photo-doc
Documentation for photo

%package piff
Provides: tex-piff = %{tl_version}
License: Public Domain
Summary: Macro tools by Mike Piff
Version: svn21894.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsfonts.sty)
Provides: tex(duplicat.sty) = %{tl_version}
Provides: tex(newproof.sty) = %{tl_version}
Provides: tex(onepagem.sty) = %{tl_version}
Provides: tex(time.sty) = %{tl_version}

%description piff
The set (now) consists of: a small package for dealing with
duplicate-numbered output pages; newproof, for defining
mathematical proof structures; onepagem for omitting the page
number in one-page documents and time, which prints a 12-hour
format time.

%package piff-doc
Summary: Documentation for piff
Version: svn21894.0

Provides: tex-piff-doc
AutoReqProv: No

%description piff-doc
Documentation for piff

%package pkgloader
Provides: tex-pkgloader = %{tl_version}
License: LPPL 1.3
Summary: Managing the options and loading order of other packages
Version: svn35711.0.5.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(filecontents.sty)
Requires: tex(xparse.sty)
Requires: tex(etoolbox.sty)
Requires: tex(withargs.sty)
Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(l3regex.sty)
Requires: tex(lt3graph.sty)
Provides: tex(pkgloader-cls-pkg.sty) = %{tl_version}
Provides: tex(pkgloader-dry.sty) = %{tl_version}
Provides: tex(dry.sty) = %{tl_version}
Provides: tex(pkgloader-early.sty) = %{tl_version}
Provides: tex(pkgloader-error.sty) = %{tl_version}
Provides: tex(pkgloader-false.sty) = %{tl_version}
Provides: tex(pkgloader-late.sty) = %{tl_version}
Provides: tex(pkgloader-recommended.sty) = %{tl_version}
Provides: tex(pkgloader-true.sty) = %{tl_version}
Provides: tex(pkgloader.sty) = %{tl_version}

%description pkgloader
The package seeks to address the frustration caused by package
conflicts. It is in an early stage of its development, and
should probably not be used as a matter of course; however the
author welcomes feedback via the home page link given in this
catalogue entry. Nevertheless, the author urges users to try
the package and to report issues (or whatever) via the
package's repository.

%package pkgloader-doc
Summary: Documentation for pkgloader
Version: svn35711.0.5.0

Provides: tex-pkgloader-doc
AutoReqProv: No

%description pkgloader-doc
Documentation for pkgloader

%package plantslabels
Provides: tex-plantslabels = %{tl_version}
License: LPPL
Summary: Write labels for plants
Version: svn29803.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(labels.sty)
Requires: tex(graphicx.sty)
Provides: tex(plantslabels.sty) = %{tl_version}

%description plantslabels
The package defines a command \plant, which has three mandatory
and seven optional argument. The package uses the labels

%package plantslabels-doc
Summary: Documentation for plantslabels
Version: svn29803.1.0

Provides: tex-plantslabels-doc
AutoReqProv: No

%description plantslabels-doc
Documentation for plantslabels

%package plates
Provides: tex-plates = %{tl_version}
License: LPPL
Summary: Arrange for "plates" sections of documents
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(endplate.sty) = %{tl_version}
Provides: tex(plates.sty) = %{tl_version}

%description plates
The plates package provides a simple facility for inserting
colour figures in a document when they should be gathered and
printed together as in a book's section of colour plates. The
package provides a plate environment that takes the place of
the figure environment for such colour images.

%package plates-doc
Summary: Documentation for plates
Version: svn15878.0.1

Provides: tex-plates-doc
AutoReqProv: No

%description plates-doc
Documentation for plates

%package plweb
Provides: tex-plweb = %{tl_version}
License: Copyright only
Summary: Literate Programming for Prolog with LaTeX
Version: svn15878.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pcode.sty) = %{tl_version}
Provides: tex(pl.cfg) = %{tl_version}
Provides: tex(pl.sty) = %{tl_version}

%description plweb
Instead of having to transform the common source into program
or documentation, the central idea was to develop a method to
have one common source which can be interpreted by a Prolog
system as well as by LaTeX, whether that Prolog system be C-
Prolog, Quintus-Prolog, or ECLiPSe.

%package plweb-doc
Summary: Documentation for plweb
Version: svn15878.3.0

Provides: tex-plweb-doc
AutoReqProv: No

%description plweb-doc
Documentation for plweb

%package polynom
Provides: tex-polynom = %{tl_version}
License: LPPL
Summary: Macros for manipulating polynomials
Version: svn44832
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(polynom.sty) = %{tl_version}

%description polynom
The polynom package implements macros for manipulating
polynomials, for example it can typeset long polynomial
divisions. The main test case and application is the polynomial
ring in one variable with rational coefficients.

%package polynom-doc
Summary: Documentation for polynom
Version: svn44832
Provides: tex-polynom-doc
AutoReqProv: No

%description polynom-doc
Documentation for polynom

%package polynomial
Provides: tex-polynomial = %{tl_version}
License: LPPL
Summary: Typeset (univariate) polynomials
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(polynomial.sty) = %{tl_version}

%description polynomial
The package offers an easy way to write (univariate)
polynomials and rational functions. It defines two commands,
one for polynomials \polynomial{coeffs} and one for rational
functions \polynomialfrac{Numerator}{Denominator}. Both
commands take lists of coefficients as arguments, and offer
limited optional behaviour.

%package polynomial-doc
Summary: Documentation for polynomial
Version: svn15878.1.0

Provides: tex-polynomial-doc
AutoReqProv: No

%description polynomial-doc
Documentation for polynomial

%package polytable
Provides: tex-polytable = %{tl_version}
License: LPPL
Summary: Tabular-like environments with named columns
Version: svn31235.0.8.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(lazylist.sty)
Requires: tex(array.sty)
Provides: tex(polytable.sty) = %{tl_version}

%description polytable
This package implements a variant of tabular-like environments
where columns can be given a name and entries can flexibly be
placed between arbitrary columns. Complex alignment-based
layouts, for example for program code, are possible.

%package polytable-doc
Summary: Documentation for polytable
Version: svn31235.0.8.2

Provides: tex-polytable-doc
AutoReqProv: No

%description polytable-doc
Documentation for polytable

%package postcards
Provides: tex-postcards = %{tl_version}
License: LPPL
Summary: Facilitates mass-mailing of postcards (junkmail)
Version: svn21641.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(envlab.sty)
Requires: tex(mailing.sty)
Provides: tex(postcards.cls) = %{tl_version}

%description postcards
A modification of the standard LaTeX letter class which prints
multiple, pre-stamped, 5.5" by 3.5" postcards (a US standard
size) via the envlab and mailing packages. An address database
is employed to address the front side of each postcard and a
message is printed on the back side of all. An illustrative
example is provided.

%package postcards-doc
Summary: Documentation for postcards
Version: svn21641.0

Provides: tex-postcards-doc
AutoReqProv: No

%description postcards-doc
Documentation for postcards

%package poster-mac
Provides: tex-poster-mac = %{tl_version}
License: LPPL
Summary: Make posters and banners with TeX
Version: svn18305.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(poster.sty) = %{tl_version}
Provides: tex(poster.tex) = %{tl_version}

%description poster-mac
The package offers macros for making posters and banners with
TeX. It is compatible with most TeX macro formats, including
Plain TeX, LaTeX, AmSTeX, and AmS-LaTeX. The package creates a
poster as huge box, which is then distributed over as many
printer pages as necessary. The only special requirement is
that your printer not be bothered by text that lies off the
page. This is true of most printers, including laser printers
and PostScript printers.

%package poster-mac-doc
Summary: Documentation for poster-mac
Version: svn18305.1.1

Provides: tex-poster-mac-doc
AutoReqProv: No

%description poster-mac-doc
Documentation for poster-mac

%package ppr-prv
Provides: tex-ppr-prv = %{tl_version}
License: LPPL
Summary: Prosper preview
Version: svn15878.0.13c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(textcomp.sty)
Requires: tex(graphicx.sty)
Requires: tex(geometry.sty)
Requires: tex(keyval.sty)
Requires: tex(ifpdf.sty)
Requires: tex(hyperref.sty)
Requires: tex(float.sty)
Provides: tex(HAP-ppr-prv.def) = %{tl_version}
Provides: tex(ppr-prv.cls) = %{tl_version}

%description ppr-prv
This class is used with LaTeX presentations using the prosper
class. ppr-prv stands for 'Prosper Preview'. The aim of this
class is to produce a printable version of the slides written
with Prosper, with two slides per page.

%package ppr-prv-doc
Summary: Documentation for ppr-prv
Version: svn15878.0.13c

Provides: tex-ppr-prv-doc
AutoReqProv: No

%description ppr-prv-doc
Documentation for ppr-prv

%package preprint
Provides: tex-preprint = %{tl_version}
License: Public Domain
Summary: A bundle of packages provided "as is"
Version: svn30447.2011

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(authblk.sty) = %{tl_version}
Provides: tex(balance.sty) = %{tl_version}
Provides: tex(figcaps.sty) = %{tl_version}
Provides: tex(fullpage.sty) = %{tl_version}
Provides: tex(sublabel.sty) = %{tl_version}

%description preprint
The bundle comprises: authblk, which permits footnote style
author/affiliation input in the \author command, balance, to
balance the end of \twocolumn pages, figcaps, to send figure
captions, etc., to end document, fullpage, to set narrow page
margins and set a fixed page style, and sublabel, which permits
counters to be subnumbered.

%package preprint-doc
Summary: Documentation for preprint
Version: svn30447.2011

Provides: tex-preprint-doc
AutoReqProv: No

%description preprint-doc
Documentation for preprint

%package pressrelease
Provides: tex-pressrelease = %{tl_version}
License: LPPL 1.3
Summary: A class for typesetting press releases
Version: svn35147.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(marvosym.sty)
Requires: tex(tikz.sty)
Requires: tex(xkeyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(setspace.sty)
Requires: tex(geometry.sty)
Requires: tex(url.sty)
Requires: tex(refcount.sty)
Provides: tex(pressrelease-symbols.sty) = %{tl_version}
Provides: tex(pressrelease.cls) = %{tl_version}

%description pressrelease
A configurable class for writing press releases.

%package pressrelease-doc
Summary: Documentation for pressrelease
Version: svn35147.1.0

Provides: tex-pressrelease-doc
AutoReqProv: No

%description pressrelease-doc
Documentation for pressrelease

%package prettyref
Provides: tex-prettyref = %{tl_version}
License: Public Domain
Summary: Make label references "self-identify"
Version: svn15878.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(prettyref.sty) = %{tl_version}

%description prettyref
Prettyref provides a command \newrefformat, which specifies the
way in which a reference is typeset, according to a label
"identification". The identification is set in the \label
command, by using prefixed label names; so instead of
\label{mysection}, one uses \label{sec:mysection}, and
prettyref interprets the "sec:" part. The package is compatible
with hyperref and with other packages.

%package prettyref-doc
Summary: Documentation for prettyref
Version: svn15878.3.0

Provides: tex-prettyref-doc
AutoReqProv: No

%description prettyref-doc
Documentation for prettyref

%package printlen
Provides: tex-printlen = %{tl_version}
License: LPPL
Summary: Print lengths using specified units
Version: svn19847.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(printlen.sty) = %{tl_version}

%description printlen
\printlength{length} prints the value of a LaTeX length in the
units specified by \uselengthunit{unit} ('unit' may be any TeX
length unit except for scaled point, viz., any of: pt, pc, in,
mm, cm, bp, dd or cc). When the unit is pt, the printed length
value will include any stretch or shrink; otherwise these are
not printed. The 'unit' argument may also be PT, in which case
length values will be printed in point units but without any
stretch or shrink values.

%package printlen-doc
Summary: Documentation for printlen
Version: svn19847.1.1a

Provides: tex-printlen-doc
AutoReqProv: No

%description printlen-doc
Documentation for printlen

%package probsoln
Provides: tex-probsoln = %{tl_version}
License: LPPL
Summary: Generate problem sheets and their solution sheets
Version: svn44783
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(amsmath.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xkeyval.sty)
Provides: tex(probsoln.sty) = %{tl_version}

%description probsoln
The package is designed for lecturers who have to generate new
problem sheets for their students on a regular basis (e.g.
yearly) by randomly selecting a specified number of problems
defined in another file. The package allows you easily to
generate a new problem sheet that is different from the
previous year, thus alleviating the temptation of students to
seek out the previous year's students and checking out their
answers. The solutions to the problems can be defined along
with the problem, making it easy to generate the solution sheet
from the same source code; problems may be reused within a
document, so that solutions may appear in a different section
of the same document as the problems they cover.

%package probsoln-doc
Summary: Documentation for probsoln
Version: svn44783
Provides: tex-probsoln-doc
AutoReqProv: No

%description probsoln-doc
Documentation for probsoln

%package program
Provides: tex-program = %{tl_version}
License: GPLv3+
Summary: Typesetting programs and algorithms
Version: svn44214
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(program.sty) = %{tl_version}

%description program
The main offering is a program environment; a programbox
environment is available for fragments that must not break with
the pages.

%package program-doc
Summary: Documentation for program
Version: svn44214
Provides: tex-program-doc
AutoReqProv: No

%description program-doc
Documentation for program

%package progress
Provides: tex-progress = %{tl_version}
License: LPPL
Summary: Creates an overview of a document's state
Version: svn19519.1.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(progress.sty) = %{tl_version}

%description progress
Progress is a package which. when compiling TeX and LaTeX
documents, generates a HTML file showing an overview of a
document's state (of how finished it is). The report is sent to
file \ProgressReportName, which is by default the \jobname with
the date appended (but is user-modifiable).

%package progress-doc
Summary: Documentation for progress
Version: svn19519.1.10

Provides: tex-progress-doc
AutoReqProv: No

%description progress-doc
Documentation for progress

%package progressbar
Provides: tex-progressbar = %{tl_version}
License: LPPL
Summary: Visualize shares of total amounts in the form of a (progress-)bar
Version: svn33822.v1.0b_4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(tikz.sty)
Requires: tex(kvoptions.sty)
Requires: tex(kvsetkeys.sty)
Provides: tex(progressbar.sty) = %{tl_version}

%description progressbar
This package allows you to easily visualize shares of total
amounts in the form of a bar. So basically you can convert any
number between 0 and 1 to a progressbar using the command
\progressbar{<number>}. Also a lot of customizations are
possible, allowing you to create an unique progressbar on your
own. The package uses TikZ to produce its graphics.

%package progressbar-doc
Summary: Documentation for progressbar
Version: svn33822.v1.0b_4

Provides: tex-progressbar-doc
AutoReqProv: No

%description progressbar-doc
Documentation for progressbar

%package proofread
Provides: tex-proofread = %{tl_version}
License: LPPL 1.3
Summary: Commands for inserting annotations
Version: svn43370
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(soul.sty)
Requires: tex(tikz.sty)
Requires: tex(etoolbox.sty)
Provides: tex(proofread.sty) = %{tl_version}

%description proofread
The proofread package defines a few LaTeX commands that are
useful when you proofread a LaTeX document. These allow you to
easily highlight text and add comments in the margin. Vim
escape sequences are provided for inserting these LaTeX
commands in the source. The package is based on code for a text
highlighting command that was published by Antal S-Z in
href='http://tex.stackexchange.com/questions/5959'. The main
file, proofread.dtx, is self-extracting, so you can generate
the style file by compiling proofread.dtx with pdfLaTeX.

%package proofread-doc
Summary: Documentation for proofread
Version: svn43370
Provides: tex-proofread-doc
AutoReqProv: No

%description proofread-doc
Documentation for proofread

%package properties
Provides: tex-properties = %{tl_version}
License: LPPL
Summary: Load properties from a file
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(datatool.sty)
Provides: tex(properties.sty) = %{tl_version}

%description properties
The package loads properties (key, value) from a properties
file, e.g. \jobname.properties.

%package properties-doc
Summary: Documentation for properties
Version: svn15878.0.2

Provides: tex-properties-doc
AutoReqProv: No

%description properties-doc
Documentation for properties

%package prosper
Provides: tex-prosper = %{tl_version}
License: LPPL 1.2
Summary: LaTeX class for high quality slides
Version: svn33033.1.0h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Requires: tex(pst-grad.sty)
Requires: tex(semhelv.sty)
Requires: tex(times.sty)
Requires: tex(palatino.sty)
Requires: tex(mathpazo.sty)
Requires: tex(pst-slpe.sty)
Requires: tex(multido.sty)
Requires: tex(ifthen.sty)
Requires: tex(fp.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Provides: tex(PPRalcatel.sty) = %{tl_version}
Provides: tex(PPRalienglow.sty) = %{tl_version}
Provides: tex(PPRautumn.sty) = %{tl_version}
Provides: tex(PPRazure.sty) = %{tl_version}
Provides: tex(PPRblends.sty) = %{tl_version}
Provides: tex(PPRcapsules.sty) = %{tl_version}
Provides: tex(PPRcontemporain.sty) = %{tl_version}
Provides: tex(PPRcorners.sty) = %{tl_version}
Provides: tex(PPRdarkblue.sty) = %{tl_version}
Provides: tex(PPRdefault.sty) = %{tl_version}
Provides: tex(PPRframes.sty) = %{tl_version}
Provides: tex(PPRfyma.sty) = %{tl_version}
Provides: tex(PPRgyom.sty) = %{tl_version}
Provides: tex(PPRlignesbleues.sty) = %{tl_version}
Provides: tex(PPRmancini.sty) = %{tl_version}
Provides: tex(PPRnuancegris.sty) = %{tl_version}
Provides: tex(PPRprettybox.sty) = %{tl_version}
Provides: tex(PPRrico.sty) = %{tl_version}
Provides: tex(PPRserpaggi.sty) = %{tl_version}
Provides: tex(PPRthomasd.sty) = %{tl_version}
Provides: tex(PPRtroispoints.sty) = %{tl_version}
Provides: tex(PPRwhitecross.sty) = %{tl_version}
Provides: tex(PPRwinter.sty) = %{tl_version}
Provides: tex(PPRwj.sty) = %{tl_version}
Provides: tex(prosper.cls) = %{tl_version}
Provides: tetex-prosper = %{tl_version}
Obsoletes: tetex-prosper < %{tl_version}

%description prosper
Prosper is a LaTeX class for writing transparencies. It is
written as an extension of the seminar class by Timothy Van
Zandt. Prosper offers a friendly environment for creating
slides for both presentations with an overhead projector and a
video projector. Slides prepared for a presentation with a
computer and a video projector may integrate animation effects,
incremental display, and so on. Various visual styles are
supported (including some that mimic PowerPoint) and others are
being contributed.

%package prosper-doc
Summary: Documentation for prosper
Version: svn33033.1.0h

Provides: tex-prosper-doc
AutoReqProv: No

%description prosper-doc
Documentation for prosper

%package protex
Provides: tex-protex = %{tl_version}
License: LPPL
Summary: Literate programming package
Version: svn41633
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(AlProTex.sty) = %{tl_version}
Provides: tex(ProTex.sty) = %{tl_version}

%description protex
ProTeX is a simple but powerful literate programming tool,
which is designed to generate useful hypertext output (either
PDF, or HTML using TeX4ht).

%package protex-doc
Summary: Documentation for protex
Version: svn41633
Provides: tex-protex-doc
AutoReqProv: No

%description protex-doc
Documentation for protex

%package protocol
Provides: tex-protocol = %{tl_version}
License: LPPL 1.3
Summary: A class for minutes of meetings
Version: svn25562.1.13

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(protocol.cls) = %{tl_version}

%description protocol
The present version of the class supports German meeting
minutes including vote results and action items. The author has
ambitions to internationalise the code, and would welcome
support in the work.

%package protocol-doc
Summary: Documentation for protocol
Version: svn25562.1.13

Provides: tex-protocol-doc
AutoReqProv: No

%description protocol-doc
Documentation for protocol

%package psfragx
Provides: tex-psfragx = %{tl_version}
License: LPPL
Summary: A psfrag eXtension
Version: svn26243.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(psfrag.sty)
Requires: tex(overpic.sty)
Provides: tex(psfragx.cfg) = %{tl_version}
Provides: tex(psfragx.sty) = %{tl_version}

%description psfragx
PSfragX offers a mechanism to embed \psfrag commands, as
provided by the psfrag package, into the EPS file itself. Each
time a graphic is included, the EPS file is scanned. If some
tagged lines are found, they are used to define the psfrag
replacements that should be performed automatically. In
addition, a similar mechanism holds for overpic objects. These
are picture objects superimposed on the included graphic. A
similar mechanism is implemented in psfrag itself (but
deprecated in the documentation), but psfragx offers much more
flexibility. For example, if babel is used, it is possible to
define different replacements corresponding to different
languages. The replacements to take into account will be
selected on the basis of the current language of the document.
A Matlab script (LaPrint) is provided, to export an EPS file
with psfragx annotations ready embedded.

%package psfragx-doc
Summary: Documentation for psfragx
Version: svn26243.1.1

Provides: tex-psfragx-doc
AutoReqProv: No

%description psfragx-doc
Documentation for psfragx

%package pstool
Provides: tex-pstool = %{tl_version}
License: LPPL
Summary: Support for psfrag within pdfLaTeX
Version: svn45534
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(catchfile.sty)
Requires: tex(color.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifplatform.sty)
Requires: tex(filemod.sty)
Requires: tex(graphicx.sty)
Requires: tex(psfrag.sty)
Requires: tex(suffix.sty)
Requires: tex(trimspaces.sty)
Requires: tex(xkeyval.sty)
Requires: tex(expl3.sty)
Provides: tex(pstool.sty) = %{tl_version}

%description pstool
The package works in the same sort of way as pst-pdf, but it
also processes the PostScript graphics with psfrag to add
labels within the graphic, before conversion. Thus the bundle
replaces two steps of an ordinary workflow. (Naturally, the
package requires that \write 18 is enabled.) Pstool ensures
that each version of each graphic is compiled once only (the
graphic is (re-)compiled only if it has changed since the
previous compilation of the document). This drastically speeds
up the running of the package in the typical case (though the
first run of any document is inevitably just as slow as with
any similar package).

%package pstool-doc
Summary: Documentation for pstool
Version: svn45534
Provides: tex-pstool-doc
AutoReqProv: No

%description pstool-doc
Documentation for pstool

%package pxgreeks
Provides: tex-pxgreeks = %{tl_version}
License: LPPL 1.3
Summary: Shape selection for PX fonts Greek letters
Version: svn21838.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pxfonts.sty)
Provides: tex(pxgreeks.sty) = %{tl_version}

%description pxgreeks
The package allows LaTeX maths users of the PX fonts to select
the shapes (italic or upright) for the Greek lowercase and
uppercase letters. Once the shapes for lowercase and uppercase
have been selected via a package option, the \other prefix
(e.g., \otheralpha) allows using the alternate glyph (as in the
fourier package). The pxgreeks package does not constrain the
text font that may be used in the document.

%package pxgreeks-doc
Summary: Documentation for pxgreeks
Version: svn21838.1.0

Provides: tex-pxgreeks-doc
AutoReqProv: No

%description pxgreeks-doc
Documentation for pxgreeks

%package python
Provides: tex-python = %{tl_version}
License: GPL+
Summary: Embed Python code in LaTeX
Version: svn27064.0.21

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(python.sty) = %{tl_version}

%description python
The package enables you to embed Python code in LaTeX, and
insert the script's output in the document.

%package python-doc
Summary: Documentation for python
Version: svn27064.0.21

Provides: tex-python-doc
AutoReqProv: No

%description python-doc
Documentation for python

%package qcm
Provides: tex-qcm = %{tl_version}
License: LPPL
Summary: A LaTeX2e class for making multiple choice questionnaires
Version: svn15878.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(verbatim.sty)
Requires: tex(tabularx.sty)
Provides: tex(qcm.cls) = %{tl_version}
Provides: tex(qcm.sty) = %{tl_version}

%description qcm
QCM is a package for making multiple choices questionnaires
under LaTeX2e ("QCM" is the French acronym for this style of
test). A special environment allows you to define questions and
possible answers. You can specify which answers are correct and
which are not. QCM not only formats the questions for you, but
also generates a 'form' (a grid that your students will have to
fill in), and a 'mask' (the same grid, only with correct
answers properly checked in). You can then print the mask on a
slide and correct the questionnaires more easily by
superimposing the mask on top of students' forms. QCM can also
typeset exam corrections automatically, and comes with support
for AUC-TeX.

%package qcm-doc
Summary: Documentation for qcm
Version: svn15878.2.1

Provides: tex-qcm-doc
AutoReqProv: No

%description qcm-doc
Documentation for qcm

%package qstest
Provides: tex-qstest = %{tl_version}
License: LPPL
Summary: Bundle for unit tests and pattern matching
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(makematch.sty) = %{tl_version}
Provides: tex(qstest.sty) = %{tl_version}

%description qstest
This is the public release of the qstest bundle (written for
DocScape Publisher) (C) 2006, 2007 QuinScape GmbH. The bundle
contains the packages 'makematch' for matching patterns to
targets (with a generalization in the form of pattern lists and
keyword lists), and 'qstest' for performing unit tests,
allowing the user to run a number of logged tests ensuring the
consistency of values, properties and call sequences during
execution of test code. Both packages make extensive use of in
their package documentation, providing illustrated examples
that are automatically verified to work as expected. Check the
README file for details.

%package qstest-doc
Summary: Documentation for qstest
Version: svn15878.0

Provides: tex-qstest-doc
AutoReqProv: No

%description qstest-doc
Documentation for qstest

%package qsymbols
Provides: tex-qsymbols = %{tl_version}
License: GPL+
Summary: Maths symbol abbreviations
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Requires: tex(amsbsy.sty)
Requires: tex(stmaryrd.sty)
Requires: tex(xy.sty)
Provides: tex(qsymbols.sty) = %{tl_version}

%description qsymbols
Provides macros for defining systematic mnemonic abbreviations,
starting with ` for math symbols and \" for arrows, using
standard symbols as well as those from the amsfonts bundle and
the stmaryrd package.

%package qsymbols-doc
Summary: Documentation for qsymbols
Version: svn15878.0

Provides: tex-qsymbols-doc
AutoReqProv: No

%description qsymbols-doc
Documentation for qsymbols

%package quotchap
Provides: tex-quotchap = %{tl_version}
License: GPL+
Summary: Decorative chapter headings
Version: svn28046.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(quotchap.sty) = %{tl_version}

%description quotchap
A package for creating decorative chapter headings with
quotations. Uses graphical and coloured output and by default
needs the "Adobe standard font set" (as supported by psnfss).

%package quotchap-doc
Summary: Documentation for quotchap
Version: svn28046.1.1

Provides: tex-quotchap-doc
AutoReqProv: No

%description quotchap-doc
Documentation for quotchap

%package quoting
Provides: tex-quoting = %{tl_version}
License: LPPL 1.3
Summary: Consolidated environment for displayed text
Version: svn32818.v0.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(kvoptions.sty)
Provides: tex(quoting.sty) = %{tl_version}

%description quoting
As an alternative to the LaTeX standard environments quotation
and quote, the package provides a consolidated environment for
displayed text. First-line indentation may be activated by
adding a blank line before the quoting environment. A key-value
interface (using kvoptions) allows the user to configure font
properties and spacing and to control orphans within and after
the environment.

%package quoting-doc
Summary: Documentation for quoting
Version: svn32818.v0.1c

Provides: tex-quoting-doc
AutoReqProv: No

%description quoting-doc
Documentation for quoting

%package quotmark
Provides: tex-quotmark = %{tl_version}
License: LPPL
Summary: Consistent quote marks
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(quotmark-UKenglish.def) = %{tl_version}
Provides: tex(quotmark-USenglish.def) = %{tl_version}
Provides: tex(quotmark-afrikaans.def) = %{tl_version}
Provides: tex(quotmark-brazil.def) = %{tl_version}
Provides: tex(quotmark-bulgarian.def) = %{tl_version}
Provides: tex(quotmark-catalan.def) = %{tl_version}
Provides: tex(quotmark-croatian.def) = %{tl_version}
Provides: tex(quotmark-czech.def) = %{tl_version}
Provides: tex(quotmark-danish.def) = %{tl_version}
Provides: tex(quotmark-dutch.def) = %{tl_version}
Provides: tex(quotmark-estonian.def) = %{tl_version}
Provides: tex(quotmark-finnish.def) = %{tl_version}
Provides: tex(quotmark-frenchb.def) = %{tl_version}
Provides: tex(quotmark-germanb.def) = %{tl_version}
Provides: tex(quotmark-greek.def) = %{tl_version}
Provides: tex(quotmark-hebrew.def) = %{tl_version}
Provides: tex(quotmark-icelandic.def) = %{tl_version}
Provides: tex(quotmark-irish.def) = %{tl_version}
Provides: tex(quotmark-italian.def) = %{tl_version}
Provides: tex(quotmark-magyar.def) = %{tl_version}
Provides: tex(quotmark-ngermanb.def) = %{tl_version}
Provides: tex(quotmark-norsk.def) = %{tl_version}
Provides: tex(quotmark-polish.def) = %{tl_version}
Provides: tex(quotmark-portuges.def) = %{tl_version}
Provides: tex(quotmark-romanian.def) = %{tl_version}
Provides: tex(quotmark-russianb.def) = %{tl_version}
Provides: tex(quotmark-serbian.def) = %{tl_version}
Provides: tex(quotmark-slovak.def) = %{tl_version}
Provides: tex(quotmark-slovene.def) = %{tl_version}
Provides: tex(quotmark-sorbian.def) = %{tl_version}
Provides: tex(quotmark-spanish.def) = %{tl_version}
Provides: tex(quotmark-swedish.def) = %{tl_version}
Provides: tex(quotmark-swiss.def) = %{tl_version}
Provides: tex(quotmark-turkish.def) = %{tl_version}
Provides: tex(quotmark-ukraineb.def) = %{tl_version}
Provides: tex(quotmark-welsh.def) = %{tl_version}
Provides: tex(quotmark.sty) = %{tl_version}

%description quotmark
The package provides a means of ensuring consistent quote marks
throughout your document. The style can be changed either via
package option or command, and the package detects language
selections (from the babel or ngerman packages), and uses the
punctuation marks appropriate for the current language. The
author now considers the package obsolete, and recommends use
of csquotes in its place.

%package quotmark-doc
Summary: Documentation for quotmark
Version: svn15878.1.0

Provides: tex-quotmark-doc
AutoReqProv: No

%description quotmark-doc
Documentation for quotmark

%package ran_toks
Provides: tex-ran_toks = %{tl_version}
License: LPPL
Summary: Randomise token strings
Version: svn44429
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(verbatim.sty)
Requires: tex(random.tex)
Provides: tex(ran_toks.sty) = %{tl_version}

%description ran_toks
The package provides means of randomising lists of tokens, or
lists of chunks of tokens. Two mechanisms for defining chunks
are provided: the macro \ranToks command accepts an argument
containing tokens to be randomised; and the \bRTVToks/\eRTVToks
commands delimit a collection of tokens for randomising; each
group inside a rtVw constitutes one of these (typically larger)
token sets.

%package ran_toks-doc
Summary: Documentation for ran_toks
Version: svn44429
Provides: tex-ran_toks-doc
AutoReqProv: No

%description ran_toks-doc
Documentation for ran_toks

%package randtext
Provides: tex-randtext = %{tl_version}
License: LPPL
Summary: Randomise the order of characters in strings
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(random.tex)
Provides: tex(randtext.sty) = %{tl_version}

%description randtext
The package provides a single macro \randomize{TEXT} that
typesets the characters of TEXT in random order, such that the
resulting output appears correct, but most automated attempts
to read the file will misunderstand it. This function allows
one to include an email address in a TeX document and publish
it online without fear of email address harvesters or spammers
easily picking up the address.

%package randtext-doc
Summary: Documentation for randtext
Version: svn15878.0

Provides: tex-randtext-doc
AutoReqProv: No

%description randtext-doc
Documentation for randtext

%package rccol
Provides: tex-rccol = %{tl_version}
License: LPPL
Summary: Decimal-centered optionally rounded numbers in tabular
Version: svn15878.1.2c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(fltpoint.sty)
Provides: tex(rccol.sty) = %{tl_version}

%description rccol
The rccol package provides decimal-centered numbers:
corresponding digits and decimal separators aligned.
Furthermore, rounding to the desired precision is possible. The
package makes use of the fltpoint package (as well as the LaTeX
required array package).

%package rccol-doc
Summary: Documentation for rccol
Version: svn15878.1.2c

Provides: tex-rccol-doc
AutoReqProv: No

%description rccol-doc
Documentation for rccol

%package rcs-multi
Provides: tex-rcs-multi = %{tl_version}
License: LPPL
Summary: Typeset RCS version control in multiple-file documents
Version: svn21939.0.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(rcs-multi.sty) = %{tl_version}

%description rcs-multi
The package enables the user to typeset version control
information provided by RCS keywords (e.g., $ID: ... $) in
LaTeX documents that contain multiple TeX files. The package is
based on the author's svn-multi package.

%package rcs-multi-doc
Summary: Documentation for rcs-multi
Version: svn21939.0.1a

Provides: tex-rcs-multi-doc
AutoReqProv: No

%description rcs-multi-doc
Documentation for rcs-multi

%package rcsinfo
Provides: tex-rcsinfo = %{tl_version}
License: LPPL
Summary: Support for the revision control system
Version: svn15878.1.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyheadings.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(scrpage2.sty)
Provides: tex(rcsinfo.cfg) = %{tl_version}
Provides: tex(rcsinfo.sty) = %{tl_version}

%description rcsinfo
A package to extract RCS (Revision Control System) information
and use it in a LaTeX document. For users of LaTeX2HTML
rcsinfo.perl is included.

%package rcsinfo-doc
Summary: Documentation for rcsinfo
Version: svn15878.1.11

Provides: tex-rcsinfo-doc
AutoReqProv: No

%description rcsinfo-doc
Documentation for rcsinfo

%package readarray
Provides: tex-readarray = %{tl_version}
License: LPPL 1.3
Summary: Read, store and recall array-formatted data
Version: svn42467
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(readarray.sty) = %{tl_version}

%description readarray
The package allows the user to input formatted data into
elements of a 2-D or 3-D array and to recall that data at will
by individual cell number. The data can be but need not be
numerical in nature. It can be, for example, formatted text.
While the package can be used for any application where indexed
data is called for, the package proves particularly useful when
elements of multiple arrays must be recallable and dynamically
combined at time of compilation, rather than in advance.

%package readarray-doc
Summary: Documentation for readarray
Version: svn42467
Provides: tex-readarray-doc
AutoReqProv: No

%description readarray-doc
Documentation for readarray

%package realboxes
Provides: tex-realboxes = %{tl_version}
License: LPPL 1.3
Summary: Variants of common box-commands that read their content as real box and not as macro argument
Version: svn23581.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(collectbox.sty)
Requires: tex(adjcalc.sty)
Requires: tex(calc.sty)
Requires: tex(fancybox.sty)
Requires: tex(xcolor.sty)
Requires: tex(color.sty)
Requires: tex(graphicx.sty)
Requires: tex(graphics.sty)
Requires: tex(dashbox.sty)
Provides: tex(realboxes.sty) = %{tl_version}

%description realboxes
The package uses the author's package collectbox to define
variants of common box related macros which read the content as
real box and not as macro argument. This enables the use of
verbatim or other special material as part of this content. The
provided macros have the same names as the original versions
but start with an upper-case letter instead. The "long-form"
macros, like \Makebox, can also be used as environments, but
not the "short-form" macros, like \Mbox. However, normally the
long form uses the short form anyway when no optional arguments
are used.

%package realboxes-doc
Summary: Documentation for realboxes
Version: svn23581.0.2

Provides: tex-realboxes-doc
AutoReqProv: No

%description realboxes-doc
Documentation for realboxes

%package recipe
Provides: tex-recipe = %{tl_version}
License: Public Domain
Summary: A LaTeX class to typeset recipes
Version: svn15878.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(recipe.cls) = %{tl_version}

%description recipe
The layout design is relative straightforward (and traditional:
see 'sample output' under 'documentation'); the class needs
uses the Bookman and BrushScript-Italic fonts.

%package recipe-doc
Summary: Documentation for recipe
Version: svn15878.0.9

Provides: tex-recipe-doc
AutoReqProv: No

%description recipe-doc
Documentation for recipe

%package recipebook
Provides: tex-recipebook = %{tl_version}
License: LPPL 1.3
Summary: Typeset 5.5" x 8" recipes for browsing or printing
Version: svn37026.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ragged2e.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(xparse.sty)
Requires: tex(wrapfig.sty)
Requires: tex(graphicx.sty)
Requires: tex(eso-pic.sty)
Requires: tex(anyfontsize.sty)
Requires: tex(scrextend.sty)
Requires: tex(multirow.sty)
Requires: tex(multicol.sty)
Requires: tex(nicefrac.sty)
Requires: tex(xcolor.sty)
Requires: tex(gensymb.sty)
Requires: tex(booktabs.sty)
Requires: tex(tabularx.sty)
Requires: tex(calc.sty)
Requires: tex(picture.sty)
Requires: tex(parskip.sty)
Requires: tex(tgtermes.sty)
Requires: tex(fontenc.sty)
Requires: tex(datetime.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(tikz.sty)
Requires: tex(tocloft.sty)
Requires: tex(hyperref.sty)
Requires: tex(geometry.sty)
Requires: tex(environ.sty)
Requires: tex(tcolorbox.sty)
Provides: tex(RecipeBook.cls) = %{tl_version}

%description recipebook
This is a LaTeX2e class for typesetting recipes. It is designed
for typesetting one or two recipes per page, with dimensions of
5.5" x 8.5". The hyperlinked table of contents (ToC) and page
numbers make browsing recipes convenient, and the pages can be
joined together or printed two per sheet to normal letterpaper
easily. The size was chosen to work in half-page 3-ring binder
cover sheets.

%package recipebook-doc
Summary: Documentation for recipebook
Version: svn37026.0

Provides: tex-recipebook-doc
AutoReqProv: No

%description recipebook-doc
Documentation for recipebook

%package recipecard
Provides: tex-recipecard = %{tl_version}
License: LPPL
Summary: Typeset recipes in note-card-sized boxes
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(boxedminipage.sty)
Requires: tex(geometry.sty)
Provides: tex(recipecard.cls) = %{tl_version}

%description recipecard
The recipecard class typesets recipes into note card sized
boxes that can then be cut out and pasted on to note cards. The
recipe then looks elegant and fits in the box of recipes.

%package recipecard-doc
Summary: Documentation for recipecard
Version: svn15878.2.0

Provides: tex-recipecard-doc
AutoReqProv: No

%description recipecard-doc
Documentation for recipecard

%package rectopma
Provides: tex-rectopma = %{tl_version}
License: LPPL
Summary: Recycle top matter
Version: svn19980.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(rectopma.sty) = %{tl_version}

%description rectopma
Saves the arguments of \author and \title for reference (after
\maketitle) in a document. (\maketitle simply disposes of the
information, in the standard classes and some others.)

%package rectopma-doc
Summary: Documentation for rectopma
Version: svn19980.0

Provides: tex-rectopma-doc
AutoReqProv: No

%description rectopma-doc
Documentation for rectopma

%package refcheck
Provides: tex-refcheck = %{tl_version}
License: GPL+
Summary: Check references (in figures, table, equations, etc)
Version: svn29128.1.9.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(refcheck.sty) = %{tl_version}

%description refcheck
The package checks references in a document, looking for
numbered but unlabelled equations, for labels which are not
used in the text, for unused bibliography references. It can
also display label names in text near corresponding numbers of
equations and/or bibliography references.

%package refcheck-doc
Summary: Documentation for refcheck
Version: svn29128.1.9.1

Provides: tex-refcheck-doc
AutoReqProv: No

%description refcheck-doc
Documentation for refcheck

%package refenums
Provides: tex-refenums = %{tl_version}
License: LPPL 1.3
Summary: Define reference labels items with names of their own
Version: svn44131
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(csquotes.sty)
Requires: tex(ifthen.sty)
Requires: tex(hyperref.sty)
Requires: tex(cleveref.sty)
Provides: tex(refenums.sty) = %{tl_version}

%description refenums
The package provides commands to define enumerable items with a
number and a long name, which can be referenced referenced
later with the name or just the short form. For instance,
"Milestone M1: Specification created" can be defined and later
on be referenced with 'M1' or 'M1 ("Specification created")'.
The text in the references is derived from the definition and
also rendered as hyperlink to the definition.

%package refenums-doc
Summary: Documentation for refenums
Version: svn44131
Provides: tex-refenums-doc
AutoReqProv: No

%description refenums-doc
Documentation for refenums

%package reflectgraphics
Provides: tex-reflectgraphics = %{tl_version}
License: LPPL 1.3
Summary: Techniques for reflecting graphics
Version: svn40612

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(keyval.sty)
Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Requires: tex(tikz.sty)
Provides: tex(reflectgraphics.sty) = %{tl_version}

%description reflectgraphics
The package provides a macro for reflecting images, in a number
of different ways, in pursuit of "more striking" graphics in a
document.

%package reflectgraphics-doc
Summary: Documentation for reflectgraphics
Version: svn40612

Provides: tex-reflectgraphics-doc
AutoReqProv: No

%description reflectgraphics-doc
Documentation for reflectgraphics

%package refman
Provides: tex-refman = %{tl_version}
License: LPPL
Summary: Format technical reference manuals
Version: svn15878.2.0e

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pagepc.sty) = %{tl_version}
Provides: tex(refart.cls) = %{tl_version}
Provides: tex(refrep.cls) = %{tl_version}

%description refman
Document classes (report- and article-style) for writing
technical reference manuals. It offers a wide left margin for
notes to the reader, like some of the manuals distributed by
Adobe.

%package refman-doc
Summary: Documentation for refman
Version: svn15878.2.0e

Provides: tex-refman-doc
AutoReqProv: No

%description refman-doc
Documentation for refman

%package refstyle
Provides: tex-refstyle = %{tl_version}
License: LPPL
Summary: Advanced formatting of cross references
Version: svn20318.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(refstyle.cfg) = %{tl_version}
Provides: tex(refstyle.sty) = %{tl_version}

%description refstyle
The package provides a consistent way of producing references
throughout a project. Enough flexibility is provided to make
local changes to a single reference. The user can configure
their own setup. The package offers a direct interface to
varioref (for use, for example, in large projects such as a
series of books, or a multivolume thesis written as a series of
documents), and name references from the nameref package may be
incorporated with ease. For large projects such as a series of
books or a multi volume thesis, written as freestanding
documents, a facility is provided to interface to the xr
package for external document references.

%package refstyle-doc
Summary: Documentation for refstyle
Version: svn20318.0.5

Provides: tex-refstyle-doc
AutoReqProv: No

%description refstyle-doc
Documentation for refstyle

%package regcount
Provides: tex-regcount = %{tl_version}
License: LPPL
Summary: Display the allocation status of the TeX registers
Version: svn19979.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(regcount.sty) = %{tl_version}

%description regcount
Adds a macro \rgcounts which displays the allocation status of
the TeX registers. The display is written into the .log file as
it is a bit verbose. An automatic call to \rgcounts is done at
\begin{document} and \end{document}.

%package regcount-doc
Summary: Documentation for regcount
Version: svn19979.1.0

Provides: tex-regcount-doc
AutoReqProv: No

%description regcount-doc
Documentation for regcount

%package regexpatch
Provides: tex-regexpatch = %{tl_version}
License: LPPL 1.3
Summary: High level patching of commands
Version: svn41204

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3regex.sty)
Provides: tex(regexpatch.sty) = %{tl_version}

%description regexpatch
The package generalises the macro patching commands provided by
P. Lehmann's etoolbox. The difference between this package and
its sibling xpatch is that this package sports a very powerful
\regexpatchcmd based on the l3regex module of the LaTeX3
experimental packages.

%package regexpatch-doc
Summary: Documentation for regexpatch
Version: svn41204

Provides: tex-regexpatch-doc
AutoReqProv: No

%description regexpatch-doc
Documentation for regexpatch

%package register
Provides: tex-register = %{tl_version}
License: LPPL
Summary: Typeset programmable elements in digital hardware (registers)
Version: svn21127.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(float.sty)
Requires: tex(calc.sty)
Provides: tex(register.sty) = %{tl_version}

%description register
This package is designed for typesetting the programmable
elements in digital hardware, i.e., registers. Such registers
typically have many fields and can be quite wide; they are thus
a challenge to typeset in a consistent manner. Register is
similar in some aspects to the bytefield package. Anyone doing
hardware documentation using LaTeX should examine both
packages. Register requires a fairly recent version of the
float package. A Perl module and a Perl script are provided, to
translate the register specifications into programmable data
structures.

%package register-doc
Summary: Documentation for register
Version: svn21127.1.6

Provides: tex-register-doc
AutoReqProv: No

%description register-doc
Documentation for register

%package regstats
Provides: tex-regstats = %{tl_version}
License: LPPL 1.3
Summary: Information about register use
Version: svn25050.1.0h

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(atveryend.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(intcalc.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifpdf.sty)
Provides: tex(regstats.sty) = %{tl_version}

%description regstats
The package will report number of used registers (counter,
dimen, skip, muskip, box, token, input, output, math families,
languages, insertions), and will compare the number to the
maximum available number of such registers.

%package regstats-doc
Summary: Documentation for regstats
Version: svn25050.1.0h

Provides: tex-regstats-doc
AutoReqProv: No

%description regstats-doc
Documentation for regstats

%package relenc
Provides: tex-relenc = %{tl_version}
License: LPPL
Summary: A "relaxed" font encoding
Version: svn22050.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(zcmr8d.tfm) = %{tl_version}
Provides: tex(zcmra.tfm) = %{tl_version}
Provides: tex(zcmr8d.vf) = %{tl_version}
Provides: tex(zcmra.vf) = %{tl_version}
Provides: tex(2sidedoc.sty) = %{tl_version}
Provides: tex(ecsubzcm.sty) = %{tl_version}
Provides: tex(relenc.sty) = %{tl_version}
Provides: tex(t1renc.def) = %{tl_version}
Provides: tex(t1rzcm.fd) = %{tl_version}

%description relenc
LaTeX package providing a relaxed font encoding to make
available to a font designer more slots for insertion of
ligatures and accented characters.

%package relenc-doc
Summary: Documentation for relenc
Version: svn22050.0

Provides: tex-relenc-doc
AutoReqProv: No

%description relenc-doc
Documentation for relenc

%package relsize
Provides: tex-relsize = %{tl_version}
License: Public Domain
Summary: Set the font size relative to the current font size
Version: svn30707.4.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(relsize.sty) = %{tl_version}

%description relsize
The basic command of the package is \relsize, whose argument is
a number of \magsteps to change size; from this are defined
commands \larger, \smaller, \textlarger, etc.

%package relsize-doc
Summary: Documentation for relsize
Version: svn30707.4.1

Provides: tex-relsize-doc
AutoReqProv: No

%description relsize-doc
Documentation for relsize

%package repeatindex
Provides: tex-repeatindex = %{tl_version}
License: LPPL
Summary: Repeat items in an index after a page or column break
Version: svn24305.0.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(afterpage.sty)
Requires: tex(makeidx.sty)
Provides: tex(repeatindex.sty) = %{tl_version}

%description repeatindex
This Package repeats item of an index if a page or column break
occurs within a list of subitems. This helps to find out to
which main item a subitem belongs.

%package repeatindex-doc
Summary: Documentation for repeatindex
Version: svn24305.0.01

Provides: tex-repeatindex-doc
AutoReqProv: No

%description repeatindex-doc
Documentation for repeatindex

%package repltext
Provides: tex-repltext = %{tl_version}
License: LPPL 1.3
Summary: Control how text gets copied from a PDF file
Version: svn33442.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(graphicx.sty)
Provides: tex(repltext.sty) = %{tl_version}

%description repltext
The repltext package exposes to LaTeX a relatively obscure PDF
feature: replacement text. When replacement text is specified
for a piece of text, it is the replacement text, not the
typeset text that is copied and pasted.

%package repltext-doc
Summary: Documentation for repltext
Version: svn33442.1.0

Provides: tex-repltext-doc
AutoReqProv: No

%description repltext-doc
Documentation for repltext

%package rjlparshap
Provides: tex-rjlparshap = %{tl_version}
License: LPPL 1.2
Summary: Support for use of \parshape in LaTeX
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(arrayjob.sty)
Requires: tex(forloop.sty)
Provides: tex(rjlpshap.sty) = %{tl_version}

%description rjlparshap
The package provides macros and environments that relieve the
programmer of some of the difficulties of using \parshape in
LaTeX macros. It does not actually calculate shapes in the way
that the shapepar package does.

%package rjlparshap-doc
Summary: Documentation for rjlparshap
Version: svn15878.1.0

Provides: tex-rjlparshap-doc
AutoReqProv: No

%description rjlparshap-doc
Documentation for rjlparshap

%package rlepsf
Provides: tex-rlepsf = %{tl_version}
License: LPPL
Summary: Rewrite labels in EPS graphics
Version: svn19082.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(rlepsf.tex) = %{tl_version}

%description rlepsf
A macro package for use with epsf.tex which allows PostScript
labels in an Encapsulated PostScript file to be replaced by TeX
labels. The package provides commands \relabel (simply replace
a PostScript string), \adjustrelabel (replace a PostScript
string, with position adjustment), and \extralabel (add a label
at given coordinates). You can, if you so choose, use the
facilities of the labelfig package in place of using
\extralabel.

%package rlepsf-doc
Summary: Documentation for rlepsf
Version: svn19082.0

Provides: tex-rlepsf-doc
AutoReqProv: No

%description rlepsf-doc
Documentation for rlepsf

%package rmpage
Provides: tex-rmpage = %{tl_version}
License: GPL+
Summary: A package to help change page layout parameters in LaTeX
Version: svn20002.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(avant.sty)
Requires: tex(bookman.sty)
Requires: tex(chancery.sty)
Requires: tex(helvet.sty)
Requires: tex(newcent.sty)
Requires: tex(palatino.sty)
Requires: tex(times.sty)
Requires: tex(utopia.sty)
Requires: tex(beton.sty)
Provides: tex(rmpage.sty) = %{tl_version}
Provides: tex(rmpgen.cfg) = %{tl_version}

%description rmpage
The package lets you change page layout parameters in small
steps over a range of values using options. It can set
\textwidth appropriately for the main fount, and ensure that
the text fits inside the printable area of a printer. An rmpage-
formatted document can be typeset identically without rmpage
after a single cut and paste operation. Local configuration can
set defaults: for all documents; and by class, by printer, and
by paper size. The geometry package is better if you want to
set page layout parameters to particular measurements.

%package rmpage-doc
Summary: Documentation for rmpage
Version: svn20002.0.92

Provides: tex-rmpage-doc
AutoReqProv: No

%description rmpage-doc
Documentation for rmpage

%package robustcommand
Provides: tex-robustcommand = %{tl_version}
License: LPPL
Summary: Declare robust command, with \newcommand checks
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(robustcommand.sty) = %{tl_version}

%description robustcommand
The package merely provides a variation of
\DeclareRobustCommand, which checks for the existence of a
command before declaring it robust.

%package robustcommand-doc
Summary: Documentation for robustcommand
Version: svn15878.0.1

Provides: tex-robustcommand-doc
AutoReqProv: No

%description robustcommand-doc
Documentation for robustcommand

%package robustindex
Provides: tex-robustindex = %{tl_version}
License: LPPL
Summary: Create index with pagerefs
Version: svn45452
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(robustglossary.sty) = %{tl_version}
Provides: tex(robustindex.sty) = %{tl_version}

%description robustindex
Third parties often change the page numbers without rerunning
makeindex. One would like to make the page numbers in the index
entries more robust. This bundle provides robustindex.sty and
robustglossary.sty, which use the \pageref mechanism to
maintain correct page numbers

%package robustindex-doc
Summary: Documentation for robustindex
Version: svn45452
Provides: tex-robustindex-doc
AutoReqProv: No

%description robustindex-doc
Documentation for robustindex

%package romanbar
Provides: tex-romanbar = %{tl_version}
License: LPPL 1.3
Summary: Write roman number with "bars"
Version: svn25005.1.0f

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(romanbar.sty) = %{tl_version}

%description romanbar
'Bars', in the present context, are lines above and below text
that abut with the text. Barred roman numerals are sometimes
found in publications. The package provides a function that
prints barred roman numerals (converting arabic numerals if
necessary). The package also provides a predicate \ifnumeric.

%package romanbar-doc
Summary: Documentation for romanbar
Version: svn25005.1.0f

Provides: tex-romanbar-doc
AutoReqProv: No

%description romanbar-doc
Documentation for romanbar

%package romanbarpagenumber
Provides: tex-romanbarpagenumber = %{tl_version}
License: LPPL 1.3
Summary: Typesetting roman page numbers
Version: svn36236.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(xifthen.sty)
Requires: tex(romanbar.sty)
Provides: tex(romanbarpagenumber.sty) = %{tl_version}

%description romanbarpagenumber
The package romanbar allows to typeset roman numbers with bars.
This package allows you to use those roman numbers as page
number.

%package romanbarpagenumber-doc
Summary: Documentation for romanbarpagenumber
Version: svn36236.1.0

Provides: tex-romanbarpagenumber-doc
AutoReqProv: No

%description romanbarpagenumber-doc
Documentation for romanbarpagenumber

%package romanneg
Provides: tex-romanneg = %{tl_version}
License: Public Domain
Summary: Roman page numbers negative
Version: svn20087.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(romanneg.sty) = %{tl_version}

%description romanneg
Causes the page numbers in the DVI file (as defined by \count0)
to be negative when roman pagenumbering is in effect.

%package romanneg-doc
Summary: Documentation for romanneg
Version: svn20087.0

Provides: tex-romanneg-doc
AutoReqProv: No

%description romanneg-doc
Documentation for romanneg

%package romannum
Provides: tex-romannum = %{tl_version}
License: LPPL
Summary: Generate roman numerals instead of arabic digits
Version: svn15878.1.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(stdclsdv.sty)
Provides: tex(romannum.sty) = %{tl_version}

%description romannum
The romannum package changes LaTeX generated numbers to be
printed with roman numerals instead of arabic digits. It
requires the stdclsdv package. Users of the bookhands fonts may
find this package useful.

%package romannum-doc
Summary: Documentation for romannum
Version: svn15878.1.0b

Provides: tex-romannum-doc
AutoReqProv: No

%description romannum-doc
Documentation for romannum

%package rotfloat
Provides: tex-rotfloat = %{tl_version}
License: LPPL
Summary: Rotate floats
Version: svn18292.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(float.sty)
Requires: tex(rotating.sty)
Provides: tex(rotfloat.sty) = %{tl_version}

%description rotfloat
The float package provides commands to define new floats of
various styles (plain, boxed, ruled, and userdefined ones); the
rotating package provides new environments (sidewaysfigure and
sidewaystable) which are rotated by 90 or 270 degrees. But what
about new rotated floats, e.g. a rotated ruled one? This
package makes this possible; it builds a bridge between the two
packages and extends the commands from the float package to
define rotated versions of the new floats, too.

%package rotfloat-doc
Summary: Documentation for rotfloat
Version: svn18292.1.2

Provides: tex-rotfloat-doc
AutoReqProv: No

%description rotfloat-doc
Documentation for rotfloat

%package rotpages
Provides: tex-rotpages = %{tl_version}
License: LPPL
Summary: Typeset sets of pages upside-down and backwards
Version: svn18740.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Provides: tex(rotpages.sty) = %{tl_version}

%description rotpages
The rotpages package allows you to format documents where small
sets of pages are rotated by 180 degrees and rearranged, so
that they can be read by turning the printed copy upside-down.
It was developed for collecting exercises and solutions: using
the package, you can print the exercise text normally and the
solutions rotated.

%package rotpages-doc
Summary: Documentation for rotpages
Version: svn18740.3.0

Provides: tex-rotpages-doc
AutoReqProv: No

%description rotpages-doc
Documentation for rotpages

%package roundbox
Provides: tex-roundbox = %{tl_version}
License: LPPL 1.3
Summary: Round boxes in LaTeX
Version: svn29675.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(roundbox.sty) = %{tl_version}

%description roundbox
This package implements a command \roundbox that can be used,
in LaTeX, for producing boxes, framed with rounded corners.

%package roundbox-doc
Summary: Documentation for roundbox
Version: svn29675.0.2

Provides: tex-roundbox-doc
AutoReqProv: No

%description roundbox-doc
Documentation for roundbox

%package rterface
Provides: tex-rterface = %{tl_version}
License: LPPL 1.2
Summary: Access to R analysis from within a document
Version: svn30084.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(newfile.sty)
Provides: tex(rterface.sty) = %{tl_version}

%description rterface
The package mediates interaction between LaTeX and R; it allows
LaTeX to set R's parameters, and provides code to read R
output.

%package rterface-doc
Summary: Documentation for rterface
Version: svn30084.0

Provides: tex-rterface-doc
AutoReqProv: No

%description rterface-doc
Documentation for rterface

%package rtkinenc
Provides: tex-rtkinenc = %{tl_version}
License: LPPL
Summary: Input encoding with fallback procedures
Version: svn20003.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(rtkinenc.sty) = %{tl_version}

%description rtkinenc
The rtkinenc package is functionally similar to the standard
LaTeX package inputenc: both set up active characters so that
an input character outside the range of 7-bit visible ASCII is
coverted into one or more corresponding LaTeX commands. The
main difference lies in that rtkinenc allows the user to
specify a fallback procedure to use when the text command
corresponding to some input character isn't available. Names of
commands in rtkinenc have been selected so that it can read
inputenc encoding definition files, and the aim is that
rtkinenc should be backwards compatible with inputenc. rtkinenc
is not a new version of inputenc though, nor is it part of
standard LaTeX. For an example of how rtkinenc is used, the
user may look at the tclldoc class.

%package rtkinenc-doc
Summary: Documentation for rtkinenc
Version: svn20003.1.0

Provides: tex-rtkinenc-doc
AutoReqProv: No

%description rtkinenc-doc
Documentation for rtkinenc

%package rulercompass
Provides: tex-rulercompass = %{tl_version}
License: LPPL 1.3
Summary: A TikZ library for straight-edge and compass diagrams
Version: svn32392.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tikzlibraryrulercompass.code.tex) = %{tl_version}

%description rulercompass
The package defines some commands and styles to support drawing
straight-edge and compass diagrams with TikZ.

%package rulercompass-doc
Summary: Documentation for rulercompass
Version: svn32392.1

Provides: tex-rulercompass-doc
AutoReqProv: No

%description rulercompass-doc
Documentation for rulercompass

%package rvwrite
Provides: tex-rvwrite = %{tl_version}
License: LPPL
Summary: Increase the number of available output streams in LaTeX
Version: svn19614.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(rvwrite.sty) = %{tl_version}

%description rvwrite
The package addresses, for LaTeX documents, the severe
limitation on the number of output streams that TeX provides.
The package uses a single TeX output stream, and writes "marked-
up" output to this stream. The user may then post-process the
marked-up output file, using LaTeX, and the document's output
appears as separate files, according to the calls made to the
package. The output to be post-processed uses macros from the
widely-available ProTeX package.

%package rvwrite-doc
Summary: Documentation for rvwrite
Version: svn19614.1.2

Provides: tex-rvwrite-doc
AutoReqProv: No

%description rvwrite-doc
Documentation for rvwrite

%package savefnmark
Provides: tex-savefnmark = %{tl_version}
License: GPL+
Summary: Save name of the footnote mark for reuse
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(savefnmark.sty) = %{tl_version}

%description savefnmark
Sometimes the same footnote applies to more than one location
in a table. With this package the mark of a footnote can be
saved into a name, and re-used subsequently without creating
another footnote at the bottom.

%package savefnmark-doc
Summary: Documentation for savefnmark
Version: svn15878.1.0

Provides: tex-savefnmark-doc
AutoReqProv: No

%description savefnmark-doc
Documentation for savefnmark

%package savesym
Provides: tex-savesym = %{tl_version}
License: LPPL
Summary: Redefine symbols where names conflict
Version: svn31565.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(savesym.sty) = %{tl_version}

%description savesym
There are a number of symbols (e.g., \Square) that are defined
by several packages. In order to typeset all the variants in a
document, we have to give the glyph a unique name. To do that,
we define \savesymbol{XXX}, which renames a symbol from \XXX to
\origXXX, and \restoresymbols{yyy}{XXX}, which renames \origXXX
back to \XXX and defines a new command, \yyyXXX, which
corresponds to the most recently loaded version of \XXX.

%package savetrees
Provides: tex-savetrees = %{tl_version}
License: LPPL 1.3
Summary: Optimise the use of each page of a LaTeX document
Version: svn40525

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(numeric-comp.bbx)
Requires: tex(numeric-comp.cbx)
Requires: tex(xkeyval.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifluatex.sty)
Requires: tex(titlesec.sty)
Provides: tex(savetrees.bbx) = %{tl_version}
Provides: tex(savetrees.cbx) = %{tl_version}
Provides: tex(savetrees.sty) = %{tl_version}

%description savetrees
The goal of the savetrees package is to pack as much text as
possible onto each page of a LaTeX document. Admittedly, this
makes the document far less attractive. Nevertheless, savetrees
is a simple way to save paper when printing draft copies of a
document. It can also be useful when trying to meet a tight
page-length requirement for a conference or journal submission.
Most of the package options cover specific modifications to
typesetting rules, but there are also options subtle, moderate
and extreme options for the "broad brush" approach.

%package savetrees-doc
Summary: Documentation for savetrees
Version: svn40525

Provides: tex-savetrees-doc
AutoReqProv: No

%description savetrees-doc
Documentation for savetrees

%package scale
Provides: tex-scale = %{tl_version}
License: GPL+
Summary: Scale document by sqrt(2) or magstep(2)
Version: svn15878.1.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(scale.sty) = %{tl_version}

%description scale
A package to scale a document by sqrt(2) (or by \magstep{2}).
This is useful if you are preparing a document on, for example,
A5 paper and want to print on A4 paper to achieve a better
resolution.

%package scale-doc
Summary: Documentation for scale
Version: svn15878.1.1.2

Provides: tex-scale-doc
AutoReqProv: No

%description scale-doc
Documentation for scale

%package scalebar
Provides: tex-scalebar = %{tl_version}
License: LPPL
Summary: Create scalebars for maps, diagrams or photos
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(fp.sty)
Provides: tex(scalebar.sty) = %{tl_version}

%description scalebar
This is a small package to create scalebars for maps, diagrams
or photos. It was designed for use with cave maps but can be
used for anything from showing a scalebar in kilometres for
topographic maps to a scalebar in micrometres for an electron
microscope image.

%package scalebar-doc
Summary: Documentation for scalebar
Version: svn15878.1.0

Provides: tex-scalebar-doc
AutoReqProv: No

%description scalebar-doc
Documentation for scalebar

%package scalerel
Provides: tex-scalerel = %{tl_version}
License: LPPL 1.3
Summary: Constrained scaling and stretching of objects
Version: svn42809
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(scalerel.sty) = %{tl_version}

%description scalerel
The package provides four commands for vertically scaling and
stretching objects. Its primary function is the ability to
scale/stretch and shift one object to conform to the size of a
specified second object. This feature can be useful in both
equations and schematic diagrams. Additionally, the scaling and
stretching commands offer constraints on maximum width and/or
minimum aspect ratio, which are often used to preserve
legibility or for the sake of general appearance.

%package scalerel-doc
Summary: Documentation for scalerel
Version: svn42809
Provides: tex-scalerel-doc
AutoReqProv: No

%description scalerel-doc
Documentation for scalerel

%package scanpages
Provides: tex-scanpages = %{tl_version}
License: LPPL 1.3
Summary: Support importing and embellishing scanned documents
Version: svn42633
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(pgffor.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fp-basic.sty)
Requires: tex(graphicx.sty)
Requires: tex(etoolbox.sty)
Provides: tex(scanpages.sty) = %{tl_version}

%description scanpages
The bundle provides support for the process of creating
documents based on pre-TeX-era material that is available as
scanned pages, only.

%package scanpages-doc
Summary: Documentation for scanpages
Version: svn42633
Provides: tex-scanpages-doc
AutoReqProv: No

%description scanpages-doc
Documentation for scanpages

%package sdrt
Provides: tex-sdrt = %{tl_version}
License: LPPL
Summary: Macros for Segmented Discourse Representation Theory
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(xyling.sty)
Requires: tex(xytree.sty)
Provides: tex(sdrt.sty) = %{tl_version}

%description sdrt
The package provides macros to produce the 'Box notation' of
SDRT (and DRT), to draw trees representing discourse relations,
and finally to have an easy access to various mathematical
symbols used in that theory, mostly with automatic mathematics
mode, so they work the same in formulae and in text.

%package sdrt-doc
Summary: Documentation for sdrt
Version: svn15878.1.0

Provides: tex-sdrt-doc
AutoReqProv: No

%description sdrt-doc
Documentation for sdrt

%package secdot
Provides: tex-secdot = %{tl_version}
License: LPPL
Summary: Section numbers with trailing dots
Version: svn20208.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(secdot.sty) = %{tl_version}

%description secdot
Makes the numbers of \section commands come out with a trailing
dot. Includes a command whereby the same can be made to happen
with other sectioning commands.

%package secdot-doc
Summary: Documentation for secdot
Version: svn20208.1.0

Provides: tex-secdot-doc
AutoReqProv: No

%description secdot-doc
Documentation for secdot

%package sectionbox
Provides: tex-sectionbox = %{tl_version}
License: LPPL
Summary: Create fancy boxed ((sub)sub)sections
Version: svn37749.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(fancybox.sty)
Requires: tex(color.sty)
Provides: tex(sectionbox.sty) = %{tl_version}

%description sectionbox
Sectionbox is a LaTeX package for putting fancy colored boxes
around sections, subsections, and subsubsections, especially
for use in posters, etc. It was designed with the sciposter
class in mind, and certainly works with that class and with
derived classes.

%package sectionbox-doc
Summary: Documentation for sectionbox
Version: svn37749.1.01

Provides: tex-sectionbox-doc
AutoReqProv: No

%description sectionbox-doc
Documentation for sectionbox

%package sectsty
Provides: tex-sectsty = %{tl_version}
License: LPPL
Summary: Control sectional headers
Version: svn15878.2.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sectsty.sty) = %{tl_version}

%description sectsty
A LaTeX2e package to help change the style of any or all of
LaTeX's sectional headers in the article, book, or report
classes. Examples include the addition of rules above or below
a section title.

%package sectsty-doc
Summary: Documentation for sectsty
Version: svn15878.2.0.2

Provides: tex-sectsty-doc
AutoReqProv: No

%description sectsty-doc
Documentation for sectsty

%package seealso
Provides: tex-seealso = %{tl_version}
License: LPPL 1.3
Summary: Improve the performance of \see macros with makeindex
Version: svn43595
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(kvoptions.sty)
Provides: tex(seealso.sty) = %{tl_version}

%description seealso
The package amends the \see and \seealso macros that are used
in building indexes with makeindex, to deal with repetitions,
and to ensure page numbers are present in the actual index
entries. on these indirecty

%package seealso-doc
Summary: Documentation for seealso
Version: svn43595
Provides: tex-seealso-doc
AutoReqProv: No

%description seealso-doc
Documentation for seealso

%package selectp
Provides: tex-selectp = %{tl_version}
License: Public Domain
Summary: Select pages to be output
Version: svn20185.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(selectp.sty) = %{tl_version}

%description selectp
Defines a command \outputonly, whose argument is a list of
pages to be output. With the command present (before
\begin{document}), only those pages are output. This package
was inspired by code published by Knuth in TUGboat 8(2) (July
1987).

%package selectp-doc
Summary: Documentation for selectp
Version: svn20185.1.0

Provides: tex-selectp-doc
AutoReqProv: No

%description selectp-doc
Documentation for selectp

%package semantic
Provides: tex-semantic = %{tl_version}
License: LPPL
Summary: Help for writing programming language semantics
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(mathbbol.sty)
Provides: tex(infernce.sty) = %{tl_version}
Provides: tex(ligature.sty) = %{tl_version}
Provides: tex(reserved.sty) = %{tl_version}
Provides: tex(semantic.sty) = %{tl_version}
Provides: tex(shrthand.sty) = %{tl_version}
Provides: tex(tdiagram.sty) = %{tl_version}

%description semantic
Eases the typesetting of notation of semantics and compilers.
Includes T-diagrams, various derivation symbols and inference
trees.

%package semantic-doc
Summary: Documentation for semantic
Version: svn15878.2.0

Provides: tex-semantic-doc
AutoReqProv: No

%description semantic-doc
Documentation for semantic

%package semioneside
Provides: tex-semioneside = %{tl_version}
License: LPPL
Summary: Put only special contents on left-hand pages in two sided layout
Version: svn15878.v0.41

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(afterpage.sty)
Provides: tex(semioneside.sty) = %{tl_version}

%description semioneside
This package supports the preparation of semi one sided
documents. That is, two sided documents, where all text is
output on right-hand pages--as in a one-sided documents--and
only special contents are output on left-hand pages on user
request, e.g., floating objects.

%package semioneside-doc
Summary: Documentation for semioneside
Version: svn15878.v0.41

Provides: tex-semioneside-doc
AutoReqProv: No

%description semioneside-doc
Documentation for semioneside

%package semproc
Provides: tex-semproc = %{tl_version}
License: LPPL 1.3
Summary: Seminar proceedings
Version: svn37568.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(etoc.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(etoolbox.sty)
Requires: tex(biblatex.sty)
Requires: tex(csquotes.sty)
Provides: tex(semproc.cls) = %{tl_version}

%description semproc
The package provides functionality for typesetting seminar
proceedings based on KOMA-Script's scrreprt class and etoc. It
offers an alternative to \chapter that typesets the speaker and
if necessary the typist of the notes for the talk in question.
Moreover, the class provides two types of table of contents. A
global table of contents showing only the talks of the seminar
and the respective speakers and a local table of contents for
each talk showing the sections and subsections of the
respective talk.

%package semproc-doc
Summary: Documentation for semproc
Version: svn37568.0.1

Provides: tex-semproc-doc
AutoReqProv: No

%description semproc-doc
Documentation for semproc

%package sepfootnotes
Provides: tex-sepfootnotes = %{tl_version}
License: LPPL 1.3
Summary: Support footnotes and endnotes from separate files
Version: svn41732
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(sepfootnotes.sty) = %{tl_version}

%description sepfootnotes
The package supports footnotes and endnotes from separate
files. This is achieved with commands \sepfootnotecontent and
\sepfootnote; the former defines the content of a note, while
the latter typesets that note.

%package sepfootnotes-doc
Summary: Documentation for sepfootnotes
Version: svn41732
Provides: tex-sepfootnotes-doc
AutoReqProv: No

%description sepfootnotes-doc
Documentation for sepfootnotes

%package seqsplit
Provides: tex-seqsplit = %{tl_version}
License: LPPL
Summary: Split long sequences of characters in a neutral way
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(seqsplit.sty) = %{tl_version}

%description seqsplit
When one needs to type long sequences of letters (such as in
base-sequences in genes) or of numbers (such as calculations of
transcendental numbers), there's no obvious break points to be
found. The package provides a command \seqsplit, which makes
its argument splittable anywhere, and then leaves the TeX
paragraph-maker to do the splitting. While the package may
obviously be used to typeset DNA sequences, the user may
consider the dnaseq as a rather more powerful alternative.

%package seqsplit-doc
Summary: Documentation for seqsplit
Version: svn15878.0.1

Provides: tex-seqsplit-doc
AutoReqProv: No

%description seqsplit-doc
Documentation for seqsplit

%package sf298
Provides: tex-sf298 = %{tl_version}
License: LPPL
Summary: Standard form 298
Version: svn41653
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(sf298.sty) = %{tl_version}

%description sf298
A LaTeX package for generating a completed standard form 298
(Rev. 8-98) as prescribed by ANSI Std. Z39.18 for report
documentation as part of a document delivered, for instance, on
a U.S. government contract.

%package sf298-doc
Summary: Documentation for sf298
Version: svn41653
Provides: tex-sf298-doc
AutoReqProv: No

%description sf298-doc
Documentation for sf298

%package sffms
Provides: tex-sffms = %{tl_version}
License: LPPL
Summary: Typesetting science fiction/fantasy manuscripts
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(ulem.sty)
Requires: tex(setspace.sty)
Requires: tex(geometry.sty)
Provides: tex(sffdumb.sty) = %{tl_version}
Provides: tex(sffms.cls) = %{tl_version}
Provides: tex(sffsmart.sty) = %{tl_version}

%description sffms
The class is designed for typesetting science fiction and
fantasy manuscripts. Sffms now includes several options for
specific publishers as well as extensive documentation aimed at
new LaTeX users.

%package sffms-doc
Summary: Documentation for sffms
Version: svn15878.2.0

Provides: tex-sffms-doc
AutoReqProv: No

%description sffms-doc
Documentation for sffms

%package sfmath
Provides: tex-sfmath = %{tl_version}
License: LPPL
Summary: Sans-serif mathematics
Version: svn15878.0.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sfmath.sty) = %{tl_version}

%description sfmath
sfmath is a simple package for sans serif maths in documents.
After including the package, all maths of the current document
is displayed with sans serif fonts.

%package shadethm
Provides: tex-shadethm = %{tl_version}
License: LPPL
Summary: Theorem environments that are shaded
Version: svn20319.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(shadethm.sty) = %{tl_version}

%description shadethm
Extends the \newtheorem command. If you say
\newshadetheorem{theorem}{Theorem} in the preamble then your
regular \begin{theorem} .. \end{theorem} will produce a theorem
statement in a shaded box. It supports all the options of
\newtheorem, including forms \newshadetheorem{..}[..]{..} and
\newshadetheorem{..}{..}[..]. Environments declared using the
package require their body to remain on one page; the mdframed
package can frame and shade theorems, and its environments
break at the end of a page; users are generally recommended,
therefore, to use mdframed.

%package shadethm-doc
Summary: Documentation for shadethm
Version: svn20319.0

Provides: tex-shadethm-doc
AutoReqProv: No

%description shadethm-doc
Documentation for shadethm

%package shadow
Provides: tex-shadow = %{tl_version}
License: LPPL
Summary: Shadow boxes
Version: svn20312.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(shadow.sty) = %{tl_version}

%description shadow
Defines a command \shabox (analgous to \fbox), and supporting
mechanisms.

%package shadow-doc
Summary: Documentation for shadow
Version: svn20312.0

Provides: tex-shadow-doc
AutoReqProv: No

%description shadow-doc
Documentation for shadow

%package shadowtext
Provides: tex-shadowtext = %{tl_version}
License: LPPL
Summary: shadowtext
Version: svn26522.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(shadowtext.sty) = %{tl_version}

%description shadowtext
The package introduces a command \shadowtext, which adds a drop
shadow to the text that is given as its argument. The colour
and positioning of the shadow are customisable.

%package shadowtext-doc
Summary: Documentation for shadowtext
Version: svn26522.0.3

Provides: tex-shadowtext-doc
AutoReqProv: No

%description shadowtext-doc
Documentation for shadowtext

%package shapepar
Provides: tex-shapepar = %{tl_version}
License: Dotseqn
Summary: A macro to typeset paragraphs in specific shapes
Version: svn30708.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Canflagshape.def) = %{tl_version}
Provides: tex(TeXshape.def) = %{tl_version}
Provides: tex(candleshape.def) = %{tl_version}
Provides: tex(dropshape.def) = %{tl_version}
Provides: tex(shapepar.sty) = %{tl_version}
Provides: tex(triangleshapes.def) = %{tl_version}

%description shapepar
\shapepar is a macro to typeset paragraphs in a specific shape.
The size is adjusted automatically so that the entire shape is
filled with text. There may not be displayed maths or
'\vadjust' material (no \vspace) in the argument of \shapepar.
The macros work for both LaTeX and plain TeX. For LaTeX,
specify \usepackage{shapepar}; for Plain, \input shapepar.sty.
\shapepar works in terms of user-defined shapes, though the
package does provide some predefined shapes: so you can form
any paragraph into the form of a heart by putting
\heartpar{sometext...} inside your document. The tedium of
creating these polygon definitions may be alleviated by using
the shapepatch extension to transfig which will convert xfig
output to \shapepar polygon form.

%package shapepar-doc
Summary: Documentation for shapepar
Version: svn30708.2.2

Provides: tex-shapepar-doc
AutoReqProv: No

%description shapepar-doc
Documentation for shapepar

%package shdoc
Provides: tex-shdoc = %{tl_version}
License: LPPL 1.3
Summary: Float environment to document the shell commands of a terminal session
Version: svn41991
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xcolor.sty)
Requires: tex(float.sty)
Requires: tex(caption.sty)
Requires: tex(mdframed.sty)
Requires: tex(kvoptions.sty)
Provides: tex(shdoc.sty) = %{tl_version}

%description shdoc
The package provides a simple, though fancy float environment
to document terminal sessions -- like command executions or
shell operations. The look and feel of the package output
imitates the look of a shell prompt.

%package shdoc-doc
Summary: Documentation for shdoc
Version: svn41991
Provides: tex-shdoc-doc
AutoReqProv: No

%description shdoc-doc
Documentation for shdoc

%package shipunov
Provides: tex-shipunov = %{tl_version}
License: LPPL
Summary: A collection of LaTeX packages and classes
Version: svn29349.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(xtab.sty)
Requires: tex(calc.sty)
Requires: tex(xspace.sty)
Requires: tex(ifthen.sty)
Requires: tex(syntonly.sty)
Requires: tex(footnpag.sty)
Provides: tex(altverse.sty) = %{tl_version}
Provides: tex(autolist.sty) = %{tl_version}
Provides: tex(biokey.sty) = %{tl_version}
Provides: tex(biolist.sty) = %{tl_version}
Provides: tex(boldline.sty) = %{tl_version}
Provides: tex(cassete.cls) = %{tl_version}
Provides: tex(classif2.sty) = %{tl_version}
Provides: tex(drcaps.sty) = %{tl_version}
Provides: tex(etiketka.cls) = %{tl_version}
Provides: tex(flower.sty) = %{tl_version}
Provides: tex(isyntax.sty) = %{tl_version}
Provides: tex(numerus.sty) = %{tl_version}
Provides: tex(punct.sty) = %{tl_version}
Provides: tex(sltables.sty) = %{tl_version}
Provides: tex(starfn.sty) = %{tl_version}

%description shipunov
The bundle collects packages and classes, along with one
bibliography style and examples and scripts for converting TeX
files. Many of the files in the collection are designed to
support field biologists and/or Russian writers, while others
have wider application. The collection includes (among others):
altverse, a simple verse typesetting package; autolist, which
provides various list formatting facilities; biokey, which
provides a mechanism for typesetting biological identification
lists; biolist, which typesets species lists; boldline, which
typesets heavier separating lines in tables; cassete, which
lays out audio cassette inserts; classif2, which typesets
classification lists; drcaps, which provides dropped capital
macros; etiketka, a class for typesetting business-card-sized
information (including business cards); flower, for typesetting
lists of flower formulae; isyntax; numerus; punct; sltables,
which develops on the stables package, for use in a LaTeX
context; and starfn.

%package shipunov-doc
Summary: Documentation for shipunov
Version: svn29349.1.1

Provides: tex-shipunov-doc
AutoReqProv: No

%description shipunov-doc
Documentation for shipunov

%package shorttoc
Provides: tex-shorttoc = %{tl_version}
License: LPPL
Summary: Table of contents with different depths
Version: svn15878.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(shorttoc.sty) = %{tl_version}

%description shorttoc
A package to create another table of contents with a different
depth, useful in large documents where a detailed table of
contents should be accompanied by a shorter one, giving only a
general overview of the main topics in the document.

%package shorttoc-doc
Summary: Documentation for shorttoc
Version: svn15878.1.3

Provides: tex-shorttoc-doc
AutoReqProv: No

%description shorttoc-doc
Documentation for shorttoc

%package show2e
Provides: tex-show2e = %{tl_version}
License: LPPL
Summary: Variants of \show for LaTeX2e
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(show2e.sty) = %{tl_version}

%description show2e
This small package aims at making debugging (especially in an
interactive way) easier, by providing \show variants suited to
LaTeX2e commands (whether with optional arguments or robust)
and environments. The variant commands also display the
internal macros used by such commands, if any. The \showcs
variant helps with macros with exotic names.

%package show2e-doc
Summary: Documentation for show2e
Version: svn15878.1.0

Provides: tex-show2e-doc
AutoReqProv: No

%description show2e-doc
Documentation for show2e

%package showcharinbox
Provides: tex-showcharinbox = %{tl_version}
License: LPPL 1.3
Summary: Show characters inside a box
Version: svn29803.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(showcharinbox.sty) = %{tl_version}

%description showcharinbox
The package typesets a character inside a box, showing where
reference point is, and displaying width, height, and depth
information of the character. The output is like that on page
63 of "The TeXBook" or page 101 of "The METAFONTbook". The
package itself is motivated by Knuth's macros in the file
manmac.tex. Users should note that using a small size for the
character inside the box does not make any sense: use a large
size.

%package showcharinbox-doc
Summary: Documentation for showcharinbox
Version: svn29803.0.1

Provides: tex-showcharinbox-doc
AutoReqProv: No

%description showcharinbox-doc
Documentation for showcharinbox

%package showdim
Provides: tex-showdim = %{tl_version}
License: LPPL
Summary: Variants on printing dimensions
Version: svn28918.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(showdim.sty) = %{tl_version}

%description showdim
A package for LaTeX providing a number of commands for printing
the value of a TeX dimension. For example,
\tenthpt{\baselineskip} yields the current value of
\baselineskip rounded to the nearest tenth of a point.

%package showdim-doc
Summary: Documentation for showdim
Version: svn28918.1.2

Provides: tex-showdim-doc
AutoReqProv: No

%description showdim-doc
Documentation for showdim

%package showexpl
Provides: tex-showexpl = %{tl_version}
License: LPPL
Summary: Typesetting LaTeX source code
Version: svn42677
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(attachfile.sty)
Requires: tex(listings.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(varwidth.sty)
Provides: tex(showexpl.sty) = %{tl_version}

%description showexpl
This package provides a way to typeset LaTeX source code and
the related result in the same document.

%package showexpl-doc
Summary: Documentation for showexpl
Version: svn42677
Provides: tex-showexpl-doc
AutoReqProv: No

%description showexpl-doc
Documentation for showexpl

%package showlabels
Provides: tex-showlabels = %{tl_version}
License: GPL+
Summary: Show label commands in the margin
Version: svn41322

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(showlabels.sty) = %{tl_version}

%description showlabels
This package helps you keep track of all the labels you define,
by putting the name of new labels into the margin whenever the
\label command is used. The package allows you to do the same
thing for other commands. The only one for which this is
obviously useful is the \cite command, but it's easy to do it
for others, such as the \ref or \begin commands.

%package showlabels-doc
Summary: Documentation for showlabels
Version: svn41322

Provides: tex-showlabels-doc
AutoReqProv: No

%description showlabels-doc
Documentation for showlabels

%package sidecap
Provides: tex-sidecap = %{tl_version}
License: LPPL
Summary: Typeset captions sideways
Version: svn15878.1.6f

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(ragged2e.sty)
Provides: tex(sidecap.sty) = %{tl_version}

%description sidecap
Defines environments called SCfigure and SCtable (analogous to
figure and table) to typeset captions sideways. Options include
outercaption, innercaption, leftcaption and rightcaption.

%package sidecap-doc
Summary: Documentation for sidecap
Version: svn15878.1.6f

Provides: tex-sidecap-doc
AutoReqProv: No

%description sidecap-doc
Documentation for sidecap

%package sidenotes
Provides: tex-sidenotes = %{tl_version}
License: LPPL 1.3
Summary: Typeset notes containing rich content, in the margin
Version: svn40658

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(mhchem.sty)
Requires: tex(morefloats.sty)
Requires: tex(marginfix.sty)
Requires: tex(microtype.sty)
Requires: tex(geometry.sty)
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Requires: tex(unicode-math.sty)
Requires: tex(mathpazo.sty)
Requires: tex(helvet.sty)
Requires: tex(beramono.sty)
Requires: tex(fontenc.sty)
Requires: tex(titlesec.sty)
Requires: tex(titletoc.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(ragged2e.sty)
Requires: tex(enumitem.sty)
Requires: tex(textcase.sty)
Requires: tex(color.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(marginnote.sty)
Requires: tex(caption.sty)
Requires: tex(xparse.sty)
Requires: tex(changepage.sty)
Provides: tex(caesar_book.cls) = %{tl_version}
Provides: tex(sidenotes.sty) = %{tl_version}

%description sidenotes
The package allows typesetting of texts with notes, figures,
citations, captions and tables in the margin. This is common
(for example) in science text books.

%package sidenotes-doc
Summary: Documentation for sidenotes
Version: svn40658

Provides: tex-sidenotes-doc
AutoReqProv: No

%description sidenotes-doc
Documentation for sidenotes

%package silence
Provides: tex-silence = %{tl_version}
License: LPPL
Summary: Selective filtering of error messages and warnings
Version: svn27028.1.5b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(silence.sty) = %{tl_version}

%description silence
The package allows the user to filter out unwanted warnings and
error messages issued by LaTeX, packages and classes, so they
won't pop out when there's nothing one can do about them.
Filtering goes from the very broad ("avoid all messages by such
and such") to the fine-grained ("avoid messages that begin
with..."). Messages may be saved to an external file for later
reference.

%package silence-doc
Summary: Documentation for silence
Version: svn27028.1.5b

Provides: tex-silence-doc
AutoReqProv: No

%description silence-doc
Documentation for silence

%package simplecd
Provides: tex-simplecd = %{tl_version}
License: LPPL 1.2
Summary: Simple CD, DVD covers for printing
Version: svn29260.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fix-cm.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Provides: tex(simplecd.sty) = %{tl_version}

%description simplecd
The package provides printable cut-outs for various CD, DVD and
other disc holders. The name of the package comes from its
implementation and ease of use; it was designed just for text
content, but since the text is placed in a \parbox in a tabular
environment cell, a rather wide range of things may be placed.

%package simplecd-doc
Summary: Documentation for simplecd
Version: svn29260.1.4

Provides: tex-simplecd-doc
AutoReqProv: No

%description simplecd-doc
Documentation for simplecd

%package simplecv
Provides: tex-simplecv = %{tl_version}
License: LPPL
Summary: A simple class for writing curricula vitae
Version: svn35537.1.6a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(simplecv.cls) = %{tl_version}
Obsoletes: tex-simplecv < %{tl_version}

%description simplecv
A derivative of the cv class available to lyx users (renamed to
avoid the existing cv package).

%package simplecv-doc
Summary: Documentation for simplecv
Version: svn35537.1.6a

Provides: tex-simplecv-doc
AutoReqProv: No

%description simplecv-doc
Documentation for simplecv

%package simplewick
Provides: tex-simplewick = %{tl_version}
License: GPL+
Summary: Simple Wick contractions
Version: svn15878.1.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(simplewick.sty) = %{tl_version}

%description simplewick
The package provides a simple means of drawing Wick
contractions above and below expressions.

%package simplewick-doc
Summary: Documentation for simplewick
Version: svn15878.1.2a

Provides: tex-simplewick-doc
AutoReqProv: No

%description simplewick-doc
Documentation for simplewick

%package sitem
Provides: tex-sitem = %{tl_version}
License: LPPL 1.3
Summary: Save the optional argument of \item
Version: svn22136.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sitem.sty) = %{tl_version}

%description sitem
The package modifies \item commands to save the optional
argument in a box.

%package sitem-doc
Summary: Documentation for sitem
Version: svn22136.1.0

Provides: tex-sitem-doc
AutoReqProv: No

%description sitem-doc
Documentation for sitem

%package skb
Provides: tex-skb = %{tl_version}
License: LPPL 1.3
Summary: Tools for a repository of long-living documents
Version: svn22781.0.52

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Requires: tex(listings.sty)
Requires: tex(dirtree.sty)
Requires: tex(ifpdf.sty)
Requires: tex(datetime.sty)
Requires: tex(versions.sty)
Requires: tex(booktabs.sty)
Requires: tex(optional.sty)
Requires: tex(biblatex.sty)
Requires: tex(acronym.sty)
Requires: tex(etoolbox.sty)
Requires: tex(comment.sty)
Requires: tex(graphicx.sty)
Requires: tex(longtable.sty)
Requires: tex(colortbl.sty)
Requires: tex(textcomp.sty)
Requires: tex(gensymb.sty)
Requires: tex(wasysym.sty)
Requires: tex(units.sty)
Requires: tex(xmpmulti.sty)
Requires: tex(float.sty)
Requires: tex(xcolor.sty)
Requires: tex(hyperref.sty)
Requires: tex(beamerarticle.sty)
Requires: tex(pgf.sty)
Requires: tex(enumitem.sty)
Provides: tex(skb.cfg) = %{tl_version}
Provides: tex(skb.sty) = %{tl_version}
Provides: tex(skbarticle.cls) = %{tl_version}
Provides: tex(skbbeamer.cls) = %{tl_version}
Provides: tex(skbbook.cls) = %{tl_version}
Provides: tex(skblncsbeamer.cls) = %{tl_version}
Provides: tex(skblncsppt.cls) = %{tl_version}
Provides: tex(skbmoderncv.cls) = %{tl_version}

%description skb
The package provides macros that help to build a document
repository for long living documents. It focuses on structure
and re-use of text, code, figures etc. The basic concept is
first to separate structure from content (i.e., text about a
topic from the structure it is presented by) and then
separating the content from the actual published document, thus
enabling easy re-use of text blocks in different publications
(i.e., text about a protocol in a short article about this
protocol as well as in a book about many protocols); all
without constantly copying or changing text. As a side effect,
using the document classes provided, it hides a lot of LaTeX
from someone who just wants to write articles and books.

%package skb-doc
Summary: Documentation for skb
Version: svn22781.0.52

Provides: tex-skb-doc
AutoReqProv: No

%description skb-doc
Documentation for skb

%package skdoc
Provides: tex-skdoc = %{tl_version}
License: LPPL 1.3
Summary: Documentation and extraction for packages and document classes
Version: svn43170
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xstring.sty)
Requires: tex(xparse.sty)
Requires: tex(atbegshi.sty)
Requires: tex(kvoptions.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(everyhook.sty)
Requires: tex(verbatim.sty)
Requires: tex(needspace.sty)
Requires: tex(marginnote.sty)
Requires: tex(calc.sty)
Requires: tex(hyperref.sty)
Requires: tex(multicol.sty)
Requires: tex(hologo.sty)
Requires: tex(glossaries.sty)
Requires: tex(ydoc-code.sty)
Requires: tex(ydoc-desc.sty)
Requires: tex(scrpage2.sty)
Requires: tex(babel.sty)
Requires: tex(csquotes.sty)
Requires: tex(caption.sty)
Requires: tex(PTSerif.sty)
Requires: tex(sourcecodepro.sty)
Requires: tex(opensans.sty)
Requires: tex(microtype.sty)
Requires: tex(minted.sty)
Provides: tex(skdoc.cls) = %{tl_version}

%description skdoc
The class provides the functionality and implementation of
packages and document classes. It is loosely based on the ydoc
and ltxdoc classes, but has a number of incompatible
differences. The class defines a MacroCode environment which
offers an alternative to the the usual docstrip method of
installing packages. It has the ability to generate both
documentation and code in a single run of a single file.

%package skdoc-doc
Summary: Documentation for skdoc
Version: svn43170
Provides: tex-skdoc-doc
AutoReqProv: No

%description skdoc-doc
Documentation for skdoc

%package skeycommand
Provides: tex-skeycommand = %{tl_version}
License: LPPL 1.3
Summary: Create commands using parameters and keyval in parallel
Version: svn24652.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(catoptions.sty)
Provides: tex(skeycommand.sty) = %{tl_version}

%description skeycommand
The package provides tools for defining LaTeX commands and
environments using combinations of parameters and keys. All the
facilities of the ltxkeys and skeyval packages are available to
the user of skeycommand.

%package skeycommand-doc
Summary: Documentation for skeycommand
Version: svn24652.0.4

Provides: tex-skeycommand-doc
AutoReqProv: No

%description skeycommand-doc
Documentation for skeycommand

%package skeyval
Provides: tex-skeyval = %{tl_version}
License: LPPL 1.3
Summary: Key-value parsing combining features of xkeyval and pgfkeys
Version: svn30560.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(atveryend.sty)
Requires: tex(xcolor.sty)
Requires: tex(pifont.sty)
Requires: tex(tikz.sty)
Requires: tex(graphicx.sty)
Requires: tex(longtable.sty)
Provides: tex(skeyval-bc.sty) = %{tl_version}
Provides: tex(skeyval.sty) = %{tl_version}
Provides: tex(skeyval-core.tex) = %{tl_version}
Provides: tex(skeyval-for.tex) = %{tl_version}
Provides: tex(skeyval-ltxcmds.tex) = %{tl_version}
Provides: tex(skeyval-ltxpatch.sty) = %{tl_version}
Provides: tex(skeyval-pstkey.sty) = %{tl_version}
Provides: tex(skeyval-pstkey.tex) = %{tl_version}
Provides: tex(skeyval-testclass.cls) = %{tl_version}
Provides: tex(skeyval-testpkg.sty) = %{tl_version}
Provides: tex(skeyval-view.sty) = %{tl_version}
Provides: tex(skeyval.sty) = %{tl_version}

%description skeyval
The package integrates the features of xkeyval and of pgfkeys
by introducing a new type of handlers. Style keys, links,
changing key callbacks and values on the fly, and other
features of pgfkeys are introduced in a new context.

%package skeyval-doc
Summary: Documentation for skeyval
Version: svn30560.1.3

Provides: tex-skeyval-doc
AutoReqProv: No

%description skeyval-doc
Documentation for skeyval

%package skrapport
Provides: tex-skrapport = %{tl_version}
License: LPPL 1.3
Summary: 'Simple' class for reports, etc
Version: svn45304
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(typearea.sty)
Requires: tex(etoolbox.sty)
Requires: tex(grid.sty)
Requires: tex(babel.sty)
Requires: tex(fontspec.sty)
Requires: tex(kpfonts.sty)
Requires: tex(lmodern.sty)
Requires: tex(arev.sty)
Requires: tex(pxfonts.sty)
Requires: tex(tgpagella.sty)
Requires: tex(mathpazo.sty)
Requires: tex(MnSymbol.sty)
Requires: tex(PTSerif.sty)
Requires: tex(opensans.sty)
Requires: tex(sourcecodepro.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(textcomp.sty)
Requires: tex(skmath.sty)
Requires: tex(xcolor.sty)
Requires: tex(unicode-math.sty)
Requires: tex(polyglossia.sty)
Requires: tex(fontenc.sty)
Requires: tex(isomath.sty)
Requires: tex(xkeyval.sty)
Requires: tex(calc.sty)
Requires: tex(isodate.sty)
Requires: tex(multicol.sty)
Requires: tex(microtype.sty)
Provides: tex(skrapport-colortheme-cruelwater.sty) = %{tl_version}
Provides: tex(skrapport-colortheme-default.sty) = %{tl_version}
Provides: tex(skrapport-colortheme-skdoc.sty) = %{tl_version}
Provides: tex(skrapport-colortheme-unscathed.sty) = %{tl_version}
Provides: tex(skrapport-colortheme-violet.sty) = %{tl_version}
Provides: tex(skrapport-size-common.sty) = %{tl_version}
Provides: tex(skrapport-size10pt.clo) = %{tl_version}
Provides: tex(skrapport-size11pt.clo) = %{tl_version}
Provides: tex(skrapport-size12pt.clo) = %{tl_version}
Provides: tex(skrapport.cls) = %{tl_version}

%description skrapport
The class is intended for simple documents (e.g., reports
handed in as coursework and the like). The class is small and
straightforward; its design was inspired by that of the PracTeX
journal style.

%package skrapport-doc
Summary: Documentation for skrapport
Version: svn45304
Provides: tex-skrapport-doc
AutoReqProv: No

%description skrapport-doc
Documentation for skrapport

%package slantsc
Provides: tex-slantsc = %{tl_version}
License: LPPL
Summary: Access different-shaped small-caps fonts
Version: svn25007.2.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(slantsc.sty) = %{tl_version}

%description slantsc
This package enables the use of small capitals in different
font shapes, e.g., slanted or bold slanted for all fonts that
provide appropriate font shapes. (Note that a separate .fd file
is needed to define font shapes such as 'scsl' or 'scit'.)

%package slantsc-doc
Summary: Documentation for slantsc
Version: svn25007.2.11

Provides: tex-slantsc-doc
AutoReqProv: No

%description slantsc-doc
Documentation for slantsc

%package smalltableof
Provides: tex-smalltableof = %{tl_version}
License: LPPL
Summary: Create listoffigures etc. in a single chapter
Version: svn20333.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(smalltableof.sty) = %{tl_version}

%description smalltableof
The package allows you to create a list of figures and list of
tables in a chapter named 'List' that contains separate
sections for each list of figures, tables, etc.

%package smalltableof-doc
Summary: Documentation for smalltableof
Version: svn20333.0

Provides: tex-smalltableof-doc
AutoReqProv: No

%description smalltableof-doc
Documentation for smalltableof

%package smartref
Provides: tex-smartref = %{tl_version}
License: LPPL
Summary: Extend LaTeX's \ref capability
Version: svn20311.1.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(byname.sty) = %{tl_version}
Provides: tex(smartref.sty) = %{tl_version}

%description smartref
The package extends the LaTeX labelling system: whenever a
label is set, the values of counters (selected by the user) are
recorded, along with the label. The value of these counters can
be recalled with a command similar to \pageref. The package
also adds commands \s[name]ref (for each counter [name] that
the user has selected); these commands display something only
if the value of the [name] counter is changed from when the
label was set. Many commands are provided to serve as a macro
programming environment for using the extended labels.

%package smartref-doc
Summary: Documentation for smartref
Version: svn20311.1.9

Provides: tex-smartref-doc
AutoReqProv: No

%description smartref-doc
Documentation for smartref

%package snapshot
Provides: tex-snapshot = %{tl_version}
License: LPPL
Summary: List the external dependencies of a LaTeX document
Version: svn15878.1.14

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(snapshot.sty) = %{tl_version}

%description snapshot
The snapshot package helps the owner of a LaTeX document obtain
a list of the external dependencies of the document, in a form
that can be embedded at the top of the document. It provides a
snapshot of the current processing context of the document,
insofar as it can be determined from inside LaTeX. If a
document contains such a dependency list, then it becomes
possible to arrange that the document be processed always with
the same versions of everything, in order to ensure the same
output. This could be useful for someone wanting to keep a
LaTeX document on hand and consistently reproduce an identical
DVI file from it, on the fly; or for someone wanting to shield
a document during the final stages of its production cycle from
unexpected side effects of routine upgrades to the TeX system.

%package snapshot-doc
Summary: Documentation for snapshot
Version: svn15878.1.14

Provides: tex-snapshot-doc
AutoReqProv: No

%description snapshot-doc
Documentation for snapshot

%package snotez
Provides: tex-snotez = %{tl_version}
License: LPPL 1.3
Summary: Typeset notes, in the margin
Version: svn30355.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(pgfopts.sty)
Requires: tex(marginnote.sty)
Requires: tex(perpage.sty)
Provides: tex(snotez.sty) = %{tl_version}

%description snotez
The package provides a macro \sidenote, that places a note in
the margin of the document, with its baseline aligned with the
baseline in the body of the document. These sidenotes are
numbered (both in the text, and on the notes themselves). The
package loads the package etoolbox, pgfopts, marginnote and
perpage.

%package snotez-doc
Summary: Documentation for snotez
Version: svn30355.0.3

Provides: tex-snotez-doc
AutoReqProv: No

%description snotez-doc
Documentation for snotez

%package soul
Provides: tex-soul = %{tl_version}
License: LPPL
Summary: Hyphenation for letterspacing, underlining, and more
Version: svn15878.2.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(soul.sty) = %{tl_version}

%description soul
Provides hyphenatable spacing out (letterspacing), underlining,
striking out, etc., using the TeX hyphenation algorithm to find
the proper hyphens automatically. The package also provides a
mechanism that can be used to implement similar tasks, that
have to treat text syllable by syllable. This is shown in two
examples. The package itself does not support UTF-8 input in
ordinary (PDF)LaTeX; some UTF-8 support is offered by package
soulutf8

%package soul-doc
Summary: Documentation for soul
Version: svn15878.2.4

Provides: tex-soul-doc
AutoReqProv: No

%description soul-doc
Documentation for soul

%package sparklines
Provides: tex-sparklines = %{tl_version}
License: LPPL
Summary: Drawing sparklines: intense, simple, wordlike graphics
Version: svn42821
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pgf.sty)
Provides: tex(sparklines.sty) = %{tl_version}

%description sparklines
Sparklines are intense, simple, wordlike graphics (so named by
Edward Tufte). In lieu of a more detailed introduction,
Professor Tufte's site has an early release of a chapter on
sparklines. A PHP implementation may be found at SourceForge. A
sparkline can be added using the sparkline environment. Also,
you can add sparkling rectangles for the median and special
sparkling dots in red or blue. The package requires pdflatex;
sparklines cannot appear in a dvi file. The sparklines package
uses pgf, and does not work with pictex.

%package sparklines-doc
Summary: Documentation for sparklines
Version: svn42821
Provides: tex-sparklines-doc
AutoReqProv: No

%description sparklines-doc
Documentation for sparklines

%package sphack
Provides: tex-sphack = %{tl_version}
License: Bibtex
Summary: Patch LaTeX kernel spacing macros
Version: svn20842.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sphack.sty) = %{tl_version}

%description sphack
Change the kernel internal \@bsphack/\@esphack so that it is
also invisible in vertical mode.

%package sphack-doc
Summary: Documentation for sphack
Version: svn20842.0

Provides: tex-sphack-doc
AutoReqProv: No

%description sphack-doc
Documentation for sphack

%package spot
Provides: tex-spot = %{tl_version}
License: LPPL 1.3
Summary: Spotlight highlighting for Beamer
Version: svn22408.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(afterpage.sty)
Provides: tex(spot.sty) = %{tl_version}

%description spot
The package allows dramatic highlighting of words and phrases
by painting shapes around them. It is chiefly intended for use
in Beamer presentations, but it can be used in other document
classes as well.

%package spot-doc
Summary: Documentation for spot
Version: svn22408.1.1

Provides: tex-spot-doc
AutoReqProv: No

%description spot-doc
Documentation for spot

%package spotcolor
Provides: tex-spotcolor = %{tl_version}
License: LPPL
Summary: Spot colours for pdfLaTeX
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(spotcolor.sty) = %{tl_version}
Provides: tex(spotcolorhks.tex) = %{tl_version}
Provides: tex(spotcolorpantone.tex) = %{tl_version}

%description spotcolor
This package provides procedures for using spot colours in
LaTeX documents and the generated pdf files. Predefined
templates for PANTONE and HKS colour spaces are included but
new ones can easily be defined.

%package spotcolor-doc
Summary: Documentation for spotcolor
Version: svn15878.1.2

Provides: tex-spotcolor-doc
AutoReqProv: No

%description spotcolor-doc
Documentation for spotcolor

%package spreadtab
Provides: tex-spreadtab = %{tl_version}
License: LPPL 1.3
Summary: Spreadsheet features for LaTeX tabular environments
Version: svn35531.0.4c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp.sty)
Requires: tex(xstring.sty)
Provides: tex(spreadtab.sty) = %{tl_version}

%description spreadtab
The package allows the user to construct tables in a manner
similar to a spreadsheet. The cells of a table have row and
column indices and these can be used in formulas to generate
values in other cells.

%package spreadtab-doc
Summary: Documentation for spreadtab
Version: svn35531.0.4c

Provides: tex-spreadtab-doc
AutoReqProv: No

%description spreadtab-doc
Documentation for spreadtab

%package spverbatim
Provides: tex-spverbatim = %{tl_version}
License: LPPL
Summary: Allow line breaks within \verb and verbatim output
Version: svn15878.v1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(spverbatim.sty) = %{tl_version}

%description spverbatim
LaTeX's \verb macro treats its argument as an unbreakable unit
of text. This can lead to poor typesetting, especially when the
argument is long. The spverbatim package provides an \spverb
macro that is analogous to \verb and an spverbatim environment
that is analogous to verbatim with the difference being that
\spverb and spverbatim allow LaTeX to break lines at space
characters.

%package spverbatim-doc
Summary: Documentation for spverbatim
Version: svn15878.v1.0

Provides: tex-spverbatim-doc
AutoReqProv: No

%description spverbatim-doc
Documentation for spverbatim

%package srbook-mem
Provides: tex-srbook-mem = %{tl_version}
License: LPPL
Summary: srbook-mem package
Version: svn23454.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(srbook-mem.sty) = %{tl_version}

%description srbook-mem
srbook-mem package

%package srbook-mem-doc
Summary: Documentation for srbook-mem
Version: svn23454.0

Provides: tex-srbook-mem-doc
AutoReqProv: No

%description srbook-mem-doc
Documentation for srbook-mem

%package srcltx
Provides: tex-srcltx = %{tl_version}
License: Public Domain
Summary: Jump between DVI and TeX files
Version: svn15878.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(srcltx.sty) = %{tl_version}
Provides: tex(srctex.sty) = %{tl_version}

%description srcltx
Provides a \special insertion into generated .dvi files
allowing one to jump from the .dvi file to the .tex source and
back again (given a .dvi viewer that supports this, such as Yap
or xdvi version 22.38 or later). This was originally written by
Aleksander Simonic, the author of the WinEdt shell.

%package srcltx-doc
Summary: Documentation for srcltx
Version: svn15878.1.6

Provides: tex-srcltx-doc
AutoReqProv: No

%description srcltx-doc
Documentation for srcltx

%package sseq
Provides: tex-sseq = %{tl_version}
License: LPPL
Summary: Typesetting spectral sequence charts
Version: svn31585.2.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(pifont.sty)
Requires: tex(pgf.sty)
Requires: tex(xkeyval.sty)
Provides: tex(sseq.sty) = %{tl_version}

%description sseq
The package provides commands to draw spectral sequence
diagrams, providing facilities for clipping and arranging
multiple symbols so that they do not overlap. The package is
built using pgf, and shares that systems large demands for TeX
system memory. Its geometric commands are based on a turtle
graphics model, and control structures such as loops and
conditionals are available.

%package sseq-doc
Summary: Documentation for sseq
Version: svn31585.2.01

Provides: tex-sseq-doc
AutoReqProv: No

%description sseq-doc
Documentation for sseq

%package sslides
Provides: tex-sslides = %{tl_version}
License: LPPL 1.3
Summary: Slides with headers and footers
Version: svn32293.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sslides.cls) = %{tl_version}

%description sslides
The class provides a variant of the LaTeX standard slides
class, in which the user may add headers and footers to the
slide.

%package sslides-doc
Summary: Documentation for sslides
Version: svn32293.0

Provides: tex-sslides-doc
AutoReqProv: No

%description sslides-doc
Documentation for sslides

%package stack
Provides: tex-stack = %{tl_version}
License: LPPL
Summary: Tools to define and use stacks
Version: svn15878.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(relinput.sty) = %{tl_version}
Provides: tex(stack.sty) = %{tl_version}

%description stack
The package provides a small set of commands to implement
stacks independently of TeX's own stack. As an example of how
the stacks might be used, the documentation offers a small
"relinput" package that implements the backbone of the import
package.

%package stackengine
Provides: tex-stackengine = %{tl_version}
License: LPPL 1.3
Summary: Highly customised stacking of objects, insets, baseline changes, etc
Version: svn43221
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Provides: tex(stackengine.sty) = %{tl_version}

%description stackengine
The package provides a versatile way to stack objects
vertically in a variety of customizable ways. A number of
useful macros are provided, all of which make use of the
stackengine core.

%package stackengine-doc
Summary: Documentation for stackengine
Version: svn43221
Provides: tex-stackengine-doc
AutoReqProv: No

%description stackengine-doc
Documentation for stackengine

%package standalone
Provides: tex-standalone = %{tl_version}
License: LPPL 1.3
Summary: Compile TeX pictures stand-alone or as part of a document
Version: svn37875.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(xkeyval.sty)
Requires: tex(currfile-abspath.sty)
Requires: tex(multido.sty)
Requires: tex(varwidth.sty)
Requires: tex(tikz.sty)
Requires: tex(pstricks.sty)
Requires: tex(currfile.sty)
Requires: tex(trimclip.sty)
Requires: tex(adjustbox.sty)
Requires: tex(gincltex.sty)
Requires: tex(filemod-expmin.sty)
Provides: tex(standalone.cfg) = %{tl_version}
Provides: tex(standalone.cls) = %{tl_version}
Provides: tex(standalone.sty) = %{tl_version}
Provides: tex(standalone.tex) = %{tl_version}

%description standalone
A class and package is provided which allows TeX pictures or
other TeX code to be compiled standalone or as part of a main
document. Special support for pictures with beamer overlays is
also provided. The package is used in the main document and
skips extra preambles in sub-files. The class may be used to
simplify the preamble in sub-files. By default the preview
package is used to display the typeset code without margins.
The behaviour in standalone mode may adjusted using a
configuration file standalone.cfg to redefine the standalone
environment.

%package standalone-doc
Summary: Documentation for standalone
Version: svn37875.1.2

Provides: tex-standalone-doc
AutoReqProv: No

%description standalone-doc
Documentation for standalone

%package statistik
Provides: tex-statistik = %{tl_version}
License: GPL+
Summary: Store statistics of a document
Version: svn20334.0.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(statistik.sty) = %{tl_version}

%description statistik
The package counts the numbers of pages per chapter, and stores
the results in a separate file; the format of the file is
selectable.

%package statistik-doc
Summary: Documentation for statistik
Version: svn20334.0.03

Provides: tex-statistik-doc
AutoReqProv: No

%description statistik-doc
Documentation for statistik

%package stdclsdv
Provides: tex-stdclsdv = %{tl_version}
License: LPPL
Summary: Provide sectioning information for package writers
Version: svn15878.1.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(stdclsdv.sty) = %{tl_version}

%description stdclsdv
The stdclsdv package is designed for package writers who need
to know what sectioning divsions are provided by the document's
class. It also provides a version of \CheckCommand that sets a
flag rather than printing a warning.

%package stdclsdv-doc
Summary: Documentation for stdclsdv
Version: svn15878.1.1a

Provides: tex-stdclsdv-doc
AutoReqProv: No

%description stdclsdv-doc
Documentation for stdclsdv

%package stdpage
Provides: tex-stdpage = %{tl_version}
License: LPPL 1.2
Summary: Standard pages with n lines of at most m characters each
Version: svn15878.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(typearea.sty)
Requires: tex(ragged2e.sty)
Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Requires: tex(lineno.sty)
Requires: tex(hyphenat.sty)
Requires: tex(titlesec.sty)
Provides: tex(stdpage.sty) = %{tl_version}

%description stdpage
For translations, proofreading, journal contributions etc.
standard pages are used. Those standard pages consist of a
fixed number of lines and characters per line. This package
produces pages with n lines of at most m characters each. For
instance the German "Normseite": 60 lines of 30 characters
each.

%package stdpage-doc
Summary: Documentation for stdpage
Version: svn15878.0.6

Provides: tex-stdpage-doc
AutoReqProv: No

%description stdpage-doc
Documentation for stdpage

%package stex
Provides: tex-stex = %{tl_version}
License: LPPL
Summary: An Infrastructure for Semantic Preloading of LaTeX Documents
Version: svn40320

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(sref.sty)
Requires: tex(graphicx.sty)
Requires: tex(size10.clo)
Requires: tex(rdfmeta.sty)
Requires: tex(hwexam.sty)
Requires: tex(a4wide.sty)
Requires: tex(amssymb.sty)
Requires: tex(amstext.sty)
Requires: tex(amsmath.sty)
Requires: tex(keyval.sty)
Requires: tex(babel.sty)
Requires: tex(marginnote.sty)
Requires: tex(beamerarticle.sty)
Requires: tex(tikz.sty)
Requires: tex(url.sty)
Requires: tex(comment.sty)
Requires: tex(standalone.sty)
Requires: tex(xspace.sty)
Requires: tex(xcomment.sty)
Requires: tex(longtable.sty)
Requires: tex(ntheorem.sty)
Requires: tex(pgf.sty)
Provides: tex(cmath.sty) = %{tl_version}
Provides: tex(dcm.sty) = %{tl_version}
Provides: tex(hwexam.cls) = %{tl_version}
Provides: tex(hwexam.sty) = %{tl_version}
Provides: tex(metakeys.sty) = %{tl_version}
Provides: tex(beamerthemeJacobs.sty) = %{tl_version}
Provides: tex(mikoaffiliation.sty) = %{tl_version}
Provides: tex(mikoslides.cls) = %{tl_version}
Provides: tex(mikoslides.sty) = %{tl_version}
Provides: tex(modules.sty) = %{tl_version}
Provides: tex(omdoc.cls) = %{tl_version}
Provides: tex(omdoc.sty) = %{tl_version}
Provides: tex(omtext.sty) = %{tl_version}
Provides: tex(presentation.sty) = %{tl_version}
Provides: tex(problem.sty) = %{tl_version}
Provides: tex(rdfmeta.sty) = %{tl_version}
Provides: tex(reqdoc.sty) = %{tl_version}
Provides: tex(smglom.sty) = %{tl_version}
Provides: tex(smultiling.sty) = %{tl_version}
Provides: tex(sproof.sty) = %{tl_version}
Provides: tex(sref.sty) = %{tl_version}
Provides: tex(statements.sty) = %{tl_version}
Provides: tex(stex.sty) = %{tl_version}
Provides: tex(structview.sty) = %{tl_version}
Provides: tex(tikzinput.sty) = %{tl_version}
Provides: tex(workaddress.sty) = %{tl_version}

%description stex
The sTeX package collection is a version of TeX/LaTeX that
allows to markup TeX/LaTeX documents semantically without
leaving the document format, essentially turning it into a
document format for mathematical knowledge management (MKM).

%package stex-doc
Summary: Documentation for stex
Version: svn40320

Provides: tex-stex-doc
AutoReqProv: No

%description stex-doc
Documentation for stex

%package storebox
Provides: tex-storebox = %{tl_version}
License: LPPL 1.3
Summary: Storing information for reuse
Version: svn24895.1.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(collectbox.sty)
Provides: tex(storebox-pgf.sty) = %{tl_version}
Provides: tex(storebox.sty) = %{tl_version}

%description storebox
The package provides "store boxes" whose user interface matches
that of normal LaTeX "save boxes", except that the content of a
store box appears at most once in the output PDF file, however
often it is used. The present version of the package supports
pdfLaTeX and LuaLaTeX; when DVI is output, store boxes behave
the same as save boxes.

%package storebox-doc
Summary: Documentation for storebox
Version: svn24895.1.3a

Provides: tex-storebox-doc
AutoReqProv: No

%description storebox-doc
Documentation for storebox

%package storecmd
Provides: tex-storecmd = %{tl_version}
License: LPPL 1.3
Summary: Store the name of a defined command in a container
Version: svn24431.0.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(catoptions.sty)
Requires: tex(ltxtools.sty)
Provides: tex(storecmd.sty) = %{tl_version}

%description storecmd
The package provides macros for command definition that save
the name of the command being defined in a file or a macro
container. The list could be useful for spelling exceptions in
text editors that do not support TeX syntax.

%package storecmd-doc
Summary: Documentation for storecmd
Version: svn24431.0.0.2

Provides: tex-storecmd-doc
AutoReqProv: No

%description storecmd-doc
Documentation for storecmd

%package stringstrings
Provides: tex-stringstrings = %{tl_version}
License: LPPL 1.3
Summary: String manipulation for cosmetic and programming application
Version: svn36203.1.23

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(stringstrings.sty) = %{tl_version}

%description stringstrings
The package provides a large and sundry set of macros for the
manipulation of strings. The macros are developed not merely
for cosmetic application (such as changing the case of letters
and string substitution), but also for programming applications
such as character look-ahead, argument parsing, conditional
tests on various string conditions, etc. The macros were
designed all to be expandable (note that things such as
\uppercase and \lowercase are not expandable), so that the
macros may be strung together sequentially and nested (after a
fashion) to achieve rather complex manipulations.

%package stringstrings-doc
Summary: Documentation for stringstrings
Version: svn36203.1.23

Provides: tex-stringstrings-doc
AutoReqProv: No

%description stringstrings-doc
Documentation for stringstrings

%package sttools
Provides: tex-sttools = %{tl_version}
License: LPPL 1.3
Summary: Various macros
Version: svn43684
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(array.sty)
Provides: tex(cuted.sty) = %{tl_version}
Provides: tex(floatpag.sty) = %{tl_version}
Provides: tex(flushend.sty) = %{tl_version}
Provides: tex(marginal.sty) = %{tl_version}
Provides: tex(midfloat.sty) = %{tl_version}
Provides: tex(stabular.sty) = %{tl_version}
Provides: tex(stfloats.sty) = %{tl_version}
Provides: tex(texsort.sty) = %{tl_version}

%description sttools
A collection of tools and macros, providing: miscellaneous
float control, page styles for floats, multipage tabulars, even
columns at end of twocolumn region, switching between one- and
two-column anywhere, getting more mileage from \marginpar,
simulating the effect of "midfloats", a package to manipulate
numerical lists and arrays.

%package sttools-doc
Summary: Documentation for sttools
Version: svn43684
Provides: tex-sttools-doc
AutoReqProv: No

%description sttools-doc
Documentation for sttools

%package stubs
Provides: tex-stubs = %{tl_version}
License: GPL+
Summary: Create tear-off stubs at the bottom of a page
Version: svn19440.0.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(textpos.sty)
Requires: tex(graphicx.sty)
Provides: tex(stubs.sty) = %{tl_version}

%description stubs
The \stubs command creates as many repetitions as possible of
its argument, at the bottom of the page; these stubs may be
used (for example) for contact information.

%package stubs-doc
Summary: Documentation for stubs
Version: svn19440.0.1.1

Provides: tex-stubs-doc
AutoReqProv: No

%description stubs-doc
Documentation for stubs

%package subdepth
Provides: tex-subdepth = %{tl_version}
License: LPPL
Summary: Unify maths subscript height
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(subdepth.sty) = %{tl_version}

%description subdepth
This package is based on code (posted long ago to comp.text.tex
by Donald Arseneau) to equalise the height of subscripts in
maths. The default behaviour is to place subscripts slightly
lower when there is a superscript as well, but this can look
odd in some situations.

%package subdepth-doc
Summary: Documentation for subdepth
Version: svn15878.0.1

Provides: tex-subdepth-doc
AutoReqProv: No

%description subdepth-doc
Documentation for subdepth

%package subeqn
Provides: tex-subeqn = %{tl_version}
License: LPPL
Summary: Package for subequation numbering
Version: svn15878.2.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(subeqn.sty) = %{tl_version}

%description subeqn
Sometimes it is necessary to be able to refer to subexpressions
of an equation. In order to do that these subexpressions should
be numbered. In standard LaTeX there is no provision for this.
To solve this problem Stephen Gildea once wrote subeqn.sty for
LaTeX 2.09; Donald Arsenau rewrote the macros and Johannes
Braams made them available for LaTeX2e. Note that this package
is not compatible with the package subeqnarray (written by
Johannes Braams), but it can be used together with the LaTeX
class options leqno and fleqn.

%package subeqn-doc
Summary: Documentation for subeqn
Version: svn15878.2.0b

Provides: tex-subeqn-doc
AutoReqProv: No

%description subeqn-doc
Documentation for subeqn

%package subeqnarray
Provides: tex-subeqnarray = %{tl_version}
License: LPPL
Summary: Equation array with sub numbering
Version: svn15878.2.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(subeqnarray.sty) = %{tl_version}

%description subeqnarray
This package defines the subeqnarray and subeqnarray*
environments, which behave like the corresponding eqnarray and
eqnarray* environments, except that the individual lines are
numbered like 1a, 1b, 1c, etc. To refer to these numbers an
extra label command \slabel is provided. Users are urged to
consider the alignment capabilities of the amsmath bundle,
which produce better results than eqnarray-related macros.

%package subeqnarray-doc
Summary: Documentation for subeqnarray
Version: svn15878.2.1c

Provides: tex-subeqnarray-doc
AutoReqProv: No

%description subeqnarray-doc
Documentation for subeqnarray

%package subfigmat
Provides: tex-subfigmat = %{tl_version}
License: LPPL
Summary: Automates layout when using the subfigure package
Version: svn20308.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(subfigure.sty)
Provides: tex(subfigmat.sty) = %{tl_version}

%description subfigmat
Defines an array/matrix-type environment that is used with the
subfigure package to automate the placement of subfigures (or
tables or text). The subfigures are placed left-to-right, top-
to-bottom.

%package subfigmat-doc
Summary: Documentation for subfigmat
Version: svn20308.1.0

Provides: tex-subfigmat-doc
AutoReqProv: No

%description subfigmat-doc
Documentation for subfigmat

%package subfigure
Provides: tex-subfigure = %{tl_version}
License: LPPL
Summary: Deprecated: Figures divided into subfigures
Version: svn15878.2.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(subfigure.cfg) = %{tl_version}
Provides: tex(subfigure.sty) = %{tl_version}

%description subfigure
Provides support for the manipulation and reference of small or
'sub' figures and tables within a single figure or table
environment. It is convenient to use this package when your
subfigures are to be separately captioned, referenced, or are
to be included in the List-of-Figures. A new \subfigure command
is introduced which can be used inside a figure environment for
each subfigure. An optional first argument is used as the
caption for that subfigure. The package is now considered
obsolete: it was superseded by subfig, but users may find the
more recent subcaption package more satisfactory.

%package subfigure-doc
Summary: Documentation for subfigure
Version: svn15878.2.1.5

Provides: tex-subfigure-doc
AutoReqProv: No

%description subfigure-doc
Documentation for subfigure

%package subfiles
Provides: tex-subfiles = %{tl_version}
License: LPPL 1.3
Summary: Individual typesetting of subfiles of a "main" document
Version: svn26645.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(subfiles.cls) = %{tl_version}
Provides: tex(subfiles.sty) = %{tl_version}

%description subfiles
Using subfiles the user can handle multi-file projects more
comfortably making it possible to both process the subsidiary
files by themselves and to process the main file that includes
them, without making any changes to either.

%package subfiles-doc
Summary: Documentation for subfiles
Version: svn26645.1.1

Provides: tex-subfiles-doc
AutoReqProv: No

%description subfiles-doc
Documentation for subfiles

%package subfloat
Provides: tex-subfloat = %{tl_version}
License: LPPL
Summary: Sub-numbering for figures and tables
Version: svn29349.2.14

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(subfloat.sty) = %{tl_version}

%description subfloat
This package enables sub-numbering of floats (figures and
tables) similar to the subequations-environment of the amsmath
package. The subfloat package is not to be confused with the
subfig package which generates sub-figures within one normal
figure, and manages their placement; subfloat only affects
captions and numbering.

%package subfloat-doc
Summary: Documentation for subfloat
Version: svn29349.2.14

Provides: tex-subfloat-doc
AutoReqProv: No

%description subfloat-doc
Documentation for subfloat

%package substitutefont
Provides: tex-substitutefont = %{tl_version}
License: LPPL 1.3
Summary: Easy font substitution
Version: svn32066.0.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(substitutefont.sty) = %{tl_version}

%description substitutefont
Many free fonts are extensions of a basic font family with new
glyphs or shapes. Such fonts may be given a new name due to
licence reasons or to the creator's preference. The package
facilitates the task of setting up a font family as substitute
for another one, using its \substitutefont command.

%package substitutefont-doc
Summary: Documentation for substitutefont
Version: svn32066.0.1.4

Provides: tex-substitutefont-doc
AutoReqProv: No

%description substitutefont-doc
Documentation for substitutefont

%package substr
Provides: tex-substr = %{tl_version}
License: LPPL
Summary: Deal with substrings in strings
Version: svn16117.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(substr.sty) = %{tl_version}

%description substr
The package provides commands to deal with substrings of
strings. Macros are provided to: determine if one string is a
substring of another, return the parts of a string before or
after a substring, and count the number of occurrences of a
substring.

%package substr-doc
Summary: Documentation for substr
Version: svn16117.1.2

Provides: tex-substr-doc
AutoReqProv: No

%description substr-doc
Documentation for substr

%package supertabular
Provides: tex-supertabular = %{tl_version}
License: LPPL 1.3
Summary: A multi-page tables package
Version: svn15878.4.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(supertabular.sty) = %{tl_version}

%description supertabular
The package was a predecessor of longtable; the newer package
(designed on quite different principles) is easier to use and
more flexible, in many cases, but supertabular retains its
usefulness in a few situations where longtable has problems.

%package supertabular-doc
Summary: Documentation for supertabular
Version: svn15878.4.1a

Provides: tex-supertabular-doc
AutoReqProv: No

%description supertabular-doc
Documentation for supertabular

%package svg
Provides: tex-svg = %{tl_version}
License: LPPL 1.3
Summary: Include and extract SVG pictures using Inkscape
Version: svn44503
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(subfig.sty)
Requires: tex(import.sty)
Requires: tex(graphicx.sty)
Requires: tex(transparent.sty)
Requires: tex(xcolor.sty)
Provides: tex(svg.sty) = %{tl_version}

%description svg
The package provides a command similar to \includegraphics
command of the graphicx package, which enables the inclusion of
SVG images using Inkscape. \includesvg[<options>]{<svg
filename>} A variety of options is available, including width,
height, and path of the SVG. The image is converted to an
appropriate format, using the \write18 mechanism to execute a
shell command, and the package also offers the means of saving
a PDF, EPS, or PNG copy of the image, at the same time. The
documentation shows an example using an SVG created from the
high energy particle physics analysis package ROOT.

%package svg-doc
Summary: Documentation for svg
Version: svn44503
Provides: tex-svg-doc
AutoReqProv: No

%description svg-doc
Documentation for svg

%package svgcolor
Provides: tex-svgcolor = %{tl_version}
License: LPPL
Summary: Define SVG named colours
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(svgcolor.sty) = %{tl_version}

%description svgcolor
The package defines the W3C Scalable Vector Graphics (SVG)
colour names for use with both the color and PSTricks packages.

%package svgcolor-doc
Summary: Documentation for svgcolor
Version: svn15878.1.0

Provides: tex-svgcolor-doc
AutoReqProv: No

%description svgcolor-doc
Documentation for svgcolor

%package svn
Provides: tex-svn = %{tl_version}
License: LPPL 1.3
Summary: Typeset Subversion keywords
Version: svn15878.43

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(svn.sty) = %{tl_version}

%description svn
The svn package lets you typeset (in LaTeX) the value of
Subversion keywords. It is approximately an equivalent to the
rcs package, but for Subversion rather than CVS. Details of
Subversion (a replacement for CVS) is available from the
project's home site.

%package svn-doc
Summary: Documentation for svn
Version: svn15878.43

Provides: tex-svn-doc
AutoReqProv: No

%description svn-doc
Documentation for svn

%package svninfo
Provides: tex-svninfo = %{tl_version}
License: LPPL
Summary: Typeset Subversion keywords
Version: svn17554.0.7.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyheadings.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(scrpage2.sty)
Requires: tex(eso-pic.sty)
Requires: tex(ifthen.sty)
Provides: tex(svninfo.cfg) = %{tl_version}
Provides: tex(svninfo.sty) = %{tl_version}

%description svninfo
A package for incorporating the values of Subversion keywords
into typeset documents. Information about Subversion (a
replacement for CVS) is available from
http://subversion.tigris.org/

%package svninfo-doc
Summary: Documentation for svninfo
Version: svn17554.0.7.4

Provides: tex-svninfo-doc
AutoReqProv: No

%description svninfo-doc
Documentation for svninfo

%package syntax
Provides: tex-syntax = %{tl_version}
License: GPL+
Summary: Creation of syntax diagrams
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(syntax.tex) = %{tl_version}

%description syntax
Create syntax diagrams using special environments and commands
to represent the diagram structure.

%package syntax-doc
Summary: Documentation for syntax
Version: svn15878.0

Provides: tex-syntax-doc
AutoReqProv: No

%description syntax-doc
Documentation for syntax

%package syntrace
Provides: tex-syntrace = %{tl_version}
License: LPPL
Summary: Labels for tracing in a syntax tree
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(synttree.sty)
Requires: tex(qtree.sty)
Provides: tex(syntrace.sty) = %{tl_version}

%description syntrace
This package adds support for traces in trees created using
either the synttree or the qtree package. The package provides
two commands (\traceLabel and \traceReference) to set and use a
trace.

%package syntrace-doc
Summary: Documentation for syntrace
Version: svn15878.1.1

Provides: tex-syntrace-doc
AutoReqProv: No

%description syntrace-doc
Documentation for syntrace

%package synttree
Provides: tex-synttree = %{tl_version}
License: LPPL
Summary: Typeset syntactic trees
Version: svn16252.1.4.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(synttree.sty) = %{tl_version}

%description synttree
A package to typeset syntactic trees such as those used in
Chomsky's Generative grammar, based on a description of the
structure of the tree.

%package synttree-doc
Summary: Documentation for synttree
Version: svn16252.1.4.2

Provides: tex-synttree-doc
AutoReqProv: No

%description synttree-doc
Documentation for synttree

%package tabfigures
Provides: tex-tabfigures = %{tl_version}
License: LPPL 1.3
Summary: Maintain vertical alignment of figures
Version: svn25202.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(xcolor.sty)
Provides: tex(tabfigures.sty) = %{tl_version}

%description tabfigures
Knuth designed his original fonts with tabular figures (figures
whose width is uniform); this makes some layout problems rather
simple. In more recent times, fonts (such as Minion Pro), which
offer proportionally spaced figures, are increasingly being
used. The package provides mechanisms whereby such proportional
figures may still be aligned in tabular style (for example, in
the table of contents).

%package tabfigures-doc
Summary: Documentation for tabfigures
Version: svn25202.1.1

Provides: tex-tabfigures-doc
AutoReqProv: No

%description tabfigures-doc
Documentation for tabfigures

%package tableaux
Provides: tex-tableaux = %{tl_version}
License: LPPL
Summary: Construct tables of signs and variations
Version: svn42413
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(array.sty)
Requires: tex(hhline.sty)
Requires: tex(graphicx.sty)
Requires: tex(pstcol.sty)
Requires: tex(pst-fill.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pst-tree.sty)
Provides: tex(minimum.sty) = %{tl_version}
Provides: tex(tableau.sty) = %{tl_version}

%description tableaux
The package uses PStricks; the user may define the width of the
table, the number of lines and the height of each line.
Placement of labels within the boxes may be absolute, or as a
percentage of the width; various other controls are available.

%package tableaux-doc
Summary: Documentation for tableaux
Version: svn42413
Provides: tex-tableaux-doc
AutoReqProv: No

%description tableaux-doc
Documentation for tableaux

%package tablefootnote
Provides: tex-tablefootnote = %{tl_version}
License: LPPL 1.3
Summary: Permit footnotes in tables
Version: svn32804.1.1c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ltxcmds.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(xifthen.sty)
Requires: tex(etoolbox.sty)
Provides: tex(tablefootnote.sty) = %{tl_version}

%description tablefootnote
The package provides the command \tablefootnote to be used in a
table or sidewaystable environment, where \footnote will not
work (and when using \footnotemark and \footnotetext, and
adjusting the counter as necessary, is too much work).

%package tablefootnote-doc
Summary: Documentation for tablefootnote
Version: svn32804.1.1c

Provides: tex-tablefootnote-doc
AutoReqProv: No

%description tablefootnote-doc
Documentation for tablefootnote

%package tableof
Provides: tex-tableof = %{tl_version}
License: LPPL 1.3
Summary: Tagging tables of contents
Version: svn36489.1.4a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tableof.sty) = %{tl_version}

%description tableof
The package provides the commands to flag chapters or sections
(or anything else destined to become a TOC line). The command
\nexttocwithtags{req1,req2,...}{excl1,excl2,...} specifies
which tags are to be required and which ones are to be excluded
by the next \tableofcontents (or equivalent) command. In a
document that uses a class where \tableofcontents may only be
used once, the command
\tableoftaggedcontents{req1,req2,...}{excl1,excl2,...} may be
used to provide several tables.

%package tableof-doc
Summary: Documentation for tableof
Version: svn36489.1.4a

Provides: tex-tableof-doc
AutoReqProv: No

%description tableof-doc
Documentation for tableof

%package tablestyles
Provides: tex-tablestyles = %{tl_version}
License: LPPL
Summary: tablestyles package
Version: svn34495.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xcolor.sty)
Requires: tex(ragged2e.sty)
Provides: tex(tablestyles.sty) = %{tl_version}

%description tablestyles
tablestyles package

%package tablestyles-doc
Summary: Documentation for tablestyles
Version: svn34495.0

Provides: tex-tablestyles-doc
AutoReqProv: No

%description tablestyles-doc
Documentation for tablestyles

%package tablists
Provides: tex-tablists = %{tl_version}
License: LPPL
Summary: Tabulated lists of short items
Version: svn15878.0.0e

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(makecell.sty)
Provides: tex(tablists.sty) = %{tl_version}

%description tablists
This package offers environments and commands for one-level and
two-level lists of short items (e.g., exercises in textbooks).
The environments support optional arguments of item numbering
similar to the enumerate or paralist packages.

%package tablists-doc
Summary: Documentation for tablists
Version: svn15878.0.0e

Provides: tex-tablists-doc
AutoReqProv: No

%description tablists-doc
Documentation for tablists

%package tabls
Provides: tex-tabls = %{tl_version}
License: Dotseqn
Summary: Better vertical spacing in tables and arrays
Version: svn17255.3.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tabls.sty) = %{tl_version}

%description tabls
Modifies LaTeX's array and tabular environments to keep text
from touching other text or hlines above or below. Several new
parameters are defined and some standard macros are re-defined.
The package slows down compilation of tables, since each entry
is boxed twice.

%package tabls-doc
Summary: Documentation for tabls
Version: svn17255.3.5

Provides: tex-tabls-doc
AutoReqProv: No

%description tabls-doc
Documentation for tabls

%package tabstackengine
Provides: tex-tabstackengine = %{tl_version}
License: LPPL
Summary: "Tabbing" front-end to stackengine
Version: svn42610
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(stackengine.sty)
Requires: tex(calc.sty)
Provides: tex(tabstackengine.sty) = %{tl_version}

%description tabstackengine
The package provides a front end to the stackengine package, to
allow tabbed stacking. In most cases, an existing stackengine
command may be prepended with the word "tabbed", "align" or
"tabular" to create a new tabbed version of a stacking macro.
In addition, hooks in the package's parser, that tabbed strings
of data may be parsed, extracted and reconstituted (not
requiring use of any stacking constructions).

%package tabstackengine-doc
Summary: Documentation for tabstackengine
Version: svn42610
Provides: tex-tabstackengine-doc
AutoReqProv: No

%description tabstackengine-doc
Documentation for tabstackengine

%package tabto-ltx
Provides: tex-tabto-ltx = %{tl_version}
License: LPPL
Summary: "Tab" to a measured position in the line
Version: svn30710.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tabto.sty) = %{tl_version}

%description tabto-ltx
\tabto{<length>} moves the typesetting position to <length>
from the left margin of the paragraph. If the typesetting
position is already further along, \tabto starts a new line;
the command \tabto* will move position backwards if necessary,
so that previous text may be overwritten. The command
\TabPositions may be used to define a set of tabbing positions,
after which the command \tab advances typesetting position to
the next defined 'tab stop'.

%package tabto-ltx-doc
Summary: Documentation for tabto-ltx
Version: svn30710.1.3

Provides: tex-tabto-ltx-doc
AutoReqProv: No

%description tabto-ltx-doc
Documentation for tabto-ltx

%package tabu
Provides: tex-tabu = %{tl_version}
License: LPPL 1.3
Summary: Flexible LaTeX tabulars
Version: svn21534.2.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(varwidth.sty)
Requires: tex(delarray.sty)
Requires: tex(linegoal.sty)
Provides: tex(tabu.sty) = %{tl_version}

%description tabu
The package provides an environment, tabu, which will make any
sort of tabular (that doesn't need to split across pages), and
an environment longtabu which provides the facilities of tabu
in a modified longtable environment. (Note that this latter
offers an enhancement of ltxtable.) The package requires the
array package, and needs e-TeX to run (since array.sty is
present in every conforming distribution of LaTeX, and since
every publicly available LaTeX format is built using e-TeX, the
requirements are provided by default on any reasonable system).
The package also requires xcolor for coloured rules in tables,
and colortbl for coloured cells. The longtabu environment
further requires that longtable be loaded. The package itself
does not load any of these packages for the user. The tabu
environment may be used in place of tabular, tabular* and
tabularx environments, as well as the array environment in
maths mode. It overloads tabularx's X-column specification,
allowing a width specification, alignment (l, r, c and j) and
column type indication (p, m and b). \begin{tabu} to <dimen>
specifies a target width, and \begin{tabu} spread <dimen>
enlarges the environment's "natural" width.

%package tabu-doc
Summary: Documentation for tabu
Version: svn21534.2.8

Provides: tex-tabu-doc
AutoReqProv: No

%description tabu-doc
Documentation for tabu

%package tabularborder
Provides: tex-tabularborder = %{tl_version}
License: LPPL 1.2
Summary: Remove excess space at left and right of tabular
Version: svn17885.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(booktabs.sty)
Requires: tex(array.sty)
Provides: tex(tabularborder.sty) = %{tl_version}

%description tabularborder
The tabular environment is changed so that the outer
\tabcolseps are compensated and a \hline has the same length as
the text. No @{} is needed.

%package tabularborder-doc
Summary: Documentation for tabularborder
Version: svn17885.1.0a

Provides: tex-tabularborder-doc
AutoReqProv: No

%description tabularborder-doc
Documentation for tabularborder

%package tabularcalc
Provides: tex-tabularcalc = %{tl_version}
License: LPPL
Summary: Calculate formulas in a tabular environment
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp.sty)
Requires: tex(xstring.sty)
Requires: tex(numprint.sty)
Provides: tex(tabularcalc.sty) = %{tl_version}

%description tabularcalc
Given a list of numbers and one (or more) formulas, the package
offers an easy syntax to build a table of values, i.e., a
tabular in which the first row contains the list of numbers,
and the other rows contain the calculated values of the
formulas for each number of the list. The table may be built
either horizontally or vertically and is fully customizable.

%package tabularcalc-doc
Summary: Documentation for tabularcalc
Version: svn15878.0.2

Provides: tex-tabularcalc-doc
AutoReqProv: No

%description tabularcalc-doc
Documentation for tabularcalc

%package tabularew
Provides: tex-tabularew = %{tl_version}
License: LPPL
Summary: A variation on the tabular environment
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Provides: tex(tabularew.sty) = %{tl_version}

%description tabularew
The package offers a modification of the tabular environment,
which deals with the problem of column heads that are
significantly wider than the body of the column.

%package tabularew-doc
Summary: Documentation for tabularew
Version: svn15878.0.1

Provides: tex-tabularew-doc
AutoReqProv: No

%description tabularew-doc
Documentation for tabularew

%package tabulary
Provides: tex-tabulary = %{tl_version}
License: LPPL
Summary: Tabular with variable width columns balanced
Version: svn34368.0.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Provides: tex(tabulary.sty) = %{tl_version}

%description tabulary
The package defines a tabular*-like environment, tabulary,
taking a 'total width' argument as well as the column
specifications. The environment uses column types L, C, R and J
for variable width columns (\raggedright', \centering,
\raggedleft, and normally justified). In contrast to tabularx's
X columns, the width of each column is weighted according to
the natural width of the widest cell in the column.

%package tabulary-doc
Summary: Documentation for tabulary
Version: svn34368.0.10

Provides: tex-tabulary-doc
AutoReqProv: No

%description tabulary-doc
Documentation for tabulary

%package tagging
Provides: tex-tagging = %{tl_version}
License: LPPL 1.3
Summary: Document configuration with tags
Version: svn23761.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(verbatim.sty)
Provides: tex(tagging.sty) = %{tl_version}

%description tagging
The package allows the user to generate multiple documents from
a single source, by marking pieces of the document with tags
and specifying which marked pieces to include or exclude.

%package tagging-doc
Summary: Documentation for tagging
Version: svn23761.0

Provides: tex-tagging-doc
AutoReqProv: No

%description tagging-doc
Documentation for tagging

%package tagpair
Provides: tex-tagpair = %{tl_version}
License: LPPL 1.3
Summary: Word-by-word glosses, translations, and bibliographic attributions
Version: svn42138
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(varwidth.sty)
Provides: tex(tagpair.sty) = %{tl_version}

%description tagpair
This package provides environments and commands for pairing
lines, bottom lines, and tagged lines, intended to be used in
particular for word-by-word glosses, translations, and
bibliographic attributions, respectively. This LaTeX package is
inspired by Marcel R. van der Goot's classic Plain TeX macros
in gloss.tex.

%package tagpair-doc
Summary: Documentation for tagpair
Version: svn42138
Provides: tex-tagpair-doc
AutoReqProv: No

%description tagpair-doc
Documentation for tagpair

%package talk
Provides: tex-talk = %{tl_version}
License: LPPL
Summary: A LaTeX class for presentations
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(multido.sty)
Requires: tex(amsmath.sty)
Requires: tex(graphicx.sty)
Requires: tex(pgf.sty)
Requires: tex(hyperref.sty)
Provides: tex(sidebars.sty) = %{tl_version}
Provides: tex(talk.cls) = %{tl_version}

%description talk
The talk document class allows you to create slides for screen
presentations or printing on transparencies. It also allows you
to print personal notes for your talk. You can create overlays
and display structure information (current section /
subsection, table of contents) on your slides. The main feature
that distinguishes talk from other presentation classes like
beamer or prosper is that it allows the user to define an
arbitrary number of slide styles and switch between these
styles from slide to slide. This way the slide layout can be
adapted to the slide content. For example, the title or
contents page of a talk can be given a slightly different
layout than the other slides. The talk class makes no
restrictions on the slide design whatsoever. The entire look
and feel of the presentation can be defined by the user. The
style definitions should be put in a separate sty file.
Currently the package comes with only one set of pre-defined
slide styles (greybars.sty). Contributions from people who are
artistically more gifted than the author are more than welcome!

%package talk-doc
Summary: Documentation for talk
Version: svn42428
Provides: tex-talk-doc
AutoReqProv: No

%description talk-doc
Documentation for talk

%package tamefloats
Provides: tex-tamefloats = %{tl_version}
License: LPPL 1.3
Summary: Experimentally use \holdinginserts with LaTeX floats
Version: svn27345.v0.42

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tameflts.sty) = %{tl_version}

%description tamefloats
LaTeX's figures, tables, and \marginpars are dangerous for
footnotes (and probably also \enlargethispage). Here is a
proposal (a 'patch' package) to help, by using \holdinginserts
in a simple way. It replaces the original problem with a new
one -- it is an experiment to find out whether the new problem
is less bad (or it is just a contribution to the discussion,
maybe just a summary of previous work). The files provide
further information.

%package tamefloats-doc
Summary: Documentation for tamefloats
Version: svn27345.v0.42

Provides: tex-tamefloats-doc
AutoReqProv: No

%description tamefloats-doc
Documentation for tamefloats

%package tasks
Provides: tex-tasks = %{tl_version}
License: LPPL 1.3
Summary: Horizontally columned lists
Version: svn41851
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(epic.sty)
Requires: tex(cntformats.sty)
Requires: tex(xtemplate.sty)
Requires: tex(environ.sty)
Provides: tex(tasks.cfg) = %{tl_version}
Provides: tex(tasks.sty) = %{tl_version}

%description tasks
The reason for the creation of the tasks environment was an
unwritten agreement in German maths textbooks (exspecially
(junior) high school textbooks) to organize exercises in
columns counting horizontally rather than vertically. This is
what the tasks package helps to achieve.

%package tasks-doc
Summary: Documentation for tasks
Version: svn41851
Provides: tex-tasks-doc
AutoReqProv: No

%description tasks-doc
Documentation for tasks

%package tcldoc
Provides: tex-tcldoc = %{tl_version}
License: LPPL
Summary: Doc/docstrip for tcl
Version: svn22018.2.40

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(rtkinenc.sty)
Requires: tex(xdoc2.sty)
Requires: tex(docidx2e.sty)
Provides: tex(tcldoc.cls) = %{tl_version}
Provides: tex(tcldoc.sty) = %{tl_version}
Provides: tex(tclldoc.cls) = %{tl_version}
Provides: tex(tclldoc.sty) = %{tl_version}

%description tcldoc
The tclldoc package and class simplify the application of the
doc/docstrip style of literate programming with Dr. John
Ousterhout's Tool Command Language (Tcl, pronounced "tickle",
a.k.a. The Cool Language). The tclldoc package is a bit like
the doc package is for LaTeX, whereas the tclldoc class more
parallels the ltxdoc class.

%package tcldoc-doc
Summary: Documentation for tcldoc
Version: svn22018.2.40

Provides: tex-tcldoc-doc
AutoReqProv: No

%description tcldoc-doc
Documentation for tcldoc

%package tcolorbox
Provides: tex-tcolorbox = %{tl_version}
License: LPPL 1.3
Summary: Coloured boxes, for LaTeX examples and theorems, etc
Version: svn45313
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pgf.sty)
Requires: tex(verbatim.sty)
Requires: tex(environ.sty)
Requires: tex(etoolbox.sty)
Provides: tex(tcbbreakable.code.tex) = %{tl_version}
Provides: tex(tcbdocumentation.code.tex) = %{tl_version}
Provides: tex(tcbexternal.code.tex) = %{tl_version}
Provides: tex(tcbfitting.code.tex) = %{tl_version}
Provides: tex(tcbhooks.code.tex) = %{tl_version}
Provides: tex(tcblistings.code.tex) = %{tl_version}
Provides: tex(tcblistingscore.code.tex) = %{tl_version}
Provides: tex(tcblistingsutf8.code.tex) = %{tl_version}
Provides: tex(tcbmagazine.code.tex) = %{tl_version}
Provides: tex(tcbminted.code.tex) = %{tl_version}
Provides: tex(tcbraster.code.tex) = %{tl_version}
Provides: tex(tcbskins.code.tex) = %{tl_version}
Provides: tex(tcbskinsjigsaw.code.tex) = %{tl_version}
Provides: tex(tcbtheorems.code.tex) = %{tl_version}
Provides: tex(tcbxparse.code.tex) = %{tl_version}
Provides: tex(tcolorbox.sty) = %{tl_version}

%description tcolorbox
The package provides an environment for coloured and framed
text boxes with a heading line. Optionally, such a box may be
split in an upper and a lower part; thus the package may be
used for the setting of LaTeX examples where one part of the
box displays the source code and the other part shows the
output. Another common use case is the setting of theorems. The
package supports saving and reuse of source code and text
parts.

%package tcolorbox-doc
Summary: Documentation for tcolorbox
Version: svn45313
Provides: tex-tcolorbox-doc
AutoReqProv: No

%description tcolorbox-doc
Documentation for tcolorbox

%package tdclock
Provides: tex-tdclock = %{tl_version}
License: GPLv2+
Summary: A ticking digital clock package for PDF output
Version: svn33043.v2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(hyperref.sty)
Requires: tex(xcolor.sty)
Requires: tex(xkeyval.sty)
Provides: tex(tdclock.sty) = %{tl_version}

%description tdclock
A ticking digital clock package to be used in Pdf-LaTeX
documents, for example in presentations.

%package tdclock-doc
Summary: Documentation for tdclock
Version: svn33043.v2.5

Provides: tex-tdclock-doc
AutoReqProv: No

%description tdclock-doc
Documentation for tdclock

%package technics
Provides: tex-technics = %{tl_version}
License: LPPL
Summary: A package to format technical documents
Version: svn29349.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(technics.sty) = %{tl_version}

%description technics
The package provides a very simple LaTeX document template, in
the hope that this use of LaTeX will become attractive to
typical word processor users. (Presentation is as if it were a
class; users are expected to start from a template document.)

%package technics-doc
Summary: Documentation for technics
Version: svn29349.1.0

Provides: tex-technics-doc
AutoReqProv: No

%description technics-doc
Documentation for technics

%package ted
Provides: tex-ted = %{tl_version}
License: LPPL
Summary: A (primitive) token list editor
Version: svn15878.1.06

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ted.sty) = %{tl_version}

%description ted
Just like sed is a stream editor, ted is a token list editor.
Actually, it is not as powerfull as sed, but its main feature
is that it really works with tokens, not only characters. The
ted package provides two user macros: \Substitute and
\ShowTokens. The first is maybe the most useful: it performs
substitutions in token lists (even inside braces). The second
displays each token of the list (one per line) with its catcode
(in the list, not just the current one), and can be useful for
debugging or for TeX learners. Ted is designed to work well
even if strange tokens (that is, unusual {charcode, catcode}
pairs or tokens with a confusing meaning) occur in the list.

%package ted-doc
Summary: Documentation for ted
Version: svn15878.1.06

Provides: tex-ted-doc
AutoReqProv: No

%description ted-doc
Documentation for ted

%package templatetools
Provides: tex-templatetools = %{tl_version}
License: LPPL 1.3
Summary: Commands useful in LaTeX templates
Version: svn34495.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(array.sty)
Requires: tex(ifdraft.sty)
Requires: tex(scrlfile.sty)
Provides: tex(templatetools.sty) = %{tl_version}

%description templatetools
The package provides a collection of tools, which are helpful
for the creation of a LaTeX template if conditional paths for
code execution are required. All the commands work both in the
preamble and in the document.

%package templatetools-doc
Summary: Documentation for templatetools
Version: svn34495.0

Provides: tex-templatetools-doc
AutoReqProv: No

%description templatetools-doc
Documentation for templatetools

%package termcal
Provides: tex-termcal = %{tl_version}
License: LPPL
Summary: Print a class calendar
Version: svn22514.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(longtable.sty)
Requires: tex(ifthen.sty)
Provides: tex(termcal.sty) = %{tl_version}

%description termcal
This package is intended to print a term calendar for use in
planning a class. It has a flexible mechanism for specifying
which days of the week are to be included and for inserting
text either regularly on the same day each week, or on selected
days, or for a series of consecutive days. It also has a
flexible mechanism for specifing class and nonclass days. Text
may be inserted into consecutive days so that it automatically
flows around nonclass days.

%package termcal-doc
Summary: Documentation for termcal
Version: svn22514.1.8

Provides: tex-termcal-doc
AutoReqProv: No

%description termcal-doc
Documentation for termcal

%package termlist
Provides: tex-termlist = %{tl_version}
License: LPPL
Summary: Label any kind of term with a continuous counter
Version: svn18923.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(termlist.sty) = %{tl_version}

%description termlist
The termlist package provides environments to indent and label
any kind of terms with a continuous number. Candidate terms may
appear inside an equation or eqnarray environment.

%package termlist-doc
Summary: Documentation for termlist
Version: svn18923.1.1

Provides: tex-termlist-doc
AutoReqProv: No

%description termlist-doc
Documentation for termlist

%package testhyphens
Provides: tex-testhyphens = %{tl_version}
License: LPPL 1.3
Summary: Testing hyphenation patterns
Version: svn38928

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(testhyphens.sty) = %{tl_version}

%description testhyphens
The package may be used for testing hyphenation patterns or for
controlling that specific words are hyphenated as expected.
This package implements some old TUGboat code to adapt it to
LaTeX with some enhancements. It differs form \showhyphens,
because it typesets its output on the document's output file.
It also works with xelatex, where \showhyphens requires a
workaround.

%package testhyphens-doc
Summary: Documentation for testhyphens
Version: svn35162.0.6

Provides: tex-testhyphens-doc
AutoReqProv: No

%description testhyphens-doc
Documentation for testhyphens

%package tex-label
Provides: tex-tex-label = %{tl_version}
License: LPPL 1.3
Summary: Place a classification on each page of a document
Version: svn16372.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(tex-label.sty) = %{tl_version}

%description tex-label
Enables the user to place a 'classification' label on each
page, at the bottom to the right of the page number

%package tex-label-doc
Summary: Documentation for tex-label
Version: svn16372.0

Provides: tex-tex-label-doc
AutoReqProv: No

%description tex-label-doc
Documentation for tex-label

%package texlogos
Provides: tex-texlogos = %{tl_version}
License: LPPL
Summary: Ready-to-use LaTeX logos
Version: svn19083.1.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(graphics.sty)
Requires: tex(ifthen.sty)
Provides: tex(texlogos.sty) = %{tl_version}

%description texlogos
TeXlogos defines an assortment of frequently used logos not
contained in base LaTeX itself. The Metafont, MetapostAMS,
BibTeX and SliTeX logos are defined, as long as you have the
appropriate CM/Logo/AMS fonts. Currency symbols Euro, Cent,
Yen, Won and Naira are defined so as not to need TS1-encoded
fonts. Also defined are the C++ logo, with the '+' signs
properly positioned, and the logo of the Vienna University
Business Administration Center (BWZ).

%package texmate
Provides: tex-texmate = %{tl_version}
License: LPPL
Summary: Comprehensive chess annotation in LaTeX
Version: svn15878.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Requires: tex(chessfss.sty)
Requires: tex(skak.sty)
Provides: tex(texmate.sty) = %{tl_version}

%description texmate
TeXmate formats chess games from very simple ascii input. The
clean "1. e4 e5; 2. Nf3 Nc6; 3. Bb5 a6" will produce the same
results as the sloppier "1 e4 e5; Nf3 Nc6 3.. Bb5 a6". The
resulting format is fully customizable. There are 4 levels of
commentary: 1 is the main game, 2-3 are commentaries. Each has
its fonts, punctuation marks, etc., and these are also
customizable. The package includes a tool for the creation of
diagrams. The package works in conjunction with skak to produce
diagrams of the current position automatically. For chess
fonts, the package uses the chessfss system.

%package texmate-doc
Summary: Documentation for texmate
Version: svn15878.2

Provides: tex-texmate-doc
AutoReqProv: No

%description texmate-doc
Documentation for texmate

%package texments
Provides: tex-texments = %{tl_version}
License: LPPL
Summary: Using the Pygments highlighter in LaTeX
Version: svn15878.0.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyvrb.sty)
Requires: tex(color.sty)
Requires: tex(ifthen.sty)
Provides: tex(texments.sty) = %{tl_version}

%description texments
A package which allows to use the Pygments highlighter inside
LaTeX documents. Pygments supports syntax colouring of over 50
types of files, and ships with multiple colour schemes.

%package texments-doc
Summary: Documentation for texments
Version: svn15878.0.2.0

Provides: tex-texments-doc
AutoReqProv: No

%description texments-doc
Documentation for texments

%package texpower
Provides: tex-texpower = %{tl_version}
License: GPL+
Summary: Create dynamic online presentations with LaTeX
Version: svn29349.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-tpslifonts
Requires: tex(ifthen.sty)
Requires: tex(relsize.sty)
Requires: tex(tppstcol.sty)
Requires: tex(ifpdf.sty)
Requires: tex(graphics.sty)
Requires: tex(seminar.bug)
Requires: tex(seminar.bg2)
Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Requires: tex(color.sty)
Requires: tex(pstricks.sty)
Requires: tex(sem-page.sty)
Provides: tex(automata.sty) = %{tl_version}
Provides: tex(fixseminar.sty) = %{tl_version}
Provides: tex(powersem.cls) = %{tl_version}
Provides: tex(texpower.sty) = %{tl_version}
Provides: tex(tpcolors.cfg) = %{tl_version}
Provides: tex(tplists.sty) = %{tl_version}
Provides: tex(tpoptions.cfg) = %{tl_version}
Provides: tex(tppstcol.sty) = %{tl_version}
Provides: tex(tpsem-a4.sty) = %{tl_version}
Provides: tex(tpsettings.cfg) = %{tl_version}

%description texpower
TeXPower is a bundle of packages intended to provide an all-
inclusive environment for designing pdf screen presentations to
be viewed in full-screen mode, especially for projecting
`online' with a video beamer. For some of its core functions,
it uses code derived from ppower4 packages. It is, however, not
a complete environment in itself: it relies on an existing
class for preparing slides (such as foiltex or seminar) or
another package such as pdfslide.

%package texpower-doc
Summary: Documentation for texpower
Version: svn29349.0.2

Provides: tex-texpower-doc
AutoReqProv: No
Requires: tex-tpslifonts-doc

%description texpower-doc
Documentation for texpower

%package texshade
Provides: tex-texshade = %{tl_version}
License: GPLv2+
Summary: Package for setting nucleotide and peptide alignments
Version: svn24716.1.24

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(graphics.sty)
Requires: tex(amssymb.sty)
Provides: tex(texshade.def) = %{tl_version}
Provides: tex(texshade.sty) = %{tl_version}

%description texshade
TeXshade is alignment shading software completely written in
TeX/LaTeX; it can process multiple sequence alignments in the
.MSF and the .ALN file formats. In addition to common shading
algorithms, it provides special shading modes showing
functional aspects, e.g. charge or hydropathy, and a wide range
of commands for handling shading colours, text styles, labels,
legends; it even allows the user to define completely new
shading modes. TeXshade combines highest flexibility with TeX
output quality -- all in a bundle that does not demand
excessive development time of the user.

%package texshade-doc
Summary: Documentation for texshade
Version: svn24716.1.24

Provides: tex-texshade-doc
AutoReqProv: No

%description texshade-doc
Documentation for texshade

%package textfit
Provides: tex-textfit = %{tl_version}
License: LPPL 1.3
Summary: Fit text to a desired size
Version: svn20591.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(textfit.sty) = %{tl_version}

%description textfit
Package to fit text to a given width or height by scaling the
font. For example: \scaletowidth{3in}{This}. (The job is done
by calculating a magstep and applying it to the current font;
thus "This" will be very tall, as well as very wide; to scale
in just one dimension, use the facilities of the graphicx
package.)

%package textfit-doc
Summary: Documentation for textfit
Version: svn20591.5

Provides: tex-textfit-doc
AutoReqProv: No

%description textfit-doc
Documentation for textfit

%package textgreek
Provides: tex-textgreek = %{tl_version}
License: LPPL
Summary: Upright greek letters in text
Version: svn44192
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(textgreek.sty) = %{tl_version}
# There are probably specific .sty files we could use here...
Requires: texlive-greek-fontenc
Requires: texlive-cbfonts-fd

%description textgreek
Use upright greek letters as text symbols, e.g. \textbeta.

%package textgreek-doc
Summary: Documentation for textgreek
Version: svn44192
Provides: tex-textgreek-doc
AutoReqProv: No

%description textgreek-doc
Documentation for textgreek

%package textmerg
Provides: tex-textmerg = %{tl_version}
License: Public Domain
Summary: Merge text in TeX and LaTeX
Version: svn20677.2.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(textmerg.sty) = %{tl_version}

%description textmerg
Repetetively produce documents from a fixed part and a variable
part. Such an operation is commonly used as "mail merge" to
produce mail shots.

%package textmerg-doc
Summary: Documentation for textmerg
Version: svn20677.2.01

Provides: tex-textmerg-doc
AutoReqProv: No

%description textmerg-doc
Documentation for textmerg

%package textpos
Provides: tex-textpos = %{tl_version}
License: GPL+
Summary: Place boxes at arbitrary positions on the LaTeX page
Version: svn41331

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(everyshi.sty)
Provides: tex(textpos.sty) = %{tl_version}

%description textpos
A package to facilitate placement of boxes at absolute
positions on the LaTeX page. There are several reasons why this
might be useful, an important one being to help the creation of
large-format conference posters.

%package textpos-doc
Summary: Documentation for textpos
Version: svn41331

Provides: tex-textpos-doc
AutoReqProv: No

%description textpos-doc
Documentation for textpos

%package theoremref
Provides: tex-theoremref = %{tl_version}
License: LPPL
Summary: References with automatic theorem names
Version: svn30640.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(theoremref.sty) = %{tl_version}

%description theoremref
The theoremref package provides variants of the \label and \ref
commands for theorem-like environments, capable of
automatically typesetting references including the theorem name
(apart from the theorem number). The scheme is particularly
valuable if the author decides to change a lemma to a
proposition or a theorem (or whatever).

%package theoremref-doc
Summary: Documentation for theoremref
Version: svn30640.0

Provides: tex-theoremref-doc
AutoReqProv: No

%description theoremref-doc
Documentation for theoremref

%package thinsp
Provides: tex-thinsp = %{tl_version}
License: GPL+
Summary: A stretchable \thinspace for LaTeX
Version: svn39669

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(thinsp.sty) = %{tl_version}

%description thinsp
The package redefines \thinspace to have a stretch component.

%package thinsp-doc
Summary: Documentation for thinsp
Version: svn39669

Provides: tex-thinsp-doc
AutoReqProv: No

%description thinsp-doc
Documentation for thinsp

%package thmtools
Provides: tex-thmtools = %{tl_version}
License: LPPL 1.3
Summary: Extensions to theorem environments
Version: svn33624.66

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(remreset.sty)
Requires: tex(keyval.sty)
Requires: tex(kvsetkeys.sty)
Requires: tex(etex.sty)
Requires: tex(thmtools.sty)
Requires: tex(mdframed.sty)
Requires: tex(shadethm.sty)
Requires: tex(thmbox.sty)
Provides: tex(aliasctr.sty) = %{tl_version}
Provides: tex(parseargs.sty) = %{tl_version}
Provides: tex(thm-amsthm.sty) = %{tl_version}
Provides: tex(thm-autoref.sty) = %{tl_version}
Provides: tex(thm-beamer.sty) = %{tl_version}
Provides: tex(thm-kv.sty) = %{tl_version}
Provides: tex(thm-listof.sty) = %{tl_version}
Provides: tex(thm-llncs.sty) = %{tl_version}
Provides: tex(thm-ntheorem.sty) = %{tl_version}
Provides: tex(thm-patch.sty) = %{tl_version}
Provides: tex(thm-restate.sty) = %{tl_version}
Provides: tex(thmdef-mdframed.sty) = %{tl_version}
Provides: tex(thmdef-shaded.sty) = %{tl_version}
Provides: tex(thmdef-thmbox.sty) = %{tl_version}
Provides: tex(thmtools.sty) = %{tl_version}
Provides: tex(unique.sty) = %{tl_version}

%description thmtools
The bundle provides several packages for commonly-needed
support for typesetting theorems. The packages should work with
kernel theorems (theorems 'out of the box' with LaTeX), and the
theorem and amsthm packages. Features of the bundle include: a
key-value interface to \newtheorem; a \listoftheorems command;
hyperref and autoref compatibility; a mechanism for restating
entire theorems in a single macro call.

%package thmtools-doc
Summary: Documentation for thmtools
Version: svn33624.66

Provides: tex-thmtools-doc
AutoReqProv: No

%description thmtools-doc
Documentation for thmtools

%package threadcol
Provides: tex-threadcol = %{tl_version}
License: LPPL 1.3
Summary: Organize document columns into PDF "article thread"
Version: svn28754.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(etoolbox.sty)
Provides: tex(threadcol.sty) = %{tl_version}

%description threadcol
The package combines a document's columns into a PDF "article
thread". PDF readers that support this mechanism (probably
Adobe Acrobat/Reader only) can be instructed to scroll
automatically from column to column, which facilitates on-
screen reading of two-column documents. Even for single-column
documents, threadcol supports the creation of multiple article
threads, which help organize discontiguous but logically
related regions of text into a form that the user can scroll
through as if its contents were contiguous.

%package threadcol-doc
Summary: Documentation for threadcol
Version: svn28754.1.0

Provides: tex-threadcol-doc
AutoReqProv: No

%description threadcol-doc
Documentation for threadcol

%package threeparttable
Provides: tex-threeparttable = %{tl_version}
License: Threeparttable
Summary: Tables with captions and notes all the same width
Version: svn17383.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(3parttable.sty) = %{tl_version}
Provides: tex(threeparttable.sty) = %{tl_version}

%description threeparttable
Provides a scheme for tables that have a structured note
section, after the caption. This scheme provides an answer to
the old problem of putting footnotes in tables -- by making
footnotes entirely unnecessary. Note that a threeparttable is
not a float of itself; but you can place it in a table or a
table* environment, if necessary.

%package threeparttable-doc
Summary: Documentation for threeparttable
Version: svn17383.0

Provides: tex-threeparttable-doc
AutoReqProv: No

%description threeparttable-doc
Documentation for threeparttable

%package threeparttablex
Provides: tex-threeparttablex = %{tl_version}
License: LPPL
Summary: Notes in longtables
Version: svn34206.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(threeparttable.sty)
Requires: tex(environ.sty)
Provides: tex(threeparttablex.sty) = %{tl_version}

%description threeparttablex
The package provides the functionality of the threeparttable
package to tables created using the longtable package.

%package threeparttablex-doc
Summary: Documentation for threeparttablex
Version: svn34206.0.3

Provides: tex-threeparttablex-doc
AutoReqProv: No

%description threeparttablex-doc
Documentation for threeparttablex

%package thumb
Provides: tex-thumb = %{tl_version}
License: GPL+
Summary: Thumb marks in documents
Version: svn16549.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancyhdr.sty)
Requires: tex(minitoc.sty)
Provides: tex(thumb.sty) = %{tl_version}

%description thumb
Place thumb marks in books, manuals and reference maunals.

%package thumb-doc
Summary: Documentation for thumb
Version: svn16549.1.0

Provides: tex-thumb-doc
AutoReqProv: No

%description thumb-doc
Documentation for thumb

%package thumbs
Provides: tex-thumbs = %{tl_version}
License: LPPL 1.3
Summary: Create thumb indexes
Version: svn33134.1.0q

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(atbegshi.sty)
Requires: tex(xcolor.sty)
Requires: tex(picture.sty)
Requires: tex(alphalph.sty)
Requires: tex(pageslts.sty)
Requires: tex(pagecolor.sty)
Requires: tex(rerunfilecheck.sty)
Requires: tex(infwarerr.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(atveryend.sty)
Provides: tex(thumbs.sty) = %{tl_version}

%description thumbs
The package puts running, customizable thumb marks in the outer
margin, moving downward as the chapter number (or whatever
shall be marked by the thumb marks) increases. Additionally an
overview page/table of thumb marks can be added automatically,
which gives the names of the thumbed objects, the page where
the object/thumb mark first appears, and the thumb mark itself
at its correct position. The thumb marks are useful for large
documents (such as reference guides, anthologies, etc.), where
a quick and easy way to find (for example) a chapter is needed.

%package thumbs-doc
Summary: Documentation for thumbs
Version: svn33134.1.0q

Provides: tex-thumbs-doc
AutoReqProv: No

%description thumbs-doc
Documentation for thumbs

%package thumby
Provides: tex-thumby = %{tl_version}
License: GPLv3+
Summary: Create thumb indexes for printed books
Version: svn16736.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(perltex.sty)
Requires: tex(bophook.sty)
Provides: tex(thumby.sty) = %{tl_version}

%description thumby
The package can generate thumb indexes for your document. It
features printing thumb indexes on one- or two-sided pages,
along with background- and foreground-color selection and full
LaTeX styling of the chapter numbers in the thumb indexes. The
height of each thumb index is automatically chosen based on the
number of chapters in your document, while the width is chosen
by the user. The package is designed to work with the memoir
class, and also requires PerlTeX and tikz/

%package thumby-doc
Summary: Documentation for thumby
Version: svn16736.0.1

Provides: tex-thumby-doc
AutoReqProv: No

%description thumby-doc
Documentation for thumby

%package ticket
Provides: tex-ticket = %{tl_version}
License: LPPL
Summary: Make labels, visiting-cards, pins with LaTeX
Version: svn42280
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Provides: tex(ticket.sty) = %{tl_version}

%description ticket
Provides an easy to handle interface to produce visiting cards,
labels for your files, stickers, pins and other stuff for your
office, conferences etc. All you need is a definition of your
'ticket' included in a ticket definition file and the two
commands \ticketdefault and \ticket.

%package ticket-doc
Summary: Documentation for ticket
Version: svn42280
Provides: tex-ticket-doc
AutoReqProv: No

%description ticket-doc
Documentation for ticket

%package titlecaps
Provides: tex-titlecaps = %{tl_version}
License: LPPL 1.3
Summary: Setting rich-text input into Titling Caps
Version: svn36170.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

# bz 1186688
Requires: tex(ifnextok.sty)
Provides: tex(titlecaps.sty) = %{tl_version}

%description titlecaps
The package is intended for setting rich text into titling
capitals (in which the first character of words are
capitalized). It automatically accounts for diacritical marks
(like umlauts), national symbols (like "ae"), punctuation, and
font changing commands that alter the appearance or size of the
text. It allows a list of predesignated words to be protected
as lower-cased, and also allows for titling exceptions of
various sorts.

%package titlecaps-doc
Summary: Documentation for titlecaps
Version: svn36170.1.2

Provides: tex-titlecaps-doc
AutoReqProv: No

%description titlecaps-doc
Documentation for titlecaps

%package titlefoot
Provides: tex-titlefoot = %{tl_version}
License: LPPL
Summary: Add special material to footer of title page
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(titlefoot.sty) = %{tl_version}

%description titlefoot
Provides the capability of adding keywords (with a \keywords
command), a running title (\runningtitle), AMS subject
classifications (\amssubj), and an 'author's footnote' as
footnotes to the title or first page of a document. Works with
any class for which the \thanks macro works (e.g., article).

%package titlepic
Provides: tex-titlepic = %{tl_version}
License: Public Domain
Summary: Add picture to title page of a document
Version: svn43497
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(titlepic.sty) = %{tl_version}

%description titlepic
The package allows you to place a picture on the title page
(cover page) of a LaTeX document. Example of usage:
\usepackage[cc]{titlepic} \usepackage{graphicx}
\titlepic{\includegraphics[width=\textwidth]{picture.png}} The
package currently only works with the document classes article,
report and book.

%package titlepic-doc
Summary: Documentation for titlepic
Version: svn43497
Provides: tex-titlepic-doc
AutoReqProv: No

%description titlepic-doc
Documentation for titlepic

%package titleref
Provides: tex-titleref = %{tl_version}
License: Public Domain
Summary: A "\titleref" command to cross-reference section titles
Version: svn18729.3.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(titleref.sty) = %{tl_version}

%description titleref
Defines a command \titleref that allows you to cross-reference
section (and chapter, etc) titles and captions just like \ref
and \pageref. The package does not interwork with hyperref; if
you need hypertext capabilities, use nameref instead.

%package titleref-doc
Summary: Documentation for titleref
Version: svn18729.3.1

Provides: tex-titleref-doc
AutoReqProv: No

%description titleref-doc
Documentation for titleref

%package titlesec
Provides: tex-titlesec = %{tl_version}
License: LPPL
Summary: Select alternative section titles
Version: svn40129

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(titleps.sty) = %{tl_version}
Provides: tex(titlesec.sty) = %{tl_version}
Provides: tex(titletoc.sty) = %{tl_version}
Provides: tex(ttlkeys.def) = %{tl_version}
Provides: tex(ttlps.def) = %{tl_version}

%description titlesec
A package providing an interface to sectioning commands for
selection from various title styles. E.g., marginal titles and
to change the font of all headings with a single command, also
providing simple one-step page styles. Also includes a package
to change the page styles when there are floats in a page. You
may assign headers/footers to individual floats, too.

%package titlesec-doc
Summary: Documentation for titlesec
Version: svn40129

Provides: tex-titlesec-doc
AutoReqProv: No

%description titlesec-doc
Documentation for titlesec

%package titling
Provides: tex-titling = %{tl_version}
License: LPPL
Summary: Control over the typesetting of the \maketitle command
Version: svn15878.2.1d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(titling.sty) = %{tl_version}

%description titling
The titling package provides control over the typesetting of
the \maketitle command and \thanks commands, and makes the
\title, \author and \date information permanently available.
Multiple titles are allowed in a single document. New titling
elements can be added and a titlepage title can be centered on
a physical page.

%package titling-doc
Summary: Documentation for titling
Version: svn15878.2.1d

Provides: tex-titling-doc
AutoReqProv: No

%description titling-doc
Documentation for titling

%package tocbibind
Provides: tex-tocbibind = %{tl_version}
License: LPPL
Summary: Add bibliography/index/contents to Table of Contents
Version: svn20085.1.5k

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tocbibind.sty) = %{tl_version}

%description tocbibind
Automatically adds the bibliography and/or the index and/or the
contents, etc., to the Table of Contents listing.

%package tocbibind-doc
Summary: Documentation for tocbibind
Version: svn20085.1.5k

Provides: tex-tocbibind-doc
AutoReqProv: No

%description tocbibind-doc
Documentation for tocbibind

%package tocloft
Provides: tex-tocloft = %{tl_version}
License: LPPL 1.3
Summary: Control table of contents, figures, etc
Version: svn45188
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(tocloft.sty) = %{tl_version}

%description tocloft
Provides control over the typography of the Table of Contents,
List of Figures and List of Tables, and the ability to create
new 'List of ...'. The ToC \parskip may be changed.

%package tocloft-doc
Summary: Documentation for tocloft
Version: svn45188
Provides: tex-tocloft-doc
AutoReqProv: No

%description tocloft-doc
Documentation for tocloft

%package tocvsec2
Provides: tex-tocvsec2 = %{tl_version}
License: LPPL 1.3
Summary: Section numbering and table of contents control
Version: svn33146.1.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(tocvsec2.sty) = %{tl_version}

%description tocvsec2
Provides control over section numbering (without recourse to
starred sectional commands) and/or the entries in the Table of
Contents on a section by section basis.

%package tocvsec2-doc
Summary: Documentation for tocvsec2
Version: svn33146.1.3a

Provides: tex-tocvsec2-doc
AutoReqProv: No

%description tocvsec2-doc
Documentation for tocvsec2

%package todo
Provides: tex-todo = %{tl_version}
License: LPPL
Summary: Make a to-do list for a document
Version: svn17746.2.142

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Provides: tex(todo.sty) = %{tl_version}

%description todo
The package allows you to insert "to do" marks in your
document, to make lists of such items, and to cross-reference
to them.

%package todo-doc
Summary: Documentation for todo
Version: svn17746.2.142

Provides: tex-todo-doc
AutoReqProv: No

%description todo-doc
Documentation for todo

%package todonotes
Provides: tex-todonotes = %{tl_version}
License: LPPL 1.2
Summary: Marking things to do in a LaTeX document
Version: svn42423
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Requires: tex(calc.sty)
Provides: tex(todonotes.sty) = %{tl_version}

%description todonotes
The package lets the user mark things to do later, in a simple
and visually appealing way. The package takes several options
to enable customization/finetuning of the visual appearance.

%package todonotes-doc
Summary: Documentation for todonotes
Version: svn42423
Provides: tex-todonotes-doc
AutoReqProv: No

%description todonotes-doc
Documentation for todonotes

%package tokenizer
Provides: tex-tokenizer = %{tl_version}
License: LPPL
Summary: A tokenizer
Version: svn15878.1.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(tokenizer.sty) = %{tl_version}

%description tokenizer
A tokenizer for LaTeX. \GetTokens{Target1}{Target2}{Source}
splits source into two tokens at the first encounter of a
comma. The first token is saved in a newly created command with
the name passed as <Target1> and the second token likewise. A
package option 'trim' causes leading and trailing space to be
removed from each token; with this option, the \TrimSpaces
command is defined, which removes leading and trailing spaces
from its argument.

%package tokenizer-doc
Summary: Documentation for tokenizer
Version: svn15878.1.1.0

Provides: tex-tokenizer-doc
AutoReqProv: No

%description tokenizer-doc
Documentation for tokenizer

%package toolbox
Provides: tex-toolbox = %{tl_version}
License: LPPL
Summary: Tool macros
Version: svn32260.5.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(toolbox.sty) = %{tl_version}

%description toolbox
A package for (La)TeX which provides some macros which are
convenient for writing indexes, glossaries, or other macros. It
contains macros which support: implicit macros; fancy optional
arguments; loops over tokenlists and itemlists; searching and
splitting; controlled expansion; redefinition of macros; and
concatenated macro names; macros for text replacement.

%package toolbox-doc
Summary: Documentation for toolbox
Version: svn32260.5.1

Provides: tex-toolbox-doc
AutoReqProv: No

%description toolbox-doc
Documentation for toolbox

%package topfloat
Provides: tex-topfloat = %{tl_version}
License: GPL+
Summary: Move floats to the top of the page
Version: svn19084.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(topfloat.sty) = %{tl_version}

%description topfloat
topfloat package

%package topfloat-doc
Summary: Documentation for topfloat
Version: svn19084.0

Provides: tex-topfloat-doc
AutoReqProv: No

%description topfloat-doc
Documentation for topfloat

%package totcount
Provides: tex-totcount = %{tl_version}
License: LPPL
Summary: Find the last value of a counter
Version: svn21178.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(totcount.sty) = %{tl_version}

%description totcount
The package records the value that was last set, for any
counter of interest; since most such counters are simply
incremented when they are changed, the recorded value will
usually be the maximum value.

%package totcount-doc
Summary: Documentation for totcount
Version: svn21178.1.2

Provides: tex-totcount-doc
AutoReqProv: No

%description totcount-doc
Documentation for totcount

%package totpages
Provides: tex-totpages = %{tl_version}
License: LPPL
Summary: Count pages in a document, and report last page number
Version: svn15878.2.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(everyshi.sty)
Requires: tex(keyval.sty)
Provides: tex(totpages.sty) = %{tl_version}

%description totpages
The package counts the actual pages in the document (as opposed
to reporting the number of the last page, as does lastpage).
The counter itself may be shipped out to the DVI file. The
package uses the everyshi package for its task.

%package totpages-doc
Summary: Documentation for totpages
Version: svn15878.2.00

Provides: tex-totpages-doc
AutoReqProv: No

%description totpages-doc
Documentation for totpages

%package translations
Provides: tex-translations = %{tl_version}
License: LPPL 1.3
Summary: Internationalisation of LaTeX2e packages
Version: svn45189
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(cnltx-base.sty)
Requires: tex(scrlfile.sty)
Provides: tex(translations.sty) = %{tl_version}

%description translations
This package (once part of the exsheets package), provides a
framework for providing multilingual features to a LaTeX
package. The package has its own basic dictionaries for
English, French, German and Spanish; it aims to use translation
material for English, French, German, Italian, Spanish,
Catalan, Turkish, Croatian, Hungarian, Danish and Portuguese
from babel or polyglossia if either is in use in the document.
(Additional languages from the multilingual packages may be
possible: ask the author.)

%package translations-doc
Summary: Documentation for translations
Version: svn45189
Provides: tex-translations-doc
AutoReqProv: No

%description translations-doc
Documentation for translations

%package trfsigns
Provides: tex-trfsigns = %{tl_version}
License: GPL+
Summary: Typeset transform signs
Version: svn15878.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(trfsigns.sty) = %{tl_version}

%description trfsigns
A package for typesetting various transformation signs for
Laplace transforms, Fourier transforms and others.

%package trfsigns-doc
Summary: Documentation for trfsigns
Version: svn15878.1.01

Provides: tex-trfsigns-doc
AutoReqProv: No

%description trfsigns-doc
Documentation for trfsigns

%package trimspaces
Provides: tex-trimspaces = %{tl_version}
License: LPPL
Summary: Trim spaces around an argument or within a macro
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(trimspaces.sty) = %{tl_version}

%description trimspaces
A very short package that allows you to expandably remove
spaces around a token list (commands are provided to remove
spaces before, spaces after, or both); or to remove surrounding
spaces within a macro definition, or to define space-stripped
macros.

%package trimspaces-doc
Summary: Documentation for trimspaces
Version: svn15878.1.1

Provides: tex-trimspaces-doc
AutoReqProv: No

%description trimspaces-doc
Documentation for trimspaces

%package trivfloat
Provides: tex-trivfloat = %{tl_version}
License: LPPL
Summary: Quick float definitions in LaTeX
Version: svn15878.1.3b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(floatrow.sty)
Requires: tex(float.sty)
Provides: tex(trivfloat.sty) = %{tl_version}

%description trivfloat
The trivfloat package provides a quick method for defining new
float types in LaTeX. A single command sets up a new float in
the same style as the LaTeX kernel figure and table float
types. The package works with memoir as well as the standard
classes.

%package trivfloat-doc
Summary: Documentation for trivfloat
Version: svn15878.1.3b

Provides: tex-trivfloat-doc
AutoReqProv: No

%description trivfloat-doc
Documentation for trivfloat

%package trsym
Provides: tex-trsym = %{tl_version}
License: LPPL 1.2
Summary: Symbols for transformations
Version: svn18732.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(trsy10.tfm) = %{tl_version}
Provides: tex(trsy12.tfm) = %{tl_version}
Provides: tex(trsym.sty) = %{tl_version}
Provides: tex(utrsy.fd) = %{tl_version}

%description trsym
The bundle provides Metafont source for a small font used for
(e.g.) Laplace transformations, together with a LaTeX .fd file
and a package providing commands for the symbols' use in
mathematics.

%package trsym-doc
Summary: Documentation for trsym
Version: svn18732.1.0

Provides: tex-trsym-doc
AutoReqProv: No

%description trsym-doc
Documentation for trsym

%package truncate
Provides: tex-truncate = %{tl_version}
License: Public Domain
Summary: Truncate text to a specified width
Version: svn18921.3.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(truncate.sty) = %{tl_version}

%description truncate
The package will by default break at word boundaries, but
package options are offered to permit breaks within words.

%package truncate-doc
Summary: Documentation for truncate
Version: svn18921.3.6

Provides: tex-truncate-doc
AutoReqProv: No

%description truncate-doc
Documentation for truncate

%package tucv
Provides: tex-tucv = %{tl_version}
License: CC-BY-SA
Summary: Support for typesetting a CV or resumee
Version: svn20680.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(color.sty)
Requires: tex(calc.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(xparse.sty)
Provides: tex(tucv.sty) = %{tl_version}

%description tucv
The package provides commands for typesetting a CV or resume.
It provides commands for general-purpose headings, entries, and
item/description pairs, as well as more specific commands for
formatting sections, with explicit inclusion of school, degree,
employer, job, conference, and publications entries. It tends
to produce a somewhat long and quite detailed document but may
also be suitable to support a shorter resume. The package
relies on a 'sufficiently recent' copy of the l3kernel and
l3packages bundles.

%package tucv-doc
Summary: Documentation for tucv
Version: svn20680.1.0

Provides: tex-tucv-doc
AutoReqProv: No

%description tucv-doc
Documentation for tucv

%package turnthepage
Provides: tex-turnthepage = %{tl_version}
License: LPPL
Summary: Provide "turn page" instructions
Version: svn29803.1.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(atbegshi.sty)
Requires: tex(picture.sty)
Requires: tex(zref-abspage.sty)
Requires: tex(zref-lastpage.sty)
Requires: tex(alphalph.sty)
Requires: tex(pageslts.sty)
Provides: tex(turnpageetex.sty) = %{tl_version}
Provides: tex(turnpagewoetex.sty) = %{tl_version}
Provides: tex(turnthepage.sty) = %{tl_version}

%description turnthepage
The package prints a 'turn' instruction at the bottom of odd-
numbered pages (except the last). This is a common convention
for examination papers and the like.

%package turnthepage-doc
Summary: Documentation for turnthepage
Version: svn29803.1.3a

Provides: tex-turnthepage-doc
AutoReqProv: No

%description turnthepage-doc
Documentation for turnthepage

%package twoinone
Provides: tex-twoinone = %{tl_version}
License: Public Domain
Summary: Print two pages on a single page
Version: svn17024.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(2in1.sty) = %{tl_version}

%description twoinone
The package is for printing two pages on a single (landscape)
A4 page. Page numbers appear on the included pages, and not on
the landscape 'container' page.

%package twoinone-doc
Summary: Documentation for twoinone
Version: svn17024.0

Provides: tex-twoinone-doc
AutoReqProv: No

%description twoinone-doc
Documentation for twoinone

%package twoup
Provides: tex-twoup = %{tl_version}
License: LPPL
Summary: Print two virtual pages on each physical page
Version: svn15878.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(twoup.sty) = %{tl_version}

%description twoup
MiKTeX and many other TeX implementations include tools for
massaging PostScript into booklet and two-up printing -- that
is, printing two logical pages side by side on one side of one
sheet of paper. However, some LaTeX preliminaries are necessary
to use those tools. The twoup package provides such
preliminaries and gives advice on how to use the PostScript
tools.

%package twoup-doc
Summary: Documentation for twoup
Version: svn15878.1.3

Provides: tex-twoup-doc
AutoReqProv: No

%description twoup-doc
Documentation for twoup

%package txgreeks
Provides: tex-txgreeks = %{tl_version}
License: LPPL 1.3
Summary: Shape selection for TX fonts Greek letters
Version: svn21839.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(txfonts.sty)
Provides: tex(txgreeks.sty) = %{tl_version}

%description txgreeks
The package allows LaTeX users who use the TX fonts to select
the shapes (italic or upright) for the Greek lowercase and
uppercase letters. Once the shapes for lowercase and uppercase
have been selected via a package option, the \other prefix
(e.g., \otheralpha) allows using the alternate glyph (as in the
fourier package). The txgreeks package does not constrain the
text font that may be used in the document.

%package txgreeks-doc
Summary: Documentation for txgreeks
Version: svn21839.1.0

Provides: tex-txgreeks-doc
AutoReqProv: No

%description txgreeks-doc
Documentation for txgreeks

%package type1cm
Provides: tex-type1cm = %{tl_version}
License: LPPL
Summary: Arbitrary size font selection in LaTeX
Version: svn21820.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(type1cm.sty) = %{tl_version}

%description type1cm
LaTeX, by default, restricts the sizes at which you can use its
default computer modern fonts, to a fixed set of discrete sizes
(effectively, a set specified by Knuth). The type1cm package
removes this restriction; this is particularly useful when
using scalable versions of the cm fonts (Bakoma, or the
versions from BSR/Y&Y, or True Type versions from Kinch, PCTeX,
etc.). In fact, since modern distributions will automatically
generate any bitmap font you might need, type1cm has wider
application than just those using scaleable versions of the
fonts. Note that the LaTeX distribution now contains a package
fix-cm, which performs the task of type1cm, as well as doing
the same job for T1- and TS1-encoded ec fonts.

%package type1cm-doc
Summary: Documentation for type1cm
Version: svn21820.0

Provides: tex-type1cm-doc
AutoReqProv: No

%description type1cm-doc
Documentation for type1cm

%package typeface
Provides: tex-typeface = %{tl_version}
License: LPPL 1.3
Summary: Select a balanced set of fonts
Version: svn27046.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifetex.sty)
Requires: tex(etexcmds.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifthenx.sty)
Requires: tex(iftex.sty)
Requires: tex(ifpdf.sty)
Requires: tex(xkeyval.sty)
Requires: tex(fix-cm.sty)
Requires: tex(nfssext-cfr.sty)
Requires: tex(scalefnt.sty)
Requires: tex(xcolor.sty)
Provides: tex(typeface.cfg) = %{tl_version}
Provides: tex(typeface.sty) = %{tl_version}

%description typeface
The package provides the means of establishing a consistent set
of fonts for use in a LaTeX document. It allows mixing and
matching the Type 1 font sets available on the archive (and it
may be extended, via its configuration file, to support other
fonts). Font-set definition takes the form of a set of options
that are read when the package is loaded: for each typographic
category (main body font, sans-serif font, monospace font,
mathematics fonts, text figures, and so on), a font or a
transformation is given in those options. The approach enables
the user to remember their own configurations (as a single
command) and to borrow configurations that other users have
developed. The present release is designated "for review".

%package typeface-doc
Summary: Documentation for typeface
Version: svn27046.0.1

Provides: tex-typeface-doc
AutoReqProv: No

%description typeface-doc
Documentation for typeface

%package typogrid
Provides: tex-typogrid = %{tl_version}
License: LPPL
Summary: Print a typographic grid
Version: svn24994.0.21

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(keyval.sty)
Requires: tex(eso-pic.sty)
Provides: tex(typogrid.sty) = %{tl_version}

%description typogrid
Draws a grid on every page of the document; the grid divides
the page into columns, and may be used for fixing measurements
of layout.

%package typogrid-doc
Summary: Documentation for typogrid
Version: svn24994.0.21

Provides: tex-typogrid-doc
AutoReqProv: No

%description typogrid-doc
Documentation for typogrid

%package uassign
Provides: tex-uassign = %{tl_version}
License: GPLv2+
Summary: Provides environments and options for typesetting university assignments
Version: svn38459

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(uassign.sty) = %{tl_version}

%description uassign
Provides environments and options for typesetting university
assignments

%package uassign-doc
Summary: Documentation for uassign
Version: svn38459

Provides: tex-uassign-doc
AutoReqProv: No

%description uassign-doc
Documentation for uassign

%package ucs
Provides: tex-ucs = %{tl_version}
License: LPPL 1.3
Summary: Extended UTF-8 input encoding support for LaTeX
Version: svn35853.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Requires: tex(keyval.sty)
Requires: tex(fontenc.sty)
Provides: tex(uni-0.def) = %{tl_version}
Provides: tex(uni-1.def) = %{tl_version}
Provides: tex(uni-100.def) = %{tl_version}
Provides: tex(uni-101.def) = %{tl_version}
Provides: tex(uni-102.def) = %{tl_version}
Provides: tex(uni-103.def) = %{tl_version}
Provides: tex(uni-104.def) = %{tl_version}
Provides: tex(uni-105.def) = %{tl_version}
Provides: tex(uni-106.def) = %{tl_version}
Provides: tex(uni-107.def) = %{tl_version}
Provides: tex(uni-108.def) = %{tl_version}
Provides: tex(uni-109.def) = %{tl_version}
Provides: tex(uni-110.def) = %{tl_version}
Provides: tex(uni-111.def) = %{tl_version}
Provides: tex(uni-112.def) = %{tl_version}
Provides: tex(uni-113.def) = %{tl_version}
Provides: tex(uni-114.def) = %{tl_version}
Provides: tex(uni-115.def) = %{tl_version}
Provides: tex(uni-116.def) = %{tl_version}
Provides: tex(uni-117.def) = %{tl_version}
Provides: tex(uni-118.def) = %{tl_version}
Provides: tex(uni-119.def) = %{tl_version}
Provides: tex(uni-12.def) = %{tl_version}
Provides: tex(uni-120.def) = %{tl_version}
Provides: tex(uni-121.def) = %{tl_version}
Provides: tex(uni-122.def) = %{tl_version}
Provides: tex(uni-123.def) = %{tl_version}
Provides: tex(uni-124.def) = %{tl_version}
Provides: tex(uni-125.def) = %{tl_version}
Provides: tex(uni-126.def) = %{tl_version}
Provides: tex(uni-127.def) = %{tl_version}
Provides: tex(uni-128.def) = %{tl_version}
Provides: tex(uni-129.def) = %{tl_version}
Provides: tex(uni-130.def) = %{tl_version}
Provides: tex(uni-131.def) = %{tl_version}
Provides: tex(uni-132.def) = %{tl_version}
Provides: tex(uni-133.def) = %{tl_version}
Provides: tex(uni-134.def) = %{tl_version}
Provides: tex(uni-135.def) = %{tl_version}
Provides: tex(uni-136.def) = %{tl_version}
Provides: tex(uni-137.def) = %{tl_version}
Provides: tex(uni-138.def) = %{tl_version}
Provides: tex(uni-139.def) = %{tl_version}
Provides: tex(uni-14.def) = %{tl_version}
Provides: tex(uni-140.def) = %{tl_version}
Provides: tex(uni-141.def) = %{tl_version}
Provides: tex(uni-142.def) = %{tl_version}
Provides: tex(uni-143.def) = %{tl_version}
Provides: tex(uni-144.def) = %{tl_version}
Provides: tex(uni-145.def) = %{tl_version}
Provides: tex(uni-146.def) = %{tl_version}
Provides: tex(uni-147.def) = %{tl_version}
Provides: tex(uni-148.def) = %{tl_version}
Provides: tex(uni-149.def) = %{tl_version}
Provides: tex(uni-150.def) = %{tl_version}
Provides: tex(uni-151.def) = %{tl_version}
Provides: tex(uni-152.def) = %{tl_version}
Provides: tex(uni-153.def) = %{tl_version}
Provides: tex(uni-154.def) = %{tl_version}
Provides: tex(uni-155.def) = %{tl_version}
Provides: tex(uni-156.def) = %{tl_version}
Provides: tex(uni-157.def) = %{tl_version}
Provides: tex(uni-158.def) = %{tl_version}
Provides: tex(uni-159.def) = %{tl_version}
Provides: tex(uni-167.def) = %{tl_version}
Provides: tex(uni-172.def) = %{tl_version}
Provides: tex(uni-173.def) = %{tl_version}
Provides: tex(uni-174.def) = %{tl_version}
Provides: tex(uni-175.def) = %{tl_version}
Provides: tex(uni-176.def) = %{tl_version}
Provides: tex(uni-177.def) = %{tl_version}
Provides: tex(uni-178.def) = %{tl_version}
Provides: tex(uni-179.def) = %{tl_version}
Provides: tex(uni-18.def) = %{tl_version}
Provides: tex(uni-180.def) = %{tl_version}
Provides: tex(uni-181.def) = %{tl_version}
Provides: tex(uni-182.def) = %{tl_version}
Provides: tex(uni-183.def) = %{tl_version}
Provides: tex(uni-184.def) = %{tl_version}
Provides: tex(uni-185.def) = %{tl_version}
Provides: tex(uni-186.def) = %{tl_version}
Provides: tex(uni-187.def) = %{tl_version}
Provides: tex(uni-188.def) = %{tl_version}
Provides: tex(uni-189.def) = %{tl_version}
Provides: tex(uni-19.def) = %{tl_version}
Provides: tex(uni-190.def) = %{tl_version}
Provides: tex(uni-191.def) = %{tl_version}
Provides: tex(uni-192.def) = %{tl_version}
Provides: tex(uni-193.def) = %{tl_version}
Provides: tex(uni-194.def) = %{tl_version}
Provides: tex(uni-195.def) = %{tl_version}
Provides: tex(uni-196.def) = %{tl_version}
Provides: tex(uni-197.def) = %{tl_version}
Provides: tex(uni-198.def) = %{tl_version}
Provides: tex(uni-199.def) = %{tl_version}
Provides: tex(uni-2.def) = %{tl_version}
Provides: tex(uni-200.def) = %{tl_version}
Provides: tex(uni-201.def) = %{tl_version}
Provides: tex(uni-202.def) = %{tl_version}
Provides: tex(uni-203.def) = %{tl_version}
Provides: tex(uni-204.def) = %{tl_version}
Provides: tex(uni-205.def) = %{tl_version}
Provides: tex(uni-206.def) = %{tl_version}
Provides: tex(uni-207.def) = %{tl_version}
Provides: tex(uni-208.def) = %{tl_version}
Provides: tex(uni-209.def) = %{tl_version}
Provides: tex(uni-210.def) = %{tl_version}
Provides: tex(uni-211.def) = %{tl_version}
Provides: tex(uni-212.def) = %{tl_version}
Provides: tex(uni-213.def) = %{tl_version}
Provides: tex(uni-214.def) = %{tl_version}
Provides: tex(uni-215.def) = %{tl_version}
Provides: tex(uni-24.def) = %{tl_version}
Provides: tex(uni-248.def) = %{tl_version}
Provides: tex(uni-249.def) = %{tl_version}
Provides: tex(uni-250.def) = %{tl_version}
Provides: tex(uni-251.def) = %{tl_version}
Provides: tex(uni-254.def) = %{tl_version}
Provides: tex(uni-255.def) = %{tl_version}
Provides: tex(uni-29.def) = %{tl_version}
Provides: tex(uni-3.def) = %{tl_version}
Provides: tex(uni-30.def) = %{tl_version}
Provides: tex(uni-31.def) = %{tl_version}
Provides: tex(uni-32.def) = %{tl_version}
Provides: tex(uni-33.def) = %{tl_version}
Provides: tex(uni-34.def) = %{tl_version}
Provides: tex(uni-35.def) = %{tl_version}
Provides: tex(uni-3584.def) = %{tl_version}
Provides: tex(uni-36.def) = %{tl_version}
Provides: tex(uni-37.def) = %{tl_version}
Provides: tex(uni-38.def) = %{tl_version}
Provides: tex(uni-39.def) = %{tl_version}
Provides: tex(uni-4.def) = %{tl_version}
Provides: tex(uni-40.def) = %{tl_version}
Provides: tex(uni-42.def) = %{tl_version}
Provides: tex(uni-44.def) = %{tl_version}
Provides: tex(uni-46.def) = %{tl_version}
Provides: tex(uni-465.def) = %{tl_version}
Provides: tex(uni-468.def) = %{tl_version}
Provides: tex(uni-469.def) = %{tl_version}
Provides: tex(uni-47.def) = %{tl_version}
Provides: tex(uni-470.def) = %{tl_version}
Provides: tex(uni-471.def) = %{tl_version}
Provides: tex(uni-48.def) = %{tl_version}
Provides: tex(uni-49.def) = %{tl_version}
Provides: tex(uni-497.def) = %{tl_version}
Provides: tex(uni-498.def) = %{tl_version}
Provides: tex(uni-5.def) = %{tl_version}
Provides: tex(uni-50.def) = %{tl_version}
Provides: tex(uni-51.def) = %{tl_version}
Provides: tex(uni-760.def) = %{tl_version}
Provides: tex(uni-761.def) = %{tl_version}
Provides: tex(uni-762.def) = %{tl_version}
Provides: tex(uni-78.def) = %{tl_version}
Provides: tex(uni-79.def) = %{tl_version}
Provides: tex(uni-80.def) = %{tl_version}
Provides: tex(uni-81.def) = %{tl_version}
Provides: tex(uni-82.def) = %{tl_version}
Provides: tex(uni-83.def) = %{tl_version}
Provides: tex(uni-84.def) = %{tl_version}
Provides: tex(uni-85.def) = %{tl_version}
Provides: tex(uni-86.def) = %{tl_version}
Provides: tex(uni-87.def) = %{tl_version}
Provides: tex(uni-88.def) = %{tl_version}
Provides: tex(uni-89.def) = %{tl_version}
Provides: tex(uni-9.def) = %{tl_version}
Provides: tex(uni-90.def) = %{tl_version}
Provides: tex(uni-91.def) = %{tl_version}
Provides: tex(uni-92.def) = %{tl_version}
Provides: tex(uni-93.def) = %{tl_version}
Provides: tex(uni-94.def) = %{tl_version}
Provides: tex(uni-95.def) = %{tl_version}
Provides: tex(uni-96.def) = %{tl_version}
Provides: tex(uni-97.def) = %{tl_version}
Provides: tex(uni-98.def) = %{tl_version}
Provides: tex(uni-99.def) = %{tl_version}
Provides: tex(uni-global.def) = %{tl_version}
Provides: tex(uninames.dat) = %{tl_version}
Provides: tex(ucs.sty) = %{tl_version}
Provides: tex(ucsencs.def) = %{tl_version}
Provides: tex(ucshyper.sty) = %{tl_version}
Provides: tex(ucsutils.sty) = %{tl_version}
Provides: tex(utf8x.def) = %{tl_version}
Provides: tex(autofe.sty) = %{tl_version}
Provides: tex(c00enc.def) = %{tl_version}
Provides: tex(c10enc.def) = %{tl_version}
Provides: tex(c40enc.def) = %{tl_version}
Provides: tex(c42enc.def) = %{tl_version}
Provides: tex(c61enc.def) = %{tl_version}
Provides: tex(cenccmn.tex) = %{tl_version}
Provides: tex(cp1252.enc) = %{tl_version}
Provides: tex(ldvarial.fd) = %{tl_version}
Provides: tex(ldvc2000.fd) = %{tl_version}
Provides: tex(ldvenc.def) = %{tl_version}
Provides: tex(letc2000.fd) = %{tl_version}
Provides: tex(letenc.def) = %{tl_version}
Provides: tex(letgfzem.fd) = %{tl_version}
Provides: tex(letjiret.fd) = %{tl_version}
Provides: tex(lklenc.def) = %{tl_version}
Provides: tex(lklkli.fd) = %{tl_version}
Provides: tex(ltaarial.fd) = %{tl_version}
Provides: tex(ltac2000.fd) = %{tl_version}
Provides: tex(ltaenc.def) = %{tl_version}
Provides: tex(ltgc2000.fd) = %{tl_version}
Provides: tex(ltgenc.def) = %{tl_version}
Provides: tex(ltlcmr.fd) = %{tl_version}
Provides: tex(ltlenc.def) = %{tl_version}
Provides: tex(ltwdsnol.fd) = %{tl_version}
Provides: tex(ltwdsque.fd) = %{tl_version}
Provides: tex(ltwdssin.fd) = %{tl_version}
Provides: tex(ltwenc.def) = %{tl_version}
Provides: tex(lucarial.fd) = %{tl_version}
Provides: tex(lucc2000.fd) = %{tl_version}
Provides: tex(lucenc.def) = %{tl_version}
Provides: tex(mkrenc.def) = %{tl_version}
Provides: tex(mkrezra.fd) = %{tl_version}
Provides: tex(mkrhadas.fd) = %{tl_version}
Provides: tex(mkromega.fd) = %{tl_version}
Provides: tex(mkrrashi.fd) = %{tl_version}
Provides: tex(t2dcmr.fd) = %{tl_version}
Provides: tex(t2denc.def) = %{tl_version}
Provides: tex(tengwarDS.enc) = %{tl_version}
Provides: tex(xscmr.fd) = %{tl_version}
Provides: tex(xsenc.def) = %{tl_version}

%description ucs
The bundle provides the ucs package, and utf8x.def, together
with a large number of support files. The utf8x.def definition
file for use with inputenc covers a wider range of Unicode
characters than does utf8.def in the LaTeX distribution. The
package provides facilities for efficient use of its large sets
of Unicode characters. Glyph production may be controlled by
various options, which permits use of non-ASCII characters when
coding mathematical formulae. Note that the bundle previously
had an alias "unicode"; that alias has now been withdrawn, and
no package of that name now exists.

%package ucs-doc
Summary: Documentation for ucs
Version: svn35853.2.2

Provides: tex-ucs-doc
AutoReqProv: No

%description ucs-doc
Documentation for ucs

%package uebungsblatt
Provides: tex-uebungsblatt = %{tl_version}
License: LPPL
Summary: A LaTeX class for writing exercise sheets
Version: svn15878.1.5.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(akkgerman.sty)
Requires: tex(amsmath.sty)
Requires: tex(inputenc.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(akkcounterlabelpattern.sty)
Provides: tex(uebungsblatt.cls) = %{tl_version}
Provides: tex(uebungsblatt.sty) = %{tl_version}

%description uebungsblatt
This package implements a LaTeX class for writing exercise
sheets for a lecture. Features: - quick typesetting of exercise
sheets or their revisions, - simple user friendly commands, -
elegant page formatting, - automatic numbering of exercises and
sub-exercises, - the number of the exercise sheet is extracted
automatically from the file name, - static information about
the lectures and the authors needs to provided at one point
only.

%package uebungsblatt-doc
Summary: Documentation for uebungsblatt
Version: svn15878.1.5.0

Provides: tex-uebungsblatt-doc
AutoReqProv: No

%description uebungsblatt-doc
Documentation for uebungsblatt

%package umoline
Provides: tex-umoline = %{tl_version}
License: LPPL
Summary: Underline text allowing line breaking
Version: svn19085.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(umoline.sty) = %{tl_version}

%description umoline
Provides commands \Underline, \Midline and \Overline for
underlining, striking out, and overlining their text arguments.

%package umoline-doc
Summary: Documentation for umoline
Version: svn19085.0

Provides: tex-umoline-doc
AutoReqProv: No

%description umoline-doc
Documentation for umoline

%package underlin
Provides: tex-underlin = %{tl_version}
License: LPPL
Summary: Underlined running heads
Version: svn15878.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(underlin.sty) = %{tl_version}

%description underlin
Defines two pagestyles that provide underlined page heads in
LaTeX.

%package underlin-doc
Summary: Documentation for underlin
Version: svn15878.1.01

Provides: tex-underlin-doc
AutoReqProv: No

%description underlin-doc
Documentation for underlin

%package underoverlap
Provides: tex-underoverlap = %{tl_version}
License: LPPL 1.3
Summary: Position decorations over and under expressions
Version: svn29019.0.0.1_r1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(mathtools.sty)
Requires: tex(xparse.sty)
Provides: tex(underoverlap.sty) = %{tl_version}

%description underoverlap
The package overcomes TeX's inherent limitations in commands
that place decorations (such as braces) at arbirary positions
over and under expressions, overlapping as necessary.

%package underoverlap-doc
Summary: Documentation for underoverlap
Version: svn29019.0.0.1_r1

Provides: tex-underoverlap-doc
AutoReqProv: No

%description underoverlap-doc
Documentation for underoverlap

%package undolabl
Provides: tex-undolabl = %{tl_version}
License: LPPL 1.3
Summary: Override existing labels
Version: svn36681.1.0l

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(undolabl.sty) = %{tl_version}

%description undolabl
The package allows the user to override existing labels (for
example, those generated automatically).

%package undolabl-doc
Summary: Documentation for undolabl
Version: svn36681.1.0l

Provides: tex-undolabl-doc
AutoReqProv: No

%description undolabl-doc
Documentation for undolabl

%package units
Provides: tex-units = %{tl_version}
License: GPL+
Summary: Typeset units
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Provides: tex(nicefrac.sty) = %{tl_version}
Provides: tex(units.sty) = %{tl_version}

%description units
The package is provided as a bundle with the nicefrac package
for typing fractions. Units uses nicefrac in typesetting
physical units in a standard-looking sort of way.

%package units-doc
Summary: Documentation for units
Version: svn42428
Provides: tex-units-doc
AutoReqProv: No

%description units-doc
Documentation for units

%package unravel
Provides: tex-unravel = %{tl_version}
License: LPPL
Summary: Watching TeX digest tokens
Version: svn38506

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(l3str.sty)
Requires: tex(gtl.sty)
Provides: tex(unravel.sty) = %{tl_version}

%description unravel
The package emulates large parts of TeX's behaviour when it
chews on tokens, expanding and performing typesetting commands.
Using unravel will let you go one step at a time through some
complicated LaTeX code that you are trying to debug. It
understands a whole breadth of TeX's features, from deeply
nested expansion to box assignments, to characters, and the
proper insertion of \everypar. The unravel package requires up-
to-date l3kernel and l3experimental bundles, as well as the new
package gtl.

%package unravel-doc
Summary: Documentation for unravel
Version: svn38506

Provides: tex-unravel-doc
AutoReqProv: No

%description unravel-doc
Documentation for unravel

%package upmethodology
Provides: tex-upmethodology = %{tl_version}
License: LGPLv2+
Summary: Writing specifications such as for UP-based methodologies
Version: svn45000
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(upmethodology-extension.sty)
Requires: tex(a4wide.sty)
Requires: tex(upmethodology-frontpage.sty)
Requires: tex(upmethodology-spec.sty)
Requires: tex(url.sty)
Requires: tex(hyperref.sty)
Requires: tex(babel.sty)
Requires: tex(vmargin.sty)
Requires: tex(upmethodology-version.sty)
Requires: tex(draftwatermark.sty)
Requires: tex(graphicx.sty)
Requires: tex(subfigure.sty)
Requires: tex(tabularx.sty)
Requires: tex(multicol.sty)
Requires: tex(colortbl.sty)
Requires: tex(picinpar.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(thmtools.sty)
Requires: tex(pifont.sty)
Requires: tex(setspace.sty)
Requires: tex(varioref.sty)
Requires: tex(txfonts.sty)
Requires: tex(relsize.sty)
Requires: tex(xkeyval.sty)
Requires: tex(hyphenat.sty)
Requires: tex(bbm.sty)
Requires: tex(environ.sty)
Requires: tex(ifthen.sty)
Requires: tex(xspace.sty)
Requires: tex(xcolor.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ulem.sty)
Provides: tex(UPMVERSION.def) = %{tl_version}
Provides: tex(upmethodology-backpage.sty) = %{tl_version}
Provides: tex(upmethodology-code.sty) = %{tl_version}
Provides: tex(upmethodology-document.cls) = %{tl_version}
Provides: tex(upmethodology-document.sty) = %{tl_version}
Provides: tex(upmethodology-extension.sty) = %{tl_version}
Provides: tex(upmethodology-fmt.sty) = %{tl_version}
Provides: tex(upmethodology-frontpage.sty) = %{tl_version}
Provides: tex(upmethodology-p-common.sty) = %{tl_version}
Provides: tex(upmethodology-spec.sty) = %{tl_version}
Provides: tex(upmethodology-task.sty) = %{tl_version}
Provides: tex(upmethodology-version.sty) = %{tl_version}

%description upmethodology
The bundle allows the user to create Unified Process
methodology (UP or RUP) based documents. The style provides
document versioning, document history, document authors,
document validators, specification description, task
management, and several helping macros.

%package upmethodology-doc
Summary: Documentation for upmethodology
Version: svn45000
Provides: tex-upmethodology-doc
AutoReqProv: No

%description upmethodology-doc
Documentation for upmethodology

%package upquote
Provides: tex-upquote = %{tl_version}
License: LPPL 1.2
Summary: Show "realistic" quotes in verbatim
Version: svn26059.v1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(textcomp.sty)
Provides: tex(upquote.sty) = %{tl_version}

%description upquote
Typewriter-style fonts are best for program listings, but
Computer Modern Typewriter prints ` and ' as bent opening and
closing single quotes. Other fonts, and most programming
languages, print ` as a grave accent and ' upright; ' is used
both to open and to close quoted strings. The package switches
the typewriter font to Computer Modern Typewriter in OT1
encoding, and modifies the behaviour of verbatim, verbatim*,
\verb, and \verb* to print in the "` and ' way". It does
thisregardless of other fonts or encodings in use, so long as
the package is loaded after the other fonts were. The package
does not affect \tt, \texttt, etc.

%package upquote-doc
Summary: Documentation for upquote
Version: svn26059.v1.3

Provides: tex-upquote-doc
AutoReqProv: No

%description upquote-doc
Documentation for upquote

%package uri
Provides: tex-uri = %{tl_version}
License: LPPL 1.3
Summary: Hyperlinks for a wide range of URIs
Version: svn21608.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(url.sty)
Provides: tex(uri.sty) = %{tl_version}

%description uri
The package provides automatic hyperlinks for URIs of type
arXiv, ASIN, DOI, HDL, NBN, PubMed, OID, TINY, TINY with
preview, and XMPP and provides commands \citeurl, \mailto,
\ukoeln and \uref.

%package uri-doc
Summary: Documentation for uri
Version: svn21608.1.0a

Provides: tex-uri-doc
AutoReqProv: No

%description uri-doc
Documentation for uri

%package ushort
Provides: tex-ushort = %{tl_version}
License: LPPL
Summary: Shorter (and longer) underlines and underbars
Version: svn32261.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ushort.sty) = %{tl_version}

%description ushort
Some engineers need underlined or twice underlined variables
for which the usual \underline is too long. This package
provides a generic command for creating underlines of various
sizes and types.

%package ushort-doc
Summary: Documentation for ushort
Version: svn32261.2.2

Provides: tex-ushort-doc
AutoReqProv: No

%description ushort-doc
Documentation for ushort

%package varindex
Provides: tex-varindex = %{tl_version}
License: LPPL
Summary: Luxury frontend to the \index command
Version: svn32262.2.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(toolbox.sty)
Provides: tex(varindex.sty) = %{tl_version}

%description varindex
Provides a convenient front-end for the \index command. For
example, with it you can generate multiple index entries in
almost any form by a single command. The package is highly
customizable, and works with all versions of LaTeX and probably
most other TeX formats.

%package varindex-doc
Summary: Documentation for varindex
Version: svn32262.2.3

Provides: tex-varindex-doc
AutoReqProv: No

%description varindex-doc
Documentation for varindex

%package varsfromjobname
Provides: tex-varsfromjobname = %{tl_version}
License: LPPL
Summary: Extract variables from the name of the LaTeX file
Version: svn44154
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Provides: tex(varsfromjobname.sty) = %{tl_version}

%description varsfromjobname
The package allows the user to extract information from the job
name, provided that the name has been structured appropriately:
the package expects the file name to consist of a set of words
separated by hyphens.

%package varsfromjobname-doc
Summary: Documentation for varsfromjobname
Version: svn44154
Provides: tex-varsfromjobname-doc
AutoReqProv: No

%description varsfromjobname-doc
Documentation for varsfromjobname

%package varwidth
Provides: tex-varwidth = %{tl_version}
License: LPPL
Summary: A variable-width minipage
Version: svn24104.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(varwidth.sty) = %{tl_version}

%description varwidth
The varwidth environment is superficially similar to minipage,
but the specified width is just a maximum value -- the box may
get a narrower "natural" width.

%package varwidth-doc
Summary: Documentation for varwidth
Version: svn24104.0.92

Provides: tex-varwidth-doc
AutoReqProv: No

%description varwidth-doc
Documentation for varwidth

%package vdmlisting
Provides: tex-vdmlisting = %{tl_version}
License: LPPL
Summary: Typesetting VDM in ASCII syntax
Version: svn29944.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(listings.sty)
Requires: tex(times.sty)
Requires: tex(color.sty)
Provides: tex(vdmlisting.sty) = %{tl_version}

%description vdmlisting
The package is an extension for the listings package that
provides a source code printer for LaTeX. This package defines
new language definitions and listing environments for the three
language dialects of the Vienna Development Method: VDM-SL, VDM-
PP and VDM-RT. If one wants to typeset VDM with a mathematical
syntax instead of the ASCII syntax used here one should use the
vdm pacakge instead

%package vdmlisting-doc
Summary: Documentation for vdmlisting
Version: svn29944.1.0

Provides: tex-vdmlisting-doc
AutoReqProv: No

%description vdmlisting-doc
Documentation for vdmlisting

%package verbasef
Provides: tex-verbasef = %{tl_version}
License: GPL+
Summary: VERBatim Automatic Splitting of External Files
Version: svn21922.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(vrbexin.sty)
Requires: tex(verbatim.sty)
Requires: tex(here.sty)
Provides: tex(verbasef.sty) = %{tl_version}

%description verbasef
The package allows you to input (subsections of a) file, print
them in verbatim mode, while automatically breaking up the
input lines into pieces of a given length, which are output as
figures. These figures are posted using the [H] specification,
which forces LaTeX to place the figure at the spot of
invocation, rather than floating the figures to the top of the
next page. The package requires the verbatim, here and vrbexin
packages.

%package verbasef-doc
Summary: Documentation for verbasef
Version: svn21922.1.1

Provides: tex-verbasef-doc
AutoReqProv: No

%description verbasef-doc
Documentation for verbasef

%package verbatimbox
Provides: tex-verbatimbox = %{tl_version}
License: LPPL
Summary: Deposit verbatim text in a box
Version: svn33197.3.13

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(readarray.sty)
Requires: tex(ifnextok.sty)
Requires: tex(verbatim.sty)
Provides: tex(verbatimbox.sty) = %{tl_version}

%description verbatimbox
The package provides a verbbox environment (which uses
techniques similar to those of the boxedverbatim environment of
the moreverb package) to place its contents into a globally
available box, or into a box specified by the user. The global
box may then be used in a variety of situations (for example,
providing a replica of the boxedverbatim environment itself). A
valuable use is in places where the standard verbatim
environment (which is based on a trivlist) may not appear. The
package makes use of the verbatim package (which is a required
part of any LaTeX distribution).

%package verbatimbox-doc
Summary: Documentation for verbatimbox
Version: svn33197.3.13

Provides: tex-verbatimbox-doc
AutoReqProv: No

%description verbatimbox-doc
Documentation for verbatimbox

%package verbatimcopy
Provides: tex-verbatimcopy = %{tl_version}
License: LPPL
Summary: Make copies of text documents from within LaTeX
Version: svn15878.0.06

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Provides: tex(verbatimcopy.sty) = %{tl_version}

%description verbatimcopy
This package provides \VerbatimCopy{in}{out} that will enable
LaTeX to take a verbatim copy of one text file, and save it
under another name. The package provides a means to specify the
output directory to be used, but does no checking and may
therefore overwrite an important file if used injudiciously.

%package verbatimcopy-doc
Summary: Documentation for verbatimcopy
Version: svn15878.0.06

Provides: tex-verbatimcopy-doc
AutoReqProv: No

%description verbatimcopy-doc
Documentation for verbatimcopy

%package verbdef
Provides: tex-verbdef = %{tl_version}
License: LPPL
Summary: Define commands which expand to verbatim text
Version: svn17177.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(verbdef.sty) = %{tl_version}

%description verbdef
The package defines a single command \verbdef (which has a *-
form, like \verb). \verbdef will define a robust command whose
body expands to verbatim text. By using commands defined by
\verbdef, one can put verbatim text into the arguments of
commands; since the defined command is robust, it doesn't
matter if the argument is moving. (Full details of syntax and
caveats about use are in comments in the file itself.)

%package verbdef-doc
Summary: Documentation for verbdef
Version: svn17177.0.2

Provides: tex-verbdef-doc
AutoReqProv: No

%description verbdef-doc
Documentation for verbdef

%package verbments
Provides: tex-verbments = %{tl_version}
License: LPPL 1.2
Summary: Syntax highlighting of source code in LaTeX documents
Version: svn23670.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(framed.sty)
Requires: tex(xcolor.sty)
Requires: tex(calc.sty)
Provides: tex(verbments.sty) = %{tl_version}

%description verbments
The package provides an environment for syntax highlighting
source code in LaTeX documents. The highlighted source code
output is formatted via powerful Pygments library of the Python
language.

%package verbments-doc
Summary: Documentation for verbments
Version: svn23670.1.2

Provides: tex-verbments-doc
AutoReqProv: No

%description verbments-doc
Documentation for verbments

%package version
Provides: tex-version = %{tl_version}
License: Copyright only
Summary: Conditionally include text
Version: svn21920.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(version.sty) = %{tl_version}

%description version
Defines macros \includeversion{NAME} and \excludeversion{NAME},
each of which defines an environment NAME whose text is to be
included or excluded from compilation. Although the command
syntax is very similar to that of comment, comment.sty is to be
preferred to version.sty for documents where significant chunks
of text may be excluded.

%package version-doc
Summary: Documentation for version
Version: svn21920.2.0

Provides: tex-version-doc
AutoReqProv: No

%description version-doc
Documentation for version

%package versions
Provides: tex-versions = %{tl_version}
License: LPPL 1.3
Summary: Optionally omit pieces of text
Version: svn21921.0.55

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(versions.sty) = %{tl_version}

%description versions
Stephan Bellantoni's version has provided preamble commands for
selecting environments to be included/excluded. This package
does the same, but corrects, improves, and extends it in both
implementation and function.

%package versions-doc
Summary: Documentation for versions
Version: svn21921.0.55

Provides: tex-versions-doc
AutoReqProv: No

%description versions-doc
Documentation for versions

%package versonotes
Provides: tex-versonotes = %{tl_version}
License: LPPL 1.3
Summary: Display brief notes on verso pages
Version: svn39084

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(versonotes.sty) = %{tl_version}

%description versonotes
This package allows you to place notes on the verso pages of an
otherwise single-sided document. If, in the run of text, you
include a call to the macro \versonote{This is a remark}, then
that text will be placed on the opposite (ie, 'verso') page,
lined up with the macro call.

%package versonotes-doc
Summary: Documentation for versonotes
Version: svn39084

Provides: tex-versonotes-doc
AutoReqProv: No

%description versonotes-doc
Documentation for versonotes

%package vertbars
Provides: tex-vertbars = %{tl_version}
License: LPPL 1.3
Summary: Mark vertical rules in margin of text
Version: svn20589.1.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(lineno.sty)
Provides: tex(vertbars.sty) = %{tl_version}

%description vertbars
This package is an extension to lineno, replacing that
package's line numbers with bars to the left or right of the
text.

%package vertbars-doc
Summary: Documentation for vertbars
Version: svn20589.1.0b

Provides: tex-vertbars-doc
AutoReqProv: No

%description vertbars-doc
Documentation for vertbars

%package vgrid
Provides: tex-vgrid = %{tl_version}
License: LPPL 1.3
Summary: Overlay a grid on the printed page
Version: svn32457.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(everypage.sty)
Requires: tex(tikz.sty)
Requires: tex(ifoddpage.sty)
Provides: tex(vgrid.sty) = %{tl_version}

%description vgrid
The package overlays a grid (whose spacing is \baselineskip,
which offers guidlines for considering the "rhythm" of the
document on the page.

%package vgrid-doc
Summary: Documentation for vgrid
Version: svn32457.0.1

Provides: tex-vgrid-doc
AutoReqProv: No

%description vgrid-doc
Documentation for vgrid

%package vhistory
Provides: tex-vhistory = %{tl_version}
License: LPPL 1.2
Summary: Support for creating a change log
Version: svn30080.1.6.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ltxtable.sty)
Provides: tex(sets.sty) = %{tl_version}
Provides: tex(vhistory.sty) = %{tl_version}

%description vhistory
Vhistory simplifies the creation of a history of versions of a
document. You can easily extract information like the current
version of a list of authors from that history. It helps you to
get consistent documents. The package sets, which is used by
vhistory, allows you to use sets containing text. You can use
the usual operations to create the union of sets or the
intersection of sets etc.

%package vhistory-doc
Summary: Documentation for vhistory
Version: svn30080.1.6.1

Provides: tex-vhistory-doc
AutoReqProv: No

%description vhistory-doc
Documentation for vhistory

%package vmargin
Provides: tex-vmargin = %{tl_version}
License: LPPL
Summary: Set various page dimensions
Version: svn15878.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(vmargin.sty) = %{tl_version}

%description vmargin
Provides a macro to set various margins as well as dimensions
for header/footer and page dimensions. Most common paper sizes,
paper orientation, disabling of headers and footers, and two
sided printing are supported. The vmargin package does not rely
on other packages and was designed with speed and size in mind.
Its user interface might not be very fancy, but it's fast,
small, and gets the job done. If you are looking for something
more elaborate try the geometry package.

%package vmargin-doc
Summary: Documentation for vmargin
Version: svn15878.2.5

Provides: tex-vmargin-doc
AutoReqProv: No

%description vmargin-doc
Documentation for vmargin

%package volumes
Provides: tex-volumes = %{tl_version}
License: LPPL
Summary: Typeset only parts of a document, with complete indexes etc
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(scrlfile.sty)
Provides: tex(nowtoaux.sty) = %{tl_version}
Provides: tex(volumes.sty) = %{tl_version}

%description volumes
This package helps you if you want to produce separate printed
volumes from one LaTeX document, as well as one comprehensive,
"all-inclusive" version. It suppresses the part of the table of
contents that are not typeset, while counters, definitions,
index entries etc. are kept consistent throughout the input
file.

%package volumes-doc
Summary: Documentation for volumes
Version: svn15878.1.0

Provides: tex-volumes-doc
AutoReqProv: No

%description volumes-doc
Documentation for volumes

%package vruler
Provides: tex-vruler = %{tl_version}
License: LPPL
Summary: Numbering text
Version: svn21598.2.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(vruler.sty) = %{tl_version}

%description vruler
The package offers facilities for adding a columns of numbering
to the general text so that the text can be properly
referenced. The vertical ruler can be scaled and moved freely.
The package may be used either with LaTeX or with plain TeX.

%package vruler-doc
Summary: Documentation for vruler
Version: svn21598.2.3

Provides: tex-vruler-doc
AutoReqProv: No

%description vruler-doc
Documentation for vruler

%package vwcol
Provides: tex-vwcol = %{tl_version}
License: LPPL 1.3
Summary: Variable-width multiple text columns
Version: svn36254.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(color.sty)
Requires: tex(environ.sty)
Requires: tex(keyval.sty)
Requires: tex(ragged2e.sty)
Provides: tex(vwcol.sty) = %{tl_version}

%description vwcol
The package provides a crude environment (vwcol) for
typesetting multicolumn paragraph text of various column widths
on a single page.

%package vwcol-doc
Summary: Documentation for vwcol
Version: svn36254.0.2

Provides: tex-vwcol-doc
AutoReqProv: No

%description vwcol-doc
Documentation for vwcol

%package wallpaper
Provides: tex-wallpaper = %{tl_version}
License: LPPL
Summary: Easy addition of wallpapers (background images) to LaTeX documents, including tiling
Version: svn15878.1.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(eso-pic.sty)
Requires: tex(graphicx.sty)
Provides: tex(wallpaper.sty) = %{tl_version}

%description wallpaper
This collection contains files to add wallpapers (background
images) to LaTeX documents. It uses the eso-pic package, but
provides simple commands to include effects such as tiling. An
example is provided, which works under both LaTeX and pdfLaTeX.

%package wallpaper-doc
Summary: Documentation for wallpaper
Version: svn15878.1.10

Provides: tex-wallpaper-doc
AutoReqProv: No

%description wallpaper-doc
Documentation for wallpaper

%package warning
Provides: tex-warning = %{tl_version}
License: LPPL
Summary: Global warnings at the end of the logfile
Version: svn22028.0.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(warning.sty) = %{tl_version}

%description warning
This package provides a command that generates a list of
warnings that are printed out at the very end of the logfile.
This is useful for warnings such as 'Rerun for this or that
reason' or 'This is a draft, change it before the final run'.

%package warning-doc
Summary: Documentation for warning
Version: svn22028.0.01

Provides: tex-warning-doc
AutoReqProv: No

%description warning-doc
Documentation for warning

%package warpcol
Provides: tex-warpcol = %{tl_version}
License: LPPL
Summary: Relative alignment of rows in numeric columns in tabulars
Version: svn15878.1.0c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Provides: tex(warpcol.sty) = %{tl_version}

%description warpcol
Defines a tabular column type for formatting numerical columns
in LaTeX. The column type enables numerical items to be right
justified relative to each other, while centred beneath the
column label. In addition, macros are provided to enable
variations on this column type to be defined. Usage of the
package is superficially similar to that of dcolumn; however,
the alignment scheme is different, and the packages have
different, though overlapping, applications.

%package warpcol-doc
Summary: Documentation for warpcol
Version: svn15878.1.0c

Provides: tex-warpcol-doc
AutoReqProv: No

%description warpcol-doc
Documentation for warpcol

%package was
Provides: tex-was = %{tl_version}
License: Public Domain
Summary: A collection of small packages by Walter Schmidt
Version: svn21439.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fixmath.sty) = %{tl_version}
Provides: tex(gensymb.sty) = %{tl_version}
Provides: tex(icomma.sty) = %{tl_version}
Provides: tex(upgreek.sty) = %{tl_version}

%description was
A bundle of packages that arise in the author's area of
interest: compliance of maths typesetting with ISO standards;
symbols that work in both maths and text modes commas for both
decimal separator and maths; and upright Greek letters in
maths.

%package was-doc
Summary: Documentation for was
Version: svn21439.0

Provides: tex-was-doc
AutoReqProv: No

%description was-doc
Documentation for was

%package widetable
Provides: tex-widetable = %{tl_version}
License: LPPL 1.3
Summary: An environment for typesetting tables of specified width
Version: svn45258
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifetex.sty)
Provides: tex(widetable.sty) = %{tl_version}

%description widetable
The package defines a new environment that, unlike tabularX,
typesets a table of specified width by working on the inter-
column glue; the tabular cells will all be stretched (or
shrunk) according to need. The package will use the e-TeX
arithmetic extensions if they are available (they are, in most
modern distributions).

%package widetable-doc
Summary: Documentation for widetable
Version: svn45258
Provides: tex-widetable-doc
AutoReqProv: No

%description widetable-doc
Documentation for widetable

%package williams
Provides: tex-williams = %{tl_version}
License: LPPL
Summary: Miscellaneous macros by Peter Williams
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(epic.sty)
Requires: tex(eepic.sty)
Provides: tex(antree.sty) = %{tl_version}
Provides: tex(toklist.sty) = %{tl_version}

%description williams
The bundle provides two packages: - antree, which provides
macros for annotated node trees, and - toklist, which is an
implementation of Knuth's token list macros, to be found on
pp.378-379 of the TeXbook.

%package williams-doc
Summary: Documentation for williams
Version: svn15878.0

Provides: tex-williams-doc
AutoReqProv: No

%description williams-doc
Documentation for williams

%package withargs
Provides: tex-withargs = %{tl_version}
License: LPPL 1.3
Summary: Ephemeral macro use
Version: svn42756
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(filecontents.sty)
Requires: tex(xparse.sty)
Requires: tex(etoolbox.sty)
Requires: tex(mdframed.sty)
Requires: tex(marginnote.sty)
Requires: tex(listings.sty)
Requires: tex(textcomp.sty)
Requires: tex(hyperref.sty)
Requires: tex(needspace.sty)
Requires: tex(noindentafter.sty)
Requires: tex(ifthen.sty)
Requires: tex(expl3.sty)
Requires: tex(l3regex.sty)
Provides: tex(withargs-dry.sty) = %{tl_version}
Provides: tex(dry.sty) = %{tl_version}
Provides: tex(withargs-packagedoc.cls) = %{tl_version}
Provides: tex(withargs.sty) = %{tl_version}

%description withargs
withargs package

%package withargs-doc
Summary: Documentation for withargs
Version: svn42756
Provides: tex-withargs-doc
AutoReqProv: No

%description withargs-doc
Documentation for withargs

%package wordlike
Provides: tex-wordlike = %{tl_version}
License: LPPL
Summary: Simulating word processor layout
Version: svn15878.1.2b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(mathptmx.sty)
Requires: tex(helvet.sty)
Requires: tex(courier.sty)
Provides: tex(wordlike.sty) = %{tl_version}

%description wordlike
The package simulates typical word processor layout: narrow
page margins, Times, Helvetica and Courier fonts, \LARGE or
\Large headings, and \sloppy typesetting. The package aims at
making life easier for users who are discontent with LaTeX's
standard layout settings because they need a layout that
resembles the usual "wordlike" output. The design of the
package draws on several discussions in the de.comp.text.tex
and comp.text.tex newsgroups that are referred to in the
manual.

%package wordlike-doc
Summary: Documentation for wordlike
Version: svn15878.1.2b

Provides: tex-wordlike-doc
AutoReqProv: No

%description wordlike-doc
Documentation for wordlike

%package wrapfig
Provides: tex-wrapfig = %{tl_version}
License: LPPL
Summary: Produces figures which text can flow around
Version: svn22048.3.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(wrapfig.sty) = %{tl_version}

%description wrapfig
Allows figures or tables to have text wrapped around them. Does
not work in combination with list environments, but can be used
in a parbox or minipage, and in twocolumn format. Supports the
float package.

%package wrapfig-doc
Summary: Documentation for wrapfig
Version: svn22048.3.6

Provides: tex-wrapfig-doc
AutoReqProv: No

%description wrapfig-doc
Documentation for wrapfig

%package xargs
Provides: tex-xargs = %{tl_version}
License: LPPL
Summary: Define commands with many optional arguments
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Provides: tex(xargs.sty) = %{tl_version}

%description xargs
The package provides extended versions of \newcommand and
related LaTeX commands, which allow easy and robust definition
of macros with many optional arguments, using a clear and
simple xkeyval-style syntax.

%package xargs-doc
Summary: Documentation for xargs
Version: svn15878.1.1

Provides: tex-xargs-doc
AutoReqProv: No

%description xargs-doc
Documentation for xargs

%package xcolor-solarized
Provides: tex-xcolor-solarized = %{tl_version}
License: LPPL 1.3
Summary: Defines the 16 colors from Ethan Schoonover's Solarized palette
Version: svn41809
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xcolor.sty)
Requires: tex(kvoptions.sty)
Provides: tex(xcolor-solarized.sty) = %{tl_version}

%description xcolor-solarized
Built on top of the package, this package defines the sixteen
colors of Ethan Schoonover's popular color palette, Solarized,
for use in documents typeset with LaTeX and Friends.

%package xcolor-solarized-doc
Summary: Documentation for xcolor-solarized
Version: svn41809
Provides: tex-xcolor-solarized-doc
AutoReqProv: No

%description xcolor-solarized-doc
Documentation for xcolor-solarized

%package xcomment
Provides: tex-xcomment = %{tl_version}
License: LPPL
Summary: Allows selected environments to be included/excluded
Version: svn20031.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xcomment.sty) = %{tl_version}
Provides: tex(xcomment.tex) = %{tl_version}

%description xcomment
The package defines an environment that only typesets specified
environments within its scope. So, for example, if you want
nothing but the figure and table environments in your document,
you can enclose the whole document with an xcomment environment
that excludes everything but. This is a lot easier than
excluding the chunks of text between the environments you want,
or creating an entire document containing only those
environments. The package was previously part of the seminar
bundle for typesetting presentations.

%package xcomment-doc
Summary: Documentation for xcomment
Version: svn20031.1.3

Provides: tex-xcomment-doc
AutoReqProv: No

%description xcomment-doc
Documentation for xcomment

%package xdoc
Provides: tex-xdoc = %{tl_version}
License: LPPL
Summary: Extending the LaTeX doc system
Version: svn15878.prot2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(multicol.sty)
Requires: tex(doc.sty)
Provides: tex(docidx2e.sty) = %{tl_version}
Provides: tex(docindex.sty) = %{tl_version}
Provides: tex(xdoc2.sty) = %{tl_version}

%description xdoc
Xdoc is a project to rewrite the implementation of the LaTeX
doc package (in a broader sense) to make its features more
general and flexible. For example, where doc only provides
commands for documenting macros and environments, xdoc also
provides commands for similarly documenting package options and
switches. This is furthermore done in such a way that it is
very easy to add more such commands for documenting things,
such as e.g., templates (an important concept in the future
LaTeX3) and program components for other languages (functions,
classes, procedures, etc.). A side effect is that many minor
bugs in doc are fixed. The design aims to take advantage of
many still experimental features of future versions of LaTeX,
but since these are neither reasonably stable nor widely
available, the configuration interfaces and package author
commands of xdoc are likely to change. To still provide a
stable interface for other packages to build upon, the actual
package names include a "major version number" of sorts. The
drop-in replacement package for standard doc is xdoc2; it
requires nothing outside standard LaTeX2e. The
docindex/docidx2e package changes the index and list of changes
typesetting so that none of the formatting has to be controlled
via the index style file. The docindex package provides control
of formatting via templates (nice interface, but requires
several experimental packages), whereas the docidx2e package
has traditional raw macro interfaces and works with standard
LaTeX2e.

%package xdoc-doc
Summary: Documentation for xdoc
Version: svn15878.prot2.5

Provides: tex-xdoc-doc
AutoReqProv: No

%description xdoc-doc
Documentation for xdoc

%package xfor
Provides: tex-xfor = %{tl_version}
License: LPPL
Summary: A reimplementation of the LaTeX for-loop macro
Version: svn15878.1.05

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xfor.sty) = %{tl_version}

%description xfor
The package redefines the LaTeX internal \@for macro so that
the loop may be prematurely terminated. The action is akin to
the C/Java break statement, except that the loop does not
terminate until the end of the current iteration

%package xfor-doc
Summary: Documentation for xfor
Version: svn15878.1.05

Provides: tex-xfor-doc
AutoReqProv: No

%description xfor-doc
Documentation for xfor

%package xhfill
Provides: tex-xhfill = %{tl_version}
License: LPPL
Summary: Extending \hrulefill
Version: svn22575.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(calc.sty)
Requires: tex(xspace.sty)
Provides: tex(xhfill.sty) = %{tl_version}

%description xhfill
The package provides extended macros for the default \hrulefill
command. It allows modification of the width and the colour of
the line.

%package xhfill-doc
Summary: Documentation for xhfill
Version: svn22575.1.01

Provides: tex-xhfill-doc
AutoReqProv: No

%description xhfill-doc
Documentation for xhfill

%package xint
Provides: tex-xint = %{tl_version}
License: LPPL 1.3
Summary: Expandable operations on long numbers
Version: svn45177
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xintfrac.sty)
Requires: tex(xinttools.sty)
Provides: tex(xint.sty) = %{tl_version}
Provides: tex(xintbinhex.sty) = %{tl_version}
Provides: tex(xintcfrac.sty) = %{tl_version}
Provides: tex(xintcore.sty) = %{tl_version}
Provides: tex(xintexpr.sty) = %{tl_version}
Provides: tex(xintfrac.sty) = %{tl_version}
Provides: tex(xintgcd.sty) = %{tl_version}
Provides: tex(xintkernel.sty) = %{tl_version}
Provides: tex(xintseries.sty) = %{tl_version}
Provides: tex(xinttools.sty) = %{tl_version}

%description xint
The bundle provides nine packages: xintcore, which provides
expandable TeX macros that implement the basic arithmetic
operations of addition, subtraction, multiplication and
division, as applied to arbitrarily long numbers represented as
chains of digits with an optional minus sign; xint, which
extends xintcore with more big integer operations; xinttools,
which provides utilities of independent interest such as
expandable and non-expandable loops; xintfrac, which computes
fractions using xint; xintexpr, which extends xintfrac with an
expandable parser of comma separated expressions involving
integers, fractions, boolean, and algebraic operators, and
declared as well as dummy variables; xintbinhex provides
conversions to and from binary and hexadecimal bases;
xintseries, which provides basic functionality for computing
partial sums using xint; xintgcd, which provides
implementations of the Euclidean algorithm, and of its
typesetting; xintcfrac, which deals with the computation of
continued fractions. All of the packages' computations are done
in a way that they can operate in an expanding environment. The
packages may be used either with Plain TeX or LaTeX.

%package xint-doc
Summary: Documentation for xint
Version: svn45177
Provides: tex-xint-doc
AutoReqProv: No

%description xint-doc
Documentation for xint

%package xmpincl
Provides: tex-xmpincl = %{tl_version}
License: GPL+
Summary: Include eXtensible Metadata Platform data in PDFLaTeX
Version: svn15878.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(ifthen.sty)
Provides: tex(xmpincl.sty) = %{tl_version}

%description xmpincl
The XMP (eXtensible Metadata platform) is a framework to add
metadata to digital material to enhance the workflow in
publication. The essence is that the metadata is stored in an
XML file, and this XML stream is then embedded in the file to
which it applies. How you create this XML file is up to you,
but the author started investigating this because he wanted to
embed licensing information in the files he created. The
license the author chose is one of the Creative Commons
licenses, and their web-site offers this information in a valid
XML-file, suitable for direct inclusion.

%package xmpincl-doc
Summary: Documentation for xmpincl
Version: svn15878.2.2

Provides: tex-xmpincl-doc
AutoReqProv: No

%description xmpincl-doc
Documentation for xmpincl

%package xnewcommand
Provides: tex-xnewcommand = %{tl_version}
License: LPPL
Summary: Define \global and \protected commands with \newcommand
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xnewcommand.sty) = %{tl_version}

%description xnewcommand
The package provides the means of defining \global and (e-TeX)
\protected commands, within the framework of LaTeX's standard
\newcommand.

%package xnewcommand-doc
Summary: Documentation for xnewcommand
Version: svn15878.1.2

Provides: tex-xnewcommand-doc
AutoReqProv: No

%description xnewcommand-doc
Documentation for xnewcommand

%package xoptarg
Provides: tex-xoptarg = %{tl_version}
License: LPPL
Summary: Expandable macros that take an optional argument
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xoptarg.sty) = %{tl_version}

%description xoptarg
Commands that take an optional argument are not ordinarily
expandable; this package allows such commands to be expandable
provided that they have at least one mandatory argument.

%package xoptarg-doc
Summary: Documentation for xoptarg
Version: svn15878.1.0

Provides: tex-xoptarg-doc
AutoReqProv: No

%description xoptarg-doc
Documentation for xoptarg

%package xpatch
Provides: tex-xpatch = %{tl_version}
License: LPPL 1.3
Summary: Extending etoolbox patching commands
Version: svn27897.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(etoolbox.sty)
Provides: tex(xpatch.sty) = %{tl_version}

%description xpatch
The package generalises the macro patching commands provided by
Philipp Lehmann's etoolbox.

%package xpatch-doc
Summary: Documentation for xpatch
Version: svn27897.0.2

Provides: tex-xpatch-doc
AutoReqProv: No

%description xpatch-doc
Documentation for xpatch

%package xpeek
Provides: tex-xpeek = %{tl_version}
License: LPPL 1.3
Summary: Define commands that peek ahead in the input stream
Version: svn27442.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(xpeek.sty) = %{tl_version}

%description xpeek
The package provides tools to help define commands that, like
\xspace and the LaTeX command \textit, peek at what follows
them in the command stream and choose appropriate behaviour.

%package xpeek-doc
Summary: Documentation for xpeek
Version: svn27442.0.2

Provides: tex-xpeek-doc
AutoReqProv: No

%description xpeek-doc
Documentation for xpeek

%package xprintlen
Provides: tex-xprintlen = %{tl_version}
License: LPPL 1.3
Summary: Print TeX lengths in a variety of units
Version: svn35928.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp.sty)
Provides: tex(xprintlen.sty) = %{tl_version}

%description xprintlen
The package defines a command, \printlen, to print TeX lengths
in a variety of units. It can handle all units supported by
TeX. The package requires that a reasonably up to date version
of the fp package be installed on you system.

%package xprintlen-doc
Summary: Documentation for xprintlen
Version: svn35928.1.0

Provides: tex-xprintlen-doc
AutoReqProv: No

%description xprintlen-doc
Documentation for xprintlen

%package xpunctuate
Provides: tex-xpunctuate = %{tl_version}
License: LPPL 1.2
Summary: Process trailing punctuation which may be redundant
Version: svn26641.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xspace.sty)
Provides: tex(xpunctuate.sty) = %{tl_version}

%description xpunctuate
The package provides commands that enable the user (or package
writer) to insert punctuation after the macro. The method is
similar to that of xspace, but goes further. The package
provides the commands \xperiod, \xcomma and \xperiodcomma,
which follow a similar procedure to that of \xspace, and insert
punctuation if and only if it is necessary.

%package xpunctuate-doc
Summary: Documentation for xpunctuate
Version: svn26641.1.0

Provides: tex-xpunctuate-doc
AutoReqProv: No

%description xpunctuate-doc
Documentation for xpunctuate

%package xstring
Provides: tex-xstring = %{tl_version}
License: LPPL
Summary: String manipulation for (La)TeX
Version: svn31900.1.7c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xstring.sty) = %{tl_version}
Provides: tex(xstring.tex) = %{tl_version}

%description xstring
The package provides macros for manipulating strings -- testing
a string's contents, extracting substrings, substitution of
substrings and providing numbers such as string length,
position of, or number of recurrences of, a substring. The
package works equally in Plain TeX and LaTeX (though e-TeX is
always required). The strings to be processed may contain
(expandable) macros.

%package xstring-doc
Summary: Documentation for xstring
Version: svn31900.1.7c

Provides: tex-xstring-doc
AutoReqProv: No

%description xstring-doc
Documentation for xstring

%package xtab
Provides: tex-xtab = %{tl_version}
License: LPPL
Summary: Break tables across pages
Version: svn23347.2.3f

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xtab.sty) = %{tl_version}

%description xtab
Xtab is an extended and somewhat improved version of
supertabular; its xtabular environment provides tables that
break across pages.

%package xtab-doc
Summary: Documentation for xtab
Version: svn23347.2.3f

Provides: tex-xtab-doc
AutoReqProv: No

%description xtab-doc
Documentation for xtab

%package xwatermark
Provides: tex-xwatermark = %{tl_version}
License: LPPL 1.3
Summary: Graphics and text watermarks on selected pages
Version: svn28090.1.5.2d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(catoptions.sty)
# bz1197494
Requires: tex(ltxkeys.sty)
Provides: tex(xwatermark.sty) = %{tl_version}

%description xwatermark
The package extends the author's draftmark and the watermark
packages.

%package xwatermark-doc
Summary: Documentation for xwatermark
Version: svn28090.1.5.2d

Provides: tex-xwatermark-doc
AutoReqProv: No

%description xwatermark-doc
Documentation for xwatermark

%package xytree
Provides: tex-xytree = %{tl_version}
License: LPPL
Summary: Tree macros using XY-Pic
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xy.sty)
Provides: tex(xytree.sty) = %{tl_version}

%description xytree
The package provides means to draw linguistic syntactic trees
with ease and to support hopefully sufficient functionalities,
that the linguist may need. The package (of course) depends on
the XY-Pic package.

%package xytree-doc
Summary: Documentation for xytree
Version: svn15878.1.5

Provides: tex-xytree-doc
AutoReqProv: No

%description xytree-doc
Documentation for xytree

%package yafoot
Provides: tex-yafoot = %{tl_version}
License: LPPL
Summary: A bundle of miscellaneous footnote packages
Version: svn19086.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dblfnote.sty) = %{tl_version}
Provides: tex(fnpos.sty) = %{tl_version}
Provides: tex(pfnote.sty) = %{tl_version}

%description yafoot
Contains three packages: - pfnote to number footnotes per page;
- fnpos to control the position of footnotes; and - dblfnote to
make footnotes double-columned.

%package yafoot-doc
Summary: Documentation for yafoot
Version: svn19086.0

Provides: tex-yafoot-doc
AutoReqProv: No

%description yafoot-doc
Documentation for yafoot

%package yagusylo
Provides: tex-yagusylo = %{tl_version}
License: LPPL
Summary: A symbol loader
Version: svn29803.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xifthen.sty)
Requires: tex(suffix.sty)
Requires: tex(xargs.sty)
Requires: tex(xcolor.sty)
Provides: tex(yagusylo.cfg) = %{tl_version}
Provides: tex(yagusylo.sty) = %{tl_version}

%description yagusylo
The name is by way of being an acronym for "Yet Another Grand
Unified Symbols Loader"... The package allows the user to
access a symbol without loading the package that usually
provides it; this has the advantage of avoiding the name
clashes that so commonly trouble those who load symbol-
packages.

%package yagusylo-doc
Summary: Documentation for yagusylo
Version: svn29803.1.2

Provides: tex-yagusylo-doc
AutoReqProv: No

%description yagusylo-doc
Documentation for yagusylo

%package ydoc
Provides: tex-ydoc = %{tl_version}
License: LPPL 1.3
Summary: Macros for documentation of LaTeX classes and packages
Version: svn26202.0.6alpha

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(hyperref.sty)
Requires: tex(needspace.sty)
Requires: tex(xcolor.sty)
Requires: tex(listings.sty)
Requires: tex(shortvrb.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xspace.sty)
Requires: tex(url.sty)
Requires: tex(float.sty)
Requires: tex(svn-prov.sty)
Requires: tex(newverbs.sty)
Provides: tex(ydocincl.tex) = %{tl_version}
Provides: tex(ydocstrip.tex) = %{tl_version}
Provides: tex(ydoc-code.sty) = %{tl_version}
Provides: tex(ydoc-desc.sty) = %{tl_version}
Provides: tex(ydoc-doc.sty) = %{tl_version}
Provides: tex(ydoc-expl.sty) = %{tl_version}
Provides: tex(ydoc.cfg) = %{tl_version}
Provides: tex(ydoc.cls) = %{tl_version}
Provides: tex(ydoc.sty) = %{tl_version}

%description ydoc
The package provides macros and environments to document LaTeX
packages and classes. It is an (as yet unfinished) alternative
to the ltxdoc class and the doc or xdoc packages. The aim is to
provide a different layout and more modern styles (using the
xcolor, hyperref packages, etc.) This is an alpha release, and
should probably not (yet) be used with other packages, since
the implementation might change. Nevertheless, the author uses
it to document his own packages.

%package ydoc-doc
Summary: Documentation for ydoc
Version: svn26202.0.6alpha

Provides: tex-ydoc-doc
AutoReqProv: No

%description ydoc-doc
Documentation for ydoc

%package zed-csp
Provides: tex-zed-csp = %{tl_version}
License: Zed
Summary: Typesetting Z and CSP format specifications
Version: svn17258.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(zed-csp.sty) = %{tl_version}

%description zed-csp
The package supports real-time CSP and incorporates the
functionality of Spivey's original Z package, written for LaTeX
2.09.

%package zed-csp-doc
Summary: Documentation for zed-csp
Version: svn17258.0

Provides: tex-zed-csp-doc
AutoReqProv: No

%description zed-csp-doc
Documentation for zed-csp

%package ziffer
Provides: tex-ziffer = %{tl_version}
License: LPPL
Summary: Conversion of punctuation in maths mode
Version: svn32279.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ziffer.sty) = %{tl_version}

%description ziffer
The package modifies the behaviour of characters in maths mode
so that: '.' is used as a one-thousand separator (as is common
in Germany) ',' is used as a decimal separator (as is common in
Germany) '--' is represented with spacing as appropriate to
such constructs as '1.000,--'. These conversions may be
switched on and off.

%package ziffer-doc
Summary: Documentation for ziffer
Version: svn32279.2.1

Provides: tex-ziffer-doc
AutoReqProv: No

%description ziffer-doc
Documentation for ziffer

%package zwgetfdate
Provides: tex-zwgetfdate = %{tl_version}
License: LPPL 1.3
Summary: Get package or file date
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(zwgetfdate.sty) = %{tl_version}

%description zwgetfdate
The package can fetch the date declaration of packages and
files used by a document, and then provide the information in
macros. The facilities provide a means of obtaining the date of
a package being documented; this is mainly of use when
doc/docstrip.

%package zwgetfdate-doc
Summary: Documentation for zwgetfdate
Version: svn15878.0

Provides: tex-zwgetfdate-doc
AutoReqProv: No

%description zwgetfdate-doc
Documentation for zwgetfdate

%package zwpagelayout
Provides: tex-zwpagelayout = %{tl_version}
License: LPPL
Summary: Page layout and crop-marks
Version: svn28846.1.4d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(kvoptions.sty)
Requires: tex(color.sty)
Provides: tex(zwpagelayout.sty) = %{tl_version}

%description zwpagelayout
This package was developed as a typographers' toolbox offering
important basic features for everyday work. It allows setting
the paper size and the page layout; it can print crop marks;
and it can reflect pages both horizontally and vertically. The
package facilities work with TeX (output via dvips or
(x)dvipdfm(x)), and with pdfTeX.

%package zwpagelayout-doc
Summary: Documentation for zwpagelayout
Version: svn28846.1.4d

Provides: tex-zwpagelayout-doc
AutoReqProv: No

%description zwpagelayout-doc
Documentation for zwpagelayout

%package collection-luatex
Summary: LuaTeX packages
Version: svn45569
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-checkcites
Requires: texlive-chickenize
Requires: texlive-combofont
Requires: texlive-cstypo
Requires: texlive-ctablestack
Requires: texlive-enigma
Requires: texlive-fontloader-luaotfload
Requires: texlive-interpreter
Requires: texlive-lua-visual-debug
Requires: texlive-lua2dox
Requires: texlive-luacode
Requires: texlive-luahyphenrules
Requires: texlive-luaindex
Requires: texlive-luainputenc
Requires: texlive-luaintro-doc
Requires: texlive-lualatex-doc-doc
Requires: texlive-lualatex-math
Requires: texlive-lualibs
Requires: texlive-luamplib
Requires: texlive-luaotfload
Requires: texlive-luapackageloader
Requires: texlive-luatex85
Requires: texlive-luatexbase
Requires: texlive-luatexko
Requires: texlive-luatextra
Requires: texlive-luaxml
Requires: texlive-nodetree
Requires: texlive-odsfile
Requires: texlive-placeat
Requires: texlive-selnolig
Requires: texlive-spelling

%description collection-luatex
Packages for LuaTeX, a Unicode-aware extension of pdfTeX, using
Lua as an embedded scripting and extension language.
http://luatex.org/

%package enigma
Provides: tex-enigma = %{tl_version}
License: BSD
Summary: Encrypt documents with a three rotor Enigma
Version: svn29802.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(luatexbase.sty)
Provides: tex(enigma.sty) = %{tl_version}
Provides: tex(enigma.tex) = %{tl_version}

%description enigma
The package provides historical encryption (Enigma cipher) for
LuaTeX-based formats.

%package enigma-doc
Summary: Documentation for enigma
Version: svn29802.0.1

Provides: tex-enigma-doc
AutoReqProv: No

%description enigma-doc
Documentation for enigma

%package interpreter
Provides: tex-interpreter = %{tl_version}
License: LPPL
Summary: Translate input files on the fly
Version: svn27232.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(interpreter.sty) = %{tl_version}
Provides: tex(interpreter.tex) = %{tl_version}

%description interpreter
The package preprocesses input files to a Lua(La)TeX run, on
the fly. The user defines Lua regular expressions to search for
patterns and modify input lines (or entire paragraphs)
accordingly, before TeX reads the material. In this way,
documents may be prepared in a non-TeX language (e.g., some
lightweight markup language) and turned into 'proper' TeX for
processing. The source of the documentation is typed in such a
lightweight language and is thus easily readable in a text
editor (the PDF file is also available, of course); the
transformation to TeX syntax via Interpreter's functions is
explained in the documentation itself. Interpreter is
implemented using the author's gates (lua version), and works
for plain TeX and LaTeX, but not ConTeXt.

%package interpreter-doc
Summary: Documentation for interpreter
Version: svn27232.1.2

Provides: tex-interpreter-doc
AutoReqProv: No

%description interpreter-doc
Documentation for interpreter

%package lua-check-hyphen
Provides: tex-lua-check-hyphen = %{tl_version}
License: MIT
Summary: Mark hyphenations in a document, for checking
Version: svn44936
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifluatex.sty)
Requires: tex(luatexbase-attr.sty)
Requires: tex(luatextra.sty)
Requires: tex(keyval.sty)
Provides: tex(lua-check-hyphen.sty) = %{tl_version}

%description lua-check-hyphen
The package looks at all hyphenation breaks in the document,
comparing them against a white-list prepared by the author. If
a hyphenation break is found, for which there is no entry in
the white-list, the package flags the line where the break
starts. The author may then either add the hyphenation to the
white-list, or adjust the document to avoid the break.

%package lua-check-hyphen-doc
Summary: Documentation for lua-check-hyphen
Version: svn44936
Provides: tex-lua-check-hyphen-doc
AutoReqProv: No

%description lua-check-hyphen-doc
Documentation for lua-check-hyphen

%package lua-visual-debug
Provides: tex-lua-visual-debug = %{tl_version}
License: MIT
Summary: Visual debugging with LuaLaTeX
Version: svn41387

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(atbegshi.sty)
Provides: tex(lua-visual-debug.sty) = %{tl_version}

%description lua-visual-debug
The package uses lua code to provide visible indications of
boxes, glues, kerns and penalties in the PDF output. The
package is known to work in LaTeX and Plain TeX documents.

%package lua-visual-debug-doc
Summary: Documentation for lua-visual-debug
Version: svn41387

Provides: tex-lua-visual-debug-doc
AutoReqProv: No

%description lua-visual-debug-doc
Documentation for lua-visual-debug

%package luabibentry
Provides: tex-luabibentry = %{tl_version}
License: LPPL 1.3
Summary: Repeat BibTeX entries in a LuaLaTeX document body
Version: svn31783.0.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Provides: tex(luabibentry.sty) = %{tl_version}

%description luabibentry
The package reimplements bibentry, for use in LuaLaTeX.

%package luabibentry-doc
Summary: Documentation for luabibentry
Version: svn31783.0.1a

Provides: tex-luabibentry-doc
AutoReqProv: No

%description luabibentry-doc
Documentation for luabibentry

%package luabidi
Provides: tex-luabidi = %{tl_version}
License: LPPL 1.3
Summary: Bidirectional typesetting with LuaLaTeX
Version: svn30790.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(arabmaths.tex) = %{tl_version}
Provides: tex(autofootnoterule.tex) = %{tl_version}
Provides: tex(luabidi.sty) = %{tl_version}
Provides: tex(textwidthfootnoterule.tex) = %{tl_version}

%description luabidi
The package attempts to emulate the XeTeX bidi package, in teh
context of LuaTeX.

%package luabidi-doc
Summary: Documentation for luabidi
Version: svn30790.0.2

Provides: tex-luabidi-doc
AutoReqProv: No

%description luabidi-doc
Documentation for luabidi

%package luacode
Provides: tex-luacode = %{tl_version}
License: LPPL 1.3
Summary: Helper for executing lua code from within TeX
Version: svn25193.1.2a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(luatexbase.sty)
Provides: tex(luacode.sty) = %{tl_version}

%description luacode
Executing Lua code from within TeX with directlua can sometimes
be tricky: there is no easy way to use the percent character,
counting backslashes may be hard, and Lua comments don't work
the way you expect. The package provides the \luaexec command
and the luacode(*) environments to help with these problems.

%package luacode-doc
Summary: Documentation for luacode
Version: svn25193.1.2a

Provides: tex-luacode-doc
AutoReqProv: No

%description luacode-doc
Documentation for luacode

%package luaindex
Provides: tex-luaindex = %{tl_version}
License: LPPL 1.3
Summary: Create index using lualatex
Version: svn25882.0.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(luatexbase-compat.sty)
Requires: tex(luatexbase-modutils.sty)
Requires: tex(scrbase.sty)
Provides: tex(luaindex.sty) = %{tl_version}

%description luaindex
Luaindex provides (yet another) index processor, written in
Lua.

%package luaindex-doc
Summary: Documentation for luaindex
Version: svn25882.0.1b

Provides: tex-luaindex-doc
AutoReqProv: No

%description luaindex-doc
Documentation for luaindex

%package luainputenc
Provides: tex-luainputenc = %{tl_version}
License: Public Domain
Summary: Replacing inputenc for use in LuaTeX
Version: svn20491.0.973

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(inputenc.sty)
Requires: tex(luatexbase.sty)
Provides: tex(luainputenc.sty) = %{tl_version}
Provides: tex(lutf8.def) = %{tl_version}
Provides: tex(lutf8x.def) = %{tl_version}

%description luainputenc
LuaTeX operates by default in UTF-8 input; thus LaTeX documents
that need 8-bit character-sets need special treatment. (In
fact, LaTeX documents using UTF-8 with "traditional" -- 256-
glyph -- fonts also need support from this package.) The
package, therefore, replaces the LaTeX standard inputenc for
use under LuaTeX. With a current LuaTeX,the package has the
same behaviour with LuaTeX as inputenc has under pdfTeX.

%package luainputenc-doc
Summary: Documentation for luainputenc
Version: svn20491.0.973

Provides: tex-luainputenc-doc
AutoReqProv: No

%description luainputenc-doc
Documentation for luainputenc

%package luaintro-doc
Summary: Documentation for luaintro
Version: svn35490.0.03

Provides: tex-luaintro-doc
AutoReqProv: No

%description luaintro-doc
Documentation for luaintro

%package lualatex-doc-doc
Summary: Documentation for lualatex-doc
Version: svn30473.0

Provides: tex-lualatex-doc-doc
AutoReqProv: No

%description lualatex-doc-doc
Documentation for lualatex-doc

%package lualatex-math
Provides: tex-lualatex-math = %{tl_version}
License: LPPL 1.3
Summary: Fixes for mathematics-related LuaLaTeX issues
Version: svn44621
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(etoolbox.sty)
Requires: tex(luatexbase.sty)
Requires: tex(filehook.sty)
Provides: tex(lualatex-math.sty) = %{tl_version}

%description lualatex-math
The package patches a few commands of the LaTeX2e kernel and
the amsmath and mathtools packages to be more compatible with
the LuaTeX engine. It is only meaningful for LuaLaTeX documents
containing mathematical formulas, and does not exhibit any new
functionality. The fixes are mostly moved from the unicode-math
package to this package since they are not directly related to
Unicode mathematics typesetting.

%package lualatex-math-doc
Summary: Documentation for lualatex-math
Version: svn44621
Provides: tex-lualatex-math-doc
AutoReqProv: No

%description lualatex-math-doc
Documentation for lualatex-math

%package lualibs
Provides: tex-lualibs = %{tl_version}
License: GPLv2+
Summary: Additional Lua functions for LuaTeX macro programmers
Version: svn43153
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description lualibs
Lualibs is a collection of Lua modules useful for general
programming. The bundle is based on lua modules shipped with
ConTeXt, and are made available in this bundle for use
independent of ConTeXt.

%package lualibs-doc
Summary: Documentation for lualibs
Version: svn43153
Provides: tex-lualibs-doc
AutoReqProv: No

%description lualibs-doc
Documentation for lualibs

%package luamplib
Provides: tex-luamplib = %{tl_version}
License: GPLv2+
Summary: Use LuaTeX's built-in MetaPost interpreter
Version: svn44496
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(luatexbase-modutils.sty)
Provides: tex(luamplib.sty) = %{tl_version}

%description luamplib
The package enables the user to specify MetaPost diagrams
(which may include colour specifications from the color or
xcolor packages) into a document, using LuaTeX's built-in
MetaPost library. The facility is only available in PDF mode.

%package luamplib-doc
Summary: Documentation for luamplib
Version: svn44496
Provides: tex-luamplib-doc
AutoReqProv: No

%description luamplib-doc
Documentation for luamplib

%package luasseq
Provides: tex-luasseq = %{tl_version}
License: LPPL
Summary: Drawing spectral sequences in LuaLaTeX
Version: svn37877.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(pifont.sty)
Requires: tex(pgf.sty)
Requires: tex(xkeyval.sty)
Provides: tex(luasseq.sty) = %{tl_version}

%description luasseq
The package is an update of the author's sseq package, for use
with LuaLaTeX. This version uses less memory, and operates
faster than the original; it also offers several enhancements.

%package luasseq-doc
Summary: Documentation for luasseq
Version: svn37877.0

Provides: tex-luasseq-doc
AutoReqProv: No

%description luasseq-doc
Documentation for luasseq

%package luatexbase
Provides: tex-luatexbase = %{tl_version}
License: Public Domain
Summary: Basic resource management for LuaTeX code
Version: svn38550

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(luatex.sty)
Requires: tex(etex.sty)
Provides: tex(luatexbase-attr.sty) = %{tl_version}
Provides: tex(luatexbase-cctb.sty) = %{tl_version}
Provides: tex(luatexbase-compat.sty) = %{tl_version}
Provides: tex(luatexbase-loader.sty) = %{tl_version}
Provides: tex(luatexbase-mcb.sty) = %{tl_version}
Provides: tex(luatexbase-modutils.sty) = %{tl_version}
Provides: tex(luatexbase-regs.sty) = %{tl_version}
Provides: tex(luatexbase.sty) = %{tl_version}

%description luatexbase
The bundle provides basic facilities for LuaTeX macro
programmers, mostly resource allocation and convenience
packages. Provided are: luatexbase-attr: attribute allocation;
luatexbase-cctb: catcode table allocation; luatexbase-compat:
compatibility helpers; luatexbase-loader: Lua module loading;
luatexbase-modutils: Lua module declaration; luatexbase-mcb:
callbacks extension; and luatexbase-regs: allocation of
registers and the like. In addition, the (unadorned) luatexbase
package loads all the above in one fell swoop.

%package luatexbase-doc
Summary: Documentation for luatexbase
Version: svn38550

Provides: tex-luatexbase-doc
AutoReqProv: No

%description luatexbase-doc
Documentation for luatexbase

%package luatexko
Provides: tex-luatexko = %{tl_version}
License: LPPL 1.3
Summary: Typeset Korean with Lua(La)TeX
Version: svn45434
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(luaotfload.sty)
Requires: tex(fontspec.sty)
Requires: tex(everysel.sty)
Requires: tex(kolabels-utf.sty)
Requires: tex(konames-utf.sty)
Provides: tex(luatexko-core.sty) = %{tl_version}
Provides: tex(luatexko.sty) = %{tl_version}

%description luatexko
This is a Lua(La)TeX macro package that supports typesetting
Korean documents. LuaTeX version 0.76+ and luaotfload package
version 2.2+ are required. This package also requires both cjk-
ko and xetexko packages for its full functionality.

%package luatexko-doc
Summary: Documentation for luatexko
Version: svn45434
Provides: tex-luatexko-doc
AutoReqProv: No

%description luatexko-doc
Documentation for luatexko

%package luatextra
Provides: tex-luatextra = %{tl_version}
License: Public Domain
Summary: Additional macros for Plain TeX and LaTeX in LuaTeX
Version: svn20747.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Requires: tex(luatexbase.sty)
Requires: tex(metalogo.sty)
Requires: tex(luacode.sty)
Requires: tex(fixltx2e.sty)
Provides: tex(luatextra.sty) = %{tl_version}

%description luatextra
The package provides a coherent extended programming
environment for use with luaTeX. It loads packages fontspec,
luatexbase and lualibs, and provides additional user-level
features and goodies. The package is under development, and its
specification may be expected to change.

%package luatextra-doc
Summary: Documentation for luatextra
Version: svn20747.1.0.1

Provides: tex-luatextra-doc
AutoReqProv: No

%description luatextra-doc
Documentation for luatextra

%package luatodonotes
Provides: tex-luatodonotes = %{tl_version}
License: LPPL 1.2
Summary: Add editing annotations in a LuaLaTeX document
Version: svn45454
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifluatex.sty)
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Requires: tex(luacode.sty)
Requires: tex(luatex.sty)
Requires: tex(atbegshi.sty)
Requires: tex(xstring.sty)
Requires: tex(zref-abspage.sty)
Requires: tex(ifoddpage.sty)
Requires: tex(soul.sty)
Requires: tex(soulpos.sty)
Provides: tex(luatodonotes.sty) = %{tl_version}

%description luatodonotes
The package allows the user to insert comments into a document
that suggest (for example) further editing that may be needed.
The comments are shown in the margins alongside the text;
different styles for the comments may be used; the styles are
selected using package options. The package is based on the
package todonotes, and depends heavily on Lua, so it can only
be used with LuaLaTeX.

%package luatodonotes-doc
Summary: Documentation for luatodonotes
Version: svn45454
Provides: tex-luatodonotes-doc
AutoReqProv: No

%description luatodonotes-doc
Documentation for luatodonotes

%package luaxml
Provides: tex-luaxml = %{tl_version}
License: MIT
Summary: Lua library for reading and serialising XML files
Version: svn32741.0.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description luaxml
This is a redistribution of a pure lua xml library, LuaXML
(this version supports Lua 5.2). The library was originally
distributed as part of the odsfile package, but is made
available separately in the hope that it can be useful for
other projects.

%package luaxml-doc
Summary: Documentation for luaxml
Version: svn32741.0.0.2

Provides: tex-luaxml-doc
AutoReqProv: No

%description luaxml-doc
Documentation for luaxml

%package odsfile
Provides: tex-odsfile = %{tl_version}
License: LPPL 1.3
Summary: Read OpenDocument Spreadsheet documents as LaTeX tables
Version: svn38449

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(luacode.sty)
Requires: tex(xkeyval.sty)
Provides: tex(odsfile.sty) = %{tl_version}

%description odsfile
The distribution includes a package and a lua library that can
together read OpenDocument spreadsheet documents as LaTeX
tables. Cells in the tables may be processed by LaTeX macros,
so that (for example) the package may be used for drawing some
plots. The package uses lua's zip library.

%package odsfile-doc
Summary: Documentation for odsfile
Version: svn38449

Provides: tex-odsfile-doc
AutoReqProv: No

%description odsfile-doc
Documentation for odsfile

%package placeat
Provides: tex-placeat = %{tl_version}
License: LPPL 1.3
Summary: Absolute content positioning
Version: svn45145
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(luatexbase.sty)
Requires: tex(luacode.sty)
Requires: tex(atbegshi.sty)
Requires: tex(xparse.sty)
Provides: tex(placeat.sty) = %{tl_version}

%description placeat
The package provides commands so that the user of LuaLaTeX may
position arbitrary content at any position specified by
absolute coordinates on the page. The package draws a grid on
each page of the document, to aid positioning (the grid may be
disabled, for 'final copy' using the command \placeatsetup).

%package placeat-doc
Summary: Documentation for placeat
Version: svn45145
Provides: tex-placeat-doc
AutoReqProv: No

%description placeat-doc
Documentation for placeat

%package selnolig
Provides: tex-selnolig = %{tl_version}
License: LPPL 1.3
Summary: Selectively disable typographic ligatures
Version: svn38721

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(luatexbase.sty)
Provides: tex(selnolig-english-hyphex.sty) = %{tl_version}
Provides: tex(selnolig-english-patterns.sty) = %{tl_version}
Provides: tex(selnolig-german-hyphex.sty) = %{tl_version}
Provides: tex(selnolig-german-patterns.sty) = %{tl_version}
Provides: tex(selnolig.sty) = %{tl_version}

%description selnolig
The package suppresses typographic ligatures selectively, i.e.,
based on predefined search patterns. The search patterns focus
on ligatures deemed inappropriate because they span morpheme
boundaries. For example, the word shelfful, which is mentioned
in the TeXbook as a word for which the ff ligature might be
inappropriate, is automatically typeset as shelf\/ful rather
than as shel{ff}ul. For English and German language documents,
the package provides extensive rules for the selective
suppression of so-called "common" ligatures. These comprise the
ff, fi, fl, ffi, and ffl ligatures as well as the ft and fft
ligatures. Other f-ligatures, such as fb, fh, fj and fk, are
suppressed globally, while exceptions are made for names and
words of non-English/German origin, such as Kafka and fjord.
For English language documents, the package further provides
ligature suppression macros for a number of so-called
"discretionary" or "rare" ligatures such as ct, st, and sp. The
package requires use of a recent LuaLaTeX format (for example
those from TeX Live 2012 or 2013, or MiKTeX 2.9).

%package selnolig-doc
Summary: Documentation for selnolig
Version: svn38721

Provides: tex-selnolig-doc
AutoReqProv: No

%description selnolig-doc
Documentation for selnolig

%package showhyphens
Provides: tex-showhyphens = %{tl_version}
License: MIT
Summary: Show all possible hyphenations in LuaLaTeX
Version: svn39787

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(luatexbase.sty)
Provides: tex(showhyphens.sty) = %{tl_version}

%description showhyphens
With this package, LuaLaTeX will indicate all possible
hyphenations in the printed output.

%package showhyphens-doc
Summary: Documentation for showhyphens
Version: svn39787

Provides: tex-showhyphens-doc
AutoReqProv: No

%description showhyphens-doc
Documentation for showhyphens

%package spelling
Provides: tex-spelling = %{tl_version}
License: LPPL 1.3
Summary: Support for spell-checking of LuaTeX documents
Version: svn30715.0.41

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifluatex.sty)
Requires: tex(luatexbase-modutils.sty)
Requires: tex(luatexbase-mcb.sty)
Requires: tex(luatexbase-attr.sty)
Requires: tex(atbegshi.sty)
Provides: tex(spelling.sty) = %{tl_version}

%description spelling
The package aids spell-checking of TeX documents compiled with
the LuaTeX engine. It can give visual feedback in PDF output
similar to WYSIWYG word processors. The package relies on an
external spell-checker application to check spelling of a text
file and to output a list of bad spellings. The package should
work with most spell-checkers, even dumb, TeX-unaware ones.

%package spelling-doc
Summary: Documentation for spelling
Version: svn30715.0.41

Provides: tex-spelling-doc
AutoReqProv: No

%description spelling-doc
Documentation for spelling

%package ucharcat
Provides: tex-ucharcat = %{tl_version}
License: LPPL
Summary: Implementation of the (new in 2015) XeTeX \Ucharcat command in lua, for LuaTeX
Version: svn38907

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ucharcat.sty) = %{tl_version}

%description ucharcat
The package implements the \Ucharcat command for LuaLaTeX.
\Ucharcat is a new primitive in XeTeX, an extension of the
existing \Uchar command, that allows the specification of the
catcode as well as character code of the character token being
constructed.

%package ucharcat-doc
Summary: Documentation for ucharcat
Version: svn38907

Provides: tex-ucharcat-doc
AutoReqProv: No

%description ucharcat-doc
Documentation for ucharcat

%package commath
Provides: tex-commath = %{tl_version}
License: LPPL
Summary: Mathematics typesetting support
Version: svn15878.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(amsmath.sty)
Provides: tex(commath.sty) = %{tl_version}

%description commath
Provides a range of differential, partial differential and
delimiter commands, together with a \fullfunction (function,
with both domain and range, and function operation) and various
reference commands.

%package commath-doc
Summary: Documentation for commath
Version: svn15878.0.3

Provides: tex-commath-doc
AutoReqProv: No

%description commath-doc
Documentation for commath

%package concmath
Provides: tex-concmath = %{tl_version}
License: LPPL
Summary: Concrete Math fonts
Version: svn17219.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(exscale.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Provides: tex(concmath.sty) = %{tl_version}
Provides: tex(omlccm.fd) = %{tl_version}
Provides: tex(omlccr.fd) = %{tl_version}
Provides: tex(omsccr.fd) = %{tl_version}
Provides: tex(omsccsy.fd) = %{tl_version}
Provides: tex(omxccex.fd) = %{tl_version}
Provides: tex(ot1ccr.fd) = %{tl_version}
Provides: tex(ucca.fd) = %{tl_version}
Provides: tex(uccb.fd) = %{tl_version}

%description concmath
A LaTeX package and font definition files to access the
Concrete mathematics fonts, which were derived from Computer
Modern math fonts using parameters from Concrete Roman text
fonts.

%package concmath-doc
Summary: Documentation for concmath
Version: svn17219.0

Provides: tex-concmath-doc
AutoReqProv: No

%description concmath-doc
Documentation for concmath

%package concrete
Provides: tex-concrete = %{tl_version}
License: Knuth
Summary: Concrete Roman fonts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cccsc10.tfm) = %{tl_version}
Provides: tex(ccmi10.tfm) = %{tl_version}
Provides: tex(ccmic9.tfm) = %{tl_version}
Provides: tex(ccr10.tfm) = %{tl_version}
Provides: tex(ccr5.tfm) = %{tl_version}
Provides: tex(ccr6.tfm) = %{tl_version}
Provides: tex(ccr7.tfm) = %{tl_version}
Provides: tex(ccr8.tfm) = %{tl_version}
Provides: tex(ccr9.tfm) = %{tl_version}
Provides: tex(ccsl10.tfm) = %{tl_version}
Provides: tex(ccsl9.tfm) = %{tl_version}
Provides: tex(ccslc9.tfm) = %{tl_version}
Provides: tex(ccti10.tfm) = %{tl_version}

%description concrete
Concrete Roman fonts, designed by Donald E. Knuth, originally
for use with Euler mathematics fonts. Alternative mathematics
fonts, based on the concrete 'parameter set' are available as
the concmath fonts bundle. LaTeX support is offered by the
beton, concmath and ccfonts packages. T1- and TS1-encoded
versions of the fonts are available in the ecc bundle, and
Adobe Type 1 versions of the ecc fonts are part of the cm-super
bundle.

%package concrete-doc
Summary: Documentation for concrete
Version: svn15878.0

Provides: tex-concrete-doc
AutoReqProv: No

%description concrete-doc
Documentation for concrete

%package conteq
Provides: tex-conteq = %{tl_version}
License: LPPL 1.3
Summary: Typeset multiline continued equalities
Version: svn37868.0.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(amsmath.sty)
Requires: tex(environ.sty)
Provides: tex(conteq.sty) = %{tl_version}

%description conteq
The package provides an environment conteq, which will lay out
systems of continued equalities (or inequalities). Several
variant layouts of the equalities are provided, and the user
may define their own. The package is written using LaTeX 3
macros.

%package conteq-doc
Summary: Documentation for conteq
Version: svn37868.0.1.1

Provides: tex-conteq-doc
AutoReqProv: No

%description conteq-doc
Documentation for conteq

%package ebproof
Provides: tex-ebproof = %{tl_version}
License: LPPL 1.3
Summary: Formal proofs in the style of sequent calculus
Version: svn44392
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pgfkeys.sty)
Provides: tex(ebproof.sty) = %{tl_version}

%description ebproof
This package provides commands to typeset proof trees in the
style of sequent calculus and related systems. The commands
allow for writing inferences with any number of premises and
alignment of successive formulas on an arbitrary point. Various
options allow complete control over spacing, styles of
inference rules, placement of labels, etc. The package requires
pgfkeys (from the PGF/TikZ bundle) for the option system.

%package ebproof-doc
Summary: Documentation for ebproof
Version: svn44392
Provides: tex-ebproof-doc
AutoReqProv: No

%description ebproof-doc
Documentation for ebproof

%package eqnarray
Provides: tex-eqnarray = %{tl_version}
License: GPLv3+
Summary: More generalised equation arrays with numbering
Version: svn20641.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Provides: tex(eqnarray.sty) = %{tl_version}

%description eqnarray
Defines an equationarray environment, that allows more than
three columns, but otherwise behaves like LaTeX's eqnarray
environment. This environment is similar, in some ways, to the
align environment of amsmath. The package requires the array
package.

%package eqnarray-doc
Summary: Documentation for eqnarray
Version: svn20641.1.3

Provides: tex-eqnarray-doc
AutoReqProv: No

%description eqnarray-doc
Documentation for eqnarray

%package extarrows
Provides: tex-extarrows = %{tl_version}
License: LGPLv2+
Summary: Extra Arrows beyond those provided in AMSmath
Version: svn15878.1.0b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Provides: tex(extarrows.sty) = %{tl_version}

%description extarrows
Arrows are provided to supplement \xleftarrow and \xrightarrow
of the AMSMath package: \xlongequal, \xLongleftarrow,
\xLongrightarrow, \xLongleftrightarrow, \xLeftrightarrow.
\xlongleftrightarrow, \xleftrightarrow, \xlongleftarrow and
\xlongrightarrow.

%package extarrows-doc
Summary: Documentation for extarrows
Version: svn15878.1.0b

Provides: tex-extarrows-doc
AutoReqProv: No

%description extarrows-doc
Documentation for extarrows

%package extpfeil
Provides: tex-extpfeil = %{tl_version}
License: LPPL 1.3
Summary: Extensible arrows in mathematics
Version: svn16243.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(mathtools.sty)
Requires: tex(stmaryrd.sty)
Provides: tex(extpfeil.sty) = %{tl_version}

%description extpfeil
The package provides some more extensible arrows (usable in the
same way as \xleftarrow from amsmath), and a simple command to
create new ones.

%package extpfeil-doc
Summary: Documentation for extpfeil
Version: svn16243.0.4

Provides: tex-extpfeil-doc
AutoReqProv: No

%description extpfeil-doc
Documentation for extpfeil

%package faktor
Provides: tex-faktor = %{tl_version}
License: LPPL
Summary: Typeset quotient structures with LaTeX
Version: svn15878.0.1b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(faktor.sty) = %{tl_version}

%description faktor
The package provides the means to typeset factor structures, as
are used in many areas of algebraic notation. The structure is
similar to the 'A/B' that is provided by the nicefrac package
(part of the units distribution), and by the xfrac package; the
most obvious difference is that the numerator and denominator's
sizes do not change in the \faktor command.

%package faktor-doc
Summary: Documentation for faktor
Version: svn15878.0.1b

Provides: tex-faktor-doc
AutoReqProv: No

%description faktor-doc
Documentation for faktor

%package grundgesetze
Provides: tex-grundgesetze = %{tl_version}
License: GPLv2+
Summary: Typeset Frege's Grundgesetze der Arithmetik
Version: svn34439.1.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(bguq.sty)
Provides: tex(grundgesetze.sty) = %{tl_version}

%description grundgesetze
The package defines maths mode commands for typesetting Gottlob
Frege's concept-script in the style of his "Grundgesetze der
Arithmetik" (Basic Laws of Arithmetic).

%package grundgesetze-doc
Summary: Documentation for grundgesetze
Version: svn34439.1.02

Provides: tex-grundgesetze-doc
AutoReqProv: No

%description grundgesetze-doc
Documentation for grundgesetze

%package interval
Provides: tex-interval = %{tl_version}
License: LPPL 1.3
Summary: Format mathematical intervals, ensuring proper spacing
Version: svn34840.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgfkeys.sty)
Provides: tex(interval.sty) = %{tl_version}

%description interval
When typing an open interval as $]a,b[$, a closing bracket is
being used in place of an opening fence and vice versa. This
leads to the wrong spacing in, say, $]-a,b[$ or $A\in]a,b[=B$.
The package attempts to solve this using: \interval{a}{b} ->
[a,b] \interval[open]{a}{b} -> ]a,b[ \interval[open left]{a}{b}
-> ]a,b] The package also supports fence scaling and ensures
that the enclosing fences will end up having the proper closing
and opening types. TeX maths does not do this job properly.

%package interval-doc
Summary: Documentation for interval
Version: svn34840.0.3

Provides: tex-interval-doc
AutoReqProv: No

%description interval-doc
Documentation for interval

%package ionumbers
Provides: tex-ionumbers = %{tl_version}
License: GPL+
Summary: Restyle numbers in maths mode
Version: svn33457.0.3.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(ionumbers.sty) = %{tl_version}

%description ionumbers
'ionumbers' stands for 'input/output numbers'. The package
restyles numbers in maths mode. If a number in the input file
is written, e.g., as $3,231.44$ as commonly used in English
texts, the package is able to restyle it to be output as
$3\,231{,}44$ as commonly used in German texts (and vice
versa). This may be useful, for example, if you have a large
table and want to include it in texts with different output
conventions without the need to change the table. The package
can also automatically group digits left of the decimal
separator (thousands) and right of the decimal separator
(thousandths) in triplets without the need of specifing commas
(English) or points (German) as separators. E.g., the input
$1234.567890$ can be output as $1\,234.\,567\,890$. Finally, an
e starts the exponent of the number. For example, $21e6$ may be
output as $26\times10\,^{6}$.

%package ionumbers-doc
Summary: Documentation for ionumbers
Version: svn33457.0.3.3

Provides: tex-ionumbers-doc
AutoReqProv: No

%description ionumbers-doc
Documentation for ionumbers

%package isomath
Provides: tex-isomath = %{tl_version}
License: LPPL
Summary: Mathematics style for science and technology
Version: svn27654.0.6.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fixmath.sty)
Requires: tex(kvoptions.sty)
Provides: tex(isomath.sty) = %{tl_version}

%description isomath
The package provides tools for a mathematical style that
conforms to the International Standard ISO 80000-2 and is
common in science and technology. It changes the default shape
of capital Greek letters to italic, sets up bold italic and
sans-serif bold italic math alphabets with Latin and Greek
characters, and defines macros for markup of vector, matrix and
tensor symbols.

%package isomath-doc
Summary: Documentation for isomath
Version: svn27654.0.6.1

Provides: tex-isomath-doc
AutoReqProv: No

%description isomath-doc
Documentation for isomath

%package logicproof
Provides: tex-logicproof = %{tl_version}
License: LPPL 1.3
Summary: Box proofs for propositional and predicate logic
Version: svn33254.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(ifthen.sty)
Provides: tex(logicproof.sty) = %{tl_version}

%description logicproof
A common style of proof used in propositional and predicate
logic is Fitch proofs, in which each line of the proof has a
statement and a justification, and subproofs within a larger
proof have boxes around them. The package provides environments
for typesetting such proofs and boxes. It creates proofs in a
style similar to that used in "Logic in Computer Science" by
Huth and Ryan.

%package logicproof-doc
Summary: Documentation for logicproof
Version: svn33254.0

Provides: tex-logicproof-doc
AutoReqProv: No

%description logicproof-doc
Documentation for logicproof

%package lpform
Provides: tex-lpform = %{tl_version}
License: LPPL
Summary: Typesetting linear programming formulations and sets of equations
Version: svn36918.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lpform.sty) = %{tl_version}

%description lpform
The package is designed to aid the author writing linear
programming formulations, one restriction at a time. With the
package, one can easily label equations, formulations can span
multiple pages and several elements of the layout (such as
spacing, texts and equation tags) are also customizable.
Besides linear programming formulations, this package can also
be used to display any series of aligned equations with easy
labeling/referencing and other customization options.

%package lpform-doc
Summary: Documentation for lpform
Version: svn36918.0

Provides: tex-lpform-doc
AutoReqProv: No

%description lpform-doc
Documentation for lpform

%package lplfitch
Provides: tex-lplfitch = %{tl_version}
License: LPPL 1.3
Summary: Fitch-style natural deduction proofs
Version: svn31077.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lplfitch.sty) = %{tl_version}

%description lplfitch
The package provides macros for typesetting natural deduction
proofs in "Fitch" style, with subproofs indented and offset by
scope lines. The proofs from use of the package are in the
format used in the textbook Language, Proof, and Logic by Dave
Barker-Plummer, Jon Barwise, and John Etchemendy.

%package lplfitch-doc
Summary: Documentation for lplfitch
Version: svn31077.0.9

Provides: tex-lplfitch-doc
AutoReqProv: No

%description lplfitch-doc
Documentation for lplfitch

%package mathcomp
Provides: tex-mathcomp = %{tl_version}
License: LPPL
Summary: Text symbols in maths mode
Version: svn15878.0.1f

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(textcomp.sty)
Provides: tex(mathcomp.sty) = %{tl_version}

%description mathcomp
A package which provides access to some interesting characters
of the Text Companion fonts (TS1 encoding) in maths mode.

%package mathcomp-doc
Summary: Documentation for mathcomp
Version: svn15878.0.1f

Provides: tex-mathcomp-doc
AutoReqProv: No

%description mathcomp-doc
Documentation for mathcomp

%package mattens
Provides: tex-mattens = %{tl_version}
License: LPPL
Summary: Matrices/tensor typesetting
Version: svn17582.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Provides: tex(mattens.sty) = %{tl_version}

%description mattens
The mattens package contains the definitions to typeset
matrices, vectors and tensors as used in the engineering
community for the representation of common vectors and tensors
such as forces, velocities, moments of inertia, etc.

%package mattens-doc
Summary: Documentation for mattens
Version: svn17582.1.3

Provides: tex-mattens-doc
AutoReqProv: No

%description mattens-doc
Documentation for mattens

%package mhequ
Provides: tex-mhequ = %{tl_version}
License: Public Domain
Summary: Multicolumn equations, tags, labels, sub-numbering
Version: svn38224.1.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mhequ.sty) = %{tl_version}

%description mhequ
MHequ simplifies creating multi-column equation environments,
and tagging the equations therein. It supports sub-numbers of
blocks of equations (like (1.2a), (1.2b), etc) and references
to each equation individually (1.2a) or to the whole block
(1.2). The labels can be shown in draft mode. Comments in the
package itself describe usage.

%package mhequ-doc
Summary: Documentation for mhequ
Version: svn38224.1.7

Provides: tex-mhequ-doc
AutoReqProv: No

%description mhequ-doc
Documentation for mhequ

%package multiobjective
Provides: tex-multiobjective = %{tl_version}
License: LPPL
Summary: Symbols for multiobjective optimisation etc
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Provides: tex(multiobjective.sty) = %{tl_version}

%description multiobjective
The package provides a series of operators commonly used in
papers related to multiobjective optimisation, multiobjective
evolutionary algorithms, multicriteria decision making and
similar fields.

%package multiobjective-doc
Summary: Documentation for multiobjective
Version: svn15878.1.0

Provides: tex-multiobjective-doc
AutoReqProv: No

%description multiobjective-doc
Documentation for multiobjective

%package natded
Provides: tex-natded = %{tl_version}
License: LPPL 1.3
Summary: Typeset natural deduction proofs
Version: svn32693.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(natded.sty) = %{tl_version}

%description natded
The package provides commands to typeset proofs in the style
used by Jaskowski, or that of Kalish and Montague.

%package natded-doc
Summary: Documentation for natded
Version: svn32693.0.1

Provides: tex-natded-doc
AutoReqProv: No

%description natded-doc
Documentation for natded

%package nath
Provides: tex-nath = %{tl_version}
License: GPL+
Summary: Natural mathematics notation
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nath.sty) = %{tl_version}

%description nath
Nath is a LaTeX (both 2e and 2.09) style to separate
presentation and content in mathematical typography. The style
delivers a particular context-dependent presentation on the
basis of a rather coarse context-independent notation.
Highlighted features: depending on the context, the command
\frac produces either built-up or case or solidus fractions,
with parentheses added whenever required for preservation of
the mathematical meaning; delimiters adapt their size to the
material enclosed, rendering \left and \right almost obsolete.

%package nath-doc
Summary: Documentation for nath
Version: svn15878.0

Provides: tex-nath-doc
AutoReqProv: No

%description nath-doc
Documentation for nath

%package ot-tableau
Provides: tex-ot-tableau = %{tl_version}
License: LPPL
Summary: Optimality Theory tableaux in LaTeX
Version: svn44889
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xstring.sty)
Requires: tex(amssymb.sty)
Requires: tex(bbding.sty)
Requires: tex(suffix.sty)
Requires: tex(colortbl.sty)
Requires: tex(arydshln.sty)
Requires: tex(rotating.sty)
Requires: tex(tipa.sty)
Provides: tex(ot-tableau.sty) = %{tl_version}

%description ot-tableau
The package makes it easy to create beautiful optimality-
theoretic tableaux. The LaTeX source is visually very similar
to a formatted tableau, which makes working with the source
code painless (well, less painful). A variety of stylistic
variants are available to suit personal taste.

%package ot-tableau-doc
Summary: Documentation for ot-tableau
Version: svn44889
Provides: tex-ot-tableau-doc
AutoReqProv: No

%description ot-tableau-doc
Documentation for ot-tableau

%package oubraces
Provides: tex-oubraces = %{tl_version}
License: Copyright only
Summary: Braces over and under a formula
Version: svn21833.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(oubraces.sty) = %{tl_version}

%description oubraces
Provides a means to interleave \overbrace and \underbrace in
the same formula.

%package oubraces-doc
Summary: Documentation for oubraces
Version: svn21833.0

Provides: tex-oubraces-doc
AutoReqProv: No

%description oubraces-doc
Documentation for oubraces

%package perfectcut
Provides: tex-perfectcut = %{tl_version}
License: LPPL 1.3
Summary: Brackets whose size adjusts to the nesting
Version: svn44175
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Requires: tex(mathstyle.sty)
Provides: tex(perfectcut.sty) = %{tl_version}

%description perfectcut
The package defines the command \perfectcut#1#2 which displays
a bracket <#1||#2>. Its effect is to determine the size of the
bracket depending on the number of nested \perfectcut
(regardless of the contents). The command is intended for use:
In proof theory, for term notations of sequent calculus, In
computer science, for the modeling of abstract machines. The
package also offers a reimplementation of \big, \bigg, etc.,
into arbitrary-size variants.

%package perfectcut-doc
Summary: Documentation for perfectcut
Version: svn44175
Provides: tex-perfectcut-doc
AutoReqProv: No

%description perfectcut-doc
Documentation for perfectcut

%package prftree
Provides: tex-prftree = %{tl_version}
License: GPL+
Summary: Macros for building proof trees
Version: svn41985
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(prftree.sty) = %{tl_version}

%description prftree
A package to typeset proof trees for natural deduction calculi,
sequent-like calculi, and similar.

%package prftree-doc
Summary: Documentation for prftree
Version: svn41985
Provides: tex-prftree-doc
AutoReqProv: No

%description prftree-doc
Documentation for prftree

%package proba
Provides: tex-proba = %{tl_version}
License: LPPL
Summary: Shortcuts commands to symbols used in probability texts
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsfonts.sty)
Provides: tex(proba.sty) = %{tl_version}

%description proba
This package includes some of the most often used commands in
probability texts, e.g. probability, expectation, variance,
etc. It also includes some short commands for set (blackboard)
or filtrations (calligraphic). It requires LaTeX2e and the
amsfonts package.

%package proba-doc
Summary: Documentation for proba
Version: svn15878.0

Provides: tex-proba-doc
AutoReqProv: No

%description proba-doc
Documentation for proba

%package rec-thy
Provides: tex-rec-thy = %{tl_version}
License: Public Domain
Summary: Commands to typeset recursion theory papers
Version: svn45488
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(suffix.sty)
Requires: tex(ifmtarg.sty)
Requires: tex(xifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(stmaryrd.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(marvosym.sty)
Requires: tex(hyperref.sty)
Provides: tex(rec-thy.sty) = %{tl_version}

%description rec-thy
The package provides many macros to express standard notation
in recursion theory (otherwise known as computability theory).

%package rec-thy-doc
Summary: Documentation for rec-thy
Version: svn45488
Provides: tex-rec-thy-doc
AutoReqProv: No

%description rec-thy-doc
Documentation for rec-thy

%package ribbonproofs
Provides: tex-ribbonproofs = %{tl_version}
License: LPPL 1.3
Summary: Drawing ribbon proofs
Version: svn31137.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Requires: tex(xstring.sty)
Requires: tex(etextools.sty)
Provides: tex(ribbonproofs.sty) = %{tl_version}

%description ribbonproofs
The package provides a way to draw "ribbon proofs" in LaTeX. A
ribbon proof is a diagrammatic representation of a mathematical
proof that a computer program meets its specification. These
diagrams are more human-readable, more scalable, and more
easily modified than the corresponding textual proofs.

%package ribbonproofs-doc
Summary: Documentation for ribbonproofs
Version: svn31137.1.0

Provides: tex-ribbonproofs-doc
AutoReqProv: No

%description ribbonproofs-doc
Documentation for ribbonproofs

%package rmathbr
Provides: tex-rmathbr = %{tl_version}
License: LPPL 1.3
Summary: Repeating of math operator at the broken line and the new line in inline equations
Version: svn40415

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifetex.sty)
Requires: tex(mathstyle.sty)
Provides: tex(rmathbr.sty) = %{tl_version}

%description rmathbr
Repeating of math operators at the broken line and the new line
in inline equations is used in Cyrillic mathematical typography
(Russian for example), but unfortunately LaTeX does not provide
such an option. This package solves the problem by extending
ideas described in M. I. Grinchuk "TeX and Russian Traditions
of Typesetting", TUGboat 17(4) (1996) 385 and supports most of
LaTeX mathematical packages. See the documentation for details.

%package rmathbr-doc
Summary: Documentation for rmathbr
Version: svn40415

Provides: tex-rmathbr-doc
AutoReqProv: No

%description rmathbr-doc
Documentation for rmathbr

%package sesamanuel
Provides: tex-sesamanuel = %{tl_version}
License: LPPL 1.3
Summary: Class and package for sesamath books or paper
Version: svn36613.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(fontspec.sty)
Requires: tex(xunicode.sty)
Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Requires: tex(helvet.sty)
Requires: tex(mathpazo.sty)
Requires: tex(mathrsfs.sty)
Requires: tex(pifont.sty)
Requires: tex(eurosym.sty)
Requires: tex(geometry.sty)
Requires: tex(crop.sty)
Requires: tex(ifmtarg.sty)
Requires: tex(mathtools.sty)
Requires: tex(amssymb.sty)
Requires: tex(longtable.sty)
Requires: tex(tabularx.sty)
Requires: tex(multirow.sty)
Requires: tex(xcolor.sty)
Requires: tex(pst-all.sty)
Requires: tex(pstricks-add.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(multicol.sty)
Requires: tex(babel.sty)
Requires: tex(numprint.sty)
Requires: tex(colortbl.sty)
Requires: tex(multido.sty)
Requires: tex(esvect.sty)
Requires: tex(tikz.sty)
Requires: tex(tkz-tab.sty)
Requires: tex(pgf.sty)
Provides: tex(sesamanuel.cls) = %{tl_version}
Provides: tex(sesamanuel.sty) = %{tl_version}
Provides: tex(sesamanuelTIKZ.sty) = %{tl_version}

%description sesamanuel
The package contains a sesamanuel class which could be used to
compose a student's classroom book with LaTeX, and also a
sesamanuelTIKZ style to be used for TIKZ pictures in the
sesamath book.

%package sesamanuel-doc
Summary: Documentation for sesamanuel
Version: svn36613.0.6

Provides: tex-sesamanuel-doc
AutoReqProv: No

%description sesamanuel-doc
Documentation for sesamanuel

%package shuffle
Provides: tex-shuffle = %{tl_version}
License: Public Domain
Summary: A symbol for the shuffle product
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(shuffle10.tfm) = %{tl_version}
Provides: tex(shuffle7.tfm) = %{tl_version}
Provides: tex(Ushuffle.fd) = %{tl_version}
Provides: tex(shuffle.sty) = %{tl_version}

%description shuffle
The bundle provides a LaTeX package and a font (as Metafont
source) for the shuffle product which is used in some part of
mathematics and physics.

%package shuffle-doc
Summary: Documentation for shuffle
Version: svn15878.1.0

Provides: tex-shuffle-doc
AutoReqProv: No

%description shuffle-doc
Documentation for shuffle

%package skmath
Provides: tex-skmath = %{tl_version}
License: LPPL 1.3
Summary: Extensions to the maths command repertoir
Version: svn42902
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(amssymb.sty)
Requires: tex(mathtools.sty)
Requires: tex(xfrac.sty)
Requires: tex(isomath.sty)
Provides: tex(skmath.sty) = %{tl_version}

%description skmath
The package provides a selection of new maths commands and
improved re-definitions of existing commands.

%package skmath-doc
Summary: Documentation for skmath
Version: svn42902
Provides: tex-skmath-doc
AutoReqProv: No

%description skmath-doc
Documentation for skmath

%package statex
Provides: tex-statex = %{tl_version}
License: LPPL
Summary: Statistics style
Version: svn20306.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(bm.sty)
Requires: tex(color.sty)
Provides: tex(statex.sty) = %{tl_version}

%description statex
A package defining many macros for items of significance in
statistical presentations. An updated, but incompatible,
version of the package is available: statex2.

%package statex-doc
Summary: Documentation for statex
Version: svn20306.1.6

Provides: tex-statex-doc
AutoReqProv: No

%description statex-doc
Documentation for statex

%package statex2
Provides: tex-statex2 = %{tl_version}
License: LPPL
Summary: Statistics style
Version: svn23961.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(bm.sty)
Requires: tex(color.sty)
Provides: tex(statex2.sty) = %{tl_version}

%description statex2
The package defines many macros for items of significance in
statistical presentations. It represents a syntax-incompatible
upgrade of statex.

%package statex2-doc
Summary: Documentation for statex2
Version: svn23961.2.1

Provides: tex-statex2-doc
AutoReqProv: No

%description statex2-doc
Documentation for statex2

%package subsupscripts
Provides: tex-subsupscripts = %{tl_version}
License: LPPL
Summary: A range of sub- and superscript commands
Version: svn16080.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(subsupscripts.sty) = %{tl_version}

%description subsupscripts
The package provides a comprehensive and flexible set of
commands for combinations of left and right sub- and
superscripts.

%package subsupscripts-doc
Summary: Documentation for subsupscripts
Version: svn16080.1.0

Provides: tex-subsupscripts-doc
AutoReqProv: No

%description subsupscripts-doc
Documentation for subsupscripts

%package susy
Provides: tex-susy = %{tl_version}
License: LPPL
Summary: Macros for SuperSymmetry-related work
Version: svn19440.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(susy.sty) = %{tl_version}

%description susy
The package provides abbreviations of longer expressions.

%package susy-doc
Summary: Documentation for susy
Version: svn19440.0

Provides: tex-susy-doc
AutoReqProv: No

%description susy-doc
Documentation for susy

%package syllogism
Provides: tex-syllogism = %{tl_version}
License: LPPL
Summary: Typeset syllogisms in LaTeX
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(amssymb.sty)
Requires: tex(ifthen.sty)
Requires: tex(xspace.sty)
Provides: tex(syllogism.sty) = %{tl_version}

%description syllogism
The package provides a simple, configurable, way for neatly
typesetting syllogisms and syllogistic-like arguments, composed
of two premises and a conclusion.

%package syllogism-doc
Summary: Documentation for syllogism
Version: svn15878.1.2

Provides: tex-syllogism-doc
AutoReqProv: No

%description syllogism-doc
Documentation for syllogism

%package sympytexpackage
Provides: tex-sympytexpackage = %{tl_version}
License: LPPL
Summary: sympytexpackage package
Version: svn41190

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Requires: tex(graphicx.sty)
Requires: tex(makecmds.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifthen.sty)
Provides: tex(sympytex.sty) = %{tl_version}

%description sympytexpackage
sympytexpackage package

%package sympytexpackage-doc
Summary: Documentation for sympytexpackage
Version: svn41190

Provides: tex-sympytexpackage-doc
AutoReqProv: No

%description sympytexpackage-doc
Documentation for sympytexpackage

%package synproof
Provides: tex-synproof = %{tl_version}
License: LPPL
Summary: Easy drawing of syntactic proofs
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Requires: tex(keyval.sty)
Provides: tex(synproof.sty) = %{tl_version}

%description synproof
The package provides a set of macros based on PSTricks that
will enable you to draw syntactic proofs easily (inspired by
the Gamut books). Very few commands are needed, however fine
tuning of the various parameters (dimensions) can still be
achieved through "key=value" pairs.

%package synproof-doc
Summary: Documentation for synproof
Version: svn15878.1.0

Provides: tex-synproof-doc
AutoReqProv: No

%description synproof-doc
Documentation for synproof

%package tablor
Provides: tex-tablor = %{tl_version}
License: LPPL
Summary: Create tables of signs and of variations
Version: svn31855.4.07_g

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(filecontents.sty)
Requires: tex(ifthen.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Provides: tex(tablor-xetex.sty) = %{tl_version}
Provides: tex(tablor.cfg) = %{tl_version}
Provides: tex(tablor.sty) = %{tl_version}

%description tablor
The package allows the user to use the computer algebra system
XCAS to generate tables of signs and of variations (the actual
plotting of the tables uses the MetaPost macro package
tableauVariations). Tables with forbidden regions may be
developed using the package. A configuration file permits some
configuration of the language to be used in the diagrams. The
tablor package requires that shell escape be enabled.

%package tablor-doc
Summary: Documentation for tablor
Version: svn31855.4.07_g

Provides: tex-tablor-doc
AutoReqProv: No

%description tablor-doc
Documentation for tablor

%package tensor
Provides: tex-tensor = %{tl_version}
License: LPPL
Summary: Typeset tensors
Version: svn15878.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tensor.sty) = %{tl_version}

%description tensor
A package which allows the user to set tensor-style super- and
subscripts with offsets between successive indices. It supports
the typesetting of tensors with mixed upper and lower indices
with spacing, also typset preposed indices. This is a complete
revision and extension of the original 'tensor' package by Mike
Piff.

%package tensor-doc
Summary: Documentation for tensor
Version: svn15878.2.1

Provides: tex-tensor-doc
AutoReqProv: No

%description tensor-doc
Documentation for tensor

%package tex-ewd
Provides: tex-tex-ewd = %{tl_version}
License: BSD
Summary: Macros to typeset calculational proofs and programs in Dijkstra's style
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dotnot.tex) = %{tl_version}

%description tex-ewd
Edsger W. Dijkstra and others suggest a unique style to present
mathematical proofs and to construct programs. This package
provides macros that support calculational proofs and
Dijkstra's "guarded command language".

%package tex-ewd-doc
Summary: Documentation for tex-ewd
Version: svn15878.0

Provides: tex-tex-ewd-doc
AutoReqProv: No

%description tex-ewd-doc
Documentation for tex-ewd

%package thmbox
Provides: tex-thmbox = %{tl_version}
License: LPPL
Summary: Decorate theorem statements
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(keyval.sty)
Provides: tex(thmbox.sty) = %{tl_version}

%description thmbox
The package defines an environment thmbox that presents
theorems, definitions and similar objects in boxes decorated
with frames and various aesthetic features. The standard macro
\newtheorem may be redefined to use the environment.

%package thmbox-doc
Summary: Documentation for thmbox
Version: svn15878.0

Provides: tex-thmbox-doc
AutoReqProv: No

%description thmbox-doc
Documentation for thmbox

%package turnstile
Provides: tex-turnstile = %{tl_version}
License: LPPL
Summary: Typeset the (logic) turnstile notation
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(turnstile.sty) = %{tl_version}

%description turnstile
Among other uses, the turnstile sign is used by logicians for
denoting a consequence relation, related to a given logic,
between a collection of formulas and a derived formula.

%package turnstile-doc
Summary: Documentation for turnstile
Version: svn15878.1.0

Provides: tex-turnstile-doc
AutoReqProv: No

%description turnstile-doc
Documentation for turnstile

%package unicode-math
Provides: tex-unicode-math = %{tl_version}
License: LPPL 1.3
Summary: Unicode mathematics support for XeTeX and LuaTeX
Version: svn45510
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-fontspec
Requires: tex(luaotfload.sty)
Requires: tex(lualatex-math.sty)
Requires: tex(expl3.sty)
Requires: tex(ucharcat.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(fontspec.sty)
Requires: tex(catchfile.sty)
Requires: tex(fix-cm.sty)
Requires: tex(filehook.sty)
Provides: tex(unicode-math-luatex.sty) = %{tl_version}
Provides: tex(unicode-math-table.tex) = %{tl_version}
Provides: tex(unicode-math-xetex.sty) = %{tl_version}
Provides: tex(unicode-math.sty) = %{tl_version}

%description unicode-math
This package will provide a complete implementation of unicode
maths for XeLaTeX and LuaLaTeX. Unicode maths is currently
supported by the following fonts: Cambria Math (Microsoft),
Minion Math (Johannes Kuster, typoma GmbH) Latin Modern Math
(Boguslaw Jackowski, Janusz M. Nowacki) TeX Gyre Pagella Math
(Boguslaw Jackowski, Janusz M. Nowacki) Asana-Math fonts
(Apostolos Syropolous), Neo Euler (Khaled Hosny), STIX (STI
Pub), and XITS Math (Khaled Hosny). As well as running XeTeX or
LuaTeX, this package requires recent versions of the fontspec,
expl3, xpackages, filehook, ucharcat and lualatex-math
packages.

%package unicode-math-doc
Summary: Documentation for unicode-math
Version: svn45510
Provides: tex-unicode-math-doc
AutoReqProv: No
Requires: tex-fontspec-doc

%description unicode-math-doc
Documentation for unicode-math

%package venn
Provides: tex-venn = %{tl_version}
License: LPPL
Summary: Creating Venn diagrams with MetaPost
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description venn
MetaPost macros for venn diagrams.

%package venn-doc
Summary: Documentation for venn
Version: svn15878.0

Provides: tex-venn-doc
AutoReqProv: No

%description venn-doc
Documentation for venn

%package yhmath
Provides: tex-yhmath = %{tl_version}
License: LPPL
Summary: Extended maths fonts for LaTeX
Version: svn31155.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Requires: tex(amsmath.sty)
Provides: tex(yhmath.map) = %{tl_version}
Provides: tex(yhcmex10.tfm) = %{tl_version}
Provides: tex(yrcmex10.tfm) = %{tl_version}
Provides: tex(yhcmex.pfb) = %{tl_version}
Provides: tex(yhcmex10.vf) = %{tl_version}
Provides: tex(OMXyhex.fd) = %{tl_version}
Provides: tex(yhmath.sty) = %{tl_version}

%description yhmath
The yhmath bundle contains fonts (in type 1 format) and a LaTeX
package for using them.

%package yhmath-doc
Summary: Documentation for yhmath
Version: svn31155.1.1

Provides: tex-yhmath-doc
AutoReqProv: No

%description yhmath-doc
Documentation for yhmath

%package ytableau
Provides: tex-ytableau = %{tl_version}
License: LPPL 1.2
Summary: Many-featured Young tableaux and Young diagrams
Version: svn27430.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pgfkeys.sty)
Requires: tex(pgfopts.sty)
Requires: tex(xcolor.sty)
Provides: tex(ytableau.sty) = %{tl_version}

%description ytableau
The package provides several functions for drawing Young
tableaux and Young diagrams, extending the young and youngtab
packages but providing lots more features. Skew and coloured
tableaux are easy, and pgfkeys-enabled options are provided
both at package load and configurably.

%package ytableau-doc
Summary: Documentation for ytableau
Version: svn27430.1.3

Provides: tex-ytableau-doc
AutoReqProv: No

%description ytableau-doc
Documentation for ytableau

%package collection-metapost
Summary: MetaPost and Metafont packages
Version: svn39729
Requires: texlive-base
Requires: texlive-collection-basic
Requires: tex-automata
Requires: tex-bbcard
Requires: tex-blockdraw_mp
Requires: tex-bpolynomial
Requires: tex-cmarrows
Requires: tex-drv
Requires: tex-dviincl
Requires: tex-emp
Requires: tex-epsincl
Requires: tex-expressg
Requires: tex-exteps
Requires: tex-featpost
Requires: tex-feynmf
Requires: tex-feynmp-auto
Requires: tex-garrigues
Requires: tex-gmp
Requires: tex-hatching
Requires: tex-latexmp
Requires: tex-mcf2graph
Requires: tex-metago
Requires: tex-metaobj
Requires: tex-metaplot
Requires: tex-metapost
Requires: tex-metauml
Requires: tex-mfpic
Requires: tex-mfpic4ode
Requires: tex-mp3d
Requires: tex-mparrows
Requires: tex-mpcolornames
Requires: tex-mpattern
Requires: tex-mpgraphics
Requires: tex-piechartmp
Requires: tex-repere
Requires: tex-roex
Requires: tex-roundrect
Requires: tex-shapes
Requires: tex-slideshow
Requires: tex-splines
Requires: tex-suanpan
Requires: tex-textpath
Requires: tex-threeddice

%description collection-metapost
collection-metapost package

%package drv
Provides: tex-drv = %{tl_version}
License: LPPL
Summary: Derivation trees with MetaPost
Version: svn29349.0.97

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description drv
A set of MetaPost macros for typesetting derivation trees (such
as used in sequent calculus, type inference, programming
language semantics...). No MetaPost knowledge is needed to use
these macros.

%package drv-doc
Summary: Documentation for drv
Version: svn29349.0.97

Provides: tex-drv-doc
AutoReqProv: No

%description drv-doc
Documentation for drv

%package dviincl
Provides: tex-dviincl = %{tl_version}
License: Public Domain
Summary: Include a DVI page into MetaPost output
Version: svn29349.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description dviincl
DVItoMP is one of the auxiliary programs available to any
MetaPost package; it converts a DVI file into a MetaPost file.
Using it, one can envisage including a DVI page into an EPS
files generated by MetaPost. Such files allow pages to include
other pages.

%package dviincl-doc
Summary: Documentation for dviincl
Version: svn29349.1.00

Provides: tex-dviincl-doc
AutoReqProv: No

%description dviincl-doc
Documentation for dviincl

%package emp
Provides: tex-emp = %{tl_version}
License: GPL+
Summary: "Encapsulate" MetaPost figures in a document
Version: svn23483.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Requires: tex(verbatim.sty)
Provides: tex(emp.sty) = %{tl_version}

%description emp
Emp is a package for encapsulating MetaPost figures in LaTeX:
the package provides environments where you can place MetaPost
commands, and means of using that code as fragments for
building up figures to include in your document. So, with emp,
the procedure is to run your document with LaTeX, run MetaPost,
and then complete running your document in the normal way. Emp
is therefore useful for keeping illustrations in synchrony with
the text. It also frees you from inventing descriptive names
for PostScript files that fit into the confines of file system
conventions.

%package emp-doc
Summary: Documentation for emp
Version: svn23483.0

Provides: tex-emp-doc
AutoReqProv: No

%description emp-doc
Documentation for emp

%package epsincl
Provides: tex-epsincl = %{tl_version}
License: Public Domain
Summary: Include EPS in MetaPost figures
Version: svn29349.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description epsincl
The package facilitates including EPS files in MetaPost
figures; it makes use of (G)AWK.

%package epsincl-doc
Summary: Documentation for epsincl
Version: svn29349.0.2

Provides: tex-epsincl-doc
AutoReqProv: No

%description epsincl-doc
Documentation for epsincl

%package expressg
Provides: tex-expressg = %{tl_version}
License: LPPL
Summary: Diagrams consisting of boxes, lines, and annotations
Version: svn29349.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description expressg
A MetaPost package providing facilities to assist in drawing
diagrams that consist of boxes, lines, and annotations.
Particular support is provided for creating EXPRESS-G diagrams,
for example IDEF1X, OMT, Shlaer-Mellor, and NIAM diagrams. The
package may also be used to create UML and most other Box-Line-
Annotation charts, but not Gantt charts directly.

%package expressg-doc
Summary: Documentation for expressg
Version: svn29349.1.5

Provides: tex-expressg-doc
AutoReqProv: No

%description expressg-doc
Documentation for expressg

%package exteps
Provides: tex-exteps = %{tl_version}
License: GPL+
Summary: Include EPS figures in MetaPost
Version: svn19859.0.41

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description exteps
Exteps is a module for including external EPS figures into
MetaPost figures. It is written entirely in MetaPost, and does
not therefore require any post processing of the MetaPost
output.

%package exteps-doc
Summary: Documentation for exteps
Version: svn19859.0.41

Provides: tex-exteps-doc
AutoReqProv: No

%description exteps-doc
Documentation for exteps

%package featpost
Provides: tex-featpost = %{tl_version}
License: GPL+
Summary: MetaPost macros for 3D
Version: svn35346.0.8.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description featpost
These macros allow the production of three-dimensional schemes
containing: angles, circles, cylinders, cones and spheres,
among other things.

%package featpost-doc
Summary: Documentation for featpost
Version: svn35346.0.8.8

Provides: tex-featpost-doc
AutoReqProv: No

%description featpost-doc
Documentation for featpost

%package feynmf
Provides: tex-feynmf = %{tl_version}
License: GPL+
Summary: Macros and fonts for creating Feynman (and other) diagrams
Version: svn17259.1.08

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(feynmf.sty) = %{tl_version}
Provides: tex(feynmp.sty) = %{tl_version}

%description feynmf
The feynmf package provides an interface to Metafont (inspired
by the facilities of mfpic) to use simple structure
specifications to produce relatively complex diagrams. (The
feynmp package, also part of this bundle, uses MetaPost in the
same way.) While the package was designed for Feynman diagrams,
it could in principle be used for diagrams in graph and similar
theories, where the structure is semi-algorithmically
determined.

%package feynmf-doc
Summary: Documentation for feynmf
Version: svn17259.1.08

Provides: tex-feynmf-doc
AutoReqProv: No

%description feynmf-doc
Documentation for feynmf

%package feynmp-auto
Provides: tex-feynmp-auto = %{tl_version}
License: LPPL 1.3
Summary: Automatic processing of feynmp graphics
Version: svn30223.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(feynmp.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(pdftexcmds.sty)
Provides: tex(feynmp-auto.sty) = %{tl_version}

%description feynmp-auto
The package takes care of running Metapost on the output files
produced by the feynmp package, so that the compiled pictures
will be available in the next run of LaTeX. The package honours
options that apply to feynmp.

%package feynmp-auto-doc
Summary: Documentation for feynmp-auto
Version: svn30223.1.1

Provides: tex-feynmp-auto-doc
AutoReqProv: No

%description feynmp-auto-doc
Documentation for feynmp-auto

%package garrigues
Provides: tex-garrigues = %{tl_version}
License: LPPL
Summary: MetaPost macros for the reproduction of Garrigues' Easter nomogram
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description garrigues
Metapost macros for the reproduction of Garrigues' Easter
nomogram. These macros are described in Denis Roegel: An
introduction to nomography: Garrigues' nomogram for the
computation of Easter, TUGboat (volume 30, number 1, 2009,
pages 88-104)

%package garrigues-doc
Summary: Documentation for garrigues
Version: svn15878.0

Provides: tex-garrigues-doc
AutoReqProv: No

%description garrigues-doc
Documentation for garrigues

%package gmp
Provides: tex-gmp = %{tl_version}
License: LPPL 1.3
Summary: Enable integration between MetaPost pictures and LaTeX
Version: svn21691.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(environ.sty)
Provides: tex(gmp.sty) = %{tl_version}

%description gmp
The package allows integration between MetaPost pictures and
LaTeX. The main feature is that passing parameters to the
MetaPost pictures is possible and the picture code can be put
inside arguments to commands, including \newcommand.

%package gmp-doc
Summary: Documentation for gmp
Version: svn21691.1.0

Provides: tex-gmp-doc
AutoReqProv: No

%description gmp-doc
Documentation for gmp

%package latexmp
Provides: tex-latexmp = %{tl_version}
License: Public Domain
Summary: Interface for LaTeX-based typesetting in MetaPost
Version: svn15878.1.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description latexmp
The MetaPost package latexMP implements a user-friendly
interface to access LaTeX-based typesetting capabilities in
MetaPost. The text to be typeset is given as string. This
allows even dynamic text elements, for example counters, to be
used in labels. Compared to other implementations it is much
more flexible, since it can be used as direct replacement for
btex..etex, and much faster, compared for example to the
solution provided by tex.mp

%package latexmp-doc
Summary: Documentation for latexmp
Version: svn15878.1.2.1

Provides: tex-latexmp-doc
AutoReqProv: No

%description latexmp-doc
Documentation for latexmp

%package mcf2graph
Provides: tex-mcf2graph = %{tl_version}
License: BSD
Summary: Draw chemical structure diagrams with Metafont/MetaPost
Version: svn45310
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description mcf2graph
The Molecular Coding Format (MCF) is a linear notation for
describing chemical structure diagrams. This package converts
MCF to graphic files using Metafont / MetaPost.

%package mcf2graph-doc
Summary: Documentation for mcf2graph
Version: svn45310
Provides: tex-mcf2graph-doc
AutoReqProv: No

%description mcf2graph-doc
Documentation for mcf2graph

%package metago
Provides: tex-metago = %{tl_version}
License: LPPL
Summary: MetaPost output of Go positions
Version: svn15878.0.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description metago
The package allows you to draw Go game positions with MetaPost.
Two methods of usage are provided, either using the package
programmatically, or using the package via a script (which may
produce several images).

%package metago-doc
Summary: Documentation for metago
Version: svn15878.0.9

Provides: tex-metago-doc
AutoReqProv: No

%description metago-doc
Documentation for metago

%package metaobj
Provides: tex-metaobj = %{tl_version}
License: LPPL
Summary: MetaPost package providing high-level objects
Version: svn15878.0.93

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description metaobj
METAOBJ is a large metapost package providing high-level
objects. It implements many of PSTricks' features for node
connections, but also trees, matrices, and many other things.
It more or less contains boxes.mp and rboxes.mp. There is a
large (albeit not complete) documentation distributed with the
package. It is easily extensible with new objects.

%package metaobj-doc
Summary: Documentation for metaobj
Version: svn15878.0.93

Provides: tex-metaobj-doc
AutoReqProv: No

%description metaobj-doc
Documentation for metaobj

%package metaplot
Provides: tex-metaplot = %{tl_version}
License: LPPL
Summary: Plot-manipulation macros for use in Metapost
Version: svn15878.0.91

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description metaplot
MetaPlot is a set of Metapost macros for manipulating pre-
generated plots (and similar objects), and formatting them for
inclusion in a Metapost figure. The intent is that the plots
can be generated by some outside program, in an abstract manner
that does not require making decisions about on-page sizing and
layout, and then they can be imported into MetaPlot and
arranged using the full capabilities of Metapost. Metaplot also
includes a very flexible set of macros for generating plot
axes, which may be useful in other contexts as well. Presently,
MetaPlot is in something of a pre-release beta state; it is
quite functional, but the syntax of the commands is still
potentially in flux.

%package metaplot-doc
Summary: Documentation for metaplot
Version: svn15878.0.91

Provides: tex-metaplot-doc
AutoReqProv: No

%description metaplot-doc
Documentation for metaplot

%package metauml
Provides: tex-metauml = %{tl_version}
License: GPL+
Summary: MetaPost library for typesetting UML diagrams
Version: svn19692.0.2.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: metapost-metauml = %{tl_version}
Obsoletes: metapost-metauml < %{tl_version}

%description metauml
MetaUML is a MetaPost library for typesetting UML diagrams,
which provides a usable, human-friendly textual notation for
UML, offering now support for class, package, activity, state,
and use case diagrams.

%package metauml-doc
Summary: Documentation for metauml
Version: svn19692.0.2.5

Provides: tex-metauml-doc
AutoReqProv: No

%description metauml-doc
Documentation for metauml

%package mfpic
Provides: tex-mfpic = %{tl_version}
License: LPPL 1.3
Summary: Draw Metafont/post pictures from (La)TeX commands
Version: svn28444.1.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphics.sty)
Provides: tex(mfpic.sty) = %{tl_version}
Provides: tex(mfpic.tex) = %{tl_version}
Provides: tex(mfpicdef.tex) = %{tl_version}

%description mfpic
Mfpic is a scheme for producing pictures from (La)TeX commands.
Commands \mfpic and \endmfpic (in LaTeX, the mfpic environment)
enclose a group in which drawing commands may be placed. The
commands generate a Meta-language file, which may be processed
by Metapost (or even Metafont). The resulting image file will
be read back in to the document to place the picture at the
point where the original (La)TeX commands appeared. Note that
the ability to use Metapost here means that the package works
equally well in LaTeX and PDFLaTeX.

%package mfpic-doc
Summary: Documentation for mfpic
Version: svn28444.1.10

Provides: tex-mfpic-doc
AutoReqProv: No

%description mfpic-doc
Documentation for mfpic

%package mfpic4ode
Provides: tex-mfpic4ode = %{tl_version}
License: LPPL
Summary: Macros to draw direction fields and solutions of ODEs
Version: svn17745.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mfpic4ode.sty) = %{tl_version}
Provides: tex(mfpic4ode.tex) = %{tl_version}

%description mfpic4ode
The package is a small set of macros for drawing direction
fields, phase portraits and trajectories of differential
equations and two dimensional autonomous systems. The Euler,
Runge-Kutta and 4th order Runge-Kutta algorithms are available
to solve the ODEs. The picture is translated into mfpic macros
and MetaPost is used to create the final drawing. The package
is was designed for use with LaTeX, but it can be used in plain
TeX as well. Online demonstration of the mfpic4ode macros is
available on the Mfpic Previewer as Example 6.

%package mfpic4ode-doc
Summary: Documentation for mfpic4ode
Version: svn17745.0.4

Provides: tex-mfpic4ode-doc
AutoReqProv: No

%description mfpic4ode-doc
Documentation for mfpic4ode

%package mp3d
Provides: tex-mp3d = %{tl_version}
License: LPPL
Summary: 3D animations
Version: svn29349.1.34

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description mp3d
Create animations of 3-dimensional objects (such as polyhedra)
in MetaPost.

%package mp3d-doc
Summary: Documentation for mp3d
Version: svn29349.1.34

Provides: tex-mp3d-doc
AutoReqProv: No

%description mp3d-doc
Documentation for mp3d

%package mpcolornames
Provides: tex-mpcolornames = %{tl_version}
License: LPPL
Summary: Extend list of predefined colour names for MetaPost
Version: svn23252.0.20

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description mpcolornames
The MetaPost format plain.mp provides only five built-in colour
names (variables), all of which are defined in the RGB model:
red, green and blue for the primary colours and black and
white. The package makes more than 500 colour names from
different colour sets in different colour models available to
MetaPost. Colour sets include X11, SVG, DVIPS and xcolor
specifications.

%package mpcolornames-doc
Summary: Documentation for mpcolornames
Version: svn23252.0.20

Provides: tex-mpcolornames-doc
AutoReqProv: No

%description mpcolornames-doc
Documentation for mpcolornames

%package mpattern
Provides: tex-mpattern = %{tl_version}
License: Public Domain
Summary: Patterns in MetaPost
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description mpattern
A package for defining and using patterns in MetaPost, using
the Pattern Color Space available in PostScript Level 2.

%package mpattern-doc
Summary: Documentation for mpattern
Version: svn15878.0

Provides: tex-mpattern-doc
AutoReqProv: No

%description mpattern-doc
Documentation for mpattern

%package mpgraphics
Provides: tex-mpgraphics = %{tl_version}
License: LPPL 1.3
Summary: Process and display MetaPost figures inline
Version: svn29776.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(moreverb.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifplatform.sty)
Requires: tex(iftex.sty)
Requires: tex(ifpdf.sty)
Provides: tex(mpgraphics.sty) = %{tl_version}

%description mpgraphics
The package allows LaTeX users to typeset MetaPost code inline
and display figures in their documents with only and only one
run of LaTeX, PDFLaTeX or XelaTeX (no separate runs of mpost).
Mpgraphics achieves this by using the shell escape (\write 18)
feature of current TeX distributions, so that the whole process
is automatic and the end user is saved the tiresome processing.

%package mpgraphics-doc
Summary: Documentation for mpgraphics
Version: svn29776.0.3

Provides: tex-mpgraphics-doc
AutoReqProv: No

%description mpgraphics-doc
Documentation for mpgraphics

%package piechartmp
Provides: tex-piechartmp = %{tl_version}
License: LPPL
Summary: Draw pie-charts using MetaPost
Version: svn19440.0.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description piechartmp
The piechartmp package is an easy way to draw pie-charts with
MetaPost. The package implements an interface that enables
users with little MetaPost experience to draw charts. A
highlight of the package is the possibility of suppressing some
segments of the chart, thus creating the possibility of several
charts from the same data.

%package piechartmp-doc
Summary: Documentation for piechartmp
Version: svn19440.0.3.0

Provides: tex-piechartmp-doc
AutoReqProv: No

%description piechartmp-doc
Documentation for piechartmp

%package repere
Provides: tex-repere = %{tl_version}
License: LPPL 1.3
Summary: Diagrams for school mathematics
Version: svn44298
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description repere
The package simplifies drawing figures in a coordinate system;
the specific target is support of secondary school mathematics.

%package repere-doc
Summary: Documentation for repere
Version: svn44298
Provides: tex-repere-doc
AutoReqProv: No

%description repere-doc
Documentation for repere

%package roex
Provides: tex-roex = %{tl_version}
License: LPPL
Summary: roex package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description roex
roex package

%package roundrect
Provides: tex-roundrect = %{tl_version}
License: LPPL 1.3
Summary: Metapost macros for highly configurable rounded rectangles (optionally with text)
Version: svn39796

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description roundrect
The roundrect macros for Metapost provide ways to produce
rounded rectangles, which may or may not contain a title bar or
text (the title bar may itself contain text). They are
extremely configurable.

%package roundrect-doc
Summary: Documentation for roundrect
Version: svn39796

Provides: tex-roundrect-doc
AutoReqProv: No

%description roundrect-doc
Documentation for roundrect

%package shapes
Provides: tex-shapes = %{tl_version}
License: LPPL 1.3
Summary: Draw polygons, reentrant stars, and fractions in circles with Metapost
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description shapes
The shapes set of macros allows drawing regular polygons; their
corresponding reentrant stars in all their variations; and
fractionally filled circles (useful for visually demonstrating
the nature of fractions) in Metapost.

%package shapes-doc
Summary: Documentation for shapes
Version: svn42428
Provides: tex-shapes-doc
AutoReqProv: No

%description shapes-doc
Documentation for shapes

%package slideshow
Provides: tex-slideshow = %{tl_version}
License: Copyright only
Summary: Generate slideshow with MetaPost
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description slideshow
The package provides a means of creating presentations in
MetaPost, without intervention from other utilities (except a
distiller). Such an arrangement has its advantages (though
there are disadvantages too).

%package slideshow-doc
Summary: Documentation for slideshow
Version: svn15878.1.0

Provides: tex-slideshow-doc
AutoReqProv: No

%description slideshow-doc
Documentation for slideshow

%package splines
Provides: tex-splines = %{tl_version}
License: LPPL 1.3
Summary: MetaPost macros for drawing cubic spline interpolants
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description splines
This is a small package of macros for creating cubic spline
interpolants in MetaPost or Metafont. Given a list of points
the macros can produce a closed or a relaxed spline joining
them. Given a list of function values y_j at x_j, the result
would define the graph of a cubic spline interpolating function
y=f(x), which is either periodic or relaxed.

%package splines-doc
Summary: Documentation for splines
Version: svn15878.0.2

Provides: tex-splines-doc
AutoReqProv: No

%description splines-doc
Documentation for splines

%package suanpan
Provides: tex-suanpan = %{tl_version}
License: LPPL
Summary: MetaPost macros for drawing Chinese and Japanese abaci
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description suanpan
These macros are described in Denis Roegel: MetaPost macros for
drawing Chinese and Japanese abaci, TUGboat (volume 30, number
1, 2009, pages 74-79)

%package suanpan-doc
Summary: Documentation for suanpan
Version: svn15878.0

Provides: tex-suanpan-doc
AutoReqProv: No

%description suanpan-doc
Documentation for suanpan

%package textpath
Provides: tex-textpath = %{tl_version}
License: LPPL
Summary: Setting text along a path with MetaPost
Version: svn15878.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(soul.sty)
Provides: tex(textpathmp.sty) = %{tl_version}

%description textpath
This MetaPost package provides macros to typeset text along a
free path with the help of LaTeX, thereby preserving kerning
and allowing for 8-bit input (accented characters).

%package textpath-doc
Summary: Documentation for textpath
Version: svn15878.1.6

Provides: tex-textpath-doc
AutoReqProv: No

%description textpath-doc
Documentation for textpath

%package threeddice
Provides: tex-threeddice = %{tl_version}
License: LPPL
Summary: Create images of dice with one, two, or three faces showing, using MetaPost
Version: svn20675.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description threeddice
The package provides MetaPost code to create all possible
symmetrical views (up to rotation) of a right-handed die.
Configuration is possible by editing the source code, following
the guidance in the documentation.

%package threeddice-doc
Summary: Documentation for threeddice
Version: svn20675.1.0

Provides: tex-threeddice-doc
AutoReqProv: No

%description threeddice-doc
Documentation for threeddice

%package collection-music
Summary: Music packages
Version: svn45440
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-abc
Requires: texlive-autosp
Requires: texlive-bagpipe
Requires: texlive-figbas
Requires: texlive-gchords
Requires: texlive-gregoriotex
Requires: texlive-gtrcrd
Requires: texlive-guitar
Requires: texlive-guitarchordschemes
Requires: texlive-harmony
Requires: texlive-leadsheets
Requires: texlive-lilyglyphs
Requires: texlive-m-tx
Requires: texlive-musicography
Requires: texlive-musixguit
Requires: texlive-musixtex
Requires: texlive-musixtex-fonts
Requires: texlive-musixtnt
Requires: texlive-octave
Requires: texlive-piano
Requires: texlive-pmx
Requires: texlive-pmxchords
Requires: texlive-songbook
Requires: texlive-songs
Requires: texlive-xpiano

%description collection-music
Music-related fonts and packages.

%package figbas
Provides: tex-figbas = %{tl_version}
License: LPPL
Summary: Mini-fonts for figured-bass notation in music
Version: svn28943.1.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(figbas.map) = %{tl_version}
Provides: tex(cmrj.tfm) = %{tl_version}
Provides: tex(cmssj.tfm) = %{tl_version}
Provides: tex(plrj.tfm) = %{tl_version}
Provides: tex(cmrj.pfb) = %{tl_version}
Provides: tex(cmssj.pfb) = %{tl_version}
Provides: tex(plrj.pfb) = %{tl_version}

%description figbas
This package consists of three mini-fonts (and associated
metrics) of conventional ligatures for the figured-bass
notations 2+, 4+, 5+, 6+ and 9+ in music manuscripts. The fonts
are usable with Computer Modern Roman and Sans, and
Palatino/Palladio, respectively.

%package figbas-doc
Summary: Documentation for figbas
Version: svn28943.1.0.3

Provides: tex-figbas-doc
AutoReqProv: No

%description figbas-doc
Documentation for figbas

%package gchords
Provides: tex-gchords = %{tl_version}
License: GPL+
Summary: Typeset guitar chords
Version: svn29803.1.20

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gchords.sty) = %{tl_version}

%description gchords
A LaTeX package for typesetting of guitar chord diagrams,
including options for chord names, finger numbers and
typesetting above lyrics. The bundle also includes a TCL script
(chordbox.tcl) that provides a graphical application which
creates LaTeX files that use gchords.sty.

%package gchords-doc
Summary: Documentation for gchords
Version: svn29803.1.20

Provides: tex-gchords-doc
AutoReqProv: No

%description gchords-doc
Documentation for gchords

%package gtrcrd
Provides: tex-gtrcrd = %{tl_version}
License: LPPL 1.3
Summary: Add chords to lyrics
Version: svn32484.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gtrcrd.sty) = %{tl_version}

%description gtrcrd
The package provides the means to specify guitar chords to be
played with each part of the lyrics of a song. The syntax of
the macros reduces the chance of failing to provide a chord
where one is needed, and the structure of the macros ensures
that the chord specification appears immediately above the
start of the lyric.

%package gtrcrd-doc
Summary: Documentation for gtrcrd
Version: svn32484.1.1

Provides: tex-gtrcrd-doc
AutoReqProv: No

%description gtrcrd-doc
Documentation for gtrcrd

%package guitar
Provides: tex-guitar = %{tl_version}
License: LPPL 1.3
Summary: Guitar chords and song texts
Version: svn32258.1.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(toolbox.sty)
Provides: tex(guitar.sty) = %{tl_version}

%description guitar
(La)TeX macros for typesetting guitar chords over song texts.
The toolbox package is required. Note that this package only
places arbitrary TeX code over the lyrics. To typeset the
chords graphically (and not only by name), the author
recommends use of an additional package such as gchords by K.
Peeters.

%package guitar-doc
Summary: Documentation for guitar
Version: svn32258.1.6

Provides: tex-guitar-doc
AutoReqProv: No

%description guitar-doc
Documentation for guitar

%package guitarchordschemes
Provides: tex-guitarchordschemes = %{tl_version}
License: LPPL 1.3
Summary: Guitar Chord and Scale Tablatures
Version: svn41880
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(cnltx-base.sty)
Provides: tex(guitarchordschemes.sty) = %{tl_version}

%description guitarchordschemes
This package provides two commands (\chordscheme and \scales).
With those commands it is possible to draw schematic diagrams
of guitar chord tablatures and scale tablatures. Both commands
know a range of options that allow wide customization of the
output. The package's drawing is done with the help of TikZ.

%package guitarchordschemes-doc
Summary: Documentation for guitarchordschemes
Version: svn41880
Provides: tex-guitarchordschemes-doc
AutoReqProv: No

%description guitarchordschemes-doc
Documentation for guitarchordschemes

%package harmony
Provides: tex-harmony = %{tl_version}
License: LPPL
Summary: Typeset harmony symbols, etc., for musicology
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(amssymb.sty)
Provides: tex(harmony.sty) = %{tl_version}

%description harmony
The package harmony.sty uses the packages ifthen and amssymb
from the amsfonts bundle, together with the LaTeX font
lcirclew10 and the font musix13 from musixtex.

%package harmony-doc
Summary: Documentation for harmony
Version: svn15878.0

Provides: tex-harmony-doc
AutoReqProv: No

%description harmony-doc
Documentation for harmony

%package leadsheets
Provides: tex-leadsheets = %{tl_version}
License: LPPL 1.3
Summary: Typesetting leadsheets and songbooks
Version: svn45405
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(translations.sty)
Provides: tex(leadsheets.library.chordnames.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.chords.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.musejazz.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.musicsymbols.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.properties.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.shorthands.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.songs.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.templates.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.translations.code.tex) = %{tl_version}
Provides: tex(leadsheets.library.transposing.code.tex) = %{tl_version}
Provides: tex(leadsheets.sty) = %{tl_version}

%description leadsheets
This LaTeX package offers support for typesetting simple
leadsheets of songs, i.e. song lyrics and the corresponding
chords.

%package leadsheets-doc
Summary: Documentation for leadsheets
Version: svn45405
Provides: tex-leadsheets-doc
AutoReqProv: No

%description leadsheets-doc
Documentation for leadsheets

%package musixguit
Provides: tex-musixguit = %{tl_version}
License: LPPL 1.3
Summary: Easy notation for guitar music, in MusixTeX
Version: svn21649.1.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(setspace.sty)
Requires: tex(musixtex.sty)
Requires: tex(musixper.tex)
Requires: tex(musixgui.tex)
Provides: tex(musixguit.sty) = %{tl_version}

%description musixguit
The package provides commands for typesetting notes for guitar,
especially for simplifying guitar notation with MusixTeX.

%package musixguit-doc
Summary: Documentation for musixguit
Version: svn21649.1.2.2

Provides: tex-musixguit-doc
AutoReqProv: No

%description musixguit-doc
Documentation for musixguit

%package musixtex-fonts
Provides: tex-musixtex-fnts = %{tl_version}
Provides: tex-musixtex-fonts = %{tl_version}
Provides: texlive-musixtex-fnts = %{tl_version}
Obsoletes: texlive-musixtex-fnts < 2016
License: GPL+
Summary: Fonts used by MusixTeX
Version: svn37762.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(musix.map) = %{tl_version}
Provides: tex(musix11.tfm) = %{tl_version}
Provides: tex(musix13.tfm) = %{tl_version}
Provides: tex(musix16.tfm) = %{tl_version}
Provides: tex(musix20.tfm) = %{tl_version}
Provides: tex(musix24.tfm) = %{tl_version}
Provides: tex(musix25.tfm) = %{tl_version}
Provides: tex(musix29.tfm) = %{tl_version}
Provides: tex(musixsps.tfm) = %{tl_version}
Provides: tex(musixspx.tfm) = %{tl_version}
Provides: tex(mxsk.tfm) = %{tl_version}
Provides: tex(xadf11.tfm) = %{tl_version}
Provides: tex(xadf13.tfm) = %{tl_version}
Provides: tex(xadf16.tfm) = %{tl_version}
Provides: tex(xadf20.tfm) = %{tl_version}
Provides: tex(xadf24.tfm) = %{tl_version}
Provides: tex(xadf29.tfm) = %{tl_version}
Provides: tex(xgreg11.tfm) = %{tl_version}
Provides: tex(xgreg13.tfm) = %{tl_version}
Provides: tex(xgreg16.tfm) = %{tl_version}
Provides: tex(xgreg20.tfm) = %{tl_version}
Provides: tex(xgreg24.tfm) = %{tl_version}
Provides: tex(xgreg29.tfm) = %{tl_version}
Provides: tex(xppff10.tfm) = %{tl_version}
Provides: tex(xsld11.tfm) = %{tl_version}
Provides: tex(xsld11d.tfm) = %{tl_version}
Provides: tex(xsld13.tfm) = %{tl_version}
Provides: tex(xsld13d.tfm) = %{tl_version}
Provides: tex(xsld16.tfm) = %{tl_version}
Provides: tex(xsld16d.tfm) = %{tl_version}
Provides: tex(xsld20.tfm) = %{tl_version}
Provides: tex(xsld20d.tfm) = %{tl_version}
Provides: tex(xsld24.tfm) = %{tl_version}
Provides: tex(xsld24d.tfm) = %{tl_version}
Provides: tex(xsld29.tfm) = %{tl_version}
Provides: tex(xsld29d.tfm) = %{tl_version}
Provides: tex(xsldd20.tfm) = %{tl_version}
Provides: tex(xsldu20.tfm) = %{tl_version}
Provides: tex(xslhd11.tfm) = %{tl_version}
Provides: tex(xslhd11d.tfm) = %{tl_version}
Provides: tex(xslhd13.tfm) = %{tl_version}
Provides: tex(xslhd13d.tfm) = %{tl_version}
Provides: tex(xslhd16.tfm) = %{tl_version}
Provides: tex(xslhd16d.tfm) = %{tl_version}
Provides: tex(xslhd20.tfm) = %{tl_version}
Provides: tex(xslhd20d.tfm) = %{tl_version}
Provides: tex(xslhd24.tfm) = %{tl_version}
Provides: tex(xslhd24d.tfm) = %{tl_version}
Provides: tex(xslhd29.tfm) = %{tl_version}
Provides: tex(xslhd29d.tfm) = %{tl_version}
Provides: tex(xslhu11.tfm) = %{tl_version}
Provides: tex(xslhu11d.tfm) = %{tl_version}
Provides: tex(xslhu13.tfm) = %{tl_version}
Provides: tex(xslhu13d.tfm) = %{tl_version}
Provides: tex(xslhu16.tfm) = %{tl_version}
Provides: tex(xslhu16d.tfm) = %{tl_version}
Provides: tex(xslhu20.tfm) = %{tl_version}
Provides: tex(xslhu20d.tfm) = %{tl_version}
Provides: tex(xslhu20m.tfm) = %{tl_version}
Provides: tex(xslhu24.tfm) = %{tl_version}
Provides: tex(xslhu24d.tfm) = %{tl_version}
Provides: tex(xslhu29.tfm) = %{tl_version}
Provides: tex(xslhu29d.tfm) = %{tl_version}
Provides: tex(xslhz20.tfm) = %{tl_version}
Provides: tex(xslhz20d.tfm) = %{tl_version}
Provides: tex(xslu11.tfm) = %{tl_version}
Provides: tex(xslu11d.tfm) = %{tl_version}
Provides: tex(xslu13.tfm) = %{tl_version}
Provides: tex(xslu13d.tfm) = %{tl_version}
Provides: tex(xslu16.tfm) = %{tl_version}
Provides: tex(xslu16d.tfm) = %{tl_version}
Provides: tex(xslu20.tfm) = %{tl_version}
Provides: tex(xslu20d.tfm) = %{tl_version}
Provides: tex(xslu24.tfm) = %{tl_version}
Provides: tex(xslu24d.tfm) = %{tl_version}
Provides: tex(xslu29.tfm) = %{tl_version}
Provides: tex(xslu29d.tfm) = %{tl_version}
Provides: tex(xslud20.tfm) = %{tl_version}
Provides: tex(xslup20.tfm) = %{tl_version}
Provides: tex(xslz20.tfm) = %{tl_version}
Provides: tex(xslz20d.tfm) = %{tl_version}
Provides: tex(xtie20.tfm) = %{tl_version}
Provides: tex(musix11.pfb) = %{tl_version}
Provides: tex(musix13.pfb) = %{tl_version}
Provides: tex(musix16.pfb) = %{tl_version}
Provides: tex(musix20.pfb) = %{tl_version}
Provides: tex(musix24.pfb) = %{tl_version}
Provides: tex(musix29.pfb) = %{tl_version}
Provides: tex(musixsps.pfb) = %{tl_version}
Provides: tex(musixspx.pfb) = %{tl_version}
Provides: tex(mxsk.pfb) = %{tl_version}
Provides: tex(xadf11.pfb) = %{tl_version}
Provides: tex(xadf13.pfb) = %{tl_version}
Provides: tex(xadf16.pfb) = %{tl_version}
Provides: tex(xadf20.pfb) = %{tl_version}
Provides: tex(xadf24.pfb) = %{tl_version}
Provides: tex(xadf29.pfb) = %{tl_version}
Provides: tex(xgreg11.pfb) = %{tl_version}
Provides: tex(xgreg13.pfb) = %{tl_version}
Provides: tex(xgreg16.pfb) = %{tl_version}
Provides: tex(xgreg20.pfb) = %{tl_version}
Provides: tex(xgreg24.pfb) = %{tl_version}
Provides: tex(xgreg29.pfb) = %{tl_version}
Provides: tex(xppff10.pfb) = %{tl_version}
Provides: tex(xsld11.pfb) = %{tl_version}
Provides: tex(xsld11d.pfb) = %{tl_version}
Provides: tex(xsld13.pfb) = %{tl_version}
Provides: tex(xsld13d.pfb) = %{tl_version}
Provides: tex(xsld16.pfb) = %{tl_version}
Provides: tex(xsld16d.pfb) = %{tl_version}
Provides: tex(xsld20.pfb) = %{tl_version}
Provides: tex(xsld20d.pfb) = %{tl_version}
Provides: tex(xsld24.pfb) = %{tl_version}
Provides: tex(xsld24d.pfb) = %{tl_version}
Provides: tex(xsld29.pfb) = %{tl_version}
Provides: tex(xsld29d.pfb) = %{tl_version}
Provides: tex(xsldd20.pfb) = %{tl_version}
Provides: tex(xsldu20.pfb) = %{tl_version}
Provides: tex(xslhd11.pfb) = %{tl_version}
Provides: tex(xslhd11d.pfb) = %{tl_version}
Provides: tex(xslhd13.pfb) = %{tl_version}
Provides: tex(xslhd13d.pfb) = %{tl_version}
Provides: tex(xslhd16.pfb) = %{tl_version}
Provides: tex(xslhd16d.pfb) = %{tl_version}
Provides: tex(xslhd20.pfb) = %{tl_version}
Provides: tex(xslhd20d.pfb) = %{tl_version}
Provides: tex(xslhd24.pfb) = %{tl_version}
Provides: tex(xslhd24d.pfb) = %{tl_version}
Provides: tex(xslhd29.pfb) = %{tl_version}
Provides: tex(xslhd29d.pfb) = %{tl_version}
Provides: tex(xslhu11.pfb) = %{tl_version}
Provides: tex(xslhu11d.pfb) = %{tl_version}
Provides: tex(xslhu13.pfb) = %{tl_version}
Provides: tex(xslhu13d.pfb) = %{tl_version}
Provides: tex(xslhu16.pfb) = %{tl_version}
Provides: tex(xslhu16d.pfb) = %{tl_version}
Provides: tex(xslhu20.pfb) = %{tl_version}
Provides: tex(xslhu20d.pfb) = %{tl_version}
Provides: tex(xslhu24.pfb) = %{tl_version}
Provides: tex(xslhu24d.pfb) = %{tl_version}
Provides: tex(xslhu29.pfb) = %{tl_version}
Provides: tex(xslhu29d.pfb) = %{tl_version}
Provides: tex(xslhz20.pfb) = %{tl_version}
Provides: tex(xslhz20d.pfb) = %{tl_version}
Provides: tex(xslu11.pfb) = %{tl_version}
Provides: tex(xslu11d.pfb) = %{tl_version}
Provides: tex(xslu13.pfb) = %{tl_version}
Provides: tex(xslu13d.pfb) = %{tl_version}
Provides: tex(xslu16.pfb) = %{tl_version}
Provides: tex(xslu16d.pfb) = %{tl_version}
Provides: tex(xslu20.pfb) = %{tl_version}
Provides: tex(xslu20d.pfb) = %{tl_version}
Provides: tex(xslu24.pfb) = %{tl_version}
Provides: tex(xslu24d.pfb) = %{tl_version}
Provides: tex(xslu29.pfb) = %{tl_version}
Provides: tex(xslu29d.pfb) = %{tl_version}
Provides: tex(xslud20.pfb) = %{tl_version}
Provides: tex(xslup20.pfb) = %{tl_version}
Provides: tex(xslz20.pfb) = %{tl_version}
Provides: tex(xslz20d.pfb) = %{tl_version}
Provides: tex(xtie20.pfb) = %{tl_version}
Provides: ctan-musixtex-fonts = %{tl_version}
Obsoletes: ctan-musixtex-fonts < %{tl_version}

%description musixtex-fonts
These are fonts for use with MusixTeX; they are provided both
as original Metafont source, and as converted Adobe Type 1. The
bundle renders the older (Type 1 fonts only) bundle musixtex-
t1fonts obsolete.

%package musixtex-fonts-doc
Summary: Documentation for musixtex-fnts
Provides: tex-musixtex-fnts-doc = %{tl_version}
Provides: tex-musixtex-fonts-doc = %{tl_version}
Provides: texlive-musixtex-fnts-doc = %{tl_version}
Obsoletes: texlive-musixtex-fnts-doc < 2016
Version: svn37762.0

AutoReqProv: No

%description musixtex-fonts-doc
Documentation for musixtex-fnts

%package piano
Provides: tex-piano = %{tl_version}
License: LPPL
Summary: Typeset a basic 2-octave piano diagram
Version: svn21574.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(piano.sty) = %{tl_version}

%description piano
This package adds the \keyboard[1][2]..[7] command to your
project. When used, it draws a small 2 octaves piano keyboard
on your document, with up to 7 keys highlighted. Keys go : Co,
Cso, Do, Dso, Eo, Fo, Fso, Go, Gso, Ao, Aso, Bo, Ct, Cst, Dt,
Dst, Et, Ft, Fst, Gt, Gst, At, Ast and Bt. (A working example
is included in the README file.)

%package piano-doc
Summary: Documentation for piano
Version: svn21574.1.0

Provides: tex-piano-doc
AutoReqProv: No

%description piano-doc
Documentation for piano

%package songbook
Provides: tex-songbook = %{tl_version}
License: LGPLv2+
Summary: Package for typesetting song lyrics and chord books
Version: svn18136.4.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(xstring.sty)
Requires: tex(multicol.sty)
Provides: tex(conditionals.sty) = %{tl_version}
Provides: tex(songbook.sty) = %{tl_version}

%description songbook
The package provides an all purpose songbook style. Three types
of output may be created from a single input file: "words and
chords" books for the musicians to play from, "words only"
songbooks for the congregation to sing from, and overhead
transparency masters for congregational use. The package will
also print a table of contents, an index sorted by title and
first line, and an index sorted by key, or by artist/composer.
The package attempts to handle songs in multiple keys, as well
as songs in multiple languages.

%package songbook-doc
Summary: Documentation for songbook
Version: svn18136.4.5

Provides: tex-songbook-doc
AutoReqProv: No

%description songbook-doc
Documentation for songbook

%package songs
Provides: tex-songs = %{tl_version}
License: GPL+
Summary: Produce song books for church or fellowship
Version: svn44553
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etex.sty)
Requires: tex(keyval.sty)
Requires: tex(color.sty)
Provides: tex(songs.sty) = %{tl_version}

%description songs
The package provides a means of producing beautiful song books
for church or fellowship. It offers: a very easy chord-entry
syntax; multiple modes (words-only; words+chords; slides;
handouts); measure bars; guitar tablatures; automatic
transposition; scripture quotations; multiple indexes (sorted
by title, author, important lyrics, or scripture references);
and projector-style output generation, for interactive use. A
set of example documents is provided.

%package songs-doc
Summary: Documentation for songs
Version: svn44553
Provides: tex-songs-doc
AutoReqProv: No

%description songs-doc
Documentation for songs

%package xpiano
Provides: tex-xpiano = %{tl_version}
License: LPPL 1.3
Summary: An extension of the piano package
Version: svn37604.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(xcolor.sty)
Provides: tex(xpiano.sty) = %{tl_version}

%description xpiano
This package provides macros for typesetting virtual keyboards
limited to two octaves for showing notes represented by a
colored circle. Optionally, the number used for pitch analysis
can be shown. It is an extension of piano.sty by Emile
Daneault, written in expl3 in answer to a couple of questions
on TeX.StackExchange:
http://tex.stackexchange.com/questions/162184/
http://tex.stackexchange.com/questions/246276/. It features
extended syntax and several options, like setting the color,
adding numbers for pitch analysis, one or two octaves, and
others.

%package xpiano-doc
Summary: Documentation for xpiano
Version: svn37604.1.0

Provides: tex-xpiano-doc
AutoReqProv: No

%description xpiano-doc
Documentation for xpiano

%package mxedruli
Provides: tex-mxedruli = %{tl_version}
License: LPPL
Summary: A pair of fonts for different Georgian alphabets
Version: svn30021.3.3c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-tetex-bin, tex-tetex


Provides: tex(mxedruli.map) = %{tl_version}
Provides: tex(mxed10.tfm) = %{tl_version}
Provides: tex(mxedbf10.tfm) = %{tl_version}
Provides: tex(mxedc10.tfm) = %{tl_version}
Provides: tex(mxedi10.tfm) = %{tl_version}
Provides: tex(xuc10.tfm) = %{tl_version}
Provides: tex(mxed10.pfb) = %{tl_version}
Provides: tex(mxedbf10.pfb) = %{tl_version}
Provides: tex(mxedc10.pfb) = %{tl_version}
Provides: tex(mxedi10.pfb) = %{tl_version}
Provides: tex(xuc10.pfb) = %{tl_version}
Provides: tex(mxedruli.sty) = %{tl_version}
Provides: tex(umxed.fd) = %{tl_version}
Provides: tex(uxuc.fd) = %{tl_version}
Provides: tex(xucuri.sty) = %{tl_version}

%description mxedruli
Two Georgian fonts, in both Metafont and Type 1 formats, which
cover the Mxedruli and the Xucuri alphabets.

%package mxedruli-doc
Summary: Documentation for mxedruli
Version: svn30021.3.3c

Provides: tex-mxedruli-doc
AutoReqProv: No

%description mxedruli-doc
Documentation for mxedruli

%package otibet
Provides: tex-otibet = %{tl_version}
License: LPPL
Summary: otibet package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tibetan.tfm) = %{tl_version}
Provides: tex(ot1tib.fd) = %{tl_version}
Provides: tex(otibet.sty) = %{tl_version}
Provides: tex(otibet.tex) = %{tl_version}
Provides: tex(t1tib.fd) = %{tl_version}

%description otibet
otibet package

%package otibet-doc
Summary: Documentation for otibet
Version: svn15878.0

Provides: tex-otibet-doc
AutoReqProv: No

%description otibet-doc
Documentation for otibet

%package epsf-dvipdfmx
Provides: tex-epsf-dvipdfmx = %{tl_version}
License: Public Domain
Summary: Plain TeX file for using epsf.tex with (x)dvipdfmx
Version: svn35575.2014

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(epsf-dvipdfmx.tex) = %{tl_version}

%description epsf-dvipdfmx
epsf-dvipdfmx.tex is a plain TeX file to be \input after
epsf.tex when using plain TeX with dvipdfmx. As in: \input epsf
\input epsf-dvipdfmx It is needed when an .eps file has
anything except the origin (0,0) for the lower-left of its
bounding box.

%package epsf-dvipdfmx-doc
Summary: Documentation for epsf-dvipdfmx
Version: svn35575.2014

Provides: tex-epsf-dvipdfmx-doc
AutoReqProv: No

%description epsf-dvipdfmx-doc
Documentation for epsf-dvipdfmx

%package figflow
Provides: tex-figflow = %{tl_version}
License: Copyright only
Summary: Flow text around a figure
Version: svn21462.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(figflow.tex) = %{tl_version}

%description figflow
Provides a Plain TeX macro \figflow that allows one to insert a
figure into an area inset into a paragraph. Command arguments
are width and height of the figure, and the figure (and its
caption) itself. Usage details are to be found in the TeX file
itself. The package does not work with LaTeX; packages such as
wrapfig, floatflt and picins support the needs of LaTeX users
in this area.

%package figflow-doc
Summary: Documentation for figflow
Version: svn21462.0

Provides: tex-figflow-doc
AutoReqProv: No

%description figflow-doc
Documentation for figflow

%package fixpdfmag
Provides: tex-fixpdfmag = %{tl_version}
License: Public Domain
Summary: Fix magnification in PDFTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fixpdfmag.tex) = %{tl_version}

%description fixpdfmag
A recent change to PDFTeX has caused magnification to apply to
page dimensions. This small package changes the values set in
the page dimension variables from pt to truept, thus evading
the effects of \mag.

%package font-change
Provides: tex-font-change = %{tl_version}
License: CC-BY-SA
Summary: Macros to change text and mathematics fonts in plain TeX
Version: svn40403

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(font-change.tex) = %{tl_version}
Provides: tex(font-change_FRENCH.tex) = %{tl_version}
Provides: tex(font_antp_euler.tex) = %{tl_version}
Provides: tex(font_antt-condensed-light.tex) = %{tl_version}
Provides: tex(font_antt-condensed-medium.tex) = %{tl_version}
Provides: tex(font_antt-condensed.tex) = %{tl_version}
Provides: tex(font_antt-light.tex) = %{tl_version}
Provides: tex(font_antt-medium.tex) = %{tl_version}
Provides: tex(font_antt.tex) = %{tl_version}
Provides: tex(font_arev.tex) = %{tl_version}
Provides: tex(font_artemisia_euler.tex) = %{tl_version}
Provides: tex(font_bera_concrete.tex) = %{tl_version}
Provides: tex(font_bera_euler.tex) = %{tl_version}
Provides: tex(font_bera_fnc.tex) = %{tl_version}
Provides: tex(font_bookman.tex) = %{tl_version}
Provides: tex(font_century.tex) = %{tl_version}
Provides: tex(font_charter.tex) = %{tl_version}
Provides: tex(font_cm.tex) = %{tl_version}
Provides: tex(font_cmbright.tex) = %{tl_version}
Provides: tex(font_concrete.tex) = %{tl_version}
Provides: tex(font_epigrafica_euler.tex) = %{tl_version}
Provides: tex(font_epigrafica_palatino.tex) = %{tl_version}
Provides: tex(font_iwona-bold.tex) = %{tl_version}
Provides: tex(font_iwona-condensed-bold.tex) = %{tl_version}
Provides: tex(font_iwona-condensed-light.tex) = %{tl_version}
Provides: tex(font_iwona-condensed-medium.tex) = %{tl_version}
Provides: tex(font_iwona-condensed.tex) = %{tl_version}
Provides: tex(font_iwona-light.tex) = %{tl_version}
Provides: tex(font_iwona-medium.tex) = %{tl_version}
Provides: tex(font_iwona.tex) = %{tl_version}
Provides: tex(font_kp-light.tex) = %{tl_version}
Provides: tex(font_kp.tex) = %{tl_version}
Provides: tex(font_kurier-bold.tex) = %{tl_version}
Provides: tex(font_kurier-condensed-bold.tex) = %{tl_version}
Provides: tex(font_kurier-condensed-light.tex) = %{tl_version}
Provides: tex(font_kurier-condensed-medium.tex) = %{tl_version}
Provides: tex(font_kurier-condensed.tex) = %{tl_version}
Provides: tex(font_kurier-light.tex) = %{tl_version}
Provides: tex(font_kurier-medium.tex) = %{tl_version}
Provides: tex(font_kurier.tex) = %{tl_version}
Provides: tex(font_libertine_kp.tex) = %{tl_version}
Provides: tex(font_libertine_palatino.tex) = %{tl_version}
Provides: tex(font_libertine_times.tex) = %{tl_version}
Provides: tex(font_mdutopia.tex) = %{tl_version}
Provides: tex(font_pagella.tex) = %{tl_version}
Provides: tex(font_palatino.tex) = %{tl_version}
Provides: tex(font_times.tex) = %{tl_version}
Provides: tex(font_utopia.tex) = %{tl_version}

%description font-change
Macros to Change Text and Mathematics fonts in TeX: 45
Beautiful Variants The macros are written for plain TeX and may
be used with other packages like AmSTeX, eplain, etc. They also
work with XeTeX. The macros allow users to change the fonts
(for both text and mathematics) in their TeX document with only
one statement. The fonts may be used readily at various
predefined sizes. All the fonts called by these macro files are
free and are included in current MiKTeX and TeX Live
distributions.

%package font-change-doc
Summary: Documentation for font-change
Version: svn40403

Provides: tex-font-change-doc
AutoReqProv: No

%description font-change-doc
Documentation for font-change

%package fontch
Provides: tex-fontch = %{tl_version}
License: LPPL
Summary: Changing fonts, sizes and encodings in Plain TeX
Version: svn17859.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(DSmac.tex) = %{tl_version}
Provides: tex(TS1mac.tex) = %{tl_version}
Provides: tex(bsymbols.tex) = %{tl_version}
Provides: tex(fontch.tex) = %{tl_version}
Provides: tex(fontch_doc.tex) = %{tl_version}

%description fontch
The fontch macros allow the user to change font size and family
anywhere in a plain TeX document. Sizes of 8, 10, 12, 14, 20
and 24 points are available. A sans serif family (\sf) is
defined in addition to the families already defined in plain
TeX. Optional support for Latin Modern T1 and TS1 fonts is
given. There are macros for non-latin1 letters and for most TS1
symbols. Math mode always uses CM fonts. A command for
producing doubled-spaced documents is also provided. The
present version of the package is designed to deal with the
latest release of the Latin Modern fonts version 1.106.
Unfortunately, it can no longer support earlier versions of the
fonts, so an obsolete version of the package is retained for
users who don't yet have access to the latest version of the
fonts.

%package fontch-doc
Summary: Documentation for fontch
Version: svn17859.2.2

Provides: tex-fontch-doc
AutoReqProv: No

%description fontch-doc
Documentation for fontch

%package getoptk
Provides: tex-getoptk = %{tl_version}
License: CeCILL-B
Summary: Define macros with sophisticated options
Version: svn23567.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(getoptk.tex) = %{tl_version}
Provides: tex(guide.tex) = %{tl_version}

%description getoptk
The package provides a means of defining macros whose options
are taken from a dictionary, which includes options which
themselves have arguments. The package was designed for use
with Plain TeX; its syntax derives from that of the \hbox,
\hrule, etc., TeX primitives.

%package getoptk-doc
Summary: Documentation for getoptk
Version: svn23567.1.0

Provides: tex-getoptk-doc
AutoReqProv: No

%description getoptk-doc
Documentation for getoptk

%package gfnotation
Provides: tex-gfnotation = %{tl_version}
License: GPLv3+
Summary: Typeset Gottlob Frege's notation in plain TeX
Version: svn37156.2.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(GFnotation.tex) = %{tl_version}

%description gfnotation
The package implements macros for plain TeX to typeset the
notation invented by Gottlob Frege in 1879 for his books
"Begriffsschrift" and "Grundgesetze der Arithmetik" (two
volumes). The output styles of both books are supported.

%package gfnotation-doc
Summary: Documentation for gfnotation
Version: svn37156.2.9

Provides: tex-gfnotation-doc
AutoReqProv: No

%description gfnotation-doc
Documentation for gfnotation

%package graphics-pln
Provides: tex-graphics-pln = %{tl_version}
License: LPPL
Summary: LaTeX-style graphics for Plain TeX users
Version: svn44567
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(autopict.sty) = %{tl_version}
Provides: tex(color.tex) = %{tl_version}
Provides: tex(graphicx.tex) = %{tl_version}
Provides: tex(miniltx.tex) = %{tl_version}
Provides: tex(picture.tex) = %{tl_version}
Provides: tex(psfrag.tex) = %{tl_version}

%description graphics-pln
The Plain TeX graphics package is mostly a thin shell around
the LaTeX graphicx and color packages, with support of the
LaTeX-isms in those packages provided by miniltx (which is the
largest part of the bundle). The bundle also contains a file
"picture.tex", which is a wrapper around the autopict.sty, and
provides the LaTeX picture mode to Plain TeX users.

%package graphics-pln-doc
Summary: Documentation for graphics-pln
Version: svn44567
Provides: tex-graphics-pln-doc
AutoReqProv: No

%description graphics-pln-doc
Documentation for graphics-pln

%package hyplain
Provides: tex-hyplain = %{tl_version}
License: Public Domain
Summary: Basic support for multiple languages in Plain TeX
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hylang.tex) = %{tl_version}
Provides: tex(hyplain.tex) = %{tl_version}
Provides: tex(hyrules.tex) = %{tl_version}

%description hyplain
The package offers a means to set up hyphenation suitable for
several languages and/or dialects, and to select them or switch
between them while typesetting.

%package hyplain-doc
Summary: Documentation for hyplain
Version: svn15878.1.0

Provides: tex-hyplain-doc
AutoReqProv: No

%description hyplain-doc
Documentation for hyplain

%package js-misc
Provides: tex-js-misc = %{tl_version}
License: Public Domain
Summary: Miscellaneous macros from Joachim Schrod
Version: svn16211.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cassette.tex) = %{tl_version}
Provides: tex(idverb.tex) = %{tl_version}
Provides: tex(js-misc.tex) = %{tl_version}
Provides: tex(schild.tex) = %{tl_version}
Provides: tex(sperr.tex) = %{tl_version}
Provides: tex(xfig.tex) = %{tl_version}

%description js-misc
A bunch of packages, including: idverb.tex, for 'short
verbatim'; xfig.tex, for including xfig/transfig output in a
TeX document; and cassette.tex for setting cassette labels.

%package js-misc-doc
Summary: Documentation for js-misc
Version: svn16211.0

Provides: tex-js-misc-doc
AutoReqProv: No

%description js-misc-doc
Documentation for js-misc

%package mkpattern
Provides: tex-mkpattern = %{tl_version}
License: LPPL
Summary: A utility for making hyphenation patterns
Version: svn15878.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mkpatter.tex) = %{tl_version}

%description mkpattern
Mkpattern is a general purpose program for the generation of
hyphenation patterns, with definition of letter sets and
template-like constructions. It also provides an easy way to
handle different input and output encodings, and featgures
generation of clean UTF-8 patterns. The package was used for
the creation of the Galician patterns.

%package mkpattern-doc
Summary: Documentation for mkpattern
Version: svn15878.1.2

Provides: tex-mkpattern-doc
AutoReqProv: No

%description mkpattern-doc
Documentation for mkpattern

%package newsletr
Provides: tex-newsletr = %{tl_version}
License: Newsletr
Summary: Macros for making newsletters with Plain TeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(newsletr.tex) = %{tl_version}

%description newsletr
newsletr package

%package newsletr-doc
Summary: Documentation for newsletr
Version: svn15878.0

Provides: tex-newsletr-doc
AutoReqProv: No

%description newsletr-doc
Documentation for newsletr

%package pitex
Provides: tex-pitex = %{tl_version}
License: LPPL
Summary: Documentation macros
Version: svn24731.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pitex.tex) = %{tl_version}

%description pitex
The bundle provides macros that the author uses when writing
documentation (for example, that of the texapi and yax
packages). The tools could be used by anyone, but there is no
documentation, and the macros are subject to change without
notice.

%package pitex-doc
Summary: Documentation for pitex
Version: svn24731.0

Provides: tex-pitex-doc
AutoReqProv: No

%description pitex-doc
Documentation for pitex

%package placeins-plain
Provides: tex-placeins-plain = %{tl_version}
License: Public Domain
Summary: Insertions that keep their place
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(placeins.tex) = %{tl_version}

%description placeins-plain
This TeX file provides various mechanisms (for plain TeX and
close relatives) to let insertions (footnotes, topins, pageins,
etc.) float within their appropriate section, but to prevent
them from intruding into the following section, even when
sections do not normally begin a new page. (If your sections
normally begin a new page, just use \supereject to flush out
insertions.)

%package plipsum
Provides: tex-plipsum = %{tl_version}
License: LPPL
Summary: 'Lorem ipsum' for Plain TeX developers
Version: svn30353.4.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(plipsum.tex) = %{tl_version}

%description plipsum
The package provides a paragraph generator designed for use in
Plain TeX documents. The paragraphs generated contain many 'f-
groups' (ff, fl etc.) so the text can act as a test of the
ligatures of the font in use.

%package plipsum-doc
Summary: Documentation for plipsum
Version: svn30353.4.3

Provides: tex-plipsum-doc
AutoReqProv: No

%description plipsum-doc
Documentation for plipsum

%package plnfss
Provides: tex-plnfss = %{tl_version}
License: LPPL
Summary: Font selection for Plain TeX
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(MIKmathf.tex) = %{tl_version}
Provides: tex(plnfss.tex) = %{tl_version}

%description plnfss
Plnfss is a set of macros to provide easy font access (somewhat
similar to NFSS but with some limitations) with Plain TeX.
Plnfss can automatically make use of PSNFSS fd files, i.e.,
when an Adobe Type 1 is used the relevant fd file will be
loaded automatically. For cmr-like fonts (ec, vnr, csr or plr
fonts), a special format called pfd (plain fd) is required and
must be loaded manually. See ot1cmr.pfd for further
information.

%package plnfss-doc
Summary: Documentation for plnfss
Version: svn15878.1.1

Provides: tex-plnfss-doc
AutoReqProv: No

%description plnfss-doc
Documentation for plnfss

%package plstmary
Provides: tex-plstmary = %{tl_version}
License: Public Domain
Summary: St. Mary's Road font support for plain TeX
Version: svn31088.0.5c

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(stmary.tex) = %{tl_version}

%description plstmary
The package provides commands to produce all the symbols of the
St Mary's Road fonts, in a Plain TeX environment.

%package plstmary-doc
Summary: Documentation for plstmary
Version: svn31088.0.5c

Provides: tex-plstmary-doc
AutoReqProv: No

%description plstmary-doc
Documentation for plstmary

%package present
Provides: tex-present = %{tl_version}
License: LPPL
Summary: Presentations with Plain TeX
Version: svn25953.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(present.tex) = %{tl_version}

%description present
The package offers a collection of simple macros for preparing
presentations in Plain TeX. Slide colour and text colour may be
set, links between parts of the presentation, to other files,
and to web addresses may be inserted. Images may be included
easily, and code is available to provide transition effects
between slides or frames. The structure of the macros is not
overly complex, so that users should find it easy to adapt the
macros to their specific needs.

%package present-doc
Summary: Documentation for present
Version: svn25953.2.2

Provides: tex-present-doc
AutoReqProv: No

%description present-doc
Documentation for present

%package resumemac
Provides: tex-resumemac = %{tl_version}
License: Public Domain
Summary: Plain TeX macros for resumes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(resumemac.tex) = %{tl_version}

%description resumemac
A set of macros is provided, together with an file that offers
an example of use.

%package resumemac-doc
Summary: Documentation for resumemac
Version: svn15878.0

Provides: tex-resumemac-doc
AutoReqProv: No

%description resumemac-doc
Documentation for resumemac

%package texinfo
Provides: tex-texinfo = %{tl_version}
License: GPL+
Summary: Texinfo documentation system
Version: svn45305
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(texinfo.tex) = %{tl_version}
Provides: tex(txi-cs.tex) = %{tl_version}
Provides: tex(txi-de.tex) = %{tl_version}
Provides: tex(txi-en.tex) = %{tl_version}
Provides: tex(txi-es.tex) = %{tl_version}
Provides: tex(txi-fr.tex) = %{tl_version}
Provides: tex(txi-it.tex) = %{tl_version}
Provides: tex(txi-nb.tex) = %{tl_version}
Provides: tex(txi-nl.tex) = %{tl_version}
Provides: tex(txi-nn.tex) = %{tl_version}
Provides: tex(txi-pl.tex) = %{tl_version}
Provides: tex(txi-pt.tex) = %{tl_version}
Provides: tex(txi-ru.tex) = %{tl_version}
Provides: tex(txi-sr.tex) = %{tl_version}
Provides: tex(txi-tr.tex) = %{tl_version}
Provides: tex(txi-uk.tex) = %{tl_version}

%description texinfo
Texinfo is the preferred format for documentation in the GNU
project; the format may be used to produce online or printed
output from a single source. The Texinfo macros may be used to
produce printable output using TeX; other programs in the
distribution offer online interactive use (with hypertext
linkages in some cases). Note that a developers' snapshot of
the latest release of the Texinfo macros may be found in the
Texinfo 'latest' package.

%package timetable
Provides: tex-timetable = %{tl_version}
License: LPPL
Summary: Generate timetables
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(timetable.tex) = %{tl_version}

%description timetable
A highly-configurable package, with nice output and simple
input. The macros use a radix sort mechanism so that the order
of input is not critical.

%package treetex
Provides: tex-treetex = %{tl_version}
License: Public Domain
Summary: Draw trees
Version: svn28176.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(classes.tex) = %{tl_version}
Provides: tex(l_pic.tex) = %{tl_version}
Provides: tex(treetex.tex) = %{tl_version}

%description treetex
Macros to draw trees, within TeX (or LaTeX). The algorithm used
is discussed in an accompanying paper (written using LaTeX
2.09).

%package treetex-doc
Summary: Documentation for treetex
Version: svn28176.0

Provides: tex-treetex-doc
AutoReqProv: No

%description treetex-doc
Documentation for treetex

%package varisize
Provides: tex-varisize = %{tl_version}
License: Public Domain
Summary: Change font size in Plain TeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(10point.tex) = %{tl_version}
Provides: tex(10pointss.tex) = %{tl_version}
Provides: tex(11point.tex) = %{tl_version}
Provides: tex(12point.tex) = %{tl_version}
Provides: tex(14point.tex) = %{tl_version}
Provides: tex(17point.tex) = %{tl_version}
Provides: tex(20point.tex) = %{tl_version}
Provides: tex(7point.tex) = %{tl_version}
Provides: tex(8point.tex) = %{tl_version}
Provides: tex(9point.tex) = %{tl_version}

%description varisize
A series of files, each of which defines a size-change macro.
Note that 10point.tex is by convention called by one of the
other files, so that there's always a "way back".

%package varisize-doc
Summary: Documentation for varisize
Version: svn15878.0

Provides: tex-varisize-doc
AutoReqProv: No

%description varisize-doc
Documentation for varisize

%package xii-doc
Summary: Documentation for xii
Version: svn31683.0

Provides: tex-xii-doc
AutoReqProv: No

%description xii-doc
Documentation for xii

%package collection-pstricks
Summary: PSTricks
Version: svn45079
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-plaingeneric
Requires: texlive-auto-pst-pdf
Requires: texlive-bclogo
Requires: texlive-dsptricks
Requires: texlive-makeplot
Requires: texlive-pdftricks
Requires: texlive-pdftricks2
Requires: texlive-pedigree-perl
Requires: texlive-psbao
Requires: texlive-pst-2dplot
Requires: texlive-pst-3d
Requires: texlive-pst-3dplot
Requires: texlive-pst-abspos
Requires: texlive-pst-am
Requires: texlive-pst-arrow
Requires: texlive-pst-asr
Requires: texlive-pst-bar
Requires: texlive-pst-barcode
Requires: texlive-pst-bezier
Requires: texlive-pst-blur
Requires: texlive-pst-bspline
Requires: texlive-pst-calendar
Requires: texlive-pst-cie
Requires: texlive-pst-circ
Requires: texlive-pst-coil
Requires: texlive-pst-cox
Requires: texlive-pst-dbicons
Requires: texlive-pst-diffraction
Requires: texlive-pst-electricfield
Requires: texlive-pst-eps
Requires: texlive-pst-eucl
Requires: texlive-pst-exa
Requires: texlive-pst-fill
Requires: texlive-pst-fit
Requires: texlive-pst-fr3d
Requires: texlive-pst-fractal
Requires: texlive-pst-fun
Requires: texlive-pst-func
Requires: texlive-pst-gantt
Requires: texlive-pst-geo
Requires: texlive-pst-geometrictools
Requires: texlive-pst-ghsb
Requires: texlive-pst-gr3d
Requires: texlive-pst-grad
Requires: texlive-pst-graphicx
Requires: texlive-pst-infixplot
Requires: texlive-pst-intersect
Requires: texlive-pst-jtree
Requires: texlive-pst-knot
Requires: texlive-pst-labo
Requires: texlive-pst-layout
Requires: texlive-pst-lens
Requires: texlive-pst-light3d
Requires: texlive-pst-magneticfield
Requires: texlive-pst-math
Requires: texlive-pst-mirror
Requires: texlive-pst-node
Requires: texlive-pst-ob3d
Requires: texlive-pst-ode
Requires: texlive-pst-optexp
Requires: texlive-pst-optic
Requires: texlive-pst-osci
Requires: texlive-pst-ovl
Requires: texlive-pst-pad
Requires: texlive-pst-pdgr
Requires: texlive-pst-perspective
Requires: texlive-pst-platon
Requires: texlive-pst-plot
Requires: texlive-pst-poker
Requires: texlive-pst-poly
Requires: texlive-pst-pulley
Requires: texlive-pst-qtree
Requires: texlive-pst-rputover
Requires: texlive-pst-rubans
Requires: texlive-pst-shell
Requires: texlive-pst-sigsys
Requires: texlive-pst-slpe
Requires: texlive-pst-solarsystem
Requires: texlive-pst-solides3d
Requires: texlive-pst-soroban
Requires: texlive-pst-spectra
Requires: texlive-pst-spirograph
Requires: texlive-pst-stru
Requires: texlive-pst-support-doc
Requires: texlive-pst-text
Requires: texlive-pst-thick
Requires: texlive-pst-tools
Requires: texlive-pst-tree
Requires: texlive-pst-tvz
Requires: texlive-pst-uml
Requires: texlive-pst-vectorian
Requires: texlive-pst-vehicle
Requires: texlive-pst-vowel
Requires: texlive-pst-vue3d
Requires: texlive-pst2pdf
Requires: texlive-pstricks
Requires: texlive-pstricks-add
Requires: texlive-pstricks_calcnotes-doc
Requires: texlive-uml
Requires: texlive-vaucanson-g
Requires: texlive-vocaltract

%description collection-pstricks
PSTricks core and all add-on packages.

%package dsptricks
Provides: tex-dsptricks = %{tl_version}
License: LPPL
Summary: Macros for Digital Signal Processing plots
Version: svn34724.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(fp.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(fmtcount.sty)
Requires: tex(ifthen.sty)
Requires: tex(pstricks.sty)
Requires: tex(pstricks-add.sty)
Provides: tex(dspblocks.sty) = %{tl_version}
Provides: tex(dspfunctions.sty) = %{tl_version}
Provides: tex(dsptricks.sty) = %{tl_version}

%description dsptricks
The package provides a set of LaTeX macros (based on PSTricks)
for plotting the kind of graphs and figures that are usually
employed in digital signal processing publications. DSPTricks
provides facilities for standard discrete-time "lollipop"
plots, continuous-time and frequency plots, and pole-zero
plots. The companion package DSPFunctions (dspfunctions.sty)
provides macros for computing frequency responses and DFTs,
while the package DSPBlocks (dspblocks.sty) supports DSP block
diagrams.

%package dsptricks-doc
Summary: Documentation for dsptricks
Version: svn34724.1.0

Provides: tex-dsptricks-doc
AutoReqProv: No

%description dsptricks-doc
Documentation for dsptricks

%package makeplot
Provides: tex-makeplot = %{tl_version}
License: LPPL
Summary: Easy plots from Matlab in LaTeX
Version: svn15878.1.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pstricks-add.sty)
Requires: tex(xkeyval.sty)
Provides: tex(makeplot.sty) = %{tl_version}

%description makeplot
Existing approaches to create EPS files from Matlab (laprint,
mma2ltx, print -eps, etc.) aren't satisfactory; makeplot aims
to resolve this problem. Makeplot is a LaTeX package that uses
the pstricks pst-plot functions to plot data that it takes from
Matlab output files.

%package makeplot-doc
Summary: Documentation for makeplot
Version: svn15878.1.0.6

Provides: tex-makeplot-doc
AutoReqProv: No

%description makeplot-doc
Documentation for makeplot

%package pdftricks
Provides: tex-pdftricks = %{tl_version}
License: GPL+
Summary: Support for pstricks in pdfTeX
Version: svn15878.1.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(moreverb.sty)
Requires: tex(keyval.sty)
Provides: tex(pdftricks.sty) = %{tl_version}

%description pdftricks
The PSTricks macros cannot be used (directly) with pdfTeX,
since pstricks uses PostScript arithmetic, which isn't part of
PDF. This package circumvents this limitation so that the
extensive facilities offered by the powerful PSTricks package
can be made use of in a pdfTeX document. This is done using the
shell escape function available in current TeX implementations.
The package may also be used in support of other 'PostScript-
output-only' packages, such as PSfrag. For alternatives, users
may care to review the discussion in the PSTricks online
documentation.

%package pdftricks-doc
Summary: Documentation for pdftricks
Version: svn15878.1.16

Provides: tex-pdftricks-doc
AutoReqProv: No

%description pdftricks-doc
Documentation for pdftricks

%package pdftricks2
Provides: tex-pdftricks2 = %{tl_version}
License: GPLv2+
Summary: Use pstricks in pdfTeX
Version: svn31016.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifpdf.sty)
Requires: tex(moreverb.sty)
Requires: tex(ifplatform.sty)
Provides: tex(pdftricks2.sty) = %{tl_version}

%description pdftricks2
The package provides the means of processing documents (that
contain pstricks graphics specifications. The package is
inspired by pdftricks

%package pdftricks2-doc
Summary: Documentation for pdftricks2
Version: svn31016.1.01

Provides: tex-pdftricks2-doc
AutoReqProv: No

%description pdftricks2-doc
Documentation for pdftricks2

%package psbao
Provides: tex-psbao = %{tl_version}
License: LPPL
Summary: Draw Bao diagrams
Version: svn15878.0.17

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(cool.sty)
Requires: tex(etex.sty)
Provides: tex(psbao.sty) = %{tl_version}

%description psbao
The package draws Bao diagrams in LaTeX. The package is a
development of psgo, and uses PSTricks to draw the diagrams.

%package psbao-doc
Summary: Documentation for psbao
Version: svn15878.0.17

Provides: tex-psbao-doc
AutoReqProv: No

%description psbao-doc
Documentation for psbao

%package pst-2dplot
Provides: tex-pst-2dplot = %{tl_version}
License: LPPL
Summary: A PSTricks package for drawing 2D curves
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-2dplot.sty) = %{tl_version}

%description pst-2dplot
Pst-2dplot is a pstricks package that offers an easy-to-use and
intuitive tool for plotting 2-d curves. It defines an
environment with commands similar to MATLAB for plotting.

%package pst-2dplot-doc
Summary: Documentation for pst-2dplot
Version: svn15878.1.5

Provides: tex-pst-2dplot-doc
AutoReqProv: No

%description pst-2dplot-doc
Documentation for pst-2dplot

%package pst-3d
Provides: tex-pst-3d = %{tl_version}
License: LPPL
Summary: A PSTricks package for tilting and other pseudo-3D tricks
Version: svn17257.1.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-3d.tex) = %{tl_version}
Provides: tex(pst-3d.sty) = %{tl_version}

%description pst-3d
The package provides basic macros that use PSTricks for
shadows, tilting and three dimensional representations of text
or graphical objects.

%package pst-3d-doc
Summary: Documentation for pst-3d
Version: svn17257.1.10

Provides: tex-pst-3d-doc
AutoReqProv: No

%description pst-3d-doc
Documentation for pst-3d

%package pst-3dplot
Provides: tex-pst-3dplot = %{tl_version}
License: LPPL
Summary: Draw 3D objects in parallel projection, using PSTricks
Version: svn43703
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Requires: tex(pst-3d.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pst-node.sty)
Requires: tex(multido.sty)
Provides: tex(pst-3dplot.tex) = %{tl_version}
Provides: tex(pst-3dplot.sty) = %{tl_version}

%description pst-3dplot
A package using PSTricks to draw a large variety of graphs and
plots, including 3D maths functions. Data can be read from
external data files, making this package a generic tool for
graphing within TeX/LaTeX, without the need for external tools.

%package pst-3dplot-doc
Summary: Documentation for pst-3dplot
Version: svn43703
Provides: tex-pst-3dplot-doc
AutoReqProv: No

%description pst-3dplot-doc
Documentation for pst-3dplot

%package pst-abspos
Provides: tex-pst-abspos = %{tl_version}
License: LPPL
Summary: Put objects at an absolute position
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-abspos.tex) = %{tl_version}
Provides: tex(pst-abspos.sty) = %{tl_version}

%description pst-abspos
The (PSTricks-related) package provides a command
\pstPutAbs(x,y) to put an object at an arbitrary absolute (or
even a relative) position on the page.

%package pst-abspos-doc
Summary: Documentation for pst-abspos
Version: svn15878.0.2

Provides: tex-pst-abspos-doc
AutoReqProv: No

%description pst-abspos-doc
Documentation for pst-abspos

%package pst-am
Provides: tex-pst-am = %{tl_version}
License: LPPL
Summary: Simulation of modulation and demodulation
Version: svn19591.1.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(numprint.sty)
Requires: tex(multido.sty)
Provides: tex(pst-am.sty) = %{tl_version}

%description pst-am
The package allows the simulation of the modulated and
demodulated amplitude of radio waves. The user may plot curves
of modulated signals, wave carrier, signal modulation, signal
recovery and signal demodulation.

%package pst-am-doc
Summary: Documentation for pst-am
Version: svn19591.1.02

Provides: tex-pst-am-doc
AutoReqProv: No

%description pst-am-doc
Documentation for pst-am

%package pst-asr
Provides: tex-pst-asr = %{tl_version}
License: LPPL
Summary: Typeset autosegmental representations for linguists
Version: svn22138.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-xkey.sty)
Provides: tex(pst-asr.tex) = %{tl_version}
Provides: tex(pst-asr.sty) = %{tl_version}

%description pst-asr
The package allows the user to typeset autosegmental
representations. It uses the PStricks, and xkeyval packages.

%package pst-asr-doc
Summary: Documentation for pst-asr
Version: svn22138.1.3

Provides: tex-pst-asr-doc
AutoReqProv: No

%description pst-asr-doc
Documentation for pst-asr

%package pst-bar
Provides: tex-pst-bar = %{tl_version}
License: LPPL
Summary: Produces bar charts using pstricks
Version: svn18734.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-bar.tex) = %{tl_version}
Provides: tex(pst-bar.sty) = %{tl_version}

%description pst-bar
The package uses pstricks to draw bar charts from data stored
in a comma-delimited file. Several types of bar charts may be
drawn, and the drawing parameters are highly customizable. No
external packages are required except those that are part of
the standard pstricks distribution.

%package pst-bar-doc
Summary: Documentation for pst-bar
Version: svn18734.0.92

Provides: tex-pst-bar-doc
AutoReqProv: No

%description pst-bar-doc
Documentation for pst-bar

%package pst-barcode
Provides: tex-pst-barcode = %{tl_version}
License: LPPL
Summary: Print barcodes using PostScript
Version: svn45096
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-barcode.tex) = %{tl_version}
Provides: tex(pst-barcode.sty) = %{tl_version}

%description pst-barcode
The pst-barcode package allows printing of barcodes, in a huge
variety of formats, including quick-response (qr) codes (see
documentation for details). As a pstricks package, the package
requires pstricks. The package uses PostScript for calculating
the bars. For PDF output use a multi-pass mechansism such as
pst-pdf.

%package pst-barcode-doc
Summary: Documentation for pst-barcode
Version: svn45096
Provides: tex-pst-barcode-doc
AutoReqProv: No

%description pst-barcode-doc
Documentation for pst-barcode

%package pst-bezier
Provides: tex-pst-bezier = %{tl_version}
License: LPPL
Summary: Draw Bezier curves
Version: svn41981
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-bezier.tex) = %{tl_version}
Provides: tex(pst-bezier.sty) = %{tl_version}

%description pst-bezier
The package provides a macro \psbcurve for drawing a Bezier
curve. Provision is made for full control of over all the
control points of the curve.

%package pst-bezier-doc
Summary: Documentation for pst-bezier
Version: svn41981
Provides: tex-pst-bezier-doc
AutoReqProv: No

%description pst-bezier-doc
Documentation for pst-bezier

%package pst-blur
Provides: tex-pst-blur = %{tl_version}
License: LPPL
Summary: PSTricks package for "blurred" shadows
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-blur.tex) = %{tl_version}
Provides: tex(pst-blur.sty) = %{tl_version}

%description pst-blur
Pst-blur is a package built for use with PSTricks. It provides
macros that apply blurring to the normal shadow function of
PSTricks.

%package pst-blur-doc
Summary: Documentation for pst-blur
Version: svn15878.2.0

Provides: tex-pst-blur-doc
AutoReqProv: No

%description pst-blur-doc
Documentation for pst-blur

%package pst-bspline
Provides: tex-pst-bspline = %{tl_version}
License: LPPL
Summary: Draw cubic Bspline curves and interpolations
Version: svn40685

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-bspline.tex) = %{tl_version}
Provides: tex(pst-bspline.sty) = %{tl_version}

%description pst-bspline
The package draws uniform, cubic B-spline curves, open and
closed, based on a sequence of B-spline control points. There
is also code which permits drawing the open or closed cubic
Bspline curve interpolating a sequence of points. Graphical
output is created using PStricks.

%package pst-bspline-doc
Summary: Documentation for pst-bspline
Version: svn40685

Provides: tex-pst-bspline-doc
AutoReqProv: No

%description pst-bspline-doc
Documentation for pst-bspline

%package pst-calendar
Provides: tex-pst-calendar = %{tl_version}
License: LPPL
Summary: Plot calendars in "fancy" ways
Version: svn15878.0.47

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-3d.sty)
Requires: tex(multido.sty)
Requires: tex(pst-xkey.sty)
Provides: tex(pst-calendar.sty) = %{tl_version}

%description pst-calendar
The package uses pstricks and pst-3d to draw tabular calendars,
or calendars on dodecahedra with a month to each face (the
package also requires the multido and pst-xkey packages). The
package works for years 2000-2099, and has options for
calendars in French German and English, but the documentation
is not available in English.

%package pst-calendar-doc
Summary: Documentation for pst-calendar
Version: svn15878.0.47

Provides: tex-pst-calendar-doc
AutoReqProv: No

%description pst-calendar-doc
Documentation for pst-calendar

%package pst-circ
Provides: tex-pst-circ = %{tl_version}
License: LPPL
Summary: PSTricks package for drawing electric circuits
Version: svn41901
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-circ.tex) = %{tl_version}
Provides: tex(pst-circ.sty) = %{tl_version}

%description pst-circ
The package is built using PSTricks and in particular pst-node.
It can easily draw current 2-terminal devices and some 3- and 4-
terminal devices used in electronic or electric theory. The
package's macros are designed with a view to 'logical'
representation of circuits, as far as possible, so as to
relieve the user of purely graphical considerations when
expressing a circuit.

%package pst-circ-doc
Summary: Documentation for pst-circ
Version: svn41901
Provides: tex-pst-circ-doc
AutoReqProv: No

%description pst-circ-doc
Documentation for pst-circ

%package pst-coil
Provides: tex-pst-coil = %{tl_version}
License: LPPL
Summary: A PSTricks package for coils, etc
Version: svn37377.1.07

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-coil.tex) = %{tl_version}
Provides: tex(pst-coil.sty) = %{tl_version}

%description pst-coil
Pst-coil is a PSTricks based package for coils and zigzags and
for coil and zigzag node connections.

%package pst-coil-doc
Summary: Documentation for pst-coil
Version: svn37377.1.07

Provides: tex-pst-coil-doc
AutoReqProv: No

%description pst-coil-doc
Documentation for pst-coil

%package pst-cox
Provides: tex-pst-cox = %{tl_version}
License: LGPLv2+
Summary: Drawing regular complex polytopes with PSTricks
Version: svn15878.0.98_Beta

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-coxcoor.tex) = %{tl_version}
Provides: tex(pst-coxeterp.tex) = %{tl_version}
Provides: tex(pst-coxcoor.sty) = %{tl_version}
Provides: tex(pst-coxeterp.sty) = %{tl_version}

%description pst-cox
Pst-cox is a PSTricks package for drawing 2-dimensional
projections of complex regular polytopes (after the work of
Coxeter). The package consists of a macro library for drawing
the projections. The complex polytopes appear in the study of
the root systems and play a crucial role in many domains
related to mathematics and physics. These polytopes have been
completely described by Coxeter in his book "Regular Complex
Polytopes". There exist only a finite numbers of exceptional
regular complex polytopes (for example the icosahedron) and
some infinite series (for example, one can construct a multi-
dimensional analogue of the hypercube in any finite dimension).
The library contains two packages. The first, pst-coxcoor, is
devoted to the exceptional complex regular polytopes whose
coordinates have been pre-computed. The second, pst-coxeterp,
is devoted to the infinite series.

%package pst-cox-doc
Summary: Documentation for pst-cox
Version: svn15878.0.98_Beta

Provides: tex-pst-cox-doc
AutoReqProv: No

%description pst-cox-doc
Documentation for pst-cox

%package pst-dbicons
Provides: tex-pst-dbicons = %{tl_version}
License: LPPL
Summary: Support for drawing ER diagrams
Version: svn17556.0.16

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-dbicons.sty) = %{tl_version}

%description pst-dbicons
The package provides some useful macros in the database area.
The package focusses on typesetting ER-Diagrams in a
declarative style, i.e., by positioning some nodes and defining
the position of all other nodes relative to them by using the
standard database terminology. The PSTricks package is required
for using pst-dbicons, but no deep knowledge of PSTricks
commands is required (although such knowledge is useful for
exploiting the full functionality of the package).

%package pst-dbicons-doc
Summary: Documentation for pst-dbicons
Version: svn17556.0.16

Provides: tex-pst-dbicons-doc
AutoReqProv: No

%description pst-dbicons-doc
Documentation for pst-dbicons

%package pst-diffraction
Provides: tex-pst-diffraction = %{tl_version}
License: LPPL
Summary: Print diffraction patterns from various apertures
Version: svn15878.2.03

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-3dplot.sty)
Requires: tex(pst-xkey.sty)
Provides: tex(pst-diffraction.tex) = %{tl_version}
Provides: tex(pst-diffraction.sty) = %{tl_version}

%description pst-diffraction
The package enables the user to draw (using PSTricks) the
diffraction patterns for different geometric forms of apertures
for monochromatic light (using PSTricks). The aperture stops
can have rectangular, circular or triangular openings. The view
of the diffraction may be planar, or three-dimensional. Options
available are the dimensions of the aperture under
consideration and of the particular optical setting, e.g. the
radius in case of an circular opening. Moreover one can choose
the wavelength of the light (the associated color will be
calculated by the package).

%package pst-diffraction-doc
Summary: Documentation for pst-diffraction
Version: svn15878.2.03

Provides: tex-pst-diffraction-doc
AutoReqProv: No

%description pst-diffraction-doc
Documentation for pst-diffraction

%package pst-electricfield
Provides: tex-pst-electricfield = %{tl_version}
License: LPPL
Summary: Draw electric field and equipotential lines with PStricks
Version: svn29803.0.14

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-electricfield.tex) = %{tl_version}
Provides: tex(pst-electricfield.sty) = %{tl_version}

%description pst-electricfield
The package provides macros to plot electric field and
equipotential lines using PStricks. There may be any number of
charges which can be placed in a cartesian coordinate system by
(x,y) values.

%package pst-electricfield-doc
Summary: Documentation for pst-electricfield
Version: svn29803.0.14

Provides: tex-pst-electricfield-doc
AutoReqProv: No

%description pst-electricfield-doc
Documentation for pst-electricfield

%package pst-eps
Provides: tex-pst-eps = %{tl_version}
License: LPPL
Summary: Create EPS files from PSTricks figures
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-eps.tex) = %{tl_version}
Provides: tex(pst-eps.sty) = %{tl_version}

%description pst-eps
Pst-eps is a PSTricks-based package for exporting PSTricks
images 'on the fly' to encapsulated PostScript (EPS) image
files, which can then be read into a document in the usual way.

%package pst-eps-doc
Summary: Documentation for pst-eps
Version: svn15878.1.0

Provides: tex-pst-eps-doc
AutoReqProv: No

%description pst-eps-doc
Documentation for pst-eps

%package pst-eucl
Provides: tex-pst-eucl = %{tl_version}
License: LPPL
Summary: Euclidian geometry with pstricks
Version: svn43911
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-tools.sty)
Provides: tex(pst-eucl.tex) = %{tl_version}
Provides: tex(pst-eucl.sty) = %{tl_version}

%description pst-eucl
The package allows the drawing of Euclidean geometric figures
using TeX pstricks macros for specifying mathematical
constraints. It is thus possible to build point using common
transformations or intersections. The use of coordinates is
limited to points which controlled the figure.

%package pst-eucl-doc
Summary: Documentation for pst-eucl
Version: svn43911
Provides: tex-pst-eucl-doc
AutoReqProv: No

%description pst-eucl-doc
Documentation for pst-eucl

%package pst-exa
Provides: tex-pst-exa = %{tl_version}
License: LPPL
Summary: Typeset PSTricks examples, with code
Version: svn45289
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(xcolor.sty)
Requires: tex(showexpl.sty)
Requires: tex(accsupp.sty)
Requires: tex(changepage.sty)
Requires: tex(tcolorbox.sty)
Provides: tex(pst-exa.sty) = %{tl_version}

%description pst-exa
The (PSTricks-related) package provides an environment
PSTexample to put code and output side by side or one above the
other.

%package pst-exa-doc
Summary: Documentation for pst-exa
Version: svn45289
Provides: tex-pst-exa-doc
AutoReqProv: No

%description pst-exa-doc
Documentation for pst-exa

%package pst-fill
Provides: tex-pst-fill = %{tl_version}
License: LPPL
Summary: Fill or tile areas with PSTricks
Version: svn15878.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-fill.tex) = %{tl_version}
Provides: tex(pst-fill.sty) = %{tl_version}

%description pst-fill
Pst-fill is a PSTricks-based package for filling and tiling
areas or characters.

%package pst-fill-doc
Summary: Documentation for pst-fill
Version: svn15878.1.01

Provides: tex-pst-fill-doc
AutoReqProv: No

%description pst-fill-doc
Documentation for pst-fill

%package pst-fit
Provides: tex-pst-fit = %{tl_version}
License: LPPL
Summary: Macros for curve fitting
Version: svn45109
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Requires: tex(pstricks-add.sty)
Provides: tex(pst-fit.tex) = %{tl_version}
Provides: tex(pst-fit.sty) = %{tl_version}

%description pst-fit
The package uses PSTricks to fit curves to: Linear Functions;
Power Functions; exp Function; Log_{10} and Log_e functions;
Recip; Kings Law data; Gaussian; and 4th order Polynomial

%package pst-fit-doc
Summary: Documentation for pst-fit
Version: svn45109
Provides: tex-pst-fit-doc
AutoReqProv: No

%description pst-fit-doc
Documentation for pst-fit

%package pst-fr3d
Provides: tex-pst-fr3d = %{tl_version}
License: LPPL
Summary: Draw 3-dimensional framed boxes using PSTricks
Version: svn15878.1.10

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-fr3d.tex) = %{tl_version}
Provides: tex(pst-fr3d.sty) = %{tl_version}

%description pst-fr3d
A package using PSTricks to draw three dimensional framed boxes
using a macro \PstFrameBoxThreeD. The macro is especially
useful for drawing 3d-seeming buttons.

%package pst-fr3d-doc
Summary: Documentation for pst-fr3d
Version: svn15878.1.10

Provides: tex-pst-fr3d-doc
AutoReqProv: No

%description pst-fr3d-doc
Documentation for pst-fr3d

%package pst-fractal
Provides: tex-pst-fractal = %{tl_version}
License: LPPL
Summary: Draw fractal sets using PSTricks
Version: svn16958.0.06

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-fractal.tex) = %{tl_version}
Provides: tex(pst-fractal.sty) = %{tl_version}

%description pst-fractal
The package uses PSTricks to draw the Julia and Mandelbrot
sets, the Sierpinski triangle, Koch flake, and Apollonius
Circle as well as fractal trees (which need not be balanced)
with a variety of different parameters (including varying
numbers of iterations). The package uses the pst-xkey package,
part of the xkeyval distribution.

%package pst-fractal-doc
Summary: Documentation for pst-fractal
Version: svn16958.0.06

Provides: tex-pst-fractal-doc
AutoReqProv: No

%description pst-fractal-doc
Documentation for pst-fractal

%package pst-fun
Provides: tex-pst-fun = %{tl_version}
License: LPPL
Summary: Draw "funny" objects with PSTricks
Version: svn17909.0.04

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pst-slpe.sty)
Requires: tex(multido.sty)
Provides: tex(pst-fun.tex) = %{tl_version}
Provides: tex(pst-fun.sty) = %{tl_version}

%description pst-fun
This is a PSTricks related package for drawing funny objects,
like ant, bird, fish, kangaroo, ... Such objects may be useful
for testing other PSTricks macros and/or packages. (Or they can
be used for fun...)

%package pst-fun-doc
Summary: Documentation for pst-fun
Version: svn17909.0.04

Provides: tex-pst-fun-doc
AutoReqProv: No

%description pst-fun-doc
Documentation for pst-fun

%package pst-func
Provides: tex-pst-func = %{tl_version}
License: LPPL
Summary: PSTricks package for plotting mathematical functions
Version: svn45112
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-func.tex) = %{tl_version}
Provides: tex(pst-func.sty) = %{tl_version}

%description pst-func
The package is built for use with PSTricks. It provides macros
for plotting and manipulating various mathematical functions:
polynomials and their derivatives f(x)=an*x^n+an-1*x^(n-
1)+...+a0 defined by the coefficients a0 a1 a2 ... and the
derivative order; the Fourier sum f(x) = a0/2+a1cos(omega
x)+...+b1sin(omega x)+... defined by the coefficients a0 a1 a2
... b1 b2 b3 ...; the Bessel function defined by its order; the
Gauss function defined by sigma and mu; Bezier curves from
order 1 (two control points) to order 9 (10 control points);
the superellipse function (the Lame curve); Chebyshev
polynomials of the first and second kind; the Thomae (or
popcorn) function; the Weierstrass function; various
integration-derived functions; normal, binomial, poisson,
gamma, chi-squared, student's t, F, beta, Cauchy and Weibull
distribution functions and the Lorenz curve; the zeroes of a
function, or the intermediate point of two functions; the
Vasicek function for describing the evolution of interest
rates; and implicit functions. The plots may be generated as
volumes of rotation about the X-axis, as well.

%package pst-func-doc
Summary: Documentation for pst-func
Version: svn45112
Provides: tex-pst-func-doc
AutoReqProv: No

%description pst-func-doc
Documentation for pst-func

%package pst-gantt
Provides: tex-pst-gantt = %{tl_version}
License: LPPL
Summary: Draw GANTT charts with pstricks
Version: svn35832.0.22a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-gantt.tex) = %{tl_version}
Provides: tex(pst-gantt.sty) = %{tl_version}

%description pst-gantt
The package uses PSTricks to draw GANTT charts, which are a
kind of bar chart that displays a project schedule. The package
requires the pstricks apparatus, of course.

%package pst-gantt-doc
Summary: Documentation for pst-gantt
Version: svn35832.0.22a

Provides: tex-pst-gantt-doc
AutoReqProv: No

%description pst-gantt-doc
Documentation for pst-gantt

%package pst-geo
Provides: tex-pst-geo = %{tl_version}
License: LPPL
Summary: Geographical Projections
Version: svn44131
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(aus.dat) = %{tl_version}
Provides: tex(c-cap.dat) = %{tl_version}
Provides: tex(c-sub.dat) = %{tl_version}
Provides: tex(canada.dat) = %{tl_version}
Provides: tex(capitales.tex) = %{tl_version}
Provides: tex(capitales3d.tex) = %{tl_version}
Provides: tex(capitals.dat) = %{tl_version}
Provides: tex(cities.tex) = %{tl_version}
Provides: tex(citycapitals.dat) = %{tl_version}
Provides: tex(citysub.dat) = %{tl_version}
Provides: tex(corse.dat) = %{tl_version}
Provides: tex(france.dat) = %{tl_version}
Provides: tex(mex.dat) = %{tl_version}
Provides: tex(pborder.dat) = %{tl_version}
Provides: tex(pcoast.dat) = %{tl_version}
Provides: tex(pisland.dat) = %{tl_version}
Provides: tex(plake.dat) = %{tl_version}
Provides: tex(rhone.dat) = %{tl_version}
Provides: tex(ridge.dat) = %{tl_version}
Provides: tex(river.dat) = %{tl_version}
Provides: tex(seine.dat) = %{tl_version}
Provides: tex(transfrm.dat) = %{tl_version}
Provides: tex(trench.dat) = %{tl_version}
Provides: tex(usa.dat) = %{tl_version}
Provides: tex(villesFrance.tex) = %{tl_version}
Provides: tex(villesFrance3d.tex) = %{tl_version}
Provides: tex(villesItalia.tex) = %{tl_version}
Provides: tex(villesItalia3d.tex) = %{tl_version}
Provides: tex(wfraczon.dat) = %{tl_version}
Provides: tex(wmaglin.dat) = %{tl_version}
Provides: tex(africa-bdy.dat) = %{tl_version}
Provides: tex(africa-cil.dat) = %{tl_version}
Provides: tex(africa-riv.dat) = %{tl_version}
Provides: tex(asia-bdy.dat) = %{tl_version}
Provides: tex(asia-cil.dat) = %{tl_version}
Provides: tex(asia-isl.dat) = %{tl_version}
Provides: tex(asia-riv.dat) = %{tl_version}
Provides: tex(c-cap.dat) = %{tl_version}
Provides: tex(c-sub.dat) = %{tl_version}
Provides: tex(citycapitals.dat) = %{tl_version}
Provides: tex(citysub.dat) = %{tl_version}
Provides: tex(europe-bdy.dat) = %{tl_version}
Provides: tex(europe-cil.dat) = %{tl_version}
Provides: tex(europe-riv.dat) = %{tl_version}
Provides: tex(namer-bdy.dat) = %{tl_version}
Provides: tex(namer-cil.dat) = %{tl_version}
Provides: tex(namer-pby.dat) = %{tl_version}
Provides: tex(namer-riv.dat) = %{tl_version}
Provides: tex(samer-arc.dat) = %{tl_version}
Provides: tex(samer-bdy.dat) = %{tl_version}
Provides: tex(samer-cil.dat) = %{tl_version}
Provides: tex(samer-riv.dat) = %{tl_version}
Provides: tex(pst-map2d.tex) = %{tl_version}
Provides: tex(pst-map2dII.tex) = %{tl_version}
Provides: tex(pst-map3d.tex) = %{tl_version}
Provides: tex(pst-map3dII.tex) = %{tl_version}
Provides: tex(pst-map2d.sty) = %{tl_version}
Provides: tex(pst-map2dII.sty) = %{tl_version}
Provides: tex(pst-map3d.sty) = %{tl_version}
Provides: tex(pst-map3dII.sty) = %{tl_version}

%description pst-geo
The package offers a set of PSTricks related packages for
various cartographic projections of the terrestrial sphere. The
package pst-map2d provides conventional projections such as
Mercator, Lambert, cylindrical, etc. The package pst-map3d
treats representation in three dimensions of the terrestrial
sphere. Packages pst-map2dII and pst-map3dII allow use of the
CIA World DataBank II. Various parameters of the packages allow
for choice of the level of the detail and the layouts possible
(cities, borders, rivers etc). Substantial data files are
provided, in an (internally) compressed format. Decompression
happens on-the-fly as a document using the data is displayed,
printed or converted to PDF format. A Perl script is provided
for the user to do the decompression, if the need should arise.

%package pst-geo-doc
Summary: Documentation for pst-geo
Version: svn44131
Provides: tex-pst-geo-doc
AutoReqProv: No

%description pst-geo-doc
Documentation for pst-geo

%package pst-ghsb
Provides: tex-pst-ghsb = %{tl_version}
License: LPPL
Summary: pst-ghsb package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-ghsb.tex) = %{tl_version}
Provides: tex(pst-ghsb.sty) = %{tl_version}

%description pst-ghsb
pst-ghsb package

%package pst-ghsb-doc
Summary: Documentation for pst-ghsb
Version: svn15878.0

Provides: tex-pst-ghsb-doc
AutoReqProv: No

%description pst-ghsb-doc
Documentation for pst-ghsb

%package pst-gr3d
Provides: tex-pst-gr3d = %{tl_version}
License: LPPL
Summary: Three dimensional grids with PSTricks
Version: svn15878.1.34

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-gr3d.tex) = %{tl_version}
Provides: tex(pst-gr3d.sty) = %{tl_version}

%description pst-gr3d
This PSTricks package provides a command \PstGridThreeD that
will draw a three dimensional grid, offering a number of
options for its appearance.

%package pst-gr3d-doc
Summary: Documentation for pst-gr3d
Version: svn15878.1.34

Provides: tex-pst-gr3d-doc
AutoReqProv: No

%description pst-gr3d-doc
Documentation for pst-gr3d

%package pst-grad
Provides: tex-pst-grad = %{tl_version}
License: LPPL
Summary: Filling with colour gradients, using PStricks
Version: svn15878.1.06

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-grad.tex) = %{tl_version}
Provides: tex(pst-grad.sty) = %{tl_version}

%description pst-grad
The package fills with colour gradients, using PSTricks. The
RGB, CMYK and HSB models are supported. Other colour gradient
mechanisms are to be found in package pst-slpe.

%package pst-grad-doc
Summary: Documentation for pst-grad
Version: svn15878.1.06

Provides: tex-pst-grad-doc
AutoReqProv: No

%description pst-grad-doc
Documentation for pst-grad

%package pst-graphicx
Provides: tex-pst-graphicx = %{tl_version}
License: LPPL
Summary: A pstricks-compatible graphicx for use with Plain TeX
Version: svn21717.0.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-graphicx.tex) = %{tl_version}

%description pst-graphicx
The package provides a version of graphicx that avoids loading
the graphics bundle's (original) keyval package, which clashes
with pstricks' use of xkeyval.

%package pst-graphicx-doc
Summary: Documentation for pst-graphicx
Version: svn21717.0.02

Provides: tex-pst-graphicx-doc
AutoReqProv: No

%description pst-graphicx-doc
Documentation for pst-graphicx

%package pst-infixplot
Provides: tex-pst-infixplot = %{tl_version}
License: LPPL
Summary: Using pstricks plotting capacities with infix expressions rather than RPN
Version: svn15878.0.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(infix-RPN.tex) = %{tl_version}
Provides: tex(pst-infixplot.tex) = %{tl_version}
Provides: tex(infix-RPN.sty) = %{tl_version}
Provides: tex(pst-infixplot.sty) = %{tl_version}

%description pst-infixplot
Plotting functions with pst-plot is very powerful but sometimes
difficult to learn since the syntax of \psplot and
\parametricplot requires some PostScript knowledge. The infix-
RPN and pst-infixplot styles simplify the usage of pst-plot for
the beginner, providing macro commands that convert natural
mathematical expressions to PostScript syntax.

%package pst-infixplot-doc
Summary: Documentation for pst-infixplot
Version: svn15878.0.11

Provides: tex-pst-infixplot-doc
AutoReqProv: No

%description pst-infixplot-doc
Documentation for pst-infixplot

%package pst-intersect
Provides: tex-pst-intersect = %{tl_version}
License: LPPL
Summary: Compute intersections of arbitrary curves
Version: svn33210.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-func.sty)
Provides: tex(pst-intersect.tex) = %{tl_version}
Provides: tex(pst-intersect.sty) = %{tl_version}

%description pst-intersect
The package computes the intersections between arbitrary
Postscript paths or Bezier curves, using the Bezier clipping
algorithm.

%package pst-intersect-doc
Summary: Documentation for pst-intersect
Version: svn33210.0.4

Provides: tex-pst-intersect-doc
AutoReqProv: No

%description pst-intersect-doc
Documentation for pst-intersect

%package pst-jtree
Provides: tex-pst-jtree = %{tl_version}
License: LPPL 1.3
Summary: Typeset complex trees for linguists
Version: svn20946.2.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-jtree.tex) = %{tl_version}
Provides: tex(pst-jtree.sty) = %{tl_version}

%description pst-jtree
jTree uses PStricks to enable linguists to typeset complex
trees. The package requires use of PStricks (of course) and
xkeyval packages. jTree is a development of, and replacement
for, the jftree package, which is no longer available.

%package pst-jtree-doc
Summary: Documentation for pst-jtree
Version: svn20946.2.6

Provides: tex-pst-jtree-doc
AutoReqProv: No

%description pst-jtree-doc
Documentation for pst-jtree

%package pst-knot
Provides: tex-pst-knot = %{tl_version}
License: LPPL
Summary: PSTricks package for displaying knots
Version: svn16033.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-knot.tex) = %{tl_version}
Provides: tex(pst-knot.sty) = %{tl_version}

%description pst-knot
The package can produce a fair range of knot shapes, with all
the standard graphics controls one expects.

%package pst-knot-doc
Summary: Documentation for pst-knot
Version: svn16033.0.2

Provides: tex-pst-knot-doc
AutoReqProv: No

%description pst-knot-doc
Documentation for pst-knot

%package pst-labo
Provides: tex-pst-labo = %{tl_version}
License: LPPL
Summary: Draw objects for Chemistry laboratories
Version: svn39077

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-labo.tex) = %{tl_version}
Provides: tex(pst-laboObj.tex) = %{tl_version}
Provides: tex(pst-labo.sty) = %{tl_version}

%description pst-labo
Pst-labo is a PSTricks related package for drawing basic and
complex chemical objects. The documentation of the package is
illuminated with plenty of illustrations together with their
source code, making it an easy read.

%package pst-labo-doc
Summary: Documentation for pst-labo
Version: svn39077

Provides: tex-pst-labo-doc
AutoReqProv: No

%description pst-labo-doc
Documentation for pst-labo

%package pst-layout
Provides: tex-pst-layout = %{tl_version}
License: LPPL
Summary: Page layout macros based on PStricks packages
Version: svn29803.95

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(ifthen.sty)
Requires: tex(arrayjobx.sty)
Provides: tex(pst-layout.sty) = %{tl_version}

%description pst-layout
The package provides a means of creating elaborate ("pseudo-
tabular") layouts of material, typically to be overlaid on an
included graphic. The package requires a recent version of the
package pst-node and some other pstricks-related material.

%package pst-layout-doc
Summary: Documentation for pst-layout
Version: svn29803.95

Provides: tex-pst-layout-doc
AutoReqProv: No

%description pst-layout-doc
Documentation for pst-layout

%package pst-lens
Provides: tex-pst-lens = %{tl_version}
License: LPPL
Summary: Lenses with PSTricks
Version: svn15878.1.02

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-lens.tex) = %{tl_version}
Provides: tex(pst-lens.sty) = %{tl_version}

%description pst-lens
This PSTricks package provides a really rather simple command
\PstLens that will draw a lens. Command parameters provide a
remarkable range of effects.

%package pst-lens-doc
Summary: Documentation for pst-lens
Version: svn15878.1.02

Provides: tex-pst-lens-doc
AutoReqProv: No

%description pst-lens-doc
Documentation for pst-lens

%package pst-light3d
Provides: tex-pst-light3d = %{tl_version}
License: LPPL
Summary: Three dimensional lighting effects (PSTricks)
Version: svn15878.0.12

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-light3d.tex) = %{tl_version}
Provides: tex(pst-light3d.sty) = %{tl_version}

%description pst-light3d
A PSTricks package for three dimensional lighting effects on
characters and PSTricks graphics, like lines, curves, plots,
...

%package pst-light3d-doc
Summary: Documentation for pst-light3d
Version: svn15878.0.12

Provides: tex-pst-light3d-doc
AutoReqProv: No

%description pst-light3d-doc
Documentation for pst-light3d

%package pst-magneticfield
Provides: tex-pst-magneticfield = %{tl_version}
License: LPPL
Summary: Plotting a magnetic field with PSTricks
Version: svn18922.1.13

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-3d.sty)
Requires: tex(multido.sty)
Provides: tex(pst-magneticfield.tex) = %{tl_version}
Provides: tex(pst-magneticfield.sty) = %{tl_version}

%description pst-magneticfield
pst-magneticfield is a PSTricks related package to draw the
magnetic field lines of Helmholtz coils in a two or three
dimensional view. There are several parameters to create a
different output. For more informations or some examples read
the documentation of the package.

%package pst-magneticfield-doc
Summary: Documentation for pst-magneticfield
Version: svn18922.1.13

Provides: tex-pst-magneticfield-doc
AutoReqProv: No

%description pst-magneticfield-doc
Documentation for pst-magneticfield

%package pst-math
Provides: tex-pst-math = %{tl_version}
License: LPPL
Summary: Enhancement of PostScript math operators to use with pstricks
Version: svn34786.0.63

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-math.tex) = %{tl_version}
Provides: tex(pst-math.sty) = %{tl_version}

%description pst-math
PostScript lacks a lot of basic operators such as tan, acos,
asin, cosh, sinh, tanh, acosh, asinh, atanh, exp (with e base).
Also (oddly) cos and sin use arguments in degrees. Pst-math
provides all those operators in a header file pst-math.pro with
wrappers pst-math.sty and pst-math.tex. In addition, sinc,
gauss, gammaln and bessel are implemented (only partially for
the latter). The package is designed essentially to work with
pst-plot but can be used in whatever PS code (such as pstricks
SpecialCoor "!", which is useful for placing labels). The
package also provides a routine SIMPSON for numerical
integration and a solver of linear equation systems.

%package pst-math-doc
Summary: Documentation for pst-math
Version: svn34786.0.63

Provides: tex-pst-math-doc
AutoReqProv: No

%description pst-math-doc
Documentation for pst-math

%package pst-mirror
Provides: tex-pst-mirror = %{tl_version}
License: LPPL
Summary: Images on a spherical mirror
Version: svn32997.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-mirror.tex) = %{tl_version}
Provides: tex(pst-mirror.sty) = %{tl_version}

%description pst-mirror
The package provides commands and supporting PostScript
material for drawing images as if reflected by a spherical
mirror.

%package pst-mirror-doc
Summary: Documentation for pst-mirror
Version: svn32997.1.01

Provides: tex-pst-mirror-doc
AutoReqProv: No

%description pst-mirror-doc
Documentation for pst-mirror

%package pst-node
Provides: tex-pst-node = %{tl_version}
License: LPPL
Summary: Nodes and node connections in pstricks
Version: svn43015
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-node.tex) = %{tl_version}
Provides: tex(pst-node97.tex) = %{tl_version}
Provides: tex(pst-node.sty) = %{tl_version}
Provides: tex(pst-node97.sty) = %{tl_version}

%description pst-node
The package enables the user to connect information, and to
place labels, without knowing (in advance) the actual positions
of the items to be connected, or where the connecting line
should go. The macros are useful for making graphs and trees,
mathematical diagrams, linguistic syntax diagrams, and so on.
The package contents were previously distributed as a part of
the pstricks base distribution; the package serves as an
extension to PSTricks.

%package pst-node-doc
Summary: Documentation for pst-node
Version: svn43015
Provides: tex-pst-node-doc
AutoReqProv: No

%description pst-node-doc
Documentation for pst-node

%package pst-ob3d
Provides: tex-pst-ob3d = %{tl_version}
License: LPPL
Summary: Three dimensional objects using PSTricks
Version: svn15878.0.21

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-ob3d.tex) = %{tl_version}
Provides: tex(pst-ob3d.sty) = %{tl_version}

%description pst-ob3d
The package uses PSTricks to provide basic three-dimensional
objects. As yet, only cubes (which can be deformed to
rectangular parallelipipeds) and dies (which are only a special
kind of cubes) are defined.

%package pst-ob3d-doc
Summary: Documentation for pst-ob3d
Version: svn15878.0.21

Provides: tex-pst-ob3d-doc
AutoReqProv: No

%description pst-ob3d-doc
Documentation for pst-ob3d

%package pst-ode
Provides: tex-pst-ode = %{tl_version}
License: LPPL
Summary: Solving initial value problems for sets of Ordinary Differential Equations
Version: svn45057
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-ode.tex) = %{tl_version}
Provides: tex(pst-ode.sty) = %{tl_version}

%description pst-ode
The package defines \pstODEsolve for solving initial value
problems for sets of Ordinary Differential Equations (ODE)
using the Runge-Kutta-Fehlberg (RKF45) method with automatic
step size adjustment. The result is stored as a PostScript
object and may be plotted later using macros from other
PSTricks packages, such as \listplot (pst-plot) and
\listplotThreeD (pst-3dplot), or may be further processed by
user-defined PostScript procedures. Optionally, the computed
state vectors can be written as a table to a text file.

%package pst-ode-doc
Summary: Documentation for pst-ode
Version: svn45057
Provides: tex-pst-ode-doc
AutoReqProv: No

%description pst-ode-doc
Documentation for pst-ode

%package pst-optexp
Provides: tex-pst-optexp = %{tl_version}
License: LPPL 1.3
Summary: Drawing optical experimental setups
Version: svn35673.5.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-plot.sty)
Requires: tex(multido.sty)
Requires: tex(pst-eucl.sty)
Requires: tex(pst-intersect.sty)
Requires: tex(pstricks-add.sty)
Requires: tex(environ.sty)
Provides: tex(pst-optexp.sty) = %{tl_version}

%description pst-optexp
The package is a collection of optical components that
facilitate easy sketching of optical experimental setups. The
package uses PSTricks for its output. A wide range of free-ray
and fibre components is provided, the alignment, positioning
and labelling of which can be achieved in very simple and
flexible ways. The components may be connected with fibers or
beams, and realistic raytraced beam paths are also possible.

%package pst-optexp-doc
Summary: Documentation for pst-optexp
Version: svn35673.5.2

Provides: tex-pst-optexp-doc
AutoReqProv: No

%description pst-optexp-doc
Documentation for pst-optexp

%package pst-optic
Provides: tex-pst-optic = %{tl_version}
License: LPPL
Summary: Drawing optics diagrams
Version: svn41999
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-optic.tex) = %{tl_version}
Provides: tex(pst-optic.sty) = %{tl_version}

%description pst-optic
A package for drawing both reflective and refractive optics
diagrams. The package requires pstricks later than version
1.10.

%package pst-optic-doc
Summary: Documentation for pst-optic
Version: svn41999
Provides: tex-pst-optic-doc
AutoReqProv: No

%description pst-optic-doc
Documentation for pst-optic

%package pst-osci
Provides: tex-pst-osci = %{tl_version}
License: LPPL
Summary: Oscgons with PSTricks
Version: svn15878.2.82

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-osci.tex) = %{tl_version}
Provides: tex(pst-osci.sty) = %{tl_version}

%description pst-osci
pst-osci is a PSTricks package enables you to produce
oscilloscope "screen shots". Three channels can be used to
represent the most common signals (damped or not): namely
sinusoidal, rectangular, triangular, dog's tooth (left and
right oriented). The third channel allows you to add, to
subtract or to multiply the two other signals. Lissajous
diagrams (XY-mode) can also be obtained.

%package pst-osci-doc
Summary: Documentation for pst-osci
Version: svn15878.2.82

Provides: tex-pst-osci-doc
AutoReqProv: No

%description pst-osci-doc
Documentation for pst-osci

%package pst-ovl
Provides: tex-pst-ovl = %{tl_version}
License: LPPL
Summary: Create and manage graphical overlays
Version: svn45506
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(pst-ovl.tex) = %{tl_version}
Provides: tex(pst-ovl.sty) = %{tl_version}

%description pst-ovl
The package is useful when building an image from assorted
material, as in the slides of a projected presentation. The
package requires pstricks, and shares that package's
restrictions on usage when generating PDF output.

%package pst-ovl-doc
Summary: Documentation for pst-ovl
Version: svn45506
Provides: tex-pst-ovl-doc
AutoReqProv: No

%description pst-ovl-doc
Documentation for pst-ovl

%package pst-pad
Provides: tex-pst-pad = %{tl_version}
License: LPPL
Summary: Draw simple attachment systems with PSTricks
Version: svn15878.0.3b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-pad.tex) = %{tl_version}
Provides: tex(pst-pad.sty) = %{tl_version}

%description pst-pad
The package collects a set of graphical elements based on
PStricks that can be used to facilitate display of attachment
systems such as two differently shaped surfaces with or without
a fluid wedged in between. These macros ease the display of wet
adhesion models and common friction systems such as boundary
lubrication, elastohydrodynamic lubrication and hydrodynamic
lubrication.

%package pst-pad-doc
Summary: Documentation for pst-pad
Version: svn15878.0.3b

Provides: tex-pst-pad-doc
AutoReqProv: No

%description pst-pad-doc
Documentation for pst-pad

%package pst-pdgr
Provides: tex-pst-pdgr = %{tl_version}
License: LPPL
Summary: Draw medical pedigrees using pstricks
Version: svn15878.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-pdgr.tex) = %{tl_version}
Provides: tex(pst-pdgr.cfg) = %{tl_version}
Provides: tex(pst-pdgr.sty) = %{tl_version}

%description pst-pdgr
The package provides a set of macros based on PSTricks to draw
medical pedigrees according to the recommendations for
standardized human pedigree nomenclature. The drawing commands
place the symbols on a pspicture canvas. An interface for
making trees is also provided. The package may be used both
with LaTeX and PlainTeX. A separate Perl program for generating
TeX files from spreadsheets is available.

%package pst-pdgr-doc
Summary: Documentation for pst-pdgr
Version: svn15878.0.3

Provides: tex-pst-pdgr-doc
AutoReqProv: No

%description pst-pdgr-doc
Documentation for pst-pdgr

%package pst-perspective
Provides: tex-pst-perspective = %{tl_version}
License: LPPL 1.3
Summary: Draw perspective views using pstricks
Version: svn39585

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-grad.sty)
Provides: tex(pst-perspective.tex) = %{tl_version}
Provides: tex(pst-perspective.sty) = %{tl_version}

%description pst-perspective
The package provides the means to draw an orthogonal parallel
projection with an arbitrarily chosen angle and a variable
shortening factor.

%package pst-perspective-doc
Summary: Documentation for pst-perspective
Version: svn39585

Provides: tex-pst-perspective-doc
AutoReqProv: No

%description pst-perspective-doc
Documentation for pst-perspective

%package pst-platon
Provides: tex-pst-platon = %{tl_version}
License: LPPL
Summary: Platonic solids in PSTricks
Version: svn16538.0.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-3d.sty)
Requires: tex(pst-xkey.sty)
Provides: tex(pst-platon.sty) = %{tl_version}

%description pst-platon
The package adds to PSTricks the ability to draw 3-dimensional
views of the five Platonic solids.

%package pst-platon-doc
Summary: Documentation for pst-platon
Version: svn16538.0.01

Provides: tex-pst-platon-doc
AutoReqProv: No

%description pst-platon-doc
Documentation for pst-platon

%package pst-plot
Provides: tex-pst-plot = %{tl_version}
License: LPPL
Summary: Plot data using PSTricks
Version: svn45199
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(multido.sty)
Provides: tex(pst-plot.tex) = %{tl_version}
Provides: tex(pst-plot97.tex) = %{tl_version}
Provides: tex(pst-plot.sty) = %{tl_version}

%description pst-plot
The package provides plotting of data (typically from external
files), using PSTricks. Plots may be configured using a wide
variety of parameters.

%package pst-plot-doc
Summary: Documentation for pst-plot
Version: svn45199
Provides: tex-pst-plot-doc
AutoReqProv: No

%description pst-plot-doc
Documentation for pst-plot

%package pst-poly
Provides: tex-pst-poly = %{tl_version}
License: LPPL
Summary: Polygons with PSTricks
Version: svn35062.1.63

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-poly.tex) = %{tl_version}
Provides: tex(pst-poly.sty) = %{tl_version}

%description pst-poly
This PSTricks package provides a really rather simple command
\PstPolygon that will draw various regular and non-regular
polygons (according to command parameters); various shortcuts
to commonly-used polygons are provided, as well as a command
\pspolygonbox that frames text with a polygon. The package uses
the xkeyval package for argument decoding.

%package pst-poly-doc
Summary: Documentation for pst-poly
Version: svn35062.1.63

Provides: tex-pst-poly-doc
AutoReqProv: No

%description pst-poly-doc
Documentation for pst-poly

%package pst-pulley
Provides: tex-pst-pulley = %{tl_version}
License: LPPL 1.3
Summary: Plot pulleys, using pstricks
Version: svn45316
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-pulley.tex) = %{tl_version}
Provides: tex(pst-pulley.sty) = %{tl_version}

%description pst-pulley
The package enables the user to draw pulley systems with up to
6 pulleys. The pulley diagrams are labelled with the physical
properties of the system. The package uses pstricks, and
requires a several pstricks-related packages.

%package pst-pulley-doc
Summary: Documentation for pst-pulley
Version: svn45316
Provides: tex-pst-pulley-doc
AutoReqProv: No

%description pst-pulley-doc
Documentation for pst-pulley

%package pst-qtree
Provides: tex-pst-qtree = %{tl_version}
License: GPL+
Summary: Simple syntax for trees
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pst-qtree.tex) = %{tl_version}
Provides: tex(pst-qtree.sty) = %{tl_version}

%description pst-qtree
The package provides a qtree-like front end for PSTricks.

%package pst-qtree-doc
Summary: Documentation for pst-qtree
Version: svn15878.0

Provides: tex-pst-qtree-doc
AutoReqProv: No

%description pst-qtree-doc
Documentation for pst-qtree

%package pst-rubans
Provides: tex-pst-rubans = %{tl_version}
License: LPPL
Summary: Draw three-dimensional ribbons
Version: svn23464.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-rubans.tex) = %{tl_version}
Provides: tex(pst-rubans.sty) = %{tl_version}

%description pst-rubans
The package uses PStricks and pst-solides3d to draw three
dimensional ribbons on a cylinder, torus, sphere, cone or
paraboloid. The width of the ribbon, the number of turns, the
colour of the outer and the inner surface of the ribbon may be
set. In the case of circular and conical helices, one may also
choose the number of ribbons.

%package pst-rubans-doc
Summary: Documentation for pst-rubans
Version: svn23464.1.2

Provides: tex-pst-rubans-doc
AutoReqProv: No

%description pst-rubans-doc
Documentation for pst-rubans

%package pst-sigsys
Provides: tex-pst-sigsys = %{tl_version}
License: LPPL
Summary: Support of signal processing-related disciplines
Version: svn21667.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-sigsys.tex) = %{tl_version}
Provides: tex(pst-sigsys.sty) = %{tl_version}

%description pst-sigsys
The package offers a collection of useful macros for
disciplines related to signal processing. It defines macros for
plotting a sequence of numbers, drawing the pole-zero diagram
of a system, shading the region of convergence, creating an
adder or a multiplier node, placing a framed node at a given
coordinate, creating an up-sampler or a down-sampler node,
drawing the block diagram of a system, drawing adaptive
systems, sequentially connecting a list of nodes, and
connecting a list of nodes using any node-connecting macro.

%package pst-sigsys-doc
Summary: Documentation for pst-sigsys
Version: svn21667.1.4

Provides: tex-pst-sigsys-doc
AutoReqProv: No

%description pst-sigsys-doc
Documentation for pst-sigsys

%package pst-slpe
Provides: tex-pst-slpe = %{tl_version}
License: LPPL
Summary: Sophisticated colour gradients
Version: svn24391.1.31

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-slpe.tex) = %{tl_version}
Provides: tex(pst-slpe.sty) = %{tl_version}

%description pst-slpe
This PStricks package covers all the colour gradient
functionality of pst-grad (part of the base pstricks
distribution), and provides the following facilities: it
permits the user to specify an arbitrary number of colours,
along with the points at which they are to be reached; it
converts between RGB and HSV behind the scenes; it provides
concentric and radial gradients; it provides a command \psBall
that generates bullets with a three-dimensional appearance; and
uses the xkeyval package for the extended key handling.

%package pst-slpe-doc
Summary: Documentation for pst-slpe
Version: svn24391.1.31

Provides: tex-pst-slpe-doc
AutoReqProv: No

%description pst-slpe-doc
Documentation for pst-slpe

%package pst-solarsystem
Provides: tex-pst-solarsystem = %{tl_version}
License: LPPL
Summary: Plot the solar system for a specific date
Version: svn45097
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-solarsystem.tex) = %{tl_version}
Provides: tex(pst-solarsystem.sty) = %{tl_version}

%description pst-solarsystem
The package uses pstricks to produce diagrams of the visible
planets, projected on the plane of the ecliptic. It is not
possible to represent all the planets in their real
proportions, so only Mercury, Venus, Earth and Mars have their
orbits in correct proportions and their relative sizes are
observed. Saturn and Jupiter are in the right direction, but
not in the correct size.

%package pst-solarsystem-doc
Summary: Documentation for pst-solarsystem
Version: svn45097
Provides: tex-pst-solarsystem-doc
AutoReqProv: No

%description pst-solarsystem-doc
Documentation for pst-solarsystem

%package pst-solides3d
Provides: tex-pst-solides3d = %{tl_version}
License: LPPL 1.3
Summary: Draw perspective views of 3D solids
Version: svn45113
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-solides3d.tex) = %{tl_version}
Provides: tex(pst-solides3d.sty) = %{tl_version}

%description pst-solides3d
The package is designed to draw solids in 3d perspective.
Features include: create primitive solids; create solids by
including a list of its vertices and faces; faces of solids and
surfaces can be colored by choosing from a very large palette
of colors; draw parametric surfaces in algebraic and reverse
polish notation; create explicit and parameterized algebraic
functions drawn in 2 or 3 dimensions; project text onto a plane
or onto the faces of a solid; support for including external
database files.

%package pst-solides3d-doc
Summary: Documentation for pst-solides3d
Version: svn45113
Provides: tex-pst-solides3d-doc
AutoReqProv: No

%description pst-solides3d-doc
Documentation for pst-solides3d

%package pst-soroban
Provides: tex-pst-soroban = %{tl_version}
License: LPPL
Summary: Draw a Soroban using PSTricks
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks-add.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Provides: tex(pst-soroban.sty) = %{tl_version}

%description pst-soroban
The package uses PSTricks to draw a Japanese abacus, or
soroban. The soroban is still used in Japan today.

%package pst-soroban-doc
Summary: Documentation for pst-soroban
Version: svn15878.1.0

Provides: tex-pst-soroban-doc
AutoReqProv: No

%description pst-soroban-doc
Documentation for pst-soroban

%package pst-spectra
Provides: tex-pst-spectra = %{tl_version}
License: LPPL
Summary: Draw continuum, emission and absorption spectra with PSTricks
Version: svn15878.0.91

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(multido.sty)
Requires: tex(xkeyval.sty)
Provides: tex(pst-spectra.tex) = %{tl_version}
Provides: tex(pst-spectra.sty) = %{tl_version}

%description pst-spectra
The package is a PSTricks extension, based on a NASA lines
database. It allows you to draw continuum, emission and
absorption spectra. A Total of 16 880 visible lines from 99
elements can be displayed. The package requires the xkeyval
package for decoding its arguments.

%package pst-spectra-doc
Summary: Documentation for pst-spectra
Version: svn15878.0.91

Provides: tex-pst-spectra-doc
AutoReqProv: No

%description pst-spectra-doc
Documentation for pst-spectra

%package pst-spirograph
Provides: tex-pst-spirograph = %{tl_version}
License: LPPL
Summary: Drawing hypotrochoids as with a spirograph
Version: svn35026.0.41

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-spirograph.tex) = %{tl_version}
Provides: tex(pst-spirograph.sty) = %{tl_version}

%description pst-spirograph
The package simulates the action of a spirograph, which is a
geometric drawing toy that produces mathematical roulette
curves (technically known as hypotrochoids and epitrochoids).

%package pst-spirograph-doc
Summary: Documentation for pst-spirograph
Version: svn35026.0.41

Provides: tex-pst-spirograph-doc
AutoReqProv: No

%description pst-spirograph-doc
Documentation for pst-spirograph

%package pst-stru
Provides: tex-pst-stru = %{tl_version}
License: LPPL
Summary: Civil engineering diagrams, using pstricks
Version: svn38613

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(multido.sty)
Provides: tex(pst-stru.tex) = %{tl_version}
Provides: tex(pst-stru.sty) = %{tl_version}

%description pst-stru
The package is a PSTricks-based, and provides facilities to
draw structural schemes in civil engineering analysis, for
beams, portals, arches and piles.

%package pst-stru-doc
Summary: Documentation for pst-stru
Version: svn38613

Provides: tex-pst-stru-doc
AutoReqProv: No

%description pst-stru-doc
Documentation for pst-stru

%package pst-support-doc
Summary: Documentation for pst-support
Version: svn15878.0

Provides: tex-pst-support-doc
AutoReqProv: No

%description pst-support-doc
Documentation for pst-support

%package pst-text
Provides: tex-pst-text = %{tl_version}
License: LPPL
Summary: Text and character manipulation in PSTricks
Version: svn15878.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-char.tex) = %{tl_version}
Provides: tex(pst-text.tex) = %{tl_version}
Provides: tex(pst-char.sty) = %{tl_version}
Provides: tex(pst-text.sty) = %{tl_version}

%description pst-text
Pst-text is a PSTricks based package for plotting text along a
different path and manipulating characters. It includes the
functionality of the old package pst-char.

%package pst-text-doc
Summary: Documentation for pst-text
Version: svn15878.1.00

Provides: tex-pst-text-doc
AutoReqProv: No

%description pst-text-doc
Documentation for pst-text

%package pst-thick
Provides: tex-pst-thick = %{tl_version}
License: LPPL
Summary: Drawing very thick lines and curves
Version: svn16369.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-thick.tex) = %{tl_version}
Provides: tex(pst-thick.sty) = %{tl_version}

%description pst-thick
The package supports drawing of very thick lines and curves in
PSTricks, with various fillings for the body of the lines.

%package pst-thick-doc
Summary: Documentation for pst-thick
Version: svn16369.1.0

Provides: tex-pst-thick-doc
AutoReqProv: No

%description pst-thick-doc
Documentation for pst-thick

%package pst-tools
Provides: tex-pst-tools = %{tl_version}
License: LPPL
Summary: PStricks support functions
Version: svn45475
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-tools.tex) = %{tl_version}
Provides: tex(pst-tools.sty) = %{tl_version}

%description pst-tools
The package provides helper functions for other PSTricks
related packages.

%package pst-tools-doc
Summary: Documentation for pst-tools
Version: svn45475
Provides: tex-pst-tools-doc
AutoReqProv: No

%description pst-tools-doc
Documentation for pst-tools

%package pst-tree
Provides: tex-pst-tree = %{tl_version}
License: LPPL
Summary: Trees, using pstricks
Version: svn43272
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-tree.tex) = %{tl_version}
Provides: tex(pst-tree.sty) = %{tl_version}

%description pst-tree
pst-tree is a pstricks package that defines a macro \pstree
which offers a structured way of joining nodes created using
pst-node in order to draw trees.

%package pst-tree-doc
Summary: Documentation for pst-tree
Version: svn43272
Provides: tex-pst-tree-doc
AutoReqProv: No

%description pst-tree-doc
Documentation for pst-tree

%package pst-tvz
Provides: tex-pst-tvz = %{tl_version}
License: LPPL 1.3
Summary: Draw trees with more than one root node, using PSTricks
Version: svn23451.1.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-tvz.tex) = %{tl_version}
Provides: tex(pst-tvz.sty) = %{tl_version}

%description pst-tvz
The package uses PSTricks to draw trees with more than one root
node. It is similar to pst-tree, though it uses a different
placement algorithm.

%package pst-tvz-doc
Summary: Documentation for pst-tvz
Version: svn23451.1.01

Provides: tex-pst-tvz-doc
AutoReqProv: No

%description pst-tvz-doc
Documentation for pst-tvz

%package pst-uml
Provides: tex-pst-uml = %{tl_version}
License: LPPL
Summary: UML diagrams with PSTricks
Version: svn15878.0.83

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-multido
Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-tree.sty)
Requires: tex(multido.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(pst-xkey.sty)
Provides: tex(pst-uml.sty) = %{tl_version}

%description pst-uml
pst-uml is a PSTricks package that provides support for drawing
moderately complex UML (Universal Modelling Language) diagrams.
(The PDF documentation is written in French.)

%package pst-uml-doc
Summary: Documentation for pst-uml
Version: svn15878.0.83

Provides: tex-pst-uml-doc
AutoReqProv: No
Requires: tex-multido-doc

%description pst-uml-doc
Documentation for pst-uml

%package pst-vectorian
Provides: tex-pst-vectorian = %{tl_version}
License: LPPL
Summary: Printing ornaments
Version: svn28801.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(pstricks.sty)
Provides: tex(psvectorian.sty) = %{tl_version}

%description pst-vectorian
The package uses PStricks to draw ornaments (a substantial
repertoire of ornaments is provided).

%package pst-vectorian-doc
Summary: Documentation for pst-vectorian
Version: svn28801.0.4

Provides: tex-pst-vectorian-doc
AutoReqProv: No

%description pst-vectorian-doc
Documentation for pst-vectorian

%package pst-vowel
Provides: tex-pst-vowel = %{tl_version}
License: LPPL
Summary: Enable arrows showing diphthongs on vowel charts
Version: svn25228.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pst-node.sty)
Requires: tex(vowel.sty)
Provides: tex(pst-vowel.sty) = %{tl_version}

%description pst-vowel
The package extends the vowel package (distributed as part of
the tipa bundle) by allowing the user to draw arrows between
vowels to show relationships such as diphthong membership. The
package depends on use of pstricks.

%package pst-vowel-doc
Summary: Documentation for pst-vowel
Version: svn25228.1.0

Provides: tex-pst-vowel-doc
AutoReqProv: No

%description pst-vowel-doc
Documentation for pst-vowel

%package pst-vue3d
Provides: tex-pst-vue3d = %{tl_version}
License: LPPL
Summary: Draw perspective views of three dimensional objects
Version: svn15878.1.24

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Provides: tex(pst-vue3d.tex) = %{tl_version}
Provides: tex(pst-vue3d.sty) = %{tl_version}

%description pst-vue3d
With pst-vue3d three dimensional objects like cubes, spheres
and others can be viewed from different points. The
distribution includes a comprehensive set of examples of usage.

%package pst-vue3d-doc
Summary: Documentation for pst-vue3d
Version: svn15878.1.24

Provides: tex-pst-vue3d-doc
AutoReqProv: No

%description pst-vue3d-doc
Documentation for pst-vue3d

%package pstricks
Provides: tex-pstricks = %{tl_version}
License: LPPL 1.3
Summary: PostScript macros for TeX
Version: svn45464
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-pst-tools
Requires: tex(pst-plot.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-tree.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pst-coil.sty)
Requires: tex(pst-text.sty)
Requires: tex(pst-3d.sty)
Requires: tex(pst-eps.sty)
Requires: tex(pst-fill.sty)
Requires: tex(pstricks-add.sty)
Requires: tex(multido.sty)
Requires: tex(xcolor.sty)
Requires: tex(fontenc.sty)
Requires: tex(ifpdf.sty)
Requires: tex(textcomp.sty)
Requires: tex(bera.sty)
Requires: tex(xspace.sty)
Requires: tex(makeidx.sty)
Requires: tex(calc.sty)
Requires: tex(babel.sty)
Requires: tex(xkeyval.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(xkvview.sty)
Requires: tex(lscape.sty)
Requires: tex(graphicx.sty)
Requires: tex(eso-pic.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(tabularx.sty)
Requires: tex(ragged2e.sty)
Requires: tex(booktabs.sty)
Requires: tex(footmisc.sty)
Requires: tex(chngcntr.sty)
Requires: tex(nameref.sty)
Requires: tex(varioref.sty)
Requires: tex(subfig.sty)
Requires: tex(setspace.sty)
Requires: tex(paralist.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(filecontents.sty)
Requires: tex(showexpl.sty)
Requires: tex(scrpage2.sty)
Requires: tex(caption.sty)
Requires: tex(hyperref.sty)
Requires: tex(breakurl.sty)
Requires: tex(auto-pst-pdf.sty)
Requires: tex(pst-ovl.sty)
Provides: tex(README.cfg) = %{tl_version}
Provides: tex(distiller.cfg) = %{tl_version}
Provides: tex(dvips.cfg) = %{tl_version}
Provides: tex(dvipsone.cfg) = %{tl_version}
Provides: tex(gastex.cfg) = %{tl_version}
Provides: tex(textures.cfg) = %{tl_version}
Provides: tex(vtex.cfg) = %{tl_version}
Provides: tex(xdvipdfmx.cfg) = %{tl_version}
Provides: tex(pst-fp.tex) = %{tl_version}
Provides: tex(pst-key.tex) = %{tl_version}
Provides: tex(pstricks.tex) = %{tl_version}
Provides: tex(pstricks97.tex) = %{tl_version}
Provides: tex(pst-all.sty) = %{tl_version}
Provides: tex(pst-doc.cls) = %{tl_version}
Provides: tex(pst-key.sty) = %{tl_version}
Provides: tex(pstcol.sty) = %{tl_version}
Provides: tex(pstricks.sty) = %{tl_version}

%description pstricks
PSTricks offers an extensive collection of macros for
generating PostScript that is usable with most TeX macro
formats, including Plain TeX, LaTeX, AMS-TeX, and AMS-LaTeX.
Included are macros for colour, graphics, pie charts, rotation,
trees and overlays. It has many special features, including a
wide variety of graphics (picture drawing) macros, with a
flexible interface and with colour support. There are macros
for colouring or shading the cells of tables. The package
pstricks-add contains bug-fixes and additions for PSTricks
(among other things). PSTricks ordinarily uses PostScript
\special commands, which are not supported by pdf(La)TeX. This
limitation may be overcome by using either the pst-pdf or the
pdftricks package, to generate a PDF inclusion from a PSTricks
diagram. PSTricks macros can also generate PDF output when the
document is processed XeTeX, without the need for other
supporting packages. Note that this is one of a pair of
catalogue entries for PSTricks; the other one (PSTricks) is
acting as a "stub", while editorial work on catalogue entries
for PSTricks contributed is completed.

%package pstricks-doc
Summary: Documentation for pstricks
Version: svn45464
Provides: tex-pstricks-doc
AutoReqProv: No

%description pstricks-doc
Documentation for pstricks

%package pstricks-add
Provides: tex-pstricks-add = %{tl_version}
License: LPPL
Summary: A collection of add-ons and bugfixes for PSTricks
Version: svn45346
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-3d.sty)
Requires: tex(pst-math.sty)
Requires: tex(multido.sty)
Provides: tex(pstricks-add.tex) = %{tl_version}
Provides: tex(pstricks-add.cfg) = %{tl_version}
Provides: tex(pstricks-add.sty) = %{tl_version}

%description pstricks-add
Collects together examples that have been posted to the
pstricks mailing list, together with many additional features
for the basic pstricks, pst-plot and pst-node, including:
bugfixes; new options for the pspicture environment; arrows;
braces as node connection/linestyle; extended axes for plots
(e.g., logarithm axes); polar plots; plotting tangent lines of
curves or functions; solving and printing differential
equations; box plots; matrix plots; and pie charts. The package
makes use of PostScript routines provided by pst-math.

%package pstricks-add-doc
Summary: Documentation for pstricks-add
Version: svn45346
Provides: tex-pstricks-add-doc
AutoReqProv: No

%description pstricks-add-doc
Documentation for pstricks-add

%package pstricks_calcnotes-doc
Summary: Documentation for pstricks_calcnotes
Version: svn34363.1.2

Provides: tex-pstricks_calcnotes-doc
AutoReqProv: No

%description pstricks_calcnotes-doc
Documentation for pstricks_calcnotes

%package uml
Provides: tex-uml = %{tl_version}
License: LPPL
Summary: UML diagrams in LaTeX
Version: svn17476.0.11

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(relsize.sty)
Provides: tex(uml.sty) = %{tl_version}

%description uml
A PSTricks related package for writing UML (Unified Modelling
Language) diagrams in LaTeX. Currently, it implements a subset
of class diagrams, and some extra constructs as well. The
package cannot be used together with pst-uml.

%package uml-doc
Summary: Documentation for uml
Version: svn17476.0.11

Provides: tex-uml-doc
AutoReqProv: No

%description uml-doc
Documentation for uml

%package vaucanson-g
Provides: tex-vaucanson-g = %{tl_version}
License: LPPL
Summary: PSTricks macros for drawing automata
Version: svn15878.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(xcolor.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pst-coil.sty)
Requires: tex(multido.sty)
Requires: tex(pst-3d.sty)
Requires: tex(calc.sty)
Provides: tex(VCColor-names.def) = %{tl_version}
Provides: tex(VCPref-beamer.tex) = %{tl_version}
Provides: tex(VCPref-default.tex) = %{tl_version}
Provides: tex(VCPref-mystyle.tex) = %{tl_version}
Provides: tex(VCPref-slides.tex) = %{tl_version}
Provides: tex(Vaucanson-G.tex) = %{tl_version}
Provides: tex(vaucanson-g.sty) = %{tl_version}
Provides: tex(vaucanson.sty) = %{tl_version}

%description vaucanson-g
VauCanSon-G is a package that enables the user to draw automata
within texts written using LaTeX. The package macros make use
of commands of PStricks

%package vaucanson-g-doc
Summary: Documentation for vaucanson-g
Version: svn15878.0.4

Provides: tex-vaucanson-g-doc
AutoReqProv: No

%description vaucanson-g-doc
Documentation for vaucanson-g

%package vocaltract
Provides: tex-vocaltract = %{tl_version}
License: LPPL
Summary: Visualise the vocal tract using LaTeX and PStricks
Version: svn25629.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(VocalTract.sty) = %{tl_version}

%description vocaltract
The package enables the user to visualise the vocal tract. The
vocal tract (in the package) is manipulated by a vector of
articulation parameters according to the S. Maeda model.
Animation may be achieved by providing a sequence of vectors
over time (e.g., from Matlab). A sequence of vectors for
certain German phonemes is embedded in the package, which
allows for animation when no other vector is available. The
package's graphics are produced using pstricks.

%package vocaltract-doc
Summary: Documentation for vocaltract
Version: svn25629.1

Provides: tex-vocaltract-doc
AutoReqProv: No

%description vocaltract-doc
Documentation for vocaltract

%package collection-publishers
Summary: Publisher styles, theses, etc
Version: svn45581
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-IEEEconf
Requires: texlive-IEEEtran
Requires: texlive-aastex
Requires: texlive-abnt
Requires: texlive-abntex2
Requires: texlive-acmart
Requires: texlive-acmconf
Requires: texlive-active-conf
Requires: texlive-adfathesis
Requires: texlive-afparticle
Requires: texlive-afthesis
Requires: texlive-aguplus
Requires: texlive-aiaa
Requires: texlive-ametsoc
Requires: texlive-anufinalexam-doc
Requires: texlive-aomart
Requires: texlive-apa
Requires: texlive-apa6
Requires: texlive-apa6e
Requires: texlive-arsclassica
Requires: texlive-articleingud
Requires: texlive-asaetr
Requires: texlive-ascelike
Requires: texlive-aucklandthesis
Requires: texlive-bangorcsthesis
Requires: texlive-bangorexam
Requires: texlive-beamer-FUBerlin
Requires: texlive-beamer-verona
Requires: texlive-beilstein
Requires: texlive-bgteubner
Requires: texlive-br-lex
Requires: texlive-brandeis-dissertation
Requires: texlive-cascadilla
Requires: texlive-cesenaexam
Requires: texlive-chem-journal
Requires: texlive-cje
Requires: texlive-classicthesis
Requires: texlive-cleanthesis
Requires: texlive-cmpj
Requires: texlive-confproc
Requires: texlive-cquthesis
Requires: texlive-dccpaper
Requires: texlive-dithesis
Requires: texlive-ebook
Requires: texlive-ebsthesis
Requires: texlive-ejpecp
Requires: texlive-ekaia
Requires: texlive-elbioimp
Requires: texlive-elsarticle
Requires: texlive-elteikthesis
Requires: texlive-emisa
Requires: texlive-erdc
Requires: texlive-estcpmm
Requires: texlive-fbithesis
Requires: texlive-fcavtex
Requires: texlive-fcltxdoc
Requires: texlive-fei
Requires: texlive-gaceta
Requires: texlive-gatech-thesis
Requires: texlive-gradstudentresume
Requires: texlive-grant
Requires: texlive-gsemthesis
Requires: texlive-gzt
Requires: texlive-h2020proposal
Requires: texlive-har2nat
Requires: texlive-hecthese
Requires: texlive-hithesis
Requires: texlive-hobete
Requires: texlive-hustthesis
Requires: texlive-icsv
Requires: texlive-ieeepes
Requires: texlive-ijmart
Requires: texlive-ijsra
Requires: texlive-imac
Requires: texlive-imtekda
Requires: texlive-iscram
Requires: texlive-jacow
Requires: texlive-jmlr
Requires: texlive-jpsj
Requires: texlive-kdgdocs
Requires: texlive-kluwer
Requires: texlive-ksp-thesis
Requires: texlive-ku-template
Requires: texlive-langsci
Requires: texlive-limecv
Requires: texlive-lion-msc
Requires: texlive-lni
Requires: texlive-lps
Requires: texlive-matc3
Requires: texlive-matc3mem
Requires: texlive-mcmthesis
Requires: texlive-mentis
Requires: texlive-mnras
Requires: texlive-msu-thesis
Requires: texlive-mucproc
Requires: texlive-mugsthesis
Requires: texlive-musuos
Requires: texlive-muthesis
Requires: texlive-mynsfc
Requires: texlive-nature
Requires: texlive-navydocs
Requires: texlive-nddiss
Requires: texlive-ndsu-thesis
Requires: texlive-novel
Requires: texlive-nwejm
Requires: texlive-nih
Requires: texlive-nihbiosketch
Requires: texlive-nostarch
Requires: texlive-nrc
Requires: texlive-onrannual
Requires: texlive-opteng
Requires: texlive-philosophersimprint
Requires: texlive-pittetd
Requires: texlive-pkuthss
Requires: texlive-powerdot-FUBerlin
Requires: texlive-pracjourn
Requires: texlive-procIAGssymp
Requires: texlive-proposal
Requires: texlive-ptptex
Requires: texlive-psu-thesis
Requires: texlive-resphilosophica
Requires: texlive-resumecls
Requires: texlive-revtex
Requires: texlive-revtex4
Requires: texlive-rutitlepage
Requires: texlive-ryethesis
Requires: texlive-sageep
Requires: texlive-sapthesis
Requires: texlive-scrjrnl
Requires: texlive-schule
Requires: texlive-sduthesis
Requires: texlive-seuthesis
Requires: texlive-seuthesix
Requires: texlive-soton
Requires: texlive-sphdthesis
Requires: texlive-spie
Requires: texlive-sr-vorl
Requires: texlive-stellenbosch
Requires: texlive-suftesi
Requires: texlive-sugconf
Requires: texlive-tabriz-thesis
Requires: texlive-texilikechaps
Requires: texlive-texilikecover
Requires: texlive-thesis-ekf
Requires: texlive-thesis-titlepage-fhac
Requires: texlive-thuthesis
Requires: texlive-toptesi
Requires: texlive-tudscr
Requires: texlive-tugboat
Requires: texlive-tugboat-plain
Requires: texlive-turabian
Requires: texlive-tui
Requires: texlive-uaclasses
Requires: texlive-uafthesis
Requires: texlive-uantwerpendocs
Requires: texlive-ucbthesis
Requires: texlive-ucdavisthesis
Requires: texlive-ucthesis
Requires: texlive-uestcthesis
Requires: texlive-uhhassignment
Requires: texlive-uiucredborder
Requires: texlive-uiucthesis
Requires: texlive-ulthese
Requires: texlive-umbclegislation
Requires: texlive-umthesis
Requires: texlive-umich-thesis
Requires: texlive-unamth-template-doc
Requires: texlive-unamthesis
Requires: texlive-unitn-bimrep
Requires: texlive-unswcover
Requires: texlive-uothesis
Requires: texlive-urcls
Requires: texlive-uowthesis
Requires: texlive-uowthesistitlepage
Requires: texlive-uspatent
Requires: texlive-ut-thesis
Requires: texlive-uwthesis
Requires: texlive-vancouver
Requires: texlive-wsemclassic
Requires: texlive-xcookybooky
Requires: texlive-xduthesis
Requires: texlive-yathesis
Requires: texlive-york-thesis

%description collection-publishers
collection-publishers package

%package IEEEconf
Provides: tex-IEEEconf = %{tl_version}
License: LPPL
Summary: Macros for IEEE conference proceedings
Version: svn15878.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(mathptmx.sty)
Requires: tex(helvet.sty)
Requires: tex(courier.sty)
Requires: tex(array.sty)
Requires: tex(titlesec.sty)
Provides: tex(IEEEconf.cls) = %{tl_version}

%description IEEEconf
The IEEEconf class implements the formatting dictated by the
IEEE Computer Society Press for conference proceedings.

%package IEEEconf-doc
Summary: Documentation for IEEEconf
Version: svn15878.1.4

Provides: tex-IEEEconf-doc
AutoReqProv: No

%description IEEEconf-doc
Documentation for IEEEconf

%package IEEEtran
Provides: tex-IEEEtran = %{tl_version}
License: LPPL 1.3
Summary: Document class for IEEE Transactions journals and conferences
Version: svn38238.1.8b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(newtxmath.sty)
Provides: tex(IEEEtran.cls) = %{tl_version}
Provides: tex(IEEEtrantools.sty) = %{tl_version}
Provides: tetex-IEEEtran = %{tl_version}
Obsoletes: tetex-IEEEtran < %{tl_version}

%description IEEEtran
The class and its BibTeX style enable authors to produce
officially-correct output for the Institute of Electrical and
Electronics Engineers (IEEE) transactions, journals and
conferences.

%package IEEEtran-doc
Summary: Documentation for IEEEtran
Version: svn38238.1.8b

Provides: tex-IEEEtran-doc
AutoReqProv: No

%description IEEEtran-doc
Documentation for IEEEtran

%package confproc
Provides: tex-confproc = %{tl_version}
License: LPPL
Summary: A set of tools for generating conference proceedings
Version: svn29349.0.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(kvoptions-patch.sty)
Requires: tex(xifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(pdfpages.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(tocbibind.sty)
Requires: tex(titletoc.sty)
Requires: tex(multitoc.sty)
Requires: tex(index.sty)
Requires: tex(multicol.sty)
Requires: tex(sectsty.sty)
Requires: tex(color.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Provides: tex(confproc.cfg) = %{tl_version}
Provides: tex(confproc.cls) = %{tl_version}
Provides: tex(newapave.sty) = %{tl_version}

%description confproc
The confproc collection comprises a class, a BibTeX style, and
some scripts for generating conference proceedings. It derives
from LaTeX scripts written for the DAFx-06 conference
proceedings, largely based on the pdfpages package for
including the proceedings papers and the hyperref package for
creating a proper table of contents, bookmarks and general
bibliography back-references. Confproc also uses many other
packages for fine tuning of the table of contents, bibliography
and index of authors. The added value of the class resides in
its time-saving aspects when designing conference proceedings.

%package confproc-doc
Summary: Documentation for confproc
Version: svn29349.0.8

Provides: tex-confproc-doc
AutoReqProv: No

%description confproc-doc
Documentation for confproc

%package dccpaper
Provides: tex-dccpaper = %{tl_version}
License: LPPL 1.3
Summary: Typeset papers for the International Journal of Digital Curation
Version: svn45563
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(dccpaper-base.tex) = %{tl_version}
Provides: tex(idcc.cls) = %{tl_version}
Provides: tex(ijdc-v9.cls) = %{tl_version}

%description dccpaper
The LaTeX class ijdc-v9 produces camera-ready papers and
articles suitable for inclusion in the International Journal of
Digital Curation, with applicability from volume 9 onwards. The
similar idcc class can be used for submissions to the
International Digital Curation Conference, beginning with the
2015 conference.

%package dccpaper-doc
Summary: Documentation for dccpaper
Version: svn45563
Provides: tex-dccpaper-doc
AutoReqProv: No

%description dccpaper-doc
Documentation for dccpaper

%package dithesis
Provides: tex-dithesis = %{tl_version}
License: LPPL
Summary: Thesis class for undergraduate theses at the University of Athens
Version: svn34295.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(hyperref.sty)
Requires: tex(tabularx.sty)
Requires: tex(graphicx.sty)
Requires: tex(float.sty)
Requires: tex(subfig.sty)
Requires: tex(caption.sty)
Requires: tex(geometry.sty)
Requires: tex(parskip.sty)
Requires: tex(setspace.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(titlesec.sty)
Requires: tex(titletoc.sty)
Requires: tex(tocloft.sty)
Requires: tex(titling.sty)
Requires: tex(xifthen.sty)
Provides: tex(dithesis.cls) = %{tl_version}

%description dithesis
The class conforms to the requirements of the Department of
Informatics and Telecommunications at the University of Athens
regarding the preparation of undergraduate theses, as of Sep 1,
2011. The class is designed for use with XeLaTeX; by default
(on a Windows platform), the font Arial is used, but provision
is made for use under Linux (with a different sans-serif font).

%package dithesis-doc
Summary: Documentation for dithesis
Version: svn34295.0.2

Provides: tex-dithesis-doc
AutoReqProv: No

%description dithesis-doc
Documentation for dithesis

%package ebook
Provides: tex-ebook = %{tl_version}
License: Public Domain
Summary: ebook
Version: svn29466.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ebook.sty) = %{tl_version}

%description ebook
The package defines a command \ebook that defines page layout,
fonts, and font-sizes for documents to be rendered as PDF-
ebooks on small ebook-readers. The package has been tested with
Kindle e-ink and iPad mini.

%package ebook-doc
Summary: Documentation for ebook
Version: svn29466.0

Provides: tex-ebook-doc
AutoReqProv: No

%description ebook-doc
Documentation for ebook

%package ebsthesis
Provides: tex-ebsthesis = %{tl_version}
License: LPPL
Summary: Typesetting theses for economics
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(setspace.sty)
Requires: tex(rotfloat.sty)
Requires: tex(caption.sty)
Requires: tex(ragged2e.sty)
Requires: tex(footmisc.sty)
Requires: tex(remreset.sty)
Requires: tex(titlesec.sty)
Requires: tex(calc.sty)
Requires: tex(titletoc.sty)
Requires: tex(array.sty)
Requires: tex(tocbibind.sty)
Requires: tex(nomencl.sty)
Requires: tex(mdwlist.sty)
Requires: tex(acronym.sty)
Requires: tex(amsmath.sty)
Requires: tex(onlyamsmath.sty)
Requires: tex(comment.sty)
Requires: tex(amssymb.sty)
Requires: tex(dsfont.sty)
Requires: tex(ifthen.sty)
Requires: tex(amsthm.sty)
Provides: tex(ebsthesis.cls) = %{tl_version}

%description ebsthesis
The ebsthesis class and ebstools package facilitate the
production of camera-ready manuscripts in conformance with the
guidelines of Gabler Verlag and typographical rules established
by the European Business School.

%package ebsthesis-doc
Summary: Documentation for ebsthesis
Version: svn15878.1.0

Provides: tex-ebsthesis-doc
AutoReqProv: No

%description ebsthesis-doc
Documentation for ebsthesis

%package ejpecp
Provides: tex-ejpecp = %{tl_version}
License: LPPL 1.2
Summary: Class for EJP and ECP
Version: svn42003
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(pstricks.sty)
Requires: tex(auto-pst-pdf.sty)
Requires: tex(mathtools.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(microtype.sty)
Requires: tex(lastpage.sty)
Requires: tex(latexsym.sty)
Requires: tex(dsfont.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsthm.sty)
Requires: tex(geometry.sty)
Requires: tex(bera.sty)
Requires: tex(hyperref.sty)
Provides: tex(ejpecp.cls) = %{tl_version}

%description ejpecp
The class is designed for typesetting articles for the
mathematical research periodicals Electronic Journal of
Probability (EJP) and Electronic Communications in Probability
(ECP).

%package ejpecp-doc
Summary: Documentation for ejpecp
Version: svn42003
Provides: tex-ejpecp-doc
AutoReqProv: No

%description ejpecp-doc
Documentation for ejpecp

%package ekaia
Provides: tex-ekaia = %{tl_version}
License: LPPL 1.2
Summary: Article format for publishing the Basque Country Science and Technology Journal "Ekaia"
Version: svn42578
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(babel.sty)
Requires: tex(geometry.sty)
Requires: tex(sectsty.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(indentfirst.sty)
Provides: tex(ekaia.sty) = %{tl_version}

%description ekaia
The package provides the article format for publishing the
Basque Country Science and Technology Journal "Ekaia" at the
University of the Basque Country.

%package ekaia-doc
Summary: Documentation for ekaia
Version: svn42578
Provides: tex-ekaia-doc
AutoReqProv: No

%description ekaia-doc
Documentation for ekaia

%package elbioimp
Provides: tex-elbioimp = %{tl_version}
License: LPPL
Summary: A LaTeX document class for the Journal of Electrical Bioimpedance
Version: svn21758.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(url.sty)
Requires: tex(geometry.sty)
Requires: tex(mathptmx.sty)
Requires: tex(type1cm.sty)
Requires: tex(type1ec.sty)
Requires: tex(caption.sty)
Provides: tex(elbioimp.cls) = %{tl_version}

%description elbioimp
A document class for writing articles to the Journal of
Electrical Bioimpedance.

%package elbioimp-doc
Summary: Documentation for elbioimp
Version: svn21758.1.2

Provides: tex-elbioimp-doc
AutoReqProv: No

%description elbioimp-doc
Documentation for elbioimp

%package elsarticle
Provides: tex-elsarticle = %{tl_version}
License: LPPL 1.2
Summary: Class for articles for submission to Elsevier journals
Version: svn15878.1.20

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(txfonts.sty)
Requires: tex(times.sty)
Requires: tex(graphicx.sty)
Requires: tex(pifont.sty)
Requires: tex(natbib.sty)
Requires: tex(geometry.sty)
Provides: tex(elsarticle.cls) = %{tl_version}

%description elsarticle
The class is for typeset journal articles, is accepted for
submitted articles, both in Elsevier's electronic submission
system and elsewhere.

%package elsarticle-doc
Summary: Documentation for elsarticle
Version: svn15878.1.20

Provides: tex-elsarticle-doc
AutoReqProv: No

%description elsarticle-doc
Documentation for elsarticle

%package elteikthesis
Provides: tex-elteikthesis = %{tl_version}
License: LPPL 1.2
Summary: Thesis class for ELTE University Informatics wing
Version: svn22513.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(geometry.sty)
Requires: tex(setspace.sty)
Provides: tex(elteikthesis.cls) = %{tl_version}

%description elteikthesis
This is not an official University class, and has not been
approved by the University.

%package elteikthesis-doc
Summary: Documentation for elteikthesis
Version: svn22513.1.2

Provides: tex-elteikthesis-doc
AutoReqProv: No

%description elteikthesis-doc
Documentation for elteikthesis

%package erdc
Provides: tex-erdc = %{tl_version}
License: LPPL
Summary: Style for Reports by US Army Corps of Engineers
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(caption.sty)
Requires: tex(longtable.sty)
Requires: tex(dcolumn.sty)
Requires: tex(natbib.sty)
Requires: tex(amsmath.sty)
Requires: tex(ragged2e.sty)
Requires: tex(geometry.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(erdc.cls) = %{tl_version}

%description erdc
A class for typesetting Technical Information Reports of the
Engineer Research and Development Center, US Army Corps of
Engineers. The class was commissioned and paid for by US Army
Corps of Engineers, Engineer Research and Development Center,
3909 Halls Ferry Road, Vicksburg, MS 39180-6199.

%package erdc-doc
Summary: Documentation for erdc
Version: svn15878.1.1

Provides: tex-erdc-doc
AutoReqProv: No

%description erdc-doc
Documentation for erdc

%package estcpmm
Provides: tex-estcpmm = %{tl_version}
License: LPPL
Summary: Style for Munitions Management Project Reports
Version: svn17335.0.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(caption.sty)
Requires: tex(geometry.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(estcpmm.cls) = %{tl_version}

%description estcpmm
Provides a class which supports typesetting Cost and
Performance Reports and Final Reports for Munitions Management
Reports, US Environmental Security Technology Certification
Program. The class was commissioned and paid for by US Army
Corps of Engineers, Engineer Research and Development Center,
3909 Halls Ferry Road, Vicksburg, MS 39180-6199.

%package estcpmm-doc
Summary: Documentation for estcpmm
Version: svn17335.0.4

Provides: tex-estcpmm-doc
AutoReqProv: No

%description estcpmm-doc
Documentation for estcpmm

%package fbithesis
Provides: tex-fbithesis = %{tl_version}
License: LPPL
Summary: Computer Science thesis class for University of Dortmund
Version: svn21340.1.2m

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Provides: tex(fbithesis.cfg) = %{tl_version}
Provides: tex(fbithesis.cls) = %{tl_version}

%description fbithesis
At the department of computer science at the University of
Dortmund there are cardboard cover pages for research or
internal reports like master/phd-theses. The main function of
this LaTeX2e document-class is a replacement for the \maketitle
command to typeset a title page that is adjusted to these cover
pages.

%package fbithesis-doc
Summary: Documentation for fbithesis
Version: svn21340.1.2m

Provides: tex-fbithesis-doc
AutoReqProv: No

%description fbithesis-doc
Documentation for fbithesis

%package fcavtex
Provides: tex-fcavtex = %{tl_version}
License: LPPL 1.3
Summary: A thesis class for the FCAV/UNESP (Brazil)
Version: svn38074.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(babel.sty)
Requires: tex(inputenc.sty)
Requires: tex(helvet.sty)
Requires: tex(layout.sty)
Requires: tex(textpos.sty)
Requires: tex(ragged2e.sty)
Requires: tex(microtype.sty)
Requires: tex(titlesec.sty)
Requires: tex(tocloft.sty)
Requires: tex(memhfixc.sty)
Requires: tex(indentfirst.sty)
Requires: tex(hyperref.sty)
Requires: tex(chapterbib.sty)
Requires: tex(abntex2cite.sty)
Requires: tex(hyphenat.sty)
Requires: tex(paralist.sty)
Requires: tex(mfirstuc.sty)
Requires: tex(pageslts.sty)
Provides: tex(fcavtex.cls) = %{tl_version}

%description fcavtex
This package provides a class and a bibliography style for the
FCAV-UNESP (Faculdade de Ciencias Agrarias e Veterinarias de
Jaboticabal UNESP) brazilian university, written based on the
institution rules for thesis publications.

%package fcavtex-doc
Summary: Documentation for fcavtex
Version: svn38074.1.1

Provides: tex-fcavtex-doc
AutoReqProv: No

%description fcavtex-doc
Documentation for fcavtex

%package fcltxdoc
Provides: tex-fcltxdoc = %{tl_version}
License: LPPL 1.3
Summary: Macros for use in the author's documentation
Version: svn24500.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etex.sty)
Requires: tex(filehook.sty)
Requires: tex(ltxnew.sty)
Requires: tex(etexcmds.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(etoolbox.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amsopn.sty)
Requires: tex(amssymb.sty)
Requires: tex(xspace.sty)
Requires: tex(fontenc.sty)
Requires: tex(hologo.sty)
Requires: tex(graphicx.sty)
Requires: tex(grffile.sty)
Requires: tex(needspace.sty)
Requires: tex(moresize.sty)
Requires: tex(manfnt.sty)
Requires: tex(bbding.sty)
Requires: tex(eurosym.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(lastpage.sty)
Requires: tex(marginnote.sty)
Requires: tex(framed.sty)
Requires: tex(ulem.sty)
Requires: tex(nccfoots.sty)
Requires: tex(nccstretch.sty)
Requires: tex(linegoal.sty)
Requires: tex(array.sty)
Requires: tex(delarray.sty)
Requires: tex(makecell.sty)
Requires: tex(booktabs.sty)
Requires: tex(embedfile.sty)
Requires: tex(interfaces.sty)
Requires: tex(relsize.sty)
Requires: tex(titlesec.sty)
Requires: tex(tocloft.sty)
Requires: tex(hypdoc.sty)
Requires: tex(hyperref.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(enumitem.sty)
Requires: tex(bookmark.sty)
Requires: tex(hypbmsec.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(listings.sty)
Requires: tex(xcolor.sty)
Provides: tex(fcltxdoc.sty) = %{tl_version}

%description fcltxdoc
The package is not advertised for public use, but is necessary
for the support of others of the author's packages (which are
compiled under the ltxdoc class).

%package fcltxdoc-doc
Summary: Documentation for fcltxdoc
Version: svn24500.1.0

Provides: tex-fcltxdoc-doc
AutoReqProv: No

%description fcltxdoc-doc
Documentation for fcltxdoc

%package fei
Provides: tex-fei = %{tl_version}
License: LPPL 1.3
Summary: Class for academic works at FEI University Center -- Brazil
Version: svn45410
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(geometry.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(babel.sty)
Requires: tex(fontenc.sty)
Requires: tex(setspace.sty)
Requires: tex(caption.sty)
Requires: tex(mathtools.sty)
Requires: tex(lmodern.sty)
Requires: tex(icomma.sty)
Requires: tex(times.sty)
Requires: tex(graphicx.sty)
Requires: tex(morewrites.sty)
Requires: tex(algorithm2e.sty)
Requires: tex(amsthm.sty)
Requires: tex(thmtools.sty)
Requires: tex(enumitem.sty)
Requires: tex(tocloft.sty)
Requires: tex(pdfpages.sty)
Requires: tex(ifthen.sty)
Requires: tex(imakeidx.sty)
Requires: tex(hyperref.sty)
Requires: tex(glossaries.sty)
Requires: tex(abntex2cite.sty)
Provides: tex(fei.cls) = %{tl_version}

%description fei
fei is a class created by graduate students and LaTeX
enthusiasts that allows students from FEI University Center to
create their academic works, be it a monograph, masters
dissertation or phd thesis, under the typographic rules of the
institution. The class makes it possible to create a full
academic work, supporting functionalities such as cover, title
page, catalog entry, dedication, summary, lists of figures,
tables, algorithms, acronyms and symbols, multiple authors,
index, references, appendices and attachments. fei is loosely
based in the Brazilian National Standards Organization
(Associacao Brasileira de Normas Tecnicas, ABNT) standards for
the creation of academic works, such as ABNT NBR 10520:2002
(Citations) and ABNT NBR 6023:2002 (Bibliographic References).

%package fei-doc
Summary: Documentation for fei
Version: svn45410
Provides: tex-fei-doc
AutoReqProv: No

%description fei-doc
Documentation for fei

%package gaceta
Provides: tex-gaceta = %{tl_version}
License: LPPL
Summary: A class to typeset La Gaceta de la RSME
Version: svn15878.1.06

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(babel.sty)
Requires: tex(graphicx.sty)
Requires: tex(url.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(amssymb.sty)
Provides: tex(gaceta.cls) = %{tl_version}

%description gaceta
The class will typeset papers for <<La Gaceta de la Real
Sociedad Matematica Espanola>>.

%package gaceta-doc
Summary: Documentation for gaceta
Version: svn15878.1.06

Provides: tex-gaceta-doc
AutoReqProv: No

%description gaceta-doc
Documentation for gaceta

%package gatech-thesis
Provides: tex-gatech-thesis = %{tl_version}
License: GPL+
Summary: Georgia Institute of Technology thesis class
Version: svn19886.1.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(gloss.sty)
Requires: tex(index.sty)
Requires: tex(multicol.sty)
Requires: tex(calc.sty)
Provides: tex(gatech-thesis-gloss.sty) = %{tl_version}
Provides: tex(gatech-thesis-index.sty) = %{tl_version}
Provides: tex(gatech-thesis-losa.sty) = %{tl_version}
Provides: tex(gatech-thesis-patch.sty) = %{tl_version}
Provides: tex(gatech-thesis.cls) = %{tl_version}

%description gatech-thesis
The output generated by using this class has been approved by
the Georgia Tech Office of Graduate Studies. It satisfies their
undocumented moving-target requirements in additional to the
actual documented requirements of the June 2002 Georgia Tech
Thesis Style Manual, as amended up to 2010.

%package gatech-thesis-doc
Summary: Documentation for gatech-thesis
Version: svn19886.1.8

Provides: tex-gatech-thesis-doc
AutoReqProv: No

%description gatech-thesis-doc
Documentation for gatech-thesis

%package gsemthesis
Provides: tex-gsemthesis = %{tl_version}
License: LPPL 1.3
Summary: Geneva School of Economics and Management PhD thesis format
Version: svn36244.0.9.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(hyperref.sty)
Requires: tex(url.sty)
Provides: tex(gsemthesis.cls) = %{tl_version}

%description gsemthesis
The class provides a PhD thesis template for the Geneva School
of Economics and Management (GSEM), University of Geneva,
Switzerland. The class provides utilities to easily set up the
cover page, the front matter pages, the page headers, etc.,
conformant to the official guidelines of the GSEM Faculty for
writing PhD dissertations.

%package gsemthesis-doc
Summary: Documentation for gsemthesis
Version: svn36244.0.9.4

Provides: tex-gsemthesis-doc
AutoReqProv: No

%description gsemthesis-doc
Documentation for gsemthesis

%package gzt
Provides: tex-gzt = %{tl_version}
License: LPPL 1.3
Summary: Bundle of classes for "La Gazette des Mathematiciens"
Version: svn43254
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(silence.sty)
Requires: tex(xpatch.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(standalone.sty)
Requires: tex(datatool.sty)
Requires: tex(fontenc.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontspec.sty)
Requires: tex(kpfonts.sty)
Requires: tex(titlesec.sty)
Requires: tex(multicol.sty)
Requires: tex(graphicx.sty)
Requires: tex(import.sty)
Requires: tex(longtable.sty)
Requires: tex(draftwatermark.sty)
Requires: tex(adjustbox.sty)
Requires: tex(zref-totpages.sty)
Requires: tex(zref-xr.sty)
Requires: tex(ragged2e.sty)
Requires: tex(xspace.sty)
Requires: tex(textcase.sty)
Requires: tex(epigraph.sty)
Requires: tex(csquotes.sty)
Requires: tex(biblatex.sty)
Requires: tex(array.sty)
Requires: tex(booktabs.sty)
Requires: tex(tabularx.sty)
Requires: tex(nccparskip.sty)
Requires: tex(multirow.sty)
Requires: tex(varioref.sty)
Requires: tex(mathtools.sty)
Requires: tex(mathrsfs.sty)
Requires: tex(esvect.sty)
Requires: tex(everypage.sty)
Requires: tex(translator.sty)
Requires: tex(geometry.sty)
Requires: tex(babel.sty)
Requires: tex(eurosym.sty)
Requires: tex(iflang.sty)
Requires: tex(tableof.sty)
Requires: tex(etoc.sty)
Requires: tex(microtype.sty)
Requires: tex(datetime.sty)
Requires: tex(enumitem.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(afterpage.sty)
Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Requires: tex(pgfplots.sty)
Requires: tex(tcolorbox.sty)
Requires: tex(tikzpagenodes.sty)
Requires: tex(tkz-euclide.sty)
Requires: tex(pagegrid.sty)
Requires: tex(amsthm.sty)
Requires: tex(thmtools.sty)
Requires: tex(placeins.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(cleveref.sty)
Provides: tex(gzt.cfg) = %{tl_version}
Provides: tex(gzt.cls) = %{tl_version}
Provides: tex(gztarticle.cls) = %{tl_version}

%description gzt
This bundle provides the SMF classes gzt.cls and gztarticle.cls
(where SMF = Societe Mathematique de France) for the French
journal "La Gazette des Mathematiciens". gztarticle.cls allows
for a close reproduction of the layout of the "Gazette" and
provides a number of environments, especially for typesetting
mathematic formulas.

%package gzt-doc
Summary: Documentation for gzt
Version: svn43254
Provides: tex-gzt-doc
AutoReqProv: No

%description gzt-doc
Documentation for gzt

%package har2nat
Provides: tex-har2nat = %{tl_version}
License: LPPL
Summary: Replace the harvard package with natbib
Version: svn17356.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(suffix.sty)
Requires: tex(natbib.sty)
Provides: tex(har2nat.sty) = %{tl_version}

%description har2nat
This small package allows a LaTeX document containing the
citation commands provided by the Harvard package to be
compiled using the natbib package. Migration from harvard to
natbib thus can be achieved simply by replacing
\usepackage{harvard} with \usepackage{natbib}
\usepackage{har2nat} It is important that har2nat be loaded
after natbib, since it modifies natbib commands.

%package har2nat-doc
Summary: Documentation for har2nat
Version: svn17356.1.0

Provides: tex-har2nat-doc
AutoReqProv: No

%description har2nat-doc
Documentation for har2nat

%package hobete
Provides: tex-hobete = %{tl_version}
License: LPPL
Summary: Unofficial beamer theme for the University of Hohenheim
Version: svn27036.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xfrac.sty)
Requires: tex(xparse.sty)
Requires: tex(tikz.sty)
Provides: tex(beamercolorthemehohenheim.sty) = %{tl_version}
Provides: tex(beamerouterthemehohenheim.sty) = %{tl_version}
Provides: tex(beamerouterthemehohenheimposter.sty) = %{tl_version}
Provides: tex(beamerthemehohenheim.sty) = %{tl_version}
Provides: tex(hobete.sty) = %{tl_version}

%description hobete
The package provides a beamer theme which features the Ci
colors of the University of Hohenheim. Please note that this is
not an official Theme, and that there will be no support for
it, from the University. Furthermore there is NO relationship
between the University and this theme.

%package hobete-doc
Summary: Documentation for hobete
Version: svn27036.0

Provides: tex-hobete-doc
AutoReqProv: No

%description hobete-doc
Documentation for hobete

%package icsv
Provides: tex-icsv = %{tl_version}
License: LPPL
Summary: Class for typesetting articles for the ICSV conference
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(array.sty)
Requires: tex(bm.sty)
Requires: tex(calc.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(fix-cm.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Requires: tex(ifthen.sty)
Requires: tex(caption.sty)
Requires: tex(helvet.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Provides: tex(icsv.cls) = %{tl_version}

%description icsv
This is an ad-hoc class for typesetting articles for the ICSV
conference, based on the earler active-conf by the same author.

%package icsv-doc
Summary: Documentation for icsv
Version: svn15878.0.2

Provides: tex-icsv-doc
AutoReqProv: No

%description icsv-doc
Documentation for icsv

%package ieeepes
Provides: tex-ieeepes = %{tl_version}
License: LPPL
Summary: IEEE Power Engineering Society Transactions
Version: svn17359.4.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(vmargin.sty)
Requires: tex(graphicx.sty)
Requires: tex(times.sty)
Requires: tex(mathptm.sty)
Provides: tex(ieeepes.sty) = %{tl_version}

%description ieeepes
Supports typesetting of transactions, as well as discussions
and closures, for the IEEE Power Engineering Society
Transactions journals.

%package ieeepes-doc
Summary: Documentation for ieeepes
Version: svn17359.4.0

Provides: tex-ieeepes-doc
AutoReqProv: No

%description ieeepes-doc
Documentation for ieeepes

%package ijmart
Provides: tex-ijmart = %{tl_version}
License: LPPL
Summary: LaTeX Class for the Israel Journal of Mathematics
Version: svn30958.1.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(lastpage.sty)
Provides: tex(ijmart.cls) = %{tl_version}

%description ijmart
The Israel Journal of Mathematics is published by The Hebrew
University Magnes Press. This class provides LaTeX support for
its authors and editors. It strives to achieve the distinct
"look and feel" of the journal, while having the interface
similar to that of the amsart document class. This will help
authors already familiar with amsart to easily submit
manuscripts for The Israel Journal of Mathematics or to put the
preprints in arXiv with minimal changes in the LaTeX source.

%package ijmart-doc
Summary: Documentation for ijmart
Version: svn30958.1.7

Provides: tex-ijmart-doc
AutoReqProv: No

%description ijmart-doc
Documentation for ijmart

%package imac
Provides: tex-imac = %{tl_version}
License: GPL+
Summary: International Modal Analysis Conference format
Version: svn17347.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(imac.sty) = %{tl_version}

%description imac
A set of files for producing correctly formatted documents for
the International Modal Analysis Conference. The bundle
provides a LaTeX package and a BibTeX style file.

%package imac-doc
Summary: Documentation for imac
Version: svn17347.0

Provides: tex-imac-doc
AutoReqProv: No

%description imac-doc
Documentation for imac

%package imtekda
Provides: tex-imtekda = %{tl_version}
License: LPPL
Summary: IMTEK thesis class
Version: svn17667.1.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Requires: tex(textpos.sty)
Provides: tex(IMTEKda.cls) = %{tl_version}

%description imtekda
The class permits typesetting of diploma, bachelor's and
master's theses for the Institute of Microsystem Technology
(IMTEK) at the University of Freiburg (Germany). The class is
based on the KOMA-Script class scrbook. Included in the
documentation is a large collection of useful tips for
typesetting theses and a list of recommended packages.

%package imtekda-doc
Summary: Documentation for imtekda
Version: svn17667.1.7

Provides: tex-imtekda-doc
AutoReqProv: No

%description imtekda-doc
Documentation for imtekda

%package jmlr
Provides: tex-jmlr = %{tl_version}
License: LPPL 1.3
Summary: Class files for the Journal of Machine Learning Research
Version: svn44935
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(calc.sty)
Requires: tex(etoolbox.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(natbib.sty)
Requires: tex(graphicx.sty)
Requires: tex(url.sty)
Requires: tex(xcolor.sty)
Requires: tex(algorithm2e.sty)
Requires: tex(hyperref.sty)
Requires: tex(nameref.sty)
Requires: tex(setspace.sty)
Requires: tex(currfile.sty)
Requires: tex(fink.sty)
Requires: tex(xmpincl.sty)
Requires: tex(combnat.sty)
Provides: tex(jmlr.cls) = %{tl_version}
Provides: tex(jmlrbook.cls) = %{tl_version}

%description jmlr
The jmlr bundle provides a class for authors (jmlr) and a class
for production editors (jmlrbook), as well as a script
makejmlrbook The jmlrbook class can be used to combine articles
written using the jmlr class into a book. The class uses the
combine class and the hyperref package to produce either a
colour hyperlinked book for on-line viewing or a greyscale
nonhyperlinked book for printing. The makejmlrbook Perl script
can be used to create the colour hyperlinked and greyscale
nonhyperlinked PDFs of a document using the jmlrbook class. It
can also create a set of HTML files that list the included
papers with links to their abstracts and the individual
articles as PDFs.

%package jmlr-doc
Summary: Documentation for jmlr
Version: svn44935
Provides: tex-jmlr-doc
AutoReqProv: No

%description jmlr-doc
Documentation for jmlr

%package jpsj
Provides: tex-jpsj = %{tl_version}
License: LPPL
Summary: Document Class for Journal of the Physical Society of Japan
Version: svn15878.1.2.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(graphicx.sty)
Requires: tex(overcite.sty)
Provides: tex(jpsj2.cls) = %{tl_version}

%description jpsj
jpsj package

%package jpsj-doc
Summary: Documentation for jpsj
Version: svn15878.1.2.2

Provides: tex-jpsj-doc
AutoReqProv: No

%description jpsj-doc
Documentation for jpsj

%package kdgdocs
Provides: tex-kdgdocs = %{tl_version}
License: LPPL 1.3
Summary: Document classes for Karel de Grote University College
Version: svn24498.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(ifxetex.sty)
Requires: tex(cmbright.sty)
Requires: tex(fontspec.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(eso-pic.sty)
Requires: tex(color.sty)
Requires: tex(tikz.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(hyperref.sty)
Provides: tex(kdgcoursetext.cls) = %{tl_version}
Provides: tex(kdgmasterthesis.cls) = %{tl_version}

%description kdgdocs
The bundle provides two classes for usage by KdG professors and
master students: kdgcoursetext: for writing course texts, and
kdgmasterthesis: for writing master's theses. The bundle
replaces the original kdgcoursetext package (now removed from
the archive).

%package kdgdocs-doc
Summary: Documentation for kdgdocs
Version: svn24498.1.0

Provides: tex-kdgdocs-doc
AutoReqProv: No

%description kdgdocs-doc
Documentation for kdgdocs

%package kluwer
Provides: tex-kluwer = %{tl_version}
License: LPPL
Summary: kluwer package
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amssymb.sty)
Requires: tex(wasysym.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(mathptm.sty)
Provides: tex(klu10.clo) = %{tl_version}
Provides: tex(klu105.clo) = %{tl_version}
Provides: tex(klu11.clo) = %{tl_version}
Provides: tex(klu12.clo) = %{tl_version}
Provides: tex(klu9.clo) = %{tl_version}
Provides: tex(klucite.sty) = %{tl_version}
Provides: tex(kluedit.sty) = %{tl_version}
Provides: tex(klufloa.sty) = %{tl_version}
Provides: tex(klulist.sty) = %{tl_version}
Provides: tex(klumac.sty) = %{tl_version}
Provides: tex(klumath.sty) = %{tl_version}
Provides: tex(klumono.sty) = %{tl_version}
Provides: tex(klunote.sty) = %{tl_version}
Provides: tex(kluopen.sty) = %{tl_version}
Provides: tex(klups.sty) = %{tl_version}
Provides: tex(kluref.sty) = %{tl_version}
Provides: tex(klusec.sty) = %{tl_version}
Provides: tex(klut10.clo) = %{tl_version}
Provides: tex(klut11.clo) = %{tl_version}
Provides: tex(klut12.clo) = %{tl_version}
Provides: tex(klut9.clo) = %{tl_version}
Provides: tex(klutab.sty) = %{tl_version}
Provides: tex(kluwer.cls) = %{tl_version}

%description kluwer
kluwer package

%package kluwer-doc
Summary: Documentation for kluwer
Version: svn15878.0

Provides: tex-kluwer-doc
AutoReqProv: No

%description kluwer-doc
Documentation for kluwer

%package lps
Provides: tex-lps = %{tl_version}
License: LPPL
Summary: Class for "Logic and Philosophy of Science"
Version: svn21322.0.7

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(mathptmx.sty)
Requires: tex(geometry.sty)
Requires: tex(titlesec.sty)
Requires: tex(titletoc.sty)
Requires: tex(lastpage.sty)
Requires: tex(caption.sty)
Provides: tex(lps.cls) = %{tl_version}

%description lps
The 'Logic and Philosophy of Science' journal is an online
publication of the University of Trieste (Italy). The class
builds on the standard article class to offer a format that
LaTeX authors may use when submitting to the journal.

%package lps-doc
Summary: Documentation for lps
Version: svn21322.0.7

Provides: tex-lps-doc
AutoReqProv: No

%description lps-doc
Documentation for lps

%package matc3
Provides: tex-matc3 = %{tl_version}
License: LPPL 1.3
Summary: Commands for MatematicaC3 textbooks
Version: svn29845.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(matc3.sty) = %{tl_version}

%description matc3
The package provides support for the Matematica C3 project to
produce free mathematical text books for use in Italian high
schools.

%package matc3-doc
Summary: Documentation for matc3
Version: svn29845.1.0.1

Provides: tex-matc3-doc
AutoReqProv: No

%description matc3-doc
Documentation for matc3

%package matc3mem
Provides: tex-matc3mem = %{tl_version}
License: LPPL 1.3
Summary: Class for MatematicaC3 textbooks
Version: svn35773.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsthm.sty)
Requires: tex(xcolor.sty)
Requires: tex(shadethm.sty)
Provides: tex(matc3mem.cls) = %{tl_version}

%description matc3mem
The class is a development of memoir, with additions
(specifically, mathematical extensions) that provide support
for writing the books for the Matematica C3 project to produce
free mathematical textbooks for use in Italian high schools.

%package matc3mem-doc
Summary: Documentation for matc3mem
Version: svn35773.1.1

Provides: tex-matc3mem-doc
AutoReqProv: No

%description matc3mem-doc
Documentation for matc3mem

%package mcmthesis
Provides: tex-mcmthesis = %{tl_version}
License: LPPL 1.3
Summary: Template designed for MCM/ICM
Version: svn39515

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(fancybox.sty)
Requires: tex(ifthen.sty)
Requires: tex(lastpage.sty)
Requires: tex(listings.sty)
Requires: tex(appendix.sty)
Requires: tex(paralist.sty)
Requires: tex(amsthm.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amsmath.sty)
Requires: tex(bm.sty)
Requires: tex(amssymb.sty)
Requires: tex(mathrsfs.sty)
Requires: tex(latexsym.sty)
Requires: tex(longtable.sty)
Requires: tex(multirow.sty)
Requires: tex(hhline.sty)
Requires: tex(tabularx.sty)
Requires: tex(array.sty)
Requires: tex(flafter.sty)
Requires: tex(pifont.sty)
Requires: tex(calc.sty)
Requires: tex(colortbl.sty)
Requires: tex(booktabs.sty)
Requires: tex(geometry.sty)
Requires: tex(fontenc.sty)
Requires: tex(berasans.sty)
Requires: tex(hyperref.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(environ.sty)
Requires: tex(graphicx.sty)
Requires: tex(epstopdf.sty)
Requires: tex(bmpsize.sty)
Requires: tex(xcolor.sty)
Provides: tex(mcmthesis.cls) = %{tl_version}

%description mcmthesis
The package offers a template for MCM (The Mathematical Contest
in Modeling) and ICM (The Interdisciplinary Contest in
Modeling).

%package mcmthesis-doc
Summary: Documentation for mcmthesis
Version: svn39515

Provides: tex-mcmthesis-doc
AutoReqProv: No

%description mcmthesis-doc
Documentation for mcmthesis

%package mentis
Provides: tex-mentis = %{tl_version}
License: LPPL
Summary: A basis for books to be published by Mentis publishers
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(xspace.sty)
Requires: tex(textcomp.sty)
Requires: tex(scrpage2.sty)
Requires: tex(jurabib.sty)
Requires: tex(makeidx.sty)
Requires: tex(relsize.sty)
Requires: tex(microtype.sty)
Requires: tex(multicol.sty)
Requires: tex(ragged2e.sty)
Requires: tex(geometry.sty)
Provides: tex(mentis.cls) = %{tl_version}

%description mentis
This LaTeX class loads scrbook and provides changes necessary
for publishing at Mentis publishers in Paderborn, Germany. It
is not an official Mentis class, merely one developed by an
author in close co-operation with Mentis.

%package mentis-doc
Summary: Documentation for mentis
Version: svn15878.1.5

Provides: tex-mentis-doc
AutoReqProv: No

%description mentis-doc
Documentation for mentis

%package mnras
Provides: tex-mnras = %{tl_version}
License: LPPL 1.3
Summary: Monthly Notices of the Royal Astronomical Society
Version: svn37579.3.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mnras.cls) = %{tl_version}

%description mnras
Package for preparing papers in the journal Monthly Notices of
the Royal Astronomical Society.

%package mnras-doc
Summary: Documentation for mnras
Version: svn37579.3.0

Provides: tex-mnras-doc
AutoReqProv: No

%description mnras-doc
Documentation for mnras

%package msu-thesis
Provides: tex-msu-thesis = %{tl_version}
License: LPPL 1.3
Summary: Class for Michigan State University Master's and PhD theses
Version: svn44676
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etex.sty)
Requires: tex(pdflscape.sty)
Requires: tex(tikz.sty)
Provides: tex(gb4e-compat.tex) = %{tl_version}
Provides: tex(msu-thesis.cls) = %{tl_version}

%description msu-thesis
This is a class file for producing dissertations and theses
according to the Michigan State University Graduate School
Guidelines for Electronic Submission of Master's Theses and
Dissertations. The class should meet all current requirements
and is updated whenever the university guidelines change. The
class is based on the memoir document class, and inherits the
functionality of that class.

%package msu-thesis-doc
Summary: Documentation for msu-thesis
Version: svn44676
Provides: tex-msu-thesis-doc
AutoReqProv: No

%description msu-thesis-doc
Documentation for msu-thesis

%package mugsthesis
Provides: tex-mugsthesis = %{tl_version}
License: LPPL 1.3
Summary: Thesis class complying with Marquette University Graduate School requirements
Version: svn34878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(indentfirst.sty)
Provides: tex(mugsthesis.cls) = %{tl_version}

%description mugsthesis
The bundle offers a thesis class, based on memoir, that
complies with Marquette University Graduate School
requirements.

%package mugsthesis-doc
Summary: Documentation for mugsthesis
Version: svn34878.0

Provides: tex-mugsthesis-doc
AutoReqProv: No

%description mugsthesis-doc
Documentation for mugsthesis

%package musuos
Provides: tex-musuos = %{tl_version}
License: LPPL
Summary: Typeset papers for the department of music, Osnabruck
Version: svn24857.1.1d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(environ.sty)
Requires: tex(etoolbox.sty)
Requires: tex(geometry.sty)
Requires: tex(titletoc.sty)
Requires: tex(csquotes.sty)
Requires: tex(xspace.sty)
Requires: tex(verse.sty)
Provides: tex(musuos.cls) = %{tl_version}

%description musuos
The package provides a LaTeX class for typesetting term papers
at the institute of music and musicology of the University of
Osnabruck, Germany, according to the specifications of Prof.
Stefan Hahnheide. A biblatex style is provided.

%package musuos-doc
Summary: Documentation for musuos
Version: svn24857.1.1d

Provides: tex-musuos-doc
AutoReqProv: No

%description musuos-doc
Documentation for musuos

%package muthesis
Provides: tex-muthesis = %{tl_version}
License: LPPL
Summary: Classes for University of Manchester Dept of Computer Science
Version: svn23861.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(setspace.sty)
Provides: tex(muthesis.cls) = %{tl_version}
Provides: tex(third-rep.cls) = %{tl_version}

%description muthesis
The bundle provides thesis and project report document classes
from the University of Manchester's Department of Computer
Science.

%package muthesis-doc
Summary: Documentation for muthesis
Version: svn23861.0

Provides: tex-muthesis-doc
AutoReqProv: No

%description muthesis-doc
Documentation for muthesis

%package nature
Provides: tex-nature = %{tl_version}
License: LPPL
Summary: Prepare papers for the journal Nature
Version: svn21819.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(cite.sty)
Requires: tex(times.sty)
Requires: tex(fullpage.sty)
Requires: tex(ifthen.sty)
Provides: tex(nature.cls) = %{tl_version}

%description nature
Nature does not accept papers in LaTeX, but it does accept PDF.
This class and BibTeX style provide what seems to be necessary
to produce papers in a format acceptable to the publisher.

%package nature-doc
Summary: Documentation for nature
Version: svn21819.1.0

Provides: tex-nature-doc
AutoReqProv: No

%description nature-doc
Documentation for nature

%package nddiss
Provides: tex-nddiss = %{tl_version}
License: LPPL
Summary: Notre Dame Dissertation format class
Version: svn45107
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(exscale.sty)
Requires: tex(ifpdf.sty)
Requires: tex(longtable.sty)
Requires: tex(xspace.sty)
Requires: tex(indentfirst.sty)
Requires: tex(tabularx.sty)
Requires: tex(enumerate.sty)
Requires: tex(latexsym.sty)
Requires: tex(showkeys.sty)
Requires: tex(epsfig.sty)
Requires: tex(color.sty)
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Requires: tex(natbib.sty)
Requires: tex(hypernat.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(float.sty)
Requires: tex(lscape.sty)
Requires: tex(booktabs.sty)
Requires: tex(rotating.sty)
Requires: tex(url.sty)
Requires: tex(setspace.sty)
Provides: tex(nddiss2e.cls) = %{tl_version}

%description nddiss
This class file conforms to the requirements of the Graduate
School of the University of Notre Dame; with it a user can
format a thesis or dissertation in LaTeX.

%package nddiss-doc
Summary: Documentation for nddiss
Version: svn45107
Provides: tex-nddiss-doc
AutoReqProv: No

%description nddiss-doc
Documentation for nddiss

%package ndsu-thesis
Provides: tex-ndsu-thesis = %{tl_version}
License: LPPL 1.3
Summary: North Dakota State University disquisition class
Version: svn40536

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ndsu-thesis.cls) = %{tl_version}

%description ndsu-thesis
A class for generating disquisitions, intended to be in
compliance with North Dakota State University requirements.

%package ndsu-thesis-doc
Summary: Documentation for ndsu-thesis
Version: svn40536

Provides: tex-ndsu-thesis-doc
AutoReqProv: No

%description ndsu-thesis-doc
Documentation for ndsu-thesis

%package nih
Provides: tex-nih = %{tl_version}
License: LPPL
Summary: A class for NIH grant applications
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(helvet.sty)
Requires: tex(geometry.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(amsmath.sty)
Provides: tex(denselists.sty) = %{tl_version}
Provides: tex(nih.cls) = %{tl_version}

%description nih
The nih class offers support for grant applications to NIH, the
National Institutes of Health, a US government agency. The
example-* files provide a template for using nih.cls and
submitting the biographical sketches the NIH wants. They
(potentially) use denselists package, which just reduces list
spacing; the package is distributed with the class, but is not
part of the class proper. (The examples may be distributed
without even the restrictions of the LaTeX licence.)

%package nih-doc
Summary: Documentation for nih
Version: svn15878.0

Provides: tex-nih-doc
AutoReqProv: No

%description nih-doc
Documentation for nih

%package nostarch
Provides: tex-nostarch = %{tl_version}
License: LPPL
Summary: LaTeX class for No Starch Press
Version: svn15878.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(booktabs.sty)
Requires: tex(graphicx.sty)
Requires: tex(listings.sty)
Requires: tex(caption.sty)
Requires: tex(makeidx.sty)
Requires: tex(upquote.sty)
Requires: tex(ragged2e.sty)
Requires: tex(hyperref.sty)
Provides: tex(nostarch.cls) = %{tl_version}
Provides: tex(nshyper.sty) = %{tl_version}

%description nostarch
The package provides the "official" LaTeX style for No Starch
Press. Provided are a class, a package for interfacing to
hyperref and an index style file. The style serves both for
printed and for electronic books.

%package nostarch-doc
Summary: Documentation for nostarch
Version: svn15878.1.3

Provides: tex-nostarch-doc
AutoReqProv: No

%description nostarch-doc
Documentation for nostarch

%package nrc
Provides: tex-nrc = %{tl_version}
License: LPPL
Summary: Class for the NRC technical journals
Version: svn29027.2.01a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(multicol.sty)
Provides: tex(nrc1.cls) = %{tl_version}
Provides: tex(nrc1.sty) = %{tl_version}
Provides: tex(nrc2.cls) = %{tl_version}
Provides: tex(nrc2.sty) = %{tl_version}

%description nrc
Macros, and some documentation, for typesetting papers for
submission to journals published by the National Research
Council Research Press. At present, only nrc2.cls (for two-
column layout) should be used.

%package nrc-doc
Summary: Documentation for nrc
Version: svn29027.2.01a

Provides: tex-nrc-doc
AutoReqProv: No

%description nrc-doc
Documentation for nrc

%package onrannual
Provides: tex-onrannual = %{tl_version}
License: LPPL 1.3
Summary: Class for Office of Naval Research Ocean Battlespace Sensing annual report
Version: svn17474.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(mathptmx.sty)
Requires: tex(geometry.sty)
Requires: tex(authblk.sty)
Requires: tex(parskip.sty)
Requires: tex(caption.sty)
Requires: tex(hyperref.sty)
Provides: tex(onrannual.cls) = %{tl_version}

%description onrannual
This is an unofficial document class for writing ONR annual
reports using LaTeX; as ONR has had numerous problems with
LaTeX-generated PDF submissions in the past. A skeleton
document (and its PDF output) are included.

%package onrannual-doc
Summary: Documentation for onrannual
Version: svn17474.1.1

Provides: tex-onrannual-doc
AutoReqProv: No

%description onrannual-doc
Documentation for onrannual

%package opteng
Provides: tex-opteng = %{tl_version}
License: LPPL
Summary: SPIE Optical Engineering and OE Letters manuscript template
Version: svn27331.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(opteng.sty) = %{tl_version}

%description opteng
With this template, and associated style and LaTeX packages, it
is possible to estimate the page length of manuscripts for
submission to the SPIE journals 'Optical Engineering' and
'Optical Engineering Letters'. With a strict three-page limit,
this is particularly important for the latter. The template
gives simple instructions on how to prepare the manuscript.

%package opteng-doc
Summary: Documentation for opteng
Version: svn27331.1.0

Provides: tex-opteng-doc
AutoReqProv: No

%description opteng-doc
Documentation for opteng

%package philosophersimprint
Provides: tex-philosophersimprint = %{tl_version}
License: LPPL
Summary: Typesetting articles for "Philosophers' Imprint"
Version: svn41788
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(color.sty)
Requires: tex(graphicx.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(mathpazo.sty)
Requires: tex(courier.sty)
Requires: tex(helvet.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(microtype.sty)
Requires: tex(trajan.sty)
Provides: tex(philosophersimprint.cls) = %{tl_version}

%description philosophersimprint
In its mission statement we read "Philosophers' Imprint is a
refereed series of original papers in philosophy, edited by
philosophy faculty at the University of Michigan, with the
advice of an international Board of Editors, and published on
the World Wide Web by the University of Michigan Digital
Library. The mission of the Imprint is to promote a future in
which funds currently spent on journal subscriptions are
redirected to the dissemination of scholarship for free, via
the Internet". The class helps authors to typeset their own
articles in "Web-ready" format. No assumption is made about the
fonts available to the author: the class itself is restricted
to freely available and freely distributed fonts, only.

%package philosophersimprint-doc
Summary: Documentation for philosophersimprint
Version: svn41788
Provides: tex-philosophersimprint-doc
AutoReqProv: No

%description philosophersimprint-doc
Documentation for philosophersimprint

%package pittetd
Provides: tex-pittetd = %{tl_version}
License: LPPL
Summary: Electronic Theses and Dissertations at Pitt
Version: svn15878.1.618

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pitetd10.clo) = %{tl_version}
Provides: tex(pitetd11.clo) = %{tl_version}
Provides: tex(pitetd12.clo) = %{tl_version}
Provides: tex(pittetd.cls) = %{tl_version}

%description pittetd
A document class for theses and dissertations. Provides patch
files that enable pittetd to use files prepared for use with
the pittdiss or pitthesis classes. The manual provides a
detailed guide for users who wish to use the class to prepare
their thesis or dissertation.

%package pittetd-doc
Summary: Documentation for pittetd
Version: svn15878.1.618

Provides: tex-pittetd-doc
AutoReqProv: No

%description pittetd-doc
Documentation for pittetd

%package pkuthss
Provides: tex-pkuthss = %{tl_version}
License: LPPL
Summary: LaTeX template for dissertations in Peking University
Version: svn43374
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(tikz.sty)
Requires: tex(scrextend.sty)
Requires: tex(subfig.sty)
Requires: tex(tocloft.sty)
Requires: tex(caption.sty)
Requires: tex(CJKspace.sty)
Requires: tex(setspace.sty)
Requires: tex(enumitem.sty)
Requires: tex(keyval.sty)
Requires: tex(graphicx.sty)
Requires: tex(geometry.sty)
Requires: tex(xCJK2uni.sty)
Provides: tex(pkuthss-extra.sty) = %{tl_version}
Provides: tex(pkuthss-gbk.def) = %{tl_version}
Provides: tex(pkuthss-utf8.def) = %{tl_version}
Provides: tex(pkuthss.cls) = %{tl_version}

%description pkuthss
The package provides a simple, clear and flexible LaTeX
template for dissertations in Peking University.

%package pkuthss-doc
Summary: Documentation for pkuthss
Version: svn43374
Provides: tex-pkuthss-doc
AutoReqProv: No

%description pkuthss-doc
Documentation for pkuthss

%package powerdot-FUBerlin
Provides: tex-powerdot-FUBerlin = %{tl_version}
License: LPPL
Summary: Powerdot, using the style of FU Berlin
Version: svn15878.0.01

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(pifont.sty)
Requires: tex(breakurl.sty)
Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Requires: tex(tabularx.sty)
Requires: tex(helvet.sty)
Requires: tex(ragged2e.sty)
Provides: tex(FUpowerdot.cls) = %{tl_version}
Provides: tex(powerdot-BerlinFU.sty) = %{tl_version}

%description powerdot-FUBerlin
The bundle provides a powerdot-derived class and a package for
use with powerdot to provide the corporate design of the Free
University in Berlin. Users may use the class itself
(FUpowerdot) or use the package in the usual way with
\style=BerlinFU as a class option. Examples of using both the
class and the package are provided; the PDF is visually
identical, so the catalogue only lists one; the sources of the
examples do of course differ.

%package powerdot-FUBerlin-doc
Summary: Documentation for powerdot-FUBerlin
Version: svn15878.0.01

Provides: tex-powerdot-FUBerlin-doc
AutoReqProv: No

%description powerdot-FUBerlin-doc
Documentation for powerdot-FUBerlin

%package pracjourn
Provides: tex-pracjourn = %{tl_version}
License: GPL+
Summary: Typeset articles for PracTeX
Version: svn15878.0.4n

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(lmodern.sty)
Requires: tex(mathpazo.sty)
Requires: tex(microtype.sty)
Requires: tex(textcomp.sty)
Requires: tex(color.sty)
Requires: tex(hyperref.sty)
Requires: tex(graphicx.sty)
Provides: tex(pracjourn.cls) = %{tl_version}

%description pracjourn
The pracjourn class is used for typesetting articles in the
PracTeX Journal. It is based on the article class with
modifications to allow for more flexible front-matter and
revision control, among other small changes.

%package pracjourn-doc
Summary: Documentation for pracjourn
Version: svn15878.0.4n

Provides: tex-pracjourn-doc
AutoReqProv: No

%description pracjourn-doc
Documentation for pracjourn

%package procIAGssymp
Provides: tex-procIAGssymp = %{tl_version}
License: LPPL
Summary: Macros for IAG symposium papers
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(procIAGssymp.sty) = %{tl_version}

%description procIAGssymp
This package provides (re-)definitions of some LaTeX commands
that can be useful for the preparation of a paper with the
style of the proceeding of symposia sponsored by the
'International Association of Geodesy (IAG)' published by
Springer-Verlag.

%package procIAGssymp-doc
Summary: Documentation for procIAGssymp
Version: svn15878.0

Provides: tex-procIAGssymp-doc
AutoReqProv: No

%description procIAGssymp-doc
Documentation for procIAGssymp

%package proposal
Provides: tex-proposal = %{tl_version}
License: LPPL
Summary: A class for preparing proposals
Version: svn40538

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(workaddress.sty)
Requires: tex(eurosym.sty)
Requires: tex(xspace.sty)
Requires: tex(amssymb.sty)
Requires: tex(url.sty)
Requires: tex(graphicx.sty)
Requires: tex(colortbl.sty)
Requires: tex(xcolor.sty)
Requires: tex(rotating.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(array.sty)
Requires: tex(comment.sty)
Requires: tex(tikz.sty)
Requires: tex(paralist.sty)
Requires: tex(a4wide.sty)
Requires: tex(boxedminipage.sty)
Requires: tex(helvet.sty)
Requires: tex(textcomp.sty)
Requires: tex(biblatex.sty)
Requires: tex(csquotes.sty)
Requires: tex(mdframed.sty)
Requires: tex(hyperref.sty)
Requires: tex(ed.sty)
Requires: tex(svninfo.sty)
Requires: tex(babel.sty)
Requires: tex(longtable.sty)
Requires: tex(wrapfig.sty)
Provides: tex(pdata.sty) = %{tl_version}
Provides: tex(proposal.cls) = %{tl_version}
Provides: tex(reporting.cls) = %{tl_version}
Provides: tex(reporting.sty) = %{tl_version}
Provides: tex(dfgpdata.sty) = %{tl_version}
Provides: tex(dfgproposal.cls) = %{tl_version}
Provides: tex(dfgreporting.cls) = %{tl_version}
Provides: tex(dfgreporting.sty) = %{tl_version}
Provides: tex(eupdata.sty) = %{tl_version}
Provides: tex(eudata.sty) = %{tl_version}
Provides: tex(euproposal.cls) = %{tl_version}
Provides: tex(eureporting.cls) = %{tl_version}
Provides: tex(eureporting.sty) = %{tl_version}

%description proposal
The process of preparing a collaborative proposal, to a major
funding body, involves integration of contributions of a many
people at many sites. It is therefore an ideal application for
a text-based document preparation system such as LaTeX, in
concert with a distributed version control system such as SVN.
The proposal class itself provides a basis for such an
enterprise. The dfgproposal and dfgproposal classes provide two
specialisations of the base class for (respectively) German and
European research proposals. The packages depend on the
author's stex bundle.

%package proposal-doc
Summary: Documentation for proposal
Version: svn40538

Provides: tex-proposal-doc
AutoReqProv: No

%description proposal-doc
Documentation for proposal

%package ptptex
Provides: tex-ptptex = %{tl_version}
License: LPPL
Summary: Macros for 'Progress of Theoretical Physics'
Version: svn19440.0.91

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(overcite.sty)
Requires: tex(wrapfig.sty)
Provides: tex(ptp-prep.clo) = %{tl_version}
Provides: tex(ptptex.cls) = %{tl_version}
Provides: tex(wrapft.sty) = %{tl_version}

%description ptptex
The distribution contains the class (which offers an option
file for preprints), and a template. The class requires the
cite, overcite and wrapfig packages.

%package ptptex-doc
Summary: Documentation for ptptex
Version: svn19440.0.91

Provides: tex-ptptex-doc
AutoReqProv: No

%description ptptex-doc
Documentation for ptptex

%package psu-thesis
Provides: tex-psu-thesis = %{tl_version}
License: LPPL
Summary: Package for writing a thesis at Penn State University
Version: svn15878.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(setspace.sty)
Provides: tex(psu-thesis.sty) = %{tl_version}

%description psu-thesis
The package provides proper page formatting according to the
Penn State thesis office guidelines (as of 2004) and
automatically formats the front and back matter, title page,
and more. A BibTeX style file is also included for the
bibliography.

%package psu-thesis-doc
Summary: Documentation for psu-thesis
Version: svn15878.1.1

Provides: tex-psu-thesis-doc
AutoReqProv: No

%description psu-thesis-doc
Documentation for psu-thesis

%package resphilosophica
Provides: tex-resphilosophica = %{tl_version}
License: LPPL 1.3
Summary: Typeset articles for the journal Res Philosophica
Version: svn43631
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(microtype.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(xcolor.sty)
Requires: tex(lastpage.sty)
Requires: tex(collect.sty)
Requires: tex(footmisc.sty)
Requires: tex(hyperref.sty)
Requires: tex(mathdesign.sty)
Requires: tex(natbib.sty)
Provides: tex(resphilosophica.cls) = %{tl_version}

%description resphilosophica
The bundle provides a class for typesetting articles for the
journal Res Philosophica. Development was commissioned by Saint
Louis University.

%package resphilosophica-doc
Summary: Documentation for resphilosophica
Version: svn43631
Provides: tex-resphilosophica-doc
AutoReqProv: No

%description resphilosophica-doc
Documentation for resphilosophica

%package resumecls
Provides: tex-resumecls = %{tl_version}
License: LPPL 1.3
Summary: Typeset a resumee in both Chinese and English
Version: svn38427

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(hyperref.sty)
Requires: tex(ctex.sty)
Requires: tex(tabularx.sty)
Requires: tex(color.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(natbib.sty)
Provides: tex(resumecls.cls) = %{tl_version}

%description resumecls
The class provides a simple resumee structure that works,
natively, with both Chinese and English text.

%package resumecls-doc
Summary: Documentation for resumecls
Version: svn38427

Provides: tex-resumecls-doc
AutoReqProv: No

%description resumecls-doc
Documentation for resumecls

%package revtex
Provides: tex-revtex = %{tl_version}
License: LPPL 1.3
Summary: Styles for various Physics Journals
Version: svn19652.4.1r

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(verbatim.sty)
Requires: tex(shortvrb.sty)
Requires: tex(textcase.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsmath.sty)
Requires: tex(lineno.sty)
Requires: tex(url.sty)
Requires: tex(natbib.sty)
Provides: tex(ltxdocext.sty) = %{tl_version}
Provides: tex(ltxfront.sty) = %{tl_version}
Provides: tex(ltxgrid.sty) = %{tl_version}
Provides: tex(ltxutil.sty) = %{tl_version}
Provides: tex(reftest4-1.tex) = %{tl_version}
Provides: tex(revsymb4-1.sty) = %{tl_version}
Provides: tex(revtex4-1.cls) = %{tl_version}

%description revtex
Includes styles for American Physical Society, American
Institute of Physics, and Optical Society of America. The
distribution consists of the RevTeX class itself, and several
support packages.

%package revtex-doc
Summary: Documentation for revtex
Version: svn19652.4.1r

Provides: tex-revtex-doc
AutoReqProv: No

%description revtex-doc
Documentation for revtex

%package revtex4
Provides: tex-revtex4 = %{tl_version}
License: LPPL
Summary: revtex4 package
Version: svn16488.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsmath.sty)
Requires: tex(url.sty)
Requires: tex(natbib.sty)
Provides: tex(docs.sty) = %{tl_version}
Provides: tex(revsymb.sty) = %{tl_version}
Provides: tex(revtex4.cls) = %{tl_version}

%description revtex4
revtex4 package

%package revtex4-doc
Summary: Documentation for revtex4
Version: svn16488.0

Provides: tex-revtex4-doc
AutoReqProv: No

%description revtex4-doc
Documentation for revtex4

%package ryethesis
Provides: tex-ryethesis = %{tl_version}
License: LPPL 1.3
Summary: Class for Ryerson Unversity Graduate School requirements
Version: svn33945.1.36

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(setspace.sty)
Requires: tex(vmargin.sty)
Requires: tex(float.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(glossaries.sty)
Requires: tex(multicol.sty)
Requires: tex(nomencl.sty)
Requires: tex(etoolbox.sty)
Provides: tex(ryethesis.cls) = %{tl_version}

%description ryethesis
The class offers support for formatting a thesis, dissertation
or project according to Ryerson University's School of Graduate
Studies thesis formatting regulations.

%package ryethesis-doc
Summary: Documentation for ryethesis
Version: svn33945.1.36

Provides: tex-ryethesis-doc
AutoReqProv: No

%description ryethesis-doc
Documentation for ryethesis

%package sageep
Provides: tex-sageep = %{tl_version}
License: LPPL
Summary: Format papers for the annual meeting of EEGS
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(indentfirst.sty)
Requires: tex(caption.sty)
Requires: tex(natbib.sty)
Provides: tex(sageep.cls) = %{tl_version}

%description sageep
The class provides formatting for papers for the annual meeting
of the Environmental and Engineering Geophysical Society (EEGS)
("Application of Geophysics to Engineering and Environmental
Problems", known as SAGEEP).

%package sageep-doc
Summary: Documentation for sageep
Version: svn15878.1.0

Provides: tex-sageep-doc
AutoReqProv: No

%description sageep-doc
Documentation for sageep

%package sapthesis
Provides: tex-sapthesis = %{tl_version}
License: LPPL 1.3
Summary: Typeset theses for Sapienza-University, Rome
Version: svn39014

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(geometry.sty)
Requires: tex(ifxetex.sty)
Requires: tex(xltxtra.sty)
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(lmodern.sty)
Requires: tex(caption.sty)
Requires: tex(graphicx.sty)
Requires: tex(color.sty)
Requires: tex(booktabs.sty)
Requires: tex(amsmath.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(sapthesis.cls) = %{tl_version}

%description sapthesis
The class will typeset Ph.D., Master, and Bachelor theses that
adhere to the publishing guidelines of the Sapienza-University
of Rome.

%package sapthesis-doc
Summary: Documentation for sapthesis
Version: svn39014

Provides: tex-sapthesis-doc
AutoReqProv: No

%description sapthesis-doc
Documentation for sapthesis

%package scrjrnl
Provides: tex-scrjrnl = %{tl_version}
License: LPPL 1.3
Summary: Typeset diaries or journals
Version: svn27810.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(titlesec.sty)
Requires: tex(datetime.sty)
Requires: tex(fancytabs.sty)
Provides: tex(scrjrnl.cls) = %{tl_version}

%description scrjrnl
A class, based on scrbook, designed for typesetting diaries,
journals or devotionals.

%package scrjrnl-doc
Summary: Documentation for scrjrnl
Version: svn27810.0.1

Provides: tex-scrjrnl-doc
AutoReqProv: No

%description scrjrnl-doc
Documentation for scrjrnl

%package schule
Provides: tex-schule = %{tl_version}
License: LPPL 1.3
Summary: Support for teachers at German schools
Version: svn37277.0.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(circuitikz.sty)
Requires: tex(etex.sty)
Requires: tex(babel.sty)
Requires: tex(ifthen.sty)
Requires: tex(xifthen.sty)
Requires: tex(xspace.sty)
Requires: tex(tabularx.sty)
Requires: tex(rotating.sty)
Requires: tex(ragged2e.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsmath.sty)
Requires: tex(graphicx.sty)
Requires: tex(paralist.sty)
Requires: tex(textcomp.sty)
Requires: tex(xmpincl.sty)
Requires: tex(wrapfig.sty)
Requires: tex(eurosym.sty)
Requires: tex(multirow.sty)
Requires: tex(multicol.sty)
Requires: tex(ccicons.sty)
Requires: tex(svn-multi.sty)
Requires: tex(cancel.sty)
Requires: tex(csquotes.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(scrpage2.sty)
Requires: tex(mdframed.sty)
Requires: tex(xargs.sty)
Requires: tex(xparse.sty)
Requires: tex(schulekl.sty)
Requires: tex(calc.sty)
Requires: tex(hyperref.sty)
Requires: tex(adjustbox.sty)
Requires: tex(pdfpages.sty)
Requires: tex(geometry.sty)
Requires: tex(natbib.sty)
Requires: tex(biblatex.sty)
Requires: tex(pgf-umlcd.sty)
Requires: tex(listings.sty)
Requires: tex(pgf-umlsd.sty)
Requires: tex(struktex.sty)
Requires: tex(units.sty)
Requires: tex(mhchem.sty)
Provides: tex(relaycircuit.sty) = %{tl_version}
Provides: tex(schule.sty) = %{tl_version}
Provides: tex(schuleab.cls) = %{tl_version}
Provides: tex(schulein.cls) = %{tl_version}
Provides: tex(schuleit.cls) = %{tl_version}
Provides: tex(schulekl.cls) = %{tl_version}
Provides: tex(schulekl.sty) = %{tl_version}
Provides: tex(schuleub.cls) = %{tl_version}
Provides: tex(schuleue.cls) = %{tl_version}
Provides: tex(schulinf.sty) = %{tl_version}
Provides: tex(schullsg.cls) = %{tl_version}
Provides: tex(schullzk.cls) = %{tl_version}
Provides: tex(schullzk.sty) = %{tl_version}
Provides: tex(schulphy.sty) = %{tl_version}
Provides: tex(syntaxdi.sty) = %{tl_version}

%description schule
The 'schule' bundle was built to provide packages and commands
that could be useful for documents in German schools. At the
moment its main focus lies on documents for informatics as a
school subject. An extension for physics is currently in
progress. Extensions for other subjects are welcome. For the
time being, the whole package splits up into individual
packages for informatics (including syntax diagrams, Nassi-
Shneiderman diagrams, sequence diagrams, object diagrams, and
class diagrams) as well as classes for written exams (tests,
quizzes, teaching observations, information sheets, worksheets,
and answer keys).

%package schule-doc
Summary: Documentation for schule
Version: svn37277.0.6

Provides: tex-schule-doc
AutoReqProv: No

%description schule-doc
Documentation for schule

%package sduthesis
Provides: tex-sduthesis = %{tl_version}
License: LPPL 1.3
Summary: Thesis Template of Shandong University
Version: svn41401

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifxetex.sty)
Requires: tex(geometry.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amsthm.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsbsy.sty)
Requires: tex(bm.sty)
Requires: tex(mathrsfs.sty)
Requires: tex(booktabs.sty)
Requires: tex(graphicx.sty)
Requires: tex(epstopdf.sty)
Requires: tex(bmpsize.sty)
Requires: tex(xcolor.sty)
Requires: tex(makecell.sty)
Provides: tex(sduthesis-cover.def) = %{tl_version}
Provides: tex(sduthesis-statement.def) = %{tl_version}
Provides: tex(sduthesis.cls) = %{tl_version}

%description sduthesis
Thesis Template of Shandong University.

%package sduthesis-doc
Summary: Documentation for sduthesis
Version: svn41401

Provides: tex-sduthesis-doc
AutoReqProv: No

%description sduthesis-doc
Documentation for sduthesis

%package seuthesis
Provides: tex-seuthesis = %{tl_version}
License: GPLv3+
Summary: LaTeX template for theses at Southeastern University
Version: svn33042.2.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description seuthesis
This template is for theses at Southeastern University,
Nanjing, China.

%package seuthesis-doc
Summary: Documentation for seuthesis
Version: svn33042.2.1.2

Provides: tex-seuthesis-doc
AutoReqProv: No

%description seuthesis-doc
Documentation for seuthesis

%package soton
Provides: tex-soton = %{tl_version}
License: LPPL
Summary: University of Southampton-compliant slides
Version: svn16215.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xcolor.sty)
Provides: tex(soton-beamer.sty) = %{tl_version}
Provides: tex(soton-palette.sty) = %{tl_version}

%description soton
The bundle contains two packages: soton-palette which defines
colour-ways, and soton-beamer, which uses the colours to
produce compliant presentations.

%package soton-doc
Summary: Documentation for soton
Version: svn16215.0.1

Provides: tex-soton-doc
AutoReqProv: No

%description soton-doc
Documentation for soton

%package sphdthesis
Provides: tex-sphdthesis = %{tl_version}
License: Public Domain
Summary: Latex template for writing PhD Thesis
Version: svn34374.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(fontenc.sty)
Requires: tex(microtype.sty)
Requires: tex(fix-cm.sty)
Requires: tex(caption.sty)
Requires: tex(graphicx.sty)
Requires: tex(subfig.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsthm.sty)
Requires: tex(float.sty)
Requires: tex(xcolor.sty)
Requires: tex(ifthen.sty)
Requires: tex(geometry.sty)
Requires: tex(emptypage.sty)
Requires: tex(parskip.sty)
Requires: tex(setspace.sty)
Requires: tex(booktabs.sty)
Requires: tex(colortbl.sty)
Requires: tex(tabularx.sty)
Requires: tex(algorithm2e.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(tocloft.sty)
Requires: tex(fncychap.sty)
Requires: tex(sectsty.sty)
Requires: tex(etoolbox.sty)
Requires: tex(url.sty)
Requires: tex(hyperref.sty)
Requires: tex(cleveref.sty)
Provides: tex(SPhdThesis.cls) = %{tl_version}

%description sphdthesis
The package provides a LaTeX document class for writing a PhD
thesis. The author developed it while writing his PhD thesis in
School of Computing (SoC), National University of Singapore
(NUS). By default, the class adheres to the NUS Guidelines on
Format of Research Thesis Submitted For Examination. However,
the class for conformation to a different guideline should not
be difficult.

%package sphdthesis-doc
Summary: Documentation for sphdthesis
Version: svn34374.1.0

Provides: tex-sphdthesis-doc
AutoReqProv: No

%description sphdthesis-doc
Documentation for sphdthesis

%package spie
Provides: tex-spie = %{tl_version}
License: LPPL
Summary: Support for formatting SPIE Proceedings manuscripts
Version: svn15878.3.25

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(cite.sty)
Provides: tex(spie.cls) = %{tl_version}

%description spie
A class and a BibTeX style are provided.

%package spie-doc
Summary: Documentation for spie
Version: svn15878.3.25

Provides: tex-spie-doc
AutoReqProv: No

%description spie-doc
Documentation for spie

%package sr-vorl
Provides: tex-sr-vorl = %{tl_version}
License: LPPL 1.3
Summary: Class for Springer books
Version: svn39529

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(babel.sty)
Requires: tex(geometry.sty)
Requires: tex(scrpage2.sty)
Requires: tex(caption.sty)
Requires: tex(ragged2e.sty)
Requires: tex(enumitem.sty)
Requires: tex(xstring.sty)
Requires: tex(chngcntr.sty)
Requires: tex(onlyamsmath.sty)
Requires: tex(microtype.sty)
Provides: tex(sr-vorl.cls) = %{tl_version}

%description sr-vorl
The class provides a template for books to be published at
Springer Gabler, Vieweg or Springer Research. It may be used to
produce monographs in different formats and "several-authors-
books" fitting the conditions of Springer Gabler, Vieweg and
Springer Research.

%package sr-vorl-doc
Summary: Documentation for sr-vorl
Version: svn39529

Provides: tex-sr-vorl-doc
AutoReqProv: No

%description sr-vorl-doc
Documentation for sr-vorl

%package stellenbosch
Provides: tex-stellenbosch = %{tl_version}
License: LPPL
Summary: Stellenbosch thesis bundle
Version: svn36696.11a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(natbib.sty)
Requires: tex(calc.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(colortbl.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Provides: tex(usbib.sty) = %{tl_version}
Provides: tex(usnomencl.sty) = %{tl_version}
Provides: tex(ussummary.sty) = %{tl_version}
Provides: tex(usthesis.cls) = %{tl_version}
Provides: tex(usthesis.sty) = %{tl_version}
Provides: tex(ustitle.sty) = %{tl_version}

%description stellenbosch
The usthesis class/style files are provided to typeset reports,
theses and dissertations that conform to the requirements of
the Engineering Faculty of the University of Stellenbosch. The
class file usthesis.cls is based on the standard LaTeX book
class, while usthesis.sty is a style file to be loaded on top
of the very powerful memoir class. Both options give identical
output, but the benefit of the using memoir is that it has many
additional command and environments for formatting and
processing of a document. Usthesis is primarily concerned with
the formatting of the front matter such as the title page,
abstract, etc. and a decent page layout on A4 paper. It also
works together with the babel package to provide language
options to typeset documents in Afrikaans or in English.
Additional packages are provided for bibliographic matter, note
title pages, lists of symbols, as well as various graphic files
for logos.

%package stellenbosch-doc
Summary: Documentation for stellenbosch
Version: svn36696.11a

Provides: tex-stellenbosch-doc
AutoReqProv: No

%description stellenbosch-doc
Documentation for stellenbosch

%package suftesi
Provides: tex-suftesi = %{tl_version}
License: LPPL 1.3
Summary: A document class for typesetting theses, books and articles
Version: svn40238

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xkeyval.sty)
Requires: tex(geometry.sty)
Requires: tex(enumitem.sty)
Requires: tex(caption.sty)
Requires: tex(color.sty)
Requires: tex(multicol.sty)
Requires: tex(emptypage.sty)
Requires: tex(textcase.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifthen.sty)
Requires: tex(microtype.sty)
Requires: tex(cclicenses.sty)
Requires: tex(fontenc.sty)
Requires: tex(substitutefont.sty)
Requires: tex(lmodern.sty)
Requires: tex(mathpazo.sty)
Requires: tex(beramono.sty)
Requires: tex(crop.sty)
Requires: tex(titlesec.sty)
Requires: tex(extramarks.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(titletoc.sty)
Requires: tex(fixltxhyph.sty)
Provides: tex(suftesi.cls) = %{tl_version}

%description suftesi
The class is specifically designed for use with theses in the
humanities.

%package suftesi-doc
Summary: Documentation for suftesi
Version: svn40238

Provides: tex-suftesi-doc
AutoReqProv: No

%description suftesi-doc
Documentation for suftesi

%package sugconf
Provides: tex-sugconf = %{tl_version}
License: LPPL
Summary: SAS(R) user group conference proceedings document class
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sugconf.cls) = %{tl_version}

%description sugconf
The class may be used to typeset articles to be published in
the proceedings of SAS(R) User group conferences and workshops.
The layout produced by the class is based on that published by
SAS Institute (2006).

%package sugconf-doc
Summary: Documentation for sugconf
Version: svn15878.0

Provides: tex-sugconf-doc
AutoReqProv: No

%description sugconf-doc
Documentation for sugconf

%package tabriz-thesis
Provides: tex-tabriz-thesis = %{tl_version}
License: LPPL 1.3
Summary: A template for the University of Tabriz
Version: svn29421.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsthm.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsmath.sty)
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(framed.sty)
Requires: tex(lastpage.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(tocbibind.sty)
Requires: tex(makeidx.sty)
Requires: tex(hyperref.sty)
Provides: tex(tabriz-thesis.cls) = %{tl_version}

%description tabriz-thesis
The package offers a document class for typesetting theses and
dissertations at the University of Tabriz. The class requires
use of XeLaTeX.

%package tabriz-thesis-doc
Summary: Documentation for tabriz-thesis
Version: svn29421.1.1

Provides: tex-tabriz-thesis-doc
AutoReqProv: No

%description tabriz-thesis-doc
Documentation for tabriz-thesis

%package texilikechaps
Provides: tex-texilikechaps = %{tl_version}
License: LPPL
Summary: Format chapters with a texi-like format
Version: svn28553.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(texilikechaps.sty) = %{tl_version}

%description texilikechaps
The package enables the user to reduce the size of the rather
large chapter headings in standard classes into a texi-like
smaller format. Details of the format may be controlled with
internal commands.

%package texilikecover
Provides: tex-texilikecover = %{tl_version}
License: LPPL
Summary: A cover-page package, like TeXinfo
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(texilikecover.sty) = %{tl_version}

%description texilikecover
The package creates document cover pages, like those that
TeXinfo produces.

%package thesis-ekf
Provides: tex-thesis-ekf = %{tl_version}
License: LPPL 1.2
Summary: Thesis class for Eszterhazy Karoly College
Version: svn43745
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(geometry.sty)
Requires: tex(hyperref.sty)
Provides: tex(thesis-ekf.cls) = %{tl_version}

%description thesis-ekf
The distribution contains the files to generate the thesis
class as well as three templates.

%package thesis-ekf-doc
Summary: Documentation for thesis-ekf
Version: svn43745
Provides: tex-thesis-ekf-doc
AutoReqProv: No

%description thesis-ekf-doc
Documentation for thesis-ekf

%package thesis-titlepage-fhac
Provides: tex-thesis-titlepage-fhac = %{tl_version}
License: LPPL
Summary: Little style to create a standard titlepage for diploma thesis
Version: svn15878.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Requires: tex(figbib.sty)
Requires: tex(gloss.sty)
Provides: tex(fhACtitlepage.cfg) = %{tl_version}
Provides: tex(fhACtitlepage.sty) = %{tl_version}
Provides: tex(figbib_add.sty) = %{tl_version}
Provides: tex(gloss_add.sty) = %{tl_version}

%description thesis-titlepage-fhac
Yet another thesis titlepage style: support of Fachhochschule
Aachen (Standort Juelich)

%package thesis-titlepage-fhac-doc
Summary: Documentation for thesis-titlepage-fhac
Version: svn15878.0.1

Provides: tex-thesis-titlepage-fhac-doc
AutoReqProv: No

%description thesis-titlepage-fhac-doc
Documentation for thesis-titlepage-fhac

%package thuthesis
Provides: tex-thuthesis = %{tl_version}
License: LPPL 1.3
Summary: Thesis template for Tsinghua University
Version: svn43609
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(amsmath.sty)
Requires: tex(txfonts.sty)
Requires: tex(graphicx.sty)
Requires: tex(subcaption.sty)
Requires: tex(paralist.sty)
Requires: tex(footmisc.sty)
Requires: tex(CJKfntef.sty)
Requires: tex(CJKspace.sty)
Requires: tex(ntheorem.sty)
Requires: tex(array.sty)
Requires: tex(longtable.sty)
Requires: tex(booktabs.sty)
Requires: tex(natbib.sty)
Requires: tex(hyperref.sty)
Requires: tex(multirow.sty)
Requires: tex(tabularx.sty)
Requires: tex(diagbox.sty)
Requires: tex(float.sty)
Provides: tex(thufonts.def) = %{tl_version}
Provides: tex(thuthesis.cfg) = %{tl_version}
Provides: tex(thuthesis.cls) = %{tl_version}
Provides: tex(thutils.sty) = %{tl_version}

%description thuthesis
ThuThesis is a LaTeX thesis template package for Tsinghua
University in order to make it easy to write theses for either
bachelor's, master's or doctor's degree.

%package thuthesis-doc
Summary: Documentation for thuthesis
Version: svn43609
Provides: tex-thuthesis-doc
AutoReqProv: No

%description thuthesis-doc
Documentation for thuthesis

%package toptesi
Provides: tex-toptesi = %{tl_version}
License: LPPL 1.3
Summary: Bundle for typesetting multilanguage theses
Version: svn45577
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Requires: tex(textcomp.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fontspec.sty)
Requires: tex(polyglossia.sty)
Requires: tex(babel.sty)
Requires: tex(graphicx.sty)
Requires: tex(pdfx.sty)
Requires: tex(hyperref.sty)
Provides: tex(topcoman.sty) = %{tl_version}
Provides: tex(topfront.sty) = %{tl_version}
Provides: tex(toptesi.cfg) = %{tl_version}
Provides: tex(toptesi.cls) = %{tl_version}
Provides: tex(toptesi.sty) = %{tl_version}

%description toptesi
This bundle contains everything is needed for typesetting a
bachelor, master or PhD thesis in Italian (or in any other
language supported by LaTeX: the bundle is constructed to
support multilingual use). The infix strings may be selected
and specified at will by means of a configuration file, so as
to customize the layout of the front page to the requirements
of a specific university. Thanks to its language management,
the bundle is suited for multilanguage theses that are becoming
more and more frequent thanks to the double degree programs of
the European Community Socrates programs. Toptesi is designed
to save the PDF version of a thesis in PDF/A-1b compliant mode
and with all the necessary metadata.

%package toptesi-doc
Summary: Documentation for toptesi
Version: svn45577
Provides: tex-toptesi-doc
AutoReqProv: No

%description toptesi-doc
Documentation for toptesi

%package tudscr
Provides: tex-tudscr = %{tl_version}
License: LPPL 1.3
Summary: The Corporate Design of TU Dresden
Version: svn44480
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(textcase.sty)
Requires: tex(environ.sty)
Requires: tex(graphicx.sty)
Requires: tex(trimspaces.sty)
Requires: tex(scrlayer-scrpage.sty)
Requires: tex(geometry.sty)
Requires: tex(scrbase.sty)
Requires: tex(kvsetkeys.sty)
Requires: tex(etoolbox.sty)
Requires: tex(xcolor.sty)
Requires: tex(dox.sty)
Requires: tex(csquotes.sty)
Requires: tex(mweights.sty)
Requires: tex(lmodern.sty)
Requires: tex(xspace.sty)
Requires: tex(scrhack.sty)
Requires: tex(scrextend.sty)
Requires: tex(xparse.sty)
Requires: tex(textcomp.sty)
Requires: tex(setspace.sty)
Requires: tex(babel.sty)
Requires: tex(microtype.sty)
Requires: tex(quoting.sty)
Requires: tex(isodate.sty)
Requires: tex(hologo.sty)
Requires: tex(marginnote.sty)
Requires: tex(listings.sty)
Requires: tex(silence.sty)
Requires: tex(filemod.sty)
Requires: tex(ifpdf.sty)
Requires: tex(todonotes.sty)
Requires: tex(ifplatform.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(imakeidx.sty)
Requires: tex(enumitem.sty)
Requires: tex(ellipsis.sty)
Requires: tex(tabularx.sty)
Requires: tex(ragged2e.sty)
Requires: tex(chngcntr.sty)
Requires: tex(booktabs.sty)
Requires: tex(varioref.sty)
Requires: tex(tikz.sty)
Requires: tex(pdfpages.sty)
Requires: tex(units.sty)
Requires: tex(auto-pst-pdf.sty)
Requires: tex(scrwfile.sty)
Requires: tex(filecontents.sty)
Requires: tex(hyphsubst.sty)
Provides: tex(mathswap.sty) = %{tl_version}
Provides: tex(tudscrartcl.cls) = %{tl_version}
Provides: tex(tudscrbase.sty) = %{tl_version}
Provides: tex(tudscrbook.cls) = %{tl_version}
Provides: tex(tudscrcolor.sty) = %{tl_version}
Provides: tex(tudscrcomp.sty) = %{tl_version}
Provides: tex(tudscrdoc.cls) = %{tl_version}
Provides: tex(tudscrfonts.sty) = %{tl_version}
Provides: tex(tudscrman.cls) = %{tl_version}
Provides: tex(tudscrman.sty) = %{tl_version}
Provides: tex(tudscrreprt.cls) = %{tl_version}
Provides: tex(tudscrsupervisor.sty) = %{tl_version}
Provides: tex(twocolfix.sty) = %{tl_version}

%description tudscr
The TUD-KOMA-Script bundle provides both classes and packages
in order to create LaTeX documents in the corporate design of
the Technische Universitat Dresden. It bases on the KOMA-Script
bundle, which must necessarily be present. In addition, the
PostScript font families Univers and DIN-Bold should be
installed. Otherwise, the document classes can admittedly be
used, but in this case, the created documents do not correspond
to the originally thought style. Employees and students of the
Technische Universitat Dresden can request these fonts via
https://tu-dresden.de/service/publizieren/cd/4_latex from the
university marketing university marketing with regard to the
use of LaTeX. To install the PostScript fonts, please refer to
the corresponding release under https://github.com/tud-
cd/tudscr/releases/tag/fonts and the LaTeX forum of the
Technische Universitat Dresden: http://latex.wcms-file3.tu-
dresden.de/phpBB3/index.php The bundle offers: the three
document classes tudscrartcl, tudscrreprt and tudscrbook which
serve as wrapper classes for scrartcl, scrreprt and scrbook.
the package tudscrsupervisor providing environments and macros
to create tasks, evaluations and notices for scientific theses,
the package tudscrfonts, which makes the corporate design fonts
of the Technische Universitat Dresden available for LaTeX
standard classes and KOMA-Script classes, the package mathswap
for swapping math delimiters within numbers (similar to
ionumbers), and the package twocolfix for fixing the
positioning bug of headings in two column layout, a
comprehensive user documentation as well as several tutorials.

%package tudscr-doc
Summary: Documentation for tudscr
Version: svn44480
Provides: tex-tudscr-doc
AutoReqProv: No

%description tudscr-doc
Documentation for tudscr

%package tugboat
Provides: tex-tugboat = %{tl_version}
License: LPPL 1.3
Summary: LaTeX macros for TUGboat articles
Version: svn42465
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(mflogo.sty)
Provides: tex(ltugboat.cls) = %{tl_version}
Provides: tex(ltugboat.sty) = %{tl_version}
Provides: tex(ltugcomn.sty) = %{tl_version}
Provides: tex(ltugproc.cls) = %{tl_version}
Provides: tex(ltugproc.sty) = %{tl_version}

%description tugboat
Provides ltugboat.cls for both regular and proceedings issues
of the TUGboat journal. The distribution also includes a BibTeX
style appropriate for use with the classes' "harvard" option.

%package tugboat-doc
Summary: Documentation for tugboat
Version: svn42465
Provides: tex-tugboat-doc
AutoReqProv: No

%description tugboat-doc
Documentation for tugboat

%package tugboat-plain
Provides: tex-tugboat-plain = %{tl_version}
License: Bibtex
Summary: Plain TeX macros for TUGboat
Version: svn43560
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(tugboat.sty) = %{tl_version}
Provides: tex(tugproc.sty) = %{tl_version}

%description tugboat-plain
The macros defined in this directory (in files tugboat.sty and
tugboat.cmn) are used in papers written in Plain TeX for
publication in TUGboat.

%package tugboat-plain-doc
Summary: Documentation for tugboat-plain
Version: svn43560
Provides: tex-tugboat-plain-doc
AutoReqProv: No

%description tugboat-plain-doc
Documentation for tugboat-plain

%package turabian
Provides: tex-turabian = %{tl_version}
License: LPPL
Summary: Create Turabian-formatted material using LaTeX
Version: svn36298.0.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(turabian.cls) = %{tl_version}

%description turabian
The bundle provides a class file and a template for creating
Turabian-formatted projects. The class file supports citation
formatting conforming to the Turabian 8th Edition style guide.

%package turabian-doc
Summary: Documentation for turabian
Version: svn36298.0.1.0

Provides: tex-turabian-doc
AutoReqProv: No

%description turabian-doc
Documentation for turabian

%package tui
Provides: tex-tui = %{tl_version}
License: LPPL
Summary: Thesis style for the University of the Andes, Colombia
Version: svn27253.1.9

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(inputenc.sty)
Requires: tex(makeidx.sty)
Requires: tex(babel.sty)
Requires: tex(microtype.sty)
Requires: tex(kpfonts.sty)
Requires: tex(mathptmx.sty)
Requires: tex(hyperref.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(amssymb.sty)
Requires: tex(xcolor.sty)
Requires: tex(graphicx.sty)
Requires: tex(courier.sty)
Requires: tex(csquotes.sty)
Requires: tex(breakurl.sty)
Requires: tex(MnSymbol.sty)
Provides: tex(tui.cls) = %{tl_version}

%description tui
Doctoral Dissertations from the Faculty of Engineering at the
Universidad de los Andes, Bogota, Colombia. The class is
implemented as an extension of the memoir class. Clase de Tesis
doctorales para ingenieria, Universidad de los Andes, Bogota.

%package tui-doc
Summary: Documentation for tui
Version: svn27253.1.9

Provides: tex-tui-doc
AutoReqProv: No

%description tui-doc
Documentation for tui

%package uaclasses
Provides: tex-uaclasses = %{tl_version}
License: Public Domain
Summary: University of Arizona thesis and dissertation format
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amsthm.sty)
Provides: tex(my-thesis.cls) = %{tl_version}
Provides: tex(my-title.sty) = %{tl_version}
Provides: tex(ua-thesis.cls) = %{tl_version}
Provides: tex(ua-title.sty) = %{tl_version}

%description uaclasses
This package provides a LaTeX2e document class named 'ua-
thesis' for typesetting theses and dissertations in the
official format required by the University of Arizona.
Moreover, there is a fully compatible alternative document
class 'my-thesis' for private 'nice' copies of the
dissertation, and the respective title pages are available as
separate packages to work with any document class.

%package uaclasses-doc
Summary: Documentation for uaclasses
Version: svn15878.0

Provides: tex-uaclasses-doc
AutoReqProv: No

%description uaclasses-doc
Documentation for uaclasses

%package uafthesis
Provides: tex-uafthesis = %{tl_version}
License: LPPL
Summary: Document class for theses at University of Alaska Fairbanks
Version: svn29349.12.12

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(uafthesis.cls) = %{tl_version}

%description uafthesis
This is an "unofficial" official class.

%package uafthesis-doc
Summary: Documentation for uafthesis
Version: svn29349.12.12

Provides: tex-uafthesis-doc
AutoReqProv: No

%description uafthesis-doc
Documentation for uafthesis

%package ucbthesis
Provides: tex-ucbthesis = %{tl_version}
License: LPPL 1.3
Summary: Thesis and dissertation class supporting UCB requirements
Version: svn37776.3.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ucbthesis.cls) = %{tl_version}

%description ucbthesis
The class provides the necessary framework for electronic
submission of Masters theses and Ph.D. dissertations at the
University of California, Berkeley. It is based on the memoir
class.

%package ucbthesis-doc
Summary: Documentation for ucbthesis
Version: svn37776.3.5

Provides: tex-ucbthesis-doc
AutoReqProv: No

%description ucbthesis-doc
Documentation for ucbthesis

%package ucdavisthesis
Provides: tex-ucdavisthesis = %{tl_version}
License: LPPL
Summary: A thesis/dissertation class for University of California at Davis
Version: svn40772

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(ucdavisthesis.cls) = %{tl_version}
Provides: tex(ucdthesis10.clo) = %{tl_version}
Provides: tex(ucdthesis11.clo) = %{tl_version}
Provides: tex(ucdthesis12.clo) = %{tl_version}
Provides: tex(ucdthesis13.clo) = %{tl_version}

%description ucdavisthesis
The class conforms to the University's requirements for 2009.

%package ucdavisthesis-doc
Summary: Documentation for ucdavisthesis
Version: svn40772

Provides: tex-ucdavisthesis-doc
AutoReqProv: No

%description ucdavisthesis-doc
Documentation for ucdavisthesis

%package ucthesis
Provides: tex-ucthesis = %{tl_version}
License: LPPL 1.3
Summary: University of California thesis format
Version: svn15878.3.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(uct10.clo) = %{tl_version}
Provides: tex(uct11.clo) = %{tl_version}
Provides: tex(uct12.clo) = %{tl_version}
Provides: tex(ucthesis.cls) = %{tl_version}

%description ucthesis
A modified version of the standard LaTeX report style that is
accepted for use with University of California PhD
dissertations and Masters theses. A sample dissertation source
and bibliography are provided.

%package ucthesis-doc
Summary: Documentation for ucthesis
Version: svn15878.3.2

Provides: tex-ucthesis-doc
AutoReqProv: No

%description ucthesis-doc
Documentation for ucthesis

%package uestcthesis
Provides: tex-uestcthesis = %{tl_version}
License: LPPL 1.3
Summary: Thesis class for UESTC
Version: svn36371.1.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(mathptmx.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifthen.sty)
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(calc.sty)
Requires: tex(float.sty)
Requires: tex(texnames.sty)
Requires: tex(caption.sty)
Requires: tex(booktabs.sty)
Requires: tex(tabularx.sty)
Requires: tex(threeparttable.sty)
Requires: tex(longtable.sty)
Requires: tex(placeins.sty)
Requires: tex(flafter.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(bm.sty)
Requires: tex(ntheorem.sty)
Requires: tex(natbib.sty)
Requires: tex(multibib.sty)
Requires: tex(footmisc.sty)
Requires: tex(pifont.sty)
Requires: tex(cmap.sty)
Requires: tex(hyperxmp.sty)
Requires: tex(hyperref.sty)
Requires: tex(subfigure.sty)
Requires: tex(enumitem.sty)
Requires: tex(color.sty)
Requires: tex(marvosym.sty)
Requires: tex(glossaries.sty)
Provides: tex(uestcthesis.cls) = %{tl_version}

%description uestcthesis
The class is for typesetting a thesis at the University of
Electronic Science and Technology of China.

%package uestcthesis-doc
Summary: Documentation for uestcthesis
Version: svn36371.1.1.0

Provides: tex-uestcthesis-doc
AutoReqProv: No

%description uestcthesis-doc
Documentation for uestcthesis

%package uiucredborder
Provides: tex-uiucredborder = %{tl_version}
License: LPPL 1.2
Summary: Class for UIUC thesis red-bordered forms
Version: svn29974.1.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Provides: tex(uiucredborder.cls) = %{tl_version}

%description uiucredborder
The class offers a means of filling out the "red-bordered form"
that gets signed by the department head, your advisor, and --
for doctoral dissertations -- your thesis committee members.

%package uiucredborder-doc
Summary: Documentation for uiucredborder
Version: svn29974.1.00

Provides: tex-uiucredborder-doc
AutoReqProv: No

%description uiucredborder-doc
Documentation for uiucredborder

%package uiucthesis
Provides: tex-uiucthesis = %{tl_version}
License: LPPL
Summary: UIUC thesis class
Version: svn15878.2.25

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(setspace.sty)
Provides: tex(uiucthesis.cls) = %{tl_version}
Provides: tex(uiucthesis.sty) = %{tl_version}

%description uiucthesis
The class produces a document that conforms to the format
described in the University's Handbook for Graduate Students
Preparing to Deposit.

%package uiucthesis-doc
Summary: Documentation for uiucthesis
Version: svn15878.2.25

Provides: tex-uiucthesis-doc
AutoReqProv: No

%description uiucthesis-doc
Documentation for uiucthesis

%package ulthese
Provides: tex-ulthese = %{tl_version}
License: LPPL 1.3
Summary: Thesis class and templates for Universite Laval
Version: svn44456
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(ifxetex.sty)
Requires: tex(fontspec.sty)
Requires: tex(unicode-math.sty)
Requires: tex(fontenc.sty)
Requires: tex(natbib.sty)
Requires: tex(babel.sty)
Requires: tex(numprint.sty)
Requires: tex(graphicx.sty)
Requires: tex(xcolor.sty)
Requires: tex(textcomp.sty)
Provides: tex(ulthese.cls) = %{tl_version}

%description ulthese
The package provides a class based on memoir to prepare theses
and memoirs compliant with the presentation rules set forth by
the Faculty of Graduate Studies of Universite Laval, Quebec,
Canada. The class also comes with an extensive set of templates
for the various types of theses and memoirs offered at Laval.
Please note that the documentation for the class and the
comments in the templates are all written in French, the
language of the target audience.

%package ulthese-doc
Summary: Documentation for ulthese
Version: svn44456
Provides: tex-ulthese-doc
AutoReqProv: No

%description ulthese-doc
Documentation for ulthese

%package umthesis
Provides: tex-umthesis = %{tl_version}
License: LPPL
Summary: Dissertations at the University of Michigan
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(setspace.sty)
Requires: tex(ifthen.sty)
Requires: tex(etex.sty)
Requires: tex(hyperref.sty)
Provides: tex(umthesis.cls) = %{tl_version}

%description umthesis
The class loads book class, and makes minimal changes to it;
its coding aims to be as robust as possible, and as a result it
has few conflicts with potential add-on packages.

%package umthesis-doc
Summary: Documentation for umthesis
Version: svn15878.0.2

Provides: tex-umthesis-doc
AutoReqProv: No

%description umthesis-doc
Documentation for umthesis

%package umich-thesis
Provides: tex-umich-thesis = %{tl_version}
License: LPPL
Summary: University of Michigan Thesis LaTeX class
Version: svn15878.1.20

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(setspace.sty)
Requires: tex(placeins.sty)
Provides: tex(umich-thesis.cls) = %{tl_version}

%description umich-thesis
A LaTeX2e class to create a University of Michigan dissertation
according to the Rackham dissertation handbook.

%package umich-thesis-doc
Summary: Documentation for umich-thesis
Version: svn15878.1.20

Provides: tex-umich-thesis-doc
AutoReqProv: No

%description umich-thesis-doc
Documentation for umich-thesis

%package unamth-template-doc
Summary: Documentation for unamth-template
Version: svn33625.2.0

Provides: tex-unamth-template-doc
AutoReqProv: No

%description unamth-template-doc
Documentation for unamth-template

%package unamthesis
Provides: tex-unamthesis = %{tl_version}
License: LPPL 1.3
Summary: Style for Universidad Nacional Autonoma de Mexico theses
Version: svn43639
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(setspace.sty)
Provides: tex(UNAMThesis.sty) = %{tl_version}

%description unamthesis
The package provides a customisable format to typeset Theses
according to the Universidad Nacional Autonoma de Mexico
guidelines. Support for use in Scientific Workplace (SWP) 3.x
is also provided. The bundle also includes an appropriate
bibliographic style which enables the use of author-year
schemes using the natbib package.

%package unamthesis-doc
Summary: Documentation for unamthesis
Version: svn43639
Provides: tex-unamthesis-doc
AutoReqProv: No

%description unamthesis-doc
Documentation for unamthesis

%package unswcover
Provides: tex-unswcover = %{tl_version}
License: LPPL 1.3
Summary: Typeset a dissertation cover page following UNSW guidelines
Version: svn29476.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(babel.sty)
Requires: tex(graphicx.sty)
Requires: tex(pdfpages.sty)
Provides: tex(unswcover.sty) = %{tl_version}

%description unswcover
The package an UNSW cover sheet following the 2011 GRS
guidelines. It may also (optionally) provide other required
sheets such as Originality, Copyright and Authenticity
statements.

%package unswcover-doc
Summary: Documentation for unswcover
Version: svn29476.1.0

Provides: tex-unswcover-doc
AutoReqProv: No

%description unswcover-doc
Documentation for unswcover

%package uothesis
Provides: tex-uothesis = %{tl_version}
License: LPPL 1.3
Summary: Class for dissertations and theses at the University of Oregon
Version: svn25355.2.5.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(float.sty)
Requires: tex(subfig.sty)
Requires: tex(xcolor.sty)
Requires: tex(graphicx.sty)
Requires: tex(setspace.sty)
Requires: tex(xspace.sty)
Requires: tex(lineno.sty)
Requires: tex(layouts.sty)
Requires: tex(todonotes.sty)
Requires: tex(ragged2e.sty)
Requires: tex(mhchem.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(amssymb.sty)
Requires: tex(lipsum.sty)
Requires: tex(natbib.sty)
Requires: tex(draftwatermark.sty)
Requires: tex(hyperref.sty)
Provides: tex(uothesis.cls) = %{tl_version}

%description uothesis
The class generates documents that are suitable for submission
to the Graduate School and conform with the style requirements
for dissertations and theses as laid out in the Fall 2010 UO
graduate school student manual.

%package uothesis-doc
Summary: Documentation for uothesis
Version: svn25355.2.5.6

Provides: tex-uothesis-doc
AutoReqProv: No

%description uothesis-doc
Documentation for uothesis

%package urcls
Provides: tex-urcls = %{tl_version}
License: LPPL
Summary: Beamer and scrlttr2 classes and styles for the University of Regensburg
Version: svn43734
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(xcolor.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(calc.sty)
Requires: tex(tikz.sty)
Requires: tex(pgf.sty)
Requires: tex(kvoptions.sty)
Provides: tex(URbeamer.cls) = %{tl_version}
Provides: tex(URcolors.sty) = %{tl_version}
Provides: tex(URletter.cls) = %{tl_version}
Provides: tex(beamercolorthemeUR.sty) = %{tl_version}
Provides: tex(beamerfontthemeUR.sty) = %{tl_version}
Provides: tex(beamerouterthemeUR.sty) = %{tl_version}
Provides: tex(beamerthemeUR.sty) = %{tl_version}

%description urcls
The bundle provides a beamer-derived class and a theme style
file for the corporate design of the University of Regensburg.
It also contains a scrlttr2-derived class for letters using the
corporate design of the UR. Users may use the class itself
(URbeamer) or use the theme in the usual way with
\usetheme{UR}. Examples of using both letters and presentations
are provided as .tex and .pdf-files.

%package urcls-doc
Summary: Documentation for urcls
Version: svn43734
Provides: tex-urcls-doc
AutoReqProv: No

%description urcls-doc
Documentation for urcls

%package uowthesis
Provides: tex-uowthesis = %{tl_version}
License: LPPL 1.3
Summary: Document class for dissertations at the University of Wollongong
Version: svn19700.1.0a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(geometry.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(setspace.sty)
Requires: tex(graphicx.sty)
Requires: tex(nextpage.sty)
Requires: tex(hyperref.sty)
Provides: tex(UoWthesis.cls) = %{tl_version}

%description uowthesis
A document class for higher degree research theses in
compliance with the specifications of University of Wollongong
(UoW) theses in the "Guidelines for Preparation and Submission
of Higher Degree Research Theses" (March 2006), by the Research
Student Centre, Research & Innovation Division, UoW.

%package uowthesis-doc
Summary: Documentation for uowthesis
Version: svn19700.1.0a

Provides: tex-uowthesis-doc
AutoReqProv: No

%description uowthesis-doc
Documentation for uowthesis

%package uowthesistitlepage
Provides: tex-uowthesistitlepage = %{tl_version}
License: LPPL 1.3
Summary: Title page for dissertations at the University of Wollongong
Version: svn45022
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(geometry.sty)
Requires: tex(setspace.sty)
Requires: tex(etoolbox.sty)
Requires: tex(graphicx.sty)
Provides: tex(uowthesistitlepage.sty) = %{tl_version}

%description uowthesistitlepage
The package redefines \maketitle to generate a title page for a
University of Wollongong thesis, in accordance with the UoW
branding guidelines. The package should be used with the book
class to typeset a thesis. The package also defines a
\declaration command that typesets the declaration that this
thesis is your own work, etc., which is required in the front
of each PhD Thesis.

%package uowthesistitlepage-doc
Summary: Documentation for uowthesistitlepage
Version: svn45022
Provides: tex-uowthesistitlepage-doc
AutoReqProv: No

%description uowthesistitlepage-doc
Documentation for uowthesistitlepage

%package uspatent
Provides: tex-uspatent = %{tl_version}
License: LPPL 1.3
Summary: U.S. Patent Application Tools for LaTeX and LyX
Version: svn27744.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(uspatent.cls) = %{tl_version}

%description uspatent
The package provides a class and other tools for developing a
beautifully formatted, consistent U.S. Patent Application using
LaTeX and/or LyX.

%package uspatent-doc
Summary: Documentation for uspatent
Version: svn27744.1.0

Provides: tex-uspatent-doc
AutoReqProv: No

%description uspatent-doc
Documentation for uspatent

%package ut-thesis
Provides: tex-ut-thesis = %{tl_version}
License: LPPL 1.3
Summary: University of Toronto thesis style
Version: svn38269.2.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(geometry.sty)
Requires: tex(setspace.sty)
Provides: tex(ut-thesis.cls) = %{tl_version}

%description ut-thesis
This not described as an 'official' class, just one distributed
"in the hope that it will be useful". A skeleton file, using
the class, is provided.

%package ut-thesis-doc
Summary: Documentation for ut-thesis
Version: svn38269.2.1

Provides: tex-ut-thesis-doc
AutoReqProv: No

%description ut-thesis-doc
Documentation for ut-thesis

%package uwthesis
Provides: tex-uwthesis = %{tl_version}
License: ASL 2.0
Summary: University of Washington thesis class
Version: svn15878.6.13

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(uwthesis.cls) = %{tl_version}

%description uwthesis
uwthesis package

%package uwthesis-doc
Summary: Documentation for uwthesis
Version: svn15878.6.13

Provides: tex-uwthesis-doc
AutoReqProv: No

%description uwthesis-doc
Documentation for uwthesis

%package vancouver
Provides: tex-vancouver = %{tl_version}
License: LPPL 1.3
Summary: Bibliographic style file for Biomedical Journals
Version: svn34470.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description vancouver
This BibTeX style file is generated with the docstrip utility
and modified manually to meet the Uniform Requirements for
Manuscripts Submitted to Biomedical Journals as published in N
Engl J Med 1997;336:309-315 (also known as the Vancouver
style). The complete set of requirements may be viewed on the
ICMJE web site.

%package vancouver-doc
Summary: Documentation for vancouver
Version: svn34470.0

Provides: tex-vancouver-doc
AutoReqProv: No

%description vancouver-doc
Documentation for vancouver

%package wsemclassic
Provides: tex-wsemclassic = %{tl_version}
License: BSD
Summary: LaTeX class for Bavarian school w-seminar papers
Version: svn31532.1.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(kvoptions.sty)
Requires: tex(iftex.sty)
Requires: tex(inputenx.sty)
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(babelbib.sty)
Requires: tex(polyglossia.sty)
Requires: tex(fontspec.sty)
Requires: tex(hyperref.sty)
Requires: tex(microtype.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(amssymb.sty)
Requires: tex(titlesec.sty)
Requires: tex(natbib.sty)
Requires: tex(setspace.sty)
Requires: tex(geometry.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(tocbibind.sty)
Requires: tex(soulutf8.sty)
Provides: tex(wsemclassic.cls) = %{tl_version}

%description wsemclassic
The class is designed either to conform with the
recommendations of the Bavarian Kultusministerium for
typesetting w-seminar papers (strict mode), or to use another
style which should look better. The class is based on the LaTeX
standard report class.

%package wsemclassic-doc
Summary: Documentation for wsemclassic
Version: svn31532.1.0.1

Provides: tex-wsemclassic-doc
AutoReqProv: No

%description wsemclassic-doc
Documentation for wsemclassic

%package xcookybooky
Provides: tex-xcookybooky = %{tl_version}
License: LPPL 1.3
Summary: Typeset (potentially long) recipes
Version: svn36435.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(graphicx.sty)
Requires: tex(xcolor.sty)
Requires: tex(ifsym.sty)
Requires: tex(cookingsymbols.sty)
Requires: tex(wrapfig.sty)
Requires: tex(iflang.sty)
Requires: tex(ifthen.sty)
Requires: tex(xkeyval.sty)
Requires: tex(lettrine.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(units.sty)
Requires: tex(eso-pic.sty)
Requires: tex(picture.sty)
Requires: tex(tabulary.sty)
Requires: tex(framed.sty)
Provides: tex(xcookybooky.cfg) = %{tl_version}
Provides: tex(xcookybooky.sty) = %{tl_version}

%description xcookybooky
The package enables the user to typeset recipes, which could be
greater than one page. Above the recipe text two (optional)
pictures can be displayed. Other features are recipe name,
energy content, portions, preparation and baking time, baking
temperatures, recipe source and of course preparation steps and
required ingredients. At the bottom you may insert an optional
hint. The package depends on the Emerald fonts.

%package xcookybooky-doc
Summary: Documentation for xcookybooky
Version: svn36435.1.5

Provides: tex-xcookybooky-doc
AutoReqProv: No

%description xcookybooky-doc
Documentation for xcookybooky

%package yathesis
Provides: tex-yathesis = %{tl_version}
License: LPPL 1.3
Summary: yathesis provides a LaTeX class that aims to help to write a thesis following French rules
Version: svn42671
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xpatch.sty)
Requires: tex(xstring.sty)
Requires: tex(xparse.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(xifthen.sty)
Requires: tex(zref.sty)
Requires: tex(pgfopts.sty)
Requires: tex(etoolbox.sty)
Requires: tex(morewrites.sty)
Requires: tex(filehook.sty)
Requires: tex(hopatch.sty)
Requires: tex(xkeyval.sty)
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(environ.sty)
Requires: tex(adjustbox.sty)
Requires: tex(array.sty)
Requires: tex(textcase.sty)
Requires: tex(translator.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(iftex.sty)
Requires: tex(epigraph.sty)
Requires: tex(tcolorbox.sty)
Requires: tex(marvosym.sty)
Requires: tex(setspace.sty)
Requires: tex(shorttoc.sty)
Requires: tex(tocvsec2.sty)
Requires: tex(tocbibind.sty)
Requires: tex(fncychap.sty)
Requires: tex(titleps.sty)
Requires: tex(nonumonpart.sty)
Requires: tex(xcolor.sty)
Requires: tex(datatool.sty)
Requires: tex(ifdraft.sty)
Requires: tex(draftwatermark.sty)
Requires: tex(babel.sty)
Requires: tex(iflang.sty)
Requires: tex(datetime.sty)
Requires: tex(hypcap.sty)
Requires: tex(bookmark.sty)
Requires: tex(glossaries-babel.sty)
Provides: tex(yathesis-demo.sty) = %{tl_version}
Provides: tex(yathesis.cls) = %{tl_version}

%description yathesis
The bundle provides a LaTeX class that formats a thesis
following French rules.

%package yathesis-doc
Summary: Documentation for yathesis
Version: svn42671
Provides: tex-yathesis-doc
AutoReqProv: No

%description yathesis-doc
Documentation for yathesis

%package york-thesis
Provides: tex-york-thesis = %{tl_version}
License: LPPL 1.3
Summary: A thesis class file for York University, Toronto
Version: svn23348.3.6

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(makeidx.sty)
Provides: tex(york-thesis.cls) = %{tl_version}

%description york-thesis
York Graduate Studies has again changed the requirements for
theses and dissertations. The established york-thesis class
file now implements the changes made in Spring 2005.

%package york-thesis-doc
Summary: Documentation for york-thesis
Version: svn23348.3.6

Provides: tex-york-thesis-doc
AutoReqProv: No

%description york-thesis-doc
Documentation for york-thesis

%package SIstyle
Provides: tex-SIstyle = %{tl_version}
License: LPPL
Summary: Package to typeset SI units, numbers and angles
Version: svn15878.2.3a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amstext.sty)
Provides: tex(sistyle.sty) = %{tl_version}

%description SIstyle
This package typesets SI units, numbers and angles according to
the ISO requirements. Care is taken with font setup and
requirements, and language customisation is available. Note
that this package is (in principle) superseded by siunitx;
sistyle has maintenance-only support, now.

%package SIstyle-doc
Summary: Documentation for SIstyle
Version: svn15878.2.3a

Provides: tex-SIstyle-doc
AutoReqProv: No

%description SIstyle-doc
Documentation for SIstyle

%package SIunits
Provides: tex-SIunits = %{tl_version}
License: LPPL 1.3
Summary: International System of Units
Version: svn15878.1.36

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amstext.sty)
Provides: tex(SIunits.cfg) = %{tl_version}
Provides: tex(SIunits.sty) = %{tl_version}
Provides: tex(binary.sty) = %{tl_version}

%description SIunits
Typeset physical units following the rules of the International
System of Units (SI). The package requires amstext, for proper
representation of some values. Note that the package is now
superseded by siunitx; siunits has maintenance-only support,
now.

%package SIunits-doc
Summary: Documentation for SIunits
Version: svn15878.1.36

Provides: tex-SIunits-doc
AutoReqProv: No

%description SIunits-doc
Documentation for SIunits

%package complexity
Provides: tex-complexity = %{tl_version}
License: LPPL
Summary: Computational complexity class names
Version: svn45322
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Provides: tex(complexity.sty) = %{tl_version}
Provides: tex(mycomplexity.sty) = %{tl_version}

%description complexity
Complexity is a LaTeX package that defines commands to typeset
Computational Complexity Classes such as $\P$ and $\NP$ (as
well as hundreds of others). It also offers several options
including which font classes are typeset in and how many are
defined (all of them or just the basic, most commonly used
ones). The package has no dependencies other than the standard
ifthen package.

%package complexity-doc
Summary: Documentation for complexity
Version: svn45322
Provides: tex-complexity-doc
AutoReqProv: No

%description complexity-doc
Documentation for complexity

%package computational-complexity
Provides: tex-computational-complexity = %{tl_version}
License: LPPL
Summary: Class for the journal Computational Complexity
Version: svn44847
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontenc.sty)
Requires: tex(babel.sty)
Requires: tex(inputenc.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(url.sty)
Requires: tex(cc2cite.sty)
Requires: tex(multicol.sty)
Requires: tex(ccthm.sty)
Requires: tex(ccalgo.sty)
Requires: tex(natbib.sty)
Requires: tex(ccreltx.sty)
Requires: tex(relabel.sty)
Requires: tex(theorem.sty)
Requires: tex(environ.sty)
Requires: tex(xkeyval.sty)
Requires: tex(lineno.sty)
Requires: tex(draftcopy.sty)
Requires: tex(hyperref.sty)
Requires: tex(breakurl.sty)
Requires: tex(graphics.sty)
Requires: tex(xcolor.sty)
Provides: tex(cc-cls.sty) = %{tl_version}
Provides: tex(cc.cls) = %{tl_version}
Provides: tex(cc2cite.sty) = %{tl_version}
Provides: tex(cc4amsart.sty) = %{tl_version}
Provides: tex(cc4apjrnl.sty) = %{tl_version}
Provides: tex(cc4elsart.sty) = %{tl_version}
Provides: tex(cc4jT.sty) = %{tl_version}
Provides: tex(cc4llncs.sty) = %{tl_version}
Provides: tex(cc4siamltex.sty) = %{tl_version}
Provides: tex(cc4svjour.sty) = %{tl_version}
Provides: tex(ccalgo.sty) = %{tl_version}
Provides: tex(ccaux.sty) = %{tl_version}
Provides: tex(cccite.sty) = %{tl_version}
Provides: tex(ccdbs.sty) = %{tl_version}
Provides: tex(cclayout.sty) = %{tl_version}
Provides: tex(ccproof.sty) = %{tl_version}
Provides: tex(ccqed.sty) = %{tl_version}
Provides: tex(ccref.sty) = %{tl_version}
Provides: tex(ccreltx.sty) = %{tl_version}
Provides: tex(ccthm.sty) = %{tl_version}
Provides: tex(relabel.sty) = %{tl_version}
Provides: tex(thcc.sty) = %{tl_version}

%description computational-complexity
The LaTeX2e class cc was written for the journal Computational
Complexity, and it can also be used for a lot of other
articles. You may like it since it contains a lot of features
as more intelligent references, a set of theorem definitions,
an algorithm environment, ... The class requires natbib.

%package computational-complexity-doc
Summary: Documentation for computational-complexity
Version: svn44847
Provides: tex-computational-complexity-doc
AutoReqProv: No

%description computational-complexity-doc
Documentation for computational-complexity

%package cryptocode
Provides: tex-cryptocode = %{tl_version}
License: LPPL 1.3
Summary: Typesetting pseudocode, protocols, game-based proofs and black-box reductions in cryptography
Version: svn37019.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(mathtools.sty)
Requires: tex(amsfonts.sty)
Requires: tex(xcolor.sty)
Requires: tex(calc.sty)
Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Requires: tex(xargs.sty)
Requires: tex(pgf.sty)
Requires: tex(forloop.sty)
Requires: tex(array.sty)
Requires: tex(xparse.sty)
Requires: tex(l3regex.sty)
Requires: tex(pbox.sty)
Requires: tex(varwidth.sty)
Requires: tex(suffix.sty)
Requires: tex(etoolbox.sty)
Requires: tex(etex.sty)
Requires: tex(environ.sty)
Requires: tex(xkeyval.sty)
Provides: tex(cryptocode.sty) = %{tl_version}

%description cryptocode
The cryptocode bundle provides commands for easily typesetting
pseudocode and simple protocols as well as environments for
visualizing game-based proofs and black-box reductions as often
used within the cryptographic community.

%package cryptocode-doc
Summary: Documentation for cryptocode
Version: svn37019.0.1

Provides: tex-cryptocode-doc
AutoReqProv: No

%description cryptocode-doc
Documentation for cryptocode

%package digiconfigs
Provides: tex-digiconfigs = %{tl_version}
License: LPPL
Summary: Writing "configurations"
Version: svn15878.0.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Provides: tex(digiconfigs.sty) = %{tl_version}

%description digiconfigs
In Stochastic Geometry and Digital Image Analysis some problems
can be solved in terms of so-called "configurations". A
configuration is basically a square matrix of \circ and \bullet
symbols. This package provides a convenient and compact
mechanism for displaying these configurations.

%package digiconfigs-doc
Summary: Documentation for digiconfigs
Version: svn15878.0.5

Provides: tex-digiconfigs-doc
AutoReqProv: No

%description digiconfigs-doc
Documentation for digiconfigs

%package drawstack
Provides: tex-drawstack = %{tl_version}
License: LPPL 1.3
Summary: Draw execution stacks
Version: svn28582.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(ifthen.sty)
Provides: tex(drawstack.sty) = %{tl_version}

%description drawstack
This simple LaTeX package provides support for drawing
execution stack (typically to illustrate assembly language
notions). The code is written on top of TikZ.

%package drawstack-doc
Summary: Documentation for drawstack
Version: svn28582.0

Provides: tex-drawstack-doc
AutoReqProv: No

%description drawstack-doc
Documentation for drawstack

%package dyntree
Provides: tex-dyntree = %{tl_version}
License: LGPLv2+
Summary: Construct Dynkin tree diagrams
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(coollist.sty)
Requires: tex(calc.sty)
Requires: tex(epic.sty)
Requires: tex(eepic.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Provides: tex(dyntree.sty) = %{tl_version}

%description dyntree
The package is intended for users needing to typeset a Dynkin
Tree Diagram--a group theoretical construct consisting of
cartan coefficients in boxes connected by a series of lines.
Such a diagram is a tool for working out the states and their
weights in terms of the fundamental weights and the simple
roots. The package makes use of the author's coollist package.

%package dyntree-doc
Summary: Documentation for dyntree
Version: svn15878.1.0

Provides: tex-dyntree-doc
AutoReqProv: No

%description dyntree-doc
Documentation for dyntree

%package eltex
Provides: tex-eltex = %{tl_version}
License: LPPL
Summary: Simple circuit diagrams in LaTeX picture mode
Version: svn15878.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(eltex1.tex) = %{tl_version}
Provides: tex(eltex2.tex) = %{tl_version}
Provides: tex(eltex3.tex) = %{tl_version}
Provides: tex(eltex4.tex) = %{tl_version}
Provides: tex(eltex5.tex) = %{tl_version}
Provides: tex(eltex6.tex) = %{tl_version}
Provides: tex(eltex7.tex) = %{tl_version}

%description eltex
The macros enable the user to draw simple circuit diagrams in
the picture environment, with no need of special resources. The
macros are appropriate for drawing for school materials. The
circuit symbols accord to the various parts of the standard IEC
617.

%package eltex-doc
Summary: Documentation for eltex
Version: svn15878.2.0

Provides: tex-eltex-doc
AutoReqProv: No

%description eltex-doc
Documentation for eltex

%package endiagram
Provides: tex-endiagram = %{tl_version}
License: LPPL 1.3
Summary: Easy creation of potential energy curve diagrams
Version: svn34486.0.1d

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(tikz.sty)
Requires: tex(siunitx.sty)
Provides: tex(endiagram.sty) = %{tl_version}

%description endiagram
The package provides the facility of drawing potential energy
curve diagrams with just a few simple commands. The package
cannot (yet) be considered stable.

%package endiagram-doc
Summary: Documentation for endiagram
Version: svn34486.0.1d

Provides: tex-endiagram-doc
AutoReqProv: No

%description endiagram-doc
Documentation for endiagram

%package engtlc
Provides: tex-engtlc = %{tl_version}
License: LPPL 1.3
Summary: Support for users in Telecommunications Engineering
Version: svn28571.3.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(engtlc.sty) = %{tl_version}

%description engtlc
The package provides a wide range of abbreviations for terms
used in Telecommunications Engineering.

%package engtlc-doc
Summary: Documentation for engtlc
Version: svn28571.3.2

Provides: tex-engtlc-doc
AutoReqProv: No

%description engtlc-doc
Documentation for engtlc

%package fouridx
Provides: tex-fouridx = %{tl_version}
License: LPPL
Summary: Left sub- and superscripts in maths mode
Version: svn32214.2.00

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fouridx.sty) = %{tl_version}

%description fouridx
The package enables left subscripts and superscripts in maths
mode. The sub- and superscripts are raised for optimum fitting
to the symbol indexed, in such a way that left and right sub-
and superscripts are set on the same level, as appropriate. The
package provides an alternative to the use of the \sideset
command in the amsmath package.

%package fouridx-doc
Summary: Documentation for fouridx
Version: svn32214.2.00

Provides: tex-fouridx-doc
AutoReqProv: No

%description fouridx-doc
Documentation for fouridx

%package functan
Provides: tex-functan = %{tl_version}
License: LPPL
Summary: Macros for functional analysis and PDE theory
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Provides: tex(functan.sty) = %{tl_version}

%description functan
This package provides a convenient and coherent way to deal
with name of functional spaces (mainly Sobolev spaces) in
functional analysis and PDE theory. It also provides a set of
macros for dealing with norms, scalar products and convergence
with some object oriented flavor (it gives the possibility to
override the standard behavior of norms, ...).

%package functan-doc
Summary: Documentation for functan
Version: svn15878.0

Provides: tex-functan-doc
AutoReqProv: No

%description functan-doc
Documentation for functan

%package galois
Provides: tex-galois = %{tl_version}
License: LPPL
Summary: Typeset Galois connections
Version: svn15878.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(color.sty)
Provides: tex(galois.sty) = %{tl_version}

%description galois
The package deals with connections in two-dimensional style,
optionally in colour.

%package galois-doc
Summary: Documentation for galois
Version: svn15878.1.5

Provides: tex-galois-doc
AutoReqProv: No

%description galois-doc
Documentation for galois

%package gastex
Provides: tex-gastex = %{tl_version}
License: LPPL
Summary: Graphs and Automata Simplified in TeX
Version: svn15878.2.8

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Requires: tex(trig.sty)
Provides: tex(gastex.sty) = %{tl_version}

%description gastex
GasTeX is a set of LaTeX macros which enable the user to draw
graphs, automata, nets, diagrams, etc., very easily, in the
LaTeX picture environment. The package offers no documentation
(per se), but offers a couple of example files in the
distribution, and more on its home page. GasTeX generates its
own PostScript code, and therefore doesn't work directly under
PDFLaTeX.

%package gastex-doc
Summary: Documentation for gastex
Version: svn15878.2.8

Provides: tex-gastex-doc
AutoReqProv: No

%description gastex-doc
Documentation for gastex

%package gene-logic
Provides: tex-gene-logic = %{tl_version}
License: Crossword
Summary: Typeset logic formulae, etc
Version: svn15878.1.4

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gn-logic14.sty) = %{tl_version}

%description gene-logic
The package provides a facility to typeset certain logic
formulae. It provides an environment like eqnarray, a
newtheorem-like environment (NewTheorem), and several macros.

%package gene-logic-doc
Summary: Documentation for gene-logic
Version: svn15878.1.4

Provides: tex-gene-logic-doc
AutoReqProv: No

%description gene-logic-doc
Documentation for gene-logic

%package ghsystem
Provides: tex-ghsystem = %{tl_version}
License: LPPL 1.3
Summary: Globally harmonised system of chemical (etc) naming
Version: svn41714
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(translations.sty)
Requires: tex(siunitx.sty)
Requires: tex(graphicx.sty)
Requires: tex(longtable.sty)
Requires: tex(ifpdf.sty)
Provides: tex(ghsystem.sty) = %{tl_version}
Provides: tex(ghsystem_english.def) = %{tl_version}
Provides: tex(ghsystem_german.def) = %{tl_version}
Provides: tex(ghsystem_italian-2-slash.def) = %{tl_version}
Provides: tex(ghsystem_italian.def) = %{tl_version}
Provides: tex(ghsystem_langtemplate.def) = %{tl_version}
Provides: tex(ghsystem_ngerman.def) = %{tl_version}
Provides: tex(ghsystem_spanish.def) = %{tl_version}
Provides: tex(ghsystem_acid-8.tex) = %{tl_version}
Provides: tex(ghsystem_acid.tex) = %{tl_version}
Provides: tex(ghsystem_aqpol.tex) = %{tl_version}
Provides: tex(ghsystem_bottle-2-black.tex) = %{tl_version}
Provides: tex(ghsystem_bottle-2-white.tex) = %{tl_version}
Provides: tex(ghsystem_bottle.tex) = %{tl_version}
Provides: tex(ghsystem_exclam.tex) = %{tl_version}
Provides: tex(ghsystem_explos-1.tex) = %{tl_version}
Provides: tex(ghsystem_explos-2.tex) = %{tl_version}
Provides: tex(ghsystem_explos-3.tex) = %{tl_version}
Provides: tex(ghsystem_explos-4.tex) = %{tl_version}
Provides: tex(ghsystem_explos-5.tex) = %{tl_version}
Provides: tex(ghsystem_explos-6.tex) = %{tl_version}
Provides: tex(ghsystem_explos.tex) = %{tl_version}
Provides: tex(ghsystem_flame-2-black.tex) = %{tl_version}
Provides: tex(ghsystem_flame-2-white.tex) = %{tl_version}
Provides: tex(ghsystem_flame-3-black.tex) = %{tl_version}
Provides: tex(ghsystem_flame-3-white.tex) = %{tl_version}
Provides: tex(ghsystem_flame-4-1.tex) = %{tl_version}
Provides: tex(ghsystem_flame-4-2.tex) = %{tl_version}
Provides: tex(ghsystem_flame-4-3-black.tex) = %{tl_version}
Provides: tex(ghsystem_flame-4-3-white.tex) = %{tl_version}
Provides: tex(ghsystem_flame-5-2-black.tex) = %{tl_version}
Provides: tex(ghsystem_flame-5-2-white.tex) = %{tl_version}
Provides: tex(ghsystem_flame-O-5-1.tex) = %{tl_version}
Provides: tex(ghsystem_flame-O.tex) = %{tl_version}
Provides: tex(ghsystem_flame.tex) = %{tl_version}
Provides: tex(ghsystem_health.tex) = %{tl_version}
Provides: tex(ghsystem_skull-2.tex) = %{tl_version}
Provides: tex(ghsystem_skull-6.tex) = %{tl_version}
Provides: tex(ghsystem_skull.tex) = %{tl_version}

%description ghsystem
The package provides the means to typeset all the hazard and
precautionary statements and pictograms in a straightforward
way. The statements are taken from EU regulation 1272/2008.

%package ghsystem-doc
Summary: Documentation for ghsystem
Version: svn41714
Provides: tex-ghsystem-doc
AutoReqProv: No

%description ghsystem-doc
Documentation for ghsystem

%package gu
Provides: tex-gu = %{tl_version}
License: LPPL
Summary: Typeset crystallographic group-subgroup-schemes
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(array.sty)
Requires: tex(tabularx.sty)
Requires: tex(pict2e.sty)
Requires: tex(calc.sty)
Requires: tex(fp.sty)
Requires: tex(ifthen.sty)
Provides: tex(gu.sty) = %{tl_version}

%description gu
The package simplifies typesetting of simple crystallographic
group-subgroup-schemes in the Barnighausen formalism. It
defines a new environment stammbaum, wherein all elements of
the scheme are defined. Afterwards all necessary dimensions are
calculated and the scheme is drawn. Currently two steps of
symmetry reduction are supported.

%package gu-doc
Summary: Documentation for gu
Version: svn15878.0

Provides: tex-gu-doc
AutoReqProv: No

%description gu-doc
Documentation for gu

%package hep
Provides: tex-hep = %{tl_version}
License: LPPL
Summary: A "convenience wrapper" for High Energy Physics packages
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(url.sty)
Requires: tex(cite.sty)
Requires: tex(hyperref.sty)
Requires: tex(amsmath.sty)
Requires: tex(braket.sty)
Requires: tex(cancel.sty)
Requires: tex(slashed.sty)
Requires: tex(hepnicenames.sty)
Requires: tex(hepunits.sty)
Requires: tex(feynmf.sty)
Requires: tex(booktabs.sty)
Requires: tex(setspace.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(tocbibind.sty)
Requires: tex(morefloats.sty)
Requires: tex(afterpage.sty)
Requires: tex(ccaption.sty)
Requires: tex(subfigure.sty)
Requires: tex(caption.sty)
Provides: tex(hep.sty) = %{tl_version}

%description hep
Loads the author's hepunits and hepnicenames packages, and a
selection of others that are useful in High Energy Physics
papers, etc.

%package hep-doc
Summary: Documentation for hep
Version: svn15878.1.0

Provides: tex-hep-doc
AutoReqProv: No

%description hep-doc
Documentation for hep

%package hepnames
Provides: tex-hepnames = %{tl_version}
License: LPPL
Summary: Pre-defined high energy particle names
Version: svn35722.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(heppennames.sty)
Requires: tex(hepparticles.sty)
Requires: tex(xspace.sty)
Requires: tex(amsmath.sty)
Provides: tex(hepnames.sty) = %{tl_version}
Provides: tex(hepnicenames.sty) = %{tl_version}
Provides: tex(heppennames.sty) = %{tl_version}

%description hepnames
Hepnames provides a pair of LaTeX packages, heppennames and
hepnicenames, providing a large set of pre-defined high energy
physics particle names built with the hepparticles package. The
packages are based on pennames.sty by Michel Goosens and Eric
van Herwijnen. Heppennames re-implements the particle names in
pennames.sty, with some additions and alterations and greater
flexibility and robustness due to the hepparticles structures,
which were written for this purpose. Hepnicenames provides the
main non-resonant particle names from heppennames with more
"friendly" names.

%package hepnames-doc
Summary: Documentation for hepnames
Version: svn35722.2.0

Provides: tex-hepnames-doc
AutoReqProv: No

%description hepnames-doc
Documentation for hepnames

%package hepparticles
Provides: tex-hepparticles = %{tl_version}
License: LPPL
Summary: Macros for typesetting high energy physics particle names
Version: svn35723.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(subdepth.sty)
Requires: tex(amsmath.sty)
Provides: tex(hepparticles.sty) = %{tl_version}

%description hepparticles
HEPparticles is a set of macros for typesetting high energy
particle names, to meet the following criteria: 1. The main
particle name is a Roman or Greek symbol, to be typeset in
upright font in normal contexts. 2. Additionally a superscript
and/or subscript may follow the main symbol. 3. Particle
resonances may also have a resonance specifier which is typeset
in parentheses following the main symbol. In general the
parentheses may also be followed by sub- and superscripts. 4.
The particle names are expected to be used both in and out of
mathematical contexts. 5. If the surrounding text is bold or
italic then the particle name should adapt to that context as
best as possible (this may not be possible for Greek symbols).
A consequence of point 5 is that the well-known problems with
boldness of particle names in section titles, headers and
tables of contents automatically disappear if these macros are
used.

%package hepparticles-doc
Summary: Documentation for hepparticles
Version: svn35723.2.0

Provides: tex-hepparticles-doc
AutoReqProv: No

%description hepparticles-doc
Documentation for hepparticles

%package hepthesis
Provides: tex-hepthesis = %{tl_version}
License: LPPL
Summary: A class for academic reports, especially PhD theses
Version: svn45371
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(a4wide.sty)
Requires: tex(fontenc.sty)
Requires: tex(etoolbox.sty)
Requires: tex(microtype.sty)
Requires: tex(changepage.sty)
Requires: tex(varwidth.sty)
Requires: tex(amsmath.sty)
Requires: tex(makeidx.sty)
Requires: tex(titling.sty)
Requires: tex(booktabs.sty)
Requires: tex(hep.sty)
Requires: tex(lineno.sty)
Requires: tex(draftcopy.sty)
Requires: tex(setspace.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(tocbibind.sty)
Requires: tex(comment.sty)
Requires: tex(rotating.sty)
Requires: tex(caption.sty)
Requires: tex(afterpage.sty)
Requires: tex(csquotes.sty)
Requires: tex(hyperref.sty)
Provides: tex(hepthesis.cls) = %{tl_version}

%description hepthesis
Hepthesis is a LaTeX class for typesetting large academic
reports, in particular PhD theses. It was originally developed
for typesetting the author's high-energy physics PhD thesis and
includes some features specifically tailored to such an
application. In particular, hepthesis offers: Attractive
semantic environments for various rubric sections; Extensive
options for draft production, screen viewing and binding-ready
output; Helpful extensions of existing environments, including
equation and tabular; and Support for quotations at the start
of the thesis and each chapter. The class is based on scrbook,
from the KOMA-Script bundle.

%package hepthesis-doc
Summary: Documentation for hepthesis
Version: svn45371
Provides: tex-hepthesis-doc
AutoReqProv: No

%description hepthesis-doc
Documentation for hepthesis

%package hepunits
Provides: tex-hepunits = %{tl_version}
License: LPPL
Summary: A set of units useful in high energy physics applications
Version: svn15878.1.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(amsmath.sty)
Requires: tex(xspace.sty)
Requires: tex(SIunits.sty)
Provides: tex(hepunits.sty) = %{tl_version}

%description hepunits
Hepunits is a LaTeX package built on the SIunits package which
adds a collection of useful HEP units to the existing SIunits
set. These include the energy units \MeV, \GeV, \TeV and the
derived momentum and mass units \MeVoverc, \MeVovercsq and so
on.

%package hepunits-doc
Summary: Documentation for hepunits
Version: svn15878.1.1.1

Provides: tex-hepunits-doc
AutoReqProv: No

%description hepunits-doc
Documentation for hepunits

%package karnaugh
Provides: tex-karnaugh = %{tl_version}
License: LPPL
Summary: Typeset Karnaugh-Veitch-maps
Version: svn21338.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(kvmacros.tex) = %{tl_version}

%description karnaugh
The package provides macros for typesetting Karnaugh-Maps and
Veitch-Charts in a simple and user-friendly way. Karnaugh-Maps
and Veitch-Charts are used to display and simplify logic
functions "manually". These macros can typeset Karnaugh-Maps
and Veitch-Charts with up to ten variables (=1024 entries).

%package karnaugh-doc
Summary: Documentation for karnaugh
Version: svn21338.0

Provides: tex-karnaugh-doc
AutoReqProv: No

%description karnaugh-doc
Documentation for karnaugh

%package karnaughmap
Provides: tex-karnaughmap = %{tl_version}
License: LPPL 1.2
Summary: Typeset Karnaugh maps
Version: svn36989.2.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(tikz.sty)
Requires: tex(xkeyval.sty)
Requires: tex(ifthen.sty)
Requires: tex(xstring.sty)
Provides: tex(karnaughmap.sty) = %{tl_version}

%description karnaughmap
This package provides an easy to use interface to typeset
Karnaugh maps using TikZ. Though similar to the karnaugh
macros, it provides a key-value system to customize
karnaughmaps and a proper LaTeX package.

%package karnaughmap-doc
Summary: Documentation for karnaughmap
Version: svn36989.2.0

Provides: tex-karnaughmap-doc
AutoReqProv: No

%description karnaughmap-doc
Documentation for karnaughmap

%package matlab-prettifier
Provides: tex-matlab-prettifier = %{tl_version}
License: LPPL 1.3
Summary: Pretty-print Matlab source code
Version: svn34323.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(textcomp.sty)
Requires: tex(xcolor.sty)
Requires: tex(listings.sty)
Provides: tex(matlab-prettifier.sty) = %{tl_version}

%description matlab-prettifier
The package extends the facilities of the listings package, to
pretty-print Matlab and Octave source code. (Note that support
of Octave syntax is not complete.)

%package matlab-prettifier-doc
Summary: Documentation for matlab-prettifier
Version: svn34323.0.3

Provides: tex-matlab-prettifier-doc
AutoReqProv: No

%description matlab-prettifier-doc
Documentation for matlab-prettifier

%package mhchem
Provides: tex-mhchem = %{tl_version}
License: LPPL 1.3
Summary: Typeset chemical formulae/equations and Risk and Safety phrases
Version: svn44888
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(babel.sty)
Requires: tex(twoopt.sty)
Requires: tex(ifthen.sty)
Requires: tex(textcomp.sty)
Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(l3regex.sty)
Requires: tex(calc.sty)
Requires: tex(amsmath.sty)
Requires: tex(chemgreek.sty)
Requires: tex(graphics.sty)
Requires: tex(pgf.sty)
Requires: tex(tikz.sty)
Provides: tex(hpstatement.sty) = %{tl_version}
Provides: tex(mhchem.sty) = %{tl_version}
Provides: tex(rsphrase.sty) = %{tl_version}

%description mhchem
The bundle provides three packages: The mhchem package provides
commands for typesetting chemical molecular formulae and
equations. The hpstatement package provides commands for the
official hazard statements and precautionary statements (H and
P statements) that are used to label chemicals. The rsphrase
package provides commands for the official Risk and Safety (R
and S) Phrases that are used to label chemicals. The package
requires the expl3 bundle.

%package mhchem-doc
Summary: Documentation for mhchem
Version: svn44888
Provides: tex-mhchem-doc
AutoReqProv: No

%description mhchem-doc
Documentation for mhchem

%package miller
Provides: tex-miller = %{tl_version}
License: LPPL
Summary: Typeset miller indices
Version: svn18789.1.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(miller.sty) = %{tl_version}

%description miller
Typeset miller indices, e.g., <1-20>, that are used in material
science with an easy syntax. Minus signs are printed as bar
above the corresponding number.

%package miller-doc
Summary: Documentation for miller
Version: svn18789.1.2

Provides: tex-miller-doc
AutoReqProv: No

%description miller-doc
Documentation for miller

%package mychemistry
Provides: tex-mychemistry = %{tl_version}
License: LPPL 1.3
Summary: Create reaction schemes with LaTeX and ChemFig
Version: svn28611.1.99b

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(etoolbox.sty)
Requires: tex(float.sty)
Requires: tex(xkeyval.sty)
Requires: tex(chemfig.sty)
Requires: tex(chemmacros.sty)
Requires: tex(translations.sty)
Provides: tex(mychemistry.sty) = %{tl_version}

%description mychemistry
The package provides commands for typesetting complex chemical
reaction schemes with LaTeX and ChemFig. The package requires
the packages ChemFig, mhchem, chemcompounds and (sometimes)
chemexec.

%package mychemistry-doc
Summary: Documentation for mychemistry
Version: svn28611.1.99b

Provides: tex-mychemistry-doc
AutoReqProv: No

%description mychemistry-doc
Documentation for mychemistry

%package nuc
Provides: tex-nuc = %{tl_version}
License: LPPL
Summary: Notation for nuclear isotopes
Version: svn22256.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Provides: tex(nuc.sty) = %{tl_version}

%description nuc
A simple package providing nuclear sub- and superscripts as
commonly used in radiochemistry, radiation science, and nuclear
physics and engineering applications. Isotopes which have Z
with more digits than A require special spacing to appear
properly; this spacing is supported in the package.

%package nuc-doc
Summary: Documentation for nuc
Version: svn22256.0.1

Provides: tex-nuc-doc
AutoReqProv: No

%description nuc-doc
Documentation for nuc

%package objectz
Provides: tex-objectz = %{tl_version}
License: LPPL
Summary: Macros for typesetting Object Z
Version: svn19389.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(calc.sty)
Provides: tex(oz.sty) = %{tl_version}

%description objectz
The package will typeset both Z and Object-Z specifications; it
develops the original zed package

%package objectz-doc
Summary: Documentation for objectz
Version: svn19389.0

Provides: tex-objectz-doc
AutoReqProv: No

%description objectz-doc
Documentation for objectz

%package physics
Provides: tex-physics = %{tl_version}
License: LPPL
Summary: Macros supporting the Mathematics of Physics
Version: svn28590.1.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(xparse.sty)
Requires: tex(amsmath.sty)
Provides: tex(physics.sty) = %{tl_version}

%description physics
The package defines simple and flexible macros for typesetting
equations in the languages of vector calculus and linear
algebra, using Dirac notation.

%package physics-doc
Summary: Documentation for physics
Version: svn28590.1.3

Provides: tex-physics-doc
AutoReqProv: No

%description physics-doc
Documentation for physics

%package pseudocode
Provides: tex-pseudocode = %{tl_version}
License: LPPL
Summary: LaTeX environment for specifying algorithms in a natural way
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fancybox.sty)
Requires: tex(ifthen.sty)
Provides: tex(pseudocode.sty) = %{tl_version}

%description pseudocode
This package provides the environment "pseudocode" for
describing algorithms in a natural manner.

%package pseudocode-doc
Summary: Documentation for pseudocode
Version: svn15878.0

Provides: tex-pseudocode-doc
AutoReqProv: No

%description pseudocode-doc
Documentation for pseudocode

%package sasnrdisplay
Provides: tex-sasnrdisplay = %{tl_version}
License: LPPL 1.3
Summary: Typeset SAS or R code or output
Version: svn33120.0.93

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(listings.sty)
Requires: tex(xkeyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(etoolbox.sty)
Requires: tex(caption.sty)
Requires: tex(needspace.sty)
Provides: tex(SASnRdisplay.cfg) = %{tl_version}
Provides: tex(SASnRdisplay.sty) = %{tl_version}

%description sasnrdisplay
The SASnRdisplay package serves as a front-end to the listings,
which permits statisticians and others to import source code,
and the results of their calculations or simulations into LaTeX
projects. The package is also capable of overloading the Sweave
and SASweave packages.

%package sasnrdisplay-doc
Summary: Documentation for sasnrdisplay
Version: svn33120.0.93

Provides: tex-sasnrdisplay-doc
AutoReqProv: No

%description sasnrdisplay-doc
Documentation for sasnrdisplay

%package sciposter
Provides: tex-sciposter = %{tl_version}
License: LPPL
Summary: Make posters of ISO A3 size and larger
Version: svn15878.1.18

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifthen.sty)
Requires: tex(lettrine.sty)
Requires: tex(graphics.sty)
Requires: tex(color.sty)
Requires: tex(shadow.sty)
Requires: tex(a0size.sty)
Requires: tex(times.sty)
Requires: tex(boxedminipage.sty)
Provides: tex(paperb0.cfg) = %{tl_version}
Provides: tex(paperb1.cfg) = %{tl_version}
Provides: tex(paperb2.cfg) = %{tl_version}
Provides: tex(paperb3.cfg) = %{tl_version}
Provides: tex(papercustom.cfg) = %{tl_version}
Provides: tex(paperra0.cfg) = %{tl_version}
Provides: tex(paperra1.cfg) = %{tl_version}
Provides: tex(paperra2.cfg) = %{tl_version}
Provides: tex(sciposter.cls) = %{tl_version}

%description sciposter
This collection of files contains LaTeX packages for posters of
ISO A3 size and larger (ISO A0 is the default size). American
paper sizes and custom paper are supported. In particular,
sciposter.cls defines a document class which allows cutting and
pasting most of an article to a poster without any editing
(save reducing the size) -- see the manual. Sciposter does work
for LaTeX, not just pdfLaTeX. However, xdvi produces strange
results, though a recent version of dvips does create good ps-
files from the dvi files. Also note that logos must either be
put in the current working directory or in the directories of
your LaTeX distribution. For some reason graphicspath settings
are ignored.

%package sciposter-doc
Summary: Documentation for sciposter
Version: svn15878.1.18

Provides: tex-sciposter-doc
AutoReqProv: No

%description sciposter-doc
Documentation for sciposter

%package sclang-prettifier
Provides: tex-sclang-prettifier = %{tl_version}
License: LPPL 1.3
Summary: Prettyprinting SuperCollider source code
Version: svn35087.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(textcomp.sty)
Requires: tex(xcolor.sty)
Requires: tex(listings.sty)
Provides: tex(sclang-prettifier.sty) = %{tl_version}

%description sclang-prettifier
Built on top of the listings package, the package allows
effortless prettyprinting of SuperCollider source code in
documents typeset with LaTeX & friends.

%package sclang-prettifier-doc
Summary: Documentation for sclang-prettifier
Version: svn35087.0.1

Provides: tex-sclang-prettifier-doc
AutoReqProv: No

%description sclang-prettifier-doc
Documentation for sclang-prettifier

%package sfg
Provides: tex-sfg = %{tl_version}
License: LPPL
Summary: Draw signal flow graphs
Version: svn20209.0.91

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fp.sty)
Requires: tex(pstricks.sty)
Provides: tex(sfg.sty) = %{tl_version}

%description sfg
Defines some commands to draw signal flow graphs as used by
electrical and electronics engineers and graph theorists.
Requires fp and pstricks packages (and a relatively fast
machine).

%package sfg-doc
Summary: Documentation for sfg
Version: svn20209.0.91

Provides: tex-sfg-doc
AutoReqProv: No

%description sfg-doc
Documentation for sfg

%package siunitx
Provides: tex-siunitx = %{tl_version}
License: LPPL 1.3
Summary: A comprehensive (SI) units package
Version: svn44946
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(amstext.sty)
Requires: tex(array.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xspace.sty)
Requires: tex(translator.sty)
Provides: tex(siunitx-abbreviations.cfg) = %{tl_version}
Provides: tex(siunitx-binary.cfg) = %{tl_version}
Provides: tex(siunitx-version-1.cfg) = %{tl_version}
Provides: tex(siunitx.sty) = %{tl_version}

%description siunitx
Typesetting values with units requires care to ensure that the
combined mathematical meaning of the value plus unit
combination is clear. In particular, the SI units system lays
down a consistent set of units with rules on how they are to be
used. However, different countries and publishers have
differing conventions on the exact appearance of numbers (and
units). A number of LaTeX packages have been developed to
provide consistent application of the various rules: SIunits,
sistyle, unitsdef and units are the leading examples. The
numprint package provides a large number of number-related
functions, while dcolumn and rccol provide tools for
typesetting tabular numbers. The siunitx package takes the best
from the existing packages, and adds new features and a
consistent interface. A number of new ideas have been
incorporated, to fill gaps in the existing provision. The
package also provides backward-compatibility with SIunits,
sistyle, unitsdef and units. The aim is to have one package to
handle all of the possible unit-related needs of LaTeX users.
The package relies on LaTeX 3 support from the l3kernel and
l3packages bundles.

%package siunitx-doc
Summary: Documentation for siunitx
Version: svn44946
Provides: tex-siunitx-doc
AutoReqProv: No

%description siunitx-doc
Documentation for siunitx

%package steinmetz
Provides: tex-steinmetz = %{tl_version}
License: LPPL
Summary: Print Steinmetz notation
Version: svn15878.1.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(pict2e.sty)
Provides: tex(steinmetz.sty) = %{tl_version}

%description steinmetz
The steinmetz package provides a command for typesetting
complex numbers in the Steinmetz notation used in
electrotechnics as: <modulus>;<argument or phase inside an
angle symbol> The package makes use of pict2e.

%package steinmetz-doc
Summary: Documentation for steinmetz
Version: svn15878.1.0

Provides: tex-steinmetz-doc
AutoReqProv: No

%description steinmetz-doc
Documentation for steinmetz

%package struktex
Provides: tex-struktex = %{tl_version}
License: LPPL 1.2
Summary: Draw Nassi-Schneidermann charts
Version: svn44789
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(hyperref.sty)
Requires: tex(color.sty)
Requires: tex(nameref.sty)
Requires: tex(url.sty)
Requires: tex(ifthen.sty)
Requires: tex(struktxp.sty)
Requires: tex(curves.sty)
Requires: tex(pict2e.sty)
Provides: tex(strukdoc.sty) = %{tl_version}
Provides: tex(struktex.sty) = %{tl_version}
Provides: tex(struktxf.sty) = %{tl_version}
Provides: tex(struktxp.sty) = %{tl_version}

%description struktex
Even in the age of OOP one must develop algorithms. Nassi-
Shneiderman diagrams are a well known tool to describe an
algorithm in a graphical way. The package offers some macros
for generating those diagrams in a LaTeX document. The package
provides the most important elements of a Nassi-Shneiderman
diagram, including processing blocks, loops, mapping
conventions for alternatives, etc. Diagrams are drawn using the
picture environment (using pict2e for preference).

%package struktex-doc
Summary: Documentation for struktex
Version: svn44789
Provides: tex-struktex-doc
AutoReqProv: No

%description struktex-doc
Documentation for struktex

%package substances
Provides: tex-substances = %{tl_version}
License: LPPL 1.3
Summary: A database of chemicals
Version: svn40989

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xtemplate.sty)
Requires: tex(chemmacros.sty)
Provides: tex(substances-default.def) = %{tl_version}
Provides: tex(substances.sty) = %{tl_version}

%description substances
The package provides the means to create a database-like file
that contains data of various chemicals. These data may be
retrieved in the document; an index of the chemicals mentioned
in the document can be created..

%package substances-doc
Summary: Documentation for substances
Version: svn40989

Provides: tex-substances-doc
AutoReqProv: No

%description substances-doc
Documentation for substances

%package t-angles
Provides: tex-t-angles = %{tl_version}
License: GPL+
Summary: Draw tangles, trees, Hopf algebra operations and other pictures
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifpdf.sty)
Provides: tex(t-angles.sty) = %{tl_version}

%description t-angles
A LaTeX2e package for drawing tangles, trees, Hopf algebra
operations and other pictures. It is based on emTeX or TPIC
\specials. Therefore, it can be used with the most popular
drivers, including emTeX drivers, dviwin, xdvi and dvips, and
(using some code from ConTeXt) it may also be used with
PDFLaTeX.

%package t-angles-doc
Summary: Documentation for t-angles
Version: svn15878.0

Provides: tex-t-angles-doc
AutoReqProv: No

%description t-angles-doc
Documentation for t-angles

%package textopo
Provides: tex-textopo = %{tl_version}
License: GPL+
Summary: Annotated membrane protein topology plots
Version: svn23796.1.5

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(texshade.sty)
Requires: tex(color.sty)
Requires: tex(graphics.sty)
Provides: tex(biotex.sty) = %{tl_version}
Provides: tex(textopo.def) = %{tl_version}
Provides: tex(textopo.sty) = %{tl_version}

%description textopo
A LaTeX package for setting shaded and annotated membrane
protein topology plots and helical wheels.

%package textopo-doc
Summary: Documentation for textopo
Version: svn23796.1.5

Provides: tex-textopo-doc
AutoReqProv: No

%description textopo-doc
Documentation for textopo

%package unitsdef
Provides: tex-unitsdef = %{tl_version}
License: LPPL
Summary: Typesetting units in LaTeX
Version: svn15878.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontenc.sty)
Requires: tex(amsmath.sty)
Requires: tex(textcomp.sty)
Requires: tex(units.sty)
Requires: tex(xspace.sty)
Provides: tex(ampabbrv.cfg) = %{tl_version}
Provides: tex(enerabbr.cfg) = %{tl_version}
Provides: tex(freqabbr.cfg) = %{tl_version}
Provides: tex(lengabbr.cfg) = %{tl_version}
Provides: tex(molabbrv.cfg) = %{tl_version}
Provides: tex(timeabbr.cfg) = %{tl_version}
Provides: tex(unitsdef.sty) = %{tl_version}
Provides: tex(volabbrv.cfg) = %{tl_version}
Provides: tex(voltabbr.cfg) = %{tl_version}
Provides: tex(weigabbr.cfg) = %{tl_version}

%description unitsdef
Many packages for typesetting units have been written for use
in LaTeX2e. Some define macros to typeset a lot of units but do
not suit to the actual font settings, some make the characters
needed available but do not predefine any unit. This package
tries to comply with both requirements. It predefines common
units, defines an easy to use interface to define new units and
changes the output concerning to the surrounding font settings.

%package unitsdef-doc
Summary: Documentation for unitsdef
Version: svn15878.0.2

Provides: tex-unitsdef-doc
AutoReqProv: No

%description unitsdef-doc
Documentation for unitsdef

%package xymtex
Provides: tex-xymtex = %{tl_version}
License: LPPL 1.3
Summary: Typesetting chemical structures
Version: svn32182.5.06

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(hetarom.sty)
Requires: tex(methylen.sty)
Requires: tex(xcolor.sty)
Requires: tex(epic.sty)
Requires: tex(xymtx-pdf.sty)
Requires: tex(tikz.sty)
Requires: tex(pgfcore.sty)
Requires: tex(pstricks.sty)
Requires: tex(pst-coil.sty)
Provides: tex(aliphat.sty) = %{tl_version}
Provides: tex(assurelatexmode.sty) = %{tl_version}
Provides: tex(bondcolor.sty) = %{tl_version}
Provides: tex(carom.sty) = %{tl_version}
Provides: tex(ccycle.sty) = %{tl_version}
Provides: tex(chemstr.sty) = %{tl_version}
Provides: tex(fusering.sty) = %{tl_version}
Provides: tex(hcycle.sty) = %{tl_version}
Provides: tex(hetarom.sty) = %{tl_version}
Provides: tex(hetaromh.sty) = %{tl_version}
Provides: tex(lewisstruc.sty) = %{tl_version}
Provides: tex(locant.sty) = %{tl_version}
Provides: tex(lowcycle.sty) = %{tl_version}
Provides: tex(methylen.sty) = %{tl_version}
Provides: tex(polymers.sty) = %{tl_version}
Provides: tex(sizeredc.sty) = %{tl_version}
Provides: tex(steroid.sty) = %{tl_version}
Provides: tex(xymtex.sty) = %{tl_version}
Provides: tex(xymtexpdf.sty) = %{tl_version}
Provides: tex(xymtexps.sty) = %{tl_version}
Provides: tex(assurechemist.sty) = %{tl_version}
Provides: tex(chemist.sty) = %{tl_version}
Provides: tex(chemtimes.sty) = %{tl_version}
Provides: tex(chmst-pdf.sty) = %{tl_version}
Provides: tex(xymtx-pdf.sty) = %{tl_version}
Provides: tex(chmst-ps.sty) = %{tl_version}
Provides: tex(xymtx-ps.sty) = %{tl_version}

%description xymtex
XyMTeX is a set of packages for drawing a wide variety of
chemical structural formulas in a way that reflects their
structure. The package provides three output modes: 'LaTeX',
'PostScript' and 'PDF'. XyMTeX's commands have a systematic set
of arguments for specifying substituents and their positions,
endocyclic double bonds, and bond patterns. In some cases there
are additional arguments for specifying hetero-atoms on the
vertices of heterocycles. It is believed that this systematic
design allows XyMTeX to operate as a practical (device-
independent) tool for use with LaTeX.

%package xymtex-doc
Summary: Documentation for xymtex
Version: svn32182.5.06

Provides: tex-xymtex-doc
AutoReqProv: No

%description xymtex-doc
Documentation for xymtex

%package youngtab
Provides: tex-youngtab = %{tl_version}
License: LPPL
Summary: Typeset Young-Tableaux
Version: svn17635.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(youngtab.sty) = %{tl_version}

%description youngtab
A package for typesetting Young-Tableaux, mathematical symbols
for the representations of groups, providing two macros,
\yng(1) and \young(1) to generate the whole Young-Tableaux.

%package youngtab-doc
Summary: Documentation for youngtab
Version: svn17635.1.1

Provides: tex-youngtab-doc
AutoReqProv: No

%description youngtab-doc
Documentation for youngtab

%package collection-xetex
Summary: XeTeX and packages
Version: svn45489
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-arabxetex
Requires: texlive-awesomebox
Requires: texlive-bidi-atbegshi
Requires: texlive-bidicontour
Requires: texlive-bidipagegrid
Requires: texlive-bidishadowtext
Requires: texlive-bidipresentation
Requires: texlive-fixlatvian
Requires: texlive-font-change-xetex
Requires: texlive-fontbook
Requires: texlive-fontwrap
Requires: texlive-interchar
Requires: texlive-na-position
Requires: texlive-philokalia
Requires: texlive-ptext
Requires: texlive-quran
Requires: texlive-realscripts
Requires: texlive-simple-resume-cv
Requires: texlive-simple-thesis-dissertation
Requires: texlive-ucharclasses
Requires: texlive-unicode-bidi
Requires: texlive-unisugar
Requires: texlive-xebaposter
Requires: texlive-xechangebar
Requires: texlive-xecjk
Requires: texlive-xecolor
Requires: texlive-xecyr
Requires: texlive-xeindex
Requires: texlive-xesearch
Requires: texlive-xespotcolor
Requires: texlive-xetex
Requires: texlive-xetex-itrans
Requires: texlive-xetex-pstricks
Requires: texlive-xetex-tibetan
Requires: texlive-xetexconfig
Requires: texlive-xetexfontinfo
Requires: texlive-xetexko
Requires: texlive-xevlna
Provides: tex(xetex) = %{tl_version}
Obsoletes: texlive-texmf-xetex < %{tl_version}

%description collection-xetex
Packages for XeTeX, the Unicode/OpenType-enabled TeX by
Jonathan Kew, http://tug.org/xetex.

%package fixlatvian
Provides: tex-fixlatvian = %{tl_version}
License: LPPL 1.3
Summary: Improve Latvian language support in XeLaTeX
Version: svn21631.1a

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(svn-prov.sty)
Requires: tex(caption.sty)
Requires: tex(etoolbox.sty)
Requires: tex(perpage.sty)
Requires: tex(polyglossia.sty)
Requires: tex(xstring.sty)
Requires: tex(indentfirst.sty)
Requires: tex(icomma.sty)
Provides: tex(fixlatvian.sty) = %{tl_version}

%description fixlatvian
The package offers improvement of the Latvian language support
in polyglossia, in particular in the area of the standard
classes.

%package fixlatvian-doc
Summary: Documentation for fixlatvian
Version: svn21631.1a

Provides: tex-fixlatvian-doc
AutoReqProv: No

%description fixlatvian-doc
Documentation for fixlatvian

%package fontbook
Provides: tex-fontbook = %{tl_version}
License: LPPL 1.3
Summary: Generate a font book
Version: svn23608.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontspec.sty)
Requires: tex(xunicode.sty)
Requires: tex(kvoptions.sty)
Requires: tex(etoolbox.sty)
Provides: tex(fontbook.sty) = %{tl_version}

%description fontbook
The package provides a means of producing a 'book' of font
samples (for evaluation, etc.).

%package fontbook-doc
Summary: Documentation for fontbook
Version: svn23608.0.2

Provides: tex-fontbook-doc
AutoReqProv: No

%description fontbook-doc
Documentation for fontbook

%package fontwrap
Provides: tex-fontwrap = %{tl_version}
License: GPL+
Summary: Bind fonts to specific unicode blocks
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fontwrap.sty) = %{tl_version}

%description fontwrap
The package (which runs under XeLaTeX) lets you bind fonts to
specific unicode blocks, for automatic font tagging of
multilingual text. The package uses Perl (via perltex) to
construct its tables.

%package fontwrap-doc
Summary: Documentation for fontwrap
Version: svn15878.0

Provides: tex-fontwrap-doc
AutoReqProv: No

%description fontwrap-doc
Documentation for fontwrap

%package interchar
Provides: tex-interchar = %{tl_version}
License: LPPL 1.3
Summary: Managing character class schemes in XeTeX
Version: svn36312.0.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(interchar.sty) = %{tl_version}

%description interchar
The package manages character class schemes of XeTeX. Using
this package, you may switch among different character class
schemes. Migration commands are provided for make packages
using this mechanism compatible with each others.

%package interchar-doc
Summary: Documentation for interchar
Version: svn36312.0.2

Provides: tex-interchar-doc
AutoReqProv: No

%description interchar-doc
Documentation for interchar

%package mathspec
Provides: tex-mathspec = %{tl_version}
License: LPPL
Summary: Specify arbitrary fonts for mathematics in XeTeX
Version: svn42773
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(amstext.sty)
Requires: tex(ifxetex.sty)
Requires: tex(fontspec.sty)
Requires: tex(xkeyval.sty)
Requires: tex(MnSymbol.sty)
Provides: tex(mathspec.sty) = %{tl_version}

%description mathspec
The mathspec package provides an interface to typeset
mathematics in XeLaTeX with arbitrary text fonts using fontspec
as a backend. The package is under development and later
versions might to be incompatible with this version, as this
version is incompatible with earlier versions. The package
requires at least version 0.9995 of XeTeX.

%package mathspec-doc
Summary: Documentation for mathspec
Version: svn42773
Provides: tex-mathspec-doc
AutoReqProv: No

%description mathspec-doc
Documentation for mathspec

%package philokalia
Provides: tex-philokalia = %{tl_version}
License: OFL
Summary: A font to typeset the Philokalia Books
Version: svn45356
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(xunicode.sty)
Requires: tex(xltxtra.sty)
Requires: tex(lettrine.sty)
Provides: tex(Philokalia-Regular.otf) = %{tl_version}
Provides: tex(eu1plk.fd) = %{tl_version}
Provides: tex(philokalia.sty) = %{tl_version}

%description philokalia
The philokalia package has been designed to ease the use of the
Philokalia-Regular OpenType font with XeLaTeX. The font started
as a project to digitize the typeface used to typeset the
Philokalia books.

%package philokalia-doc
Summary: Documentation for philokalia
Version: svn45356
Provides: tex-philokalia-doc
AutoReqProv: No

%description philokalia-doc
Documentation for philokalia

%package polyglossia
Provides: tex-polyglossia = %{tl_version}
License: LPPL 1.3
Summary: An alternative to babel for XeLaTeX and LuaLaTeX
Version: svn40138

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-etoolbox
Requires: tex-fontspec
Requires: tex-ifluatex
Requires: tex-makecmds
Requires: tex-xkeyval
Requires: tex(luabidi.sty)
Requires: tex(bidi.sty)
Requires: tex(calc.sty)
Requires: tex(hebrewcal.sty)
Requires: tex(xkeyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(makecmds.sty)
Requires: tex(fontspec.sty)
Requires: tex(ifluatex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(luatexbase.sty)
Provides: tex(arabicdigits.map) = %{tl_version}
Provides: tex(bengalidigits.map) = %{tl_version}
Provides: tex(devanagaridigits.map) = %{tl_version}
Provides: tex(farsidigits.map) = %{tl_version}
Provides: tex(thaidigits.map) = %{tl_version}
Provides: tex(arabicnumbers.sty) = %{tl_version}
Provides: tex(babel-hebrewalph.def) = %{tl_version}
Provides: tex(babelsh.def) = %{tl_version}
Provides: tex(bengalidigits.sty) = %{tl_version}
Provides: tex(cal-util.def) = %{tl_version}
Provides: tex(devanagaridigits.sty) = %{tl_version}
Provides: tex(farsical.sty) = %{tl_version}
Provides: tex(gloss-albanian.ldf) = %{tl_version}
Provides: tex(gloss-amharic.ldf) = %{tl_version}
Provides: tex(gloss-arabic.ldf) = %{tl_version}
Provides: tex(gloss-armenian.ldf) = %{tl_version}
Provides: tex(gloss-asturian.ldf) = %{tl_version}
Provides: tex(gloss-bahasai.ldf) = %{tl_version}
Provides: tex(gloss-bahasam.ldf) = %{tl_version}
Provides: tex(gloss-basque.ldf) = %{tl_version}
Provides: tex(gloss-bengali.ldf) = %{tl_version}
Provides: tex(gloss-brazil.ldf) = %{tl_version}
Provides: tex(gloss-breton.ldf) = %{tl_version}
Provides: tex(gloss-bulgarian.ldf) = %{tl_version}
Provides: tex(gloss-catalan.ldf) = %{tl_version}
Provides: tex(gloss-coptic.ldf) = %{tl_version}
Provides: tex(gloss-croatian.ldf) = %{tl_version}
Provides: tex(gloss-czech.ldf) = %{tl_version}
Provides: tex(gloss-danish.ldf) = %{tl_version}
Provides: tex(gloss-divehi.ldf) = %{tl_version}
Provides: tex(gloss-dutch.ldf) = %{tl_version}
Provides: tex(gloss-english.ldf) = %{tl_version}
Provides: tex(gloss-esperanto.ldf) = %{tl_version}
Provides: tex(gloss-estonian.ldf) = %{tl_version}
Provides: tex(gloss-farsi.ldf) = %{tl_version}
Provides: tex(gloss-finnish.ldf) = %{tl_version}
Provides: tex(gloss-french.ldf) = %{tl_version}
Provides: tex(gloss-friulan.ldf) = %{tl_version}
Provides: tex(gloss-galician.ldf) = %{tl_version}
Provides: tex(gloss-german.ldf) = %{tl_version}
Provides: tex(gloss-greek.ldf) = %{tl_version}
Provides: tex(gloss-hebrew.ldf) = %{tl_version}
Provides: tex(gloss-hindi.ldf) = %{tl_version}
Provides: tex(gloss-icelandic.ldf) = %{tl_version}
Provides: tex(gloss-interlingua.ldf) = %{tl_version}
Provides: tex(gloss-irish.ldf) = %{tl_version}
Provides: tex(gloss-italian.ldf) = %{tl_version}
Provides: tex(gloss-kannada.ldf) = %{tl_version}
Provides: tex(gloss-khmer.ldf) = %{tl_version}
Provides: tex(gloss-korean.ldf) = %{tl_version}
Provides: tex(gloss-lao.ldf) = %{tl_version}
Provides: tex(gloss-latin.ldf) = %{tl_version}
Provides: tex(gloss-latvian.ldf) = %{tl_version}
Provides: tex(gloss-lithuanian.ldf) = %{tl_version}
Provides: tex(gloss-lsorbian.ldf) = %{tl_version}
Provides: tex(gloss-magyar.ldf) = %{tl_version}
Provides: tex(gloss-malayalam.ldf) = %{tl_version}
Provides: tex(gloss-marathi.ldf) = %{tl_version}
Provides: tex(gloss-nko.ldf) = %{tl_version}
Provides: tex(gloss-norsk.ldf) = %{tl_version}
Provides: tex(gloss-nynorsk.ldf) = %{tl_version}
Provides: tex(gloss-occitan.ldf) = %{tl_version}
Provides: tex(gloss-piedmontese.ldf) = %{tl_version}
Provides: tex(gloss-polish.ldf) = %{tl_version}
Provides: tex(gloss-portuges.ldf) = %{tl_version}
Provides: tex(gloss-romanian.ldf) = %{tl_version}
Provides: tex(gloss-romansh.ldf) = %{tl_version}
Provides: tex(gloss-russian.ldf) = %{tl_version}
Provides: tex(gloss-samin.ldf) = %{tl_version}
Provides: tex(gloss-sanskrit.ldf) = %{tl_version}
Provides: tex(gloss-scottish.ldf) = %{tl_version}
Provides: tex(gloss-serbian.ldf) = %{tl_version}
Provides: tex(gloss-slovak.ldf) = %{tl_version}
Provides: tex(gloss-slovenian.ldf) = %{tl_version}
Provides: tex(gloss-spanish.ldf) = %{tl_version}
Provides: tex(gloss-swedish.ldf) = %{tl_version}
Provides: tex(gloss-syriac.ldf) = %{tl_version}
Provides: tex(gloss-tamil.ldf) = %{tl_version}
Provides: tex(gloss-telugu.ldf) = %{tl_version}
Provides: tex(gloss-thai.ldf) = %{tl_version}
Provides: tex(gloss-tibetan.ldf) = %{tl_version}
Provides: tex(gloss-turkish.ldf) = %{tl_version}
Provides: tex(gloss-turkmen.ldf) = %{tl_version}
Provides: tex(gloss-ukrainian.ldf) = %{tl_version}
Provides: tex(gloss-urdu.ldf) = %{tl_version}
Provides: tex(gloss-usorbian.ldf) = %{tl_version}
Provides: tex(gloss-vietnamese.ldf) = %{tl_version}
Provides: tex(gloss-welsh.ldf) = %{tl_version}
Provides: tex(hebrewcal.sty) = %{tl_version}
Provides: tex(hijrical.sty) = %{tl_version}
Provides: tex(nkonumbers.sty) = %{tl_version}
Provides: tex(polyglossia.sty) = %{tl_version}
Provides: tex(xgreek-fixes.def) = %{tl_version}

%description polyglossia
This package provides a complete Babel replacement for users of
LuaLaTeX and XeLaTeX; it relies on the fontspec package,
version 2.0 at least. This is the first release that supports
use with LuaLaTeX; it should be considered "transitional" in
that role.

%package polyglossia-doc
Summary: Documentation for polyglossia
Version: svn40138

Provides: tex-polyglossia-doc
AutoReqProv: No
Requires: tex-etoolbox-doc
Requires: tex-fontspec-doc
Requires: tex-ifluatex-doc
Requires: tex-makecmds-doc
Requires: tex-xkeyval-doc

%description polyglossia-doc
Documentation for polyglossia

%package ptext
Provides: tex-ptext = %{tl_version}
License: LPPL 1.2
Summary: A 'lipsum' for Persian
Version: svn30171.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(biditools.sty)
Provides: tex(ptext.sty) = %{tl_version}

%description ptext
The package provides lipsum-like facilities for the Persian
language. The source of the filling text is the Persian epic
"the Shanameh" (100 paragraphs are used.) The package needs to
be run under XeLaTeX.

%package ptext-doc
Summary: Documentation for ptext
Version: svn30171.1.1

Provides: tex-ptext-doc
AutoReqProv: No

%description ptext-doc
Documentation for ptext

%package quran
Provides: tex-quran = %{tl_version}
License: LPPL 1.3
Summary: An easy way to typeset any part of The Holy Quran
Version: svn45122
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(biditools.sty)
Provides: tex(quran.sty) = %{tl_version}

%description quran
This package offers the user an easy way to typeset The Holy
Quran. It has been inspired by the lipsum and ptext packages
and provides several macros for typesetting the whole or any
part of Quran based on its popular division. Available macros
are: \quransurah, \quranayah, \quranjuz, \quranhizb,
\quranquarter, \quranpage, \qurantext, \surahname, \basmalah.
The package only works with the "xelatex" format and should be
loaded before the bidi package.

%package quran-doc
Summary: Documentation for quran
Version: svn45122
Provides: tex-quran-doc
AutoReqProv: No

%description quran-doc
Documentation for quran

%package realscripts
Provides: tex-realscripts = %{tl_version}
License: LPPL 1.3
Summary: Access OpenType subscript and superscript glyphs
Version: svn39706

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontspec.sty)
Provides: tex(realscripts.sty) = %{tl_version}

%description realscripts
This small package replaces \textsuperscript and \textsubscript
commands by equivalent commands that use OpenType font features
to access appropriate glyphs if possible. The package also
patches LaTeX's default footnote command to use this new
\textsuperscript for footnote symbols. The package requires
fontspec running on either XeLaTeX or LuaLaTeX. The package
holds functions that were once parts of the xltxtra package,
which now loads realscripts by default.

%package realscripts-doc
Summary: Documentation for realscripts
Version: svn39706

Provides: tex-realscripts-doc
AutoReqProv: No

%description realscripts-doc
Documentation for realscripts

%package ucharclasses
Provides: tex-ucharclasses = %{tl_version}
License: Public Domain
Summary: Font actions in XeTeX according to what is being processed
Version: svn45024
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifxetex.sty)
Provides: tex(ucharclasses.sty) = %{tl_version}

%description ucharclasses
The package takes care of switching fonts when you switch from
one Unicode block to another in the text of a document. This
way, you can write a document with no explicit font selection,
but a series of rules of the form "when entering block ...,
switch font to use ...".

%package ucharclasses-doc
Summary: Documentation for ucharclasses
Version: svn45024
Provides: tex-ucharclasses-doc
AutoReqProv: No

%description ucharclasses-doc
Documentation for ucharclasses

%package unisugar
Provides: tex-unisugar = %{tl_version}
License: LPPL 1.3
Summary: Define syntactic sugar for Unicode LaTeX
Version: svn22357.0.92

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Provides: tex(unisugar.sty) = %{tl_version}

%description unisugar
The package allows the user to define shorthand aliases for
single Unicode characters, and also provides support for such
aliases in RTL-text. The package requires an TeX-alike system
that uses Unicode input in a native way: current examples are
XeTeX and LuaTeX.

%package unisugar-doc
Summary: Documentation for unisugar
Version: svn22357.0.92

Provides: tex-unisugar-doc
AutoReqProv: No

%description unisugar-doc
Documentation for unisugar

%package xebaposter
Provides: tex-xebaposter = %{tl_version}
License: LPPL 1.3
Summary: Creates beautiful scientific Persian/Latin posters using TikZ
Version: svn42046
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(calc.sty)
Requires: tex(xcolor.sty)
Requires: tex(tikz.sty)
Requires: tex(pgf.sty)
Requires: tex(ifthen.sty)
Requires: tex(fontenc.sty)
Requires: tex(biditools.sty)
Provides: tex(xebaposter.cls) = %{tl_version}

%description xebaposter
This package is designed for making beautiful scientific
Persian/Latin posters. It is a fork of baposter by Brian Amberg
and Reinhold Kainhofer available at http://www.brian-
amberg.de/uni/poster/. baposter's users should be able to
compile their poster using xebaposter (instead of baposter)
without any problem.

%package xebaposter-doc
Summary: Documentation for xebaposter
Version: svn42046
Provides: tex-xebaposter-doc
AutoReqProv: No

%description xebaposter-doc
Documentation for xebaposter

%package xecjk
Provides: tex-xecjk = %{tl_version}
License: LPPL 1.3
Summary: Support for CJK documents in XeLaTeX
Version: svn44978
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(listings.sty)
Requires: tex(xtemplate.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(fontspec.sty)
Requires: tex(xeCJKfntef.sty)
Requires: tex(ulem.sty)
Requires: tex(environ.sty)
Requires: tex(CJKfntef.sty)
Requires: tex(xunicode.sty)
Provides: tex(full-stop.map) = %{tl_version}
Provides: tex(fullwidth-stop.map) = %{tl_version}
Provides: tex(han-simp.map) = %{tl_version}
Provides: tex(han-trad.map) = %{tl_version}
Provides: tex(xeCJK-listings.sty) = %{tl_version}
Provides: tex(xeCJK.cfg) = %{tl_version}
Provides: tex(xeCJK.sty) = %{tl_version}
Provides: tex(xeCJKfntef.sty) = %{tl_version}
Provides: tex(xunicode-addon.sty) = %{tl_version}
Provides: tex(xunicode-extra.def) = %{tl_version}

%description xecjk
A LaTeX package for typesetting CJK documents in the way users
have become used to, in the CJK package. The package requires a
current version of xtemplate (and hence of the current LaTeX 3
development environment).

%package xecjk-doc
Summary: Documentation for xecjk
Version: svn44978
Provides: tex-xecjk-doc
AutoReqProv: No

%description xecjk-doc
Documentation for xecjk

%package xecolor
Provides: tex-xecolor = %{tl_version}
License: LPPL 1.3
Summary: Support for color in XeLaTeX
Version: svn29660.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(fontspec.sty)
Requires: tex(iftex.sty)
Provides: tex(xecolor.sty) = %{tl_version}

%description xecolor
This is a simple package which defines about 140 different
colours using XeTeX's colour feature. The colours can be used
in bidirectional texts without any problem.

%package xecolor-doc
Summary: Documentation for xecolor
Version: svn29660.0.1

Provides: tex-xecolor-doc
AutoReqProv: No

%description xecolor-doc
Documentation for xecolor

%package xecyr
Provides: tex-xecyr = %{tl_version}
License: LPPL
Summary: Using Cyrillic languages in XeTeX
Version: svn20221.1.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(misccorr.sty)
Requires: tex(xltxtra.sty)
Requires: tex(xunicode.sty)
Provides: tex(xu-ruenhyph.tex) = %{tl_version}
Provides: tex(xecyr.sty) = %{tl_version}

%description xecyr
Helper tools for using Cyrillic languages with XeLaTeX and
babel.

%package xecyr-doc
Summary: Documentation for xecyr
Version: svn20221.1.1

Provides: tex-xecyr-doc
AutoReqProv: No

%description xecyr-doc
Documentation for xecyr

%package xeindex
Provides: tex-xeindex = %{tl_version}
License: LPPL
Summary: Automatic index generation for XeLaTeX
Version: svn35756.0.3

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(makeidx.sty)
Requires: tex(xesearch.sty)
Provides: tex(xeindex.sty) = %{tl_version}

%description xeindex
The package is based on XeSearch, and will automatically index
words or phrases in an XeLaTeX document. Words are declared in
a list, and every occurrence then creates an index entry whose
content can be fully specified beforehand.

%package xeindex-doc
Summary: Documentation for xeindex
Version: svn35756.0.3

Provides: tex-xeindex-doc
AutoReqProv: No

%description xeindex-doc
Documentation for xeindex

%package xepersian
Provides: tex-xepersian = %{tl_version}
License: LPPL 1.3
Summary: Persian for LaTeX, using XeTeX
Version: svn45233
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(ifxetex.sty)
Requires: tex(multido.sty)
Requires: tex(datetime.sty)
Requires: tex(multicol.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(fancybox.sty)
Requires: tex(geometry.sty)
Requires: tex(textpos.sty)
Requires: tex(hyphenat.sty)
Requires: tex(lastpage.sty)
Requires: tex(setspace.sty)
Requires: tex(ragged2e.sty)
Requires: tex(pifont.sty)
Requires: tex(fullpage.sty)
Requires: tex(calc.sty)
Requires: tex(verbatim.sty)
Requires: tex(tabularx.sty)
Requires: tex(fontspec.sty)
Requires: tex(bidi.sty)
Provides: tex(parsidigits.map) = %{tl_version}
Provides: tex(algorithm-xepersian.def) = %{tl_version}
Provides: tex(algorithmic-xepersian.def) = %{tl_version}
Provides: tex(amsart-xepersian.def) = %{tl_version}
Provides: tex(amsbook-xepersian.def) = %{tl_version}
Provides: tex(appendix-xepersian.def) = %{tl_version}
Provides: tex(article-xepersian.def) = %{tl_version}
Provides: tex(artikel1-xepersian.def) = %{tl_version}
Provides: tex(artikel2-xepersian.def) = %{tl_version}
Provides: tex(artikel3-xepersian.def) = %{tl_version}
Provides: tex(backref-xepersian.def) = %{tl_version}
Provides: tex(bidimoderncv-xepersian.def) = %{tl_version}
Provides: tex(bidituftesidenote-xepersian.def) = %{tl_version}
Provides: tex(boek-xepersian.def) = %{tl_version}
Provides: tex(boek3-xepersian.def) = %{tl_version}
Provides: tex(book-xepersian.def) = %{tl_version}
Provides: tex(bookest-xepersian.def) = %{tl_version}
Provides: tex(breqn-xepersian.def) = %{tl_version}
Provides: tex(color-localise-xepersian.def) = %{tl_version}
Provides: tex(enumerate-xepersian.def) = %{tl_version}
Provides: tex(extarticle-xepersian.def) = %{tl_version}
Provides: tex(extbook-xepersian.def) = %{tl_version}
Provides: tex(extrafootnotefeatures-xepersian.def) = %{tl_version}
Provides: tex(extreport-xepersian.def) = %{tl_version}
Provides: tex(flowfram-xepersian.def) = %{tl_version}
Provides: tex(footnote-xepersian.def) = %{tl_version}
Provides: tex(framed-xepersian.def) = %{tl_version}
Provides: tex(glossaries-xepersian.def) = %{tl_version}
Provides: tex(hyperref-xepersian.def) = %{tl_version}
Provides: tex(imsproc-xepersian.def) = %{tl_version}
Provides: tex(kashida-xepersian.def) = %{tl_version}
Provides: tex(latex-localise-commands-xepersian.def) = %{tl_version}
Provides: tex(latex-localise-environments-xepersian.def) = %{tl_version}
Provides: tex(latex-localise-messages-xepersian.def) = %{tl_version}
Provides: tex(latex-localise-misc-xepersian.def) = %{tl_version}
Provides: tex(listings-xepersian.def) = %{tl_version}
Provides: tex(loadingorder-xepersian.def) = %{tl_version}
Provides: tex(localise-xepersian.def) = %{tl_version}
Provides: tex(memoir-xepersian.def) = %{tl_version}
Provides: tex(minitoc-xepersian.def) = %{tl_version}
Provides: tex(natbib-xepersian.def) = %{tl_version}
Provides: tex(packages-localise-xepersian.def) = %{tl_version}
Provides: tex(rapport1-xepersian.def) = %{tl_version}
Provides: tex(rapport3-xepersian.def) = %{tl_version}
Provides: tex(refrep-xepersian.def) = %{tl_version}
Provides: tex(report-xepersian.def) = %{tl_version}
Provides: tex(scrartcl-xepersian.def) = %{tl_version}
Provides: tex(scrbook-xepersian.def) = %{tl_version}
Provides: tex(scrreprt-xepersian.def) = %{tl_version}
Provides: tex(tkz-linknodes-xepersian.def) = %{tl_version}
Provides: tex(tocloft-xepersian.def) = %{tl_version}
Provides: tex(xepersian-localise-commands-xepersian.def) = %{tl_version}
Provides: tex(xepersian-localise-environments-xepersian.def) = %{tl_version}
Provides: tex(xepersian-magazine.cls) = %{tl_version}
Provides: tex(xepersian-mathsdigitspec.sty) = %{tl_version}
Provides: tex(xepersian-multiplechoice.sty) = %{tl_version}
Provides: tex(xepersian-persiancal.sty) = %{tl_version}
Provides: tex(xepersian.sty) = %{tl_version}

%description xepersian
The package supports Persian typesetting.

%package xepersian-doc
Summary: Documentation for xepersian
Version: svn45233
Provides: tex-xepersian-doc
AutoReqProv: No

%description xepersian-doc
Documentation for xepersian

%package xesearch
Provides: tex-xesearch = %{tl_version}
License: LPPL
Summary: A string finder for XeTeX
Version: svn16041.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(t-xesearch.tex) = %{tl_version}
Provides: tex(xesearch.sty) = %{tl_version}

%description xesearch
The package finds strings (e.g. (parts of) words or phrases)
and manipulates them (apply any macro), thus turning each word
or phrase into a possible command. It is written in plain XeTeX
and should thus work with any format (it is known to work with
LaTeX and ConTeXt). The main application for the moment is
XeIndex, an automatic index for XeLaTeX, but examples are given
of simple use to check spelling, count words, and highlight
syntax of programming languages.

%package xesearch-doc
Summary: Documentation for xesearch
Version: svn16041.0

Provides: tex-xesearch-doc
AutoReqProv: No

%description xesearch-doc
Documentation for xesearch

%package xespotcolor
Provides: tex-xespotcolor = %{tl_version}
License: LPPL 1.3
Summary: Spot colours support for XeLaTeX
Version: svn40118

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex(ifxetex.sty)
Requires: tex(graphics.sty)
Requires: tex(color.sty)
Requires: tex(everypage.sty)
Provides: tex(xespotcolor.sty) = %{tl_version}

%description xespotcolor
The package provides macros for using spot colours in LaTeX
documents. The package is a reimplementation of the spotcolor
package for use with XeLaTeX. As such, it has the same user
interface and the same capabilities.

%package xespotcolor-doc
Summary: Documentation for xespotcolor
Version: svn40118

Provides: tex-xespotcolor-doc
AutoReqProv: No

%description xespotcolor-doc
Documentation for xespotcolor

%package xetex-itrans
Provides: tex-xetex-itrans = %{tl_version}
License: LPPL 1.3
Summary: Itrans input maps for use with XeLaTeX
Version: svn35088.4.2

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(brh-kan.map) = %{tl_version}
Provides: tex(itrans-dvn.map) = %{tl_version}
Provides: tex(itrans-iast.map) = %{tl_version}
Provides: tex(itrans-kan.map) = %{tl_version}
Provides: tex(itrans-sankan.map) = %{tl_version}
Provides: tex(itrans-santel.map) = %{tl_version}
Provides: tex(itrans-sdvn.map) = %{tl_version}
Provides: tex(itrans-tamil.map) = %{tl_version}
Provides: tex(itrans-tel.map) = %{tl_version}

%description xetex-itrans
The package provides maps for use with XeLaTeX with coding done
using itrans. Fontspec maps are provided for Devanagari
(Sanskrit), for Sanskrit in Kannada and for Kannada itself.

%package xetex-itrans-doc
Summary: Documentation for xetex-itrans
Version: svn35088.4.2

Provides: tex-xetex-itrans-doc
AutoReqProv: No

%description xetex-itrans-doc
Documentation for xetex-itrans

%package xetex-pstricks
Provides: tex-xetex-pstricks = %{tl_version}
License: Public Domain
Summary: Running PStricks under XeTeX
Version: svn17055.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description xetex-pstricks
The package provides an indirection scheme for XeTeX to use the
pstricks xdvipdfmx.cfg configuration file, so that XeTeX
documents will load it in preference to the standard
pstricks.con configuration file. With this configuration, many
PSTricks features can be used in xelatex or plain xetex
documents.

%package xetex-pstricks-doc
Summary: Documentation for xetex-pstricks
Version: svn17055.0

Provides: tex-xetex-pstricks-doc
AutoReqProv: No

%description xetex-pstricks-doc
Documentation for xetex-pstricks

%package xetex-tibetan
Provides: tex-xetex-tibetan = %{tl_version}
License: LPPL
Summary: XeTeX input maps for Unicode Tibetan
Version: svn28847.0.1

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(loctib.map) = %{tl_version}
Provides: tex(wylie.map) = %{tl_version}

%description xetex-tibetan
The package provides a map for use with Jonathan Kew's TECkit,
to translate Tibetan to Unicode (range 0F00-0FFF).

%package xetex-tibetan-doc
Summary: Documentation for xetex-tibetan
Version: svn28847.0.1

Provides: tex-xetex-tibetan-doc
AutoReqProv: No

%description xetex-tibetan-doc
Documentation for xetex-tibetan

%package xetexfontinfo
Provides: tex-xetexfontinfo = %{tl_version}
License: ASL 2.0
Summary: Report font features in XeTeX
Version: svn15878.0

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(aat-info.tex) = %{tl_version}
Provides: tex(opentype-info.tex) = %{tl_version}

%description xetexfontinfo
A pair of documents to reveal the font features supported by
fonts usable in XeTeX. Use OpenType-info.tex for OpenType
fonts, and AAT-info.tex for AAT fonts (Mac OS X only).

%package xetexfontinfo-doc
Summary: Documentation for xetexfontinfo
Version: svn15878.0

Provides: tex-xetexfontinfo-doc
AutoReqProv: No

%description xetexfontinfo-doc
Documentation for xetexfontinfo

%package xetexko
Provides: tex-xetexko = %{tl_version}
License: LPPL 1.3
Summary: Typeset Korean with Xe(La)TeX
Version: svn45435
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(kolabels-utf.sty)
Requires: tex(konames-utf.sty)
Provides: tex(xetexko-font.sty) = %{tl_version}
Provides: tex(xetexko-hanging.sty) = %{tl_version}
Provides: tex(xetexko-josa.sty) = %{tl_version}
Provides: tex(xetexko-space.sty) = %{tl_version}
Provides: tex(xetexko-vertical.sty) = %{tl_version}
Provides: tex(xetexko.sty) = %{tl_version}

%description xetexko
The package supports typesetting Korean documents (including
old Hangul texts), using XeTeX. It enhances the existing
support, in XeTeX, providing features that provide quality
typesetting.

%package xetexko-doc
Summary: Documentation for xetexko
Version: svn45435
Provides: tex-xetexko-doc
AutoReqProv: No

%description xetexko-doc
Documentation for xetexko

%package xevlna
Provides: tex-xevlna = %{tl_version}
License: LPPL 1.3
Summary: Insert non-breakable spaces using XeTeX
Version: svn43864
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(xevlna.sty) = %{tl_version}

%description xevlna
The package will directly insert nonbreakable spaces (in Czech,
vlna or vlnka), after nonsyllabic prepositions and single
letter conjuctions, while the document is being typeset. (The
macros recognised maths and verbatim by TeX means.) (Inserting
nonbreakable spaces by a preprocessor will probably never be
fully reliable, because user defined macros and environments
cannot reliably be recognised.) The package works both with
(Plain) XeTeX and with XeLaTeX.

%package xevlna-doc
Summary: Documentation for xevlna
Version: svn43864
Provides: tex-xevlna-doc
AutoReqProv: No

%description xevlna-doc
Documentation for xevlna

%package xltxtra
Provides: tex-xltxtra = %{tl_version}
License: LPPL
Summary: "Extras" for LaTeX users of XeTeX
Version: svn39453

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-metalogo
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Requires: tex(ifxetex.sty)
Requires: tex(realscripts.sty)
Requires: tex(metalogo.sty)
Provides: tex(xltxtra.sty) = %{tl_version}

%description xltxtra
The package loads the fixltx2e package from the LaTeX
distribution, and etex.sty from the e-TeX distribution. The
package then patches the \- (discretionary hyphen command) to
use the current hyphen character (which may be different from
than the default, which is the character at the ASCII hyphen
slot), and loads the realscripts to patch the \textsuperscript
command (from the LaTeX kernel) and the \textsubscript command
(from the fixltx2e package). The package is loaded by the
fontspec package, so that it should not ordinarily be necessary
to load it explicitly. The package relies on the metalogo
package for typesetting the XeTeX and XeLaTeX logos.

%package xltxtra-doc
Summary: Documentation for xltxtra
Version: svn39453

Provides: tex-xltxtra-doc
AutoReqProv: No
Requires: tex-metalogo-doc

%description xltxtra-doc
Documentation for xltxtra

%package xunicode
Provides: tex-xunicode = %{tl_version}
License: LPPL 1.3
Summary: Generate Unicode characters from accented glyphs
Version: svn30466.0.981

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Requires: tex-tipa
Requires: tex(graphicx.sty)
Requires: tex(t3enc.def)
Provides: tex(xunicode.sty) = %{tl_version}

%description xunicode
The package supports XeTeX's (and other putative future similar
engines') need for Unicode characters, in a similar way to what
the fontenc does for 8-bit (and the like) fonts: convert accent-
glyph sequence to a single Unicode character for output. The
package also covers glyphs specified by packages (such as tipa)
which define many commands for single text glyphs.

%package xunicode-doc
Summary: Documentation for xunicode
Version: svn30466.0.981

Provides: tex-xunicode-doc
AutoReqProv: No
Requires: tex-tipa-doc

%description xunicode-doc
Documentation for xunicode

%package scheme-basic
Summary: basic scheme (plain and latex)
Version: svn25923.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-latex

%description scheme-basic
This is the basic TeX Live scheme: it is a small set of files
sufficient to typeset plain TeX or LaTeX documents in
PostScript or PDF, using the Computer Modern fonts.  This
scheme corresponds to collection-basic and collection-latex.

%package scheme-context
Summary: ConTeXt scheme
Version: svn35799.0
Requires: texlive-base
Requires: texlive-collection-context
Requires: texlive-collection-metapost
Requires: tex-tex-gyre
Requires: tex-tex-gyre-math
Requires: tex-antt
Requires: tex-iwona
Requires: tex-kurier
Requires: tex-poltawski
Requires: tex-xits
Requires: tex-asana-math
Requires: tex-gentium-tug
Requires: tex-pxfonts
Requires: tex-txfonts
Requires: tex-ccicons
Requires: tex-eulervm
Requires: tex-manfnt-font
Requires: tex-marvosym
Requires: tex-mflogo-font
Requires: tex-wasy
Requires: tex-ly1
Provides: tex(context) = %{tl_version}
Obsoletes: texlive-texmf-context < %{tl_version}

%description scheme-context
This is the TeX Live scheme for installing ConTeXt.

%package scheme-full
Summary: full scheme (everything)
Version: svn44177
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-bibtexextra
Requires: texlive-collection-binextra
Requires: texlive-collection-context
Requires: texlive-collection-fontsextra
Requires: texlive-collection-fontsrecommended
Requires: texlive-collection-formatsextra
Requires: texlive-collection-fontutils
Requires: texlive-collection-games
Requires: texlive-collection-humanities
Requires: texlive-collection-langarabic
Requires: texlive-collection-langchinese
Requires: texlive-collection-langcjk
Requires: texlive-collection-langcyrillic
Requires: texlive-collection-langczechslovak
Requires: texlive-collection-langenglish
Requires: texlive-collection-langeuropean
Requires: texlive-collection-langfrench
Requires: texlive-collection-langgerman
Requires: texlive-collection-langgreek
Requires: texlive-collection-langitalian
Requires: texlive-collection-langjapanese
Requires: texlive-collection-langkorean
Requires: texlive-collection-langother
Requires: texlive-collection-langpolish
Requires: texlive-collection-langportuguese
Requires: texlive-collection-langspanish
Requires: texlive-collection-latex
Requires: texlive-collection-latexextra
Requires: texlive-collection-latexrecommended
Requires: texlive-collection-luatex
Requires: texlive-collection-mathscience
Requires: texlive-collection-metapost
Requires: texlive-collection-music
Requires: texlive-collection-pictures
Requires: texlive-collection-plaingeneric
Requires: texlive-collection-pstricks
Requires: texlive-collection-publishers
Requires: texlive-collection-texworks
Requires: texlive-collection-xetex

%description scheme-full
This is the full TeX Live scheme: it installs everything
available.

%package scheme-gust
Summary: GUST TeX Live scheme
Version: svn44177
Requires: texlive-base
Requires: texlive-FAQ-en-doc
Requires: texlive-Type1fonts-doc
Requires: texlive-amslatex-primer-doc
Requires: texlive-amstex
Requires: texlive-antt
Requires: texlive-bibtex8
Requires: texlive-comment
Requires: texlive-comprehensive-doc
Requires: texlive-concrete
Requires: texlive-cyklop
Requires: texlive-dvidvi
Requires: texlive-dviljk
Requires: texlive-gustprog-doc
Requires: texlive-impatient-doc
Requires: texlive-iwona
Requires: texlive-metafont-beginners-doc
Requires: texlive-metapost-examples-doc
Requires: texlive-poltawski
Requires: texlive-seetexk
Requires: texlive-seminar
Requires: texlive-tds-doc
Requires: texlive-tex4ht
Requires: texlive-texdoc
Requires: texlive-collection-basic
Requires: texlive-collection-context
Requires: texlive-collection-fontutils
Requires: texlive-collection-fontsrecommended
Requires: texlive-collection-langpolish
Requires: texlive-collection-latex
Requires: texlive-collection-latexrecommended
Requires: texlive-collection-metapost
Requires: texlive-collection-plaingeneric
Requires: texlive-collection-texworks
Requires: texlive-collection-xetex

%description scheme-gust
This is the GUST TeX Live scheme: it is a set of files
sufficient to typeset Polish plain TeX, LaTeX and ConTeXt
documents in PostScript or PDF.

%package scheme-medium
Summary: medium scheme (small + more packages and languages)
Version: svn44177
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-binextra
Requires: texlive-collection-context
Requires: texlive-collection-fontsrecommended
Requires: texlive-collection-fontutils
Requires: texlive-collection-langczechslovak
Requires: texlive-collection-langenglish
Requires: texlive-collection-langeuropean
Requires: texlive-collection-langfrench
Requires: texlive-collection-langgerman
Requires: texlive-collection-langitalian
Requires: texlive-collection-langpolish
Requires: texlive-collection-langportuguese
Requires: texlive-collection-langspanish
Requires: texlive-collection-latex
Requires: texlive-collection-latexrecommended
Requires: texlive-collection-luatex
Requires: texlive-collection-mathscience
Requires: texlive-collection-metapost
Requires: texlive-collection-plaingeneric
Requires: texlive-collection-texworks
Requires: texlive-collection-xetex

%description scheme-medium
This is the medium TeX Live collection: it contains plain TeX,
LaTeX, many recommended packages, and support for most European
languages.

%package scheme-minimal
Summary: minimal scheme (plain only)
Version: svn13822.0
Requires: texlive-base
Requires: texlive-collection-basic

%description scheme-minimal
This is the minimal TeX Live scheme, with support for only
plain TeX. (No LaTeX macros.)  LuaTeX is included because Lua
scripts are used in TeX Live infrastructure.  This scheme
corresponds exactly to collection-basic.

%package scheme-small
Summary: small scheme (basic + xetex, metapost, a few languages)
Version: svn41825
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-latex
Requires: texlive-collection-latexrecommended
Requires: texlive-collection-metapost
Requires: texlive-collection-xetex
Requires: texlive-ec
Requires: texlive-eurosym
Requires: texlive-lm
Requires: texlive-lualibs
Requires: texlive-luaotfload
Requires: texlive-luatexbase
Requires: texlive-revtex
Requires: texlive-synctex
Requires: texlive-times
Requires: texlive-tipa
Requires: texlive-ulem
Requires: texlive-upquote
Requires: texlive-zapfding
Requires: texlive-babel-basque
Requires: texlive-hyphen-basque
Requires: texlive-babel-czech
Requires: texlive-hyphen-czech
Requires: texlive-babel-danish
Requires: texlive-hyphen-danish
Requires: texlive-babel-dutch
Requires: texlive-hyphen-dutch
Requires: texlive-babel-english
Requires: texlive-hyphen-english
Requires: texlive-babel-finnish
Requires: texlive-hyphen-finnish
Requires: texlive-babel-french
Requires: texlive-hyphen-french
Requires: texlive-babel-german
Requires: texlive-hyphen-german
Requires: texlive-babel-hungarian
Requires: texlive-hyphen-hungarian
Requires: texlive-babel-italian
Requires: texlive-hyphen-italian
Requires: texlive-babel-norsk
Requires: texlive-hyphen-norwegian
Requires: texlive-babel-polish
Requires: texlive-hyphen-polish
Requires: texlive-babel-portuges
Requires: texlive-hyphen-portuguese
Requires: texlive-babel-spanish
Requires: texlive-hyphen-spanish
Requires: texlive-babel-swedish
Requires: texlive-hyphen-swedish

%description scheme-small
This is a small TeX Live scheme, corresponding to MacTeX's
BasicTeX variant.  It adds XeTeX, MetaPost, various
hyphenations, and some recommended packages to scheme-basic.

%package scheme-tetex
Summary: teTeX scheme (more than medium, but nowhere near full)
Version: svn44187
Requires: texlive-base
Requires: texlive-FAQ-en-doc
Requires: texlive-SIunits
Requires: texlive-acronym
Requires: texlive-amslatex-primer-doc
Requires: texlive-bbm
Requires: texlive-bbm-macros
Requires: texlive-bbold
Requires: texlive-bibtex8
Requires: texlive-ctie
Requires: texlive-detex
Requires: texlive-dtl
Requires: texlive-dvi2tty
Requires: texlive-dvicopy
Requires: texlive-dvidvi
Requires: texlive-dviljk
Requires: texlive-patgen
Requires: texlive-pdftools
Requires: texlive-seetexk
Requires: texlive-tie
Requires: texlive-web
Requires: texlive-cmbright
Requires: texlive-cweb
Requires: texlive-eplain
Requires: texlive-eulervm
Requires: texlive-gentle-doc
Requires: texlive-lshort-english-doc
Requires: texlive-mltex
Requires: texlive-multirow
Requires: texlive-nomencl
Requires: texlive-pst-pdf
Requires: texlive-rsfs
Requires: texlive-subfigure
Requires: texlive-supertabular
Requires: texlive-tamethebeast-doc
Requires: texlive-tds-doc
Requires: texlive-tex-refs-doc
Requires: texlive-collection-basic
Requires: texlive-collection-context
Requires: texlive-collection-fontsrecommended
Requires: texlive-collection-fontutils
Requires: texlive-collection-langcjk
Requires: texlive-collection-langcyrillic
Requires: texlive-collection-langczechslovak
Requires: texlive-collection-langenglish
Requires: texlive-collection-langeuropean
Requires: texlive-collection-langfrench
Requires: texlive-collection-langgerman
Requires: texlive-collection-langgreek
Requires: texlive-collection-langitalian
Requires: texlive-collection-langother
Requires: texlive-collection-langpolish
Requires: texlive-collection-langportuguese
Requires: texlive-collection-langspanish
Requires: texlive-collection-latex
Requires: texlive-collection-latexrecommended
Requires: texlive-collection-mathscience
Requires: texlive-collection-metapost
Requires: texlive-collection-formatsextra
Requires: texlive-collection-pictures
Requires: texlive-collection-plaingeneric
Requires: texlive-collection-pstricks
Provides: tetex = 3.1-99
Obsoletes: tetex < 3.1-99
Obsoletes: texlive-dviutils < %{tl_version}

%description scheme-tetex
TeX Live scheme nearly equivalent to the teTeX distribution
that was maintained by Thomas Esser.

%package texlive-docindex
Provides: tex-texlive-docindex = %{tl_version}
License: LPPL
Summary: top-level TeX Live doc.html, etc
Version: svn45575
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description texlive-docindex
These files are regenerated as needed, which is often, so we
make them a separate package.  See the tl-update-auto script
for the process.

%package texlive-docindex-doc
Summary: Documentation for texlive-docindex
Version: svn45575
Provides: tex-texlive-docindex-doc
AutoReqProv: No

%description texlive-docindex-doc
Documentation for texlive-docindex

# New for 2016

%package acmart-doc
Provides: tex-acmart-doc = %{tl_version}
License: LPPL
Summary: doc files of acmart
Version: svn46476
AutoReqProv: No

%description acmart-doc
Documentation for acmart

%package acmart
Provides: tex-acmart = %{tl_version}
License: LPPL
Summary: Class for typesetting publications of ACM>
Version: svn46476
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(acmart.cls) = %{tl_version}

%description acmart
This package provides a class for typesetting publications of
Association for Computing Machinery.

%package adtrees
Provides: tex-adtrees = %{tl_version}
License: GPL+
Summary: Macros for drawing adpositional trees
Version: svn39438
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(adtrees.sty) = %{tl_version}

%description adtrees
The adtrees package provides a package to write adpositional
trees, a formalism devoted to represent natural language
expressions. The package is composed by the files adtree.sty:
containing the LaTeX engine to adpositional trees
adtreedoc.pdf: the human readable documentation for the package
adtreedoc.tex: the source code for the documentation.

%package adtrees-doc
Provides: tex-adtrees-doc
License: GPL+
Summary: doc files of adtrees
Version: svn39438
AutoReqProv: No

%description adtrees-doc
Documentation for adtrees

%package arabi-add-doc
Provides: tex-arabi-add-doc = %{tl_version}
License: LPPL
Summary: doc files of arabi-add
Version: svn37709

AutoReqProv: No

%description arabi-add-doc
Documentation for arabi-add

%package arabi-add
Provides: tex-arabi-add = %{tl_version}
License: LPPL
Summary: Using hyperref and bookmark packages with arabic and farsi languages
Version: svn37709

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(arabi-add.sty) = %{tl_version}

%description arabi-add
This package takes advantage of some of the possibilities that
hyperref and bookmark packages offer when you create a table of
contents for Arabic texts created by the arabi package.

%package arabluatex-doc
Provides: tex-arabluatex-doc = %{tl_version}
License: GPLv3+
Summary: doc files of arabluatex
Version: svn46227
AutoReqProv: No

%description arabluatex-doc
Documentation for arabluatex

%package arabluatex
Provides: tex-arabluatex = %{tl_version}
License: GPLv3+
Summary: An ArabTeX-like interface for LuaLaTeX
Version: svn46227
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(arabluatex.sty) = %{tl_version}

%description arabluatex
This package provides for LuaLaTeX an ArabTeX-like interface to
generate Arabic writing from an ascii transliteration. It is
particularly well-suited for complex documents such as
technical documents or critical editions where a lot of left-to-
right commands intertwine with Arabic writing. arabluatex is
able to process any ArabTeX input notation. Its output can be
set in the same modes of vocalization as ArabTeX, or in
different roman transliterations. It further allows many
typographical refinements. It will eventually interact with
some other packages yet to come to produce from .tex source
files, in addition to printed books, TEI xml compliant critical
editions and/or lexicons that can be searched, analyzed and
correlated in various ways.

%package archaeologie-doc
Provides: tex-archaeologie-doc = %{tl_version}
License: LPPL
Summary: doc files of archaeologie
Version: svn45852
AutoReqProv: No

%description archaeologie-doc
Documentation for archaeologie

%package archaeologie
Provides: tex-archaeologie = %{tl_version}
License: LPPL
Summary: Citation-style which covers rules of the German Archaeology Institute
Version: svn45852
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description archaeologie
This citation-style covers the citation and bibliography rules
of the German Archaeology Institute. Various options are
available to change and adjust the outcome according to one's
own preferences.

%package asapsym-doc
Provides: tex-asapsym-doc = %{tl_version}
License: LPPL
Summary: doc files of asapsym
Version: svn40201

AutoReqProv: No

%description asapsym-doc
Documentation for asapsym

%package asapsym
Provides: tex-asapsym = %{tl_version}
License: LPPL
Summary: Using the free ASAP Symbol font with LaTeX and Plain TeX
Version: svn40201

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(asapsym.sty) = %{tl_version}
Provides: tex(asapsym-generic.tex) = %{tl_version}
Provides: tex(asapsym.code.tex) = %{tl_version}
Provides: tex(Asap-Symbol.otf) = %{tl_version}

%description asapsym
The package provides macros (usable with LaTeX or Plain TeX)
for using the freely available ASAP Symbol font, which is also
included. The font is distributed in OpenType format, and makes
extensive use of OpenType features. Therefore, at this time,
only XeTeX and LuaTeX are supported. An error message is issued
if an OTF-capable engine is not detected.

%package asciilist-doc
Provides: tex-asciilist-doc = %{tl_version}
License: LPPL
Summary: doc files of asciilist
Version: svn41158
AutoReqProv: No

%description asciilist-doc
Documentation for asciilist

%package asciilist
Provides: tex-asciilist = %{tl_version}
License: LPPL
Summary: Environments AsciiList and AsciiDocList for prototyping nested lists in LaTeX.
Version: svn41158
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(asciilist.sty) = %{tl_version}

%description asciilist
The asciilist provides the environments AsciiList and
AsciiDocList, which enable quickly typesetting nested lists in
LaTeX without having to type individual item macros or
opening/closing list environments. The package provides
auxiliary functionality for loading such lists from files and
provides macros for configuring the use of the list
environments and the appearance of the typeset results.

%package babel-belarusian-doc
Provides: tex-babel-belarusian-doc = %{tl_version}
License: LPPL
Summary: doc files of babel-belarusian
Version: svn40636

AutoReqProv: No

%description babel-belarusian-doc
Documentation for babel-belarusian

%package babel-belarusian
Provides: tex-babel-belarusian = %{tl_version}
License: LPPL
Summary: Babel support for Belarusian
Version: svn40636

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(belarusianb.ldf) = %{tl_version}

%description babel-belarusian
The package provides support for use of Babel in documents
written in Belarusian.

%package babel-macedonian-doc
Provides: tex-babel-macedonian-doc = %{tl_version}
License: LPPL
Summary: doc files of babel-macedonian
Version: svn39587

AutoReqProv: No

%description babel-macedonian-doc
Documentation for babel-macedonian

%package babel-macedonian
Provides: tex-babel-macedonian = %{tl_version}
License: LPPL
Summary: Babel module to support Macedonian Cyrillic
Version: svn39587

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(macedonian.ldf) = %{tl_version}

%description babel-macedonian
The package provides support for Macedonian documents written
in Cyrillic, in babel.

%package babel-occitan-doc
Provides: tex-babel-occitan-doc = %{tl_version}
License: LPPL
Summary: doc files of babel-occitan
Version: svn39608

AutoReqProv: No

%description babel-occitan-doc
Documentation for babel-occitan

%package babel-occitan
Provides: tex-babel-occitan = %{tl_version}
License: LPPL
Summary: Babel support for Occitan
Version: svn39608

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(occitan.ldf) = %{tl_version}

%description babel-occitan
Occitan language description file with usage instructions.

%package babel-vietnamese-doc
Provides: tex-babel-vietnamese-doc = %{tl_version}
License: LPPL
Summary: doc files of babel-vietnamese
Version: svn39246

AutoReqProv: No

%description babel-vietnamese-doc
Documentation for babel-vietnamese

%package beamercolorthemeowl-doc
Provides: tex-beamercolorthemeowl-doc = %{tl_version}
License: LPPL
Summary: doc files of beamercolorthemeowl
Version: svn40105

AutoReqProv: No

%description beamercolorthemeowl-doc
Documentation for beamercolorthemeowl

%package beamercolorthemeowl
Provides: tex-beamercolorthemeowl = %{tl_version}
License: LPPL
Summary: A flexible beamer color theme to maximize visibility
Version: svn40105

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beamercolorthemeowl.sty) = %{tl_version}

%description beamercolorthemeowl
This package provides a flexible dark or light colour theme
designed for maximum readability in environments where most
themes fall flat. Main features: Dark color theme for
presenting in low-light conditions. Optional light color theme
for presenting in bright ambient light. Redefines color names
"red", "green", "blue", "yellow" to values that are visible
when displayed by certain projectors, particularly those with a
very bright green channel and dim red and blue channels. This
behaviour can be optionally disabled, with the provided colours
also available as "OwlRed", "OwlGreen", etc.

%package beamertheme-detlevcm-doc
Provides: tex-beamertheme-detlevcm-doc = %{tl_version}
Provides: tex-detlev-cm-doc = %{tl_version}
Provides: texlive-devlev-cm-doc = %{tl_version}
Obsoletes: texlive-devlev-cm-doc < 2016
License: GPL+
Summary: doc files of beamertheme-detlevcm
Version: svn39048

AutoReqProv: No

%description beamertheme-detlevcm-doc
Documentation for beamertheme-detlevcm

%package beamertheme-detlevcm
Provides: tex-beamertheme-detlevcm = %{tl_version}
Provides: tex-detlev-cm = %{tl_version}
Provides: texlive-devlev-cm = %{tl_version}
Obsoletes: texlive-devlev-cm < 2016
License: GPL+
Summary: A beamer theme designed for use in the University of Leeds
Version: svn39048

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beamerthemeDetlevCM.sty) = %{tl_version}
Provides: tex(beamercolorthemeETII.sty) = %{tl_version}
Provides: tex(beamerfontthemeDetlevCM.sty) = %{tl_version}
Provides: tex(beamerouterthemeDetlevCM.sty) = %{tl_version}

%description beamertheme-detlevcm
The bundle provides a simple theme that has been used in the
author's department.

%package beamertheme-epyt-doc
Provides: tex-beamertheme-epyt-doc = %{tl_version}
Provides: texlive-epyt-doc = %{tl_version}
Provides: tex-epyt-doc = %{tl_version}
Obsoletes: texlive-epyt-doc < 2016
License: LPPL
Summary: doc files of beamertheme-epyt
Version: svn41404
AutoReqProv: No

%description beamertheme-epyt-doc
Documentation for beamertheme-epyt

%package beamertheme-epyt
Provides: tex-beamertheme-epyt = %{tl_version}
Provides: texlive-epyt = %{tl_version}
Provides: tex-epyt = %{tl_version}
Obsoletes: texlive-epyt < 2016
License: LPPL
Summary: A simple and clean theme for LaTeX beamer class
Version: svn41404
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(beamerthemeepyt.sty) = %{tl_version}

%description beamertheme-epyt
This package provides a simple but nice theme for Beamer, with
the following features: simple structure: with page numbers at
footer, no head bar and side bar simple templates: displaying
theorems with traditional inline style simple colors: using
only several foreground and background colors

%package beamertheme-metropolis-doc
Provides: tex-beamertheme-metropolis-doc = %{tl_version}
License: CC-BY-SA
Summary: doc files of beamertheme-metropolis
Version: svn43031

%description beamertheme-metropolis-doc
Documentation for beamertheme-metropolis

%package beamertheme-metropolis
Provides: tex-beamertheme-metropolis = %{tl_version}
License: CC-BY-SA
Summary: A modern LaTeX beamer theme
Version: svn43031
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(beamer.cls)
Requires: tex(tikz.sty)
Requires: tex(etoolbox.sty)
Requires: tex(ifxetex.sty)
Requires: tex(pgfopts.sty)
Requires: tex(calc.sty)
Requires: tex(ifluatex.sty)
Requires: texlive-fira
Provides: tex(beamerfontthememetropolis.sty) = %{tl_version}
Provides: tex(beamerinnerthememetropolis.sty) = %{tl_version}
Provides: tex(beamercolorthememetropolis.sty) = %{tl_version}
Provides: tex(beamerthememetropolis.sty) = %{tl_version}
Provides: tex(pgfplotsthemetol.sty) = %{tl_version}
Provides: tex(beamerouterthememetropolis.sty) = %{tl_version}

%description beamertheme-metropolis
The package provides a simple, modern Beamer theme for anyone
to use. It tries to minimize noise and maximize space for
content.

%package beamer-verona-doc
Provides: tex-beamer-verona-doc = %{tl_version}
License: LPPL
Summary: doc files of beamer-verona
Version: svn39180

AutoReqProv: No

%description beamer-verona-doc
Documentation for beamer-verona

%package beamer-verona
Provides: tex-beamer-verona = %{tl_version}
License: LPPL
Summary: A theme for the beamer class
Version: svn39180

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(beamerthemeVerona.sty) = %{tl_version}

%description beamer-verona
This package provides the 'Verona' theme for the beamer class
by Till Tantau.

%package biblatex-abnt-doc
Provides: tex-biblatex-abnt-doc = %{tl_version}
License: LPPL
Summary: doc files of biblatex-abnt
Version: svn45765
AutoReqProv: No

%description biblatex-abnt-doc
Documentation for biblatex-abnt

%package biblatex-abnt
Provides: tex-biblatex-abnt = %{tl_version}
License: LPPL
Summary: BibLaTeX style for Brazil's ABNT rules
Version: svn45765
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(abnt-numeric.bbx) = %{tl_version}
Provides: tex(abnt-numeric.cbx) = %{tl_version}
Provides: tex(abnt.bbx) = %{tl_version}
Provides: tex(abnt.cbx) = %{tl_version}

%description biblatex-abnt
This package offers a BibLaTeX style for Brazil's ABNT
(Brazilian Association of Technical Norms) rules.

%package biblatex-bookinother-doc
Provides: tex-biblatex-bookinother-doc = %{tl_version}
License: LPPL
Summary: doc files of biblatex-bookinother
Version: svn45856
AutoReqProv: No

%description biblatex-bookinother-doc
Documentation for biblatex-bookinother

%package biblatex-bookinother
Provides: tex-biblatex-bookinother = %{tl_version}
License: LPPL
Summary: Manage book edited in other entry type
Version: svn45856
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bookinother.bbx) = %{tl_version}

%description biblatex-bookinother
This package provides new BibLaTeX entry types and fields for
book edited in other types, like for instance @bookinarticle.
It offers more types than the older package biblatex-
bookinarticle which it superseeds.

%package biblatex-iso690-doc
Provides: tex-biblatex-iso690-doc = %{tl_version}
License: GPLv3
Summary: doc files of biblatex-iso690
Version: svn44066
AutoReqProv: No

%description biblatex-iso690-doc
Documentation for biblatex-iso690

%package biblatex-iso690
Provides: tex-biblatex-iso690 = %{tl_version}
License: GPLv3
Summary: BibLaTeX style for ISO 690 standard
Version: svn44066
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description biblatex-iso690
The package provides a bibliography and citation style which
conforms to the latest revision of the international standard
ISO 690:2010. The implementation follows BibLaTeX conventions
and requires biblatex >= 3.4 and biber >= 2.5.

%package biblatex-morenames-doc
Provides: tex-biblatex-morenames-doc = %{tl_version}
License: LPPL
Summary: doc files of biblatex-morenames
Version: svn43049
AutoReqProv: No

%description biblatex-morenames-doc
Documentation for biblatex-morenames

%package biblatex-morenames
Provides: tex-biblatex-morenames = %{tl_version}
License: LPPL
Summary: New names for standard BibLaTeX entry type
Version: svn43049
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(morenames.bbx) = %{tl_version}

%description biblatex-morenames
This package adds new fields of "name" type to the standard
entry types of BibLaTeX. For example: maineditor, for a
@collection, means the editor of @mvcollection, and not the
editor of the @collection. bookineditor, for a @bookinbook,
means the editor of the entry, and not, as the standard editor
field, the editor of the volume in which the entry is
contained.

%package bibletext-doc
Provides: tex-bibletext-doc = %{tl_version}
License: MIT
Summary: doc files of bibletext
Version: svn45196
AutoReqProv: No

%description bibletext-doc
Documentation for bibletext

%package bibletext
Provides: tex-bibletext = %{tl_version}
License: MIT
Summary: Insert Bible passages by their reference
Version: svn45196
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bibletext.sty) = %{tl_version}

%description bibletext
The package allows to insert Bible texts in a document by
specifying references.

%package bibtexperllibs-doc
Provides: tex-bibtexperllibs-doc = %{tl_version}
License: GPL+ or Artistic
Summary: doc files of bibtexperllibs
Version: svn43549
AutoReqProv: No

%description bibtexperllibs-doc
Documentation for bibtexperllibs

%package bibtexperllibs
Provides: tex-bibtexperllibs = %{tl_version}
License: GPL+ or Artistic
Summary: BibTeX Perl Libraries
Version: svn43549
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: perl(LaTeX::ToUnicode)
Requires: perl(BibTeX::Parser)

%description bibtexperllibs
This package provides BibTeX related Perl libraries by Gerhard
Gossen, repacked by Boris Veytsman, for TeX Live and other TDS-
compliant distributions. The libraries are written in pure
Perl, so should work out of the box on any architecture. They
have been packaged here mostly for Boris Veytsman's BibTeX
suite, but can be used in any other Perl script.

%package bitpattern-doc
Provides: tex-bitpattern-doc = %{tl_version}
License: LPPL
Summary: doc files of bitpattern
Version: svn39073

AutoReqProv: No

%description bitpattern-doc
Documentation for bitpattern

%package bitpattern
Provides: tex-bitpattern = %{tl_version}
License: LPPL
Summary: Typeset bit pattern diagrams
Version: svn39073

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bitpattern.sty) = %{tl_version}

%description bitpattern
A package to typeset bit pattern diagrams such as those used to
describe hardware, data format or protocols.

%package breakcites-doc
Provides: tex-breakcites-doc = %{tl_version}
License: Copyright only
Summary: doc files of breakcites
Version: svn21014

AutoReqProv: No

%description breakcites-doc
Documentation for breakcites

%package breakcites
Provides: tex-breakcites = %{tl_version}
License: Copyright only
Summary: Ensure that multiple citations may break at line end
Version: svn21014

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(breakcites.sty) = %{tl_version}

%description breakcites
Makes a very minor change to the operation of the \cite
command. Note that the change is not necessary in unmodified
LaTeX; however, there remain packages that restore the
undesirable behaviour of the command as provided in LaTeX 2.09.
(Note that neither cite nor natbib make this mistake.)

%package bxdvidriver-doc
Provides: tex-bxdvidriver-doc = %{tl_version}
License: MIT
Summary: doc files of bxdvidriver
Version: svn43219
AutoReqProv: No

%description bxdvidriver-doc
Documentation for bxdvidriver

%package bxdvidriver
Provides: tex-bxdvidriver = %{tl_version}
License: MIT
Summary: Enables specifying a driver option effective only in DVI output
Version: svn43219
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bxdvidriver.sty) = %{tl_version}

%description bxdvidriver
This single-function package enables authors to specify a
global driver option (dvips, dvipdfmx, etc) which is applied
only when the engine outputs a DVI file. It is useful to create
special document- templates that can be compiled in both PDF-
mode and DVI-mode.

%package bxenclose-doc
Provides: tex-bxenclose-doc = %{tl_version}
License: MIT
Summary: doc files of bxenclose
Version: svn40213

AutoReqProv: No

%description bxenclose-doc
Documentation for bxenclose

%package bxenclose
Provides: tex-bxenclose = %{tl_version}
License: MIT
Summary: Enclose the document body with some pieces of code
Version: svn40213

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(bxenclose.sty) = %{tl_version}

%description bxenclose
The package enables authors to designate in the preamble to
make the document body enclosed with the given pieces of code.
As is known, there are already various mechanisms provided by
LaTeX kernel or packages that attach hooks at the beginning and
end of documents.

%package bxnewfont-doc
Provides: tex-bxnewfont-doc = %{tl_version}
License: MIT
Summary: doc files of bxnewfont
Version: svn44173
AutoReqProv: No

%description bxnewfont-doc
Documentation for bxnewfont

%package bxnewfont
Provides: tex-bxnewfont = %{tl_version}
License: MIT
Summary: Enhanced \newfont command
Version: svn44173
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bxnewfont.sty) = %{tl_version}

%description bxnewfont
This package provides a new command \newfontx. It is similar to
the old (and deprecated) command \newfont in function, but is
more compatible with NFSS. In particular, one can safely change
font size after invoking a font command defined by \newfontx.
The new command will be useful to users who know much of the
old \newfont command but are unfamiliar with the detail of
NFSS.

%package bxpapersize-doc
Provides: tex-bxpapersize-doc = %{tl_version}
License: MIT
Summary: doc files of bxpapersize
Version: svn45501
AutoReqProv: No

%description bxpapersize-doc
Documentation for bxpapersize

%package bxpapersize
Provides: tex-bxpapersize = %{tl_version}
License: MIT
Summary: Synchronize output paper size with layout paper size
Version: svn45501
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bxpapersize.sty) = %{tl_version}

%description bxpapersize
As is well known, in LaTeX processing layout paper size
specified by document class options is not automatically
applied to output paper size. This package enables LaTeX
authors to synchronize both kinds of paper sizes.

%package carbohydrates-doc
Provides: tex-carbohydrates-doc = %{tl_version}
License: LPPL
Summary: doc files of carbohydrates
Version: svn39000

AutoReqProv: No

%description carbohydrates-doc
Documentation for carbohydrates

%package carbohydrates
Provides: tex-carbohydrates = %{tl_version}
License: LPPL
Summary: Carbohydrate molecules with chemfig
Version: svn39000

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(carbohydrates.sty) = %{tl_version}

%description carbohydrates
This package offers macros that make the preparation of
exercise sheets for teaching carbohydrate chemistry a lot less
tedious. It uses chemfig for drawing the formulas. Different
representation models (Fischer, Haworth, chair...) are
supported as well as alpha, beta, and chain isomers.

%package chivo-doc
Provides: tex-chivo-doc = %{tl_version}
License: LPPL
Summary: doc files of chivo
Version: svn40931

AutoReqProv: No

%description chivo-doc
Documentation for chivo

%package chivo
Provides: tex-chivo = %{tl_version}
License: LPPL
Summary: Using the free Chivo fonts with LaTeX
Version: svn40931

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Chivo.sty) = %{tl_version}
Provides: tex(Chivo.map) = %{tl_version}
Provides: tex(OT1Chivo-TLF.fd) = %{tl_version}
Provides: tex(TS1Chivo-TLF.fd) = %{tl_version}
Provides: tex(T1Chivo-TLF.fd) = %{tl_version}
Provides: tex(LY1Chivo-TLF.fd) = %{tl_version}
Provides: tex(Chivo-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(Chivo-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(Chivo-LightLCDFJ.pfb) = %{tl_version}
Provides: tex(Chivo-Light.pfb) = %{tl_version}
Provides: tex(Chivo-BlackLCDFJ.pfb) = %{tl_version}
Provides: tex(Chivo-BlackItalic.pfb) = %{tl_version}
Provides: tex(Chivo-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(Chivo-Regular.pfb) = %{tl_version}
Provides: tex(Chivo-Italic.pfb) = %{tl_version}
Provides: tex(Chivo-BlackItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(Chivo-Black.pfb) = %{tl_version}
Provides: tex(Chivo-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(Chivo-BoldItalic.pfb) = %{tl_version}
Provides: tex(Chivo-Bold.pfb) = %{tl_version}
Provides: tex(Chivo-LightItalic.pfb) = %{tl_version}
Provides: tex(Chivo-LightItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(chi_g7gdou.enc) = %{tl_version}
Provides: tex(chi_qbau2s.enc) = %{tl_version}
Provides: tex(chi_hxspk6.enc) = %{tl_version}
Provides: tex(chi_m6it5z.enc) = %{tl_version}
Provides: tex(Chivo-Light.otf) = %{tl_version}
Provides: tex(Chivo-Regular.otf) = %{tl_version}
Provides: tex(Chivo-Italic.otf) = %{tl_version}
Provides: tex(Chivo-LightItalic.otf) = %{tl_version}
Provides: tex(Chivo-BlackItalic.otf) = %{tl_version}
Provides: tex(Chivo-BoldItalic.otf) = %{tl_version}
Provides: tex(Chivo-Bold.otf) = %{tl_version}
Provides: tex(Chivo-Black.otf) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ot1.vf) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BoldItalic-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Black-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Chivo-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Chivo-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Chivo-Regular-tlf-ly1--base.tfm) = %{tl_version}

%description chivo
This work provides the necessary files to use the Chivo fonts
with LaTeX. Chivo is a set of eight fonts provided by Hector
Gatti & Omnibus Team under the Open Font License
[(OFL)](http://scripts.sil.org/OFL), version 1.1. The fonts are
copyright (c) 2011-2015, Omnibus-Type.

%package churchslavonic-doc
Provides: tex-churchslavonic-doc = %{tl_version}
License: MIT
Summary: doc files of churchslavonic
Version: svn42751
AutoReqProv: No

%description churchslavonic-doc
Documentation for churchslavonic

%package churchslavonic
Provides: tex-churchslavonic = %{tl_version}
License: MIT
Summary: Typesetting documents in Church Slavonic language using Unicode
Version: svn42751
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(cu-util.sty) = %{tl_version}
Provides: tex(cu-kinovar.sty) = %{tl_version}
Provides: tex(churchslavonic.sty) = %{tl_version}
Provides: tex(cu-num.sty) = %{tl_version}
Provides: tex(cu-calendar.sty) = %{tl_version}

%description churchslavonic
The package provides fonts, hyphenation patterns and supporting
macros to typeset Church Slavonic texts.

%package cmdtrack-doc
Provides: tex-cmdtrack-doc = %{tl_version}
License: LPPL
Summary: doc files of cmdtrack
Version: svn28910

AutoReqProv: No

%description cmdtrack-doc
Documentation for cmdtrack

%package cmdtrack
Provides: tex-cmdtrack = %{tl_version}
License: LPPL
Summary: Check used commands
Version: svn28910

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmdtrack.sty) = %{tl_version}

%description cmdtrack
The package keeps track of whether a command defined in a
document preamble is actually used somewhere in the document.
After the package is loaded in the preamble of a document, all
\newcommand (and similar command definitions) between that
point and the beginning of the document will be marked for
logging. At the end of the document a report of command usage
will be printed in the TeX log, for example: "mdash was used on
line 25"; "ndash was never used".

%package cmexb-doc
Provides: tex-cmexb-doc = %{tl_version}
License: Public Domain
Summary: doc files of cmexb
Version: svn40785

AutoReqProv: No

%description cmexb-doc
Documentation for cmexb

%package cmexb
Provides: tex-cmexb = %{tl_version}
License: Public Domain
Summary: PFB font support
Version: svn40785

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(cmexb.map) = %{tl_version}
Provides: tex(cmexb10.pfb) = %{tl_version}
Provides: tex(cmexb10.tfm) = %{tl_version}

%description cmexb
This package implements PFB font which is accessible normally by Sauter
extrapolation only as bitmap font.

%package cochineal-doc
Provides: tex-cochineal-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of cochineal
Version: svn43462
AutoReqProv: No

%description cochineal-doc
Documentation for cochineal

%package cochineal
Provides: tex-cochineal = %{tl_version}
License: LPPL and OFL
Summary: Cochineal fonts with LaTeX support
Version: svn43462
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(cochineal.sty) = %{tl_version}
Provides: tex(Cochineal.map) = %{tl_version}
Provides: tex(T1Cochineal-Dnom.fd) = %{tl_version}
Provides: tex(OT2Cochineal-TLF.fd) = %{tl_version}
Provides: tex(T1Cochineal-OsF.fd) = %{tl_version}
Provides: tex(LY1Cochineal-Sup.fd) = %{tl_version}
Provides: tex(T1Cochineal-LF.fd) = %{tl_version}
Provides: tex(OT1Cochineal-TLF.fd) = %{tl_version}
Provides: tex(OT1Cochineal-Dnom.fd) = %{tl_version}
Provides: tex(T2ACochineal-OsF.fd) = %{tl_version}
Provides: tex(LY1Cochineal-TLF.fd) = %{tl_version}
Provides: tex(T2ACochineal-Sup.fd) = %{tl_version}
Provides: tex(omlzcochmi.fd) = %{tl_version}
Provides: tex(OT2Cochineal-TOsF.fd) = %{tl_version}
Provides: tex(LY1Cochineal-OsF.fd) = %{tl_version}
Provides: tex(T2ACochineal-TLF.fd) = %{tl_version}
Provides: tex(OT2Cochineal-LF.fd) = %{tl_version}
Provides: tex(OT2Cochineal-OsF.fd) = %{tl_version}
Provides: tex(LY1Cochineal-TOsF.fd) = %{tl_version}
Provides: tex(T2ACochineal-TOsF.fd) = %{tl_version}
Provides: tex(T1Cochineal-TLF.fd) = %{tl_version}
Provides: tex(OT1Cochineal-Sup.fd) = %{tl_version}
Provides: tex(LGRCochineal-OsF.fd) = %{tl_version}
Provides: tex(OT1Cochineal-LF.fd) = %{tl_version}
Provides: tex(LGRCochineal-TLF.fd) = %{tl_version}
Provides: tex(LY1Cochineal-Dnom.fd) = %{tl_version}
Provides: tex(T1Cochineal-TOsF.fd) = %{tl_version}
Provides: tex(TS1Cochineal-TLF.fd) = %{tl_version}
Provides: tex(T1Cochineal-Sup.fd) = %{tl_version}
Provides: tex(LGRCochineal-LF.fd) = %{tl_version}
Provides: tex(TS1Cochineal-LF.fd) = %{tl_version}
Provides: tex(LY1Cochineal-LF.fd) = %{tl_version}
Provides: tex(OT1Cochineal-OsF.fd) = %{tl_version}
Provides: tex(OT1Cochineal-TOsF.fd) = %{tl_version}
Provides: tex(OT1Cochineal-Inf.fd) = %{tl_version}
Provides: tex(TS1Cochineal-TOsF.fd) = %{tl_version}
Provides: tex(T2ACochineal-LF.fd) = %{tl_version}
Provides: tex(uzcochmia.fd) = %{tl_version}
Provides: tex(LY1Cochineal-Inf.fd) = %{tl_version}
Provides: tex(T1Cochineal-Inf.fd) = %{tl_version}
Provides: tex(LGRCochineal-TOsF.fd) = %{tl_version}
Provides: tex(TS1Cochineal-OsF.fd) = %{tl_version}
Provides: tex(Cochineal-Italic.pfb) = %{tl_version}
Provides: tex(Cochineal-BoldItalic.pfb) = %{tl_version}
Provides: tex(Cochineal-Roman.pfb) = %{tl_version}
Provides: tex(Cochineal-Bold.pfb) = %{tl_version}
Provides: tex(coch_nyeh65.enc) = %{tl_version}
Provides: tex(coch_ecpkno.enc) = %{tl_version}
Provides: tex(coch_jdigbj.enc) = %{tl_version}
Provides: tex(coch_puycuv.enc) = %{tl_version}
Provides: tex(cochtosf-lgr.enc) = %{tl_version}
Provides: tex(coch_bqgjgh.enc) = %{tl_version}
Provides: tex(coch_4csisi.enc) = %{tl_version}
Provides: tex(coch_ejj76u.enc) = %{tl_version}
Provides: tex(coch_aa3d23.enc) = %{tl_version}
Provides: tex(coch_qgajns.enc) = %{tl_version}
Provides: tex(coch_bbsuch.enc) = %{tl_version}
Provides: tex(coch_aawves.enc) = %{tl_version}
Provides: tex(coch_ep5tp7.enc) = %{tl_version}
Provides: tex(coch_iszb2q.enc) = %{tl_version}
Provides: tex(coch_zrngc7.enc) = %{tl_version}
Provides: tex(coch_4gkh24.enc) = %{tl_version}
Provides: tex(coch_axmhrg.enc) = %{tl_version}
Provides: tex(coch_tub2zn.enc) = %{tl_version}
Provides: tex(coch_jdlm2x.enc) = %{tl_version}
Provides: tex(coch_ykcvhy.enc) = %{tl_version}
Provides: tex(coch_aazvtb.enc) = %{tl_version}
Provides: tex(coch_t4kqf4.enc) = %{tl_version}
Provides: tex(coch_e56gw4.enc) = %{tl_version}
Provides: tex(coch_sechmf.enc) = %{tl_version}
Provides: tex(cochtabosf.enc) = %{tl_version}
Provides: tex(cochlf-ot2.enc) = %{tl_version}
Provides: tex(cochosf-lgr.enc) = %{tl_version}
Provides: tex(coch_kbcokb.enc) = %{tl_version}
Provides: tex(coch_o5hvxo.enc) = %{tl_version}
Provides: tex(coch_lnloax.enc) = %{tl_version}
Provides: tex(coch_jf7qqq.enc) = %{tl_version}
Provides: tex(coch_tt64gu.enc) = %{tl_version}
Provides: tex(coch_e2lzvu.enc) = %{tl_version}
Provides: tex(coch_ckzf3x.enc) = %{tl_version}
Provides: tex(coch_zlykb2.enc) = %{tl_version}
Provides: tex(coch_wjhowa.enc) = %{tl_version}
Provides: tex(cochtlf-lgr.enc) = %{tl_version}
Provides: tex(coch_t6yhmv.enc) = %{tl_version}
Provides: tex(coch_zbxipy.enc) = %{tl_version}
Provides: tex(coch_427ufi.enc) = %{tl_version}
Provides: tex(coch_ghlqiw.enc) = %{tl_version}
Provides: tex(coch_r6dow3.enc) = %{tl_version}
Provides: tex(coch_ky4gz4.enc) = %{tl_version}
Provides: tex(coch_ggrwt7.enc) = %{tl_version}
Provides: tex(coch_zi6j5g.enc) = %{tl_version}
Provides: tex(coch_bhg4oq.enc) = %{tl_version}
Provides: tex(coch_th53gy.enc) = %{tl_version}
Provides: tex(coch_av27fu.enc) = %{tl_version}
Provides: tex(coch_h3bzlq.enc) = %{tl_version}
Provides: tex(coch_qanc24.enc) = %{tl_version}
Provides: tex(coch_swy4oa.enc) = %{tl_version}
Provides: tex(coch_7r32ge.enc) = %{tl_version}
Provides: tex(coch_jax2k7.enc) = %{tl_version}
Provides: tex(coch_bwegky.enc) = %{tl_version}
Provides: tex(cochtlf-ot2.enc) = %{tl_version}
Provides: tex(coch_k5ugti.enc) = %{tl_version}
Provides: tex(cochalph.enc) = %{tl_version}
Provides: tex(coch_xp3h6g.enc) = %{tl_version}
Provides: tex(coch_zetixv.enc) = %{tl_version}
Provides: tex(coch_yj5kmj.enc) = %{tl_version}
Provides: tex(coch_hflk7g.enc) = %{tl_version}
Provides: tex(coch_6ycxmb.enc) = %{tl_version}
Provides: tex(coch_wpmcrv.enc) = %{tl_version}
Provides: tex(coch_mnx4cz.enc) = %{tl_version}
Provides: tex(cochosf-ot2.enc) = %{tl_version}
Provides: tex(coch_qnto7n.enc) = %{tl_version}
Provides: tex(coch_xmqc3h.enc) = %{tl_version}
Provides: tex(coch_apxmko.enc) = %{tl_version}
Provides: tex(coch_4n5rlh.enc) = %{tl_version}
Provides: tex(coch_yqw2ok.enc) = %{tl_version}
Provides: tex(coch-t2a.enc) = %{tl_version}
Provides: tex(coch_nlntf7.enc) = %{tl_version}
Provides: tex(coch_q5rvqt.enc) = %{tl_version}
Provides: tex(coch_esig5c.enc) = %{tl_version}
Provides: tex(coch_br6git.enc) = %{tl_version}
Provides: tex(coch_dm4e5q.enc) = %{tl_version}
Provides: tex(coch_5to7wu.enc) = %{tl_version}
Provides: tex(coch_ts1.enc) = %{tl_version}
Provides: tex(coch_ajitlz.enc) = %{tl_version}
Provides: tex(coch_v7zunk.enc) = %{tl_version}
Provides: tex(coch_eluacw.enc) = %{tl_version}
Provides: tex(coch_ddcf5y.enc) = %{tl_version}
Provides: tex(coch_ikqf75.enc) = %{tl_version}
Provides: tex(coch_zmd4fr.enc) = %{tl_version}
Provides: tex(coch_wgmzd5.enc) = %{tl_version}
Provides: tex(coch_p2k67b.enc) = %{tl_version}
Provides: tex(coch_rmihs3.enc) = %{tl_version}
Provides: tex(coch_asaeuh.enc) = %{tl_version}
Provides: tex(coch_t24fhx.enc) = %{tl_version}
Provides: tex(cochtosf-ot2.enc) = %{tl_version}
Provides: tex(coch_7xhkhe.enc) = %{tl_version}
Provides: tex(coch_h42wts.enc) = %{tl_version}
Provides: tex(coch_bzchxc.enc) = %{tl_version}
Provides: tex(coch_no5pci.enc) = %{tl_version}
Provides: tex(coch_rxim6w.enc) = %{tl_version}
Provides: tex(coch_7h3ywq.enc) = %{tl_version}
Provides: tex(coch_qu2c3y.enc) = %{tl_version}
Provides: tex(coch_mzcfhr.enc) = %{tl_version}
Provides: tex(coch_pvjnx4.enc) = %{tl_version}
Provides: tex(coch_7qxkxr.enc) = %{tl_version}
Provides: tex(coch_yatyip.enc) = %{tl_version}
Provides: tex(coch_qsfb2d.enc) = %{tl_version}
Provides: tex(coch_4ymbww.enc) = %{tl_version}
Provides: tex(coch_jxzuzf.enc) = %{tl_version}
Provides: tex(coch_ixqghx.enc) = %{tl_version}
Provides: tex(coch_ofxlj7.enc) = %{tl_version}
Provides: tex(coch_s35xpx.enc) = %{tl_version}
Provides: tex(coch_say5ae.enc) = %{tl_version}
Provides: tex(coch_he5a7w.enc) = %{tl_version}
Provides: tex(coch_4b5cze.enc) = %{tl_version}
Provides: tex(coch_gccjw3.enc) = %{tl_version}
Provides: tex(coch_obm4y4.enc) = %{tl_version}
Provides: tex(coch_3zwcy7.enc) = %{tl_version}
Provides: tex(coch_ffxtzy.enc) = %{tl_version}
Provides: tex(coch_nrtjg6.enc) = %{tl_version}
Provides: tex(coch_dodygp.enc) = %{tl_version}
Provides: tex(coch_uowgga.enc) = %{tl_version}
Provides: tex(coch_v37ibe.enc) = %{tl_version}
Provides: tex(coch_hl6u4r.enc) = %{tl_version}
Provides: tex(coch_uhgdpa.enc) = %{tl_version}
Provides: tex(coch_hozeef.enc) = %{tl_version}
Provides: tex(coch_yhwuat.enc) = %{tl_version}
Provides: tex(coch_bikv6i.enc) = %{tl_version}
Provides: tex(coch_t5kc3u.enc) = %{tl_version}
Provides: tex(coch_fidreu.enc) = %{tl_version}
Provides: tex(coch_jykc3v.enc) = %{tl_version}
Provides: tex(coch_hmxcc2.enc) = %{tl_version}
Provides: tex(coch_7bfc6o.enc) = %{tl_version}
Provides: tex(coch_z5rngk.enc) = %{tl_version}
Provides: tex(coch_lhuxe4.enc) = %{tl_version}
Provides: tex(coch_cwqdxq.enc) = %{tl_version}
Provides: tex(coch_7nwgwv.enc) = %{tl_version}
Provides: tex(coch_sqxi2m.enc) = %{tl_version}
Provides: tex(coch_sm5q6n.enc) = %{tl_version}
Provides: tex(cochlf-lgr.enc) = %{tl_version}
Provides: tex(coch_wndpsq.enc) = %{tl_version}
Provides: tex(coch_wasnq6.enc) = %{tl_version}
Provides: tex(coch_dyebox.enc) = %{tl_version}
Provides: tex(coch_w4afvi.enc) = %{tl_version}
Provides: tex(coch_fuig2f.enc) = %{tl_version}
Provides: tex(coch_gff4qk.enc) = %{tl_version}
Provides: tex(coch_3led4x.enc) = %{tl_version}
Provides: tex(coch_7if63h.enc) = %{tl_version}
Provides: tex(coch_sciel5.enc) = %{tl_version}
Provides: tex(coch_lqv5u7.enc) = %{tl_version}
Provides: tex(coch_6nfbiu.enc) = %{tl_version}
Provides: tex(coch_xzomwc.enc) = %{tl_version}
Provides: tex(coch_2lyzki.enc) = %{tl_version}
Provides: tex(coch_sd4a6a.enc) = %{tl_version}
Provides: tex(coch_4u6kmt.enc) = %{tl_version}
Provides: tex(coch_wytr2o.enc) = %{tl_version}
Provides: tex(coch_uy5zmp.enc) = %{tl_version}
Provides: tex(coch_xxmc7z.enc) = %{tl_version}
Provides: tex(coch_x4y5r2.enc) = %{tl_version}
Provides: tex(coch_yska2a.enc) = %{tl_version}
Provides: tex(coch_35syhy.enc) = %{tl_version}
Provides: tex(coch_panfjf.enc) = %{tl_version}
Provides: tex(coch_3cbpzp.enc) = %{tl_version}
Provides: tex(coch_5zktny.enc) = %{tl_version}
Provides: tex(coch_r66ddu.enc) = %{tl_version}
Provides: tex(coch_7lcsbt.enc) = %{tl_version}
Provides: tex(coch_r7lidj.enc) = %{tl_version}
Provides: tex(coch_tmv2ur.enc) = %{tl_version}
Provides: tex(coch_34w5p5.enc) = %{tl_version}
Provides: tex(coch_etswjd.enc) = %{tl_version}
Provides: tex(coch_in37z4.enc) = %{tl_version}
Provides: tex(coch_652ay2.enc) = %{tl_version}
Provides: tex(Cochineal-Bold.otf) = %{tl_version}
Provides: tex(Cochineal-Roman.otf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic.otf) = %{tl_version}
Provides: tex(Cochineal-Italic.otf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-th-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(zcochbmia.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-dnom-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-th-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-t2a.vf) = %{tl_version}
Provides: tex(zcochmi.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-th-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-dnom-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-inf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-th-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-th-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-dnom-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(zcochbmi.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-th-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-dnom-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(zcochmia.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-th-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-th-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-t1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-t2a.vf) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-th-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bol-alph.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-th-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-dnom-t1.tfm) = %{tl_version}
Provides: tex(zcochmi.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-inf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-th-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BolIta-alph.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-th-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-th-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-th-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-alph.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-th-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-th-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-th-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(zcochbmia.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-osf.tfm) = %{tl_version}
Provides: tex(Cochineal-Bolditalic-lf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-th-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-th-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-th-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Ita-alph.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-th-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-dnom-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-th-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bolditalic-tosf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(zcochbmi.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bol-osf.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-inf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-th-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-sup-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-t1--base.tfm) = %{tl_version}
Provides: tex(zcochmia.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-lf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-lf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bolditalic-osf-lgr.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-inf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-ot2.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-osf-swash-t2a.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-th-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-swash-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-sup-t2a--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Cochineal-Roman-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Cochineal-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Cochineal-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Cochineal-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}

%description cochineal
Cochineal is a fork from the Crimson fonts (Roman, Italic,
Bold, BoldItalic only) released under the OFL by Sebastian
Kosch. These remarkable fonts are inspired by the famous
oldstyle fonts in the garalde family (Garamond, Bembo) but, in
the end, look more similar to Minion, though with smaller
xheight and less plain in detail. The Crimson fonts on which
these were based had roughly 4200 glyphs in the four styles
mentioned above. Cochineal adds more than 1500 glyphs in those
styles so that it is possible to make a TeX support collection
that contains essentially all glyphs in all styles. Bringing
the Semibold styles up the same level would have required
adding about 2000 additional glyphs, which I could not even
contemplate. The fonts are provided in OpenType and PostScript
formats.

%package coloring-doc
Provides: tex-coloring-doc = %{tl_version}
License: LPPL
Summary: doc files of coloring
Version: svn41042

AutoReqProv: No

%description coloring-doc
Documentation for coloring

%package coloring
Provides: tex-coloring = %{tl_version}
License: LPPL
Summary: Define missing colors by their names
Version: svn41042

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(coloring.sty) = %{tl_version}

%description coloring
This package makes it possible to define colors automatically
by their names. This can be useful in drawing TikZ pictures and
designing beamer themes. Using the package, you don't need to
write \definecolor before using a color.

%package continue-doc
Provides: tex-continue-doc = %{tl_version}
License: LPPL
Summary: doc files of continue
Version: svn39308

AutoReqProv: No

%description continue-doc
Documentation for continue

%package continue
Provides: tex-continue = %{tl_version}
License: LPPL
Summary: Prints 'continuation' marks on recto pages of multipage documents
Version: svn39308

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(continue.sty) = %{tl_version}

%description continue
The package is an amalgam of Donald Arseneau's fwlw package and
Luca Merciadri's turnthepage package. For multipage twoside
documents it puts a `continuation' mark near the foot of each
odd-numbered page that is followed by another page. The
position and form of the continuation mark may be altered.

%package cquthesis-doc
Provides: tex-cquthesis-doc = %{tl_version}
License: LPPL
Summary: doc files of cquthesis
Version: svn44476
AutoReqProv: No

%description cquthesis-doc
Documentation for cquthesis

%package cquthesis
Provides: tex-cquthesis = %{tl_version}
License: LPPL
Summary: LaTeX Thesis Template for Chongqing University
Version: svn44476
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(cquthesis.cls) = %{tl_version}
Provides: tex(cquthesis.sty) = %{tl_version}
Provides: tex(cquthesis.cfg) = %{tl_version}

%description cquthesis
CQUThesis stands for Chongqing University Thesis Template for
LaTeX, bearing the ability to support bachelor, master, doctor
dissertations with grace and speed.

%package crimson-doc
Provides: tex-crimson-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of crimson
Version: svn43525
AutoReqProv: No

%description crimson-doc
Documentation for crimson

%package crimson
Provides: tex-crimson = %{tl_version}
License: LPPL and OFL
Summary: Crimson fonts with LaTeX support
Version: svn43525
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(crimson.sty) = %{tl_version}
Provides: tex(crimson.map) = %{tl_version}
Provides: tex(OT1Crimson-TLF.fd) = %{tl_version}
Provides: tex(LY1Crimson-TLF.fd) = %{tl_version}
Provides: tex(TS1Crimson-TLF.fd) = %{tl_version}
Provides: tex(T1Crimson-TLF.fd) = %{tl_version}
Provides: tex(Crimson-Italic.pfb) = %{tl_version}
Provides: tex(Crimson-Bold.pfb) = %{tl_version}
Provides: tex(Crimson-BoldItalic.pfb) = %{tl_version}
Provides: tex(Crimson-Roman.pfb) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic.pfb) = %{tl_version}
Provides: tex(Crimson-Semibold.pfb) = %{tl_version}
Provides: tex(crm_izufyi.enc) = %{tl_version}
Provides: tex(crm_wsbs26.enc) = %{tl_version}
Provides: tex(crm_ue2axx.enc) = %{tl_version}
Provides: tex(crm_jdlmpi.enc) = %{tl_version}
Provides: tex(crm_axwm4k.enc) = %{tl_version}
Provides: tex(crm_fllea6.enc) = %{tl_version}
Provides: tex(crm_wef5am.enc) = %{tl_version}
Provides: tex(crm_g4bzis.enc) = %{tl_version}
Provides: tex(crm_odbuza.enc) = %{tl_version}
Provides: tex(crm_bchha2.enc) = %{tl_version}
Provides: tex(crm_ayvnmf.enc) = %{tl_version}
Provides: tex(crm_wttfgh.enc) = %{tl_version}
Provides: tex(crm_uafi7a.enc) = %{tl_version}
Provides: tex(crm_n3gbj7.enc) = %{tl_version}
Provides: tex(crm_vcz7kx.enc) = %{tl_version}
Provides: tex(crm_qrsm2e.enc) = %{tl_version}
Provides: tex(crm_kwsa5r.enc) = %{tl_version}
Provides: tex(crm_qst7o4.enc) = %{tl_version}
Provides: tex(crm_ory2k7.enc) = %{tl_version}
Provides: tex(crm_tyw3ea.enc) = %{tl_version}
Provides: tex(crm_3bejww.enc) = %{tl_version}
Provides: tex(crm_myjoho.enc) = %{tl_version}
Provides: tex(Crimson-Italic.otf) = %{tl_version}
Provides: tex(Crimson-Roman.otf) = %{tl_version}
Provides: tex(Crimson-Semibold.otf) = %{tl_version}
Provides: tex(Crimson-Bold.otf) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic.otf) = %{tl_version}
Provides: tex(Crimson-BoldItalic.otf) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-ts1.vf) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-t1.vf) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-t1.vf) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Crimson-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Crimson-SemiboldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-t1.tfm) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Crimson-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Crimson-Semibold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Crimson-Roman-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Crimson-Italic-tlf-ts1--base.tfm) = %{tl_version}

%description crimson
This package provides LaTeX, pdfLaTeX, XeLaTeX, and LuaLaTeX
support for the Crimson family of fonts, designed by Sebastian
Kosch. The Crimson family is for book production in the
tradition of beautiful oldstyle typefaces, inspired
particularly by the work of people like Jan Tschichold (Sabon),
Robert Slimbach (Arno, Minion), and Jonathan Hoefler (Hoefler
Text). Support for small caps and old-style numerals is still
"under construction"; these features are not supported by this
version of the package.

%package ctablestack-doc
Provides: tex-ctablestack-doc = %{tl_version}
License: LPPL
Summary: doc files of ctablestack
Version: svn38514

AutoReqProv: No

%description ctablestack-doc
Documentation for ctablestack

%package ctablestack
Provides: tex-ctablestack = %{tl_version}
License: LPPL
Summary: Catcode table stable support
Version: svn38514

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ctablestack.sty) = %{tl_version}

%description ctablestack
This package provides a method for defining category code table
stacks in LuaTeX. It builds on code provided by the 2015/10/01
release of LaTeX2e (also available as ltluatex.sty for plain
users). It is required by the luatexbase package (v1.0 onward)
which uses ctablestack to provide a back-compatibility form of
this concept.

%package delimseasy-doc
Provides: tex-delimseasy-doc = %{tl_version}
License: LPPL
Summary: doc files of delimseasy
Version: svn39589

AutoReqProv: No

%description delimseasy-doc
Documentation for delimseasy

%package delimseasy
Provides: tex-delimseasy = %{tl_version}
License: LPPL
Summary: Delimiter commands that are easy to use and resize
Version: svn39589

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(delimseasy.sty) = %{tl_version}

%description delimseasy
This package provides commands to give a consistent, easy-to-
remember, easy to edit way to control the size and blackness of
delimiters: append 1-4 "b"s to command for larger sizes;
prepend "B" for for boldface. These commands reduce the
likelihood of incomplete delimeter pairs and typically use
fewer characters than the LaTeX default.

%package drawmatrix-doc
Provides: tex-drawmatrix-doc = %{tl_version}
License: MIT
Summary: doc files of drawmatrix
Version: svn44471
AutoReqProv: No

%description drawmatrix-doc
Documentation for drawmatrix

%package drawmatrix
Provides: tex-drawmatrix = %{tl_version}
License: MIT
Summary: Draw visual representations of matrices in LaTeX
Version: svn44471
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(drawmatrix.sty) = %{tl_version}

%description drawmatrix
The package provides macros to visually represent matrices.
Various options allow to change the visualizations, e.g.,
drawing rectangular, triangular, or banded matrices.

%package dynamicnumber-doc
Provides: tex-dynamicnumber-doc = %{tl_version}
License: MIT
Summary: doc files of dynamicnumber
Version: svn38726

AutoReqProv: No

%description dynamicnumber-doc
Documentation for dynamicnumber

%package dynamicnumber
Provides: tex-dynamicnumber = %{tl_version}
License: MIT
Summary: Dynamically typeset numbers and values in LaTeX through "symbolic links"
Version: svn38726

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(dynamicnumber.sty) = %{tl_version}

%description dynamicnumber
This package dynamically typesets values generated by different
kinds of scripts in LaTeX through the use of "symbolic links"
(which are not in any way related to the "symbolic links" used
in UNIX systems!). The aim is to reduce errors resulting from
out-of-date numbers by directly setting them in the number
generating file and importing a "symbolic link" into the LaTeX
source file. It can be used to import not only numerical
values, but strings and pieces of code are also possible.
Currently only MATLAB and Python are supported to produce
Dynamic Number list files.

%package ecobiblatex-doc
Provides: tex-ecobiblatex-doc = %{tl_version}
License: LPPL
Summary: doc files of ecobiblatex
Version: svn39233

AutoReqProv: No

%description ecobiblatex-doc
Documentation for ecobiblatex

%package ecobiblatex
Provides: tex-ecobiblatex = %{tl_version}
License: LPPL
Summary: Global Ecology and Biogeography BibLaTeX styles for the Biber backend
Version: svn39233

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description ecobiblatex
This bundle provides a set of styles for creating
bibliographies using BibLaTeX in the style of the Global
Ecology and Biogeography journal. It comprises styles based on
the conventions of John Wiley & Sons Ltd and Global Ecology and
Biogeography Conventions (c).

%package econometrics-doc
Provides: tex-econometrics-doc = %{tl_version}
License: LPPL
Summary: doc files of econometrics
Version: svn39396

AutoReqProv: No

%description econometrics-doc
Documentation for econometrics

%package econometrics
Provides: tex-econometrics = %{tl_version}
License: LPPL
Summary: defines some commands that simplify mathematic notation in economic and econometric writing
Version: svn39396

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(econometrics.sty) = %{tl_version}

%description econometrics
Econometrics is a package that defines some commands that
simplify mathematic notation in economic and econometrics
writing. The commands are related to the notation of vectors,
matrices, sets, calligraphic and roman letters statistical
distributions constants and symbols matrix operators and
statistical operators. The package is based on "Notation in
Econometrics: a proposal for a standard" by Karim Abadir and
Jan R. Magnus, The Econometrics Journal (2002), 5, 76-90.

%package einfuehrung2-doc
Provides: tex-einfuehrung2-doc = %{tl_version}
License: LPPL
Summary: doc files of einfuehrung2
Version: svn39153

AutoReqProv: No

%description einfuehrung2-doc
Documentation for einfuehrung2

%package ellipse-doc
Provides: tex-ellipse-doc = %{tl_version}
License: LPPL
Summary: doc files of ellipse
Version: svn39025

AutoReqProv: No

%description ellipse-doc
Documentation for ellipse

%package ellipse
Provides: tex-ellipse = %{tl_version}
License: LPPL
Summary: Draw ellipses and elliptical arcs using the standard LaTeX2e picture environment
Version: svn39025

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ellipse.sty) = %{tl_version}

%description ellipse
Draw ellipses and elliptical arcs using the standard LaTeX2e
picture environment.

%package emisa-doc
Provides: tex-emisa-doc = %{tl_version}
License: LPPL
Summary: doc files of emisa
Version: svn41731
AutoReqProv: No

%description emisa-doc
Documentation for emisa

%package emisa
Provides: tex-emisa = %{tl_version}
License: LPPL
Summary: A LaTeX package for preparing manuscripts for the journal EMISA
Version: svn41731
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(emisa.cls) = %{tl_version}

%description emisa
The EMISA LaTeX package is provided for preparing manuscripts
for submission to EMISA, and for preparing accepted submissions
for publication as well as for typesetting the final document
by the editorial office. Articles in EMISA are published online
at EMISA (in the Portable Document Format or PDF format).

%package exercises-doc
Provides: tex-exercises-doc = %{tl_version}
License: LPPL
Summary: doc files of exercises
Version: svn42428
AutoReqProv: No

%description exercises-doc
Documentation for exercises

%package exercises
Provides: tex-exercises = %{tl_version}
License: LPPL
Summary: Typeset exercises and solutions with automatic addition of points
Version: svn42428
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(exercises.sty) = %{tl_version}

%description exercises
This package defines the environments exercise and solution.
The layout of these environments can be customized. The --
optional -- points in the exercises can be added automatically.
The package also permits to hide the solutions.

%package ffslides-doc
Provides: tex-ffslides-doc = %{tl_version}
License: LPPL
Summary: doc files of ffslides
Version: svn38895

AutoReqProv: No

%description ffslides-doc
Documentation for ffslides

%package ffslides
Provides: tex-ffslides = %{tl_version}
License: LPPL
Summary: Freeform slides based on the article class
Version: svn38895

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ffslides.cls) = %{tl_version}

%description ffslides
The ffslides ("freeform slides") class is intended to make it
easier to place various types of content freely on the page,
and therefore easier to design documents with a strong visual
component: presentations, posters, research or lecture notes,
and so on. The goal of the class is to be less rigid and less
complex than some of the popular presentation-making options.
It is essentially a small set of macros added to the article
class. A well-organized template file is included, and the
documentation is itself an extensive example of the class's
capabilities.

%package fibeamer-doc
Provides: tex-fibeamer-doc = %{tl_version}
License: LPPL
Summary: doc files of fibeamer
Version: svn44239
AutoReqProv: No

%description fibeamer-doc
Documentation for fibeamer

%package fibeamer
Provides: tex-fibeamer = %{tl_version}
License: LPPL
Summary: Beamer theme for thesis defense presentations at Masaryk University (Brno, Czech Republic)
Version: svn44239
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(beamerthemefibeamer.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-law.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-med.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-ped.sty) = %{tl_version}
Provides: tex(beamerouterthemefibeamer-mu.sty) = %{tl_version}
Provides: tex(beamerinnerthemefibeamer-mu.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-phil.sty) = %{tl_version}
Provides: tex(beamerfontthemefibeamer-mu.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-sci.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-fss.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-fi.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-econ.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu.sty) = %{tl_version}
Provides: tex(beamercolorthemefibeamer-mu-fsps.sty) = %{tl_version}

%description fibeamer
A beamer theme for the typesetting of thesis defense
presentations at the Masaryk University (Brno, Czech Republic).
The theme has been designed for easy extensibility by color
themes of other academic institutions.

%package fixcmex-doc
Provides: tex-fixcmex-doc = %{tl_version}
License: LPPL
Summary: doc files of fixcmex
Version: svn38816

AutoReqProv: No

%description fixcmex-doc
Documentation for fixcmex

%package fixcmex
Provides: tex-fixcmex = %{tl_version}
License: LPPL
Summary: Fully scalable version of Computer Modern Math Extension font
Version: svn38816

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(fixcmex.sty) = %{tl_version}

%description fixcmex
This package provides a fully scalable version of the Computer
Modern Math Extension font for curing sizing problems mainly
with lmodern. It can be used when the main font of the document
is Computer Modern (or European Modern, if T1 encoding is
selected), or Latin Modern. It redefines the math extension
font so that it becomes arbitrarily scalable, using the optical
size fonts provided by the AMS together with the original
cmex10 font.

%package font-change-xetex-doc
Provides: tex-font-change-xetex-doc = %{tl_version}
License: CC-BY-SA
Summary: doc files of font-change-xetex
Version: svn40404

AutoReqProv: No

%description font-change-xetex-doc
Documentation for font-change-xetex

%package font-change-xetex
Provides: tex-font-change-xetex = %{tl_version}
License: CC-BY-SA
Summary: Macros to change text and mathematics fonts in plain XeTeX
Version: svn40404

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(font-change-xetex.tex) = %{tl_version}

%description font-change-xetex
This package consists of macros that can be used to typeset
"plain" XeTeX documents using any OpenType or TrueType font
installed on the computer system. The macros allow the user to
change the text mode fonts and some math mode fonts. For any
declared font family, various font style, weight, and size
variants like bold, italics, small caps, etc., are available
through standard and custom TeX control statements. Using the
optional argument of the macros, the available XeTeX font
features and OpenType tags can be accessed. Other features of
the package include activating and deactivating hanging
punctuation, and support for special Unicode characters.

%package fonts-churchslavonic
Provides: tex-fonts-churchslavonic = %{tl_version}
License: OFL
Summary: Fonts for typesetting in Church Slavonic language
Version: svn43121
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(FedorovskUnicode.otf) = %{tl_version}
Provides: tex(MenaionUnicode.otf) = %{tl_version}
Provides: tex(PomorskyUnicode.otf) = %{tl_version}
Provides: tex(PonomarUnicode.otf) = %{tl_version}
Provides: tex(FedorovskUnicode.ttf) = %{tl_version}
Provides: tex(MenaionUnicode.ttf) = %{tl_version}
Provides: tex(PomorskyUnicode.ttf) = %{tl_version}
Provides: tex(PonomarUnicode.ttf) = %{tl_version}

%description fonts-churchslavonic
The package provides Unicode-encoded OpenType fonts for Church
Slavonic.

%package fonts-churchslavonic-doc
Provides: tex-fonts-churchslavonic-doc = %{tl_version}
License: OFL
Summary: doc files of fonts-churchslavonic
Version: svn43121
AutoReqProv: No

%description fonts-churchslavonic-doc
Documentation for fonts-churchslavonic.

%package footnotehyper-doc
Provides: tex-footnotehyper-doc = %{tl_version}
License: LPPL
Summary: doc files of footnotehyper
Version: svn43424
AutoReqProv: No

%description footnotehyper-doc
Documentation for footnotehyper

%package footnotehyper
Provides: tex-footnotehyper = %{tl_version}
License: LPPL
Summary: hyperref aware footnote.sty
Version: svn43424
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(footnotehyper.sty) = %{tl_version}

%description footnotehyper
The footnote package by Mark Wooding dates back to 1997 and has
not been made hyperref compatible. The aim of the present
package is to do that.

%package formation-latex-ul-doc
Provides: tex-formation-latex-ul-doc = %{tl_version}
License: CC-BY-SA
Summary: doc files of formation-latex-ul
Version: svn43005
AutoReqProv: No

%description formation-latex-ul-doc
Documentation for formation-latex-ul

%package getitems-doc
Provides: tex-getitems-doc = %{tl_version}
License: LPPL
Summary: doc files of getitems
Version: svn39365

AutoReqProv: No

%description getitems-doc
Documentation for getitems

%package getitems
Provides: tex-getitems = %{tl_version}
License: LPPL
Summary: Gathering items from a list-like environment
Version: svn39365

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(getitems.sty) = %{tl_version}

%description getitems
This package provides a \gatheritems command to parse a list of
data separated by \item tokens. This makes it easier to define
custom environments which structure their data in the same way
that itemize or enumerate do.

%package gitlog-doc
Provides: tex-gitlog-doc = %{tl_version}
License: LPPL
Summary: doc files of gitlog
Version: svn38932

AutoReqProv: No

%description gitlog-doc
Documentation for gitlog

%package gitlog
Provides: tex-gitlog = %{tl_version}
License: LPPL
Summary: Typesetting git changelogs
Version: svn38932

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gitlog.sty) = %{tl_version}

%description gitlog
This package allows git change log history to be incorporated
into LaTeX documents; the log data is obtained from the git
distributed version control system. The current release
(0.0.beta) is a proof-of-concept release to allow users an
early evaluation and to attract ideas and support. Requests and
suggestions, as well as code contributions are welcome.

%package glossaries-extra-doc
Provides: tex-glossaries-extra-doc = %{tl_version}
License: LPPL
Summary: doc files of glossaries-extra
Version: svn45271
AutoReqProv: No

%description glossaries-extra-doc
Documentation for glossaries-extra

%package glossaries-extra
Provides: tex-glossaries-extra = %{tl_version}
License: LPPL
Summary: An extension to the glossaries package
Version: svn45271
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(glossaries-extra.sty) = %{tl_version}
Provides: tex(glossaries-extra-stylemods.sty) = %{tl_version}

%description glossaries-extra
This package provides improvements and extra features to the
glossaries package. Some of the default glossaries.sty
behaviour is changed by glossaries-extra.sty. See the user
manual glossaries-extra-manual.pdf for further details.

%package gloss-occitan-doc
Provides: tex-gloss-occitan-doc = %{tl_version}
License: LPPL
Summary: doc files of gloss-occitan
Version: svn39609

AutoReqProv: No

%description gloss-occitan-doc
Documentation for gloss-occitan

%package gloss-occitan
Provides: tex-gloss-occitan = %{tl_version}
License: LPPL
Summary: Polyglossia support for Occitan
Version: svn39609

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gloss-occitan.ldf) = %{tl_version}

%description gloss-occitan
Occitan language description file for polyglossia

%package gobble-doc
Provides: tex-gobble-doc = %{tl_version}
License: LPPL
Summary: doc files of gobble
Version: svn40936

AutoReqProv: No

%description gobble-doc
Documentation for gobble

%package gobble
Provides: tex-gobble = %{tl_version}
License: LPPL
Summary: More gobble macros for PlainTeX and LaTeX
Version: svn40936

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gobble.sty) = %{tl_version}
Provides: tex(gobble-user.sty) = %{tl_version}
Provides: tex(gobble.tex) = %{tl_version}

%description gobble
The LaTeX package gobble includes several gobble macros not
included in the LaTeX kernel. These macros remove a number of
arguments after them, a feature regulary used inside other
macros. This includes gobble macros for optional arguments. The
LaTeX package gobble-user provides these macros at the user
level, i.e. using names without @ so that these can be used
without \makeatletter and \makeatother. The same macros are
provided inside .tex files for use with plain-TeX or other TeX
formats. However, the gobble macros for optional macros require
\@ifnextchar to be defined.

%package gradstudentresume-doc
Provides: tex-gradstudentresume-doc = %{tl_version}
License: LPPL
Summary: doc files of gradstudentresume
Version: svn38832

AutoReqProv: No

%description gradstudentresume-doc
Documentation for gradstudentresume

%package gradstudentresume
Provides: tex-gradstudentresume = %{tl_version}
License: LPPL
Summary: A generic template for graduate student resumes
Version: svn38832

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(gradstudentresume.cls) = %{tl_version}

%description gradstudentresume
The package offers a template for graduate students writing an
academic CV. The goal is to create a flexible template that can
be customized based on each specific individual's needs.

%package graphics-cfg-doc
Provides: tex-graphics-cfg-doc = %{tl_version}
License: CC-0
Summary: doc files of graphics-cfg
Version: svn40269

AutoReqProv: No

%description graphics-cfg-doc
Documentation for graphics-cfg

%package graphics-cfg
Provides: tex-graphics-cfg = %{tl_version}
License: Public Domain
Summary: Sample configuration files for LaTeX color and graphics
Version: svn40269

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(color.cfg) = %{tl_version}
Provides: tex(graphics.cfg) = %{tl_version}

%description graphics-cfg
This bundle includes color.cfg and graphics.cfg files that set
default "driver" options for the color and graphics packages.
It contains support for defaulting the new LuaTeX option which
was added to graphics and color in the 2016-02-01 release. The
LuaTeX option is only used for LuaTeX versions from 0.87, older
versions use the pdfTeX option as before.

%package greektonoi-doc
Provides: tex-greektonoi-doc = %{tl_version}
License: GPLv3
Summary: doc files of greektonoi
Version: svn39419

AutoReqProv: No

%description greektonoi-doc
Documentation for greektonoi

%package greektonoi
Provides: tex-greektonoi = %{tl_version}
License: GPLv3
Summary: Facilitates writing/editing of multiaccented greek
Version: svn39419

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(greektonoi.sty) = %{tl_version}
Provides: tex(greektonoi.map) = %{tl_version}

%description greektonoi
The greektonoi mapping extends the betababel package or the
babel polutonikogreek option to provide a simple way to insert
ancient Greek texts with diacritical characters into your
document using a similar method to the commonly used Beta Code
transliteration, but with much more freedom. It is designed
especially for the XeTeX engine and it could also be used for
fast and easy modification of monotonic greek texts to
polytonic. The output text is natively encoded in Unicode, so
it can be reused in any possible way. The greektonoi package
provides, in addition to inserting greek accents and
breathings, many other symbols used in greek numbers and
arithmetic or in the greek archaic period. It could be used
with greektonoi mapping or indepedently.

%package h2020proposal-doc
Provides: tex-h2020proposal-doc = %{tl_version}
License: GPLv3+
Summary: doc files of h2020proposal
Version: svn38428

AutoReqProv: No

%description h2020proposal-doc
Documentation for h2020proposal

%package h2020proposal
Provides: tex-h2020proposal = %{tl_version}
License: GPLv3+
Summary: LaTeX class and template for EU H2020 RIA proposal
Version: svn38428

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(h2020proposal.cls) = %{tl_version}

%description h2020proposal
This package consists of a class file as well as FET and ICT
proposal templates for writing EU H2020 RIA proposals and
generating automatically the many cross-referenced tables that
are required.

%package hyphen-bulgarian-doc
Provides: tex-hyphen-bulgarian-doc = %{tl_version}
License: LPPL
Summary: doc files of hyphen-bulgarian
Version: svn41113

AutoReqProv: No

%description hyphen-bulgarian-doc
Documentation for hyphen-bulgarian

%package hyphen-churchslavonic
Provides: tex-hyphen-churchslavonic = %{tl_version}
License: Copyright only
Summary: Church Slavonic hyphenation patterns.
Version: svn44401
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(hyph-cu.tex) = %{tl_version}
Provides: tex(loadhyph-cu.tex) = %{tl_version}

%description hyphen-churchslavonic
Hyphenation patterns for Church Slavonic in UTF-8 encoding

%package hyphen-occitan
Provides: tex-hyphen-occitan = %{tl_version}
License: Copyright only
Summary: Occitan hyphenation patterns.
Version: svn40340

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(hyph-oc.ec.tex) = %{tl_version}
Provides: tex(hyph-oc.tex) = %{tl_version}
Provides: tex(hyph-quote-oc.tex) = %{tl_version}
Provides: tex(loadhyph-oc.tex) = %{tl_version}

%description hyphen-occitan
Hyphenation patterns for Occitan in T1/EC and UTF-8 encodings.
They are supposed to be valid for all the Occitan variants
spoken and written in the wide area called 'Occitanie' by the
French. It ranges from the Val d'Aran within Catalunya, to the
South Western Italian Alps encompassing the southern half of
the French pentagon.

%package hyphen-sanskrit-doc
Provides: tex-hyphen-sanskrit-doc = %{tl_version}
License: LPPL
Summary: doc files of hyphen-sanskrit
Version: svn40340

AutoReqProv: No

%description hyphen-sanskrit-doc
Documentation for hyphen-sanskrit

%package hyphen-spanish-doc
Provides: tex-hyphen-spanish-doc = %{tl_version}
License: LPPL
Summary: doc files of hyphen-spanish
Version: svn40340

AutoReqProv: No

%description hyphen-spanish-doc
Documentation for hyphen-spanish

%package ietfbibs-doc
Provides: tex-ietfbibs-doc = %{tl_version}
License: MIT
Summary: doc files of ietfbibs
Version: svn41332

AutoReqProv: No

%description ietfbibs-doc
Documentation for ietfbibs

%package iffont-doc
Provides: tex-iffont-doc = %{tl_version}
License: LPPL
Summary: doc files of iffont
Version: svn38823

AutoReqProv: No

%description iffont-doc
Documentation for iffont

%package iffont
Provides: tex-iffont = %{tl_version}
License: LPPL
Summary: Conditionally load fonts with fontspec
Version: svn38823

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(iffont.sty) = %{tl_version}

%description iffont
This package provides a macro to select the first font XeLaTeX
or LuaTeX can find in a comma separated list and, additionally,
a number of macro tests.

%package imfellenglish-doc
Provides: tex-imfellenglish-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of imfellenglish
Version: svn38547

AutoReqProv: No

%description imfellenglish-doc
Documentation for imfellenglish

%package imfellenglish
Provides: tex-imfellenglish = %{tl_version}
License: LPPL and OFL
Summary: IM Fell English fonts with LaTeX support
Version: svn38547

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(imfellEnglish.sty) = %{tl_version}
Provides: tex(imfellEnglish.map) = %{tl_version}
Provides: tex(TS1IMFELLEnglish-TLF.fd) = %{tl_version}
Provides: tex(T1IMFELLEnglish-TLF.fd) = %{tl_version}
Provides: tex(OT1IMFELLEnglish-TLF.fd) = %{tl_version}
Provides: tex(LY1IMFELLEnglish-TLF.fd) = %{tl_version}
Provides: tex(IM_FELL_English_Roman.pfb) = %{tl_version}
Provides: tex(IM_FELL_English_RomanLCDFJ.pfb) = %{tl_version}
Provides: tex(IM_FELL_English_SC.pfb) = %{tl_version}
Provides: tex(IM_FELL_English_Italic.pfb) = %{tl_version}
Provides: tex(IM_FELL_English_ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(imfe_cycd4j.enc) = %{tl_version}
Provides: tex(imfe_fhc46f.enc) = %{tl_version}
Provides: tex(imfe_s6atnx.enc) = %{tl_version}
Provides: tex(imfe_zxj6gt.enc) = %{tl_version}
Provides: tex(imfe_5cupvv.enc) = %{tl_version}
Provides: tex(imfe_wnjo6u.enc) = %{tl_version}
Provides: tex(imfe_dc7pev.enc) = %{tl_version}
Provides: tex(imfe_qauovj.enc) = %{tl_version}
Provides: tex(imfe_uut767.enc) = %{tl_version}
Provides: tex(IMFeENsc28P.otf) = %{tl_version}
Provides: tex(IMFeENit28P.otf) = %{tl_version}
Provides: tex(IMFeENrm28P.otf) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ot1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-t1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ly1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ts1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-t1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ly1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ot1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ts1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ot1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ot1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ly1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-t1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ly1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ts1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_SC-tlf-ts1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-t1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(IM_FELL_English_Roman-tlf-ot1.tfm) = %{tl_version}

%description imfellenglish
Igino Marini has implemented digital revivals of fonts
bequeathed to Oxford University by Dr. John Fell, Bishop of
Oxford and Dean of Christ Church in 1686. This package provides
the English family, consisting of Roman, Italic and Small-Cap
fonts.

%package jacow-doc
Provides: tex-jacow-doc = %{tl_version}
License: LPPL
Summary: doc files of jacow
Version: svn40523

AutoReqProv: No

%description jacow-doc
Documentation for jacow

%package jacow
Provides: tex-jacow = %{tl_version}
License: LPPL
Summary: The "jacow.cls" class is used for submissions to the proceedings of conferences on JACoW.org
Version: svn40523

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(jacow.cls) = %{tl_version}

%description jacow
The jacow class is used for submissions to the proceedings of
conferences on Joint Accelerator Conferences Website (JACoW),
an international collaboration that publishes the proceedings
of accelerator conferences held around the world.

%package keyvaltable-doc
Provides: tex-keyvaltable-doc = %{tl_version}
License: LPPL
Summary: doc files of keyvaltable
Version: svn41414

AutoReqProv: No

%description keyvaltable-doc
Documentation for keyvaltable

%package keyvaltable
Provides: tex-keyvaltable = %{tl_version}
License: LPPL
Summary: Re-usable tables separating content and presentation
Version: svn41414

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(keyvaltable.sty) = %{tl_version}

%description keyvaltable
The main goal of the keyvaltable package is to offer means for
typesetting tables easily and yet still looking rather nicely
in a way that separates content from presentation and with re-
usable layout for tables of the same type. For this purpose,
the package provides the environment KeyValTable, which allows
one to typeset tables that have a previously defined column
layout and whose rows can be produced in a key-value fashion.

%package ksp-thesis-doc
Provides: tex-ksp-thesis-doc = %{tl_version}
License: LPPL
Summary: doc files of ksp-thesis
Version: svn39080

AutoReqProv: No

%description ksp-thesis-doc
Documentation for ksp-thesis

%package ksp-thesis
Provides: tex-ksp-thesis = %{tl_version}
License: LPPL
Summary: A LaTeX class for theses published with KIT Scientific Publishing
Version: svn39080

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(ksp-thesis.cls) = %{tl_version}

%description ksp-thesis
This package provides a LaTeX class intended for authors who
want to publish their thesis or other scientific work with KIT
Scientific Publishing (KSP). The class is based on the scrbook
class of the KOMA-script bundle in combination with the
ClassicThesis and ArsClassica packages. It modifies some of the
layout and style definitions of these packages in order to
provide a document layout that should be compatible with the
requirements by KSP.

%package langsci-doc
Provides: tex-langsci-doc = %{tl_version}
License: LPPL
Summary: doc files of langsci
Version: svn45403
AutoReqProv: No

%description langsci-doc
Documentation for langsci

%package langsci
Provides: tex-langsci = %{tl_version}
License: LPPL
Summary: Typeset books for publication with Language Science Press
Version: svn45403
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(langscibook.cls) = %{tl_version}
Provides: tex(langsci-cgloss.sty) = %{tl_version}
Provides: tex(langsci-bidi.sty) = %{tl_version}
Provides: tex(langsci-tbls.sty) = %{tl_version}
Provides: tex(langsci-basic.sty) = %{tl_version}
Provides: tex(langsci-gb4e.sty) = %{tl_version}
Provides: tex(langsci-optional.sty) = %{tl_version}
Provides: tex(langsci-forest-setup.sty) = %{tl_version}
Provides: tex(langsci-advertisement.tex) = %{tl_version}
Provides: tex(langsci-series.def) = %{tl_version}
Provides: tex(langsci-colors.def) = %{tl_version}

%description langsci
This packages allows you to typeset monographs and edited
volumes for publication with Language Science Press
(http://www.langsci-press.org). It includes all necessary files
for title pages, frontmatter, main content, list of references
and indexes. Dust jackets for BoD and Createspace (print-on-
demand service providers) can also be produced.

%package latex2e-help-texinfo-fr-doc
Provides: tex-latex2e-help-texinfo-fr-doc = %{tl_version}
License: LPPL
Summary: doc files of latex2e-help-texinfo-fr
Version: svn44997
AutoReqProv: No

%description latex2e-help-texinfo-fr-doc
Documentation for latex2e-help-texinfo-fr

%package latex-bib2-ex-doc
Provides: tex-latex-bib2-ex-doc = %{tl_version}
License: LPPL
Summary: doc files of latex-bib2-ex
Version: svn40098

AutoReqProv: No

%description latex-bib2-ex-doc
Documentation for latex-bib2-ex

%package latex-tds-doc
Provides: tex-latex-tds-doc = %{tl_version}
License: LPPL
Summary: doc files of latex-tds
Version: svn40613

AutoReqProv: No

%description latex-tds-doc
Documentation for latex-tds

%package libertinegc-doc
Provides: tex-libertinegc-doc = %{tl_version}
License: LPPL
Summary: doc files of libertinegc
Version: svn44616
AutoReqProv: No

%description libertinegc-doc
Documentation for libertinegc

%package libertinegc
Provides: tex-libertinegc = %{tl_version}
License: LPPL
Summary: Libertine add-on to support Greek and Cyrillic
Version: svn44616
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(libertinegc.sty) = %{tl_version}
Provides: tex(libertinegc.map) = %{tl_version}
Provides: tex(LGRLinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(LGRLinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(T2BLinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(LGRLinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(LGRLinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(T2CLinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(T2BLinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(T2ALinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(T2CLinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(OT2LinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(OT2LinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(OT2LinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(OT2LinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(T2ALinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(T2BLinuxLibertineT-TOsF.fd) = %{tl_version}
Provides: tex(T2ALinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(T2ALinuxLibertineT-TLF.fd) = %{tl_version}
Provides: tex(T2CLinuxLibertineT-LF.fd) = %{tl_version}
Provides: tex(T2BLinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(T2CLinuxLibertineT-OsF.fd) = %{tl_version}
Provides: tex(libtlf-lgr.enc) = %{tl_version}
Provides: tex(lib-t2a.enc) = %{tl_version}
Provides: tex(lib-t2b.enc) = %{tl_version}
Provides: tex(lib-t2a1.enc) = %{tl_version}
Provides: tex(lib-t2a2.enc) = %{tl_version}
Provides: tex(libosf-lgr.enc) = %{tl_version}
Provides: tex(lib-t2b1.enc) = %{tl_version}
Provides: tex(lib-t2c.enc) = %{tl_version}
Provides: tex(lib1-ot2.enc) = %{tl_version}
Provides: tex(lib-t2b2.enc) = %{tl_version}
Provides: tex(lib-t2c1.enc) = %{tl_version}
Provides: tex(lib-ot2.enc) = %{tl_version}
Provides: tex(lib-t2c2.enc) = %{tl_version}
Provides: tex(LinLibertineTI-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTO-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-t2b.tfm) = %{tl_version}
Provides: tex(LinLIbertineT-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTO-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTZO-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTBO-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTO-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTO-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTO-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineTBO-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineT-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTBO-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTZO-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineTBO-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTBO-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineT-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTZO-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineT-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTB-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-tlf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTBO-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineT-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineTZ-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTI-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineTO-t2c.tfm) = %{tl_version}
Provides: tex(LinLibertineTZO-t2a.tfm) = %{tl_version}
Provides: tex(LinLibertineT-t2b.tfm) = %{tl_version}
Provides: tex(LinLibertineTZI-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTZO-ot2.tfm) = %{tl_version}
Provides: tex(LinLibertineTZO-osf-lgr.tfm) = %{tl_version}
Provides: tex(LinLibertineTBI-osf-lgr.tfm) = %{tl_version}

%description libertinegc
The package provides LaTeX support files to access the Greek
and Cyrillic glyphs in LinuxLibertine. It functions as an add-
on to the libertine package, using filenames and macro names
that are compatible with that package. Supported encodings:
LGR, T2A, T2B, T2C, OT2.

%package libertinus-doc
Provides: tex-libertinus-doc = %{tl_version}
License: OFL
Summary: doc files of libertinus
Version: svn44409
AutoReqProv: No

%description libertinus-doc
Documentation for libertinus

%package libertinust1math-doc
Provides: tex-libertinust1math-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of libertinust1math
Version: svn45439
AutoReqProv: No

%description libertinust1math-doc
Documentation for libertinust1math

%package libertinust1math
Provides: tex-libertinust1math = %{tl_version}
License: LPPL and OFL
Summary: A Type 1 font and LaTeX support for Libertinus Math
Version: svn45439
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(libertinust1math.sty) = %{tl_version}
Provides: tex(libertinust1math.map) = %{tl_version}
Provides: tex(ot1libertinust1mathsf.fd) = %{tl_version}
Provides: tex(ls2libertinust1mathex.fd) = %{tl_version}
Provides: tex(ls2libertinust1mathsym.fd) = %{tl_version}
Provides: tex(ls1libertinust1math.fd) = %{tl_version}
Provides: tex(LibertinusT1Math.pfb) = %{tl_version}
Provides: tex(libusSYM.enc) = %{tl_version}
Provides: tex(libusSFI.enc) = %{tl_version}
Provides: tex(libusEX.enc) = %{tl_version}
Provides: tex(libusMR.enc) = %{tl_version}
Provides: tex(libusBMI.enc) = %{tl_version}
Provides: tex(libusSFB.enc) = %{tl_version}
Provides: tex(libusBMR.enc) = %{tl_version}
Provides: tex(libusSF.enc) = %{tl_version}
Provides: tex(libusBB.enc) = %{tl_version}
Provides: tex(libusFRK.enc) = %{tl_version}
Provides: tex(libusMI.enc) = %{tl_version}
Provides: tex(libertinust1-mathsym.tfm) = %{tl_version}
Provides: tex(libertinust1-mathbb.tfm) = %{tl_version}
Provides: tex(libertinust1-mathrm.tfm) = %{tl_version}
Provides: tex(libertinust1-mathsfb.tfm) = %{tl_version}
Provides: tex(libertinust1-mathex.tfm) = %{tl_version}
Provides: tex(libertinust1-mathsfi.tfm) = %{tl_version}
Provides: tex(libertinust1-mathrm-bold.tfm) = %{tl_version}
Provides: tex(libertinust1-mathsf.tfm) = %{tl_version}
Provides: tex(libertinust1-mathit-bold.tfm) = %{tl_version}
Provides: tex(libertinust1-mathit.tfm) = %{tl_version}

%description libertinust1math
The package provides a Type1 version of Libertinus Math, with a
number of additions and changes, plus LaTeX support files that
allow it to serve as a math accompaniment to Libertine under
LaTeX.

%package libertinus
Provides: tex-libertinus = %{tl_version}
License: OFL
Summary: The Libertinus font family
Version: svn44409
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(libertinusserifinitials-regular.otf) = %{tl_version}
Provides: tex(libertinussans-bold.otf) = %{tl_version}
Provides: tex(libertinusserif-italic.otf) = %{tl_version}
Provides: tex(libertinussans-regular.otf) = %{tl_version}
Provides: tex(libertinusserif-regular.otf) = %{tl_version}
Provides: tex(libertinusserif-semibold.otf) = %{tl_version}
Provides: tex(libertinusserif-semibolditalic.otf) = %{tl_version}
Provides: tex(libertinuskeyboard-regular.otf) = %{tl_version}
Provides: tex(libertinusmath-regular.otf) = %{tl_version}
Provides: tex(libertinusserif-bold.otf) = %{tl_version}
Provides: tex(libertinussans-italic.otf) = %{tl_version}
Provides: tex(libertinusmono-regular.otf) = %{tl_version}
Provides: tex(libertinusserifdisplay-regular.otf) = %{tl_version}
Provides: tex(libertinusserif-bolditalic.otf) = %{tl_version}

%description libertinus
This is a fork of the Linux Libertine and Linux Biolinum fonts
that started as an OpenType math companion of the Libertine
font family, but grown as a full fork to address some of the
bugs in the fonts. The family consists of: Libertinus Serif:
forked from Linux Libertine. Libertinus Sans: forked from Linux
Biolinum. Libertinus Mono: forked from Linux Libertine Mono.
Libertinus Math: an OpenType math font for use in OpenType math-
capable applications like LuaTeX, XeTeX or MS Word 2007+.

%package librebodoni-doc
Provides: tex-librebodoni-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of librebodoni
Version: svn39375

AutoReqProv: No

%description librebodoni-doc
Documentation for librebodoni

%package librebodoni
Provides: tex-librebodoni = %{tl_version}
License: LPPL and OFL
Summary: Libre Bodoni fonts with LaTeX support
Version: svn39375

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(LibreBodoni.sty) = %{tl_version}
Provides: tex(LibreBodoni.map) = %{tl_version}
Provides: tex(T1LibreBodoni-Sup.fd) = %{tl_version}
Provides: tex(LY1LibreBodoni-Inf.fd) = %{tl_version}
Provides: tex(LY1LibreBodoni-TLF.fd) = %{tl_version}
Provides: tex(T1LibreBodoni-Inf.fd) = %{tl_version}
Provides: tex(OT1LibreBodoni-Inf.fd) = %{tl_version}
Provides: tex(T1LibreBodoni-TLF.fd) = %{tl_version}
Provides: tex(LY1LibreBodoni-Sup.fd) = %{tl_version}
Provides: tex(TS1LibreBodoni-TLF.fd) = %{tl_version}
Provides: tex(OT1LibreBodoni-Sup.fd) = %{tl_version}
Provides: tex(OT1LibreBodoni-TLF.fd) = %{tl_version}
Provides: tex(LibreBodoni-Bold.pfb) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic.pfb) = %{tl_version}
Provides: tex(LibreBodoni-Italic.pfb) = %{tl_version}
Provides: tex(LibreBodoni-Regular.pfb) = %{tl_version}
Provides: tex(lbd_zpaflu.enc) = %{tl_version}
Provides: tex(lbd_dwvqiv.enc) = %{tl_version}
Provides: tex(lbd_gxeqsi.enc) = %{tl_version}
Provides: tex(lbd_yeotsr.enc) = %{tl_version}
Provides: tex(lbd_k2dfwc.enc) = %{tl_version}
Provides: tex(lbd_rpuqof.enc) = %{tl_version}
Provides: tex(lbd_2nc6ly.enc) = %{tl_version}
Provides: tex(lbd_fttd7q.enc) = %{tl_version}
Provides: tex(lbd_oaf34p.enc) = %{tl_version}
Provides: tex(lbd_pcwse4.enc) = %{tl_version}
Provides: tex(LibreBodoni-Bold.otf) = %{tl_version}
Provides: tex(LibreBodoni-Regular.otf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic.otf) = %{tl_version}
Provides: tex(LibreBodoni-Italic.otf) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(LibreBodoni-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(LibreBodoni-Regular-tlf-ts1.tfm) = %{tl_version}

%description librebodoni
The Libre Bodoni fonts are designed by Pablo Impallari and
Rodrigo Fuenzalida, based on the 19th century Morris Fuller
Benton's.

%package linop-doc
Provides: tex-linop-doc = %{tl_version}
License: LPPL
Summary: doc files of linop
Version: svn41304

AutoReqProv: No

%description linop-doc
Documentation for linop

%package linop
Provides: tex-linop = %{tl_version}
License: LPPL
Summary: Typeset linear operators as they appear in quantum theory or linear algebra
Version: svn41304

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(linop.sty) = %{tl_version}

%description linop
This small package aims to provide two simple commands and many
options to easily write linear operators as they appear in many-
body physics, quantum theory, and linear algebra, in any of the
ways commonly in use.

%package longfbox-doc
Provides: tex-longfbox-doc = %{tl_version}
License: LPPL
Summary: doc files of longfbox
Version: svn39028

AutoReqProv: No

%description longfbox-doc
Documentation for longfbox

%package longfbox
Provides: tex-longfbox = %{tl_version}
License: LPPL
Summary: Draw framed boxes with standard CSS attributes that can break over multiple pages
Version: svn39028

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(longfbox.sty) = %{tl_version}
Provides: tex(longbox.sty) = %{tl_version}

%description longfbox
The longfbox package provides framed boxes that can be
customized using standard CSS attributes. It was written to
support precise rendering of Madoko documents in LaTeX.

%package lroundrect-doc
Provides: tex-lroundrect-doc = %{tl_version}
License: LPPL
Summary: doc files of lroundrect
Version: svn39804

AutoReqProv: No

%description lroundrect-doc
Documentation for lroundrect

%package lroundrect
Provides: tex-lroundrect = %{tl_version}
License: LPPL
Summary: LaTeX macros for utilizing the roundrect MetaPost routines
Version: svn39804

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lroundrect.sty) = %{tl_version}

%description lroundrect
This LaTeX package provides ways to use the extremely
configurable rounded rectangles of the roundrect MetaPost
package with LaTeX. It is chiefly useful for examples, but also
has macros for particular types of boxes which are useful on
their own.

%package lshort-estonian-doc
Provides: tex-lshort-estonian-doc = %{tl_version}
License: GPLv2+
Summary: doc files of lshort-estonian
Version: svn39323

AutoReqProv: No

%description lshort-estonian-doc
Documentation for lshort-estonian

%package lstbayes-doc
Provides: tex-lstbayes-doc = %{tl_version}
License: LPPL
Summary: doc files of lstbayes
Version: svn39183

AutoReqProv: No

%description lstbayes-doc
Documentation for lstbayes

%package lstbayes
Provides: tex-lstbayes = %{tl_version}
License: LPPL
Summary: Listings language driver for Bayesian modeling languages
Version: svn39183

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(lstbayes.sty) = %{tl_version}

%description lstbayes
The package provides language drivers for the listings package
for several languages not included in that package: BUGS, JAGS,
and Stan.

%package luatex85-doc
Provides: tex-luatex85-doc = %{tl_version}
License: LPPL
Summary: doc files of luatex85
Version: svn41395

AutoReqProv: No

%description luatex85-doc
Documentation for luatex85

%package luatex85
Provides: tex-luatex85 = %{tl_version}
License: LPPL
Summary: pdfTeX aliases for LuaTeX
Version: svn41395

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(luatex85.sty) = %{tl_version}

%description luatex85
The package provides emulation of pdfTeX primitives for LuaTeX
v0.85+.

%package makebase-doc
Provides: tex-makebase-doc = %{tl_version}
License: LPPL
Summary: doc files of makebase
Version: svn41012

AutoReqProv: No

%description makebase-doc
Documentation for makebase

%package makebase
Provides: tex-makebase = %{tl_version}
License: LPPL
Summary: Typeset counters in a different base
Version: svn41012

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(makebase.sty) = %{tl_version}

%description makebase
This package typesets a LaTeX counter such as page in an
arbitrary base (default 16). It does not change font or
typeface. The package extends the functionality of the existing
hex LaTeX 2.09 package and provides documentation. However, the
author is not a mathematician, and suggestions for rewriting
the code are welcomed. Warning: this is alpha software and may
contain bugs. Please report problems to the author.

%package markdown-doc
Provides: tex-markdown-doc = %{tl_version}
License: LPPL
Summary: doc files of markdown
Version: svn45278
AutoReqProv: No

%description markdown-doc
Documentation for markdown

%package markdown
Provides: tex-markdown = %{tl_version}
License: LPPL
Summary: A package for converting and rendering markdown documents inside TeX
Version: svn45278
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(markdown.sty) = %{tl_version}
Provides: tex(markdown.tex) = %{tl_version}
Provides: tex(t-markdown.tex) = %{tl_version}

%description markdown
The package provides facilities for the conversion of markdown
markup to plain TeX. These are provided both in form of a Lua
module and in form of plain TeX, LaTeX, and ConTeXt macro
packages that enable the direct inclusion of markdown documents
inside TeX documents. Architecturally, the package consists of
the Lunamark Lua module by John MacFarlane, which was slimmed
down and rewritten for the needs of the package. Lunamark
provides speedy markdown parsing for the rest of the package.
On top of Lunamark sits code for the plain TeX, LaTeX, and
ConTeXt formats by Vit Novotny.

%package mathpartir-doc
Provides: tex-mathpartir-doc = %{tl_version}
License: GPLv2+
Summary: doc files of mathpartir
Version: svn39864

AutoReqProv: No

%description mathpartir-doc
Documentation for mathpartir

%package mathpartir
Provides: tex-mathpartir = %{tl_version}
License: GPLv2+
Summary: Typesetting sequences of math formulas, e.g. type inference rules
Version: svn39864

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(mathpartir.sty) = %{tl_version}

%description mathpartir
The package provides macros for typesetting math formulas in
mixed horizontal and vertical mode, automatically as best fit.
It provides an environment mathpar that behaves much as a loose
centered paragraph where words are math formulas, and spaces
between them are larger and adjustable. It also provides a
macro \inferrule for typeseting fractions where both the
numerator and denominator may be sequences of formulas that
will be also typeset in a similar way. It can typically be used
for typeseting sets of type inference rules or typing
derivations. A macro inferrule for typesetting type inference
rules.

%package miama-doc
Provides: tex-miama-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of miama
Version: svn39837

AutoReqProv: No

%description miama-doc
Documentation for miama

%package miama
Provides: tex-miama = %{tl_version}
License: LPPL and OFL
Summary: The Miama Nueva handwriting font with LaTeX support
Version: svn39837

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(miama.sty) = %{tl_version}
Provides: tex(miama.map) = %{tl_version}
Provides: tex(lgrfmm.fd) = %{tl_version}
Provides: tex(ot1fmm.fd) = %{tl_version}
Provides: tex(qxfmm.fd) = %{tl_version}
Provides: tex(x2fmm.fd) = %{tl_version}
Provides: tex(t2cfmm.fd) = %{tl_version}
Provides: tex(t1fmm.fd) = %{tl_version}
Provides: tex(t2afmm.fd) = %{tl_version}
Provides: tex(t5fmm.fd) = %{tl_version}
Provides: tex(t2bfmm.fd) = %{tl_version}
Provides: tex(miama.pfb) = %{tl_version}
Provides: tex(x2-miama.enc) = %{tl_version}
Provides: tex(t2b-miama.enc) = %{tl_version}
Provides: tex(t2a-miama.enc) = %{tl_version}
Provides: tex(t1-miama.enc) = %{tl_version}
Provides: tex(qx-miama.enc) = %{tl_version}
Provides: tex(t2c-miama.enc) = %{tl_version}
Provides: tex(t5-miama.enc) = %{tl_version}
Provides: tex(lgr-miama.enc) = %{tl_version}
Provides: tex(ot1-miama.enc) = %{tl_version}
Provides: tex(miama.otf) = %{tl_version}
Provides: tex(miama-qx.tfm) = %{tl_version}
Provides: tex(miama-t2a.tfm) = %{tl_version}
Provides: tex(miama-x2.tfm) = %{tl_version}
Provides: tex(miama-t1.tfm) = %{tl_version}
Provides: tex(miama-ot1.tfm) = %{tl_version}
Provides: tex(miama-t2c.tfm) = %{tl_version}
Provides: tex(miama-t5.tfm) = %{tl_version}
Provides: tex(miama-t2b.tfm) = %{tl_version}
Provides: tex(miama-lgr.tfm) = %{tl_version}

%description miama
Miama Nueva is a handwriting / script font with over 1300
glyphs that supports latin, cyrillic, and greek. It comes
complete with LaTeX support.

%package moodle-doc
Provides: tex-moodle-doc = %{tl_version}
License: LPPL
Summary: doc files of moodle
Version: svn39367

AutoReqProv: No

%description moodle-doc
Documentation for moodle

%package moodle
Provides: tex-moodle = %{tl_version}
License: LPPL
Summary: Generating Moodle quizzes via LaTeX
Version: svn39367

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(moodle.sty) = %{tl_version}

%description moodle
A package for writing Moodle quizzes in LaTeX. In addition to
typesetting the quizzes for proofreading, the package compiles
an XML file to be uploaded to a Moodle server.

%package mparrows-doc
Provides: tex-mparrows-doc = %{tl_version}
License: GPLv3+
Summary: doc files of mparrows
Version: svn39729

AutoReqProv: No

%description mparrows-doc
Documentation for mparrows

%package mparrows
Provides: tex-mparrows = %{tl_version}
License: Public Domain
Summary: MetaPost module with different types of arrow heads
Version: svn39729

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description mparrows
A package to provide different types of arrow heads to be used
with MetaPost commands drawarrow and drawdblarrow commands.

%package multidef-doc
Provides: tex-multidef-doc = %{tl_version}
License: LPPL
Summary: doc files of multidef
Version: svn40637

AutoReqProv: No

%description multidef-doc
Documentation for multidef

%package multidef
Provides: tex-multidef = %{tl_version}
License: LPPL
Summary: Quickly define several similar macros
Version: svn40637

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(multidef.sty) = %{tl_version}

%description multidef
Multidef provides a simple way of defining several macros
having similar definitions.

%package mynsfc-doc
Provides: tex-mynsfc-doc = %{tl_version}
License: LPPL
Summary: doc files of mynsfc
Version: svn41996
AutoReqProv: No

%description mynsfc-doc
Documentation for mynsfc

%package mynsfc
Provides: tex-mynsfc = %{tl_version}
License: LPPL
Summary: XeLaTeX template for writing the main body of NSFC proposals
Version: svn41996
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(mynsfc.cls) = %{tl_version}

%description mynsfc
The package provides a XeLaTeX template for writing the main
body of National Natural Science Foundation of China (NSFC)
proposals, which are allowed to apply online. The package
defines styles of the outlines and uses BibLaTeX/biber for the
management of references.

%package nihbiosketch-doc
Provides: tex-nihbiosketch-doc = %{tl_version}
License: LPPL
Summary: doc files of nihbiosketch
Version: svn39460

AutoReqProv: No

%description nihbiosketch-doc
Documentation for nihbiosketch

%package nihbiosketch
Provides: tex-nihbiosketch = %{tl_version}
License: LPPL
Summary: A class for NIH biosketches based on the 2015 updated format
Version: svn39460

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nihbiosketch.cls) = %{tl_version}

%description nihbiosketch
This LaTeX document class tries to adhere to the Biographical
Sketch formatting requirements outlined in NIH Notice [NOT-OD-
15-032] (http://grants.nih.gov/grants/guide/notice-files/NOT-OD-
15-032.html). This new format is required for applications
submitted for due dates on or after May 25, 2015. The package
tries to mimic the example documents provided on the [SF 424
(R&R) Forms and Applications page]
(http://grants.nih.gov/grants/funding/424/index.htm#format) as
closely as possible. The author has used this class for his own
grant submissions; however he offers no guarantee of conformity
to NIH requirements.

%package nimbus15-doc
Provides: tex-nimbus15-doc = %{tl_version}
License: AGPLv3 with exceptions and LPPL
Summary: doc files of nimbus15
Version: svn39343

AutoReqProv: No

%description nimbus15-doc
Documentation for nimbus15

%package nimbus15
Provides: tex-nimbus15 = %{tl_version}
License: AGPLv3 with exceptions and LPPL
Summary: Support files for Nimbus 2015 Core fonts
Version: svn39343

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(nimbussans.sty) = %{tl_version}
Provides: tex(nimbusmono.sty) = %{tl_version}
Provides: tex(nimbusmononarrow.sty) = %{tl_version}
Provides: tex(nimbusserif.sty) = %{tl_version}
Provides: tex(nimbus15.map) = %{tl_version}
Provides: tex(T2BNimbusMono.fd) = %{tl_version}
Provides: tex(T2ANimbusMono.fd) = %{tl_version}
Provides: tex(TS1NimbusMono.fd) = %{tl_version}
Provides: tex(LGRNimbusSerif.fd) = %{tl_version}
Provides: tex(T2CNimbusMonoN.fd) = %{tl_version}
Provides: tex(OT2NimbusMonoN.fd) = %{tl_version}
Provides: tex(T1NimbusSans.fd) = %{tl_version}
Provides: tex(T2ANimbusSans.fd) = %{tl_version}
Provides: tex(T1NimbusMono.fd) = %{tl_version}
Provides: tex(OT2NimbusSans.fd) = %{tl_version}
Provides: tex(T2CNimbusSerif.fd) = %{tl_version}
Provides: tex(T2BNimbusSans.fd) = %{tl_version}
Provides: tex(OT1NimbusSans.fd) = %{tl_version}
Provides: tex(LGRNimbuSans.fd) = %{tl_version}
Provides: tex(OT1NimbusSerif.fd) = %{tl_version}
Provides: tex(T2ANimbusSerif.fd) = %{tl_version}
Provides: tex(TS1NimbusMonoN.fd) = %{tl_version}
Provides: tex(T2CNimbusSans.fd) = %{tl_version}
Provides: tex(OT2NimbusSerif.fd) = %{tl_version}
Provides: tex(TS1NimbusSans.fd) = %{tl_version}
Provides: tex(T1NimbusSerif.fd) = %{tl_version}
Provides: tex(T2BNimbusMonoN.fd) = %{tl_version}
Provides: tex(TS1NimbusSerif.fd) = %{tl_version}
Provides: tex(LGRNimbusMonoN.fd) = %{tl_version}
Provides: tex(OT1NimbusMono.fd) = %{tl_version}
Provides: tex(T2BNimbusSerif.fd) = %{tl_version}
Provides: tex(T2CNimbusMono.fd) = %{tl_version}
Provides: tex(T1NimbusMonoN.fd) = %{tl_version}
Provides: tex(OT1NimbusMonoN.fd) = %{tl_version}
Provides: tex(LGRNimbusMono.fd) = %{tl_version}
Provides: tex(T2ANimbusMonoN.fd) = %{tl_version}
Provides: tex(OT2NimbusMono.fd) = %{tl_version}
Provides: tex(zcoN-Oblique.pfb) = %{tl_version}
Provides: tex(zco-Oblique.pfb) = %{tl_version}
Provides: tex(ztm-Reg.pfb) = %{tl_version}
Provides: tex(zco-LightOblique.pfb) = %{tl_version}
Provides: tex(zhv-Bol.pfb) = %{tl_version}
Provides: tex(zco-BoldOblique.pfb) = %{tl_version}
Provides: tex(zco-Regular.pfb) = %{tl_version}
Provides: tex(ztm-RegObl.pfb) = %{tl_version}
Provides: tex(zco-Bold.pfb) = %{tl_version}
Provides: tex(zhv-BolIta.pfb) = %{tl_version}
Provides: tex(zhv-Reg.pfb) = %{tl_version}
Provides: tex(ztm-RegIta.pfb) = %{tl_version}
Provides: tex(zco-Light.pfb) = %{tl_version}
Provides: tex(zhv-RegIta.pfb) = %{tl_version}
Provides: tex(zcoN-Regular.pfb) = %{tl_version}
Provides: tex(ztm-MedObl.pfb) = %{tl_version}
Provides: tex(ztm-Med.pfb) = %{tl_version}
Provides: tex(ztm-MedIta.pfb) = %{tl_version}
Provides: tex(nimbus15mono-t2a.enc) = %{tl_version}
Provides: tex(nimbus15-t2c.enc) = %{tl_version}
Provides: tex(nimbus15mono-ot2.enc) = %{tl_version}
Provides: tex(nimbus15-t2a.enc) = %{tl_version}
Provides: tex(nimbus15-ot1.enc) = %{tl_version}
Provides: tex(nimbus15mono-lgr.enc) = %{tl_version}
Provides: tex(nimbus15mono-t2c.enc) = %{tl_version}
Provides: tex(nimbus15mono-ec.enc) = %{tl_version}
Provides: tex(nimbus15-ot2.enc) = %{tl_version}
Provides: tex(nimbus15-ec.enc) = %{tl_version}
Provides: tex(nimbus15-lgr.enc) = %{tl_version}
Provides: tex(nimbus15-t2b.enc) = %{tl_version}
Provides: tex(nimbus15mono-ot1.enc) = %{tl_version}
Provides: tex(nimbus15mono-t2b.enc) = %{tl_version}
Provides: tex(nimbus15-x2.enc) = %{tl_version}
Provides: tex(zcoN-Oblique.otf) = %{tl_version}
Provides: tex(zco-Bold.otf) = %{tl_version}
Provides: tex(ztm-MedIta.otf) = %{tl_version}
Provides: tex(ztm-RegIta.otf) = %{tl_version}
Provides: tex(zhv-RegIta.otf) = %{tl_version}
Provides: tex(zco-BoldOblique.otf) = %{tl_version}
Provides: tex(ztm-Reg.otf) = %{tl_version}
Provides: tex(ztm-MedObl.otf) = %{tl_version}
Provides: tex(zco-Oblique.otf) = %{tl_version}
Provides: tex(ztm-Med.otf) = %{tl_version}
Provides: tex(ztm-RegObl.otf) = %{tl_version}
Provides: tex(zco-Light.otf) = %{tl_version}
Provides: tex(zhv-BolIta.otf) = %{tl_version}
Provides: tex(zcoN-Regular.otf) = %{tl_version}
Provides: tex(zhv-Reg.otf) = %{tl_version}
Provides: tex(zco-LightOblique.otf) = %{tl_version}
Provides: tex(zhv-Bol.otf) = %{tl_version}
Provides: tex(zco-Regular.otf) = %{tl_version}
Provides: tex(ztm-RegIta-ot2.vf) = %{tl_version}
Provides: tex(ztm-RegObl-ot2.vf) = %{tl_version}
Provides: tex(zhv-BolIta-ot2.vf) = %{tl_version}
Provides: tex(ztm-MedObl-ot2.vf) = %{tl_version}
Provides: tex(zco-Oblique-ot2.vf) = %{tl_version}
Provides: tex(zhv-RegIta-ot2.vf) = %{tl_version}
Provides: tex(zhv-Reg-ot2.vf) = %{tl_version}
Provides: tex(zcoN-Regular-ot2.vf) = %{tl_version}
Provides: tex(zco-Regular-ot2.vf) = %{tl_version}
Provides: tex(zhv-Bol-ot2.vf) = %{tl_version}
Provides: tex(ztm-Med-ot2.vf) = %{tl_version}
Provides: tex(ztm-MedIta-ot2.vf) = %{tl_version}
Provides: tex(ztm-Reg-ot2.vf) = %{tl_version}
Provides: tex(zco-Bold-ot2.vf) = %{tl_version}
Provides: tex(zco-Light-ot2.vf) = %{tl_version}
Provides: tex(zcoN-Oblique-ot2.vf) = %{tl_version}
Provides: tex(zco-LightOblique-ot2.vf) = %{tl_version}
Provides: tex(zco-BoldOblique-ot2.vf) = %{tl_version}
Provides: tex(zhv-Bol-t2c.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-ot1.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-t1.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-ot2--base.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-t2a.tfm) = %{tl_version}
Provides: tex(zhv-Bol-ts1.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-lgr.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-ts1.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-lgr.tfm) = %{tl_version}
Provides: tex(zco-Light-ot1.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-ot2--base.tfm) = %{tl_version}
Provides: tex(zhv-Bol-t2b.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-t2a.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-t2b.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-ts1.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-t2b.tfm) = %{tl_version}
Provides: tex(zco-Regular-lgr.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-Med-ot2--base.tfm) = %{tl_version}
Provides: tex(zco-Bold-t2b.tfm) = %{tl_version}
Provides: tex(zco-Bold-t1.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-ot2.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-ot2.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-t2c.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-t2a.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-lgr.tfm) = %{tl_version}
Provides: tex(ztm-Med-ot1.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-t1.tfm) = %{tl_version}
Provides: tex(zco-Regular-ot2--base.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-t2b.tfm) = %{tl_version}
Provides: tex(ztm-Reg-ot1.tfm) = %{tl_version}
Provides: tex(zco-Light-t2a.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-t1.tfm) = %{tl_version}
Provides: tex(ztm-Med-t2a.tfm) = %{tl_version}
Provides: tex(zhv-Reg-ot2.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-lgr.tfm) = %{tl_version}
Provides: tex(zco-Light-t2c.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-ot1.tfm) = %{tl_version}
Provides: tex(zco-Oblique-lgr.tfm) = %{tl_version}
Provides: tex(zhv-Reg-t2a.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-t2a.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-t1.tfm) = %{tl_version}
Provides: tex(zhv-Bol-ot1.tfm) = %{tl_version}
Provides: tex(zco-Light.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-lgr.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-ot1.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-ot1.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-t2c.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-lgr.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-t2c.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-t2b.tfm) = %{tl_version}
Provides: tex(ztm-Reg-t2c.tfm) = %{tl_version}
Provides: tex(ztm-Med-t2c.tfm) = %{tl_version}
Provides: tex(zco-Regular-t2b.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-t1.tfm) = %{tl_version}
Provides: tex(zco-Bold-t2a.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-t1.tfm) = %{tl_version}
Provides: tex(ztm-Med-t1.tfm) = %{tl_version}
Provides: tex(zhv-Reg-ts1.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-ot1.tfm) = %{tl_version}
Provides: tex(ztm-Med-t2b.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-ts1.tfm) = %{tl_version}
Provides: tex(zhv-Bol-t1.tfm) = %{tl_version}
Provides: tex(ztm-Reg-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-Med-ot2.tfm) = %{tl_version}
Provides: tex(ztm-Reg-lgr.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-t2c.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-t2c.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-t1.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-t2a.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-Reg-t2b.tfm) = %{tl_version}
Provides: tex(ztm-Reg-ts1.tfm) = %{tl_version}
Provides: tex(zco-Light-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-ot2.tfm) = %{tl_version}
Provides: tex(zco-Light-t2b.tfm) = %{tl_version}
Provides: tex(zco-Oblique-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-Med-ts1.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-t1.tfm) = %{tl_version}
Provides: tex(zhv-Reg-t2b.tfm) = %{tl_version}
Provides: tex(zhv-Reg-lgr.tfm) = %{tl_version}
Provides: tex(zco-Regular-ot2.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-t1.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-t2b.tfm) = %{tl_version}
Provides: tex(zhv-Reg-t2c.tfm) = %{tl_version}
Provides: tex(zco-Light-lgr.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-ts1.tfm) = %{tl_version}
Provides: tex(zco-Regular-ot1.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-lgr.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-ot1.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-t2c.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-lgr.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-t2c.tfm) = %{tl_version}
Provides: tex(zco-Bold-ot1.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-t2c.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-t2c.tfm) = %{tl_version}
Provides: tex(zco-Oblique-ot1.tfm) = %{tl_version}
Provides: tex(zco-Regular-ts1.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-ot2--base.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-ot2.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-ts1.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-t2b.tfm) = %{tl_version}
Provides: tex(zco-Light-ot2.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-t2a.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-ot1.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-lgr.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-ot2.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-lgr.tfm) = %{tl_version}
Provides: tex(zco-Regular-t1.tfm) = %{tl_version}
Provides: tex(zco-Oblique-t2b.tfm) = %{tl_version}
Provides: tex(zco-Oblique-ts1.tfm) = %{tl_version}
Provides: tex(zco-Oblique-t1.tfm) = %{tl_version}
Provides: tex(zco-Oblique-t2c.tfm) = %{tl_version}
Provides: tex(zhv-Bol-t2a.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-t2b.tfm) = %{tl_version}
Provides: tex(zhv-Reg-ot1.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-ts1.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-t2a.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-t2a.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-t2b.tfm) = %{tl_version}
Provides: tex(zco-Light-t1.tfm) = %{tl_version}
Provides: tex(zhv-Bol-ot2.tfm) = %{tl_version}
Provides: tex(zhv-Reg-t1.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-ts1.tfm) = %{tl_version}
Provides: tex(ztm-RegIta-t2c.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-ts1.tfm) = %{tl_version}
Provides: tex(zco-Oblique-ot2.tfm) = %{tl_version}
Provides: tex(zco-Regular-t2a.tfm) = %{tl_version}
Provides: tex(zco-Regular-t2c.tfm) = %{tl_version}
Provides: tex(ztm-RegObl-ot1.tfm) = %{tl_version}
Provides: tex(ztm-MedObl-t2a.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-ot2.tfm) = %{tl_version}
Provides: tex(zcoN-Regular-ot1.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-t2b.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-t1.tfm) = %{tl_version}
Provides: tex(zhv-Bol-ot2--base.tfm) = %{tl_version}
Provides: tex(zco-Bold-t2c.tfm) = %{tl_version}
Provides: tex(zco-Bold-ot2--base.tfm) = %{tl_version}
Provides: tex(zcoN-Oblique-ot2.tfm) = %{tl_version}
Provides: tex(zco-Bold-ts1.tfm) = %{tl_version}
Provides: tex(zco-Oblique-t2a.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-ot2--base.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-ot2.tfm) = %{tl_version}
Provides: tex(zhv-BolIta-ts1.tfm) = %{tl_version}
Provides: tex(zco-LightOblique-ts1.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-ot2--base.tfm) = %{tl_version}
Provides: tex(zco-Light-ts1.tfm) = %{tl_version}
Provides: tex(zco-BoldOblique-ot1.tfm) = %{tl_version}
Provides: tex(ztm-Reg-t2a.tfm) = %{tl_version}
Provides: tex(ztm-Reg-t1.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-t2a.tfm) = %{tl_version}
Provides: tex(zhv-Bol-lgr.tfm) = %{tl_version}
Provides: tex(zhv-Reg-ot2--base.tfm) = %{tl_version}
Provides: tex(ztm-Reg-ot2.tfm) = %{tl_version}
Provides: tex(ztm-Med-lgr.tfm) = %{tl_version}
Provides: tex(zco-Bold-lgr.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-ot2.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-t2b.tfm) = %{tl_version}
Provides: tex(zhv-RegIta-ot2.tfm) = %{tl_version}
Provides: tex(ztm-MedIta-ot2--base.tfm) = %{tl_version}
Provides: tex(zco-Bold-ot2.tfm) = %{tl_version}

%description nimbus15
The Nimbus 2015 Core fonts added Greek and Cyrillic glyphs.
This package may be best suited as an add-on the a
comprehensive Times package, providing support for Greek and
Cyrillic. A new intermediate weight of NimbusMono (AKA Courier)
is provided, along with a narrower version which may be useful
for rendering code.

%package normalcolor-doc
Provides: tex-normalcolor-doc = %{tl_version}
License: LPPL
Summary: doc files of normalcolor
Version: svn40125

AutoReqProv: No

%description normalcolor-doc
Documentation for normalcolor

%package normalcolor
Provides: tex-normalcolor = %{tl_version}
License: LPPL
Summary: Changing \normalcolor
Version: svn40125

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(normalcolor.sty) = %{tl_version}

%description normalcolor
This package provides a command \setnormalcolor with the same
syntax as the command \color either of package color or of
package xcolor. However, \setnormalcolor will not change the
current colour but the normal / default color.

%package noto-doc
Provides: tex-noto-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of noto
Version: svn42881
AutoReqProv: No

%description noto-doc
Documentation for noto

%package noto
Provides: tex-noto = %{tl_version}
License: LPPL and OFL
Summary: Support for Noto fonts
Version: svn42881
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(noto.sty) = %{tl_version}
Provides: tex(noto.map) = %{tl_version}
Provides: tex(OT1NotoSans-TLF.fd) = %{tl_version}
Provides: tex(TS1NotoSans-TLF.fd) = %{tl_version}
Provides: tex(TS1NotoSerif-TLF.fd) = %{tl_version}
Provides: tex(LY1NotoSans-TLF.fd) = %{tl_version}
Provides: tex(OT1NotoSerif-TLF.fd) = %{tl_version}
Provides: tex(T1NotoSerif-TLF.fd) = %{tl_version}
Provides: tex(T1NotoSans-TLF.fd) = %{tl_version}
Provides: tex(LY1NotoSerif-TLF.fd) = %{tl_version}
Provides: tex(NotoSerif-Regular.pfb) = %{tl_version}
Provides: tex(NotoSerif-Italic.pfb) = %{tl_version}
Provides: tex(NotoSans-Regular.pfb) = %{tl_version}
Provides: tex(NotoSerif-Bold.pfb) = %{tl_version}
Provides: tex(NotoSans-BoldItalic.pfb) = %{tl_version}
Provides: tex(NotoSans-Italic.pfb) = %{tl_version}
Provides: tex(NotoSans-Bold.pfb) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic.pfb) = %{tl_version}
Provides: tex(nto_5drdqr.enc) = %{tl_version}
Provides: tex(nto_rq4ual.enc) = %{tl_version}
Provides: tex(nto_m46tqg.enc) = %{tl_version}
Provides: tex(nto_5ritkc.enc) = %{tl_version}
Provides: tex(NotoSans-Italic.otf) = %{tl_version}
Provides: tex(NotoSerif-Regular.otf) = %{tl_version}
Provides: tex(NotoSans-Bold.otf) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic.otf) = %{tl_version}
Provides: tex(NotoSans-BoldItalic.otf) = %{tl_version}
Provides: tex(NotoSerif-Italic.otf) = %{tl_version}
Provides: tex(NotoSerif-Bold.otf) = %{tl_version}
Provides: tex(NotoSans-Regular.otf) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSans-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSerif-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSans-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSerif-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSerif-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSans-tlf-ot1.vf) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(NotoSans-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSerif-tlf-ly1.vf) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(NotoSerif-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSerif-tlf-t1.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSans-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(NotoSerif-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(NotoSans-Italic-tlf-ly1--base.tfm) = %{tl_version}

%description noto
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the NotoSerif and NotoSans families of fonts,
designed by Steve Matteson for Google.

%package nucleardata-doc
Provides: tex-nucleardata-doc = %{tl_version}
License: LPPL
Summary: doc files of nucleardata
Version: svn42307
AutoReqProv: No

%description nucleardata-doc
Documentation for nucleardata

%package nucleardata
Provides: tex-nucleardata = %{tl_version}
License: LPPL
Summary: Provides data about atomic nuclides for documents
Version: svn42307
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(nucleardata.sty) = %{tl_version}

%description nucleardata
The package provides data and commands for including nuclear
and atomic mass and energy data in LaTeX documents. It uses the
PythonTeX package and requires pythontex.exe to be called with
the TeX file as the argument.

%package nwejm-doc
Provides: tex-nwejm-doc = %{tl_version}
License: LPPL
Summary: doc files of nwejm
Version: svn44131
AutoReqProv: No

%description nwejm-doc
Documentation for nwejm

%package nwejm
Provides: tex-nwejm = %{tl_version}
License: LPPL
Summary: Support for the journal "North-Western European Journal of Mathematics"
Version: svn44131
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(nwejm.cls) = %{tl_version}
Provides: tex(nwejmart.cls) = %{tl_version}
Provides: tex(nwejm.cfg) = %{tl_version}

%description nwejm
The bundle includes LaTeX classes and BibLaTeX styles files
dedicated to the new journal "North-Western European Journal of
Mathematics".

%package optidef-doc
Provides: tex-optidef-doc = %{tl_version}
License: LPPL
Summary: doc files of optidef
Version: svn44669
AutoReqProv: No

%description optidef-doc
Documentation for optidef

%package optidef
Provides: tex-optidef = %{tl_version}
License: LPPL
Summary: Provides a standard set of environments for writing minimization problems
Version: svn44669
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(optidef.sty) = %{tl_version}

%description optidef
This small library provides a standard set of environments for
writing minimization problems. It automatically aligns the
problems in three points with an optional fourth: Beginning of
the words "minimize/argmin" and "subject to" The objective
function and the longest left hand side of the constraints The
$= | > | <$ signs of the constraints. Optionally, the user can
add manually a double align character && to align some common
constraints feature. A clear example could be the constraints
names, e.g. (boundary constraint) alignment with (dynamic
constraint). Furthermore, it provides an easy interface to
define optimization problem for three different reference
situations: Where no equation is referenced/numbered. Where the
problem is referenced with a single number. Where each equation
has an individual reference. Finally, it also allows a
definition of any optimization problem without a limitless
number of constraints.

%package options-doc
Provides: tex-options-doc = %{tl_version}
License: LPPL
Summary: doc files of options
Version: svn39030

AutoReqProv: No

%description options-doc
Documentation for options

%package options
Provides: tex-options = %{tl_version}
License: LPPL
Summary: Provides convenient key-value options for LaTeX package writers
Version: svn39030

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(options.sty) = %{tl_version}

%description options
The options package provides easy to use key-value options for
LaTeX package writers. It has a similar interface as pgfkeys
with path options but comes with more built-in data types and
more convenient support for families and searching.

%package parades-doc
Provides: tex-parades-doc = %{tl_version}
License: LPPL
Summary: doc files of parades
Version: svn40042

AutoReqProv: No

%description parades-doc
Documentation for parades

%package parades
Provides: tex-parades = %{tl_version}
License: LPPL
Summary: Tabulators and space between paragraphs in galley approach
Version: svn40042

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(paravesp.sty) = %{tl_version}

%description parades
The LaTeX package paravesp controls the spaces above and below
paragraphs. The python script parades.py generates paragraph
styles with support of space above, space below and tabulators.
The system imposes the galley approach on the document.

%package pbibtex-base-doc
Provides: tex-pbibtex-base-doc = %{tl_version}
License: BSD
Summary: doc files of pbibtex-base
Version: svn40986

AutoReqProv: No

%description pbibtex-base-doc
Documentation for pbibtex-base

%package pbibtex-base
Provides: tex-pbibtex-base = %{tl_version}
License: BSD
Summary: Bibliography styles and miscellaneous files for pBibTeX
Version: svn40986

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description pbibtex-base
These are miscellaneous files, including bibliography styles
(.bst), for pBibTeX, which is a Japanese extended version of
BibTeX contained in TeX Live. The bundle is a redistribution
derived from the ptex-texmf distribution by ASCII MEDIA WORKS.

%package pgfornament-doc
Provides: tex-pgfornament-doc = %{tl_version}
License: LPPL
Summary: doc files of pgfornament
Version: svn39988

AutoReqProv: No

%description pgfornament-doc
Documentation for pgfornament

%package pgfornament
Provides: tex-pgfornament = %{tl_version}
License: LPPL
Summary: Drawing of Vectorian ornaments with PGF/TikZ
Version: svn39988

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tikzrput.sty) = %{tl_version}
Provides: tex(pgfornament.sty) = %{tl_version}
Provides: tex(pgflibraryam.code.tex) = %{tl_version}
Provides: tex(pgflibraryvectorian.code.tex) = %{tl_version}

%description pgfornament
This package allows the drawing of Vectorian ornaments (196)
with PGF/TikZ. The documentation presents the syntax and
parameters of the macro "pgfornament".

%package pgf-spectra-doc
Provides: tex-pgf-spectra-doc = %{tl_version}
License: LPPL
Summary: doc files of pgf-spectra
Version: svn42986
AutoReqProv: No

%description pgf-spectra-doc
Documentation for pgf-spectra

%package pgf-spectra
Provides: tex-pgf-spectra = %{tl_version}
License: LPPL
Summary: Draw continuous or discrete spectra using PGF/TikZ
Version: svn42986
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(pgf-spectra.sty) = %{tl_version}

%description pgf-spectra
The purpose of this package is to draw the spectra of elements
in a simple way. It is based on the package pst-spectra,
supporting the same options, but also adding some new options.
It relies on PGF/TikZ for drawing the desired spectrum,
continuous or discrete. As in pst-spectra, there are data
available for the spectra of 99 elements and their ions (from
the NASA database). It also allows the user to draw spectra
using their own data.

%package platex-doc
Provides: tex-platex-doc = %{tl_version}
License: BSD
Summary: doc files of platex
Version: svn45413
AutoReqProv: No

%description platex-doc
Documentation for platex

%package platex
Provides: tex-platex = %{tl_version}
License: BSD
Summary: pLaTeX2e and miscellaneous macros for pTeX
Version: svn45413
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-platex-bin
Provides: tex(jbook.cls) = %{tl_version}
Provides: tex(treport.cls) = %{tl_version}
Provides: tex(jreport.cls) = %{tl_version}
Provides: tex(jltxdoc.cls) = %{tl_version}
Provides: tex(jarticle.cls) = %{tl_version}
Provides: tex(tbook.cls) = %{tl_version}
Provides: tex(tarticle.cls) = %{tl_version}
Provides: tex(pfltrace.sty) = %{tl_version}
Provides: tex(tascmac.sty) = %{tl_version}
Provides: tex(jarticle.sty) = %{tl_version}
Provides: tex(jreport.sty) = %{tl_version}
Provides: tex(ascmac.sty) = %{tl_version}
Provides: tex(nidanfloat.sty) = %{tl_version}
Provides: tex(platexrelease.sty) = %{tl_version}
Provides: tex(jbook.sty) = %{tl_version}
Provides: tex(tarticle.sty) = %{tl_version}
Provides: tex(ptrace.sty) = %{tl_version}
Provides: tex(tbook.sty) = %{tl_version}
Provides: tex(treport.sty) = %{tl_version}
Provides: tex(oldpfont.sty) = %{tl_version}
Provides: tex(plext.sty) = %{tl_version}
Provides: tex(kinsoku.tex) = %{tl_version}
Provides: tex(pl209.def) = %{tl_version}
Provides: tex(jy1gt.fd) = %{tl_version}
Provides: tex(jt1gt.fd) = %{tl_version}
Provides: tex(jt1mc.fd) = %{tl_version}
Provides: tex(jy1mc.fd) = %{tl_version}
Provides: tex(jbk12.clo) = %{tl_version}
Provides: tex(jbk10.clo) = %{tl_version}
Provides: tex(tsize11.clo) = %{tl_version}
Provides: tex(tsize12.clo) = %{tl_version}
Provides: tex(jsize10.clo) = %{tl_version}
Provides: tex(jsize12.clo) = %{tl_version}
Provides: tex(tsize10.clo) = %{tl_version}
Provides: tex(tbk12.clo) = %{tl_version}
Provides: tex(jsize11.clo) = %{tl_version}
Provides: tex(tbk11.clo) = %{tl_version}
Provides: tex(tbk10.clo) = %{tl_version}
Provides: tex(jbk11.clo) = %{tl_version}

%description platex
The bundle provides pLaTeX2e and miscellaneous macros for pTeX
and e-pTeX. This is a community edition forked from the
original ASCII edition (ptex-texmf-2.5).

%package prooftrees-doc
Provides: tex-prooftrees-doc = %{tl_version}
License: LPPL
Summary: doc files of prooftrees
Version: svn43184
AutoReqProv: No

%description prooftrees-doc
Documentation for prooftrees

%package prooftrees
Provides: tex-prooftrees = %{tl_version}
License: LPPL
Summary: Forest-based proof trees (symbolic logic)
Version: svn43184
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(prooftrees.sty) = %{tl_version}

%description prooftrees
The package supports drawing proof trees of the kind often used
in introductory logic classes, especially those aimed at
students without strong mathemtical backgrounds. Hodges (1991)
is one example of a text which uses this system. When teaching
such a system it is especially useful to annotate the tree with
line numbers, justifications and explanations of branch
closures. prooftrees provides a single environment, prooftree,
and a variety of tools for annotating, customising and
highlighting such trees. A cross-referencing system is provided
for trees which cite line numbers in justifications for proof
lines or branch closures. prooftrees is based on forest and,
hence, TikZ. The package requires version 2.0.2 of Forest for
expected results and will not work with version 1.

%package pst-cie-doc
Provides: tex-pst-cie-doc = %{tl_version}
License: LPPL
Summary: doc files of pst-cie
Version: svn45111
AutoReqProv: No

%description pst-cie-doc
Documentation for pst-cie

%package pst-cie
Provides: tex-pst-cie = %{tl_version}
License: LPPL
Summary: CIE color space
Version: svn45111
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(pst-cie.sty) = %{tl_version}
Provides: tex(pst-cie.tex) = %{tl_version}

%description pst-cie
pst-cie is a PSTricks related package to show the different CIE
color spaces: Adobe, CIE, ColorMatch, NTSC, Pal-Secam,
ProPhoto, SMPTE, and sRGB.

%package rosario-doc
Provides: tex-rosario-doc = %{tl_version}
License: LPPL and OFL
Summary: doc files of rosario
Version: svn40843

AutoReqProv: No

%description rosario-doc
Documentation for rosario

%package rosario
Provides: tex-rosario = %{tl_version}
License: LPPL and OFL
Summary: Using the free Rosario fonts with LaTeX
Version: svn40843

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Rosario.sty) = %{tl_version}
Provides: tex(Rosario.map) = %{tl_version}
Provides: tex(OT1Rosario-LF.fd) = %{tl_version}
Provides: tex(T1Rosario-LF.fd) = %{tl_version}
Provides: tex(TS1Rosario-LF.fd) = %{tl_version}
Provides: tex(LY1Rosario-LF.fd) = %{tl_version}
Provides: tex(Rosario-BoldItalic.pfb) = %{tl_version}
Provides: tex(Rosario-RegularLCDFJ.pfb) = %{tl_version}
Provides: tex(Rosario-Bold.pfb) = %{tl_version}
Provides: tex(Rosario-Regular.pfb) = %{tl_version}
Provides: tex(Rosario-ItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(Rosario-BoldLCDFJ.pfb) = %{tl_version}
Provides: tex(Rosario-Italic.pfb) = %{tl_version}
Provides: tex(Rosario-BoldItalicLCDFJ.pfb) = %{tl_version}
Provides: tex(ros_y2egj5.enc) = %{tl_version}
Provides: tex(ros_k6z3ge.enc) = %{tl_version}
Provides: tex(ros_amohrd.enc) = %{tl_version}
Provides: tex(ros_c353pt.enc) = %{tl_version}
Provides: tex(Rosario-Bold.otf) = %{tl_version}
Provides: tex(Rosario-Regular.otf) = %{tl_version}
Provides: tex(Rosario-BoldItalic.otf) = %{tl_version}
Provides: tex(Rosario-Italic.otf) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ot1.vf) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Rosario-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ot1.vf) = %{tl_version}
Provides: tex(Rosario-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(Rosario-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ot1.vf) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ot1.vf) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-t1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ot1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ly1--lcdfj.tfm) = %{tl_version}
Provides: tex(Rosario-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ot1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Rosario-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Rosario-Bold-lf-ot1.tfm) = %{tl_version}

%description rosario
The package provides the files required to use the Rosario
fonts with LaTeX. Rosario is a set of four fonts provided by
Hector Gatti, Adobe Typekit & Omnibus-Type Team under the Open
Font License (OFL), version 1.1. The fonts are copyright (c)
2012-2015, Omnibus-Type.

%package russ-doc
Provides: tex-russ-doc = %{tl_version}
License: LPPL
Summary: doc files of russ
Version: svn25209

AutoReqProv: No

%description russ-doc
Documentation for russ

%package russ
Provides: tex-russ = %{tl_version}
License: LPPL
Summary: LaTeX in Russian, without babel
Version: svn25209

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(russ.sty) = %{tl_version}

%description russ
The package aims to facilitate Russian typesetting (based on
input using MicroSoft Code Page 1251). Russian hyphenation is
selected, and various mathematical commands are set up in
Russian style. Furthermore all Cyrillic letters' catcodes are
set to "letter", so that commands with Cyrillic letters in
their names may be defined.

%package sanitize-umlaut-doc
Provides: tex-sanitize-umlaut-doc = %{tl_version}
License: LPPL
Summary: doc files of sanitize-umlaut
Version: svn41365

AutoReqProv: No

%description sanitize-umlaut-doc
Documentation for sanitize-umlaut

%package sanitize-umlaut
Provides: tex-sanitize-umlaut = %{tl_version}
License: LPPL
Summary: sanitize umlauts for MakeIndex and pdfLaTeX
Version: svn41365

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(sanitize-umlaut.sty) = %{tl_version}

%description sanitize-umlaut
This packages sanitizes umlauts to be used directly in index
entries for MakeIndex and friends with pdfLaTeX. This means
that inside \index an umlaut can be used as "U or as U. In both
cases, the letter is written as "U into the raw index file for
correct processing with MakeIndex and pdfLaTeX.

%package scrlttr2copy-doc
Provides: tex-scrlttr2copy-doc = %{tl_version}
License: LPPL
Summary: doc files of scrlttr2copy
Version: svn39734

AutoReqProv: No

%description scrlttr2copy-doc
Documentation for scrlttr2copy

%package scrlttr2copy
Provides: tex-scrlttr2copy = %{tl_version}
License: LPPL
Summary: A letter class option file for the automatic creation of copies
Version: svn39734

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea


%description scrlttr2copy
The file copy.lco provides the new class option "copy" for the
KOMA-Script letter class scrlttr2. If the option "copy" is
given, all pages of a specific letter are duplicated with
background text marking as copies.

%package seuthesix-doc
Provides: tex-seuthesix-doc = %{tl_version}
License: GPLv3
Summary: doc files of seuthesix
Version: svn40088

AutoReqProv: No

%description seuthesix-doc
Documentation for seuthesix

%package seuthesix
Provides: tex-seuthesix = %{tl_version}
License: GPLv3
Summary: LaTeX class for theses at Southeast University, Nanjing, China
Version: svn40088

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(seuthesix.cls) = %{tl_version}
Provides: tex(seuthesix.cfg) = %{tl_version}

%description seuthesix
This project provides a LaTeX document class as well as a
bibliography style file for typesetting theses at the Southeast
University, Nanjing, China. It is based on the seuthesis
package which, according to the author of seuthesix, is buggy
and has not been maintained for some time.

%package signchart-doc
Provides: tex-signchart-doc = %{tl_version}
License: LPPL
Summary: doc files of signchart
Version: svn39707

AutoReqProv: No

%description signchart-doc
Documentation for signchart

%package signchart
Provides: tex-signchart = %{tl_version}
License: LPPL
Summary: Create beautifully typeset sign charts
Version: svn39707

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(signchart.sty) = %{tl_version}

%description signchart
The package allows users to easily typeset beautiful looking
sign charts directly into their (La)TeX document.

%package simpler-wick-doc
Provides: tex-simpler-wick-doc = %{tl_version}
License: GPLv3+
Summary: doc files of simpler-wick
Version: svn39074

AutoReqProv: No

%description simpler-wick-doc
Documentation for simpler-wick

%package simpler-wick
Provides: tex-simpler-wick = %{tl_version}
License: LPPL
Summary: Simpler Wick contractions
Version: svn39074

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(simpler-wick.sty) = %{tl_version}

%description simpler-wick
In every quantum field theory course, there will be a chapter
about Wick's theorem and how it can be used to convert a very
large product of many creation and annihilation operators into
something more tractable and normal ordered. The contractions
are denoted with a square bracket over the operators which are
being contracted, which used to be rather annoying to typeset
in LaTeX as the only other package available was simplewick,
which is rather unwieldy. This package provides a simpler
syntax for Wick contractions.

%package smartunits-doc
Provides: tex-smartunits-doc = %{tl_version}
License: LPPL
Summary: doc files of smartunits
Version: svn39592

AutoReqProv: No

%description smartunits-doc
Documentation for smartunits

%package smartunits
Provides: tex-smartunits = %{tl_version}
License: LPPL
Summary: Converting between common metric and Imperial units
Version: svn39592

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(smartunits.sty) = %{tl_version}

%description smartunits
This LaTeX package implements a \SmartUnit macro for converting
between (some) metric and Imperial units. The package requires
pgfkeys and siunitx.

%package svrsymbols-doc
Provides: tex-svrsymbols-doc = %{tl_version}
License: LPPL
Summary: doc files of svrsymbols
Version: svn40371

AutoReqProv: No

%description svrsymbols-doc
Documentation for svrsymbols

%package svrsymbols
Provides: tex-svrsymbols = %{tl_version}
License: LPPL
Summary: 'A new font with symbols for use in Physics texts.'
Version: svn40371

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(svrsymbols.sty) = %{tl_version}
Provides: tex(svrsymbols.map) = %{tl_version}
Provides: tex(SVRsymbols.pfb) = %{tl_version}
Provides: tex(SVRsymbols.tfm) = %{tl_version}

%description svrsymbols
The svrsymbols package is a LaTeX interface to theSVRsymbols
font. The glyphs of this font are ideograms that have been
designed for use in Physics texts. Some symbols are standard
and some are entirely new.

%package tempora-doc
Provides: tex-tempora-doc = %{tl_version}
License: GPLv2+ with exceptions and LPPL
Summary: doc files of tempora
Version: svn39596

AutoReqProv: No

%description tempora-doc
Documentation for tempora

%package tempora
Provides: tex-tempora = %{tl_version}
License: GPLv2+ and LPPL
Summary: Greek and Cyrillic to accompany Times
Version: svn39596

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tempora.sty) = %{tl_version}
Provides: tex(tempora.map) = %{tl_version}
Provides: tex(ot2tempora-tlf.fd) = %{tl_version}
Provides: tex(TS1Tempora-TOsF.fd) = %{tl_version}
Provides: tex(T1Tempora-TLF.fd) = %{tl_version}
Provides: tex(T1Tempora-Sup.fd) = %{tl_version}
Provides: tex(t2atempora-tlf.fd) = %{tl_version}
Provides: tex(OT1Tempora-TOsF.fd) = %{tl_version}
Provides: tex(TS1Tempora-TLF.fd) = %{tl_version}
Provides: tex(OT1Tempora-TLF.fd) = %{tl_version}
Provides: tex(t2btempora-tosf.fd) = %{tl_version}
Provides: tex(t2ctempora-tosf.fd) = %{tl_version}
Provides: tex(OT1Tempora-Sup.fd) = %{tl_version}
Provides: tex(t2btempora-tlf.fd) = %{tl_version}
Provides: tex(t2atempora-tosf.fd) = %{tl_version}
Provides: tex(ot2tempora-tosf.fd) = %{tl_version}
Provides: tex(lgrtempora-tlf.fd) = %{tl_version}
Provides: tex(lgrtempora-tosf.fd) = %{tl_version}
Provides: tex(t2ctempora-tlf.fd) = %{tl_version}
Provides: tex(T1Tempora-TOsF.fd) = %{tl_version}
Provides: tex(Tempora-BoldItalic.pfb) = %{tl_version}
Provides: tex(Tempora-Bold.pfb) = %{tl_version}
Provides: tex(Tempora-Italic.pfb) = %{tl_version}
Provides: tex(Tempora-Regular.pfb) = %{tl_version}
Provides: tex(tmp_xvqxbr.enc) = %{tl_version}
Provides: tex(tmp_jglahm.enc) = %{tl_version}
Provides: tex(ot2-tempora.enc) = %{tl_version}
Provides: tex(t2b-tempora.enc) = %{tl_version}
Provides: tex(t2c-temporaosf.enc) = %{tl_version}
Provides: tex(ot2-temporaosf.enc) = %{tl_version}
Provides: tex(t2a-tempora.enc) = %{tl_version}
Provides: tex(t2b-temporaosf.enc) = %{tl_version}
Provides: tex(tmp_yz5x6b.enc) = %{tl_version}
Provides: tex(t2a-temporaosf.enc) = %{tl_version}
Provides: tex(tmp_6rqc3d.enc) = %{tl_version}
Provides: tex(tmp_q3dzgc.enc) = %{tl_version}
Provides: tex(tmp_y4r4km.enc) = %{tl_version}
Provides: tex(lgr-temporaosf.enc) = %{tl_version}
Provides: tex(tmp_arnbc6.enc) = %{tl_version}
Provides: tex(tmp_v6f3ze.enc) = %{tl_version}
Provides: tex(tmp_aq2g6w.enc) = %{tl_version}
Provides: tex(tmp_m6t7eu.enc) = %{tl_version}
Provides: tex(t2c-tempora.enc) = %{tl_version}
Provides: tex(tmp_mdnuug.enc) = %{tl_version}
Provides: tex(tmp_ac5xuc.enc) = %{tl_version}
Provides: tex(lgr-tempora.enc) = %{tl_version}
Provides: tex(Tempora-Regular.otf) = %{tl_version}
Provides: tex(Tempora-BoldItalic.otf) = %{tl_version}
Provides: tex(Tempora-Bold.otf) = %{tl_version}
Provides: tex(Tempora-Italic.otf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-ot1.vf) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-ot1.vf) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-ot1.vf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-ot1.vf) = %{tl_version}
Provides: tex(Tempora-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Tempora-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Tempora-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-ot1.vf) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Tempora-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(Tempora-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-ot1.vf) = %{tl_version}
Provides: tex(Tempora-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Tempora-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TLF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TOsF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TLF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TOsF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TOsF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TLF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TLF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TOsF-lgr.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TOsF-lgr.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TLF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TLF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TLF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TOsF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TLF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TOsF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TOsF-lgr.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TOsF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TLF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TLF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TLF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TLF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TLF-lgr.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TOsF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TOsF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TLF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TLF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-ot1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TOsF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TLF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TOsF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TOsF-ot2.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TLF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TOsF-t2a.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TLF-lgr.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-TOsF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-tosf-ot1--base.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TOsF-t2b.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TLF-lgr.tfm) = %{tl_version}
Provides: tex(Tempora-Bold-TOsF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-Regular-TOsF-t2c.tfm) = %{tl_version}
Provides: tex(Tempora-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TLF-lgr.tfm) = %{tl_version}
Provides: tex(Tempora-BoldItalic-TOsF-lgr.tfm) = %{tl_version}

%description tempora
This package, derived from TemporaLGCUni by Alexej Kryukov, is
meant as a companion to Times text font packages, providing
Greek and Cyrillic in matching weights and styles. OpenType and
Type1 fonts are provided, with LaTeX support files giving
essentially complete LGR coverage of monotonic, polytonic and
ancient Greek, and almost full T2A coverage of Cyrillic.

%package tex-ini-files-doc
Provides: tex-tex-ini-files-doc = %{tl_version}
License: Public Domain
Summary: doc files of tex-ini-files
Version: svn40533

AutoReqProv: No

%description tex-ini-files-doc
Documentation for tex-ini-files

%package tex-ini-files
Provides: tex-tex-ini-files = %{tl_version}
License: Public Domain
Summary: Model TeX format creation files
Version: svn40533

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(pdftexconfig.tex) = %{tl_version}
Provides: tex(luatexconfig.tex) = %{tl_version}

%description tex-ini-files
This bundle provides a collection of model .ini files for
creating TeX formats. These files are commonly used to
introduced distribution-dependent variations in formats. They
are also used to allow existing format source files to be used
with newer engines, for example to adapt the plain e-TeX source
file to work with XeTeX and LuaTeX.

%package texlive-es-doc
Provides: tex-texlive-es-doc = %{tl_version}
License: LPPL
Summary: doc files of texlive-es
Version: svn44356
AutoReqProv: No

%description texlive-es-doc
Documentation for texlive-es

%package texvc-doc
Provides: tex-texvc-doc = %{tl_version}
License: ASL 2.0
Summary: doc files of texvc
Version: svn38809

AutoReqProv: No

%description texvc-doc
Documentation for texvc

%package texvc
Provides: tex-texvc = %{tl_version}
License: ASL 2.0 and LPPL
Summary: Use MediaWiki LaTeX commands
Version: svn38809

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(texvc.sty) = %{tl_version}

%description texvc
User MediaWiki LaTeX commands to copy and past formulae from
MediaWiki to LaTeX documents.

%package texworks-doc
Provides: tex-texworks-doc = %{tl_version}
License: Public Domain
Summary: doc files of texworks
Version: svn43291
AutoReqProv: No

%description texworks-doc
Documentation for texworks

%package tikz-feynman-doc
Provides: tex-tikz-feynman-doc = %{tl_version}
License: GPLv3+
Summary: doc files of tikz-feynman
Version: svn39582

AutoReqProv: No

%description tikz-feynman-doc
Documentation for tikz-feynman

%package tikz-feynman
Provides: tex-tikz-feynman = %{tl_version}
License: LPPL
Summary: Feynman diagrams with TikZ
Version: svn39582

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tikz-feynman.sty) = %{tl_version}
Provides: tex(tikzfeynman.keys.code.tex) = %{tl_version}
Provides: tex(tikzlibraryfeynman.code.tex) = %{tl_version}

%description tikz-feynman
This is a is a LaTeX package allowing Feynman diagrams to be
easily generated within LaTeX with minimal user instructions
and without the need of external programs. It builds upon the
TikZ package and leverages the graph placement algorithms from
TikZ in order to automate the placement of many vertices. tikz-
feynman still allows fine-tuned placement of vertices so that
even complex diagrams can still be generated with ease.

%package tipfr
Provides: tex-tipfr = %{tl_version}
License: LPPL
Summary: Produces calculator's keys with the help of TikZ
Version: svn38646

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(tipfr.sty) = %{tl_version}

%description tipfr
The package provides commands to draw calculator keys with the
help of TikZ. It also provides commands to draw the content of
screens and of menu items.

%package typed-checklist-doc
Provides: tex-typed-checklist-doc = %{tl_version}
License: LPPL
Summary: doc files of typed-checklist
Version: svn40389

AutoReqProv: No

%description typed-checklist-doc
Documentation for typed-checklist

%package typed-checklist
Provides: tex-typed-checklist = %{tl_version}
License: LPPL
Summary: Typesetting tasks, goals, milestones, artifacts, and more in LaTeX
Version: svn40389

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(typed-checklist.sty) = %{tl_version}

%description typed-checklist
The main goal of this package is to provide means for
typesetting checklists in a way that stipulates users to
explicitly distinguish checklists for goals, for tasks, for
artifacts, and for milestones -- i.e., the type of checklist
entries. The intention behind this is that a user of the
package is coerced to think about what kind of entries he/she
adds to the checklist. This shall yield a clearer result and,
in the long run, help with training to distinguish entries of
different types.

%package uantwerpendocs-doc
Provides: tex-uantwerpendocs-doc = %{tl_version}
License: LPPL
Summary: doc files of uantwerpendocs
Version: svn42912
AutoReqProv: No

%description uantwerpendocs-doc
Documentation for uantwerpendocs.

%package uantwerpendocs
Provides: tex-uantwerpendocs = %{tl_version}
License: LPPL
Summary: Course texts and masters theses in University of Antwerp style
Version: svn42912

%description uantwerpendocs
These class files implement the house style of the University
of Antwerp for course texts, master theses, and letters. Using
these class files will make it easy for you to make and keep
your documents compliant to this version and future versions of
the house style of the University of Antwerp.

%package uhrzeit-doc
Provides: tex-uhrzeit-doc = %{tl_version}
License: LPPL
Summary: doc files of uhrzeit
Version: svn39570

AutoReqProv: No

%description uhrzeit-doc
Documentation for uhrzeit

%package uhrzeit
Provides: tex-uhrzeit = %{tl_version}
License: LPPL
Summary: Time printing, in German
Version: svn39570

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(uhrzeit.sty) = %{tl_version}

%description uhrzeit
The primary goal of this package is to facilitate formats and
ranges of times as formerly used in Germany. A variety of
printing formats are available.

%package umbclegislation-doc
Provides: tex-umbclegislation-doc = %{tl_version}
License: GPLv3+
Summary: doc files of umbclegislation
Version: svn41348

AutoReqProv: No

%description umbclegislation-doc
Documentation for umbclegislation

%package umbclegislation
Provides: tex-umbclegislation = %{tl_version}
License: GPLv3+
Summary: class for building legislation files for UMBC Student Government Association Bills
Version: svn41348

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(legislation.cls) = %{tl_version}

%description umbclegislation
LaTeX class for building legislation files for UMBC Student
Government Association Bills. Requires pdflatex and the
mdframed enumitem, lineno, and xifthen packages.

%package unicode-data-doc
Provides: tex-unicode-data-doc = %{tl_version}
License: LPPL and Unicode
Summary: doc files of unicode-data
Version: svn44711
AutoReqProv: No

%description unicode-data-doc
Documentation for unicode-data

%package unicode-data
Provides: tex-unicode-data = %{tl_version}
License: LPPL and Unicode
Summary: Unicode data and loaders for TeX
Version: svn44711
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(load-unicode-math-classes.tex) = %{tl_version}
Provides: tex(load-unicode-data.tex) = %{tl_version}
Provides: tex(load-unicode-xetex-classes.tex) = %{tl_version}

%description unicode-data
This bundle provides generic access to Unicode Consortium data
for TeX use. It contains a set of text files provided by the
Unicode Consortium which are currently all from Unicode 8.0.0,
with the exception of MathClass.txt which is not currently part
of the Unicode Character Database. Accompanying these source
data are generic TeX loader files allowing this data to be used
as part of TeX runs, in particular in building format files.
Currently there are two loader files: one for general character
set up and one for initialising XeTeX character classes as has
been carried out to date by unicode-letters.tex. The source
data are distributed in accordance with the license stipulated
by the Unicode Consortium. The bundle as a whole is co-
ordinated by the LaTeX3 Project as a general resource for TeX
users.

%package updmap-map
Provides: tex-updmap-map = %{tl_version}
License: Public Domain
Summary: Font maps
Version: svn45274
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(pdftex_dl14.map) = %{tl_version}
Provides: tex(pdftex.map) = %{tl_version}
Provides: tex(pdftex_ndl14.map) = %{tl_version}
Provides: tex(psfonts.map) = %{tl_version}
Provides: tex(psfonts_pk.map) = %{tl_version}
Provides: tex(psfonts_t1.map) = %{tl_version}
Provides: tex(ps2pk.map) = %{tl_version}
Provides: tex(download35.map) = %{tl_version}
Provides: tex(builtin35.map) = %{tl_version}
Provides: tex(kanjix.map) = %{tl_version}

%description updmap-map
Font maps.

%package uplatex
Provides: tex-uplatex = %{tl_version}
License: BSD
Summary: pLaTeX2e and miscellaneous macros for upTeX
Version: svn45414
Requires: texlive-babel
Requires: texlive-base
Requires: texlive-cm
Requires: texlive-hyphen-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-latex, texlive-latex-fonts
Requires: texlive-uptex-fonts
Requires: texlive-uptex
Requires: texlive-uplatex-bin
Provides: tex(utbook.cls) = %{tl_version}
Provides: tex(utreport.cls) = %{tl_version}
Provides: tex(ujreport.cls) = %{tl_version}
Provides: tex(ujarticle.cls) = %{tl_version}
Provides: tex(utarticle.cls) = %{tl_version}
Provides: tex(ujbook.cls) = %{tl_version}
Provides: tex(uptrace.sty) = %{tl_version}
Provides: tex(ukinsoku.tex) = %{tl_version}
Provides: tex(jt2gt.fd) = %{tl_version}
Provides: tex(jt2mc.fd) = %{tl_version}
Provides: tex(jy2gt.fd) = %{tl_version}
Provides: tex(jy2mc.fd) = %{tl_version}
Provides: tex(utsize11.clo) = %{tl_version}
Provides: tex(ujbk12.clo) = %{tl_version}
Provides: tex(utbk10.clo) = %{tl_version}
Provides: tex(utbk11.clo) = %{tl_version}
Provides: tex(utsize10.clo) = %{tl_version}
Provides: tex(ujbk10.clo) = %{tl_version}
Provides: tex(utbk12.clo) = %{tl_version}
Provides: tex(ujbk11.clo) = %{tl_version}
Provides: tex(ujsize10.clo) = %{tl_version}
Provides: tex(ujsize12.clo) = %{tl_version}
Provides: tex(ujsize11.clo) = %{tl_version}
Provides: tex(utsize12.clo) = %{tl_version}

%description uplatex
The bundle provides pLaTeX2e macros for upTeX by Takuji Tanaka.
This is a community edition syncing with platex.

%package visualpstricks-doc
Provides: tex-visualpstricks-doc = %{tl_version}
License: GPL+
Summary: doc files of visualpstricks
Version: svn39799

AutoReqProv: No

%description visualpstricks-doc
Documentation for visualpstricks

%package visualtikz-doc
Provides: tex-visualtikz-doc = %{tl_version}
License: LPPL
Summary: doc files of visualtikz
Version: svn43239
AutoReqProv: No

%description visualtikz-doc
Documentation for visualtikz

%package xassoccnt-doc
Provides: tex-xassoccnt-doc = %{tl_version}
License: LPPL
Summary: doc files of xassoccnt
Version: svn44907
AutoReqProv: No

%description xassoccnt-doc
Documentation for xassoccnt

%package xassoccnt
Provides: tex-xassoccnt = %{tl_version}
License: LPPL
Summary: Associated counters stepping simultaneously
Version: svn44907
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xassoccnt.sty) = %{tl_version}

%description xassoccnt
This package provides a way of associating counters to an
existing driver counter so that incrementing the driver counter
will increase its associated counters as well. This package can
be regarded as a supplement to the totcount package by
Vasileios Koutavas, but it can be used without it, too.
xassoccnt is a successor and a complete rewrite of the assoccnt
package by the same author. However, as of 2015/11/07, some
features of assoccnt are not (yet) contained in xassoccnt, so
that the older package cannot yet be regarded as obsolete.

%package xcntperchap-doc
Provides: tex-xcntperchap-doc = %{tl_version}
License: LPPL
Summary: doc files of xcntperchap
Version: svn44128
AutoReqProv: No

%description xcntperchap-doc
Documentation for xcntperchap

%package xcntperchap
Provides: tex-xcntperchap = %{tl_version}
License: LPPL
Summary: Track the number of subsections etc. that occur in a specified tracklevel
Version: svn44128
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(xcntperchap.sty) = %{tl_version}

%description xcntperchap
This package is the successor of cntperchap and allows to
provide more tracklevels than just only one.

%package xduthesis-doc
Provides: tex-xduthesis-doc = %{tl_version}
License: LPPL
Summary: doc files of xduthesis
Version: svn39694

AutoReqProv: No

%description xduthesis-doc
Documentation for xduthesis

%package xduthesis
Provides: tex-xduthesis = %{tl_version}
License: LPPL
Summary: XeLaTeX template for writing Xidian University Thesis
Version: svn39694

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(xduthesis.cls) = %{tl_version}
Provides: tex(xduthesis.cfg) = %{tl_version}

%description xduthesis
This is a XeLaTeX template for writing theses to apply academic
degrees in Xidian University. The template is designed
according to the official requirements on typesetting theses.
The template currently supports all levels of degrees from
bachelor to doctor, including both academic master and
professional master. But it is not guaranteed that you will
pass the typesetting check and obtain your degree by using this
template.

%package xellipsis-doc
Provides: tex-xellipsis-doc = %{tl_version}
License: LPPL
Summary: doc files of xellipsis
Version: svn42764
AutoReqProv: No

%description xellipsis-doc
Documentation for xellipsis

%package xellipsis
Provides: tex-xellipsis = %{tl_version}
License: LPPL
Summary: Extremely configurable ellipses with formats for various style manuals
Version: svn42764
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(xellipsis.sty) = %{tl_version}

%description xellipsis
The xellipsis package provides a system for configuring
(almomst) every possible aspect of ellipses, including
preceding and proceeding characters; the character itself;
distances before and after each of these; and number of
characters. It comes with both a compatibility option for
standard LaTeX \ldots as well as preset package options for the
Chicago Manual of Style (Turabian); the Bluebook; and MLA
guidelines.

%package xsavebox-doc
Provides: tex-xsavebox-doc = %{tl_version}
License: LPPL
Summary: doc files of xsavebox
Version: svn44578
AutoReqProv: No

%description xsavebox-doc
Documentation for xsavebox

%package xsavebox
Provides: tex-xsavebox = %{tl_version}
License: LPPL
Summary: Saveboxes for repeating content without code replication, based on PDF Form XObjects
Version: svn44578
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(xsavebox.sty) = %{tl_version}

%description xsavebox
The package defines commands for saving content that can be
repeatedly placed into the document without replicating DVI/PDF
code in the output file, allowing for smaller file size of the
final PDF and improved content caching for faster display in
certain PDF viewers. The method makes use of `Form XObjects'
defined in the PDF specification. The user commands are
modelled after the standard LaTeX commands \savebox, \sbox,
\usebox and the lrbox environment. All common TeX engines and
back-ends are supported: pdfLaTeX, LuaLaTeX LaTeX --> dvips -->
ps2pdf/Distiller (Xe)LaTeX --> (x)dvipdfmx

%package ycbook-doc
Provides: tex-ycbook-doc = %{tl_version}
License: LPPL
Summary: doc files of ycbook
Version: svn43171
AutoReqProv: No

%description ycbook-doc
Documentation for ycbook

%package ycbook
Provides: tex-ycbook = %{tl_version}
License: LPPL
Summary: A versatile book class
Version: svn43171
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ycbook.cls) = %{tl_version}

%description ycbook
This class is intended to be an interpretation of the mwbk
class which is a part of the mwcls package. The mwcls classes
are simple, yet powerful and customizable classes that allow
the end-user to customize the layout of headers, headings etc.
They also have the benefit of being more economic in space than
the most common LaTeX classes, while keeping a clear appearance
and a smooth flow.

%package yinit-otf-doc
Provides: tex-yinit-otf-doc = %{tl_version}
License: Public Domain
Summary: doc files of yinit-otf
Version: svn40207

AutoReqProv: No

%description yinit-otf-doc
Documentation for yinit-otf

%package yinit-otf
Provides: tex-yinit-otf = %{tl_version}
License: Public Domain
Summary: OTF conversion of Yannis Haralambous' Old German decorative initials
Version: svn40207

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(Yinit.otf) = %{tl_version}

%description yinit-otf
This package is a conversion of the yinit font into OTF.
Original Metafont files for yinit are in the yinit package.

%package zhmetrics-uptex-doc
Provides: tex-zhmetrics-uptex-doc = %{tl_version}
License: LPPL
Summary: doc files of zhmetrics-uptex
Version: svn40728

AutoReqProv: No

%description zhmetrics-uptex-doc
Documentation for zhmetrics-uptex

%package zhmetrics-uptex
Provides: tex-zhmetrics-uptex = %{tl_version}
License: LPPL
Summary: Chinese font metrics for upTeX
Version: svn40728

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

Provides: tex(upzhsans-v.vf) = %{tl_version}
Provides: tex(upzhserifb-h.vf) = %{tl_version}
Provides: tex(upzhserifb-v.vf) = %{tl_version}
Provides: tex(upzhsansb-h.vf) = %{tl_version}
Provides: tex(upzhmono-h.vf) = %{tl_version}
Provides: tex(upzhsans-h.vf) = %{tl_version}
Provides: tex(upzhmono-v.vf) = %{tl_version}
Provides: tex(upzhserifit-v.vf) = %{tl_version}
Provides: tex(upzhserif-h.vf) = %{tl_version}
Provides: tex(upzhserifit-h.vf) = %{tl_version}
Provides: tex(upzhsansb-v.vf) = %{tl_version}
Provides: tex(upzhserif-v.vf) = %{tl_version}
Provides: tex(upzhsansb-v.tfm) = %{tl_version}
Provides: tex(upsansb-v.tfm) = %{tl_version}
Provides: tex(upmono-h.tfm) = %{tl_version}
Provides: tex(upzhserif-v.tfm) = %{tl_version}
Provides: tex(upzhserifb-v.tfm) = %{tl_version}
Provides: tex(upzhserifit-v.tfm) = %{tl_version}
Provides: tex(upmono-v.tfm) = %{tl_version}
Provides: tex(upzhmono-h.tfm) = %{tl_version}
Provides: tex(upsans-v.tfm) = %{tl_version}
Provides: tex(upzhserif-h.tfm) = %{tl_version}
Provides: tex(upzhserifb-h.tfm) = %{tl_version}
Provides: tex(upzhsans-v.tfm) = %{tl_version}
Provides: tex(upzhserifit-h.tfm) = %{tl_version}
Provides: tex(upserifit-v.tfm) = %{tl_version}
Provides: tex(upsansb-h.tfm) = %{tl_version}
Provides: tex(upzhmono-v.tfm) = %{tl_version}
Provides: tex(upsans-h.tfm) = %{tl_version}
Provides: tex(upserif-h.tfm) = %{tl_version}
Provides: tex(upzhsans-h.tfm) = %{tl_version}
Provides: tex(upserif-v.tfm) = %{tl_version}
Provides: tex(upserifb-h.tfm) = %{tl_version}
Provides: tex(upzhsansb-h.tfm) = %{tl_version}
Provides: tex(upserifit-h.tfm) = %{tl_version}
Provides: tex(upserifb-v.tfm) = %{tl_version}

%description zhmetrics-uptex
The package contains some Chinese font metrics (JFM, VF, etc)
for upTeX engine, together with a simple DVIPDFMx font mapping
of Fandol fonts for DVIPDFMx.

%package bestpapers-doc
Provides: tex-bestpapers-doc = %{tl_version}
License: Public Domain
Summary: doc files of bestpapers
Version: svn38708

AutoReqProv: No

%description bestpapers-doc
Documentation for bestpapers-uptex

%package bestpapers
Provides: tex-bestpapers = %{tl_version}
License: Public Domain
Summary: A BibTeX package to produce lists of authors' best papers
Version: svn38708

Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea

%description bestpapers
Many people preparing their resumes find the requirement
"please list five (or six, or ten) papers authored by you". The
same requirement is often stated for reports prepared by
professional teams. The creation of such lists may be a
cumbersome task. Even more difficult is it to support such
lists over the time, when new papers are added. The BibTeX
style bestpapers.bst is intended to facilitate this task. It is
based on the idea that it is easier to score than to sort: We
can assign a score to a paper and then let the computer select
the papers with highest scores. This work was commissioned by
the Consumer Financial Protection Bureau, United States
Treasury. This package is in the public domain.

%package biblatex-claves
Provides: tex-biblatex-claves = %{tl_version}
License: LPPL
Summary: A tool to manage claves of old litterature with BibLaTeX
Version: svn43723
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(claves.bbx) = %{tl_version}

%description biblatex-claves
When studying antic and medieval literature, we may find many
different texts published with the same title, or, in contrary,
the same text published with different titles. To avoid
confusion, scholars have published claves, which are books
listing ancient texts, identifying them by an identifier -- a
number or a string of text. For example, for early
Christianity, we have the Bibliotheca Hagiographica Graeca, the
Clavis Apocryphorum Novi Testamenti and other claves. It could
be useful to print the identifier of a texts in one specific
clavis, or in many claves. The package allows us to create new
field for different claves, and to present all these fields in
a consistent way.

%package biblatex-claves-doc
Provides: tex-biblatex-claves-doc = %{tl_version}
License: LPPL
Summary: doc files of biblatex-claves
Version: svn43723
AutoReqProv: No

%description biblatex-claves-doc
Documentation for biblatex-claves.

%package biblatex-ijsra
Provides: tex-biblatex-ijsra = %{tl_version}
License: LPPL
Summary: BibLaTeX style for the International Journal of Student Research in Archaeology
Version: svn41634
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ijsra.bbx) = %{tl_version}
Provides: tex(ijsra.cbx) = %{tl_version}

%description biblatex-ijsra
BibLaTeX style used for the journal International Journal of
Student Research in Archaeology.

%package biblatex-ijsra-doc
Provides: tex-biblatex-ijsra-doc = %{tl_version}
License: LPPL
Summary: doc files of biblatex-ijsra
Version: svn41634
AutoReqProv: No

%description biblatex-ijsra-doc
Documentation for biblatex-ijsra.

%package biblatex-lni
Provides: tex-biblatex-lni = %{tl_version}
License: LPPL
Summary: LNI style for BibLaTeX
Version: svn43032
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(LNI.bbx) = %{tl_version}
Provides: tex(LNI.cbx) = %{tl_version}

%description biblatex-lni
BibLaTeX style for the Lecture Notes in Informatics, which is
published by the Gesellschaft fur Informatik (GI e.V.).

%package biblatex-lni-doc
Provides: tex-biblatex-lni-doc = %{tl_version}
License: LPPL
Summary: doc files of biblatex-lni
Version: svn43032
AutoReqProv: No

%description biblatex-lni-doc
Documentation for biblatex-lni.

%package biblatex-nottsclassic
Provides: tex-biblatex-nottsclassic = %{tl_version}
License: LPPL
Summary: Citation style covering the citation and bibliography rules of the University of Nottingham
Version: svn41596
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(nottsclassic.bbx) = %{tl_version}
Provides: tex(nottsclassic.cbx) = %{tl_version}

%description biblatex-nottsclassic
This citation-style covers the citation and bibliography rules
of the University of Nottingham.

%package biblatex-nottsclassic-doc
Provides: tex-biblatex-nottsclassic-doc = %{tl_version}
License: LPPL
Summary: doc files of biblatex-nottsclassic
Version: svn41596
AutoReqProv: No

%description biblatex-nottsclassic-doc
Documentation for biblatex-nottsclassic.

%package graphics-def
Provides: tex-graphics-def = %{tl_version}
License: LPPL
Summary: Colour and graphics option files
Version: svn44697
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: texlive-pdftex-def = %{tl_version}
Obsoletes: texlive-pdftex-def <= 6:svn22653.0.06d
Provides: texlive-dvipdfmx-def = %{tl_version}
Obsoletes: texlive-dvipdfmx-def <= 6:svn40328
Provides: texlive-dvisvgm-def = %{tl_version}
Obsoletes: texlive-dvisvgm-def <= 6:svn41011
Provides: texlive-luatex-def = %{tl_version}
Obsoletes: texlive-luatex-def <= 6:svn41466
Provides: texlive-xetex-def = %{tl_version}
Obsoletes: texlive-xetex-def <= 6:svn40327
Provides: tex(dvipdfmx.def) = %{tl_version}
Provides: tex(dvips.def) = %{tl_version}
Provides: tex(dvisvgm.def) = %{tl_version}
Provides: tex(luatex.def) = %{tl_version}
Provides: tex(pdftex.def) = %{tl_version}
Provides: tex(xetex.def) = %{tl_version}

%description graphics-def
This bundle is a combined distribution consisting of dvips.def,
pdftex.def, luatex.def, xetex.def, dvipdfmx.def, and
dvisvgm.def driver option files for the LaTeX graphics and
color packages. It is hoped that by combining their source
repositories at https://github.com/latex3/graphics-def it will
be easier to coordinate updates.

%package obsolete
License: Public Domain
Provides: texlive-context-fixme = %{epoch}:svn29341.0.obsolete
Obsoletes: texlive-context-fixme <= 6:svn29341.0
Provides: texlive-context-games = %{epoch}:svn23167.0.obsolete
Obsoletes: texlive-context-games <= 6:svn23167.0
Provides: texlive-context-games-doc = %{epoch}:svn23167.0.obsolete
Obsoletes: texlive-context-games-doc <= 6:svn23167.0
Provides: texlive-context-lilypond = %{epoch}:svn23167.0.obsolete
Obsoletes: texlive-context-lilypond <= 6:svn23167.0
Provides: texlive-context-lilypond-doc = %{epoch}:svn23167.0.obsolete
Obsoletes: texlive-context-lilypond-doc <= 6:svn23167.0
Provides: texlive-knuthotherfonts = %{epoch}:svn13293.0.obsolete
Obsoletes: texlive-knuthotherfonts <= 6:svn13293.0
Provides: texlive-scheme-xml = %{epoch}:svn40631.obsolete
Obsoletes: texlive-scheme-xml <= 6:svn40631
Provides: texlive-mil3-doc = %{epoch}:svn21677.0.obsolete
Obsoletes: texlive-mil3-doc <= 6:svn21677.0
Provides: texlive-pstricks-examples-en-doc = %{epoch}:svn29349.0.obsolete
Obsoletes: texlive-pstricks-examples-en-doc <= 6:svn29349.0
Provides: texlive-pstricks-examples-doc = %{epoch}:svn21511.0.obsolete
Obsoletes: texlive-pstricks-examples-doc <= 6:svn21511.0
Provides: texlive-voss-mathmode-doc = %{epoch}:svn36093.2.47.obsolete
Obsoletes: texlive-voss-mathmode-doc <= 6:svn36093.2.47
Provides: tex-japanese = %{epoch}:svn30855.1.3.obsolete
Provides: texlive-japanese = %{epoch}:svn30855.1.3.obsolete
Obsoletes: texlive-japanese <= 6:svn30855.1.3
Provides: tex-japanese-doc = %{epoch}:svn30855.1.3.obsolete
Provides: texlive-japanese-doc = %{epoch}:svn30855.1.3.obsolete
Obsoletes: texlive-japanese-doc <= 6:svn30855.1.3
Provides: texlive-getargs = %{epoch}:svn41415.obsolete
Obsoletes: texlive-getargs <= 6:svn41415
Summary: This package handles obsolete texlive subpackages

%description obsolete
This package is a metapackage which handles obsolete texlive subpackages.
It does not contain the contents of the packages that it obsoletes.

%package collection-mathscience
Summary: Mathematics, natural sciences, computer science packages
Provides: texlive-collection-science = %{epoch}:svn39074.obsolete
Obsoletes: texlive-collection-science <= 6:svn39074
Provides: texlive-collection-mathextra = %{epoch}:svn40076.obsolete
Obsoletes: texlive-collection-mathextra <= 6:svn40076
Requires: texlive-base
Requires: texlive-collection-fontsrecommended
Requires: texlive-collection-latex
Requires: texlive-12many
Requires: texlive-SIstyle
Requires: texlive-SIunits
Requires: texlive-alg
Requires: texlive-algobox
Requires: texlive-algorithm2e
Requires: texlive-algorithmicx
Requires: texlive-algorithms
Requires: texlive-amstex
Requires: texlive-apxproof
Requires: texlive-autobreak
Requires: texlive-axodraw2
Requires: texlive-backnaur
Requires: texlive-begriff
Requires: texlive-binomexp
Requires: texlive-biocon
Requires: texlive-bitpattern
Requires: texlive-bohr
Requires: texlive-boldtensors
Requires: texlive-bosisio
Requires: texlive-bpchem
Requires: texlive-bropd
Requires: texlive-bytefield
Requires: texlive-calculation
Requires: texlive-ccfonts
Requires: texlive-chemarrow
Requires: texlive-chemcompounds
Requires: texlive-chemcono
Requires: texlive-chemexec
Requires: texlive-chemformula
Requires: texlive-chemgreek
Requires: texlive-chemmacros
Requires: texlive-chemnum
Requires: texlive-chemschemex
Requires: texlive-chemstyle
Requires: texlive-clrscode
Requires: texlive-clrscode3e
Requires: texlive-commath
Requires: texlive-complexity
Requires: texlive-computational-complexity
Requires: texlive-concmath
Requires: texlive-concrete
Requires: texlive-conteq
Requires: texlive-correctmathalign
Requires: texlive-cryptocode
Requires: texlive-delim
Requires: texlive-delimset
Requires: texlive-delimseasy
Requires: texlive-diffcoeff
Requires: texlive-digiconfigs
Requires: texlive-dijkstra
Requires: texlive-drawmatrix
Requires: texlive-drawstack
Requires: texlive-dyntree
Requires: texlive-ebproof
Requires: texlive-econometrics
Requires: texlive-eltex
Requires: texlive-emf
Requires: texlive-endiagram
Requires: texlive-engtlc
Requires: texlive-eqnarray
Requires: texlive-eqnnumwarn
Requires: texlive-extarrows
Requires: texlive-extpfeil
Requires: texlive-faktor
Requires: texlive-fnspe
Requires: texlive-fouridx
Requires: texlive-functan
Requires: texlive-galois
Requires: texlive-gastex
Requires: texlive-gene-logic
Requires: texlive-ghsystem
Requires: texlive-gotoh
Requires: texlive-grundgesetze
Requires: texlive-gu
Requires: texlive-hep
Requires: texlive-hepnames
Requires: texlive-hepparticles
Requires: texlive-hepthesis
Requires: texlive-hepunits
Requires: texlive-interval
Requires: texlive-ionumbers
Requires: texlive-isomath
Requires: texlive-karnaugh
Requires: texlive-karnaugh-map
Requires: texlive-karnaughmap
Requires: texlive-logicproof
Requires: texlive-longdivision
Requires: texlive-lpform
Requires: texlive-lplfitch
Requires: texlive-lstbayes
Requires: texlive-mathcomp
Requires: texlive-mathpartir
Requires: texlive-mathpunctspace
Requires: texlive-matlab-prettifier
Requires: texlive-mattens
Requires: texlive-mgltex
Requires: texlive-mhchem
Requires: texlive-mhequ
Requires: texlive-miller
Requires: texlive-multiobjective
Requires: texlive-mychemistry
Requires: texlive-natded
Requires: texlive-nath
Requires: texlive-nuc
Requires: texlive-nucleardata
Requires: texlive-objectz
Requires: texlive-oplotsymbl
Requires: texlive-ot-tableau
Requires: texlive-oubraces
Requires: texlive-perfectcut
Requires: texlive-physics
Requires: texlive-prftree
Requires: texlive-proba
Requires: texlive-prooftrees
Requires: texlive-pseudocode
Requires: texlive-pygmentex
Requires: texlive-pythonhighlight
Requires: texlive-rec-thy
Requires: texlive-revquantum
Requires: texlive-ribbonproofs
Requires: texlive-rmathbr
Requires: texlive-sasnrdisplay
Requires: texlive-sciposter
Requires: texlive-sclang-prettifier
Requires: texlive-scratchx
Requires: texlive-sesamanuel
Requires: texlive-sfg
Requires: texlive-shuffle
Requires: texlive-simpler-wick
Requires: texlive-simplewick
Requires: texlive-siunitx
Requires: texlive-skmath
Requires: texlive-spalign
Requires: texlive-stanli
Requires: texlive-statex
Requires: texlive-statex2
Requires: texlive-steinmetz
Requires: texlive-stmaryrd
Requires: texlive-struktex
Requires: texlive-substances
Requires: texlive-subsupscripts
Requires: texlive-susy
Requires: texlive-syllogism
Requires: texlive-sympytexpackage
Requires: texlive-synproof
Requires: texlive-t-angles
Requires: texlive-tablor
Requires: texlive-tensor
Requires: texlive-tex-ewd
Requires: texlive-textgreek
Requires: texlive-textopo
Requires: texlive-thmbox
Requires: texlive-turnstile
Requires: texlive-ulqda
Requires: texlive-unitsdef
Requires: texlive-venn
Requires: texlive-witharrows
Requires: texlive-xymtex
Requires: texlive-yhmath
Requires: texlive-youngtab
Requires: texlive-ytableau

%description collection-mathscience
Mathematics, natural sciences, computer science packages

%package collection-plaingeneric
Summary: Plain (La)TeX packages
Version: svn44986
Provides: texlive-collection-genericrecommended = svn35655.0.obsolete
Obsoletes: texlive-collection-genericrecommended <= svn35655.0
Provides: texlive-collection-genericextra = svn39964.obsolete
Obsoletes: texlive-collection-genericextra <= svn39964
Provides: texlive-collection-plainextra = svn37156.0.obsolete
Obsoletes: texlive-collection-plainextra <= svn37156.0
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-abbr
Requires: texlive-abstyles
Requires: texlive-apnum
Requires: texlive-autoaligne
Requires: texlive-barr
Requires: texlive-bitelist
Requires: texlive-borceux
Requires: texlive-c-pascal
Requires: texlive-catcodes
Requires: texlive-chronosys
Requires: texlive-colorsep
Requires: texlive-dinat
Requires: texlive-dirtree
Requires: texlive-docbytex
Requires: texlive-dowith
Requires: texlive-eijkhout
Requires: texlive-encxvlna
Requires: texlive-epigram
Requires: texlive-epsf
Requires: texlive-epsf-dvipdfmx
Requires: texlive-fenixpar
Requires: texlive-figflow
Requires: texlive-fixpdfmag
Requires: texlive-fltpoint
Requires: texlive-fntproof
Requires: texlive-font-change
Requires: texlive-fontch
Requires: texlive-fontname
Requires: texlive-gates
Requires: texlive-genmisc
Requires: texlive-getoptk
Requires: texlive-gfnotation
Requires: texlive-gobble
Requires: texlive-graphics-pln
Requires: texlive-gtl
Requires: texlive-hlist
Requires: texlive-hyplain
Requires: texlive-ifetex
Requires: texlive-iftex
Requires: texlive-insbox
Requires: texlive-js-misc
Requires: texlive-kastrup
Requires: texlive-lambda-lists
Requires: texlive-langcode
Requires: texlive-lecturer
Requires: texlive-librarian
Requires: texlive-listofitems
Requires: texlive-mathdots
Requires: texlive-metatex
Requires: texlive-midnight
Requires: texlive-mkpattern
Requires: texlive-multido
Requires: texlive-navigator
Requires: texlive-newsletr
Requires: texlive-ofs
Requires: texlive-olsak-misc
Requires: texlive-path
Requires: texlive-pdf-trans
Requires: texlive-pitex
Requires: texlive-placeins-plain
Requires: texlive-plainpkg
Requires: texlive-plipsum
Requires: texlive-plnfss
Requires: texlive-plstmary
Requires: texlive-present
Requires: texlive-randomlist
Requires: texlive-resumemac
Requires: texlive-schemata
Requires: texlive-shade
Requires: texlive-simplekv
Requires: texlive-systeme
Requires: texlive-tabto-generic
Requires: texlive-termmenu
Requires: texlive-tex-ps
Requires: texlive-tex4ht
Requires: texlive-texapi
Requires: texlive-texinfo
Requires: texlive-timetable
Requires: texlive-tracklang
Requires: texlive-treetex
Requires: texlive-trigonometry
Requires: texlive-ulem
Requires: texlive-upca
Requires: texlive-varisize
Requires: texlive-xii-doc
Requires: texlive-xlop
Requires: texlive-yax

%description collection-plaingeneric
Add-on packages and macros that work with plain TeX, often LaTeX, and 
occasionally other formats.

%package listofitems
Summary: Grab items in lists using user-specified sep char
Version: svn45494
License: LPPL
Requires: texlive-base, texlive-kpathsea
Provides: tex(listofitems.sty) = %{tl_version}
Provides: tex(listofitems.tex) = %{tl_version}

%description listofitems
This simple package is designed to read a list of items whose
parsing character may be selected by the user. Once the list is
read, its items are stored in a structure that behaves as a
dimensioned array. As such, it becomes very easy to access an
item in the list by its number. For example, if the list is
stored in the macro \foo, the item #3 is designated by \foo[3].
A component may, in turn, be a list with a parsing delimiter
different from the parent list, paving the way for nesting and
employing a syntax reminiscent of an array of several
dimensions of the type \foo[3,2] to access the item #2 of the
list contained within the item #3 of the top-tier list.

%package abnt
Summary: Typesetting academic works according to ABNT rules
Version: svn45655
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(abnt.sty) = %{tl_version}

%description abnt
The ABNT package provides a clean and practical implementation
of the ABNT rules for academic texts. Its purpose is to be as
simple and user-friendly as possible.

%package actuarialsymbol
Summary: Actuarial symbols of life contingencies and financial mathematics
Version: svn44607
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(actuarialsymbol.sty) = %{tl_version}

%description actuarialsymbol
This package provides commands to compose actuarial symbols of
life contingencies and financial mathematics characterized by
subscripts and superscripts on both sides of a principal
symbol. The package also features commands to easily and
consistently position precedence numbers above or below
statuses in symbols for multiple lives contracts. Since the
actuarial notation can get quite involved, the package defines
a number of shortcut macros to ease entry of the most common
elements. Appendix A of the package documentation lists the
commands to typeset a large selection of symbols of life
contingencies. This package requires actuarialangle.

%package addfont
Summary: easier use of fonts without LaTeX support
Version: svn41972
License: GPLv3
Requires: texlive-base texlive-kpathsea
Provides: tex(addfont.sty) = %{tl_version}

%description addfont
This package is intended for use by users who know about fonts.
It is a quick-fix for fonts which does not have genuine LaTeX
support. It is not meant as a replacement of the LaTeX font
definition files. It is meant as something more useable for
LaTeX users than the \newfont command. With addfont the loaded
font scales along with the usual LaTeX size selection. Using
this package still requires some knowledge on how to use fonts
with LaTeX.

%package algolrevived
Summary: A revival of Frutiger's Algol alphabet
Version: svn44784
License: OFL and LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(zal_2yvryp.enc) = %{tl_version}
Provides: tex(zal_45q3lq.enc) = %{tl_version}
Provides: tex(zal_6samag.enc) = %{tl_version}
Provides: tex(zal_7ov2yu.enc) = %{tl_version}
Provides: tex(zal_amjsul.enc) = %{tl_version}
Provides: tex(zal_cldq6x.enc) = %{tl_version}
Provides: tex(zal_du2clj.enc) = %{tl_version}
Provides: tex(zal_ekxevm.enc) = %{tl_version}
Provides: tex(zal_exbmso.enc) = %{tl_version}
Provides: tex(zal_funcu6.enc) = %{tl_version}
Provides: tex(zal_gyqugr.enc) = %{tl_version}
Provides: tex(zal_hg4hay.enc) = %{tl_version}
Provides: tex(zal_krbsfx.enc) = %{tl_version}
Provides: tex(zal_lxmhqh.enc) = %{tl_version}
Provides: tex(zal_ly2wza.enc) = %{tl_version}
Provides: tex(zal_o7qsmw.enc) = %{tl_version}
Provides: tex(zal_plrp6e.enc) = %{tl_version}
Provides: tex(zal_qttkt5.enc) = %{tl_version}
Provides: tex(zal_r25n3d.enc) = %{tl_version}
Provides: tex(zal_teidbm.enc) = %{tl_version}
Provides: tex(zal_wkwfu6.enc) = %{tl_version}
Provides: tex(zal_wl6hk2.enc) = %{tl_version}
Provides: tex(zal_xnjnii.enc) = %{tl_version}
Provides: tex(zal_ys7y36.enc) = %{tl_version}
Provides: tex(algolrevived.map) = %{tl_version}
Provides: tex(AlgolRevived-Medium.otf) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted.otf) = %{tl_version}
Provides: tex(AlgolRevived-Slanted.otf) = %{tl_version}
Provides: tex(AlgolRevived.otf) = %{tl_version}
Provides: tex(AlgolRevived-Medium-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-inf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-inf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-sup-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-inf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-sup-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-inf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-inf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-inf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-inf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-sup-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-sup-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-sup-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-sup-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-tlf-ly1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-tlf-ot1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(AlgolRevived-tlf-t1.tfm) = %{tl_version}
Provides: tex(AlgolRevived-Medium.pfb) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted.pfb) = %{tl_version}
Provides: tex(AlgolRevived-Slanted.pfb) = %{tl_version}
Provides: tex(AlgolRevived.pfb) = %{tl_version}
Provides: tex(algolrevived.sty) = %{tl_version}
Provides: tex(AlgolRevived-Medium-inf-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-inf-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-sup-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-MediumSlanted-tlf-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-inf-ly1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-inf-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-sup-ly1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-sup-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-tlf-ly1.vf) = %{tl_version}
Provides: tex(AlgolRevived-Slanted-tlf-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-inf-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-sup-t1.vf) = %{tl_version}
Provides: tex(AlgolRevived-tlf-t1.vf) = %{tl_version}
Provides: tex(LY1AlgolRevived-Inf.fd) = %{tl_version}
Provides: tex(LY1AlgolRevived-Sup.fd) = %{tl_version}
Provides: tex(LY1AlgolRevived-TLF.fd) = %{tl_version}
Provides: tex(OT1AlgolRevived-Inf.fd) = %{tl_version}
Provides: tex(OT1AlgolRevived-Sup.fd) = %{tl_version}
Provides: tex(OT1AlgolRevived-TLF.fd) = %{tl_version}
Provides: tex(T1AlgolRevived-Inf.fd) = %{tl_version}
Provides: tex(T1AlgolRevived-Sup.fd) = %{tl_version}
Provides: tex(T1AlgolRevived-TLF.fd) = %{tl_version}
Provides: tex(TS1AlgolRevived-TLF.fd) = %{tl_version}

%description algolrevived
The package revives Frutinger's Algol alphabet, designed in
1963 for the code segments in an ALGOL manual. OpenType and
type1, regular and medium weights, upright and slanted. Not
monospaced, but good for listings if you don't need code to be
aligned with specific columns. It also makes a passable but
limited text font.

%package alkalami
Summary: A font for Arabic-based writing systems in Nigeria and Niger
Version: svn44497
License: OFL
Requires: texlive-base texlive-kpathsea
Provides: tex(Alkalami-Light.ttf) = %{tl_version}
Provides: tex(Alkalami-Regular.ttf) = %{tl_version}

%description alkalami
This font is designed for Arabic-based writing systems in the
Kano region of Nigeria and Niger.

%package apalike-german
Summary: A copy of apalike.bst with German localization
Version: svn42045
License: LPPL
Requires: texlive-base texlive-kpathsea

%description apalike-german
A copy of apalike.bst with German localization.

%package arimo
Summary: Arimo sans serif fonts with LaTeX support
Version: svn42880
License: ASL 2.0
Requires: texlive-base texlive-kpathsea
Provides: tex(arm_7miqnq.enc) = %{tl_version}
Provides: tex(arm_c3z4r2.enc) = %{tl_version}
Provides: tex(arm_f4duzd.enc) = %{tl_version}
Provides: tex(arm_l3opzb.enc) = %{tl_version}
Provides: tex(arimo.map) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Arimo-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Arimo-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Arimo-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Arimo-tlf-t1.tfm) = %{tl_version}
Provides: tex(Arimo-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Arimo-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Arimo-Bold.ttf) = %{tl_version}
Provides: tex(Arimo-BoldItalic.ttf) = %{tl_version}
Provides: tex(Arimo-Italic.ttf) = %{tl_version}
Provides: tex(Arimo-Regular.ttf) = %{tl_version}
Provides: tex(Arimo-Bold.pfb) = %{tl_version}
Provides: tex(Arimo-BoldItalic.pfb) = %{tl_version}
Provides: tex(Arimo-Italic.pfb) = %{tl_version}
Provides: tex(Arimo.pfb) = %{tl_version}
Provides: tex(arimo.sty) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Arimo-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Arimo-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Arimo-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Arimo-tlf-t1.vf) = %{tl_version}
Provides: tex(Arimo-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1Arimo-TLF.fd) = %{tl_version}
Provides: tex(OT1Arimo-TLF.fd) = %{tl_version}
Provides: tex(T1Arimo-TLF.fd) = %{tl_version}
Provides: tex(TS1Arimo-TLF.fd) = %{tl_version}

%description arimo
The Arimo family, designed by Steve Matteson, is an innovative,
refreshing sans serif design which is metrically compatible
with Arial.

%package arphic-ttf
Summary: TrueType version of Chinese Arphic fonts
Version: svn42675
License: Arphic
Requires: texlive-base texlive-kpathsea
Provides: tex(bkai00mp.ttf) = %{tl_version}
Provides: tex(bsmi00lp.ttf) = %{tl_version}
Provides: tex(gbsn00lp.ttf) = %{tl_version}
Provides: tex(gkai00mp.ttf) = %{tl_version}

%description arphic-ttf
This package provides TrueType versions of the Chinese Arphic
fonts for use with XeLaTeX and LuaLaTeX. Type1 versions of
these fonts, for use with pdfLaTeX and the cjk package, are
provided by the arphic package. Arphic is actually the name of
the company which created these fonts.

%package asymptote-by-example-zh-cn-doc
Summary: doc files of asymptote-by-example-zh-cn
Version: svn15878
License: GPLv3+

%description asymptote-by-example-zh-cn-doc
Chinese translation of asymptote by example.

%package asymptote-faq-zh-cn-doc
Summary: doc files of asymptote-faq-zh-cn
Version: svn15878
License: GPLv3+

%description asymptote-faq-zh-cn-doc
Chinese translation of asymptote faq.

%package asymptote-manual-zh-cn-doc
Summary: doc files of asymptote-manual-zh-cn
Version: svn15878
License: GPLv3+

%description asymptote-manual-zh-cn-doc
Chinese translation of asymptote manual.

%package aucklandthesis
Summary: Memoir-based class for formatting University of Auckland masters' and doctors' theses.
Version: svn41506
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(aucklandthesis.cls) = %{tl_version}

%description aucklandthesis
A memoir-based class for formatting University of Auckland
masters' and doctors' thesis dissertations in any discipline.
The title page does not handle short dissertations for
diplomas.

%package aurl
Summary: Extends the hyperref package with a mechanism for hyperlinked URLs abbreviated with prefixes
Version: svn41853
License: Public Domain
Requires: texlive-base texlive-kpathsea
Provides: tex(aurl.sty) = %{tl_version}

%description aurl
Semantic Web resource URLs are often abbreviated with prefixes,
like "owl:Class" or "rdf:type". The abbreviated URL (aurl)
package provides the correct hyperlinks for those URLs. The
1000 most common prefixes are predefined and more can be added.

%package awesomebox
Summary: Draw admonition blocks in your documents, illustrated with FontAwesome icons
Version: svn44131
License: WTFPL
Requires: texlive-base texlive-kpathsea
Provides: tex(awesomebox.sty) = %{tl_version}

%description awesomebox
Awesome Boxes is all about drawing admonition blocks around
text to inform or alert readers about something particular. The
specific aim of this package is to use FontAwesome icons to
ease the illustration of these blocks. This package requires
FontAwesome and XeLaTeX or LuaLaTeX.

%package babel-azerbaijani
Summary: Support for Azerbaijani within babel
Version: svn44197
License: LPPL
Requires: texlive-base texlive-kpathsea

%description babel-azerbaijani
This is the babel style for Azerbaijani. This language poses
special challenges because no "traditional" font encoding
contains the full character set, and therefore a mixture must
be used (e.g., T2A and T1). This package is compatible with
Unicode engines (LuaTeX, XeTeX), which are very likely the most
convenient way to write Azerbaijani documents.

%package baekmuk
Summary: Baekmuk Korean TrueType fonts
Version: svn42106
License: Baekmuk
Requires: texlive-base texlive-kpathsea
Provides: tex(batang.ttf) = %{tl_version}
Provides: tex(dotum.ttf) = %{tl_version}
Provides: tex(gulim.ttf) = %{tl_version}
Provides: tex(hline.ttf) = %{tl_version}

%description baekmuk
Baekmuk TrueType fonts (Korean) These fonts were retrieved from
http://kldp.net/baekmuk/

%package bangorexam
Summary: Typeset an examination at Bangor University
Version: svn45507
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(bangorexam.cls) = %{tl_version}

%description bangorexam
The package allows typesetting of Bangor Univesity's exam
style. It currently supports a standard A/B choice, A-only
compulsory and 'n' from 'm' exam styles. Marks are totalled and
checked automatically.

%package baskervillef
Summary: Fry's Baskerville look-alike, with math support
Version: svn45651
License: OFL and LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(zba_3oppw2.enc) = %{tl_version}
Provides: tex(zba_4scfns.enc) = %{tl_version}
Provides: tex(zba_523v7l.enc) = %{tl_version}
Provides: tex(zba_66iezk.enc) = %{tl_version}
Provides: tex(zba_6emqgt.enc) = %{tl_version}
Provides: tex(zba_6mhi2z.enc) = %{tl_version}
Provides: tex(zba_77ryg7.enc) = %{tl_version}
Provides: tex(zba_7yyqda.enc) = %{tl_version}
Provides: tex(zba_a6zfty.enc) = %{tl_version}
Provides: tex(zba_adnnkl.enc) = %{tl_version}
Provides: tex(zba_ahcsm7.enc) = %{tl_version}
Provides: tex(zba_b5lrlg.enc) = %{tl_version}
Provides: tex(zba_bnmcfu.enc) = %{tl_version}
Provides: tex(zba_bue3wb.enc) = %{tl_version}
Provides: tex(zba_bvbtx2.enc) = %{tl_version}
Provides: tex(zba_cgvvj5.enc) = %{tl_version}
Provides: tex(zba_csuamn.enc) = %{tl_version}
Provides: tex(zba_cvjygd.enc) = %{tl_version}
Provides: tex(zba_cyyuxb.enc) = %{tl_version}
Provides: tex(zba_dzrx7a.enc) = %{tl_version}
Provides: tex(zba_e3xw3x.enc) = %{tl_version}
Provides: tex(zba_e6c7a3.enc) = %{tl_version}
Provides: tex(zba_eurn55.enc) = %{tl_version}
Provides: tex(zba_evqzha.enc) = %{tl_version}
Provides: tex(zba_fj77ru.enc) = %{tl_version}
Provides: tex(zba_hkkd2g.enc) = %{tl_version}
Provides: tex(zba_hljrbf.enc) = %{tl_version}
Provides: tex(zba_i3q27v.enc) = %{tl_version}
Provides: tex(zba_i5fury.enc) = %{tl_version}
Provides: tex(zba_igqvi4.enc) = %{tl_version}
Provides: tex(zba_invrxa.enc) = %{tl_version}
Provides: tex(zba_iqxfxn.enc) = %{tl_version}
Provides: tex(zba_iy3fha.enc) = %{tl_version}
Provides: tex(zba_iy3qnl.enc) = %{tl_version}
Provides: tex(zba_jayro7.enc) = %{tl_version}
Provides: tex(zba_jesydd.enc) = %{tl_version}
Provides: tex(zba_kb3ura.enc) = %{tl_version}
Provides: tex(zba_kodzea.enc) = %{tl_version}
Provides: tex(zba_koujiy.enc) = %{tl_version}
Provides: tex(zba_kqfmr4.enc) = %{tl_version}
Provides: tex(zba_kragcu.enc) = %{tl_version}
Provides: tex(zba_kua26b.enc) = %{tl_version}
Provides: tex(zba_kuzvvg.enc) = %{tl_version}
Provides: tex(zba_ljx3jq.enc) = %{tl_version}
Provides: tex(zba_lwrbox.enc) = %{tl_version}
Provides: tex(zba_m3z5kj.enc) = %{tl_version}
Provides: tex(zba_mebvzg.enc) = %{tl_version}
Provides: tex(zba_mevjdz.enc) = %{tl_version}
Provides: tex(zba_n43ddx.enc) = %{tl_version}
Provides: tex(zba_n4mxmz.enc) = %{tl_version}
Provides: tex(zba_nvjtae.enc) = %{tl_version}
Provides: tex(zba_o2tifi.enc) = %{tl_version}
Provides: tex(zba_o6dtj2.enc) = %{tl_version}
Provides: tex(zba_owa6ha.enc) = %{tl_version}
Provides: tex(zba_owjda7.enc) = %{tl_version}
Provides: tex(zba_oxcsv2.enc) = %{tl_version}
Provides: tex(zba_oyegn6.enc) = %{tl_version}
Provides: tex(zba_p3pzma.enc) = %{tl_version}
Provides: tex(zba_pjh6nq.enc) = %{tl_version}
Provides: tex(zba_pqfamk.enc) = %{tl_version}
Provides: tex(zba_q37ime.enc) = %{tl_version}
Provides: tex(zba_qleltn.enc) = %{tl_version}
Provides: tex(zba_qptswd.enc) = %{tl_version}
Provides: tex(zba_qycpdj.enc) = %{tl_version}
Provides: tex(zba_rqwz3b.enc) = %{tl_version}
Provides: tex(zba_s6fzkp.enc) = %{tl_version}
Provides: tex(zba_sb5wfb.enc) = %{tl_version}
Provides: tex(zba_sqc4ly.enc) = %{tl_version}
Provides: tex(zba_t5goht.enc) = %{tl_version}
Provides: tex(zba_t7zhq6.enc) = %{tl_version}
Provides: tex(zba_taxp3x.enc) = %{tl_version}
Provides: tex(zba_tjuaha.enc) = %{tl_version}
Provides: tex(zba_tqvuvp.enc) = %{tl_version}
Provides: tex(zba_twn2qn.enc) = %{tl_version}
Provides: tex(zba_u24co6.enc) = %{tl_version}
Provides: tex(zba_uf7ozb.enc) = %{tl_version}
Provides: tex(zba_vaofbk.enc) = %{tl_version}
Provides: tex(zba_ve4agh.enc) = %{tl_version}
Provides: tex(zba_vezlo5.enc) = %{tl_version}
Provides: tex(zba_vunabj.enc) = %{tl_version}
Provides: tex(zba_wcz3px.enc) = %{tl_version}
Provides: tex(zba_wdfmp4.enc) = %{tl_version}
Provides: tex(zba_xlbenp.enc) = %{tl_version}
Provides: tex(zba_xt7x67.enc) = %{tl_version}
Provides: tex(zba_xucdkt.enc) = %{tl_version}
Provides: tex(zba_z5rfyo.enc) = %{tl_version}
Provides: tex(zba_zfeutd.enc) = %{tl_version}
Provides: tex(zba_zn4iv3.enc) = %{tl_version}
Provides: tex(zba_zptsj3.enc) = %{tl_version}
Provides: tex(zba_zygn7r.enc) = %{tl_version}
Provides: tex(BaskervilleF.map) = %{tl_version}
Provides: tex(BaskervilleF-Bold.otf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic.otf) = %{tl_version}
Provides: tex(BaskervilleF-Italic.otf) = %{tl_version}
Provides: tex(BaskervilleF-Regular.otf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-alph.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-alph.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-dnom-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-th-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-th-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-th-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-th-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-th-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-th-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-th-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-th-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-th-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-th-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-th-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-th-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-th-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-th-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-th-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-th-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-th-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Italic.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-dnom-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-dnom-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-dnom-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ot1G.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-swash-ly1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-swash-ly1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-swash-ot1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-swash-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-swash-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Regular.tfm) = %{tl_version}
Provides: tex(zbabmi.tfm) = %{tl_version}
Provides: tex(zbami.tfm) = %{tl_version}
Provides: tex(BaskervilleF-Bold.pfb) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic.pfb) = %{tl_version}
Provides: tex(BaskervilleF-Italic.pfb) = %{tl_version}
Provides: tex(BaskervilleF-Regular.pfb) = %{tl_version}
Provides: tex(baskervillef.sty) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ot1G.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ot1G.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-dnom-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-dnom-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-th-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-th-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-th-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-th-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ot1G.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-th-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-th-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-th-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-th-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-dnom-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-dnom-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ot1G.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-swash-ly1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-swash-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(BaskervilleF-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(zbabmi.vf) = %{tl_version}
Provides: tex(zbami.vf) = %{tl_version}
Provides: tex(LY1BaskervilleF-Dnom.fd) = %{tl_version}
Provides: tex(LY1BaskervilleF-LF.fd) = %{tl_version}
Provides: tex(LY1BaskervilleF-OsF.fd) = %{tl_version}
Provides: tex(LY1BaskervilleF-Sup.fd) = %{tl_version}
Provides: tex(LY1BaskervilleF-TLF.fd) = %{tl_version}
Provides: tex(LY1BaskervilleF-TOsF.fd) = %{tl_version}
Provides: tex(OT1BaskervilleF-Dnom.fd) = %{tl_version}
Provides: tex(OT1BaskervilleF-LF.fd) = %{tl_version}
Provides: tex(OT1BaskervilleF-OsF.fd) = %{tl_version}
Provides: tex(OT1BaskervilleF-Sup.fd) = %{tl_version}
Provides: tex(OT1BaskervilleF-TLF.fd) = %{tl_version}
Provides: tex(OT1BaskervilleF-TOsF.fd) = %{tl_version}
Provides: tex(T1BaskervilleF-Dnom.fd) = %{tl_version}
Provides: tex(T1BaskervilleF-LF.fd) = %{tl_version}
Provides: tex(T1BaskervilleF-OsF.fd) = %{tl_version}
Provides: tex(T1BaskervilleF-Sup.fd) = %{tl_version}
Provides: tex(T1BaskervilleF-TLF.fd) = %{tl_version}
Provides: tex(T1BaskervilleF-TOsF.fd) = %{tl_version}
Provides: tex(TS1BaskervilleF-LF.fd) = %{tl_version}
Provides: tex(TS1BaskervilleF-OsF.fd) = %{tl_version}
Provides: tex(TS1BaskervilleF-TLF.fd) = %{tl_version}
Provides: tex(TS1BaskervilleF-TOsF.fd) = %{tl_version}
Provides: tex(omlzbami.fd) = %{tl_version}

%description baskervillef
BaskervilleF is a fork from the Libre Baskerville fonts (Roman,
Italic, Bold only) released under the OFL by Paolo Impallari
and Rodrigo Fuenzalida. Their fonts are optimized for web
usage, while BaskervilleF is optimized for traditional TeX
usage, normally destined for production of pdf files. A bold
italic style was added and mathematical support is offered as
an option to newtxmath.

%package beamerswitch
Summary: Convenient mode selection in Beamer documents
Version: svn46042
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(beamerswitch.cls) = %{tl_version}

%description beamerswitch
This class is a wrapper around the beamer class to make it
easier to use the same document to generate the different forms
of the presentation: the slides themselves, an abbreviated
slide set for transparencies or online reference, an n-up
handout version (various layouts are provided), and a
transcript or set of notes using the article class. The class
provides a variety of handout layouts, and allows the mode to
be chosen from the command line (without changing the document
itself).

%package beilstein
Summary: Support for submissions to the "Beilstein Journal of Nanotechnology"
Version: svn46503
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(beilstein.cls) = %{tl_version}

%description beilstein
The package provides a LaTeX class file and a BibTeX style file
in accordance with the requirements of submissions to the
``Beilstein Journal of Nanotechnology''. Although the files can
be used for any kind of document, they have only been designed
and tested to be suitable for submissions to the Beilstein
Journal of Nanotechnology.

%package beuron
Summary: The script of the Beuronese art school
Version: svn46374
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(beuron.map) = %{tl_version}
Provides: tex(Beuron-Regular.otf) = %{tl_version}
Provides: tex(BeuronCondensed-Regular.otf) = %{tl_version}
Provides: tex(BeuronExtended-Regular.otf) = %{tl_version}
Provides: tex(beuron.tfm) = %{tl_version}
Provides: tex(beuronc.tfm) = %{tl_version}
Provides: tex(beuronx.tfm) = %{tl_version}
Provides: tex(beuron.pfb) = %{tl_version}
Provides: tex(beuronc.pfb) = %{tl_version}
Provides: tex(beuronx.pfb) = %{tl_version}
Provides: tex(beuron.sty) = %{tl_version}
Provides: tex(t1beuron.fd) = %{tl_version}

%description beuron
This package provides the script used in the works of the
Beuron art school for use with TeX and LaTeX. It is a
monumental script consisting of capital letters only. The fonts
are provided as Metafont sources, in the Type1 and in the
OpenType format. The package includes suitable font selection
commands for use with LaTeX.

%package biblatex-cheatsheet-doc
Summary: doc files of biblatex-cheatsheet
Version: svn44685
License: LPPL

%description biblatex-cheatsheet-doc
A BibLaTeX/Biber ‘cheat sheet’ which I wrote because I wanted
one to distribute to students, but couldn’t find an existing one.

%package biblatex-enc
Summary: BibLaTeX style for the Ecole nationale des chartes (Paris)
Version: svn44627
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(enc.bbx) = %{tl_version}
Provides: tex(enc.cbx) = %{tl_version}

%description biblatex-enc
This package provides a citation and bibliography style for use
with BibLaTeX. It conforms to the bibliographic standards used
at the Ecole nationale des chartes (Paris), and may be suitable
for a more general use in historical and philological works.
The package was initially derived from historische-zeitschrift,
with the necessary modifications.

%package biblatex-gb7714-2015
Summary: A BibLaTeX implementation of the GBT7714-2015 bibliography style for Chinese users
Version: svn44750
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(gb7714-2015.bbx) = %{tl_version}
Provides: tex(gb7714-2015.cbx) = %{tl_version}
Provides: tex(gb7714-2015ay.bbx) = %{tl_version}
Provides: tex(gb7714-2015ay.cbx) = %{tl_version}

%description biblatex-gb7714-2015
This package provides an implementation of the GBT7714-2015
bibliography style. This implementation follows GBT7714-2015
standard and can be used by simply loading BibLaTeX with the
appropriate option. A demonstration database is provided to
show how to format input for the style.

%package biblatex-oxref
Summary: BibLaTeX styles inspired by the Oxford Guide to Style
Version: svn44385
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(oxnotes.bbx) = %{tl_version}
Provides: tex(oxnotes.cbx) = %{tl_version}
Provides: tex(oxnotes.dbx) = %{tl_version}
Provides: tex(oxref.bbx) = %{tl_version}
Provides: tex(oxyear.bbx) = %{tl_version}
Provides: tex(oxyear.cbx) = %{tl_version}
Provides: tex(oxyear.dbx) = %{tl_version}

%description biblatex-oxref
This bundle provides two BibLaTeX styles that implement (many
of) the stipulations and examples provided by the 2014 New
Hart's Rules and the 2002 Oxford Guide to Style: oxnotes is a
style similar to the standard verbose, intended for use with
footnotes; oxyear is a style similar to the standard
authoryear, intended for use with parenthetical in-text
citations. It provides support for a wide variety of content
types, including manuscripts, audiovisual resources, social
media and legal references.

%package biblatex-sbl
Summary: Society of Biblical Literature (SBL) style files for BibLaTeX
Version: svn42972
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(biblatex-sbl.def) = %{tl_version}
Provides: tex(sbl-paper.sty) = %{tl_version}
Provides: tex(sbl.bbx) = %{tl_version}
Provides: tex(sbl.cbx) = %{tl_version}
Provides: tex(sbl.dbx) = %{tl_version}

%description biblatex-sbl
The package provides BibLaTeX support for citations in the
format specified by the second edition of the Society of
Biblical Literature (SBL) Handbook of Style. All example notes
and bibliography entries from the handbook are supported and
shown in an example file. A style file for writing SBL student
papers is also included.

%package biblatex-shortfields
Summary: Use short forms of fields with BibLaTeX
Version: svn43738
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(biblatex-shortfields.sty) = %{tl_version}

%description biblatex-shortfields
The BibLaTeX package provides shortseries and shortjournal
field, but the default styles don't use them. It also provides
a mechanism to print the equivalence between short forms of
fields and long fields (\printbiblist), but this mechanism does
not allow to mix between different type of short fields, for
example, between short forms of journal title and short forms
of series titles. This package provides a solution to these two
problems: If a shortjournal field is defined, it prints it
instead of the \journal field. If a shortseries field is
defined, it prints it instead of the \series field. It provides
a \printbibshortfields command to print a list of the sort
forms of the fields. This list also includes the claves defined
with the biblatex-claves package version 1.2 or later.

%package binarytree
Summary: Drawing binary trees using TikZ
Version: svn41777
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(binarytree.sty) = %{tl_version}

%description binarytree
This package provides an easy but flexible way to draw binary
trees using TikZ. A path specification and the setting of
various options determine the style for each edge of the tree.
There is support for the external library of TikZ which does
not affect externalization of the rest of the TikZ figures in
the document. There is an option to use automatic file naming:
useful if the trees are often moved around.

%package biochemistry-colors
Summary: Colors used to display amino acids, nucleotides, sugars or atoms in biochemistry
Version: svn43960
License: LPPL and GPL+
Requires: texlive-base texlive-kpathsea
Provides: tex(Biochemistry-colors.sty) = %{tl_version}

%description biochemistry-colors
Biochemistry-colors.sty defines the standard colors of
biochemistry for use with the color package and the xcolor
package. xcolor is loaded by Biochemistry-colors.sty. Colors
include: Shapely-colors for amino acids and nucleotides. CPK-
Colors (Corey, Pauling and Koltun) of elements. Jmol-colors of
elements, important isotopes and structures. Glycopedia colors
for sugars.

%package biolett-bst
Summary: A BibTeX style for the journal "Biology Letters"
Version: svn42217
License: LPPL
Requires: texlive-base texlive-kpathsea

%description biolett-bst
This package provides a BibTeX style (.bst) file for the
journal "Biology Letters" published by the Royal Society. This
style was produced independently and hence has no formal
approval from the Royal Society.

%package bredzenie
Summary: a Polish version of "lorem ipsum..." in the form of a LaTeX package
Version: svn44371
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(bredzenie.sty) = %{tl_version}

%description bredzenie
This is a polish version of the classic pseudo-Latin "lorem
ipsum dolor sit amet...". It provides access to several
paragraphs of pseudo-Polish generated with Hidden Markov Models
and Recurrent Neural Networks trained on a corpus of Polish.

%package bxcalc
Summary: To extend the functionality of the calc package
Version: svn44514
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(bxcalc.sty) = %{tl_version}
Provides: tex(bxcalcize.sty) = %{tl_version}
Provides: tex(bxcalcux.sty) = %{tl_version}

%description bxcalc
This package bundle consists of the following packages:
bxcalcize: To make calc expressions available in more places.
bxcalcux: To add user-defined units to the calc syntax. In
addition, this bundle provides the bxcalc package, which simply
loads the above-mentioned packages internally.

%package bxjalipsum
Summary: Dummy text in Japanese
Version: svn43369
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(bxjalipsum.sty) = %{tl_version}

%description bxjalipsum
This package enables users to print some Japanese text that can
be used as dummy text. It is a Japanese counterpart of the
lipsum package. Since there is no well-known nonsense text like
Lipsum in the Japanese language, the package uses some real
text in public domain.

%package bxjaprnind
Summary: Adjust the position of parentheses at paragraph head
Version: svn45291
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(bxjaprnind.sty) = %{tl_version}

%description bxjaprnind
In Japanese typesetting, opening parentheses placed at the
beginning of paragraphs or lines are treated specially; for
example, while the paragraph indent before normal kanji
characters is 1em, the indent before parentheses can be 0.5em,
1em or 1.5em deoending on the local rule in effect.

%package bxorigcapt
Summary: To retain the original caption names when using Babel
Version: svn44195
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(bxorigcapt.sty) = %{tl_version}

%description bxorigcapt
This package forces the caption names (`\chaptername`,
`\today`, etc) declared by the document class in use to be used
as the caption names for a specific language introduced by the
Babel package.

%package callouts
Summary: Put simple annotations and notes inside a picture
Version: svn44899
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(callouts.sty) = %{tl_version}

%description callouts
The package defines the annotation environment in which
callouts, notes, arrows, and the like can be placed to describe
certain parts of a picture.

%package cesenaexam
Summary: A class file to typeset exams
Version: svn44960
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(cesenaexam.cls) = %{tl_version}
Provides: tex(cesenaexam.sty) = %{tl_version}

%description cesenaexam
This LaTeX document class has been designed to typeset exams.

%package cheatsheet
Summary: A simple cheatsheet class
Version: svn45069
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(cheatsheet.cls) = %{tl_version}

%description cheatsheet
The package provides a clean, multi-column design intended for
cheat sheets. It imports the most useful packages and encloses
the document in a multicol environment.

%package childdoc
Summary: directly compile \include'd child documents
Version: svn44512
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(childdoc.def) = %{tl_version}

%description childdoc
childdoc is a LaTeX2e package that enables the direct
compilation of document sections included by \include to
individual files.

%package cje
Summary: LaTeX document class for CJE articles
Version: svn44454
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(cje.cls) = %{tl_version}
Provides: tex(cjenatbib.sty) = %{tl_version}
Provides: tex(cjeupmath.sty) = %{tl_version}

%description cje
The cje article class allows authors to format their papers to
Canadian Journal of Economics style with minimum effort. The
class includes options for two other formats: "review" (double
spaced, for use at the submission stage) and "proof" (used by
the typesetters to prepare the proof authors will receive for
approval).

%package collection-texworks
Summary: TeXworks editor; TL includes only the Windows binary
Version: svn36934
License: LPPL
Requires: texlive-base texlive-kpathsea
Requires: texlive-collection-basic
Requires: texlive-texworks

%description collection-texworks
See http://tug.org/texworks.

%package combofont
Summary: Add NFSS-declarations of combo fonts to LuaLaTeX documents
Version: svn44746
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(combofont.sty) = %{tl_version}

%description combofont
This highly experimental package can be used to add
NFSS-declarations of combo fonts to LuaLaTeX documents. This
package may disappear without notice, e.g. if luaotfload
changes in a way so that it no longer works, or if LuaTeX
changes, or if fontspec itself includes the code. It is also
possible that the package's syntax and commands may change in
an incompatible way. So if you use it in a production
environment: You have been warned.

%package context-cmscbf
Summary: Use Computer Modern bold Caps and Small-caps in ConTeXt
Version: svn42327
License: GPL+
Requires: texlive-base texlive-kpathsea
Requires: texlive-context
Provides: tex(t-cmscbf.tex) = %{tl_version}

%description context-cmscbf
The module makes provision for bold caps and small caps CM
fonts, in ConTeXt. Such a font may be found in the Computer
Modern 'extras' font set.

%package context-cmttbf
Summary: Use Computer Modern Typewriter bold font in ConTeXt
Version: svn42328
License: GPL+
Requires: texlive-base texlive-kpathsea
Requires: texlive-context
Provides: tex(t-cmttbf.tex) = %{tl_version}

%description context-cmttbf
The module makes provision for bold typewriter CM fonts, in
ConTeXt. Such a font may be found in the Computer Modern
'extras' font set.

%package context-inifile
Summary: An ini-file pretty-printer, using ConTeXt
Version: svn42329
License: GPL+
Requires: texlive-base texlive-kpathsea
Requires: texlive-context
Provides: tex(t-inifile.tex) = %{tl_version}

%description context-inifile
The module parses an ini-file and prints the contents with a
user-defined layout. The entries of the file may be sorted by
up to three sort keys. The format of a simple ini-file would
be: [key1] symbol1 = value1 symbol2 = value2 [key2] symbol1 =
value3 symbol2 = value4 The module only works with ConTeXt
MkIV, and uses Lua to help process the input.

%package context-layout
Summary: Shows layout of current page
Version: svn42330
License: GPL+
Requires: texlive-base texlive-kpathsea
Requires: texlive-context
Provides: tex(t-layout.tex) = %{tl_version}

%description context-layout
Context module to show the layout of the current page.

%package conv-xkv
Summary: Create new key-value syntax
Version: svn43558
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(conv-xkv.sty) = %{tl_version}

%description conv-xkv
This small package supports key-value syntax other than the
standard LaTeX syntax of <key>=<value>. Using this package,
create key-values of the form <key>:<value> or <key>-><value>,
for example. The package converts the new notation to xkeyval
notation and passes it on to xkeyval.

%package cooking-units
Summary: Typeset and convert units for cookery books and recipes
Version: svn42507
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(cooking-units.sty) = %{tl_version}

%description cooking-units
The package provides commands to typeset amounts and units
consistently and offers an easy to use key-value-syntax to
convert one unit into another (for example 'dag' to 'g'; see
the documentation for more examples).

%package cormorantgaramond
Summary: Cormorant Garamond family of fonts
Version: svn41865
License: OFL
Requires: texlive-base texlive-kpathsea
Provides: tex(cgrm_26xgja.enc) = %{tl_version}
Provides: tex(cgrm_3urj7q.enc) = %{tl_version}
Provides: tex(cgrm_5bvaob.enc) = %{tl_version}
Provides: tex(cgrm_5dp753.enc) = %{tl_version}
Provides: tex(cgrm_5eibsx.enc) = %{tl_version}
Provides: tex(cgrm_5fi625.enc) = %{tl_version}
Provides: tex(cgrm_5iz3qq.enc) = %{tl_version}
Provides: tex(cgrm_7cbfyt.enc) = %{tl_version}
Provides: tex(cgrm_baamnb.enc) = %{tl_version}
Provides: tex(cgrm_bay3j6.enc) = %{tl_version}
Provides: tex(cgrm_beooxx.enc) = %{tl_version}
Provides: tex(cgrm_bvfij3.enc) = %{tl_version}
Provides: tex(cgrm_bya7bs.enc) = %{tl_version}
Provides: tex(cgrm_cfmksg.enc) = %{tl_version}
Provides: tex(cgrm_d4lowr.enc) = %{tl_version}
Provides: tex(cgrm_d5lut3.enc) = %{tl_version}
Provides: tex(cgrm_fgdmu7.enc) = %{tl_version}
Provides: tex(cgrm_fwfywj.enc) = %{tl_version}
Provides: tex(cgrm_g6ttj3.enc) = %{tl_version}
Provides: tex(cgrm_g7anru.enc) = %{tl_version}
Provides: tex(cgrm_govhzk.enc) = %{tl_version}
Provides: tex(cgrm_hku26s.enc) = %{tl_version}
Provides: tex(cgrm_hrazmi.enc) = %{tl_version}
Provides: tex(cgrm_iergss.enc) = %{tl_version}
Provides: tex(cgrm_igtdz2.enc) = %{tl_version}
Provides: tex(cgrm_isz43y.enc) = %{tl_version}
Provides: tex(cgrm_jzrauo.enc) = %{tl_version}
Provides: tex(cgrm_ktrj5x.enc) = %{tl_version}
Provides: tex(cgrm_od3ly4.enc) = %{tl_version}
Provides: tex(cgrm_pcjf72.enc) = %{tl_version}
Provides: tex(cgrm_pgha5c.enc) = %{tl_version}
Provides: tex(cgrm_qbhsri.enc) = %{tl_version}
Provides: tex(cgrm_qes6gh.enc) = %{tl_version}
Provides: tex(cgrm_qnrqqg.enc) = %{tl_version}
Provides: tex(cgrm_rdmvvp.enc) = %{tl_version}
Provides: tex(cgrm_rqn3dj.enc) = %{tl_version}
Provides: tex(cgrm_sowbon.enc) = %{tl_version}
Provides: tex(cgrm_tiy3fr.enc) = %{tl_version}
Provides: tex(cgrm_tj5gps.enc) = %{tl_version}
Provides: tex(cgrm_vh2m2v.enc) = %{tl_version}
Provides: tex(cgrm_vuc6nl.enc) = %{tl_version}
Provides: tex(cgrm_vvuep5.enc) = %{tl_version}
Provides: tex(cgrm_x4eod7.enc) = %{tl_version}
Provides: tex(cgrm_xg77ac.enc) = %{tl_version}
Provides: tex(cgrm_xj3e4i.enc) = %{tl_version}
Provides: tex(cgrm_zcfdr3.enc) = %{tl_version}
Provides: tex(CormorantGaramond.map) = %{tl_version}
Provides: tex(CormorantGaramond-Bold.otf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic.otf) = %{tl_version}
Provides: tex(CormorantGaramond-Light.otf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic.otf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium.otf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic.otf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular.otf) = %{tl_version}
Provides: tex(CormorantGaramond-RegularItalic.otf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold.otf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic.otf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(CormorantGaramond-Bold.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-Italic.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-Light.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-Medium.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-Regular.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold.pfb) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic.pfb) = %{tl_version}
Provides: tex(CormorantGaramond.sty) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(CormorantGaramond-SemiBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1CormorantGaramond-Inf.fd) = %{tl_version}
Provides: tex(LY1CormorantGaramond-LF.fd) = %{tl_version}
Provides: tex(LY1CormorantGaramond-OsF.fd) = %{tl_version}
Provides: tex(LY1CormorantGaramond-Sup.fd) = %{tl_version}
Provides: tex(LY1CormorantGaramond-TLF.fd) = %{tl_version}
Provides: tex(LY1CormorantGaramond-TOsF.fd) = %{tl_version}
Provides: tex(OT1CormorantGaramond-Inf.fd) = %{tl_version}
Provides: tex(OT1CormorantGaramond-LF.fd) = %{tl_version}
Provides: tex(OT1CormorantGaramond-OsF.fd) = %{tl_version}
Provides: tex(OT1CormorantGaramond-Sup.fd) = %{tl_version}
Provides: tex(OT1CormorantGaramond-TLF.fd) = %{tl_version}
Provides: tex(OT1CormorantGaramond-TOsF.fd) = %{tl_version}
Provides: tex(T1CormorantGaramond-Inf.fd) = %{tl_version}
Provides: tex(T1CormorantGaramond-LF.fd) = %{tl_version}
Provides: tex(T1CormorantGaramond-OsF.fd) = %{tl_version}
Provides: tex(T1CormorantGaramond-Sup.fd) = %{tl_version}
Provides: tex(T1CormorantGaramond-TLF.fd) = %{tl_version}
Provides: tex(T1CormorantGaramond-TOsF.fd) = %{tl_version}
Provides: tex(TS1CormorantGaramond-LF.fd) = %{tl_version}
Provides: tex(TS1CormorantGaramond-OsF.fd) = %{tl_version}
Provides: tex(TS1CormorantGaramond-TLF.fd) = %{tl_version}
Provides: tex(TS1CormorantGaramond-TOsF.fd) = %{tl_version}

%description cormorantgaramond
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the Cormorant Garamond family of fonts, designed by
Christian Thalman of Catharsis Fonts. The family includes
light, regular, medium, semi-bold and bold weights, with
italics.

%package crossreftools
Summary: Expandable extraction of cleveref data
Version: svn45508
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(crossreftools.sty) = %{tl_version}

%description crossreftools
The package provides expandable extraction of information
stored in labels generated with cleveref.

%package css-colors
Summary: Named colors for web-safe design
Version: svn43961
License: LPPL and GPL+
Requires: texlive-base texlive-kpathsea
Provides: tex(css-colors.sty) = %{tl_version}

%description css-colors
This package defines web-safe colors for use with D.P.
Carlisle's color package. It is intended for both authors and
package writers (e.g. to create Beamer color themes).

%package cstypo
Summary: Czech typography rules enforced through LuaTeX hooks
Version: svn41986
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(cstypo.sty) = %{tl_version}
Provides: tex(cstypo-tex.tex) = %{tl_version}

%description cstypo
This package provides macros that enforce basic Czech
typography rules through Lua hooks available in LuaTeX.

%package currency
Summary: Format currencies in a consistent way
Version: svn44489
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(currency.sty) = %{tl_version}

%description currency
The package facilitates the formatting of currencies (amounts
and units) with various formatting capabilities.

%package docsurvey-doc
Summary: Programming LaTeX - A survey of documentation and packages
Version: svn45470
License: LPPL

%description docsurvey-doc
Provides the document "Programming LaTeX — A survey of documentation 
and packages"

%package draftfigure
Summary: Replace figures with a white box and additional features.
Version: svn44854
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(draftfigure.sty) = %{tl_version}

%description draftfigure
With this package you can control the outcome of a figure which
is set to draft and modify the display with various options.

%package dtxdescribe
Summary: Describe additional object types in dtx source files
Version: svn42661
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(dtxdescribe.sty) = %{tl_version}

%description dtxdescribe
The doc package includes tools for describing macros and
environments in LaTeX source dtx format. This package adds
additional tools for describing booleans, lengths, counters,
keys, packages, classes, options, files, commands, arguments,
and other objects. Each item is given a margin tag similar to
\DescribeEnv, and is listed in the index by itself and also by
category. Each item may be sorted further by an optional class.
All index entries except code lines are hyperlinked.
Descriptions are best accompanied by examples, so the
environment dtxexample is provided. Contents are displayed
verbatim along with a caption and cross-referencing. They are
then \input and executed, and the result is shown.

%package ducksay
Summary: The package draws ASCII art of animals saying a specified message.
Version: svn45415
License: LPPL and GPLv3
Requires: texlive-base texlive-kpathsea
Provides: tex(ducksay.sty) = %{tl_version}

%description ducksay
The package draws ASCII art of animals saying a specified
message. The following macros are available: ducksay duckthink
DefaultAnimal AddAnimal Multi-line messages are supported but
need to be manually created.

%package dynkin-diagrams
Summary: Draws Dynkin diagrams
Version: svn45287
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(dynkin-diagrams.sty) = %{tl_version}

%description dynkin-diagrams
Draws Dynkin diagrams.

%package easyformat
Summary: Add easier bolds and italics
Version: svn44543
License: GPLv3+
Requires: texlive-base texlive-kpathsea
Provides: tex(easyformat.sty) = %{tl_version}

%description easyformat
This package allows the use of underscores and circumflexes to
begin resp. end \textit{italic}, \textbf{bold} or
\textsc{smallcaps} formatting as an alternative to the standard
LaTeX \verb|\textit{\dots}|, \verb|\textbf{\dots}| and/or
\verb|\textsc{\dots}|. The underscore and circumflex's meaning
in mathmode remain the same.

%package ecgdraw
Summary: Draws electrocardiograms (ECG)
Version: svn41617
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(ecgdraw.sty) = %{tl_version}

%description ecgdraw
This package provides the \ECG{<code>} command which draws
electrocardiograms (ECG). The <code> represents a series of
abbreviations which allow to draw different types of wave.

%package endofproofwd
Summary: An "end of proof" sign
Version: svn45116
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(endofproofwd.sty) = %{tl_version}

%description endofproofwd
This package provides an additional "end of proof" sign. The
command's name is \wasserdicht.

%package eqnalign
Summary: Make eqnarray behave like align
Version: svn43278
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(eqnalign.sty) = %{tl_version}

%description eqnalign
The package makes eqnarray environment behave like align from
amsmath'. It is intended for quick-fixing documents that use
eqnarray. In cases where it fails, manual conversion to align
is required, but these cases should be seldom.

%package eulerpx
Summary: A modern interface for the Euler math fonts
Version: svn43735
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(eulerpx.sty) = %{tl_version}

%description eulerpx
This package provides the "eulerpx" font, which started as a
hybrid of multiple other font packages, notably eulervm and
newpxmath. Its purpose is twofold: To use the eulervm symbols
for greek and latin, but the newpxmath font for braces and
brackets, and the text font for digits and operators; and to
make it easy to change between a sans and a serif font for the
digits and operators so that the font can be used seamlessly in
documents using both. This package was put together with the
intent to use it with the Palatino and Optima fonts, but it may
work with other combinations, too.

%package fetchcls
Summary: Fetch the current class name
Version: svn45245
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(fetchcls.sty) = %{tl_version}

%description fetchcls
With standard LaTeX you are able to check for the class in use
invoking the kernel command \@ifclassloaded. However, doing so
you cannot get the explicit class name, unless you want to loop
over every possible class name until \@ifclassloaded returns
true -- don't do that! With the help of the present package you
can obtain the name of the current class with significantly
less effort. Just load the package as usual:
\usepackage{fetchcls}; then, the control sequence \classname
will hold the name you were looking for.

%package fgruler
Summary: draw rulers on the foreground or in the text
Version: svn42966
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(fgruler.sty) = %{tl_version}

%description fgruler
The fgruler is an abbreviation for the foreground ruler. This
package draws a horizontal and a vertical ruler on the
foreground of every (or a given) page at absolute position. In
this way, you can check the page layout dimensions. Besides,
you can draw various rulers in the text, too. The fgruler
package requires the services of the following packages:
kvoptions, etoolbox, xcolor, graphicx, eso-pic.

%package filecontentsdef
Summary: filecontents + macro + verbatim
Version: svn42107
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(filecontentsdef.sty) = %{tl_version}

%description filecontentsdef
The package provides two environments called filecontentsdef
and filecontentshere. They are derived from the LaTeX
filecontents environment as provided by Scott Pakin's
filecontents package. In addition to the file creation they
either store the (verbatim) contents in a macro
(filecontentsdef) or typeset them (verbatim) on the spot
(filecontentshere). The author developed the package to display
TeX code verbatim in documentation and the same time produce
the corresponding files during the LaTeX run in order to embed
them in the PDF as file attachment annotations (by using Scott
Pakin's package attachfile).

%package fixjfm
Summary: Fix JFM (for *pTeX)
Version: svn45370
License: Knuth
Requires: texlive-base texlive-kpathsea
Provides: tex(fixjfm.sty) = %{tl_version}

%description fixjfm
This package fixes several bugs in the JFM format. Both LaTeX
and plain TeX are supported.

%package fontloader-luaotfload
Summary: Alternative fontloaders for luaotfload
Version: svn45090
License: LPPL
Requires: texlive-base texlive-kpathsea

%description fontloader-luaotfload
The package offers a few alternative fontloaders that can be
used with luaotfload to access some new features.

%package footmisx
Summary: A range of footnote options
Version: svn42621
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(footmisx.sty) = %{tl_version}

%description footmisx
This a fork of footmisc package allowing to use hyperref. Here
is a copy of the description of package footmisc: A collection
of ways to change the typesetting of footnotes. The package
provides means of changing the layout of the footnotes
themselves (including setting them in 'paragraphs' -- the para
option), a way to number footnotes per page (the perpage
option), to make footnotes disappear in a 'moving' argument
(stable option) and to deal with multiple references to
footnotes from the same place (multiple option). The package
also has a range of techniques for labelling footnotes with
symbols rather than numbers. Some of the functions of the
package are overlap with the functionality of other packages.
The para option is also provided by the manyfoot and bigfoot
packages, though those are both also portmanteau packages.
(Don't be seduced by fnpara, whose implementation is improved
by the present package.) The perpage option is also offered by
footnpag and by the rather more general-purpose perpage

%package forest-quickstart-doc
Summary: Quickstart Guide for Linguists package "forest"
Version: svn42503
License: GFDL

%description forest-quickstart-doc
forest is a PGF/TikZ-based package for drawing linguistic (and
other kinds of) trees. This manual provides a quickstart guide
for linguists with just the essential things that you need to
get started.

%package forms16be
Summary: Initialize form properties using big-endian encoding
Version: svn45178
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(forms16be.sty) = %{tl_version}
Provides: tex(uni4basic-latin.def) = %{tl_version}

%description forms16be
This package provides support for UTF-16BE Unicode character
encoding (called a big-endian character string) for the text
string type (PDF Reference, version 1.7, beginning on page
158). Text strings are used in "text annotations, bookmark
names, article threads, document information, and so forth" (to
partially quote page 158). The particular application is to set
property values of form fields, at least those properties that
take the text strings as its value. The package contains
support for Basic Latin plus the ability to enter any unicode
character using the notation \uXXXX, where 'XXXX' are four hex
digits. The Package works for dvips/Distiller, pdfLaTeX,
LuaLaTeX, and XeLaTeX.

%package frederika2016
Summary: An OpenType Greek calligraphy font
Version: svn42157
License: OFL
Requires: texlive-base texlive-kpathsea
Provides: tex(Frederika2016.otf) = %{tl_version}

%description frederika2016
Frederika2016 is an attempt to digitize Hermann Zapf's
Frederika font. The font is the Greek companion of Virtuosa by
the same designer. This font is a calligraphy font and this is
an initial release.

%package gitfile-info
Summary: Get git metadata for a specific file
Version: svn41693
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(gitfile-info.sty) = %{tl_version}

%description gitfile-info
If you are using git to control versions of LaTeX-files, you
may want to show yourself or other users or devs the current
version of the file, information about the author and last
edited date. All packages for git known make that kind of
information available for the whole repository. But sometimes
you have a lot of files within the same repository in different
versions, from different authors etc. Perhaps you also split up
a big project in small files and want to show within the
document who had edited what. This package gives you the
opportunity to do so.

%package gofonts
Summary: GoSans and GoMono fonts with LaTeX support
Version: svn43726
License: BSD and LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(go_dpz6hk.enc) = %{tl_version}
Provides: tex(go_ie7fbt.enc) = %{tl_version}
Provides: tex(go_t66sex.enc) = %{tl_version}
Provides: tex(go_yzw7so.enc) = %{tl_version}
Provides: tex(go.map) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Go-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Go-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Go-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Go-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Go-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Go-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Go-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Go-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Go-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Go-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Go-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Go-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(Go-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Go-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Go-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Go-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Go-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Go-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Go-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Go-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Go-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(GoMono-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(GoMono-tlf-ly1.tfm) = %{tl_version}
Provides: tex(GoMono-tlf-ot1.tfm) = %{tl_version}
Provides: tex(GoMono-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(GoMono-tlf-t1.tfm) = %{tl_version}
Provides: tex(GoMono-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(GoMono-tlf-ts1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-ly1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-ot1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-t1.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Go-Bold-Italic.ttf) = %{tl_version}
Provides: tex(Go-Bold.ttf) = %{tl_version}
Provides: tex(Go-Medium-Italic.ttf) = %{tl_version}
Provides: tex(Go-Medium.ttf) = %{tl_version}
Provides: tex(Go-Regular-Italic.ttf) = %{tl_version}
Provides: tex(Go-Regular.ttf) = %{tl_version}
Provides: tex(GoMono-Bold-Italic.ttf) = %{tl_version}
Provides: tex(GoMono-Bold.ttf) = %{tl_version}
Provides: tex(GoMono-Regular-Italic.ttf) = %{tl_version}
Provides: tex(GoMono-Regular.ttf) = %{tl_version}
Provides: tex(GoSmallcaps-Italic.ttf) = %{tl_version}
Provides: tex(GoSmallcaps.ttf) = %{tl_version}
Provides: tex(Go-Bold-Italic.pfb) = %{tl_version}
Provides: tex(Go-Bold.pfb) = %{tl_version}
Provides: tex(Go-Medium-Italic.pfb) = %{tl_version}
Provides: tex(Go-Medium.pfb) = %{tl_version}
Provides: tex(Go-Regular-Italic.pfb) = %{tl_version}
Provides: tex(Go-Regular.pfb) = %{tl_version}
Provides: tex(GoMono-Bold-Italic.pfb) = %{tl_version}
Provides: tex(GoMono-Bold.pfb) = %{tl_version}
Provides: tex(GoMono-Regular-Italic.pfb) = %{tl_version}
Provides: tex(GoMono-Regular.pfb) = %{tl_version}
Provides: tex(GoSmallcaps-Italic.pfb) = %{tl_version}
Provides: tex(GoSmallcaps.pfb) = %{tl_version}
Provides: tex(GoMono.sty) = %{tl_version}
Provides: tex(GoSans.sty) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Go-Bold-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Go-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Go-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Go-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Go-Medium-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Go-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(Go-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(Go-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Go-Regular-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Go-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Go-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Go-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(GoMono-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(GoMono-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(GoMono-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(GoMono-tlf-ly1.vf) = %{tl_version}
Provides: tex(GoMono-tlf-t1.vf) = %{tl_version}
Provides: tex(GoMono-tlf-ts1.vf) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(GoSmallcaps-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-ly1.vf) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-t1.vf) = %{tl_version}
Provides: tex(GoSmallcaps-tlf-ts1.vf) = %{tl_version}
Provides: tex(LY1Go-TLF.fd) = %{tl_version}
Provides: tex(LY1GoMono-TLF.fd) = %{tl_version}
Provides: tex(OT1Go-TLF.fd) = %{tl_version}
Provides: tex(OT1GoMono-TLF.fd) = %{tl_version}
Provides: tex(T1Go-TLF.fd) = %{tl_version}
Provides: tex(T1GoMono-TLF.fd) = %{tl_version}
Provides: tex(TS1Go-TLF.fd) = %{tl_version}
Provides: tex(TS1GoMono-TLF.fd) = %{tl_version}

%description gofonts
This package provides LaTeX, pdfLaTeX, XeLaTeX and LuaLaTeX
support for the GoSans and GoMono families of fonts designed by
the Bigelow & Holmes foundry for the Go project. GoSans is
available in three weights: Regular, Medium, and Bold (with
corresponding italics). GoMono is available in regular and
bold, with italics. Notes on the design may be found at
https://blog.golang.org/go-fonts.

%package grant
Summary: Classes for formatting federal grant proposals.
Version: svn41905
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(grant-arl.cls) = %{tl_version}
Provides: tex(grant-darpa.cls) = %{tl_version}
Provides: tex(grant-doe.cls) = %{tl_version}
Provides: tex(grant-nih.cls) = %{tl_version}
Provides: tex(grant-nrl.cls) = %{tl_version}
Provides: tex(grant-nsf.cls) = %{tl_version}
Provides: tex(grant-onr.cls) = %{tl_version}
Provides: tex(grant.cls) = %{tl_version}

%description grant
LaTeX classes for formatting federal grant proposals: grant:
Base class for formatting grant proposals grant-arl: Army
Research Laboratory grant-darpa: Defense Advanced Research
Projects Agency grant-doe: Department of Energy grant-nih:
National Institutes of Health grant-nrl: Naval Research
Laboratory grant-nsf: National Science Foundation grant-onr:
Office of Naval Research

%package grayhints
Summary: Produce 'gray hints' to a variable text field
Version: svn43561
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(grayhints.sty) = %{tl_version}

%description grayhints
The package provides JavaScript code snippets to create 'gray
hints'. Gray hints, as the author terms them, are text that
appears initially in a text field that gives a short hint as to
what the contents of the text field should be. For example, a
text field might contain the hint 'First Name', or a date field
might read 'yyyy/mm/dd'. As soon as the field comes into focus,
the hint disappears. It reappears when the field is blurred and
the user did not enter any text into the field. The package
works for dvips/Distiller, pdfLaTeX, LuaLaTeX, and XeLaTeX.

%package gtrlib-largetrees
Summary: Library for genealogytree package aiming at large trees
Version: svn43279
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(gtrlib.largetrees.code.tex) = %{tl_version}
Provides: tex(gtrlib.largetrees.sty) = %{tl_version}

%description gtrlib-largetrees
The main goal of the gtrlib.largetrees package is to offer
additional database fields and formats for the genealogytree
package, particularly for typesetting large trees.

%package hackthefootline
Summary: Footline selection for LaTeX beamer's standard themes
Version: svn44959
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(hackthefootline.sty) = %{tl_version}

%description hackthefootline
This package provides arbitrary footline selection for LaTeX
beamer's standard themes. It makes use of the following other
LaTeX packages: appendixnumberbeamer, calc, etoolbox, and
numprint.

%package halloweenmath
Summary: Scary and creepy math symbols with AMS-LaTeX integration
Version: svn44043
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(halloweenmath.sty) = %{tl_version}

%description halloweenmath
The package defines a handful of commands for typesetting
mathematical symbols of various kinds, ranging from 'large'
operators to extensible arrow-like relations and growing arrow-
like math accents that all draw from the classic Halloween-
related iconography (pumpkins, witches, ghosts, cats, and so
on) while being, at the same time, seamlessly integrated within
the rest of the mathematics produced by (AmS-)LaTeX.

%package hecthese
Summary: A class for dissertations and theses at HEC Montreal
Version: svn45562
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(hecthese.cls) = %{tl_version}

%description hecthese
This package provides the hecthese class, a class based on
memoir and compatible with LaTeX. Using this class,
postgraduate students at HEC Montreal will be able to write
their dissertation or thesis while complying with all the
presentation standards required by the University. This class
is meant to be as flexible as possible; in particular, there
are very few hardcoded features except those that take care of
the document's layout. Dissertations and theses at HEC Montreal
can be written on a per-chapter or per-article basis. Documents
that are written on a per-article basis require a bibliography
for each of the included articles and a general bibliography
for the entire document. The hecthese class takes care of these
requirements. The class depends on babel, color, enumitem,
fontawesome, framed, numprint, url, and hyperref.

%package hithesis
Summary: Harbin Institute of Technology Thesis Template
Version: svn45155
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(ctex-fontset-siyuan.def) = %{tl_version}
Provides: tex(hithesis.cfg) = %{tl_version}
Provides: tex(hithesis.cls) = %{tl_version}
Provides: tex(hithesis.sty) = %{tl_version}

%description hithesis
hithesis is a LaTeX thesis template package for Harbin
Institute of Technolog supporting bachelor, master, doctor
dissertations.

%package hustthesis
Summary: Unofficial thesis template for Huazhong University
Version: svn42547
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(hustthesis.cls) = %{tl_version}

%description hustthesis
The package provides an Unofficial Thesis Template in LaTeX for
Huazhong University of Science and Technology.

%package hyphen-belarusian
Summary: Belarusian hyphenation patterns.
Version: svn44401
License: Copyright only
Requires: texlive-base texlive-kpathsea
Requires: texlive-hyphen-base
Requires: texlive-hyph-utf8
Provides: tex(loadhyph-be.tex) = %{tl_version}
Provides: tex(hyph-be.t2a.tex) = %{tl_version}
Provides: tex(hyph-quote-be.tex) = %{tl_version}
Provides: tex(hyph-be.tex) = %{tl_version}

%description hyphen-belarusian
Belarusian hyphenation patterns in T2A and UTF-8 encodings

%post hyphen-belarusian
if [ $1 -gt 0 ] ; then
sed -i '/belarusian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat
echo "belarusian loadhyph-be.tex" >> %{_texdir}/texmf-dist/tex/generic/config/language.dat
sed -i '/\\addlanguage{belarusian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def
echo "\addlanguage{belarusian}{loadhyph-be.tex}{}{2}{2}" >> %{_texdir}/texmf-dist/tex/generic/config/language.def
fi
:

%postun hyphen-belarusian
if [ $1 == 0 ] ; then
sed -i '/belarusian.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.dat > /dev/null 2>&1
sed -i '/\\addlanguage{belarusian}.*/d' %{_texdir}/texmf-dist/tex/generic/config/language.def > /dev/null 2>&1
fi
:

%package ifptex
Summary: Check if the engine is pTeX or one of its derivatives
Version: svn45485
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(ifptex.sty) = %{tl_version}
Provides: tex(ifuptex.sty) = %{tl_version}

%description ifptex
The ifptex package is a counterpart of ifxetex, ifluatex, etc.
for the ptex engine. The ifuptex package is an alias to ifptex
provided for backward compatibility.

%package ifxptex
Summary: Detect pTeX and its derivatives
Version: svn45213
License: Knuth
Requires: texlive-base texlive-kpathsea
Provides: tex(ifxptex.sty) = %{tl_version}

%description ifxptex
The package provides commands for detecting pTeX and its
derivatives (e-pTeX, upTeX, e-upTeX, and ApTeX). Both LaTeX and
plain TeX are supported.

%package ijsra
Summary: LaTeX document class for the International Journal of Student Research in Archaeology
Version: svn44886
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(ijsra.cls) = %{tl_version}

%description ijsra
This is a document class called ijsra which is used for the
International Journal of Student Research in Archaeology.

%package invoice2
Summary: Intelligent invoices with LaTeX3
Version: svn45060
License: GPLv3+
Requires: texlive-base texlive-kpathsea
Provides: tex(invoice2.sty) = %{tl_version}

%description invoice2
Typeset invoices with automatic VAT and calculation of totals.
Supports internationalization, invoices are typeset with
booktabs for readability. Does not support separate projects
per invoice. Can be used as a replacement for invoice in most
cases.

%package iscram
Summary: a LaTeX class to publish article to ISCRAM conferences
Version: svn42604
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(iscram.cls) = %{tl_version}

%description iscram
LaTeX class to publish article to ISCRAM (International
Conference on Information Systems for Crisis Response and
Management).

%package isopt
Summary: writing a TeX length with a space between number and unit
Version: svn45509
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(isopt.sty) = %{tl_version}

%description isopt
Writing a TeX length with \the writes the value and the unit
without a space. Package isopt provides a macro \ISO which
inserts a user defined space between number and unit.

%package istgame
Summary: Drawing Game Trees with TikZ
Version: svn45417
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(istgame.sty) = %{tl_version}

%description istgame
This LaTeX package provides macros based on TikZ to draw a game
tree. The main idea underlying its core macros is the
completion of a whole tree by using a sequence of simple
'parent-child' tree structures, with no longer nested relations
involved (like the use of 'grandchildren' or
'great-grandchildren'). Using this package you can draw a game
tree as easily as drawing a game tree with pen and paper. This
package depends on expl3, TikZ, and xparse. The 'ist' prefix
stands for "it's a simple tree" or "In-Sung's simple tree."

%package jlreq
Summary: Japanese document class based on requirements for Japanese text layout
Version: svn45162
License: BSD
Requires: texlive-base texlive-kpathsea
Provides: tex(bjlreq-v.tfm) = %{tl_version}
Provides: tex(bjlreq.tfm) = %{tl_version}
Provides: tex(bjlreqg-v.tfm) = %{tl_version}
Provides: tex(bjlreqg.tfm) = %{tl_version}
Provides: tex(bzjlreq-v.tfm) = %{tl_version}
Provides: tex(bzjlreq.tfm) = %{tl_version}
Provides: tex(bzjlreqg-v.tfm) = %{tl_version}
Provides: tex(bzjlreqg.tfm) = %{tl_version}
Provides: tex(jlreq-v.tfm) = %{tl_version}
Provides: tex(jlreq.tfm) = %{tl_version}
Provides: tex(jlreqg-v.tfm) = %{tl_version}
Provides: tex(jlreqg.tfm) = %{tl_version}
Provides: tex(ubjlreq-q.tfm) = %{tl_version}
Provides: tex(ubjlreq-v.tfm) = %{tl_version}
Provides: tex(ubjlreq.tfm) = %{tl_version}
Provides: tex(ubjlreqg-q.tfm) = %{tl_version}
Provides: tex(ubjlreqg-v.tfm) = %{tl_version}
Provides: tex(ubjlreqg.tfm) = %{tl_version}
Provides: tex(ubzjlreq-q.tfm) = %{tl_version}
Provides: tex(ubzjlreq-v.tfm) = %{tl_version}
Provides: tex(ubzjlreq.tfm) = %{tl_version}
Provides: tex(ubzjlreqg-q.tfm) = %{tl_version}
Provides: tex(ubzjlreqg-v.tfm) = %{tl_version}
Provides: tex(ubzjlreqg.tfm) = %{tl_version}
Provides: tex(ujlreq-q.tfm) = %{tl_version}
Provides: tex(ujlreq-v.tfm) = %{tl_version}
Provides: tex(ujlreq.tfm) = %{tl_version}
Provides: tex(ujlreqg-q.tfm) = %{tl_version}
Provides: tex(ujlreqg-v.tfm) = %{tl_version}
Provides: tex(ujlreqg.tfm) = %{tl_version}
Provides: tex(uzjlreq-q.tfm) = %{tl_version}
Provides: tex(uzjlreq-v.tfm) = %{tl_version}
Provides: tex(uzjlreq.tfm) = %{tl_version}
Provides: tex(uzjlreqg-q.tfm) = %{tl_version}
Provides: tex(uzjlreqg-v.tfm) = %{tl_version}
Provides: tex(uzjlreqg.tfm) = %{tl_version}
Provides: tex(zjlreq-v.tfm) = %{tl_version}
Provides: tex(zjlreq.tfm) = %{tl_version}
Provides: tex(zjlreqg-v.tfm) = %{tl_version}
Provides: tex(zjlreqg.tfm) = %{tl_version}
Provides: tex(jlreq.cls) = %{tl_version}
Provides: tex(bjlreq-v.vf) = %{tl_version}
Provides: tex(bjlreq.vf) = %{tl_version}
Provides: tex(bjlreqg-v.vf) = %{tl_version}
Provides: tex(bjlreqg.vf) = %{tl_version}
Provides: tex(bzjlreq-v.vf) = %{tl_version}
Provides: tex(bzjlreq.vf) = %{tl_version}
Provides: tex(bzjlreqg-v.vf) = %{tl_version}
Provides: tex(bzjlreqg.vf) = %{tl_version}
Provides: tex(jlreq-v.vf) = %{tl_version}
Provides: tex(jlreq.vf) = %{tl_version}
Provides: tex(jlreqg-v.vf) = %{tl_version}
Provides: tex(jlreqg.vf) = %{tl_version}
Provides: tex(ubjlreq-q.vf) = %{tl_version}
Provides: tex(ubjlreq-v.vf) = %{tl_version}
Provides: tex(ubjlreq.vf) = %{tl_version}
Provides: tex(ubjlreqg-q.vf) = %{tl_version}
Provides: tex(ubjlreqg-v.vf) = %{tl_version}
Provides: tex(ubjlreqg.vf) = %{tl_version}
Provides: tex(ubzjlreq-q.vf) = %{tl_version}
Provides: tex(ubzjlreq-v.vf) = %{tl_version}
Provides: tex(ubzjlreq.vf) = %{tl_version}
Provides: tex(ubzjlreqg-q.vf) = %{tl_version}
Provides: tex(ubzjlreqg-v.vf) = %{tl_version}
Provides: tex(ubzjlreqg.vf) = %{tl_version}
Provides: tex(ujlreq-q.vf) = %{tl_version}
Provides: tex(ujlreq-v.vf) = %{tl_version}
Provides: tex(ujlreq.vf) = %{tl_version}
Provides: tex(ujlreqg-q.vf) = %{tl_version}
Provides: tex(ujlreqg-v.vf) = %{tl_version}
Provides: tex(ujlreqg.vf) = %{tl_version}
Provides: tex(uzjlreq-q.vf) = %{tl_version}
Provides: tex(uzjlreq-v.vf) = %{tl_version}
Provides: tex(uzjlreq.vf) = %{tl_version}
Provides: tex(uzjlreqg-q.vf) = %{tl_version}
Provides: tex(uzjlreqg-v.vf) = %{tl_version}
Provides: tex(uzjlreqg.vf) = %{tl_version}
Provides: tex(zjlreq-v.vf) = %{tl_version}
Provides: tex(zjlreq.vf) = %{tl_version}
Provides: tex(zjlreqg-v.vf) = %{tl_version}
Provides: tex(zjlreqg.vf) = %{tl_version}

%description jlreq
This package provides a Japanese document class based on
requirements for Japanese text layout. The class file and the
JFM (Japanese font metric) files for LuaTeX-ja / pLaTeX /
upLaTeX are provided.

%package keyfloat
Summary: provides a key/value interface for generating floats
Version: svn44306
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(keyfloat.sty) = %{tl_version}

%description keyfloat
The keyfloat package provides a key/value user interface for
quickly creating figures with a single image each, figures with
arbitrary contents, tables, subfloats, rows of floats, floats
located [H]ere, floats in the [M]argin, and floats with text
[W]rapped around them. Key/value combinations may specify a
caption and label, a width proportional to \linewidth, a fixed
width and/or height, rotation, scaling, a tight or loose frame,
an \arraystretch, a continued float, additional supplemental
text, and an artist/author's name with automatic index entry.
When used with the tocdata package, the name also appears in
the List of Figures. Floats may be placed into a row
environment, and are typeset to fit within the given number of
columns, continuing to the next row if necessary. Nested
sub-rows may be used to generate layouts such as two small
figures placed vertically next to one larger figure. Subfloats
are supported by two environments.

%package knowledge
Summary: Displaying, hyperlinking, and indexing notions in a document
Version: svn45560
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(knowledge.sty) = %{tl_version}

%description knowledge
The package offers a systematic way to handle
notions/concepts/terms throughout a document. It helps building
an index. In combination with hyperref it makes it easy to have
every reference of a concept linked to its introduction. It
also offers simple notations.

%package komacv-rg
Summary: LaTeX packages that aid in creating CVs based on the komacv class and creating related documents
Version: svn45187
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(komacv-addons.sty) = %{tl_version}
Provides: tex(komacv-lco.sty) = %{tl_version}
Provides: tex(komacv-multilang.sty) = %{tl_version}

%description komacv-rg
The komacv-rg bundle provides packages that aid in creating CVs
based on the komacv class and creating related documents, such
as cover letters and cover sheets for job applications.
Concretely, the bundle consists of three packages:
komacv-addons, komacv-lco, and komacv-multilang. komacv-addons
is a small collection of add-ons and fixes for the komacv
class; komacv-lco enables the use of letter class options from
scrlttr2 also in komacv-based and other non-scrlttr2-based
documents; komacv-multilang enables the provisioning of CVs in
multiple languages and the selection of a language via babel or
polyglossia.

%package ku-template
Summary: Template for University of Copenhagen logos
Version: svn45282
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(ku-template.sty) = %{tl_version}

%description ku-template
A comprehensive package for adding University of Copenhagen or
faculty logo to your front page. For use by student or staff at
University of Copenhagen / Københavns Universitet.

%package ladder
Summary: Draw simple ladder diagrams using TikZ
Version: svn44394
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(ladder.sty) = %{tl_version}

%description ladder
This package permits the creation of simple ladder diagrams
within LaTeX documents. Required packages are tikz, ifthen, and
calc.

%package latexbangla
Summary: Enhanced LaTeX integration for Bangla
Version: svn42409
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(latexbangla.sty) = %{tl_version}

%description latexbangla
This package simplifies the process of writing Bangla in LaTeX
and addresses most of the associated typesetting issues.
Notable features: Automated transition from Bangla to English
and vice versa. Patch for the unproportionate whitespace issue
in popular Bangla fonts. Full support for all the common
commands and environments. Bangla numbering for page, section,
chapter, footnotes etc. (extending polyglossia's support). New
theorem, problems, example, solution and other environments,
all of which are in Bangla.

%package latexbug
Summary: Bug-classification for LaTeX related bugs
Version: svn45559
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(latexbug.sty) = %{tl_version}

%description latexbug
The package is written in order to help identifying the
rightful addressee for a bug report. The LaTeX team asks that
it will be loaded in any test file that is intended to be sent
to the LaTeX bug database as part of a bug report.

%package latexgit
Summary: A LaTeX git wrapper
Version: svn41920
License: gpl3
Requires: texlive-base texlive-kpathsea
Provides: tex(latexgit.sty) = %{tl_version}

%description latexgit
This package provides several macros to fetch git information
and typeset it. The macros defined by LaTeXgit can be helpful
to documentation authors and others to whom clear document
versioning is important.

%package latex-mr-doc
Summary: A practical guide to LaTeX and Polyglossia for Marathi and other Indian languages
Version: svn44601
License: LPPL

%description latex-mr-doc
The package provides a short guide to LaTeX and specifically to the
polyglossia package. This document aims to introduce LaTeX and polyglossia for
Indian languages. Though the document often discusses the language Marathi,
the discussion applies to other India languages also, with some minute changes
which are described in Section 1.2. We assume that the user of this document
knows basic (La)TeX or has, at least, tried her hand on it. This document is
not very suitable for first time users.

%package latex-refsheet-doc
Summary: Reference sheet for a thesis with the KOMAScript document classes
Version: svn45076
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(LaTeX_RefSheet.tex) = %{tl_version}
Provides: tex(acknowledgements.tex) = %{tl_version}
Provides: tex(header-graph.tex) = %{tl_version}
Provides: tex(thesis.tex) = %{tl_version}

%description latex-refsheet-doc
This LaTeX Reference Sheet is for writing a thesis with the KOMAScript
document classes (scrartcl, scrreprt, scrbook) and all the packages
which a thesis in the natural sciences needs.

%package limecv
Summary: a (Xe/Lua)LaTeX document class for curriculum vitae
Version: svn45293
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(limecv.cls) = %{tl_version}

%description limecv
limecv is a (Xe/Lua)LaTeX document class to write curriculum
vitae. It is designed with the following design rules: simple,
elegant and clean. To this end, it offers several environments
and macros for convenience.

%package ling-macros
Summary: Macros for typesetting formal linguistics
Version: svn42268
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(ling-macros.sty) = %{tl_version}

%description ling-macros
This package contains macros for typesetting glosses and formal
expressions. It covers a range of subfields in formal
linguistics.

%package lion-msc
Summary: LaTeX class for B.Sc. and M.Sc. reports at Leiden Institute of Physics (LION).
Version: svn44131
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(lion-msc.cls) = %{tl_version}

%description lion-msc
LaTeX class for B.Sc. and M.Sc. reports at Leiden Institute of
Physics (LION). The purpose of this class is twofold: It
creates a uniform layout of the student theses from our
department. More importantly it contains several fields on the
front-page that the user needs to fill that are used in the
university administration (name, student number and name of
supervisor) Students are free to change the layout of the text
but should leave the title page as it is.

%package lni
Summary: Official class for the "Lecture Notes in Informatics"
Version: svn44368
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(lni.cls) = %{tl_version}

%description lni
This is the official version of the class "lni" for submissions
to the Lecture Notes in Informatics published by the
Gesellschaft fur Informatik. It is based on previous templates
created on behalf of the GI.

%package ltb2bib
Summary: converts amsrefs' .ltb bibliographical databases to BibTeX format
Version: svn43746
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(ltb2bib.sty) = %{tl_version}

%description ltb2bib
This package implements a LaTeX command that converts an
amsrefs bibliographical database (.ltb) to a BibTeX
bibliographical database (.bib). ltb2bib is the reverse of the
"amsxport" option in amsrefs. Typical uses are: produce bib
entries for some publishers which don't accept amsrefs (Taylor
& Francis, for example); import an ltb database in a database
management program, e.g. for sorting; access one's ltb database
within emacs's RefTeX mode.

%package luahyphenrules
Summary: Loading patterns in LuaLaTeX with language.dat
Version: svn42670
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(luahyphenrules.sty) = %{tl_version}

%description luahyphenrules
Preloading hyphenation patterns (or 'hyphen rules.) into any
format based upon LuaTeX is not required in LuaTeX and recent
releases of babel don't do it anyway. This package is addressed
to those who just want to select the languages and load their
patterns by means of `language.dat` without loading `babel`.

%package luamesh
Summary: Computes and draws 2D Delaunay triangulation
Version: svn43814
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(luamesh.sty) = %{tl_version}

%description luamesh
The package allows to compute and draw 2D Delaunay
triangulation. The algorithm is written with lua, and depending
upon the choice of the engine, the drawing is done by MetaPost
(with luamplib) or by TikZ. The Delaunay triangulation
algorithm is the Bowyer and Watson algorithm. Several macros
are provided to draw the global mesh, the set of points, or a
particular step of the algorithm.

%package luapackageloader
Summary: Allow LuaTeX to load external Lua packages
Version: svn44865
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(luapackageloader.sty) = %{tl_version}

%description luapackageloader
This package allows LuaTeX to load packages from the default
package.path and package.cpath locations. This could be useful
to load external Lua modules, including modules installed via
LuaRocks. This package requires ifluatex.

%package maker
Summary: Include Arduino or Processing code in LaTeX documents
Version: svn44823
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(maker.sty) = %{tl_version}

%description maker
The first version of the package allows to include Arduino or
Processing code using three different forms: writing the code
directly in the LaTeX document writing Arduino or Processing
commands in line with the text calling to Arduino or Processing
files All these options support the syntax highlighting of the
oficial IDE.

%package marginfit
Summary: Improved margin notes
Version: svn44788
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(marginfit.sty) = %{tl_version}

%description marginfit
This package fixes various bugs with the margin paragraph
implementation of LaTeX. Those bugs include margin notes that
are attached to the wrong side as well as those that stick out
of the bottom of the page. This package provides a drop-in
replacement solution.

%package math-into-latex-4-doc
Summary: Samples for the book `(More) Math into LaTeX', 4th edition.
Version: svn44131
License: Public Domain

%description math-into-latex-4-doc
Samples for the book `(More) Math into LaTeX', 4th edition.

%package mcexam
Summary: LaTeX package for creating randomized Multiple Choice questions>
Version: svn44171
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(mcexam.sty) = %{tl_version}

%description mcexam
LaTeX package for creating randomized Multiple Choice questions
The mcexam package is a LaTeX package that automatically
randomly permutes the order of questions and answer options in
different versions of a multiple choice exam/test. Next to the
exam versions themselves, the package also allows printing a
concept version of the exam, a key table with the correct
answers or points, and a document with solutions and
explanation per exam version. The package also allows writing
an R code which processes the results of the exam and
calculates the grades.

%package mendex-doc
Summary: Docs for mendex
Version: svn42767
License: BSD

%description mendex-doc
This package provides documentation for Mendex (Japanese index
processor).

%package milog
Summary: A LaTeX class for fulfilling the documentation duties according to the German minimum wage law MiLoG
Version: svn41610
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(milog.cls) = %{tl_version}

%description milog
Seit dem 1. Januar 2015 gilt in Deutschland grundsatzlich fur
alle Arbeitnehmer ein flachendeckender gesetzlicher Mindestlohn
in Hohe von derzeit 8,50EUR pro Stunde. Mit Wirkung ab 1.
August 2015 wurden die Dokumentations- und
Aufzeichnungspflichten gelockert. Nach SS17 MiLoG, muss Beginn,
Ende und Dauer der taglichen Arbeitszeit der in SS22 MiLoG
definierten Arbeitnehmern (formlos) aufgezeichnet werden.
Zusatzlich ermoglicht milog.cls aus praktischen Grunden die
Aufzeichnug von unbezahlten Pausen und Bemerkungen (Ruhetag,
Urlaub, krank, ...). Die Erfassung der Arbeitszeiten erfolgt in
einer simplen CSV-Datei, aus der die Klasse automatisch einen
Arbeitszeitnachweis erstellt. Alternativ konnen die Daten auch
durch einen CSV-Export - mit eventueller Nachbearbeitung -
einer geeigneteten App erhoben werden. The milog.cls class
provides means to fulfill the documentation duties by the
German minimum wage law MiLoG. The recording of working hours
is carried out in a simple CSV file from which the class will
automatically create a time sheet. Alternatively, data can also
be collected by a CSV export of a suitable app.

%package missaali
Summary: A late medieval OpenType textura font
Version: svn42810
License: OFL and LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(Missaali-Regular.otf) = %{tl_version}
Provides: tex(missaali.sty) = %{tl_version}

%description missaali
This package contains the free OpenType Textura font Missaali
and a style file for using it with XeLaTeX. Textura is a
typeface based on the textus quadratus form of the textualis
formata that late medieval scribes used for the most valuable
manuscripts. The font Missaali is based on Textura that German
printer Bartholomew Ghotan used for printing missals and
psalters in the 1480s. This font has two intended use cases: as
a Gothic display font; and for emulating late-medieval
manuscripts. In addition to the basic textura letters, the font
contains a large number of abbreviation sigla as well as a set
of Lombardic initials. As modern typesetting algorithms are not
intended for creating 15th century style layout, the package
contains a XeLaTeX style file that makes it easier to achieve
the classic incunabula look.

%package modular
Summary: Relative section headings for modular documents
Version: svn44142
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(modular.sty) = %{tl_version}

%description modular
LaTeX sections have absolute depth, e.g. \section, \subsection,
etc. When composing modular documents, we want relative depths.
The coseoul package provides relative headings, but does not
get things right when composing a document modularly from
multiple parts. This package provides the missing piece.
modular relies on coseoul, import, and ifthen.

%package montserrat
Summary: Montserrat sans serif, otf and pfb, with LaTeX support files
Version: svn43347
License: OFL and LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(zmo_2475kw.enc) = %{tl_version}
Provides: tex(zmo_2wpmsr.enc) = %{tl_version}
Provides: tex(zmo_35dncn.enc) = %{tl_version}
Provides: tex(zmo_3757re.enc) = %{tl_version}
Provides: tex(zmo_3afaux.enc) = %{tl_version}
Provides: tex(zmo_3xgpuk.enc) = %{tl_version}
Provides: tex(zmo_3xjnji.enc) = %{tl_version}
Provides: tex(zmo_46rasm.enc) = %{tl_version}
Provides: tex(zmo_4jynbq.enc) = %{tl_version}
Provides: tex(zmo_4teuyg.enc) = %{tl_version}
Provides: tex(zmo_4upncp.enc) = %{tl_version}
Provides: tex(zmo_544jjb.enc) = %{tl_version}
Provides: tex(zmo_56el2v.enc) = %{tl_version}
Provides: tex(zmo_5fadnl.enc) = %{tl_version}
Provides: tex(zmo_5rna26.enc) = %{tl_version}
Provides: tex(zmo_5ubf37.enc) = %{tl_version}
Provides: tex(zmo_5z3jz7.enc) = %{tl_version}
Provides: tex(zmo_67twef.enc) = %{tl_version}
Provides: tex(zmo_bd3o7d.enc) = %{tl_version}
Provides: tex(zmo_bdtbcv.enc) = %{tl_version}
Provides: tex(zmo_bkgosm.enc) = %{tl_version}
Provides: tex(zmo_byz2kr.enc) = %{tl_version}
Provides: tex(zmo_c5wpta.enc) = %{tl_version}
Provides: tex(zmo_cegcqk.enc) = %{tl_version}
Provides: tex(zmo_d2kyeu.enc) = %{tl_version}
Provides: tex(zmo_daczqg.enc) = %{tl_version}
Provides: tex(zmo_dr7oop.enc) = %{tl_version}
Provides: tex(zmo_eh44de.enc) = %{tl_version}
Provides: tex(zmo_es6tpc.enc) = %{tl_version}
Provides: tex(zmo_f642ba.enc) = %{tl_version}
Provides: tex(zmo_fxccce.enc) = %{tl_version}
Provides: tex(zmo_gttaze.enc) = %{tl_version}
Provides: tex(zmo_hau3x5.enc) = %{tl_version}
Provides: tex(zmo_hybuin.enc) = %{tl_version}
Provides: tex(zmo_i2wmyu.enc) = %{tl_version}
Provides: tex(zmo_iabfdf.enc) = %{tl_version}
Provides: tex(zmo_ijcy2e.enc) = %{tl_version}
Provides: tex(zmo_ivvhub.enc) = %{tl_version}
Provides: tex(zmo_jumqgp.enc) = %{tl_version}
Provides: tex(zmo_k3ucka.enc) = %{tl_version}
Provides: tex(zmo_kg3mv7.enc) = %{tl_version}
Provides: tex(zmo_kpjbgw.enc) = %{tl_version}
Provides: tex(zmo_ktszbv.enc) = %{tl_version}
Provides: tex(zmo_l6ekdc.enc) = %{tl_version}
Provides: tex(zmo_ljoz2a.enc) = %{tl_version}
Provides: tex(zmo_loozhj.enc) = %{tl_version}
Provides: tex(zmo_m7viqr.enc) = %{tl_version}
Provides: tex(zmo_mpjdp6.enc) = %{tl_version}
Provides: tex(zmo_myxsx6.enc) = %{tl_version}
Provides: tex(zmo_n233ks.enc) = %{tl_version}
Provides: tex(zmo_n73q35.enc) = %{tl_version}
Provides: tex(zmo_nimoma.enc) = %{tl_version}
Provides: tex(zmo_nyafwi.enc) = %{tl_version}
Provides: tex(zmo_o4eebi.enc) = %{tl_version}
Provides: tex(zmo_o4tig7.enc) = %{tl_version}
Provides: tex(zmo_o7oh2z.enc) = %{tl_version}
Provides: tex(zmo_ogifq5.enc) = %{tl_version}
Provides: tex(zmo_olufhi.enc) = %{tl_version}
Provides: tex(zmo_ov66hc.enc) = %{tl_version}
Provides: tex(zmo_pgha5c.enc) = %{tl_version}
Provides: tex(zmo_pk4ncj.enc) = %{tl_version}
Provides: tex(zmo_pogoar.enc) = %{tl_version}
Provides: tex(zmo_ps2jnw.enc) = %{tl_version}
Provides: tex(zmo_pslnjt.enc) = %{tl_version}
Provides: tex(zmo_pub5az.enc) = %{tl_version}
Provides: tex(zmo_qp4jag.enc) = %{tl_version}
Provides: tex(zmo_qqaxlq.enc) = %{tl_version}
Provides: tex(zmo_rfo7vr.enc) = %{tl_version}
Provides: tex(zmo_s7irvx.enc) = %{tl_version}
Provides: tex(zmo_scppf7.enc) = %{tl_version}
Provides: tex(zmo_skw6h2.enc) = %{tl_version}
Provides: tex(zmo_slhote.enc) = %{tl_version}
Provides: tex(zmo_subnof.enc) = %{tl_version}
Provides: tex(zmo_tjcog7.enc) = %{tl_version}
Provides: tex(zmo_tjhwyu.enc) = %{tl_version}
Provides: tex(zmo_tni2lj.enc) = %{tl_version}
Provides: tex(zmo_ts2hdt.enc) = %{tl_version}
Provides: tex(zmo_txtt2v.enc) = %{tl_version}
Provides: tex(zmo_uqa4kb.enc) = %{tl_version}
Provides: tex(zmo_utxkra.enc) = %{tl_version}
Provides: tex(zmo_v3m2pu.enc) = %{tl_version}
Provides: tex(zmo_vmhiwp.enc) = %{tl_version}
Provides: tex(zmo_vrs6kn.enc) = %{tl_version}
Provides: tex(zmo_w43b7b.enc) = %{tl_version}
Provides: tex(zmo_wieltn.enc) = %{tl_version}
Provides: tex(zmo_wuqpdh.enc) = %{tl_version}
Provides: tex(zmo_wvuz2i.enc) = %{tl_version}
Provides: tex(zmo_wygu6d.enc) = %{tl_version}
Provides: tex(zmo_x7rqlm.enc) = %{tl_version}
Provides: tex(zmo_xey7lb.enc) = %{tl_version}
Provides: tex(zmo_xu2liq.enc) = %{tl_version}
Provides: tex(zmo_xu4w3w.enc) = %{tl_version}
Provides: tex(zmo_yntdxo.enc) = %{tl_version}
Provides: tex(zmo_ytfxzt.enc) = %{tl_version}
Provides: tex(zmo_yyqg6d.enc) = %{tl_version}
Provides: tex(zmo_z64ahx.enc) = %{tl_version}
Provides: tex(zmo_zfphbh.enc) = %{tl_version}
Provides: tex(montserrat.map) = %{tl_version}
Provides: tex(Montserrat-Black.otf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic.otf) = %{tl_version}
Provides: tex(Montserrat-Bold.otf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic.otf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold.otf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic.otf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight.otf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic.otf) = %{tl_version}
Provides: tex(Montserrat-Italic.otf) = %{tl_version}
Provides: tex(Montserrat-Light.otf) = %{tl_version}
Provides: tex(Montserrat-LightItalic.otf) = %{tl_version}
Provides: tex(Montserrat-Medium.otf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic.otf) = %{tl_version}
Provides: tex(Montserrat-Regular.otf) = %{tl_version}
Provides: tex(Montserrat-SemiBold.otf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic.otf) = %{tl_version}
Provides: tex(Montserrat-Thin.otf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-Black.otf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold.otf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold.otf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight.otf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-Light.otf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium.otf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular.otf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold.otf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic.otf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin.otf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic.otf) = %{tl_version}
Provides: tex(Montserrat-Black-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-dnom-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-dnom-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-dnom-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-dnom-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-dnom-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-inf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-inf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-inf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-inf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-inf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-numr-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-numr-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-numr-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-numr-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-numr-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-sup-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-sup-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-sup-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-sup-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-sup-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-ts1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-ly1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-ly1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-ot1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-ot1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-t1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-t1.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-ts1--base.tfm) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-ts1.tfm) = %{tl_version}
Provides: tex(Montserrat-Black.pfb) = %{tl_version}
Provides: tex(Montserrat-BlackItalic.pfb) = %{tl_version}
Provides: tex(Montserrat-Bold.pfb) = %{tl_version}
Provides: tex(Montserrat-BoldItalic.pfb) = %{tl_version}
Provides: tex(Montserrat-ExtraBold.pfb) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic.pfb) = %{tl_version}
Provides: tex(Montserrat-ExtraLight.pfb) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic.pfb) = %{tl_version}
Provides: tex(Montserrat-Italic.pfb) = %{tl_version}
Provides: tex(Montserrat-Light.pfb) = %{tl_version}
Provides: tex(Montserrat-LightItalic.pfb) = %{tl_version}
Provides: tex(Montserrat-Medium.pfb) = %{tl_version}
Provides: tex(Montserrat-MediumItalic.pfb) = %{tl_version}
Provides: tex(Montserrat-Regular.pfb) = %{tl_version}
Provides: tex(Montserrat-SemiBold.pfb) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic.pfb) = %{tl_version}
Provides: tex(Montserrat-Thin.pfb) = %{tl_version}
Provides: tex(Montserrat-ThinItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-Black.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-Bold.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-Italic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-Light.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-Medium.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-Regular.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-Thin.pfb) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic.pfb) = %{tl_version}
Provides: tex(montserrat.sty) = %{tl_version}
Provides: tex(Montserrat-Black-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BlackItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ExtraLightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-SemiBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-Thin-tosf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-inf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-numr-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-sup-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(Montserrat-ThinItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Black-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BlackItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Bold-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-BoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLight-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ExtraLightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Italic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Light-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-LightItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Medium-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-MediumItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Regular-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBold-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-SemiBoldItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-Thin-tosf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-dnom-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-dnom-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-inf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-inf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-lf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-numr-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-numr-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-osf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-sup-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-sup-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tlf-ts1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-ly1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-ot1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-sc-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-t1.vf) = %{tl_version}
Provides: tex(MontserratAlternates-ThinItalic-tosf-ts1.vf) = %{tl_version}
Provides: tex(LY1Montserrat-Dnom.fd) = %{tl_version}
Provides: tex(LY1Montserrat-Inf.fd) = %{tl_version}
Provides: tex(LY1Montserrat-LF.fd) = %{tl_version}
Provides: tex(LY1Montserrat-Numr.fd) = %{tl_version}
Provides: tex(LY1Montserrat-OsF.fd) = %{tl_version}
Provides: tex(LY1Montserrat-Sup.fd) = %{tl_version}
Provides: tex(LY1Montserrat-TLF.fd) = %{tl_version}
Provides: tex(LY1Montserrat-TOsF.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-Dnom.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-Inf.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-LF.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-Numr.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-OsF.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-Sup.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-TLF.fd) = %{tl_version}
Provides: tex(LY1MontserratAlternates-TOsF.fd) = %{tl_version}
Provides: tex(OT1Montserrat-Dnom.fd) = %{tl_version}
Provides: tex(OT1Montserrat-Inf.fd) = %{tl_version}
Provides: tex(OT1Montserrat-LF.fd) = %{tl_version}
Provides: tex(OT1Montserrat-Numr.fd) = %{tl_version}
Provides: tex(OT1Montserrat-OsF.fd) = %{tl_version}
Provides: tex(OT1Montserrat-Sup.fd) = %{tl_version}
Provides: tex(OT1Montserrat-TLF.fd) = %{tl_version}
Provides: tex(OT1Montserrat-TOsF.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-Dnom.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-Inf.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-LF.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-Numr.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-OsF.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-Sup.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-TLF.fd) = %{tl_version}
Provides: tex(OT1MontserratAlternates-TOsF.fd) = %{tl_version}
Provides: tex(T1Montserrat-Dnom.fd) = %{tl_version}
Provides: tex(T1Montserrat-Inf.fd) = %{tl_version}
Provides: tex(T1Montserrat-LF.fd) = %{tl_version}
Provides: tex(T1Montserrat-Numr.fd) = %{tl_version}
Provides: tex(T1Montserrat-OsF.fd) = %{tl_version}
Provides: tex(T1Montserrat-Sup.fd) = %{tl_version}
Provides: tex(T1Montserrat-TLF.fd) = %{tl_version}
Provides: tex(T1Montserrat-TOsF.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-Dnom.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-Inf.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-LF.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-Numr.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-OsF.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-Sup.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-TLF.fd) = %{tl_version}
Provides: tex(T1MontserratAlternates-TOsF.fd) = %{tl_version}
Provides: tex(TS1Montserrat-LF.fd) = %{tl_version}
Provides: tex(TS1Montserrat-OsF.fd) = %{tl_version}
Provides: tex(TS1Montserrat-TLF.fd) = %{tl_version}
Provides: tex(TS1Montserrat-TOsF.fd) = %{tl_version}
Provides: tex(TS1MontserratAlternates-LF.fd) = %{tl_version}
Provides: tex(TS1MontserratAlternates-OsF.fd) = %{tl_version}
Provides: tex(TS1MontserratAlternates-TLF.fd) = %{tl_version}
Provides: tex(TS1MontserratAlternates-TOsF.fd) = %{tl_version}

%description montserrat
Montserrat is a geometric sans-serif typeface designed by
Julieta Ulanovsky, inspired by posters and signage from her
historical Buenos Aires neighborhood of the same name. It is
rather close in spirit to Gotham and Proxima Nova, but has its
own individual appearance -- more informal, less extended, and
more idiosyncratic. It is provided in a total of nine different
weights, each having eight figure styles and small caps in both
upright and italic shapes. There are two quite different
versions that don't fit into the usual LaTeX classifications.
The version having the appellation "Alternates" has letter
shapes that are much more rounded than the default version,
reflecting the signage in the neighborhood of Montserrat.

%package mpostinl
Summary: Embed MetaPost figures within LaTeX documents
Version: svn44686
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(mpostinl.sty) = %{tl_version}

%description mpostinl
This LaTeX2e package enables the embedding of MetaPost figures
within LaTeX documents. The package automatically collects the
embedded definitions and figures in a .mp file, adds an
appropriate LaTeX document structure, and compiles it to .mps
files. It also allows for various configuration options to
manage the generation of files and compilation.

%package mucproc
Summary: Conference proceedings for the German MuC-conference
Version: svn43445
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(mucfontsize10pt.clo) = %{tl_version}
Provides: tex(mucproc.cls) = %{tl_version}

%description mucproc
The mucproc.cls is a document class to support the formatting
guidelines for submissions to the German Mensch und Computer
conference. This work consists of the files mucproc.dtx and
mucproc.ins and the derived files mucproc.cls,
mucfontsize10pt.clo. A compilable demonstration file using the
mucproc class can be found on
https://github.com/Blubu/mucproc/. This example fulfills the
formatting guidelines for MuC 2017.

%package multilang
Summary: A LaTeX package for maintaining multiple translations of a document
Version: svn45179
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(multilang-sect.sty) = %{tl_version}
Provides: tex(multilang-tags.sty) = %{tl_version}
Provides: tex(multilang.sty) = %{tl_version}

%description multilang
Maintaining a LaTeX document with translations for multiple
languages can be cumbersome and error-prone. This package
provides a set of macros for defining macros and environments
as wrappers around existing macros and environments. These
wrappers allow one to clearly specify multiple translations for
the arguments to the wrapped macros and environments while only
the translation of the document's language is actually shown.
Choosing a translation then is as simple as choosing the
document's language via babel or polyglossia.

%package musicography
Summary: Accessing symbols for music writing with pdfLaTeX
Version: svn45440
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(musicography.sty) = %{tl_version}

%description musicography
This package makes available the most commonly used symbols in
writing about music in a way that can be used with pdfLaTeX and
looks consistent and attractive. It includes accidentals,
meters, and notes of different rhythmic values. The package
builds on the approach used in the harmony package, where the
symbols are taken from the MusiXTeX fonts. But it provides a
larger range of symbols and a more flexible, user-friendly
interface written using xparse.

%package na-box
Summary: Arabic-aware version of pas-cours package
Version: svn45130
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(na-box.sty) = %{tl_version}

%description na-box
This is a modified version of the pas-cours package made
compatible with XeLaTeX/polyglossia to write arabic documents
with fancy boxed theorem-alike environments.

%package na-position
Summary: Tables of relative positions of curves and asymptotes or tangents in Arabic documents
Version: svn45489
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(na-position.sty) = %{tl_version}

%description na-position
This package facilitates, in most cases, the creation of tables
of relative positions of a curve and its asymptote, or a curve
and a tangent in one of its points. It depends on tkz-tab and
listofitems, as well as amsmath, amsfonts, mathrsfs, and
amssymb. This package has to be used with polyglossia and
XeLaTeX to produce documents in Arabic.

%package navydocs
Summary: Support for Technical Reports by US Navy Organizations
Version: svn41643
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(navydocs.sty) = %{tl_version}

%description navydocs
The navydocs package provides an easy means for creating title
pages and the following supplementary material pages used in
technical reports by United States Navy organizations. These
pages are generated by specifying the page content via a set of
commands and then calling a macro to create the page at its
occurence in the document. This package is provided in the hope
that it proves useful to other Navy organizations, with users
contributing macros for their organizations.

%package niceframe-type1
Summary: Type 1 versions of the fonts recommended in niceframe
Version: svn44671
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(niceframe.map) = %{tl_version}
Provides: tex(bbding10.pfb) = %{tl_version}
Provides: tex(dingbat.pfb) = %{tl_version}
Provides: tex(karta15.pfb) = %{tl_version}
Provides: tex(umranda.pfb) = %{tl_version}
Provides: tex(umrandb.pfb) = %{tl_version}

%description niceframe-type1
The bundle provides Adobe Type 1 versions of the fonts
bbding10, dingbat, karta15, umranda and umrandb.

%package nodetree
Summary: visualize node lists in a tree view
Version: svn43011
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(nodetree.sty) = %{tl_version}
Provides: tex(nodetree.tex) = %{tl_version}

%description nodetree
nodetree is a development package that visualizes the structure
of node lists. nodetree shows its debug informations in the
console output when you compile a LuaTeX file. It uses a
similar visual representation for node lists as the UNIX tree
command for a folder structure.

%package notespages
Summary: Filling documents with notes pages and notes areas
Version: svn41906
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(notespages.sty) = %{tl_version}

%description notespages
This package package provides one macro to insert a single
notes page and another to fill the document with multiple notes
pages, until the total number of pages (so far) is a multiple
of a given number. A third command can be used to fill half
empty pages with a notes area.

%package notestex
Summary: An all-in-one LaTeX notes package for students
Version: svn45396
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(NotesTeX.sty) = %{tl_version}

%description notestex
This is a modification of the original Jhep journal format in
order to suit the needs of students in university. The goal of
this package was to make notetaking easier for students and
offer easy support for marginnotes along with a reliable and
legible formatting structure.

%package novel
Summary: Class for printing fiction, such as novels
Version: svn45558
License: LPPL and OFL
Requires: texlive-base texlive-kpathsea
Provides: tex(NovelDeco.otf) = %{tl_version}
Provides: tex(novel-CGATSTR001.clo) = %{tl_version}
Provides: tex(novel-CalculateLayout.sty) = %{tl_version}
Provides: tex(novel-ChapterScene.sty) = %{tl_version}
Provides: tex(novel-FOGRA39.clo) = %{tl_version}
Provides: tex(novel-FileData.sty) = %{tl_version}
Provides: tex(novel-FontDefaults.sty) = %{tl_version}
Provides: tex(novel-Footnotes.sty) = %{tl_version}
Provides: tex(novel-HeadFootStyles.sty) = %{tl_version}
Provides: tex(novel-Images.sty) = %{tl_version}
Provides: tex(novel-JC200103.clo) = %{tl_version}
Provides: tex(novel-LayoutSettings.sty) = %{tl_version}
Provides: tex(novel-TextMacros.sty) = %{tl_version}
Provides: tex(novel-glyphtounicode.tex) = %{tl_version}
Provides: tex(novel-microtype.cfg) = %{tl_version}
Provides: tex(novel-pdfx.sty) = %{tl_version}
Provides: tex(novel-xmppacket.sty) = %{tl_version}
Provides: tex(novel.cls) = %{tl_version}

%description novel
This LuaLaTeX document class is specifically written to meet
the needs of original fiction writers, who are typesetting
their own novels for non-color print-on-demand technology.
Built-in PDF/X is available, using new technology. The package
is well suited for detective novels, science fiction, and short
stories. It is however not recommended for creating color
picture books or dissertations.

%package numnameru
Summary: converts a number to the russian spelled out name
Version: svn44895
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(numnameru.sty) = %{tl_version}

%description numnameru
This package converts a numerical number to the russian spelled
out name of the number. For example, 1 - odin, 2 - dva, 12 -
dvenadtsat'.

%package numspell
Summary: Spelling cardinal and ordinal numbers
Version: svn45441
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(numspell-english.sty) = %{tl_version}
Provides: tex(numspell-french.sty) = %{tl_version}
Provides: tex(numspell-german.sty) = %{tl_version}
Provides: tex(numspell-italian.sty) = %{tl_version}
Provides: tex(numspell-magyar.sty) = %{tl_version}
Provides: tex(numspell.sty) = %{tl_version}

%description numspell
This package supports the spelling of cardinal and ordinal
numbers. Supported languages are English, French, German,
Hungarian, and Italian. The package requires xstring,
pdftexcmds, and etoolbox.

%package octave
Summary: Typeset musical pitches with octave designations
Version: svn45089
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(octave.sty) = %{tl_version}

%description octave
This package package typesets musical pitch names with
designation for the octave in either the Helmholtz system (with
octave numbers), or the traditional system (with prime
symbols). Authors can just write \pitch{C}{4} and the pitches
will be rendered correctly depending on which package option
was selected. The system can also be changed mid-document.

%package padauk
Summary: A high-quality TrueType font that supports Myanmar script
Version: svn42617
License: OFL
Requires: texlive-base texlive-kpathsea
Provides: tex(Padauk-Bold.ttf) = %{tl_version}
Provides: tex(Padauk-Regular.ttf) = %{tl_version}
Provides: tex(PadaukBook-Bold.ttf) = %{tl_version}
Provides: tex(PadaukBook-Regular.ttf) = %{tl_version}

%description padauk
Padauk is a Unicode-based font family with broad support for
writing systems that use the Myanmar script.

%package pdfreview
Summary: Annotate PDF files with margin notes
Version: svn45391
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(pdfreview.sty) = %{tl_version}

%description pdfreview
This package lets you add comments in the page margins of PDF
files, e.g. when reviewing manuscripts or grading reports. The
PDF file to be annotated is included, one page at a time, as
graphics, in a manner similar to the pdfpages package. Notes
are placed in the margin next to the included graphics using a
grid of help lines. Alternatively, only numbers are placed in
the page margins, and the notes are collected into a numbered
list at the end of the document. Note that this package is not
intended for adding notes directly to the LaTeX source of the
document that is being reviewed; instead, the document
undergoing review is already in PDF format and remains
unchanged. Also note that this package does not produce the
usual PDF "sticky notes" that must be opened by clicking on
them; instead, the notes are simply shown as text. This package
depends on the following other LaTeX package: adjustbox, calc,
geometry, graphicx, grffile, ifthen, kvoptions, tikz, ulem, and
xstring.

%package phffullpagefigure
Summary: Figures which fill up a whole page
Version: svn41857
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phffullpagefigure.sty) = %{tl_version}

%description phffullpagefigure
This package defines a figure environment which provides the
figure content on its own page, with the corresponding caption
reading for example "Figure 3 (on next page): <caption>".

%package phfnote
Summary: Basic formatting for short documents
Version: svn41858
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phfnote.sty) = %{tl_version}

%description phfnote
This package provides basic formatting for short documents such
as notes on a specific topic, short documentation, or quick
memos. It aims to cover all basic needs for such purposes:
include a standard set of relevant packages, a nice title which
doesn't take up too much space, better page margin sizes, and
some basic styling to make the note look nicer. At the same
time, it is highly flexible and customizable.

%package phfparen
Summary: Parenthetic math expressions made simpler and less redundant
Version: svn41859
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phfparen.sty) = %{tl_version}

%description phfparen
This package provides a more condensed and flexible syntax for
parenthesis-delimited expressions in math mode which also
allows for an easier switching of brace sizes. For example, the
syntax " `\big( a + b ) " can be used to replace "\bigl( a + b
\bigr)".

%package phfqit
Summary: Macros for typesetting Quantum Information Theory
Version: svn45084
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phfqit.sty) = %{tl_version}

%description phfqit
This package provides macros to typeset some general
mathematical operators (identity operator, trace, diagonal,
rank, ...), a powerful implementation of the bra-ket notation
(kets, bras, brakets, matrix elements etc. which can be sized
as required), delimited expressions such as averages and norms,
and some basic Lie algebra/group names. Macros for entropy
measures for quantum information theory (smooth min- and
max-entropy, smooth relative entropies, etc.) are also
provided.

%package phfquotetext
Summary: Quote verbatim text without white space formatting
Version: svn41869
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phfquotetext.sty) = %{tl_version}

%description phfquotetext
This package provides an environment for displaying block text
with special characters, such as verbatim quotes from a referee
report which may contain pseudo-(La)TeX code. This behaves like
a verbatim environment, except that it displays its content as
normal paragraph content, ignoring any white space
preformatting.

%package phfsvnwatermark
Summary: Watermarks with version control information from SVN
Version: svn41870
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phfsvnwatermark.sty) = %{tl_version}

%description phfsvnwatermark
This package allows you to add version control information as a
gray watermark on each page of your document. The SVN info is
read from keyword tags such as $Id$, $Date$, and $Author$ via
the svn or svn-multi packages.

%package phfthm
Summary: Goodies for theorems and proofs
Version: svn41871
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phfthm.sty) = %{tl_version}

%description phfthm
This package provides enhanced theorem and proof environments
based on the amsthm original versions. It allows for hooks to
be placed, adds some default goodies and is highly
customizable. In particular, it can connect theorems to proofs,
automatically producing text such as "See proof on page XYZ"
and "Proof of Theorem 4: ...".

%package phonenumbers
Summary: Typesetting telephone numbers with LaTeX.
Version: svn45579
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(phn-AT_Ortsnamen.tex) = %{tl_version}
Provides: tex(phn-AT_Vorwahlen.tex) = %{tl_version}
Provides: tex(phn-DE_Ortsnamen.tex) = %{tl_version}
Provides: tex(phn-DE_Vorwahlen.tex) = %{tl_version}
Provides: tex(phn-FR_Ortsnamen.tex) = %{tl_version}
Provides: tex(phn-FR_Vorwahlen.tex) = %{tl_version}
Provides: tex(phn-Landeskennzahlen.tex) = %{tl_version}
Provides: tex(phn-UK_Ortsnamen.tex) = %{tl_version}
Provides: tex(phn-UK_Vorwahlen.tex) = %{tl_version}
Provides: tex(phn-US_Ortsnamen.tex) = %{tl_version}
Provides: tex(phn-US_Vorwahlen.tex) = %{tl_version}
Provides: tex(phonenumbers.sty) = %{tl_version}

%description phonenumbers
The phonenumbers package makes it possible to typeset telephone
numbers according to different national conventions. German,
Austrian, French, British and North American phone numbers are
supported. Phone numbers from other countries are supported
rudimentarily. The user can select from various formatting
options, including the additional output of the country calling
code. The package is able to check if a phone number is valid
according to the national rules. It also allows to link phone
numbers using the hyperref package.

%package platexcheat-doc
Summary: Japanese translation of LATEX cheat sheet
Version: svn42918
License: MIT

%description platexcheat-doc
This is a translation to Japanese of Winston Chang’s LATEX cheat sheet
(a reference sheet for writing scientific papers).

%package platex-tools
Summary: pLaTeX standard tools bundle
Version: svn44912
License: BSD
Requires: texlive-base texlive-kpathsea
Provides: tex(bounddvi.sty) = %{tl_version}
Provides: tex(plarray.sty) = %{tl_version}
Provides: tex(plextarray.sty) = %{tl_version}
Provides: tex(plextdelarray.sty) = %{tl_version}
Provides: tex(pxeverysel.sty) = %{tl_version}
Provides: tex(pxeveryshi.sty) = %{tl_version}
Provides: tex(pxftnright.sty) = %{tl_version}
Provides: tex(pxgentombow.sty) = %{tl_version}

%description platex-tools
This bundle is an extended version of the latex-tools bundle
developed by the LaTeX team, mainly intended to support
pLaTeX2e and upLaTeX2e. Currently patches for the latex-tools
bundle and Martin Schroder's ms bundle are included. It also
contains the package bounddvi, which sets the papersize special
in DVI files and can be used in both vertical and horizontal
writing directions.

%package poetry
Summary: Facilities for typesetting poetry and poetical structure
Version: svn44655
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(poetry.sty) = %{tl_version}

%description poetry
The poetry package provides some macros and general doodads for
typesetting poetry. There is, of course, already the excellent
verse package, and the poetrytex package provides some extra
functionality on top of it. But poetry provides much of the
same functionality in a bit of a different way, and with a few
additional abilities, such as facilities for a list of poems,
an index of first lines, and some structural commands.

%package pst-arrow
Summary: special arrows for PSTricks
Version: svn41980
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(pst-arrow.tex) = %{tl_version}
Provides: tex(pst-arrow.sty) = %{tl_version}

%description pst-arrow
This package has all the code from the package pstricks-add
which was related to arrows, like multiple arrows and so on.

%package pst-geometrictools
Summary: A PSTricks package to draw geometric tools
Version: svn45319
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(pst-geometrictools.tex) = %{tl_version}
Provides: tex(pst-geometrictools.sty) = %{tl_version}

%description pst-geometrictools
This PSTricks package facilitates the drawing of protractors,
rulers, compasses and pencils.

%package pst-poker
Summary: Drawing poker cards
Version: svn45117
License: LGPLv3
Requires: texlive-base texlive-kpathsea
Provides: tex(pst-poker.sty) = %{tl_version}

%description pst-poker
This PSTricks related package can create poker cards in various
manners.

%package pstring
Summary: typeset sequences with justification pointers
Version: svn42857
License: Public Domain
Requires: texlive-base texlive-kpathsea
Provides: tex(pstring.sty) = %{tl_version}

%description pstring
This package lets you typeset justified sequences, also called
pointing strings. It's used for instance, in research papers
about Game Semantics to represent sequence of game moves with
their associated justification pointers. Depending on wether
using LaTeX or pdfLaTeX, the package uses PSTricks and pst-node
respectively pgf/TikZ.

%package pst-rputover
Summary: Place text over objects without obscuring background colors
Version: svn44724
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(pst-rputover.tex) = %{tl_version}
Provides: tex(pst-rputover.sty) = %{tl_version}

%description pst-rputover
This is a PSTricks package which allows to place text over
objects without obscuring background colors.

%package pst-shell
Summary: Plotting sea shells
Version: svn42840
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(pst-shell.tex) = %{tl_version}
Provides: tex(pst-shell.sty) = %{tl_version}
Requires: texlive-pst-solides3d, texlive-pstricks

%description pst-shell
pst-shell is a PSTricks related package to draw seashells in 3D
view: Argonauta, Epiteonium, Lyria, Turritella, Tonna,
Achatina, Oxystele, Conus, Ammonite, Codakia, Escalaria,
Helcion, Natalina, Planorbis, and Nautilus, all with different
parameters. pst-shell needs pst-solides3d and an up-to-date
PSTricks, which should be part of your local TeX installation,
otherwise get it from a CTAN server.

%package pst-vehicle
Summary: A PSTricks package for rolling vehicles on graphs of mathematical functions
Version: svn45320
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(ListVehicles.tex) = %{tl_version}
Provides: tex(pst-vehicle.tex) = %{tl_version}
Provides: tex(pst-vehicle.sty) = %{tl_version}

%description pst-vehicle
This package permits to represent vehicles rolling without
slipping on mathematical curves. Different types of vehicles
are proposed, the shape of the curve is to be defined by its
equation "y=f(x)" in algebraic notation.

%package pxtatescale
Summary: Patch to graphics driver for scaling in vertical direction of pTeX
Version: svn43009
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(pxtatescale.sty) = %{tl_version}

%description pxtatescale
Patch for graphics driver 'dvipdfmx' to support correct scaling
in vertical direction of Japanese pTeX/upTeX.

%package pxufont
Summary: Emulate non-Unicode Japanese fonts using Unicode fonts
Version: svn44780
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(zu-brsgnmlgothb-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothb-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothbn-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothbn-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgotheb-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgotheb-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothebn-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothebn-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothr-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothr-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlmgothr-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlmgothr-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminb-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminb-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminbn-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminbn-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminl-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminl-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminln-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminln-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminr-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminr-v.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminrn-h.tfm) = %{tl_version}
Provides: tex(zu-brsgnmlminrn-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgb0-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgb0-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgb1-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgb1-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgb2-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgb2-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgb3-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgb3-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgb4-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgb4-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgb5-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgb5-v.tfm) = %{tl_version}
Provides: tex(zu-cidjge0-h.tfm) = %{tl_version}
Provides: tex(zu-cidjge0-v.tfm) = %{tl_version}
Provides: tex(zu-cidjge1-h.tfm) = %{tl_version}
Provides: tex(zu-cidjge1-v.tfm) = %{tl_version}
Provides: tex(zu-cidjge2-h.tfm) = %{tl_version}
Provides: tex(zu-cidjge2-v.tfm) = %{tl_version}
Provides: tex(zu-cidjge3-h.tfm) = %{tl_version}
Provides: tex(zu-cidjge3-v.tfm) = %{tl_version}
Provides: tex(zu-cidjge4-h.tfm) = %{tl_version}
Provides: tex(zu-cidjge4-v.tfm) = %{tl_version}
Provides: tex(zu-cidjge5-h.tfm) = %{tl_version}
Provides: tex(zu-cidjge5-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgr0-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgr0-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgr1-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgr1-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgr2-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgr2-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgr3-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgr3-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgr4-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgr4-v.tfm) = %{tl_version}
Provides: tex(zu-cidjgr5-h.tfm) = %{tl_version}
Provides: tex(zu-cidjgr5-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmb0-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmb0-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmb1-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmb1-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmb2-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmb2-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmb3-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmb3-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmb4-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmb4-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmb5-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmb5-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr0-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr0-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr1-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr1-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr2-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr2-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr3-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr3-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr4-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr4-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr5-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmgr5-v.tfm) = %{tl_version}
Provides: tex(zu-cidjml0-h.tfm) = %{tl_version}
Provides: tex(zu-cidjml0-v.tfm) = %{tl_version}
Provides: tex(zu-cidjml1-h.tfm) = %{tl_version}
Provides: tex(zu-cidjml1-v.tfm) = %{tl_version}
Provides: tex(zu-cidjml2-h.tfm) = %{tl_version}
Provides: tex(zu-cidjml2-v.tfm) = %{tl_version}
Provides: tex(zu-cidjml3-h.tfm) = %{tl_version}
Provides: tex(zu-cidjml3-v.tfm) = %{tl_version}
Provides: tex(zu-cidjml4-h.tfm) = %{tl_version}
Provides: tex(zu-cidjml4-v.tfm) = %{tl_version}
Provides: tex(zu-cidjml5-h.tfm) = %{tl_version}
Provides: tex(zu-cidjml5-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmr0-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmr0-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmr1-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmr1-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmr2-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmr2-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmr3-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmr3-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmr4-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmr4-v.tfm) = %{tl_version}
Provides: tex(zu-cidjmr5-h.tfm) = %{tl_version}
Provides: tex(zu-cidjmr5-v.tfm) = %{tl_version}
Provides: tex(zu-jis-v.tfm) = %{tl_version}
Provides: tex(zu-jis.tfm) = %{tl_version}
Provides: tex(zu-jisg-v.tfm) = %{tl_version}
Provides: tex(zu-jisg.tfm) = %{tl_version}
Provides: tex(zu-nmlgothb-h.tfm) = %{tl_version}
Provides: tex(zu-nmlgothb-v.tfm) = %{tl_version}
Provides: tex(zu-nmlgothbn-h.tfm) = %{tl_version}
Provides: tex(zu-nmlgothbn-v.tfm) = %{tl_version}
Provides: tex(zu-nmlgotheb-h.tfm) = %{tl_version}
Provides: tex(zu-nmlgotheb-v.tfm) = %{tl_version}
Provides: tex(zu-nmlgothebn-h.tfm) = %{tl_version}
Provides: tex(zu-nmlgothebn-v.tfm) = %{tl_version}
Provides: tex(zu-nmlgothr-h.tfm) = %{tl_version}
Provides: tex(zu-nmlgothr-v.tfm) = %{tl_version}
Provides: tex(zu-nmlgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-nmlgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-nmlmgothr-h.tfm) = %{tl_version}
Provides: tex(zu-nmlmgothr-v.tfm) = %{tl_version}
Provides: tex(zu-nmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-nmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-nmlminb-h.tfm) = %{tl_version}
Provides: tex(zu-nmlminb-v.tfm) = %{tl_version}
Provides: tex(zu-nmlminbn-h.tfm) = %{tl_version}
Provides: tex(zu-nmlminbn-v.tfm) = %{tl_version}
Provides: tex(zu-nmlminl-h.tfm) = %{tl_version}
Provides: tex(zu-nmlminl-v.tfm) = %{tl_version}
Provides: tex(zu-nmlminln-h.tfm) = %{tl_version}
Provides: tex(zu-nmlminln-v.tfm) = %{tl_version}
Provides: tex(zu-nmlminr-h.tfm) = %{tl_version}
Provides: tex(zu-nmlminr-v.tfm) = %{tl_version}
Provides: tex(zu-nmlminrn-h.tfm) = %{tl_version}
Provides: tex(zu-nmlminrn-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothb-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothb-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothbn-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothbn-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgotheb-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgotheb-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothebn-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothebn-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothr-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothr-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothr-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothr-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminb-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminb-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminbn-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminbn-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminl-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminl-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminln-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminln-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminr-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminr-v.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminrn-h.tfm) = %{tl_version}
Provides: tex(zu-upbrsgnmlminrn-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothb-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothb-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothbn-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothbn-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlgotheb-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlgotheb-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothebn-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothebn-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothr-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothr-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlmgothr-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlmgothr-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlmgothrn-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlmgothrn-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlminb-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlminb-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlminbn-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlminbn-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlminl-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlminl-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlminln-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlminln-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlminr-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlminr-v.tfm) = %{tl_version}
Provides: tex(zu-upnmlminrn-h.tfm) = %{tl_version}
Provides: tex(zu-upnmlminrn-v.tfm) = %{tl_version}
Provides: tex(pxufont.sty) = %{tl_version}
Provides: tex(zu-brsgnmlgothb-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothb-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothbn-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothbn-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgotheb-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgotheb-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothebn-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothebn-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothr-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothr-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothrn-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlgothrn-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlmgothr-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlmgothr-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlmgothrn-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlmgothrn-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminb-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminb-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminbn-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminbn-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminl-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminl-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminln-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminln-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminr-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminr-v.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminrn-h.vf) = %{tl_version}
Provides: tex(zu-brsgnmlminrn-v.vf) = %{tl_version}
Provides: tex(zu-cidjgb0-h.vf) = %{tl_version}
Provides: tex(zu-cidjgb0-v.vf) = %{tl_version}
Provides: tex(zu-cidjgb1-h.vf) = %{tl_version}
Provides: tex(zu-cidjgb1-v.vf) = %{tl_version}
Provides: tex(zu-cidjgb2-h.vf) = %{tl_version}
Provides: tex(zu-cidjgb2-v.vf) = %{tl_version}
Provides: tex(zu-cidjgb3-h.vf) = %{tl_version}
Provides: tex(zu-cidjgb3-v.vf) = %{tl_version}
Provides: tex(zu-cidjgb4-h.vf) = %{tl_version}
Provides: tex(zu-cidjgb4-v.vf) = %{tl_version}
Provides: tex(zu-cidjgb5-h.vf) = %{tl_version}
Provides: tex(zu-cidjgb5-v.vf) = %{tl_version}
Provides: tex(zu-cidjge0-h.vf) = %{tl_version}
Provides: tex(zu-cidjge0-v.vf) = %{tl_version}
Provides: tex(zu-cidjge1-h.vf) = %{tl_version}
Provides: tex(zu-cidjge1-v.vf) = %{tl_version}
Provides: tex(zu-cidjge2-h.vf) = %{tl_version}
Provides: tex(zu-cidjge2-v.vf) = %{tl_version}
Provides: tex(zu-cidjge3-h.vf) = %{tl_version}
Provides: tex(zu-cidjge3-v.vf) = %{tl_version}
Provides: tex(zu-cidjge4-h.vf) = %{tl_version}
Provides: tex(zu-cidjge4-v.vf) = %{tl_version}
Provides: tex(zu-cidjge5-h.vf) = %{tl_version}
Provides: tex(zu-cidjge5-v.vf) = %{tl_version}
Provides: tex(zu-cidjgr0-h.vf) = %{tl_version}
Provides: tex(zu-cidjgr0-v.vf) = %{tl_version}
Provides: tex(zu-cidjgr1-h.vf) = %{tl_version}
Provides: tex(zu-cidjgr1-v.vf) = %{tl_version}
Provides: tex(zu-cidjgr2-h.vf) = %{tl_version}
Provides: tex(zu-cidjgr2-v.vf) = %{tl_version}
Provides: tex(zu-cidjgr3-h.vf) = %{tl_version}
Provides: tex(zu-cidjgr3-v.vf) = %{tl_version}
Provides: tex(zu-cidjgr4-h.vf) = %{tl_version}
Provides: tex(zu-cidjgr4-v.vf) = %{tl_version}
Provides: tex(zu-cidjgr5-h.vf) = %{tl_version}
Provides: tex(zu-cidjgr5-v.vf) = %{tl_version}
Provides: tex(zu-cidjmb0-h.vf) = %{tl_version}
Provides: tex(zu-cidjmb0-v.vf) = %{tl_version}
Provides: tex(zu-cidjmb1-h.vf) = %{tl_version}
Provides: tex(zu-cidjmb1-v.vf) = %{tl_version}
Provides: tex(zu-cidjmb2-h.vf) = %{tl_version}
Provides: tex(zu-cidjmb2-v.vf) = %{tl_version}
Provides: tex(zu-cidjmb3-h.vf) = %{tl_version}
Provides: tex(zu-cidjmb3-v.vf) = %{tl_version}
Provides: tex(zu-cidjmb4-h.vf) = %{tl_version}
Provides: tex(zu-cidjmb4-v.vf) = %{tl_version}
Provides: tex(zu-cidjmb5-h.vf) = %{tl_version}
Provides: tex(zu-cidjmb5-v.vf) = %{tl_version}
Provides: tex(zu-cidjmgr0-h.vf) = %{tl_version}
Provides: tex(zu-cidjmgr0-v.vf) = %{tl_version}
Provides: tex(zu-cidjmgr1-h.vf) = %{tl_version}
Provides: tex(zu-cidjmgr1-v.vf) = %{tl_version}
Provides: tex(zu-cidjmgr2-h.vf) = %{tl_version}
Provides: tex(zu-cidjmgr2-v.vf) = %{tl_version}
Provides: tex(zu-cidjmgr3-h.vf) = %{tl_version}
Provides: tex(zu-cidjmgr3-v.vf) = %{tl_version}
Provides: tex(zu-cidjmgr4-h.vf) = %{tl_version}
Provides: tex(zu-cidjmgr4-v.vf) = %{tl_version}
Provides: tex(zu-cidjmgr5-h.vf) = %{tl_version}
Provides: tex(zu-cidjmgr5-v.vf) = %{tl_version}
Provides: tex(zu-cidjml0-h.vf) = %{tl_version}
Provides: tex(zu-cidjml0-v.vf) = %{tl_version}
Provides: tex(zu-cidjml1-h.vf) = %{tl_version}
Provides: tex(zu-cidjml1-v.vf) = %{tl_version}
Provides: tex(zu-cidjml2-h.vf) = %{tl_version}
Provides: tex(zu-cidjml2-v.vf) = %{tl_version}
Provides: tex(zu-cidjml3-h.vf) = %{tl_version}
Provides: tex(zu-cidjml3-v.vf) = %{tl_version}
Provides: tex(zu-cidjml4-h.vf) = %{tl_version}
Provides: tex(zu-cidjml4-v.vf) = %{tl_version}
Provides: tex(zu-cidjml5-h.vf) = %{tl_version}
Provides: tex(zu-cidjml5-v.vf) = %{tl_version}
Provides: tex(zu-cidjmr0-h.vf) = %{tl_version}
Provides: tex(zu-cidjmr0-v.vf) = %{tl_version}
Provides: tex(zu-cidjmr1-h.vf) = %{tl_version}
Provides: tex(zu-cidjmr1-v.vf) = %{tl_version}
Provides: tex(zu-cidjmr2-h.vf) = %{tl_version}
Provides: tex(zu-cidjmr2-v.vf) = %{tl_version}
Provides: tex(zu-cidjmr3-h.vf) = %{tl_version}
Provides: tex(zu-cidjmr3-v.vf) = %{tl_version}
Provides: tex(zu-cidjmr4-h.vf) = %{tl_version}
Provides: tex(zu-cidjmr4-v.vf) = %{tl_version}
Provides: tex(zu-cidjmr5-h.vf) = %{tl_version}
Provides: tex(zu-cidjmr5-v.vf) = %{tl_version}
Provides: tex(zu-jis-v.vf) = %{tl_version}
Provides: tex(zu-jis.vf) = %{tl_version}
Provides: tex(zu-jisg-v.vf) = %{tl_version}
Provides: tex(zu-jisg.vf) = %{tl_version}
Provides: tex(zu-nmlgothb-h.vf) = %{tl_version}
Provides: tex(zu-nmlgothb-v.vf) = %{tl_version}
Provides: tex(zu-nmlgothbn-h.vf) = %{tl_version}
Provides: tex(zu-nmlgothbn-v.vf) = %{tl_version}
Provides: tex(zu-nmlgotheb-h.vf) = %{tl_version}
Provides: tex(zu-nmlgotheb-v.vf) = %{tl_version}
Provides: tex(zu-nmlgothebn-h.vf) = %{tl_version}
Provides: tex(zu-nmlgothebn-v.vf) = %{tl_version}
Provides: tex(zu-nmlgothr-h.vf) = %{tl_version}
Provides: tex(zu-nmlgothr-v.vf) = %{tl_version}
Provides: tex(zu-nmlgothrn-h.vf) = %{tl_version}
Provides: tex(zu-nmlgothrn-v.vf) = %{tl_version}
Provides: tex(zu-nmlmgothr-h.vf) = %{tl_version}
Provides: tex(zu-nmlmgothr-v.vf) = %{tl_version}
Provides: tex(zu-nmlmgothrn-h.vf) = %{tl_version}
Provides: tex(zu-nmlmgothrn-v.vf) = %{tl_version}
Provides: tex(zu-nmlminb-h.vf) = %{tl_version}
Provides: tex(zu-nmlminb-v.vf) = %{tl_version}
Provides: tex(zu-nmlminbn-h.vf) = %{tl_version}
Provides: tex(zu-nmlminbn-v.vf) = %{tl_version}
Provides: tex(zu-nmlminl-h.vf) = %{tl_version}
Provides: tex(zu-nmlminl-v.vf) = %{tl_version}
Provides: tex(zu-nmlminln-h.vf) = %{tl_version}
Provides: tex(zu-nmlminln-v.vf) = %{tl_version}
Provides: tex(zu-nmlminr-h.vf) = %{tl_version}
Provides: tex(zu-nmlminr-v.vf) = %{tl_version}
Provides: tex(zu-nmlminrn-h.vf) = %{tl_version}
Provides: tex(zu-nmlminrn-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothb-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothb-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothbn-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothbn-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgotheb-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgotheb-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothebn-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothebn-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothr-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothr-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothrn-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlgothrn-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothr-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothr-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothrn-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlmgothrn-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminb-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminb-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminbn-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminbn-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminl-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminl-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminln-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminln-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminr-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminr-v.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminrn-h.vf) = %{tl_version}
Provides: tex(zu-upbrsgnmlminrn-v.vf) = %{tl_version}
Provides: tex(zu-upnmlgothb-h.vf) = %{tl_version}
Provides: tex(zu-upnmlgothb-v.vf) = %{tl_version}
Provides: tex(zu-upnmlgothbn-h.vf) = %{tl_version}
Provides: tex(zu-upnmlgothbn-v.vf) = %{tl_version}
Provides: tex(zu-upnmlgotheb-h.vf) = %{tl_version}
Provides: tex(zu-upnmlgotheb-v.vf) = %{tl_version}
Provides: tex(zu-upnmlgothebn-h.vf) = %{tl_version}
Provides: tex(zu-upnmlgothebn-v.vf) = %{tl_version}
Provides: tex(zu-upnmlgothr-h.vf) = %{tl_version}
Provides: tex(zu-upnmlgothr-v.vf) = %{tl_version}
Provides: tex(zu-upnmlgothrn-h.vf) = %{tl_version}
Provides: tex(zu-upnmlgothrn-v.vf) = %{tl_version}
Provides: tex(zu-upnmlmgothr-h.vf) = %{tl_version}
Provides: tex(zu-upnmlmgothr-v.vf) = %{tl_version}
Provides: tex(zu-upnmlmgothrn-h.vf) = %{tl_version}
Provides: tex(zu-upnmlmgothrn-v.vf) = %{tl_version}
Provides: tex(zu-upnmlminb-h.vf) = %{tl_version}
Provides: tex(zu-upnmlminb-v.vf) = %{tl_version}
Provides: tex(zu-upnmlminbn-h.vf) = %{tl_version}
Provides: tex(zu-upnmlminbn-v.vf) = %{tl_version}
Provides: tex(zu-upnmlminl-h.vf) = %{tl_version}
Provides: tex(zu-upnmlminl-v.vf) = %{tl_version}
Provides: tex(zu-upnmlminln-h.vf) = %{tl_version}
Provides: tex(zu-upnmlminln-v.vf) = %{tl_version}
Provides: tex(zu-upnmlminr-h.vf) = %{tl_version}
Provides: tex(zu-upnmlminr-v.vf) = %{tl_version}
Provides: tex(zu-upnmlminrn-h.vf) = %{tl_version}
Provides: tex(zu-upnmlminrn-v.vf) = %{tl_version}

%description pxufont
The set of the Japanese logical fonts (JFMs) that are used as
standard fonts in pTeX and upTeX contains both Unicode JFMs and
non-Unicode JFMs. This bundle provides an alternative set of
non-Unicode JFMs that are tied to the virtual fonts (VFs) that
refer to the glyphs in the Unicode JFMs. Moreover it provides a
LaTeX package that redefines the NFSS settings of the Japanese
fonts of (u)pLaTeX so that the new set of non-Unicode JFMs will
be employed. As a whole, this bundle allows users to dispense
with the mapping setup on non-Unicode JFMs. Such a setup is
useful in particular when users want to use OpenType fonts
(such as Source Han Serif) that have a glyph encoding different
from Adobe-Japan1, because mapping setups from non-Unicode JFMs
to such physical fonts are difficult to prepare.

%package quicktype
Summary: LaTeX package for quick typesetting
Version: svn42183
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(quicktype.sty) = %{tl_version}

%description quicktype
Intended for the quick typesetting of basic documents using
LaTeX using shortcuts to existing commands and specific
commands for quick formatting and creation of tables and title
pages with a graphic image.

%package rutitlepage
Summary: Radboud University Titlepage Package
Version: svn44485
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(rutitlepage.sty) = %{tl_version}

%description rutitlepage
This is an unofficial LaTeX package to generate titlepages for
the Radboud University, Nijmegen. It uses official vector logos
from the university. This package requires the following other
LaTeX packages: geometry, graphicx, ifpdf, keyval, iflang, and,
optionnaly, babel-dutch.

%package scratch
Summary: Draw programs like "scratch"
Version: svn45362
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(scratch.sty) = %{tl_version}

%description scratch
This package permits to draw program charts in the style of the
scatch project (scratch.mit.edu). It depends on the other LaTeX
packages TikZ and simplekv.

%package scsnowman
Summary: Snowman variants using TikZ
Version: svn44984
License: BSD
Requires: texlive-base texlive-kpathsea
Provides: tex(scsnowman-normal.def) = %{tl_version}
Provides: tex(scsnowman.sty) = %{tl_version}
Provides: tex(sctkzsym-base.sty) = %{tl_version}

%description scsnowman
This LaTeX package provides a command \scsnowman which can
display many variants of "snowman" ("yukidaruma" in Japanese).
TikZ is required for drawing these snowmen.

%package sesstime
Summary: Session and timing information in lecture notes
Version: svn44157
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(sesstime.sty) = %{tl_version}

%description sesstime
This LaTeX2e package makes it possible to add timing marks to
lecture notes in order to help managing the time available for
presenting a given section of the document. It also provides
tools to record and estimate the progress throughout the
course.

%package shobhika
Summary: An OpenType Devanagari font designed for scholars
Version: svn44723
License: OFL
Requires: texlive-base texlive-kpathsea
Provides: tex(Shobhika-Bold.otf) = %{tl_version}
Provides: tex(Shobhika-Regular.otf) = %{tl_version}

%description shobhika
This package provides a free, open source, Unicode compliant,
OpenType font with support for Devanagari, Latin, and Cyrillic
scripts. It is available in two weights--regular and bold. The
font is designed with over 1600 Devanagari glyphs, including
support for over 1100 conjunct consonants, as well as vedic
accents. The Latin component of the font not only supports a
wide range of characters required for Roman transliteration of
Sanskrit, but also provides a subset of regularly used
mathematical symbols for scholars working with scientific and
technical documents. The project has been launched under the
auspices of the Science and Heritage Initiative (SandHI) at IIT
Bombay, and builds upon the following two fonts for its
Devanagari and Latin components respectively: (i) Yashomudra by
Rajya Marathi Vikas Samstha, and (ii) PT Serif by ParaType. We
would like to thank both these organisations for releasing
their fonts under the SIL Open Font Licence, which has enabled
us to create Shobhika.

%package simple-resume-cv
Summary: Template for a simple resume or curriculum vitae (CV), in XeLaTeX
Version: svn43057
License: Public Domain
Requires: texlive-base texlive-kpathsea
Provides: tex(simpleresumecv.cls) = %{tl_version}

%description simple-resume-cv
Template for a simple resume or curriculum vitae (CV), in
XeLaTeX. Simple template that can be further customized or
extended, with numerous examples.

%package simple-thesis-dissertation
Summary: Template for a simple thesis or dissertation (Ph.D. or master's degree) or technical report, in XeLaTeX
Version: svn43058
License: Public Domain
Requires: texlive-base texlive-kpathsea
Provides: tex(simplethesisdissertation.cls) = %{tl_version}

%description simple-thesis-dissertation
Template for a simple thesis or dissertation (Ph.D. or master's
degree) or technical report, in XeLaTeX. Simple template that
can be further customized or extended, with numerous examples.
Consistent style for figures, tables, mathematical theorems,
definitions, lemmas, etc.

%package soup
Summary: Generate alphabet soup puzzles
Version: svn42992
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(soup.sty) = %{tl_version}

%description soup
Generate alphabet soup puzzles (aka word search puzzles), and
variations using numbers or other symbols. Provides macros to
generate an alphabet soup style puzzle (also known as word
search puzzles or "find-the-word" puzzles). Allow creating
numbersoup and soups with custom symbol sets.

%package spark-otf
Summary: Support OpenType Spark fonts
Version: svn45483
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(spark-otf.sty) = %{tl_version}

%description spark-otf
The package supports the free fonts from "After the Flood"
which are available from AtF Spark. The following fonts are
supported: Spark - Bar - Medium Spark - Bar - Narrow Spark -
Bar - Thin Spark - Dot-line - Medium Spark - Dot - Medium Spark
- Dot - Small

%package spectralsequences
Summary: Print spectral sequence diagrams using PGF/TikZ
Version: svn45318
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(spectralsequences.sty) = %{tl_version}
Provides: tex(sseqcheckdefinitions.code.tex) = %{tl_version}
Provides: tex(sseqdrawing.code.tex) = %{tl_version}
Provides: tex(sseqforeach.code.tex) = %{tl_version}
Provides: tex(sseqkeys.code.tex) = %{tl_version}
Provides: tex(sseqloadstore.code.tex) = %{tl_version}
Provides: tex(sseqmacromakers.code.tex) = %{tl_version}
Provides: tex(sseqmain.code.tex) = %{tl_version}
Provides: tex(sseqmessages.code.tex) = %{tl_version}
Provides: tex(sseqparsers.code.tex) = %{tl_version}

%description spectralsequences
The package is a specialized tool built on top of PGF/TikZ for
drawing spectral sequences. It provides a powerful, concise
syntax for specifying the data of a spectral sequence, and then
allows the user to print various pages of spectral sequences,
automatically choosing which subset of the classes,
differentials, and structure lines to display on each page. It
also handles most of the details of the layout. At the same
time, it is extremely flexible. spectralsequences is closely
integrated with TikZ to ensure that users can take advantage of
as much as possible of its expressive power. It is possible to
turn off most of the automated layout features and draw
replacements using TikZ commands. The package also provides a
carefully designed error reporting system intended to ensure
that it is as clear as possible what is going wrong.

%package studenthandouts
Summary: Management and styling of student handout projects
Version: svn43516
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(studenthandouts.sty) = %{tl_version}

%description studenthandouts
This package can be used to generate a single master document
that contains a set of individual student handouts. The package
has two main functions. First, it provides a simple framework
for organizing handout source code, and supplies a set of
import management tools for selectively importing a subset of
the handouts into the master document. Selective import is
convenient when compilation of all of the handouts is
unnecessary, for example when working on a new handout. As a
secondary feature, the package defines a basic visual style for
handouts. This style can be easily changed.

%package table-fct
Summary: Draw a variations table of functions and a convexity table of its graph.
Version: svn41849
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(table-fct.sty) = %{tl_version}

%description table-fct
Draw a variations table of functions and a convexity table of
its graph This version offers two environnements, to draw
variations table of a function and a convexity table of its
graph.

%package termcal-de
Summary: German localization for termcal
Version: svn44952
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(termcal-de.sty) = %{tl_version}

%description termcal-de
This package provides a German localization to the termcal
package written by Bill Mitchell, which is intended to print a
term calendar for use in planning a class.

%package testidx
Summary: Dummy text for testing index styles and indexing applications
Version: svn45021
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(testidx-glossaries.sty) = %{tl_version}
Provides: tex(testidx.sty) = %{tl_version}

%description testidx
This is a LaTeX package that provides a command to produce
dummy text interspersed with \index commands to test an index
style or indexing application. The dummy text is mostly in
English, but includes extended Latin characters provided either
through LaTeX accent commands or directly with UTF-8
characters, depending on the setup, to allow for testing
extended Latin alphabets. The supplementary package
testidx-glossaries.sty uses the indexing interface provided by
the glossaries package.

%package texproposal-doc
Summary: Materials for proposals to offer TeX courses
Version: svn43151
License: CC-BY and MIT

%description texproposal-doc
Materials for the "Proposal for Offering TeX Courses and Relevant 
Resources in Chongqing University"

%package thaienum
Summary: Thai labels in enumerate environments
Version: svn44140
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(thaienum.sty) = %{tl_version}

%description thaienum
This LaTeX package provides a command to use Thai numerals or
characters as labels in enumerate environments. Once the
package is loaded with \usepackage{thaienum} you can use labels
such as \thainum* or \thaimultialph* in conjunction with the
package enumitem. Concrete examples are given in the
documentation.

%package tikzcodeblocks
Summary: Helps to draw codeblocks like scratch, NEPO and PXT in TikZ
Version: svn44841
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(tikzcodeblocks.sty) = %{tl_version}

%description tikzcodeblocks
tikzcodeblocks is a LaTeX package for typesetting blockwise
graphic programming languages like scratch, nepo or pxt.

%package tikzducks
Summary: A little fun package for using rubber ducks in TikZ
Version: svn45211
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(tikzducks.sty) = %{tl_version}

%description tikzducks
The package is a LaTeX package for ducks to be used in TikZ
pictures. This project is a continuation of an answer at
StackExchange How we can draw a duck?

%package tikz-kalender
Summary: A LaTeX based calendar using TikZ
Version: svn44393
License: CC-BY-SA
Requires: texlive-base texlive-kpathsea
Provides: tex(tikz-kalender-translation.clo) = %{tl_version}
Provides: tex(tikz-kalender.cls) = %{tl_version}

%description tikz-kalender
For usage see the example files tikz-kalender-example1.tex,
tikz-kalender-example2.tex, and *.events. The Code is inspired
by this document and has the >>Creative Commons attribution
license (CC-BY-SA)<<. The class tikz-kalender requires the
package TikZ and the TikZ libraries calc and calendar.

%package tikz-optics
Summary: A library for drawing optical setups with TikZ
Version: svn43466
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(tikzlibraryoptics.code.tex) = %{tl_version}

%description tikz-optics
This package provides a new TikZ library designed to easily
draw optical setups with TikZ. It provides shapes for lens,
mirror, etc. The geometrically (in)correct computation of light
rays through the setup is left to the user.

%package tikzpeople
Summary: Draw people-shaped nodes in TikZ
Version: svn43978
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(tikzpeople.shape.alice.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.bob.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.bride.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.builder.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.businessman.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.charlie.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.chef.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.conductor.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.cowboy.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.criminal.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.dave.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.devil.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.duck.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.graduate.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.groom.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.guard.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.jester.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.judge.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.maninblack.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.mexican.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.nun.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.nurse.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.physician.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.pilot.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.police.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.priest.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.sailor.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.santa.sty) = %{tl_version}
Provides: tex(tikzpeople.shape.surgeon.sty) = %{tl_version}
Provides: tex(tikzpeople.sty) = %{tl_version}

%description tikzpeople
This package provides people-shaped nodes in the style of
Microsoft Visio clip art, to be used with TikZ. The available,
highly customizable, node shapes are: alice, bob, bride,
builder, businessman, charlie, chef, conductor, cowboy,
criminal, dave, devil, duck, graduate, groom, guard, jester,
judge, maininblack, mexican, nun, nurse, physician, pilot,
police, priest, sailor, santa, surgeon.

%package tocdata
Summary: Adds names to chapters, sections, figures in the TOC and LOF.
Version: svn42623
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(tocdata.sty) = %{tl_version}

%description tocdata
The package may be used to add a small amount of data to an
entry in the table of contents or list of figures, between the
section name and the page number. The typical use would be to
add the name of an author or artist of a chapter or section,
such as in an anthology or a collection of papers.
Additionally, user-level macros are provided which add the
author's name to a chapter or section, along with an optional
prefix and/or suffix, and add to a figure the artist's name,
prefix, and suffix, plus optional additional text. Author and
artist names are also added to the index. Additional user-level
macros control formatting.

%package txuprcal
Summary: Upright calligraphic font based on TX calligraphic
Version: svn43327
License: GPLv3
Requires: texlive-base texlive-kpathsea
Provides: tex(TXUprCal.map) = %{tl_version}
Provides: tex(txUprCal-Bold.tfm) = %{tl_version}
Provides: tex(txUprCal-Regular.tfm) = %{tl_version}
Provides: tex(txuprcal-bold.pfb) = %{tl_version}
Provides: tex(txuprcal-reg.pfb) = %{tl_version}
Provides: tex(txuprcal.sty) = %{tl_version}
Provides: tex(utxuprcal.fd) = %{tl_version}

%description txuprcal
This small package provides a means of loading as \mathcal an
uprighted version of the calligraphic fonts from the TX font
package. A scaled option to provided to allow arbitrary
scaling.

%package typoaid
Summary: Macros for font diagnostics
Version: svn44238
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(typoaid.sty) = %{tl_version}

%description typoaid
This package provides macros for measuring alphabet lengths
(i.e. the length occupied by the characters "abcd...xyz"), em-
widths and ex-heights, which may help in making typesetting
decisions. The package is compatible with pdfLaTeX, LuaLaTeX,
and XeLaTeX, and will accept font family switches defined via
the fontspec package. The plan is that future versions shall be
able to provide even more diagnostic tools, and some LuaTeX-
specific special commands, too. The package relies on the
following other LaTeX packages: expl3, array, booktabs, and
siunitx.

%package uhhassignment
Summary: A document class for typesetting homework assignments
Version: svn44026
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(uhhassignment.cls) = %{tl_version}

%description uhhassignment
This document class was created for typesetting solutions to
homework assignments at the university of Hamburg (Universitat
Hamburg).

%package undergradmath-doc
Summary: LaTeX Math for Undergraduates cheat sheet
Version: svn42926
License: CC-BY-SA

%description undergradmath-doc
This is a cheat sheet for writing mathematics with LaTeX. It is
aimed at US undergraduates.

%package unfonts-core
Summary: TrueType version of Un-fonts
Version: svn44467
License: GPLv2
Requires: texlive-base texlive-kpathsea
Provides: tex(UnBatang.ttf) = %{tl_version}
Provides: tex(UnBatangBold.ttf) = %{tl_version}
Provides: tex(UnDinaru.ttf) = %{tl_version}
Provides: tex(UnDinaruBold.ttf) = %{tl_version}
Provides: tex(UnDinaruLight.ttf) = %{tl_version}
Provides: tex(UnDotum.ttf) = %{tl_version}
Provides: tex(UnDotumBold.ttf) = %{tl_version}
Provides: tex(UnGraphic.ttf) = %{tl_version}
Provides: tex(UnGraphicBold.ttf) = %{tl_version}
Provides: tex(UnGungseo.ttf) = %{tl_version}
Provides: tex(UnPilgi.ttf) = %{tl_version}
Provides: tex(UnPilgiBold.ttf) = %{tl_version}

%description unfonts-core
The Un-fonts come from the HLaTeX as type1 fonts in 1998 by
Koaunghi Un, he made type1 fonts to use with Korean TeX
(HLaTeX) in the late 1990's and released it under the GPL
license. They were converted to TrueType with the FontForge
(PfaEdit) by Won-kyu Park in 2003. Core families (9 fonts):
UnBatang, UnBatangBold: serif UnDotum, UnDotumBold: sans-serif
UnGraphic, UnGraphicBold: sans-serif style UnPilgi,
UnPilgiBold: script UnGungseo: cursive, brush-stroke

%package unfonts-extra
Summary: TrueType version of Un-fonts
Version: svn44465
License: GPLv2
Requires: texlive-base texlive-kpathsea
Provides: tex(UnJamoBatang.ttf) = %{tl_version}
Provides: tex(UnJamoDotum.ttf) = %{tl_version}
Provides: tex(UnJamoNovel.ttf) = %{tl_version}
Provides: tex(UnJamoSora.ttf) = %{tl_version}
Provides: tex(UnPen.ttf) = %{tl_version}
Provides: tex(UnPenheulim.ttf) = %{tl_version}
Provides: tex(UnPilgia.ttf) = %{tl_version}
Provides: tex(UnShinmun.ttf) = %{tl_version}
Provides: tex(UnTaza.ttf) = %{tl_version}
Provides: tex(UnVada.ttf) = %{tl_version}
Provides: tex(UnYetgul.ttf) = %{tl_version}

%description unfonts-extra
The Un-fonts come from the HLaTeX as type1 fonts in 1998 by
Koaunghi Un, he made type1 fonts to use with Korean TeX
(HLaTeX) in the late 1990's and released it under the GPL
license. They were converted to TrueType with the FontForge
(PfaEdit) by Won-kyu Park in 2003. Extra families (10 fonts):
UnPen, UnPenheulim: script UnTaza: typewriter style UnBom:
decorative UnShinmun UnYetgul: old Korean printing style
UnJamoSora, UnJamoNovel, UnJamoDotum, UnJamoBatang

%package unicode-bidi
Summary: Experimental unicode bidi package for XeTeX
Version: svn42482
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(unicode-bidi.sty) = %{tl_version}

%description unicode-bidi
The experimental unicode-bidi package allows to mix non-RTL
script with RTL script without any markup.

%package unitn-bimrep
Summary: A bimonthly report class for the PhD School of Materials, Mechatronics and System Engineering
Version: svn45581
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(unitn-bimrep.cls) = %{tl_version}

%description unitn-bimrep
This package allows to rapidly write the bimonthly report for
The Ph.D. School in Materials, Mechatronics and System
Engineering. It allows to define the research activities, the
participation to school and congress, and the publication
performed by a student.

%package upzhkinsoku
Summary: Supplementary Chinese kinsoku for Unicode *pTeX
Version: svn45214
License: Knuth
Requires: texlive-base texlive-kpathsea
Provides: tex(upzhkinsoku.sty) = %{tl_version}

%description upzhkinsoku
This package provides supplementary Chinese kinsoku (line
breaking rules etc.) settings for Unicode (e-)upTeX (when using
Unicode as its internal encoding), and ApTeX. Both LaTeX and
plain TeX are supported.

%package uspace
Summary: Giving meaning to various Unicode space characters
Version: svn42456
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(uspace.sty) = %{tl_version}

%description uspace
LaTeX package that gives meaning to various Unicode space
characters.

%package variablelm
Summary: Font definitions for the variable Latin Modern fonts
Version: svn43686
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(variablelm.sty) = %{tl_version}
Provides: tex(omlvlmm.fd) = %{tl_version}
Provides: tex(omlvlmr.fd) = %{tl_version}
Provides: tex(omsvlmr.fd) = %{tl_version}
Provides: tex(omsvlmsy.fd) = %{tl_version}
Provides: tex(omxvlmex.fd) = %{tl_version}
Provides: tex(ot1vlmr.fd) = %{tl_version}
Provides: tex(ot1vlmtt.fd) = %{tl_version}
Provides: tex(t1vlmr.fd) = %{tl_version}
Provides: tex(t1vlmss.fd) = %{tl_version}
Provides: tex(t1vlmssq.fd) = %{tl_version}
Provides: tex(t1vlmtt.fd) = %{tl_version}
Provides: tex(t1vlmvtt.fd) = %{tl_version}
Provides: tex(ts1vlmr.fd) = %{tl_version}

%description variablelm
This package provides a mechanism for scaling the typeface. It
is directed to Latin Modern fonts and provides the font
definitions and the corresponding style file. This mechanism is
useful in mixed text compositions, for example Japanese-Latin.

%package wallcalendar
Summary: A wall calendar class with custom layouts
Version: svn45568
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(wallcalendar-czech.tex) = %{tl_version}
Provides: tex(wallcalendar-dutch.tex) = %{tl_version}
Provides: tex(wallcalendar-english.tex) = %{tl_version}
Provides: tex(wallcalendar-french.tex) = %{tl_version}
Provides: tex(wallcalendar-german.tex) = %{tl_version}
Provides: tex(wallcalendar-hungarian.tex) = %{tl_version}
Provides: tex(wallcalendar-italian.tex) = %{tl_version}
Provides: tex(wallcalendar-japanese.tex) = %{tl_version}
Provides: tex(wallcalendar-norwegian.tex) = %{tl_version}
Provides: tex(wallcalendar-portuguese.tex) = %{tl_version}
Provides: tex(wallcalendar-romanian.tex) = %{tl_version}
Provides: tex(wallcalendar-serbian.tex) = %{tl_version}
Provides: tex(wallcalendar-slovakian.tex) = %{tl_version}
Provides: tex(wallcalendar-slovenian.tex) = %{tl_version}
Provides: tex(wallcalendar-spanish.tex) = %{tl_version}
Provides: tex(wallcalendar-swedish.tex) = %{tl_version}
Provides: tex(wallcalendar-thai.tex) = %{tl_version}
Provides: tex(wallcalendar.cls) = %{tl_version}

%description wallcalendar
This package provides a wall calendar class with custom layouts
and support for internationalization. It comes with the
following layouts: Full page photo, the calendar days overlaid
with opacity Full page photo, the photo above the calendar days
Small landscape photo, with a calendar grid Year planner
Thumbnails and captions Varnish mask There is also support for
loading event marks from a CSV file.

%package wtref
Summary: Extend LaTeX's cross-reference system
Version: svn42981
License: MIT
Requires: texlive-base texlive-kpathsea
Provides: tex(wtref.sty) = %{tl_version}

%description wtref
This package extends the cross-reference system of LaTeX2e and
introduces concepts of namespace and scope. It also allows
users to customize reference formats. The package is part of
the WT Series.

%package xcolor-material
Summary: Defines the 256 colors from Google Material Color Palette
Version: svn42289
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(xcolor-material.sty) = %{tl_version}

%description xcolor-material
The package is built on top of the great xcolor package. It
provides a useful definition of the beautiful Google Material
Color Palette, available at Google Material design, for its use
in document writing with LaTeX and Friends.

%package xechangebar
Summary: An extension of package changebar that can be used with XeLaTeX
Version: svn44954
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(xechangebar.sty) = %{tl_version}

%description xechangebar
The package extends package changebar so it can be used with
XeLaTeX. It introduces the new option xetex for use with
XeLaTeX. Everything else remains the same and users should
consult the original documenation for usage information.

%package xltabular
Summary: Longtable support with possible X-column specifier
Version: svn45446
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(xltabular.sty) = %{tl_version}

%description xltabular
This package loads package ltablex, but keeps the current
tabularx environment as is. The new environment xltabular is a
combination of longtable and tabularx: Header/footer
definitions, X-column specifier, and with possible pagebreaks.

%package xsim
Summary: eXercise Sheets IMproved
Version: svn45355
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(xsim-manual.cls) = %{tl_version}
Provides: tex(xsim.auxfile.code.tex) = %{tl_version}
Provides: tex(xsim.base.code.tex) = %{tl_version}
Provides: tex(xsim.blanks.code.tex) = %{tl_version}
Provides: tex(xsim.collections.code.tex) = %{tl_version}
Provides: tex(xsim.definitions.code.tex) = %{tl_version}
Provides: tex(xsim.environments.code.tex) = %{tl_version}
Provides: tex(xsim.exercises.code.tex) = %{tl_version}
Provides: tex(xsim.goals.code.tex) = %{tl_version}
Provides: tex(xsim.grades.code.tex) = %{tl_version}
Provides: tex(xsim.interface.code.tex) = %{tl_version}
Provides: tex(xsim.layouts.code.tex) = %{tl_version}
Provides: tex(xsim.modules.code.tex) = %{tl_version}
Provides: tex(xsim.properties.code.tex) = %{tl_version}
Provides: tex(xsim.random.code.tex) = %{tl_version}
Provides: tex(xsim.solutions.code.tex) = %{tl_version}
Provides: tex(xsim.sty) = %{tl_version}
Provides: tex(xsim.tags.code.tex) = %{tl_version}
Provides: tex(xsim.templates.code.tex) = %{tl_version}
Provides: tex(xsim.translations.code.tex) = %{tl_version}
Provides: tex(xsim.verbwrite.code.tex) = %{tl_version}
Provides: tex(xsimverb.sty) = %{tl_version}

%description xsim
This package helps in creating exercises and the corresponding
solutions. It is the official successor of the exsheets package
and fixes/improves various long-standing issues.

%package yaletter
Summary: Extremely flexible macros for letters, envelopes, and label sheets
Version: svn42830
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(yaletter.cls) = %{tl_version}

%description yaletter
The yaletter class provides extremely configurable macros for
typesetting letters in any conceivable style. It provides
facilities for maintaining easily-accessible databases of
letterheads and addresses for repeat use. It further provides
easy macros for envelopes and for label sheets. Finally, it
provides some nice defaults for a few of the more common styles
and sizes.

%package zebra-goodies
Summary: A collection of handy macros for paper writing
Version: svn44760
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(zebra-goodies.sty) = %{tl_version}

%description zebra-goodies
This package offers a collection of macros to help in the
process of writing a paper. You may add comments, todo notes,
etc. during revision, in a colourful way. The package also
summarizes the inserted notes at the end of the document. There
are some predefined note commands as well as a way of defining
new ones to suit the user's needs. You may safely remove this
package once the paper is finished. This package depends on the
following other LaTeX packages: kvoptions, manfnt, marginnote,
tikzpagenodes, xcolor, and, optionally, microtype. Note:
"zebra" is the name of the package author's lab.

%package zhlipsum
Summary: Chinese dummy text
Version: svn45317
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(zhlipsum-zh-cn-gbk.def) = %{tl_version}
Provides: tex(zhlipsum-zh-cn-utf8.def) = %{tl_version}
Provides: tex(zhlipsum.sty) = %{tl_version}

%description zhlipsum
The package provides an interface to dummy text in Chinese,
which will be useful for testing Chinese documents. At present,
UTF-8 and GBK encodings are supported.

%package fvextra
Summary: Extensions and patches for fancyvrb
Version: svn44787
License: LPPL
Requires: texlive-base texlive-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(etoolbox.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(upquote.sty)
Requires: tex(textcomp.sty)
Requires: tex(lineno.sty)
Provides: tex(fvextra.sty) = %{tl_version}

%description fvextra
fvextra provides several extensions to fancyvrb, including
automatic line breaking and improved math mode. It also patches
some fancyvrb internals. Parts of fvextra were originally
developed as part of pythontex and minted.

%package translator
Summary: Easy translation of strings in LaTeX
Version: svn46231
License: LPPL or GPL+
Requires: texlive-base texlive-kpathsea
Requires: tex(keyval.sty)
Provides: tex(translator.sty) = %{tl_version}

%description translator
This LaTeX package provides a flexible mechanism for
translating individual words into different languages. For
example, it can be used to translate a word like "figure" into,
say, the German word "Abbildung". Such a translation mechanism
is useful when the author of some package would like to
localize the package such that texts are correctly translated
into the language preferred by the user. This package is not
intended to be used to automatically translate more than a few
words.

%package tikz-page
Summary: Small macro to help building nice and complex layout materials
Version: svn42039
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(tikz-page.sty) = %{tl_version}

%description tikz-page
The package provides a small macro to help building nice and
complex layout materials.

%package autoaligne
Summary: Align terms and members in math expressions
Version: svn43195
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(autoaligne-fr.tex) = %{tl_version}
Provides: tex(autoaligne.sty) = %{tl_version}
Provides: tex(autoaligne.tex) = %{tl_version}

%description autoaligne
This package allows to align terms and members between lines
containing math expressions.

%package hlist
Summary: Horizontal and columned lists
Version: svn44983
License: LPPL
Requires: texlive-base texlive-kpathsea
Requires: tex(simplekv.sty)
Provides: tex(hlist.sty) = %{tl_version}
Provides: tex(hlist.tex) = %{tl_version}

%description hlist
This plain TeX and LaTeX package provides the "hlist"
environment in which \hitem starts a horizontal and columned
item. It depends upon the simplekv package.

%package modulus
Summary: A non-destructive modulus and integer quotient operator for TeX
Version: svn47599
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(modulus.sty) = %{tl_version}

%description modulus
The package provides an easy way to take the remainder of a
division operation without destroying the values of the
counters containing the dividend and divisor. Also provides a
way to take the integer quotient of a division operation
without destroying the values of the counters containing the
dividend and divisor. A tiny but occasionally useful package,
when doing heavy TeX programming.

%package olsak-misc
Summary: Collection with plain TeX macros written by Petr Olsak
Version: svn41526
License: Public Domain
Requires: texlive-base texlive-kpathsea
Provides: tex(qrcode.tex) = %{tl_version}
Provides: tex(scanbase.tex) = %{tl_version}
Provides: tex(scancsv.tex) = %{tl_version}
Provides: tex(xmlparser.tex) = %{tl_version}

%description olsak-misc
This is a collection with various single-file plain TeX macros
written by Petr Olsak. The documentation is included in each
file separately. booklet.tex: re-orders PDF pages and collects
them for booklet printing cnv.tex: conversion of texts
cnv-pu.tex: example of usage of cnv.tex --- pdf outlines in
Unicode cnv-word.tex: example of usage of cnv.tex --- word to
word conversion eparam.tex: Full expansion during parameter
scanning fun-coffee.tex: generates splotches in the document
openclose.tex: repairs balanced text between \Open ...\Close
pair qrcode.tex: QR code generated at TeX level scanbase.tex:
parser of text-style mysql outputs scancsv.tex: parser of CSV
format seplist.tex: macros with alternative separators of a
parameter xmlparser.tex: parser of XML language

%package randomlist
Summary: Deal with database, loop, and random in order to build personalized exercises
Version: svn45281
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(randomlist.sty) = %{tl_version}
Provides: tex(randomlist.tex) = %{tl_version}

%description randomlist
The main aim of this package is to work on lists, especially
with random operations. The hidden aim is to build a personnal
collection of exercises with different data for each pupil.

%package simplekv
Summary: A simple key/value system for TeX and LaTeX
Version: svn44987
License: LPPL
Requires: texlive-base texlive-kpathsea
Provides: tex(simplekv.sty) = %{tl_version}
Provides: tex(simplekv.tex) = %{tl_version}

%description simplekv
The package provides a simple key/value system for TeX and
LaTeX.

%package trigonometry
Summary: Demonstration code for cos and sin in TeX macros
Version: svn43006
License: Knuth
Requires: texlive-base texlive-kpathsea
Provides: tex(trigonometry.tex) = %{tl_version}

%description trigonometry
A document that both provides macros that are usable elsewhere,
and demonstrates the macros. The code uses the "classical"
analytical expansion of sin and cos (the more recent trig uses
a "numerical analyst's" expansion).

%package xii-lat
Summary: Christmas silliness (Latin)
Version: svn45805
License: LPPL
Requires: texlive-base texlive-kpathsea
# No provides here, cause it lives in doc.

%description xii-lat
This is the plain TeX file xii-lat.tex. Call "pdftex
xii-lat.tex" to produce a (perhaps) surprising typeset
document.

%package mensa-tex
Summary: Typeset simple school cafeteria menus
Version: svn45997
License: LPPL
Requires: texlive-base texlive-kpathsea
Requires: tex(array.sty)
Requires: tex(colortbl.sty)
Requires: tex(datetime2.sty)
Requires: tex(datetime2-calc.sty)
Requires: tex(geometry.sty)
Requires: tex(graphicx.sty)
Requires: tex(lmodern.sty)
Requires: tex(textcomp.sty)
Requires: tex(xcolor.sty)
Provides: tex(mensa-tex.cls) = %{tl_version}

%description mensa-tex
This package provides a flexible LaTeX2e class for typesetting
school cafeteria menus consisting of two lunches (with
dessert), and dinner. It supports two different layouts: The
first layout is optimized for printing the menu on A4 paper.
The second layout is optimized for smartphone screens and uses
one (A6 sized) page per day. Supported localizations are
English (GB/US) and German. A way of defining additional
localizations is described in the documentation. The package
requires array, colortbl, datetime2, datetime2-calc, geometry,
graphicx, lmodern, textcomp, and xcolor.

%package algobox
Summary: Typeset Algobox programs
Version: svn45223
License: GPLv3+
Requires: texlive-base texlive-kpathsea
Requires: tex(expl3.sty)
Requires: tex(tikz.sty)
Requires: tex(environ.sty)
Requires: tex(xparse.sty)
Requires: tex(xcolor.sty)
Provides: tex(algobox.sty) = %{tl_version}

%description algobox
This LaTeX package can typeset Algobox programs almost exactly
as displayed when editing with Algobox itself, using an input
syntax very similar to the actual Algobox program text. It
gives better results than Algobox's own LaTeX export which does
not look like the editor rendition, produces standalone
documents cumbersome to customize, and has arbitrary and
inconsistent differences between the input syntax and the
program text. This package depends upon the following other
LaTeX packages: expl3, TikZ, environ, xparse, and xcolor.

%prep
%setup -q -c -T -a 3
cp %{SOURCE7597} .

%build

%install
# create directory tree
mkdir -p %{buildroot}%{_texdir}/../texmf
mkdir -p %{buildroot}%{_texdir}/texmf-config/web2c
mkdir -p %{buildroot}%{_texmf_var}
mkdir -p %{buildroot}%{_texdir}/texmf-dist
mkdir -p %{buildroot}%{_texdir}/texmf-local
# pushd %%{buildroot}%%{_texdir}/texmf-local
# ln -s ../../texmf texmf-compat
# popd
xz -dc %{SOURCE100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE105} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE109} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE110} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE111} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE113} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE114} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE116} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE117} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE119} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE122} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE124} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE128} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE129} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE130} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE131} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE133} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE139} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE140} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE142} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE148} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE149} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE150} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE151} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE154} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE155} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE156} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE158} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE162} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE164} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE169} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE171} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE172} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE174} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE175} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE176} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE178} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE179} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE180} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE181} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE182} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE183} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE185} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE190} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE192} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE193} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE194} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE195} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE196} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE197} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE199} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE200} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE201} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE203} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE204} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE205} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE206} | tar x -C %{buildroot}%{_texdir}/texmf-dist

# add reference to support old texmf tree
# is this still needed? (spot, 2018-02-23)
# sed -i 's|TEXMFLOCAL = $SELFAUTOPARENT/../texmf-local|TEXMFLOCAL = $SELFAUTOPARENT/../texmf|g' %{buildroot}%{_texdir}/texmf-dist/web2c/texmf.cnf

xz -dc %{SOURCE219} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE220} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE224} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE227} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE228} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE230} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE231} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE234} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE237} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE240} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE242} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE243} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE245} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE247} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE248} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE250} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE251} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE252} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE254} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE257} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE258} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE261} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE264} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE265} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE266} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE267} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE278} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE281} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE283} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE284} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE286} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE291} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE298} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE301} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE309} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE312} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE313} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE315} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE320} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE322} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE323} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE324} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE325} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE328} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE332} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE333} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE334} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE335} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE336} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE339} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE344} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE347} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE348} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE350} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE353} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE354} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE355} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE357} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE360} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE361} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE363} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE365} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE366} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE368} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE369} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE371} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE372} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE373} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE374} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE375} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE376} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE377} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE378} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE379} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE381} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE382} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE383} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE384} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE385} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE388} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE389} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE392} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE395} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE398} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE401} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE402} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE403} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE406} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE408} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE412} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE413} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE414} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE415} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE416} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE418} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE421} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE424} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE429} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE432} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE434} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE435} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE438} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE441} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE442} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE446} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE457} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE463} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE466} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE469} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE472} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE475} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE476} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE479} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE481} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE482} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE484} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE485} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE488} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE492} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE495} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE498} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE501} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE504} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE507} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE512} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE515} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE516} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE518} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE521} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE524} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE527} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE530} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE533} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE536} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE537} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE539} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE540} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE543} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE545} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE546} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE548} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE549} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE551} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE552} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE554} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE555} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE557} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE560} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE563} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE564} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE565} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE566} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE568} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE569} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE572} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE574} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE575} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE577} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE578} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE580} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE583} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE585} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE586} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE589} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE592} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE594} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE595} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE596} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE597} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE599} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE600} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE601} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE602} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE603} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE604} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE606} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE607} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE608} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE609} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE610} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE611} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE612} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE613} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE614} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE617} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE618} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE620} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE622} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE623} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE625} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE626} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE628} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE629} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE633} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE634} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE636} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE637} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE639} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE641} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE643} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE644} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE645} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE646} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE647} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE649} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE650} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE652} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE653} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE654} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE655} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE656} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE657} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE660} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE661} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE662} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE663} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE664} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE667} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE668} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE674} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE675} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE677} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE678} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE680} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE684} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE687} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE690} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE692} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE695} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE699} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE702} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE707} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE711} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE712} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE715} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE717} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE718} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE720} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE721} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE727} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE730} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE731} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE732} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE738} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE741} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE743} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE746} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE749} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE752} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE755} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE764} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE767} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE770} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE772} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE773} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE777} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE778} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE780} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE781} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE783} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE784} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE785} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE786} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE787} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE790} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE791} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE792} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE793} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE795} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE796} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE798} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE799} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE801} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE804} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE806} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE807} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE809} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE811} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE812} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE820} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE823} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE825} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE826} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE828} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE829} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE831} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE832} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE833} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE834} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE835} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE836} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE837} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE838} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE839} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE840} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE841} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE843} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE844} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE846} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE847} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE848} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE849} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE851} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE852} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE853} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE854} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE856} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE857} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE859} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE860} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE862} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE863} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE865} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE866} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE867} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE868} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE870} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE871} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE872} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE873} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE874} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE875} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %%{SOURCE876} | tar x -C %%{buildroot}%%{_texdir}/texmf-dist
# xz -dc %%{SOURCE877} | tar x -C %%{buildroot}%%{_texdir}/texmf-dist
xz -dc %{SOURCE879} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE880} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE883} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE885} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE886} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE887} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE888} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE889} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE890} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE891} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE892} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE894} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE895} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE897} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE898} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE899} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE901} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE902} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE903} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE904} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE906} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE907} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE908} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE909} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE910} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE911} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE913} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE914} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE916} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE917} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE918} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE919} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE920} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE922} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE923} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE925} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE926} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE927} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE928} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE930} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE931} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE932} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE933} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE935} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE936} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE938} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE939} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE940} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE941} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE943} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE944} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE946} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE947} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE948} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE949} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE950} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE951} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE953} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE954} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE955} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE956} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE957} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE958} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE960} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE961} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE963} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE964} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE966} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE967} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE968} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE969} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE971} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE972} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE973} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE974} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE978} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE979} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE981} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE982} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE983} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE984} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE985} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE986} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE987} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE988} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE989} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE990} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE991} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE992} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE994} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE995} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE996} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE997} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE999} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1000} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1002} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1003} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1006} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1007} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1008} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1009} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1011} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1012} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1013} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1014} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1016} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1017} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1019} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1020} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1021} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1022} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1023} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1024} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1025} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1026} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1029} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1030} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1031} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1032} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1033} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1036} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1039} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1041} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1042} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1043} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1044} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1046} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1047} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1049} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1050} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1052} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1053} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1055} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1056} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1057} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1058} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1059} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1060} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1061} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1062} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1063} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1065} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1066} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1068} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1069} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1071} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1072} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1073} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1074} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1075} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1076} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1078} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1079} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1080} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1081} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1083} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1084} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1086} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1087} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1089} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1090} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1092} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1093} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1094} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1095} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1097} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1098} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1105} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1108} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1110} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1111} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1113} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1114} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1115} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1117} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1120} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1122} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1128} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1129} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1131} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1134} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1144} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1147} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1149} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1150} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1152} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1154} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1155} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1156} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1157} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1158} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1160} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1162} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1164} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1166} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1167} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1170} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1171} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1173} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1174} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1175} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1176} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1178} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1179} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1181} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1182} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1185} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1186} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1187} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1188} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1191} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1192} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1193} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1194} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1195} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1197} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1201} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1204} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1205} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1206} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1207} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1208} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1211} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1213} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1214} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1215} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1216} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1218} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1219} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1220} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1224} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1228} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1230} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1231} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1233} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1234} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1237} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1240} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1243} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1245} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1247} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1248} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1251} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1252} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1254} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1256} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1258} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1259} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1261} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1262} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1265} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1266} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1269} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1272} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1273} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1275} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1276} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1278} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1281} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1283} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1284} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1286} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1291} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1293} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1298} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1301} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1305} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1309} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1311} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1312} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1313} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1314} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1315} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1317} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1320} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1323} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1324} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1332} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1333} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7023} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1344} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1346} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1347} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1348} | tar x -C %{buildroot}%{_texdir}/texmf-dist

# patch etex
pushd %{buildroot}%{_texdir}/texmf-dist/tex/plain/etex/
patch -p0 < %{_sourcedir}/etex-addlanguage-fix-bz1215257.patch
# %%patch101 -p0
popd

xz -dc %{SOURCE1351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1352} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1354} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1355} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1361} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1362} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1363} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1369} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1370} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1378} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1381} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE7035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7036} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1389} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1392} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1395} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1398} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1401} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1406} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1412} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1417} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1420} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1423} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1429} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1430} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1433} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1436} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1439} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1441} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1442} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1444} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1447} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1450} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1453} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1456} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1457} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1463} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1465} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1466} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1468} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1469} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1471} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1472} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1474} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1475} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1476} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1482} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1483} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1484} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1485} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1488} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1494} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1495} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1497} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1504} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1507} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1511} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1512} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1514} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1515} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1517} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1518} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1520} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1521} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1526} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1527} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1529} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1530} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1532} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7043} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1570} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1664} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1668} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1670} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1674} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1677} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1678} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1680} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1681} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1684} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1687} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1689} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1690} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1692} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1695} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE1698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1699} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1700} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1702} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE1703} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE1704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1706} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1707} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1711} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1712} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1715} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE1717} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE1718} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1719} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1720} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1721} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1723} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1724} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1725} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1727} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1730} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1731} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1732} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1738} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1741} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7105} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1749} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1752} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1755} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1764} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1767} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1770} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1772} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1774} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1777} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1780} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1783} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1785} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1786} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1787} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1790} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1791} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1792} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1793} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1795} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1796} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1797} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1798} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1799} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1802} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1804} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1807} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1810} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1811} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1812} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1813} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1814} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1815} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1817} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1818} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1820} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1823} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1824} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1825} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1827} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1828} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1831} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1832} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1833} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1834} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1836} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1837} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1839} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1840} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1842} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1843} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1845} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1846} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1847} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1848} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1849} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1850} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1851} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1852} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1853} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1854} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1855} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1856} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1857} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1858} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1860} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1861} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1862} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1863} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1864} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1865} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1866} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1867} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1869} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1870} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1871} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1872} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1873} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1874} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1875} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1876} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1877} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1878} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1879} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1880} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1881} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1883} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1884} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1885} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1886} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1888} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1889} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1891} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1892} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1893} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1894} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1895} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1897} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1898} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1899} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1900} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1901} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1902} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1903} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1905} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1906} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1907} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1908} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1909} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1910} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1911} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1912} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1913} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1914} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1915} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1916} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1917} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1918} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1919} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1920} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1921} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1922} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE1923} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1924} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1925} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1926} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1927} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1928} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1929} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1931} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1932} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1933} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1934} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1935} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1936} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1937} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1938} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1939} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1940} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1942} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1943} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1945} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1946} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1947} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1948} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1950} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1951} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1952} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1953} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1954} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1955} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1956} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1957} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1958} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1959} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1960} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1961} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1963} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1964} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1965} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1966} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1967} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1968} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1970} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1971} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1972} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1973} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1974} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1975} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1976} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1977} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1978} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1979} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1981} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1982} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1983} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1984} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1985} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1986} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1987} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1988} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1990} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1991} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1992} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1993} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1995} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1996} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1997} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1998} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2000} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2001} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2003} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2004} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2005} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2006} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2007} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2008} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2010} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2011} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2012} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2013} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2015} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2016} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2017} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2018} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2019} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2020} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2021} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2022} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2023} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2024} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2025} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2026} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2027} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2029} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2030} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2031} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2032} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2033} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2034} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2036} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2037} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2039} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2040} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2041} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2042} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2044} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2045} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2046} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2047} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2048} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2049} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2050} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2051} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2052} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2055} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2056} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2057} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2058} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2060} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2061} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2062} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2063} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2064} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2065} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2066} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2067} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2068} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2069} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2071} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2072} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2074} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2075} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2076} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2077} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2078} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2079} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2081} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2082} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2084} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2085} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2087} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2088} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2090} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2091} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2093} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2094} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2095} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2096} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2097} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2099} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2102} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2108} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2109} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2110} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2111} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2113} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2114} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2119} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2120} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2122} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2124} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2127} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2128} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2129} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2131} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2133} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2138} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2139} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2140} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2141} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2142} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2144} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2147} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2148} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2149} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2150} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2151} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2152} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2154} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2155} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2156} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2157} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2158} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2160} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2164} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2178} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2188} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2199} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2201} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2206} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2207} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2212} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2213} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2214} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2215} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2217} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2218} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2220} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2224} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2226} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2227} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2230} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2231} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2233} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2234} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2237} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2239} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2240} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2245} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2248} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2249} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2250} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2251} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2252} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2256} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2258} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2259} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2261} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2264} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2265} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2266} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2267} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2269} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2272} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2273} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2274} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2276} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2278} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2281} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2283} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2285} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2286} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2293} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2298} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2301} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2305} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2309} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2311} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2312} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2313} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2314} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2315} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2317} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2322} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2324} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2325} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2328} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2332} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2333} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2335} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2336} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2338} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2339} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2342} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2344} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2346} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2347} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2348} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2349} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2350} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2352} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2353} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2355} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2357} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2360} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7127} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2369} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7131} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2370} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2371} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2374} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2375} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2377} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2378} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2380} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2381} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2382} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2383} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2385} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2388} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2393} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2396} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2398} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2399} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2401} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2402} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2403} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2406} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2408} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2409} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2410} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2413} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2414} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2416} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2417} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2420} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2421} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2423} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2424} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2429} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2432} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2434} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2435} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2438} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2439} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2442} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2446} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2453} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2456} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2459} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2462} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2463} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2466} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2468} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2469} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2471} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2472} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2475} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2476} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2479} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2480} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2481} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2483} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2484} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7133} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2485} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2486} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2488} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2491} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2492} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7134} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2494} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2495} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2497} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2498} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2501} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2504} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2507} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2512} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2514} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2515} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2517} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2518} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2520} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2521} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2523} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2524} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2526} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2529} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2532} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2535} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2541} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2543} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2545} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2546} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2548} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2549} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2550} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2551} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2553} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2554} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2555} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2556} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2559} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2560} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2562} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2563} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2565} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2566} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2568} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2570} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2572} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2573} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2574} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2575} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2577} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2578} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2579} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2580} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2582} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2583} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2584} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2585} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2586} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2587} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2589} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2590} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2592} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7139} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2593} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2594} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2595} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2599} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2600} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2601} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2604} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2605} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2606} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2607} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2608} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2609} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2610} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2611} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2612} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2613} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2614} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2616} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2617} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2618} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2619} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2620} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2623} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2624} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2625} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2626} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2627} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2628} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2629} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2632} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2633} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2634} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2635} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2636} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2639} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2640} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2641} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2643} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2644} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2646} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2647} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2649} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE2650} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2652} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2653} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2654} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2655} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2656} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2657} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2658} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2660} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2661} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2662} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE2663} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2664} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7144} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2667} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2668} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2670} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2674} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2675} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2677} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2678} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2680} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2681} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2684} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2687} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2689} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2690} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2692} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2695} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2699} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2700} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2703} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2706} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2711} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2712} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2717} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2718} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2719} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2720} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2721} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2724} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2725} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2727} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2731} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2732} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2738} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2741} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2743} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2749} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2752} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2764} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2767} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2770} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2772} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2773} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2774} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE2775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2777} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2778} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2780} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2781} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2783} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2784} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2785} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2786} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2787} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2790} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2791} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2793} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2796} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7147} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2797} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2798} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2799} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2801} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2802} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2804} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2806} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2809} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2810} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2811} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2812} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2813} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2814} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2816} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2817} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2818} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2820} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2821} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2823} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2826} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2827} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2829} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2832} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2833} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7149} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2837} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2838} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2839} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2840} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2842} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2843} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2846} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2847} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2848} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2849} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2850} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2851} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7152} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2853} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2854} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2855} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2857} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2858} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2860} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2861} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2862} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2864} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2865} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2866} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2867} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2869} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2870} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2871} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2874} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2875} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE2876} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE2877} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2879} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2880} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2883} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2888} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2889} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2891} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2892} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2893} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2900} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2901} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2902} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2903} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2904} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2905} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2906} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2907} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2908} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2909} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2914} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2915} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2916} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2917} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2918} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2919} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2920} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2921} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2923} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2924} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2925} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2926} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2929} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2930} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2931} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2932} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2933} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2935} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2936} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2937} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2938} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2939} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2940} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2941} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2942} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2943} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2944} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2945} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2946} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2947} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7162} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2949} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2950} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2951} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2952} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2953} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2957} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2958} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2959} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2960} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2962} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2963} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2965} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2966} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2967} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2968} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2969} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2970} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2971} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2972} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2973} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2974} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7164} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2975} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2976} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2977} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2978} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2979} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2980} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2981} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2982} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2984} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2985} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2986} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2987} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2988} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2989} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2990} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2991} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2992} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2993} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2994} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2995} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7166} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7167} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2996} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2997} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2999} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3000} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3002} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3003} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3005} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3006} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3008} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3009} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3011} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3012} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3013} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3014} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3015} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3016} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3018} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3019} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3021} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3022} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3024} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3025} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3027} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3030} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3031} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3033} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3034} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3036} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3039} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3040} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3041} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3042} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3044} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3045} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3047} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3048} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3050} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3051} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3053} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3056} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3057} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3059} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3060} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3062} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3063} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3065} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3066} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3068} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3069} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3070} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3071} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3073} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3074} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3076} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3077} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3079} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3080} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE3082} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE3083} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3085} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3086} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3087} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3088} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3089} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3090} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3091} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3092} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3093} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3094} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3095} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3096} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3098} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3099} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7169} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3108} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3109} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3111} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3114} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3115} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3117} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3120} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3122} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3124} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3128} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3129} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3130} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3131} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3133} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3134} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3140} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3141} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3142} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3149} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3150} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3152} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3155} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3156} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3158} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3162} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3166} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3169} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3171} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3172} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3173} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3174} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3176} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3177} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3178} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3179} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3180} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3181} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3183} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3186} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3187} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3188} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3190} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3191} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3192} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3193} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3194} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3195} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3197} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3199} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3200} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3204} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3205} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3208} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3211} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3212} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3213} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3214} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3215} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3218} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3219} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3224} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3226} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3227} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3228} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3230} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3231} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3233} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3239} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3242} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3243} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3244} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3247} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3248} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3249} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3250} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3251} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3252} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3254} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3256} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3258} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3259} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3261} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3262} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3265} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3266} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3269} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3272} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3273} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3274} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3276} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3278} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3281} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3283} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3285} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3286} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3291} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3293} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3298} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3301} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3305} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3309} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3311} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3312} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3313} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3314} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3317} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3320} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3322} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3323} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3325} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3328} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3331} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3333} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3334} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3336} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3339} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3342} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3344} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3347} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3348} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3349} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3350} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3352} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3353} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3354} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3355} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3357} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3360} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3361} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3362} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3363} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3365} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3366} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3367} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3368} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3369} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3370} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3371} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3372} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3373} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3375} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3376} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3378} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3379} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3381} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3382} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3383} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3384} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3389} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3392} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3395} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3398} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3401} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3403} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3404} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3406} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3408} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3409} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3410} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3412} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3413} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3415} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3416} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3418} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3420} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3421} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3423} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3427} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3430} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3432} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3433} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3434} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3435} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3436} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3439} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3442} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3446} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3457} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3463} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3466} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3469} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3471} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3472} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3474} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3476} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3477} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3479} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3480} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3481} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3483} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3484} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3486} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3488} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3491} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3492} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3494} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3495} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3498} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3501} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3504} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3507} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3511} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3512} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3514} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3516} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3517} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3520} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3523} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3526} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3527} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3530} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3533} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3536} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3537} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3539} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3540} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3543} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3545} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3546} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3548} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3549} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3551} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3552} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3554} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3555} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3557} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3560} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3563} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3564} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3566} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3567} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3569} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3570} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3572} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3573} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3575} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3576} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3578} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3579} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3582} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3584} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3585} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3587} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3590} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3593} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3594} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3596} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3597} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3599} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3600} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3602} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3603} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3605} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3606} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3608} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3609} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3611} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3612} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3614} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3617} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3618} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3620} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3623} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3624} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3626} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3627} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3629} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3632} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3633} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3635} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3636} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3639} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3641} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3644} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3645} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3647} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3650} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3653} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3654} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3656} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3657} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3660} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3662} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3663} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3668} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3674} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3677} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3680} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3690} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3695} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3699} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3700} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3703} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3706} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3711} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3717} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3719} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3720} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3723} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3725} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3730} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3731} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3743} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3764} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3767} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3770} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3773} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3774} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3778} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3781} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3784} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3785} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3787} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3790} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3791} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3793} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3796} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3797} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3799} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3802} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3804} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3807} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3810} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3811} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3813} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3814} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3815} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3816} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3818} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3821} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3824} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3825} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3826} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3827} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3829} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3831} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3832} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3834} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3835} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3837} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3838} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3839} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3840} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3842} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3843} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3845} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3846} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3847} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3848} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3849} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3850} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3852} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3853} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3854} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3855} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3857} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3858} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3860} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3861} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3863} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3864} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3868} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3869} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3870} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3871} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3873} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3874} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3875} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3877} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3878} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3880} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3881} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3883} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3885} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3886} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3888} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3889} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3890} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3891} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3893} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3894} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3897} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3899} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3900} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3901} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3902} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3904} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3905} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3906} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3907} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3908} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3909} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3911} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3912} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3914} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3915} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3916} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3917} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3919} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3920} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3922} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3923} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3924} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3927} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3928} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3929} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3930} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3932} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3933} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3935} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3936} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3938} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3939} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3941} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3942} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3943} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3944} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3946} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3947} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3949} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3950} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3952} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3953} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3955} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3956} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3958} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3959} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3961} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3962} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3964} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3965} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3966} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3967} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3969} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3970} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3972} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3973} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3975} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3976} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3978} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3979} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3980} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3981} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3983} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3984} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3986} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3987} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3989} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3990} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3992} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3993} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3994} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3995} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3997} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3998} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4000} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4001} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4003} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4004} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4005} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4006} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4008} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4009} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4011} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4012} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4013} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4014} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4016} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4017} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4018} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4019} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4021} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4022} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4024} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4025} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4026} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4027} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4029} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4031} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4032} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4034} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4037} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4040} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4041} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4043} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4044} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4046} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4047} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4048} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4049} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4051} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4052} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4053} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4055} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4056} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4057} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4058} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4059} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4060} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4062} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4063} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4065} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4066} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4068} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4069} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4071} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4072} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4074} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4075} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4076} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4077} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4079} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4080} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4082} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4083} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4085} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4086} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4088} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4089} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4091} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4092} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4093} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4094} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4096} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4097} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4098} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4099} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4102} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4105} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4108} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4109} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4110} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4113} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4115} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4116} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4119} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4120} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4124} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4127} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4128} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4129} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4130} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4133} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4134} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4139} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4140} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4142} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4147} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4148} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4150} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4151} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4152} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4154} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4155} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4160} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4162} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4166} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4169} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4171} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4172} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4174} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4175} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4177} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4178} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4180} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4181} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4183} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4186} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4187} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4190} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4192} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4193} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4195} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4196} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4197} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4200} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4201} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4203} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4204} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4205} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4206} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4207} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4212} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4213} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4215} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4216} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4217} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4218} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4220} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4226} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4228} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4231} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4233} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4234} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4239} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4242} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4243} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4244} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4245} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4248} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4249} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4250} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4251} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4254} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4256} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4257} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4258} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4259} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4261} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4264} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4266} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4267} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4269} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4273} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4274} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4275} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4276} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4283} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4284} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4285} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4293} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4298} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4301} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4305} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4309} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4311} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4312} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4313} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4315} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4322} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4323} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4324} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4331} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4332} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4334} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4335} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4338} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4341} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4344} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4346} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4348} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4349} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4352} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4354} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4355} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4357} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4360} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4361} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4362} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4363} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4365} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4366} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4368} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4369} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4371} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4372} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4374} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4375} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4376} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4377} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4378} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4379} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4380} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4381} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4382} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4383} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4384} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4385} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4389} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4395} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4396} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4401} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4402} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4404} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4408} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4410} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4413} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4414} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4416} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4417} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4418} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4421} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4424} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4427} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4430} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4433} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4434} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4436} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4438} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4439} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4441} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4442} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4444} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4446} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4447} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4457} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4459} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4462} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4465} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4468} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4471} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4472} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4475} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4476} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4479} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4481} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4482} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4484} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4485} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4486} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4492} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4495} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4497} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4498} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4504} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4507} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4511} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4514} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4515} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4516} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4518} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4520} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4521} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4523} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4524} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4526} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4529} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4532} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4533} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4536} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4537} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4539} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4540} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4541} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4547} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4548} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4549} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4550} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4552} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4554} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4555} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4557} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4560} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4563} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4564} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4565} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4566} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4568} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4569} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4572} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4573} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4574} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4575} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4576} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4578} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4579} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4580} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4583} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4584} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4585} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4586} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4589} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4592} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4593} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4594} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4596} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4597} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4598} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4599} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4601} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4602} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4604} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4605} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4607} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4608} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4610} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4611} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4613} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4614} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4616} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4617} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4619} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4620} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4622} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4624} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4625} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4627} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4628} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4632} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4633} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4634} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4635} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4637} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4640} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4641} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4643} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4645} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4646} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4647} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4650} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4652} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4653} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4655} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4656} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4658} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4661} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4662} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4664} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4667} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4670} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4675} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4678} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE4681} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE4682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4684} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4687} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4689} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4692} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4699} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4702} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4707} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4711} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4715} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4718} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4719} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4721} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4723} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4724} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4727} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4730} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4732} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4738} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4741} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4743} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4746} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4767} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4772} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4774} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4777} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4778} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4780} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4781} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4783} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4784} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4786} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4787} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4791} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4792} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4795} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4797} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4798} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4801} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4802} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4806} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4807} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4810} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4811} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4812} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4813} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4815} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4816} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4817} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4818} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4820} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4823} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4824} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4825} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4827} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4828} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4829} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4831} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4832} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4834} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4835} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4837} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4838} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4840} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4841} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4843} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4844} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4845} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4846} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4847} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4848} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4849} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4850} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4851} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4852} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4853} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4854} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4856} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4857} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4859} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4860} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4862} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4863} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4864} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4865} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4867} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4868} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4870} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4871} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4873} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4874} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4876} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4877} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4879} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4880} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4883} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4885} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4886} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4887} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4888} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4890} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4891} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4892} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4893} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4894} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4895} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4897} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4899} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4900} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4902} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4903} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4908} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4909} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4911} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4912} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4914} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4915} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4917} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4918} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4919} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4920} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4922} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4923} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4924} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4925} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4926} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4927} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4928} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4929} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4930} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4931} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4932} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4933} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4934} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4935} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4937} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4938} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4942} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4943} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4945} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4946} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4947} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4948} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4949} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4950} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4952} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4953} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4954} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4955} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4956} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4957} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4958} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4959} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4960} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4961} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4963} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4964} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4966} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4967} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4969} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4970} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4972} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4973} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4974} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4975} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4976} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4977} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4979} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4980} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4982} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4983} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4985} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4986} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4988} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4989} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4990} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4991} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4993} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4994} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4995} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4996} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4997} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4998} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4999} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5000} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5002} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5003} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5004} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5005} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5006} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5007} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5008} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5009} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5011} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5012} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5017} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5018} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5020} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5021} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5023} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5024} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5025} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5026} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5029} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5031} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5032} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5034} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5037} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5040} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5041} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5043} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5044} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5046} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5047} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5048} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5049} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5051} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5052} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5055} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5057} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5058} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5059} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5060} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5062} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5063} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5064} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5065} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5066} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5067} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5069} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5070} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5071} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5072} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5073} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5074} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5075} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5076} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5078} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5079} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5081} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5082} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5084} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5085} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5087} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5088} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5090} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5091} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5093} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5094} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5096} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5097} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5099} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5102} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5109} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5110} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5111} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5113} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5114} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5116} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5117} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5119} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5122} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5124} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5127} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5129} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5130} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5133} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5134} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5138} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5139} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5141} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5142} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5144} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5147} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5149} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5150} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5151} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5154} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5156} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5157} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5160} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5162} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5164} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5166} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5167} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5169} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5170} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5172} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5173} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5175} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5176} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5177} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5178} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5180} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5181} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5183} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5186} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5187} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5188} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5191} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5192} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5194} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5195} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5197} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5199} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5200} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5201} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5203} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5204} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5205} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5206} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5207} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5211} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5212} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5214} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5215} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5217} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5218} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5220} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5226} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5228} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5231} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5234} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5237} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5240} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5243} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5244} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5247} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5249} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5250} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5252} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5256} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5257} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5258} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5259} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5262} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5265} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5266} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5267} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5269} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5272} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5273} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5274} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5275} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5278} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5284} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5285} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5291} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5309} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5311} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5312} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5314} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5315} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5317} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5320} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5323} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5324} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5328} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5331} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5332} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5334} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5335} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5336} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5339} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5342} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5346} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5347} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5348} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5350} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5353} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5354} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5357} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5360} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5361} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5363} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5366} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5367} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5368} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5369} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5374} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5375} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5377} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5378} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5379} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5380} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5382} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5383} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5385} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5388} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5389} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5393} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5396} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5399} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5402} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5403} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5404} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5406} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5408} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5409} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5412} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5414} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5415} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5416} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5417} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5420} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5423} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5424} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5427} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5429} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5430} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5432} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5433} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5434} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5436} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5438} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5439} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5441} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5442} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5446} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5457} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5462} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5465} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5468} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5471} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5474} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5476} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5477} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5479} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5480} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5482} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5483} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5485} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5486} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5488} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5492} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5495} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5497} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5498} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5507} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5511} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5512} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5514} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5515} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5516} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5517} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5518} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5521} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5524} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5527} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5530} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5533} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5536} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5537} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5538} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5539} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5541} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5543} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5544} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5546} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5547} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5549} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5550} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5551} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5552} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5554} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5555} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5557} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5560} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5563} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5564} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5565} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5566} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5568} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5569} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5570} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5572} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5573} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5575} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5576} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5578} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5579} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5582} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5584} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5585} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5587} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5589} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5590} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5592} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5593} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5594} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5596} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5597} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5599} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5600} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5601} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5602} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5604} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5605} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5607} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5608} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5610} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5611} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5612} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5613} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5616} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5618} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5619} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5622} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5624} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5625} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5626} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5627} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5628} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5629} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5632} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5633} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5634} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5635} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5636} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5637} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5639} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5640} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5641} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5643} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5644} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5645} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5647} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5650} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5653} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5654} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5655} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5656} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5658} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5663} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5664} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5668} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5670} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5675} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5678} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5681} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5684} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5689} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5690} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5699} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5702} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5706} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5707} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5712} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5715} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5717} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5719} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5720} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5723} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5724} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5725} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5727} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5730} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5732} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5743} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5749} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5752} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5755} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5770} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5773} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5774} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5777} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5780} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5783} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5785} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5786} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5795} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5797} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5798} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5801} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5802} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5806} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5809} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5810} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5811} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5812} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5813} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5815} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5816} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5817} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5818} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5820} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5821} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7187} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5824} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5825} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5826} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5827} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5829} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5831} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5832} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5834} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5835} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5836} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5837} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5839} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5840} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5841} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5842} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5844} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5845} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5847} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5848} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5850} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5851} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5852} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5853} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5855} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5856} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5857} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5858} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5860} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5861} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5862} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5863} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5865} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5866} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5868} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5869} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5871} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5872} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5873} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5874} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5876} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5877} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5878} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5879} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5880} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5881} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5883} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5884} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5885} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5886} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5887} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5888} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5889} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5891} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5892} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5893} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5894} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5895} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5898} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5899} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5901} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5902} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5904} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5905} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5907} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5908} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5909} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5910} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5911} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5912} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5913} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5914} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5915} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5916} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5917} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5918} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5920} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5921} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5922} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5923} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5924} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5925} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5927} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5928} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5929} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5930} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5932} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5933} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5935} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5936} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5938} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5939} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5940} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5941} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5943} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5944} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7188} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5946} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5947} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5948} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5949} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5950} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5951} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5953} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5954} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5955} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5956} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5958} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5959} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5960} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5961} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5962} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5963} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5965} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5966} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5968} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5969} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5970} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5971} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5973} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5974} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5975} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5976} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5977} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5978} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5979} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5980} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5981} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5982} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5983} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5984} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5985} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5986} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5988} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5989} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5991} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5992} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5993} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5994} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5996} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5997} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5998} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5999} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6001} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6002} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6003} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6004} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6005} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6007} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6008} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6010} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6011} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6013} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6014} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6015} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6016} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6018} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6019} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6020} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6021} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6022} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6023} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6024} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6025} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6026} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6027} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6029} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6030} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6031} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6033} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6034} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6036} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6037} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6044} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6045} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6049} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6050} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6053} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6059} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6060} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6062} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6063} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6065} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6066} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7196} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6068} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6069} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6072} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6073} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6075} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6076} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6077} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6078} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6079} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6080} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6081} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6082} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6083} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6084} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6085} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6086} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6087} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6088} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6089} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6091} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6092} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6093} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6094} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6095} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6096} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6097} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6098} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6099} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6102} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6105} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6108} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6109} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6110} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6111} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6113} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6114} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6115} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6116} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6117} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7199} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6119} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6120} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6122} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6124} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6127} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6130} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6131} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6133} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6134} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6138} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6139} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6140} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6142} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6147} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6148} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6150} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6151} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6152} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6153} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6155} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6156} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6158} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6160} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6162} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6164} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6166} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6167} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6169} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6171} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6172} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6174} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6175} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6177} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6178} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6180} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6181} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6182} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6183} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6185} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6187} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6188} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6190} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6191} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6193} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6194} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6195} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6196} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6199} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6200} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6201} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6203} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6204} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6205} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6206} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6207} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6211} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6212} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6213} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6214} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6215} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6216} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6218} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6219} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6220} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6224} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6226} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6227} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6230} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6233} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6237} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6239} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6240} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6242} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6244} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6245} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6247} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6249} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6250} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6252} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6254} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6256} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6257} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6259} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6262} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6264} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6265} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6267} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6269} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6272} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6274} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6275} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6276} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6281} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6284} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6285} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6293} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6298} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6305} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6311} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6313} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6314} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6317} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6320} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6325} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6328} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6331} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6333} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6334} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6335} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6336} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6338} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6341} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6342} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6346} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6348} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6349} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6350} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6352} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6353} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6355} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6361} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6362} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6365} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6367} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6368} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6370} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6371} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6373} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6374} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6376} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6377} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6379} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6380} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6381} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6382} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6384} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6385} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6388} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6389} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6392} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6395} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6398} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6399} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6401} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6402} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6404} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6406} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6409} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6410} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6412} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6414} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6415} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6417} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6418} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6420} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6423} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6429} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6432} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6434} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6435} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6438} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6441} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6442} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6444} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6447} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6450} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6453} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6457} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6459} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6462} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6465} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6468} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6469} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6471} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6472} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6474} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6475} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6477} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6479} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6480} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6481} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6482} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6484} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6485} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6486} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6491} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6492} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6494} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6497} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6511} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6512} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6514} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6516} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6517} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6520} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6523} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6526} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6527} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6529} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6530} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6532} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6535} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6537} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6538} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6540} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6541} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6543} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6544} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6545} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6546} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6547} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6549} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6550} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6552} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6553} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6555} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6556} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6559} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6562} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6564} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6565} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6566} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6567} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6568} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6569} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6570} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6576} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6577} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6578} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6579} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6580} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6583} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6584} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6585} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6586} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6587} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6590} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6593} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6594} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6596} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6597} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6598} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6599} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6600} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6601} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6602} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6603} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6604} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6605} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6606} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6608} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6609} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6610} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6611} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6612} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6613} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6614} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6616} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6617} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6618} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6619} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6620} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6622} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6623} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6625} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6626} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6628} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6629} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6632} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7203} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6634} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6635} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6637} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6640} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6641} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6643} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6645} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6646} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6647} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6649} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6650} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6652} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6654} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6655} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6656} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6657} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6658} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6660} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6661} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6663} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6664} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6667} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6670} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6674} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6675} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6677} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6678} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6680} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6681} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6684} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6687} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6689} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6690} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6692} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6695} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6700} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6702} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6703} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6707} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6715} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6717} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6718} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6720} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6721} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6723} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6725} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6731} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6732} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6741} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7206} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6770} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6772} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6773} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6777} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6778} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6780} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6781} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6784} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6785} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6786} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE6787} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE6788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6790} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6791} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# fixed mangling shebang, inconsistent use of tabs and spaces and python syntax
pushd  %{buildroot}%{_texdir}/texmf-dist/
patch -p0 < %{_sourcedir}/texlive-2017-xepersian-python.patch
popd
xz -dc %{SOURCE6793} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6795} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6796} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6799} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6801} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6802} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6804} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6806} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6807} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6809} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6810} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6811} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6812} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6814} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6815} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7207} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7208} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7211} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7212} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7213} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7214} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7215} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7216} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7217} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7219} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7220} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7224} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7226} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7227} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7230} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7233} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7238} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7239} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7241} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7242} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7243} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7245} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7246} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7247} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7248} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7249} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7250} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7252} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7253} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7254} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7256} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7257} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7258} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7259} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7260} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7261} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7262} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7263} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %%{SOURCE7264} | tar x -C %%{buildroot}%%{_texdir}/texmf-dist
xz -dc %{SOURCE7265} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7267} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7272} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7273} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7274} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7275} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7276} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7278} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7281} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7283} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7285} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7286} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7291} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7293} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7305} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7309} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7315} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7320} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7322} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7323} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7324} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7332} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7333} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7334} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7335} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7338} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7341} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7342} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7346} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7347} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7348} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7349} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7352} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7353} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7354} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7356} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7357} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7359} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7360} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7362} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7363} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7365} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7366} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7367} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7371} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7372} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7375} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7376} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7379} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7380} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7381} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7385} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7389} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7392} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7393} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7396} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7398} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7399} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7401} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7402} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7404} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7406} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7408} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7409} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7410} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7412} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7413} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7414} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7415} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7416} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7417} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7420} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7423} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7429} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7431} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7432} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7438} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7441} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7444} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7446} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7452} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7453} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7456} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7458} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7459} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7463} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7466} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7468} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7469} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7471} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7474} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7479} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7480} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7481} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7482} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE7483} | tar x -C %{buildroot}%{_texdir}
# xz -dc %{SOURCE7486} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7491} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7492} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7494} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7497} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7498} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7499} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7501} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7511} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7515} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7516} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7518} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7521} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7523} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7524} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7527} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE7528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7529} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7530} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7532} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7535} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7537} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7538} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7539} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7540} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7541} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7543} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7544} | tar x -C %{buildroot}%{_texdir}
# xz -dc %%{SOURCE7548} | tar x -C %%{buildroot}%%{_texdir}/texmf-dist
# xz -dc %%{SOURCE7549} | tar x -C %%{buildroot}%%{_texdir}/texmf-dist
xz -dc %{SOURCE7550} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7551} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7554} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7555} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7556} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7557} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7559} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7562} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7567} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7568} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7570} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7572} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7573} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7574} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7575} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7576} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7577} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7578} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7579} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7580} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7582} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7583} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7584} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7585} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7586} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7587} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7589} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xz -dc %{SOURCE7592} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7596} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6816} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE6817} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE7598} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7599} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7600} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7601} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7602} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7603} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7604} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7605} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7606} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7607} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7608} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# 2017
xz -dc %{SOURCE7609} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7610} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7611} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7612} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7613} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7614} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7616} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7617} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7618} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7619} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7620} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7622} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7623} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7624} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7625} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7626} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7627} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7628} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7629} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7632} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7633} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7634} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7635} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7636} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7637} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7639} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7640} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7641} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7643} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7644} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7645} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7646} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7647} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7649} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7650} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7652} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7653} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7654} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7655} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7658} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7660} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7661} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7662} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7663} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7664} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7667} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7668} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7670} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7674} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7675} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7677} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7678} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7680} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7681} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7684} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7687} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7689} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7690} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7692} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7693} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7695} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7696} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7699} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7700} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7702} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7703} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7705} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7706} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7707} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7710} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7711} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7712} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7715} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7717} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7718} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7719} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7720} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7721} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7723} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7724} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7725} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7730} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7731} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7732} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7738} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7741} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7743} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7746} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7749} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7752} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7764} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7767} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7769} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7770} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7772} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7773} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7774} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7777} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7778} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7779} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7780} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7781} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7782} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7783} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7784} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7785} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7786} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7787} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7790} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7791} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7792} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7793} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7794} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7795} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7798} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7799} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7800} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7801} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7802} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7803} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7804} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7806} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7807} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7808} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7809} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7810} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7813} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7816} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7817} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7818} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7820} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7821} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7824} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7825} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7826} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7827} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7828} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7829} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7831} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7832} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7833} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7834} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7835} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7836} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7837} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7838} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7839} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7842} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7843} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7844} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7845} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7846} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7847} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7848} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7849} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7850} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7851} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7852} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7853} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7854} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7855} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7856} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7857} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7858} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7859} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7860} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7861} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7862} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7863} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7864} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7865} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7866} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7867} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7868} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7869} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7870} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7871} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7872} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7873} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7874} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7875} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7876} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7877} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7878} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7879} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7880} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7881} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7883} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7884} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7885} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7886} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7887} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7888} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7889} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7892} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7893} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7894} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7895} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7897} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7898} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7899} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7900} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7901} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7902} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7903} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7904} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7905} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7906} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7907} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7908} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7909} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7910} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7911} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7912} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7913} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7914} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7915} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7916} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7917} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7918} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7919} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7920} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7921} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7922} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7923} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7924} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7925} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7926} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7927} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7928} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7931} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7932} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7933} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7934} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7935} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7936} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7937} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7938} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7939} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7940} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7941} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7942} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7943} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7944} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7945} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7946} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7947} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7948} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7949} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7950} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7951} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7952} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7953} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7954} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7955} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7956} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7957} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7958} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7959} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7960} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7961} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7962} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7963} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7964} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7967} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7968} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7969} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7970} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7971} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7972} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7973} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7974} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7975} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7976} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7977} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7978} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7979} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7984} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7985} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7986} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7987} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7988} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7989} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7990} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7991} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7993} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7994} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7995} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7996} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7997} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7998} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7999} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8000} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8001} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8002} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8003} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8004} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8005} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8008} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8009} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8012} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8013} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8014} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8015} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8016} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8017} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8018} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8019} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8020} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8021} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8022} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8023} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8024} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8025} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8026} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8027} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8029} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8030} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8031} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8032} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8033} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8034} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8036} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8037} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8039} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8040} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8041} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8042} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8043} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8044} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8045} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8046} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8047} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8048} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8049} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8050} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8051} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8052} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8053} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8055} | tar x -C %{buildroot}%{_texdir}/texmf-dist

# nuke useless tlmgr packaging stuff and doc droppings
rm -rf %{buildroot}%{_texdir}/tlpkg/gpg/
rm -rf %{buildroot}%{_texdir}/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf-dist/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/man*/*.pdf
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/Makefile
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/man*/Makefile
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/info/dir
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlmgr*

# Also nuke any sources that come out
rm -rf %{buildroot}%{_texdir}/texmf-dist/source

# Apply necessary cleanups
# bz1241458
sed -i 's|newline{\\Hnewline}|newline{^^J}|g' %{buildroot}%{_texdir}/texmf-dist/tex/generic/pgf/systemlayer/pgfsys-tex4ht.def

#patch sympytexpackage to set correct python path
pushd %{buildroot}%{_texdir}/texmf-dist
patch -p0 < %{_sourcedir}/texlive-bz#1442706-python-path.patch
popd

#patch geometry to resolve bz1575363
pushd %{buildroot}%{_texdir}/texmf-dist
patch -p0 < %{_sourcedir}/texlive-bz#1575363-geometry-5.7.patch
popd

# make opentype fontdir symlinks
# NOTE: fontawesome, stix, oldstandard are a conflict, so we just add Requires for the 
# corresponding system font packages for them.
# NOTE: We might have to handle this differently if there are lots of conflicts later.
# DO NOT MAKE A SYMLINK FOR public/ebgaramond
# The EB Garamond upstream font decided to map some historical flags (i.e., flags 
# obsolete for centuries) to the Unicode flag emoji code points.
# Since most other fonts do not include the relevant code points, Fontconfig decides to 
# pick up the EB Garamond flags through the fallback font mechanism for almost all 
# fonts on the system, including DejaVu Sans, Liberation Sans, etc.
mkdir -p %{buildroot}%{_datadir}/fonts
pushd %{buildroot}%{_datadir}/fonts
for i in adobe/sourcecodepro adobe/sourcesanspro adobe/sourceserifpro \
        arkandis/accanthis arkandis/berenisadf arkandis/gillius \
        arkandis/mintspirit arkandis/universalis gust/poltawski \
        impallari/cabin impallari/librebaskerville impallari/librecaslon \
        impallari/lobster2 impallari/quattrocento impallari/raleway \
        nowacki/iwona nowacki/kurier public/almfixed public/antt \
        public/Asana-Math public/baskervaldx public/ccicons public/cm-unicode \
        public/cyklop public/dantelogo public/drm \
        public/erewhon public/fandol public/fbb public/fdsymbol public/fetamont \
        public/fira public/gfsartemisia public/gfsbaskerville \
        public/gfsbodoni public/gfscomplutum public/gfsdidot \
        public/gfsneohellenic public/gfsporson public/gfssolomos public/gnu-freefont \
        public/heuristica public/inconsolata public/libertine \
        public/lm public/lm-math public/mdsymbol public/mnsymbol public/newpx \
        public/ocr-b-outline public/phaistos public/philokalia \
        public/playfair public/punknova public/semaphor public/skaknew \
        public/tex-gyre public/tex-gyre-math public/umtypewriter public/xcharter \
        public/xits rozynski/comicneue ; do
  j=`echo $i | cut -d / -f 2`
  ln -s %{_texdir}/texmf-dist/fonts/opentype/$i $j
done
popd

# disable all hyphenations
cp -f %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.us %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.dat
cp -f %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.us.def %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.def

mkdir -p %{buildroot}/%{_datadir}/
mkdir -p %{buildroot}/%{_infodir}/
cp -R %{buildroot}/%{_texdir}/texmf-dist/doc/man %{buildroot}/%{_datadir}/
find %{buildroot}/%{_texdir}/texmf-dist/doc/man -type f | xargs rm -f
mv %{buildroot}/%{_texdir}/texmf-dist/doc/info/* %{buildroot}/%{_infodir}/

# nuke useless tlmgr packaging stuff
rm -rf %{buildroot}%{_texdir}/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf-dist/tlpkg/tlpobj/

mkdir -p %{buildroot}%{_sysconfdir}/texlive/tex/generic/config
mv %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.dat %{buildroot}%{_sysconfdir}/texlive/tex/generic/config/
ln -s %{_sysconfdir}/texlive/tex/generic/config/language.dat %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.dat

%files

%files 12many
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/12many/

%files 12many-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/12many/

%files 2up
%{_texdir}/texmf-dist/tex/generic/2up/

%files 2up-doc
%{_texdir}/texmf-dist/doc/generic/2up/

%files a0poster
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/a0poster/

%files a0poster-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/a0poster/

%files a4wide
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/a4wide/

%files a4wide-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/a4wide/

%files a5comb
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/a5comb/

%files a5comb-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/a5comb/

%files aastex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/aastex/
%{_texdir}/texmf-dist/bibtex/bst/aastex/

%files aastex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/aastex/

%files abbr
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/abbr/

%files abbr-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/abbr/

%files abc
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/abc/

%files abc-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/abc/

%files abntex2
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bib/abntex2/
%{_texdir}/texmf-dist/bibtex/bst/abntex2/
%{_texdir}/texmf-dist/tex/latex/abntex2/

%files abntex2-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/abntex2/

%files abraces
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/abraces/

%files abraces-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/abraces/

%files abstract
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/abstract/

%files abstract-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/abstract/

%files abstyles
%{_texdir}/texmf-dist/bibtex/bib/abstyles/
%{_texdir}/texmf-dist/bibtex/bst/abstyles/
%{_texdir}/texmf-dist/tex/generic/abstyles/

%files abstyles-doc
%{_texdir}/texmf-dist/doc/bibtex/abstyles/

%files academicons
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/truetype/public/academicons/
%{_texdir}/texmf-dist/tex/latex/academicons/

%files academicons-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/academicons/

%files accanthis
%license gpl2.txt
%{_datadir}/fonts/accanthis
%{_texdir}/texmf-dist/fonts/enc/dvips/accanthis/
%{_texdir}/texmf-dist/fonts/map/dvips/accanthis/
%{_texdir}/texmf-dist/fonts/opentype/arkandis/accanthis/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/accanthis/
%{_texdir}/texmf-dist/fonts/type1/arkandis/accanthis/
%{_texdir}/texmf-dist/fonts/vf/arkandis/accanthis/
%{_texdir}/texmf-dist/tex/latex/accanthis/

%files accanthis-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/accanthis/

%files achemso
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/achemso/
%{_texdir}/texmf-dist/tex/latex/achemso/

%files achemso-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/achemso/

%files acmconf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/acmconf/

%files acmconf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/acmconf/

%files acronym
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/acronym/

%files acronym-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/acronym/

%files acroterm
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/acroterm/

%files acroterm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/acroterm/

%files acro
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/acro/

%files acro-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/acro/

%files active-conf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/active-conf/

%files active-conf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/active-conf/

%files actuarialangle
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/actuarialangle/

%files actuarialangle-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/actuarialangle/

%files addlines
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/addlines/

%files addlines-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/addlines/

%files adfathesis
%license pd.txt
%{_texdir}/texmf-dist/bibtex/bst/adfathesis/
%{_texdir}/texmf-dist/tex/latex/adfathesis/

%files adfathesis-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/adfathesis/

%files adforn
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/arkandis/adforn/
%{_texdir}/texmf-dist/fonts/enc/dvips/adforn/
%{_texdir}/texmf-dist/fonts/map/dvips/adforn/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/adforn/
%{_texdir}/texmf-dist/fonts/type1/arkandis/adforn/
%{_texdir}/texmf-dist/tex/latex/adforn/

%files adforn-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/adforn/

%files adfsymbols
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/arkandis/adfsymbols/
%{_texdir}/texmf-dist/fonts/enc/dvips/adfsymbols/
%{_texdir}/texmf-dist/fonts/map/dvips/adfsymbols/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/adfsymbols/
%{_texdir}/texmf-dist/fonts/type1/arkandis/adfsymbols/
%{_texdir}/texmf-dist/tex/latex/adfsymbols/

%files adfsymbols-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/adfsymbols/

%files adjmulticol
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/adjmulticol/

%files adjmulticol-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/adjmulticol/

%files adjustbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/adjustbox/

%files adjustbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/adjustbox/

%files adobemapping
%{_texdir}/texmf-dist/fonts/cmap/adobemapping/

%files adrconv
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/adrconv/
%{_texdir}/texmf-dist/tex/latex/adrconv/

%files adrconv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/adrconv/

%files advdate
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/advdate/

%files advdate-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/advdate/

%files aecc
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/public/aecc/
%{_texdir}/texmf-dist/fonts/vf/public/aecc/
%{_texdir}/texmf-dist/tex/latex/aecc/

%files aecc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/aecc/

%files aeguill
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/aeguill/

%files aeguill-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/aeguill/

%files ae
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/public/ae/
%{_texdir}/texmf-dist/fonts/vf/public/ae/
%{_texdir}/texmf-dist/tex/latex/ae/

%files ae-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/ae/

%files afparticle
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/afparticle/

%files afparticle-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/afparticle/

%files afthesis
%license pd.txt
%{_texdir}/texmf-dist/bibtex/bst/afthesis/
%{_texdir}/texmf-dist/tex/latex/afthesis/

%files afthesis-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/afthesis/

%files aguplus
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/aguplus/
%{_texdir}/texmf-dist/tex/latex/aguplus/

%files aguplus-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/aguplus/

%files aiaa
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/aiaa/
%{_texdir}/texmf-dist/tex/latex/aiaa/

%files aiaa-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/aiaa/

%files aichej
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/aichej/

%files ajl
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/ajl/

%files akktex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/akktex/

%files akktex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/akktex/

%files akletter
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/akletter/

%files akletter-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/akletter/

%files alegreya
%license ofl.txt
%{_texdir}/texmf-dist/tex/latex/alegreya/
%{_texdir}/texmf-dist/fonts/map/dvips/alegreya/
%{_texdir}/texmf-dist/fonts/tfm/huerta/alegreya/
%{_texdir}/texmf-dist/fonts/vf/huerta/alegreya/
%{_texdir}/texmf-dist/fonts/enc/dvips/alegreya/
%{_texdir}/texmf-dist/fonts/type1/huerta/alegreya/
%{_texdir}/texmf-dist/fonts/truetype/huerta/alegreya/

%files alegreya-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/alegreya/

%files latexconfig
%{_texdir}/texmf-dist/tex/latex/latexconfig/

%files latex-fonts
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/latex-fonts/
%{_texdir}/texmf-dist/fonts/tfm/public/latex-fonts/

%files latex-fonts-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/latex-fonts/

%files plain
%license knuth.txt
%{_texdir}/texmf-dist/makeindex/plain/
%{_texdir}/texmf-dist/tex/plain/

%files lambda
%{_texdir}/texmf-dist/tex/lambda/

%files alertmessage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/alertmessage/

%files alertmessage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/alertmessage/

%files algorithm2e
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/algorithm2e/

%files algorithm2e-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/algorithm2e/

%files algorithmicx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/algorithmicx/

%files algorithmicx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/algorithmicx/

%files algorithms
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/algorithms/

%files algorithms-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/algorithms/

%files alg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/alg/

%files alg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/alg/

%files allrunes
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/allrunes/
%{_texdir}/texmf-dist/fonts/source/public/allrunes/
%{_texdir}/texmf-dist/fonts/type1/public/allrunes/
%{_texdir}/texmf-dist/tex/latex/allrunes/

%files allrunes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/allrunes/

%files almfixed
%license gfl.txt
%{_datadir}/fonts/almfixed
%{_texdir}/texmf-dist/fonts/opentype/public/almfixed/
%{_texdir}/texmf-dist/fonts/truetype/public/almfixed/

%files almfixed-doc
%license gfl.txt
%{_texdir}/texmf-dist/doc/fonts/almfixed/

%files alnumsec
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/alnumsec/

%files alnumsec-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/alnumsec/

%files alterqcm
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/alterqcm/

%files alterqcm-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/alterqcm/

%files altfont
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/altfont/

%files altfont-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/altfont/

%files ametsoc
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/ametsoc/
%{_texdir}/texmf-dist/tex/latex/ametsoc/

%files ametsoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ametsoc/

%files amiri
%license ofl.txt
%{_texdir}/texmf-dist/fonts/truetype/public/amiri/

%files amiri-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/amiri/

%files amsaddr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/amsaddr/

%files amsaddr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/amsaddr/

%files amscls
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/amscls/
%{_texdir}/texmf-dist/tex/latex/amscls/

%files amscls-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/amscls/

%files amsfonts
%license ofl.txt
%{_texdir}/texmf-dist/fonts/afm/public/amsfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/amsfonts/
%{_texdir}/texmf-dist/fonts/source/public/amsfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/amsfonts/
%{_texdir}/texmf-dist/fonts/type1/public/amsfonts/
%{_texdir}/texmf-dist/tex/latex/amsfonts/

%files amsfonts-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/amsfonts/

%files amslatex-primer-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/amslatex-primer/

%files amsldoc-it-doc
%{_texdir}/texmf-dist/doc/latex/amsldoc-it/

%files amsldoc-vn-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/amsldoc-vn/

%files amsmath-it-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/amsmath-it/

%files amsmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/amsmath/

%files amsmath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/amsmath/

%files amsrefs
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bib/amsrefs/
%{_texdir}/texmf-dist/bibtex/bst/amsrefs/
%{_texdir}/texmf-dist/tex/latex/amsrefs/

%files amsrefs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/amsrefs/

%files amsthdoc-it-doc
%{_texdir}/texmf-dist/doc/latex/amsthdoc-it/

%files animate
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/animate/

%files animate-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/animate/

%files anonchap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/anonchap/

%files anonchap-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/anonchap/

%files anonymouspro
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/anonymouspro/
%{_texdir}/texmf-dist/fonts/enc/dvips/anonymouspro/
%{_texdir}/texmf-dist/fonts/map/dvips/anonymouspro/
%{_texdir}/texmf-dist/fonts/tfm/public/anonymouspro/
%{_texdir}/texmf-dist/fonts/truetype/public/anonymouspro/
%{_texdir}/texmf-dist/fonts/type1/public/anonymouspro/
%{_texdir}/texmf-dist/fonts/vf/public/anonymouspro/
%{_texdir}/texmf-dist/tex/latex/anonymouspro/

%files anonymouspro-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/anonymouspro/

%files answers
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/answers/

%files answers-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/answers/

%files antiqua
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/urw/antiqua/
%{_texdir}/texmf-dist/fonts/map/dvips/antiqua/
%{_texdir}/texmf-dist/fonts/map/vtex/antiqua/
%{_texdir}/texmf-dist/fonts/tfm/urw/antiqua/
%{_texdir}/texmf-dist/fonts/type1/urw/antiqua/
%{_texdir}/texmf-dist/fonts/vf/urw/antiqua/
%{_texdir}/texmf-dist/tex/latex/antiqua/

%files antiqua-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/antiqua/

%files antomega
%license lppl1.txt
%{_texdir}/texmf-dist/omega/ocp/antomega/
%{_texdir}/texmf-dist/tex/lambda/antomega/

%files antomega-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/omega/antomega/

%files omega
%license gpl.txt
%{_texdir}/texmf-dist/dvips/omega/
%{_texdir}/texmf-dist/fonts/afm/public/omega/
%{_texdir}/texmf-dist/fonts/map/dvips/omega/
%{_texdir}/texmf-dist/fonts/ofm/public/omega/
%{_texdir}/texmf-dist/fonts/ovf/public/omega/
%{_texdir}/texmf-dist/fonts/ovp/public/omega/
%{_texdir}/texmf-dist/fonts/tfm/public/omega/
%{_texdir}/texmf-dist/fonts/type1/public/omega/
%{_texdir}/texmf-dist/omega/ocp/
%{_texdir}/texmf-dist/omega/otp/
%{_texdir}/texmf-dist/tex/generic/encodings/
%{_texdir}/texmf-dist/tex/generic/omegahyph/
%{_texdir}/texmf-dist/tex/plain/omega/

%files omega-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/omega/base/

%files antt
%license gfsl.txt
%{_datadir}/fonts/antt
%{_texdir}/texmf-dist/fonts/afm/public/antt/
%{_texdir}/texmf-dist/fonts/enc/dvips/antt/
%{_texdir}/texmf-dist/fonts/map/dvips/antt/
%{_texdir}/texmf-dist/fonts/opentype/public/antt/
%{_texdir}/texmf-dist/fonts/tfm/public/antt/
%{_texdir}/texmf-dist/fonts/type1/public/antt/
%{_texdir}/texmf-dist/tex/latex/antt/
%{_texdir}/texmf-dist/tex/plain/antt/

%files antt-doc
%license gfsl.txt
%{_texdir}/texmf-dist/doc/fonts/antt/
%{_texdir}/texmf-dist/doc/latex/antt/

%files anufinalexam-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/anufinalexam/

%files anyfontsize
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/anyfontsize/

%files anyfontsize-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/anyfontsize/

%files anysize
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/anysize/

%files anysize-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/anysize/

%files aobs-tikz
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/aobs-tikz/

%files aobs-tikz-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/aobs-tikz/

%files aomart
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/aomart/
%{_texdir}/texmf-dist/tex/latex/aomart/

%files aomart-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/aomart/

%files apa6e
%{_texdir}/texmf-dist/tex/latex/apa6e/

%files apa6e-doc
%{_texdir}/texmf-dist/doc/latex/apa6e/

%files apa6
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/apa6/

%files apa6-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/apa6/

%files apacite
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/apacite/
%{_texdir}/texmf-dist/tex/latex/apacite/

%files apacite-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/apacite/

%files apalike2
%{_texdir}/texmf-dist/bibtex/bst/apalike2/

%files apa
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/apa/

%files apa-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/apa/

%files apnum
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/apnum/

%files apnum-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/apnum/

%files appendixnumberbeamer
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/appendixnumberbeamer/

%files appendixnumberbeamer-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/appendixnumberbeamer/

%files appendix
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/appendix/

%files appendix-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/appendix/

%files apprends-latex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/apprends-latex/

%files apptools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/apptools/

%files apptools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/apptools/

%files arabi
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/arabi/
%{_texdir}/texmf-dist/fonts/enc/dvips/arabi/
%{_texdir}/texmf-dist/fonts/map/dvips/arabi/
%{_texdir}/texmf-dist/fonts/tfm/arabi/
%{_texdir}/texmf-dist/fonts/type1/arabi/
%{_texdir}/texmf-dist/tex/latex/arabi/

%files arabi-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/arabi/

%files arabtex
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/arabtex/
%{_texdir}/texmf-dist/fonts/source/public/arabtex/
%{_texdir}/texmf-dist/fonts/tfm/public/arabtex/
%{_texdir}/texmf-dist/fonts/type1/public/arabtex/
%{_texdir}/texmf-dist/tex/latex/arabtex/

%files arabtex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/arabtex/

%files arabxetex
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/arabxetex/
%{_texdir}/texmf-dist/tex/xelatex/arabxetex/

%files arabxetex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xelatex/arabxetex/

%files aramaic-serto
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/aramaic-serto/
%{_texdir}/texmf-dist/fonts/map/dvips/aramaic-serto/
%{_texdir}/texmf-dist/fonts/source/public/aramaic-serto/
%{_texdir}/texmf-dist/fonts/tfm/public/aramaic-serto/
%{_texdir}/texmf-dist/fonts/type1/public/aramaic-serto/
%{_texdir}/texmf-dist/tex/latex/aramaic-serto/

%files aramaic-serto-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/aramaic-serto/

%files archaic
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/archaic/
%{_texdir}/texmf-dist/fonts/map/dvips/archaic/
%{_texdir}/texmf-dist/fonts/source/public/archaic/
%{_texdir}/texmf-dist/fonts/tfm/public/archaic/
%{_texdir}/texmf-dist/fonts/type1/public/archaic/
%{_texdir}/texmf-dist/tex/latex/archaic/

%files archaic-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/archaic/

%files arcs
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/arcs/

%files arcs-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/arcs/

%files arev
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/arev/
%{_texdir}/texmf-dist/fonts/enc/dvips/arev/
%{_texdir}/texmf-dist/fonts/map/dvips/arev/
%{_texdir}/texmf-dist/fonts/tfm/public/arev/
%{_texdir}/texmf-dist/fonts/type1/public/arev/
%{_texdir}/texmf-dist/fonts/vf/public/arev/
%{_texdir}/texmf-dist/tex/latex/arev/

%files arev-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/arev/

%files armtex
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/armenian/
%{_texdir}/texmf-dist/fonts/map/dvips/armenian/
%{_texdir}/texmf-dist/fonts/source/public/armenian/
%{_texdir}/texmf-dist/fonts/tfm/public/armenian/
%{_texdir}/texmf-dist/fonts/type1/public/armenian/
%{_texdir}/texmf-dist/tex/latex/armenian/
%{_texdir}/texmf-dist/tex/plain/armenian/

%files armtex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/armenian/

%files around-the-bend-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/around-the-bend/

%files arphic
%license other-free.txt
%{_texdir}/texmf-dist/dvips/arphic/
%{_texdir}/texmf-dist/fonts/afm/arphic/
%{_texdir}/texmf-dist/fonts/map/dvips/arphic/
%{_texdir}/texmf-dist/fonts/tfm/arphic/
%{_texdir}/texmf-dist/fonts/type1/arphic/
%{_texdir}/texmf-dist/fonts/vf/arphic/

%files arphic-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/fonts/arphic/

%files arrayjobx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/arrayjobx/

%files arrayjobx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/arrayjobx/

%files arraysort
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/arraysort/

%files arraysort-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/arraysort/

%files arsclassica
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/arsclassica/

%files arsclassica-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/arsclassica/

%files articleingud
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/articleingud/

%files articleingud-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/articleingud/

%files arydshln
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/arydshln/

%files arydshln-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/arydshln/

%files asaetr
%license pd.txt
%{_texdir}/texmf-dist/bibtex/bst/asaetr/
%{_texdir}/texmf-dist/tex/latex/asaetr/

%files asaetr-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/asaetr/

%files asana-math
%{_datadir}/fonts/Asana-Math
%{_texdir}/texmf-dist/fonts/opentype/public/Asana-Math/
%{_texdir}/texmf-dist/fonts/truetype/public/Asana-Math/

%files asana-math-doc
%{_texdir}/texmf-dist/doc/fonts/Asana-Math/

%files ascelike
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/ascelike/
%{_texdir}/texmf-dist/tex/latex/ascelike/

%files ascelike-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ascelike/

%files ascii-chart-doc
%{_texdir}/texmf-dist/doc/support/ascii-chart/

%files ascii-font
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/ascii-font/
%{_texdir}/texmf-dist/fonts/tfm/public/ascii-font/
%{_texdir}/texmf-dist/fonts/type1/public/ascii-font/
%{_texdir}/texmf-dist/tex/latex/ascii-font/

%files ascii-font-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/ascii-font/

%files askmaps
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/askmaps/

%files askmaps-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/askmaps/

%files aspectratio
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/aspectratio/
%{_texdir}/texmf-dist/fonts/source/public/aspectratio/
%{_texdir}/texmf-dist/fonts/tfm/public/aspectratio/
%{_texdir}/texmf-dist/fonts/type1/public/aspectratio/
%{_texdir}/texmf-dist/tex/latex/aspectratio/

%files aspectratio-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/aspectratio/

%files assignment
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/assignment/

%files assignment-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/assignment/

%files assoccnt
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/assoccnt/

%files assoccnt-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/assoccnt/

%files astro
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/astro/
%{_texdir}/texmf-dist/fonts/tfm/public/astro/

%files astro-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/astro/

%files asyfig
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/asyfig/

%files asyfig-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/asyfig/

%files asypictureb
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/asypictureb/

%files asypictureb-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/asypictureb/

%files attachfile
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/attachfile/
%{_texdir}/texmf-dist/bibtex/bib/attachfile/

%files attachfile-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/attachfile/

%files augie
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/augie/
%{_texdir}/texmf-dist/fonts/map/dvips/augie/
%{_texdir}/texmf-dist/fonts/tfm/public/augie/
%{_texdir}/texmf-dist/fonts/type1/public/augie/
%{_texdir}/texmf-dist/fonts/vf/public/augie/
%{_texdir}/texmf-dist/tex/latex/augie/

%files augie-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/augie/

%files auncial-new
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/auncial-new/
%{_texdir}/texmf-dist/fonts/map/dvips/auncial-new/
%{_texdir}/texmf-dist/fonts/tfm/public/auncial-new/
%{_texdir}/texmf-dist/fonts/type1/public/auncial-new/
%{_texdir}/texmf-dist/tex/latex/auncial-new/

%files auncial-new-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/auncial-new/

%files aurical
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/aurical/
%{_texdir}/texmf-dist/fonts/map/dvips/aurical/
%{_texdir}/texmf-dist/fonts/source/public/aurical/
%{_texdir}/texmf-dist/fonts/tfm/public/aurical/
%{_texdir}/texmf-dist/fonts/type1/public/aurical/
%{_texdir}/texmf-dist/tex/latex/aurical/

%files aurical-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/aurical/

%files authoraftertitle
%{_texdir}/texmf-dist/tex/latex/authoraftertitle/

%files authoraftertitle-doc
%{_texdir}/texmf-dist/doc/latex/authoraftertitle/

%files autoarea
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/autoarea/

%files autoarea-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/autoarea/

%files automata
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/automata/

%files automata-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/automata/

%files autonum
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/autonum/

%files autonum-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/autonum/

%files autopdf
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/autopdf/

%files autopdf-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/autopdf/

%files auto-pst-pdf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/auto-pst-pdf/

%files auto-pst-pdf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/auto-pst-pdf/

%files avantgar
%license gpl.txt
%{_texdir}/texmf-dist/dvips/avantgar/
%{_texdir}/texmf-dist/fonts/afm/adobe/avantgar/
%{_texdir}/texmf-dist/fonts/afm/urw/avantgar/
%{_texdir}/texmf-dist/fonts/map/dvips/avantgar/
%{_texdir}/texmf-dist/fonts/tfm/adobe/avantgar/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/avantgar/
%{_texdir}/texmf-dist/fonts/type1/urw/avantgar/
%{_texdir}/texmf-dist/fonts/vf/adobe/avantgar/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/avantgar/
%{_texdir}/texmf-dist/tex/latex/avantgar/

%files avremu
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/avremu/

%files avremu-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/avremu/

%files b1encoding
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/b1encoding/
%{_texdir}/texmf-dist/tex/latex/b1encoding/

%files b1encoding-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/b1encoding/

%files babel-albanian
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/babel-albanian/

%files babel-albanian-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/babel-albanian/

%files babel-bahasa
# now we're a metapackage.

%files babel-bahasa-doc
# hey, us too!

%files babel-indonesian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-indonesian/

%files babel-indonesian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-indonesian/

%files babel-malay
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-malay/

%files babel-malay-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-malay/

%files babel-basque
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-basque/

%files babel-basque-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-basque/

%files babelbib
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/babelbib/
%{_texdir}/texmf-dist/tex/latex/babelbib/

%files babelbib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/babelbib/

%files babel-bosnian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-bosnian/

%files babel-bosnian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-bosnian/

%files babel-breton
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-breton/

%files babel-breton-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-breton/

%files babel-bulgarian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-bulgarian/

%files babel-bulgarian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-bulgarian/

%files babel-catalan
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-catalan/

%files babel-catalan-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-catalan/

%files babel-croatian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-croatian/

%files babel-croatian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-croatian/

%files babel-czech
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-czech/

%files babel-czech-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-czech/

%files babel-danish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-danish/

%files babel-danish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-danish/

%files babel-dutch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-dutch/

%files babel-dutch-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-dutch/

%files babel-english
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-english/

%files babel-english-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-english/

%files babel-esperanto
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-esperanto/

%files babel-esperanto-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-esperanto/

%files babel-estonian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-estonian/

%files babel-estonian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-estonian/

%files babel-finnish
%{_texdir}/texmf-dist/tex/generic/babel-finnish/

%files babel-finnish-doc
%{_texdir}/texmf-dist/doc/generic/babel-finnish/

%files babel-french
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-french/

%files babel-french-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-french/

%files babel-friulan
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-friulan/

%files babel-friulan-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-friulan/

%files babel-galician
%{_texdir}/texmf-dist/tex/generic/babel-galician/

%files babel-galician-doc
%{_texdir}/texmf-dist/doc/generic/babel-galician/

%files babel-georgian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-georgian/

%files babel-georgian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-georgian/

%files babel-german
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-german/

%files babel-german-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-german/

%files babel-greek
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-greek/

%files babel-greek-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-greek/

%files babel-hebrew
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-hebrew/

%files babel-hebrew-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-hebrew/

%files babel-hungarian
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/babel-hungarian/

%files babel-hungarian-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/babel-hungarian/

%files babel-icelandic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-icelandic/

%files babel-icelandic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-icelandic/

%files babel-interlingua
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-interlingua/

%files babel-interlingua-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-interlingua/

%files babel-irish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-irish/

%files babel-irish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-irish/

%files babel-italian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-italian/

%files babel-italian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-italian/

%files babel-kurmanji
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-kurmanji/

%files babel-kurmanji-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-kurmanji/

%files babel-latin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/babel-latin/

%files babel-latin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/babel-latin/

%files babel-latvian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-latvian/

%files babel-latvian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-latvian/

%files babel-norsk
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-norsk/

%files babel-norsk-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-norsk/

%files babel-piedmontese
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-piedmontese/

%files babel-piedmontese-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-piedmontese/

%files babel-polish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-polish/

%files babel-polish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-polish/

%files babel-portuges
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-portuges/

%files babel-portuges-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-portuges/

%files babel-romanian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-romanian/

%files babel-romanian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-romanian/

%files babel-romansh
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-romansh/

%files babel-romansh-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-romansh/

%files babel-russian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-russian/

%files babel-russian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-russian/

%files babel-samin
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-samin/

%files babel-samin-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-samin/

%files babel-scottish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-scottish/

%files babel-scottish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-scottish/

%files babel-serbianc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-serbianc/

%files babel-serbianc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-serbianc/

%files babel-serbian
%{_texdir}/texmf-dist/tex/generic/babel-serbian/

%files babel-serbian-doc
%{_texdir}/texmf-dist/doc/generic/babel-serbian/

%files babel-slovak
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-slovak/

%files babel-slovak-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-slovak/

%files babel-slovenian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-slovenian/

%files babel-slovenian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-slovenian/

%files babel-sorbian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-sorbian/

%files babel-sorbian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-sorbian/

%files babel-spanglish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-spanglish/

%files babel-spanglish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-spanglish/

%files babel-spanish
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/babel-spanish/

%files babel-spanish-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/babel-spanish/

%files babel-swedish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-swedish/

%files babel-swedish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-swedish/

%files babel-thai
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-thai/

%files babel-thai-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-thai/

%files babel
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/babel/
%{_texdir}/texmf-dist/tex/generic/babel/

%files babel-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/babel/

%files babel-turkish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-turkish/

%files babel-turkish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-turkish/

%files babel-ukrainian
%{_texdir}/texmf-dist/tex/generic/babel-ukrainian/

%files babel-ukrainian-doc
%{_texdir}/texmf-dist/doc/generic/babel-ukrainian/

%files babel-vietnamese
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-vietnamese/

%files babel-welsh
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-welsh/

%files babel-welsh-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-welsh/

%files background
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/background/

%files background-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/background/

%files backnaur
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/backnaur/

%files backnaur-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/backnaur/

%files bagpipe
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/bagpipe/

%files bagpipe-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/bagpipe/

%files bangorcsthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bangorcsthesis/

%files bangorcsthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bangorcsthesis/

%files bangtex
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/bangtex/
%{_texdir}/texmf-dist/fonts/tfm/public/bangtex/
%{_texdir}/texmf-dist/tex/latex/bangtex/

%files bangtex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bangtex/

%files bankstatement
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bankstatement/

%files bankstatement-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bankstatement/

%files barcodes
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/barcodes/
%{_texdir}/texmf-dist/fonts/tfm/public/barcodes/
%{_texdir}/texmf-dist/tex/latex/barcodes/

%files barcodes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/barcodes/

%files bardiag
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bardiag/

%files bardiag-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bardiag/

%files barr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/barr/

%files barr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/barr/

%files bartel-chess-fonts
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/bartel-chess-fonts/
%{_texdir}/texmf-dist/fonts/tfm/public/bartel-chess-fonts/

%files bartel-chess-fonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/bartel-chess-fonts/

%files bashful
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bashful/

%files bashful-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bashful/

%files basicarith
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/basicarith/

%files basicarith-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/basicarith/

%files baskervald
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/arkandis/baskervald/
%{_texdir}/texmf-dist/fonts/enc/dvips/baskervald/
%{_texdir}/texmf-dist/fonts/map/dvips/baskervald/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/baskervald/
%{_texdir}/texmf-dist/fonts/type1/arkandis/baskervald/
%{_texdir}/texmf-dist/fonts/vf/arkandis/baskervald/
%{_texdir}/texmf-dist/tex/latex/baskervald/

%files baskervald-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/baskervald/

%files baskervaldx
%license gpl.txt
%{_datadir}/fonts/baskervaldx
%{_texdir}/texmf-dist/fonts/afm/public/baskervaldx/
%{_texdir}/texmf-dist/fonts/enc/dvips/baskervaldx/
%{_texdir}/texmf-dist/fonts/map/dvips/baskervaldx/
%{_texdir}/texmf-dist/fonts/opentype/public/baskervaldx/
%{_texdir}/texmf-dist/fonts/tfm/public/baskervaldx/
%{_texdir}/texmf-dist/fonts/type1/public/baskervaldx/
%{_texdir}/texmf-dist/fonts/vf/public/baskervaldx/
%{_texdir}/texmf-dist/tex/latex/baskervaldx/

%files baskervaldx-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/baskervaldx/

%files basque-book
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/basque-book/

%files basque-book-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/basque-book/

%files basque-date
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/basque-date/

%files basque-date-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/basque-date/

%files bbcard
%license pd.txt
%{_texdir}/texmf-dist/metapost/bbcard/

%files bbcard-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/metapost/bbcard/

%files bbding
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/bbding/
%{_texdir}/texmf-dist/fonts/tfm/public/bbding/
%{_texdir}/texmf-dist/tex/latex/bbding/

%files bbding-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bbding/

%files bbm-macros
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bbm-macros/

%files bbm-macros-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bbm-macros/

%files bbm
%{_texdir}/texmf-dist/fonts/source/public/bbm/
%{_texdir}/texmf-dist/fonts/tfm/public/bbm/

%files bbm-doc
%{_texdir}/texmf-dist/doc/fonts/bbm/

%files bbold
%license bsd.txt
%{_texdir}/texmf-dist/fonts/source/public/bbold/
%{_texdir}/texmf-dist/fonts/tfm/public/bbold/
%{_texdir}/texmf-dist/tex/latex/bbold/

%files bbold-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/latex/bbold/

%files bbold-type1
%{_texdir}/texmf-dist/fonts/afm/public/bbold-type1/
%{_texdir}/texmf-dist/fonts/map/dvips/bbold-type1/
%{_texdir}/texmf-dist/fonts/type1/public/bbold-type1/

%files bbold-type1-doc
%{_texdir}/texmf-dist/doc/fonts/bbold-type1/

%files bchart
%{_texdir}/texmf-dist/tex/latex/bchart/

%files bchart-doc
%{_texdir}/texmf-dist/doc/latex/bchart/

%files bclogo
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/bclogo/
%{_texdir}/texmf-dist/tex/latex/bclogo/

%files bclogo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bclogo/

%files beamer2thesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beamer2thesis/

%files beamer2thesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beamer2thesis/

%files beameraudience
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beameraudience/

%files beameraudience-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beameraudience/

%files beamerdarkthemes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/beamerdarkthemes/

%files beamerdarkthemes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/beamerdarkthemes/

%files beamer-FUBerlin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beamer-FUBerlin/

%files beamerposter
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beamerposter/

%files beamerposter-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beamerposter/

%files beamersubframe
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beamersubframe/

%files beamersubframe-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beamersubframe/

%files beamerthemejltree
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/beamerthemejltree/

%files beamerthemenirma
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beamerthemenirma/

%files beamerthemenirma-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beamerthemenirma/

%files beamertheme-phnompenh
%{_texdir}/texmf-dist/tex/latex/beamertheme-phnompenh/

%files beamertheme-phnompenh-doc
%{_texdir}/texmf-dist/doc/latex/beamertheme-phnompenh/

%files beamertheme-upenn-bc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beamertheme-upenn-bc/

%files beamertheme-upenn-bc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beamertheme-upenn-bc/

%files beamer
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/beamer/

%files beamer-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/beamer/

%files pgf
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/context/third/pgf/
%{_texdir}/texmf-dist/tex/generic/pgf/
%{_texdir}/texmf-dist/tex/latex/pgf/
%{_texdir}/texmf-dist/tex/plain/pgf/

%files pgf-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/pgf/

%files xkeyval
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/xkeyval/
%{_texdir}/texmf-dist/tex/latex/xkeyval/

%files xkeyval-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xkeyval/

%files xcolor
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/xcolor/
%{_texdir}/texmf-dist/tex/latex/xcolor/

%files xcolor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xcolor/

%files beamer-tut-pt-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/beamer-tut-pt/

%files beebe
%{_texdir}/texmf-dist/bibtex/bib/beebe/
%{_texdir}/texmf-dist/bibtex/bst/beebe/
%{_texdir}/texmf-dist/tex/generic/beebe/

%files begingreek
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/begingreek/

%files begingreek-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/begingreek/

%files begriff
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/begriff/

%files begriff-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/begriff/

%files belleek
%license pd.txt
%{_texdir}/texmf-dist/fonts/map/dvips/belleek/
%{_texdir}/texmf-dist/fonts/truetype/public/belleek/
%{_texdir}/texmf-dist/fonts/type1/public/belleek/

%files belleek-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/belleek/

%files bengali
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/bengali/
%{_texdir}/texmf-dist/fonts/tfm/public/bengali/
%{_texdir}/texmf-dist/tex/latex/bengali/

%files bengali-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/bengali/

%files bera
%{_texdir}/texmf-dist/fonts/afm/public/bera/
%{_texdir}/texmf-dist/fonts/map/dvips/bera/
%{_texdir}/texmf-dist/fonts/tfm/public/bera/
%{_texdir}/texmf-dist/fonts/type1/public/bera/
%{_texdir}/texmf-dist/fonts/vf/public/bera/
%{_texdir}/texmf-dist/tex/latex/bera/

%files bera-doc
%{_texdir}/texmf-dist/doc/fonts/bera/

%files berenisadf
%{_datadir}/fonts/berenisadf
%{_texdir}/texmf-dist/fonts/afm/arkandis/berenisadf/
%{_texdir}/texmf-dist/fonts/enc/dvips/berenisadf/
%{_texdir}/texmf-dist/fonts/map/dvips/berenisadf/
%{_texdir}/texmf-dist/fonts/opentype/arkandis/berenisadf/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/berenisadf/
%{_texdir}/texmf-dist/fonts/type1/arkandis/berenisadf/
%{_texdir}/texmf-dist/tex/latex/berenisadf/

%files berenisadf-doc
%{_texdir}/texmf-dist/doc/fonts/berenisadf/

%files besjournals
%{_texdir}/texmf-dist/bibtex/bst/besjournals/

%files besjournals-doc
%{_texdir}/texmf-dist/doc/bibtex/besjournals/

%files betababel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/betababel/

%files betababel-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/betababel/

%files beton
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beton/

%files beton-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/beton/

%files bewerbung
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bewerbung/

%files bewerbung-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bewerbung/

%files bez123
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bez123/

%files bez123-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bez123/

%files bezos
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bezos/

%files bezos-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bezos/

%files bgreek
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/public/bgreek/
%{_texdir}/texmf-dist/fonts/vf/public/bgreek/
%{_texdir}/texmf-dist/tex/latex/bgreek/

%files bgreek-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bgreek/

%files bgteubner
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/bgteubner/
%{_texdir}/texmf-dist/makeindex/bgteubner/
%{_texdir}/texmf-dist/tex/latex/bgteubner/

%files bgteubner-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bgteubner/

%files bguq
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/bguq/
%{_texdir}/texmf-dist/fonts/source/public/bguq/
%{_texdir}/texmf-dist/fonts/tfm/public/bguq/
%{_texdir}/texmf-dist/fonts/type1/public/bguq/
%{_texdir}/texmf-dist/tex/latex/bguq/

%files bguq-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/bguq/

%files bhcexam
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bhcexam/

%files bhcexam-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bhcexam/

%files bibarts
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/bibarts/

%files bibarts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/bibarts/

%files bib-fr
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/bib-fr/

%files bib-fr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/bib-fr/

%files bibhtml
%license gpl.txt
%{_texdir}/texmf-dist/bibtex/bst/bibhtml/

%files bibhtml-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/bibtex/bibhtml/

%files biblatex-anonymous
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-anonymous/

%files biblatex-anonymous-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-anonymous/

%files biblatex-apa
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-apa/

%files biblatex-apa-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-apa/

%files biblatex-bookinarticle
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-bookinarticle/

%files biblatex-bookinarticle-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-bookinarticle/

%files biblatex-bwl
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-bwl/

%files biblatex-bwl-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-bwl/

%files biblatex-caspervector
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-caspervector/

%files biblatex-caspervector-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-caspervector/

%files biblatex-chem
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-chem/

%files biblatex-chem-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-chem/

%files biblatex-chicago
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-chicago/

%files biblatex-chicago-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-chicago/

%files biblatex-dw
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-dw/

%files biblatex-dw-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-dw/

%files biblatex-fiwi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-fiwi/

%files biblatex-fiwi-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-fiwi/

%files biblatex-gost
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-gost/

%files biblatex-gost-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-gost/

%files biblatex-historian
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-historian/

%files biblatex-historian-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-historian/

%files biblatex-ieee
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-ieee/

%files biblatex-ieee-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-ieee/

%files biblatex-juradiss
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-juradiss/

%files biblatex-juradiss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-juradiss/

%files biblatex-luh-ipw
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-luh-ipw/

%files biblatex-luh-ipw-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-luh-ipw/

%files biblatex-manuscripts-philology
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-manuscripts-philology/
%files biblatex-manuscripts-philology-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-manuscripts-philology/

%files biblatex-mla
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-mla/

%files biblatex-mla-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-mla/

%files biblatex-multiple-dm
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-multiple-dm/

%files biblatex-multiple-dm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-multiple-dm/

%files biblatex-musuos
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-musuos/

%files biblatex-musuos-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-musuos/

%files biblatex-nature
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-nature/

%files biblatex-nature-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-nature/

%files biblatex-nejm
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-nejm/

%files biblatex-nejm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-nejm/

%files biblatex-opcit-booktitle
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-opcit-booktitle/

%files biblatex-opcit-booktitle-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-opcit-booktitle/

%files biblatex-philosophy
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-philosophy/

%files biblatex-philosophy-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-philosophy/

%files biblatex-phys
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-phys/

%files biblatex-phys-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-phys/

%files biblatex-publist
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-publist/

%files biblatex-publist-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-publist/

%files biblatex-realauthor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-realauthor/

%files biblatex-realauthor-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-realauthor/

%files biblatex-science
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-science/

%files biblatex-science-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-science/

%files biblatex-source-division
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-source-division/

%files biblatex-source-division-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-source-division/

%files biblatex-subseries
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-subseries/

%files biblatex-subseries-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-subseries/

%files biblatex-swiss-legal
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-swiss-legal/

%files biblatex-swiss-legal-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-swiss-legal/

%files biblatex
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/biblatex/
%{_texdir}/texmf-dist/bibtex/bst/biblatex/
%{_texdir}/texmf-dist/tex/latex/biblatex/

%files biblatex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex/

%files biblatex-trad
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-trad/

%files biblatex-trad-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-trad/

%files biblatex-true-citepages-omit
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-true-citepages-omit/

%files biblatex-true-citepages-omit-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-true-citepages-omit/

%files bibleref-french
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bibleref-french/

%files bibleref-french-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bibleref-french/

%files bibleref-german
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bibleref-german/

%files bibleref-german-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bibleref-german/

%files bibleref-lds
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bibleref-lds/

%files bibleref-lds-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bibleref-lds/

%files bibleref-mouth
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bibleref-mouth/

%files bibleref-mouth-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bibleref-mouth/

%files bibleref-parse
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bibleref-parse/

%files bibleref-parse-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bibleref-parse/

%files bibleref
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bibleref/

%files bibleref-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bibleref/

%files biblist
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/biblist/

%files biblist-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/biblist/

%files bibtopicprefix
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bibtopicprefix/

%files bibtopicprefix-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bibtopicprefix/

%files bibtopic
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/bibtopic/

%files bibtopic-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/bibtopic/

%files bibunits
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bibunits/

%files bibunits-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bibunits/

%files bidi-atbegshi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidi-atbegshi/

%files bidi-atbegshi-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/bidi-atbegshi/

%files bidicontour
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidicontour/

%files bidicontour-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/bidicontour/

%files bidihl
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidihl/

%files bidihl-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/bidihl/

%files bidipagegrid
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidipagegrid/

%files bidipagegrid-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/bidipagegrid/

%files bidipresentation
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidipresentation/

%files bidipresentation-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/bidipresentation/

%files bidishadowtext
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidishadowtext/

%files bidishadowtext-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/bidishadowtext/

%files bidi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidi/

%files bidi-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/bidi/

%files bigfoot
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/bigfoot/

%files bigfoot-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/bigfoot/

%files bigints
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bigints/

%files bigints-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bigints/

%files binomexp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/binomexp/

%files binomexp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/binomexp/

%files biocon
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/biocon/

%files biocon-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/biocon/

%files bitelist
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/bitelist/

%files bitelist-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/bitelist/

%files bizcard
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/bizcard/

%files bizcard-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/bizcard/

%files blacklettert1
%{_texdir}/texmf-dist/fonts/tfm/public/blacklettert1/
%{_texdir}/texmf-dist/fonts/vf/public/blacklettert1/
%{_texdir}/texmf-dist/tex/latex/blacklettert1/

%files blacklettert1-doc
%{_texdir}/texmf-dist/doc/fonts/blacklettert1/

%files blindtext
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/blindtext/

%files blindtext-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/blindtext/

%files blkarray
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/blkarray/

%files blkarray-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/blkarray/

%files blochsphere
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/blochsphere/

%files blochsphere-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/blochsphere/

%files blockdraw_mp
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/blockdraw_mp/

%files blockdraw_mp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/blockdraw_mp/

%files block
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/block/

%files block-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/block/

%files bloques
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bloques/

%files bloques-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bloques/

%files blox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/blox/

%files blox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/blox/

%files bnumexpr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bnumexpr/

%files bnumexpr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bnumexpr/

%files bodegraph
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bodegraph/

%files bodegraph-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bodegraph/

%files bohr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bohr/

%files bohr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bohr/

%files boisik
%license gpl2.txt
%{_texdir}/texmf-dist/fonts/source/public/boisik/
%{_texdir}/texmf-dist/fonts/tfm/public/boisik/
%{_texdir}/texmf-dist/tex/latex/boisik/

%files boisik-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/boisik/

%files boites
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/boites/

%files boites-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/boites/

%files bold-extra
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bold-extra/

%files bold-extra-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bold-extra/

%files boldtensors
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/boldtensors/

%files boldtensors-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/boldtensors/

%files bondgraphs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bondgraphs/

%files bondgraphs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bondgraphs/

%files bondgraph
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bondgraph/

%files bondgraph-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bondgraph/

%files bookcover
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/bookcover/

%files bookcover-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/bookcover/

%files bookdb
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/bookdb/

%files bookdb-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/bibtex/bookdb/

%files bookest
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bookest/

%files bookest-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bookest/

%files bookhands
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/bookhands/
%{_texdir}/texmf-dist/fonts/map/dvips/bookhands/
%{_texdir}/texmf-dist/fonts/source/public/bookhands/
%{_texdir}/texmf-dist/fonts/tfm/public/bookhands/
%{_texdir}/texmf-dist/fonts/type1/public/bookhands/
%{_texdir}/texmf-dist/tex/latex/bookhands/

%files bookhands-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/bookhands/

%files booklet
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/booklet/

%files booklet-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/booklet/

%files bookman
%license gpl.txt
%{_texdir}/texmf-dist/dvips/bookman/
%{_texdir}/texmf-dist/fonts/afm/adobe/bookman/
%{_texdir}/texmf-dist/fonts/afm/urw/bookman/
%{_texdir}/texmf-dist/fonts/map/dvips/bookman/
%{_texdir}/texmf-dist/fonts/tfm/adobe/bookman/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/bookman/
%{_texdir}/texmf-dist/fonts/type1/urw/bookman/
%{_texdir}/texmf-dist/fonts/vf/adobe/bookman/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/bookman/
%{_texdir}/texmf-dist/tex/latex/bookman/

%files booktabs-de-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/booktabs-de/

%files booktabs-fr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/booktabs-fr/

%files booktabs
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/booktabs/

%files booktabs-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/booktabs/

%files boolexpr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/boolexpr/

%files boolexpr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/boolexpr/

%files boondox
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/boondox/
%{_texdir}/texmf-dist/fonts/tfm/public/boondox/
%{_texdir}/texmf-dist/fonts/type1/public/boondox/
%{_texdir}/texmf-dist/fonts/vf/public/boondox/
%{_texdir}/texmf-dist/tex/latex/boondox/

%files boondox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/boondox/

%files bophook
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bophook/

%files bophook-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bophook/

%files borceux
%{_texdir}/texmf-dist/tex/generic/borceux/

%files borceux-doc
%{_texdir}/texmf-dist/doc/generic/borceux/

%files bosisio
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bosisio/

%files bosisio-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bosisio/

%files boxedminipage2e
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/boxedminipage2e/

%files boxedminipage2e-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/boxedminipage2e/

%files boxedminipage
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/boxedminipage/

%files boxedminipage-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/boxedminipage/

%files boxhandler
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/boxhandler/

%files boxhandler-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/boxhandler/

%files bpchem
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bpchem/

%files bpchem-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bpchem/

%files bpolynomial
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/bpolynomial/

%files bpolynomial-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/bpolynomial/

%files bracketkey
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bracketkey/

%files bracketkey-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bracketkey/

%files braids
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/braids/

%files braids-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/braids/

%files braille
%{_texdir}/texmf-dist/tex/latex/braille/

%files braille-doc
%{_texdir}/texmf-dist/doc/latex/braille/

%files braket
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/braket/

%files braket-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/braket/

%files brandeis-dissertation
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/brandeis-dissertation/

%files brandeis-dissertation-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/brandeis-dissertation/

%files breakurl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/breakurl/

%files breakurl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/breakurl/

%files breqn
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/breqn/

%files breqn-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/breqn/

%files br-lex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/br-lex/

%files br-lex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/br-lex/

%files bropd
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bropd/

%files bropd-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bropd/

%files brushscr
%license pd.txt
%{_texdir}/texmf-dist/dvips/brushscr/
%{_texdir}/texmf-dist/fonts/afm/public/brushscr/
%{_texdir}/texmf-dist/fonts/map/dvips/brushscr/
%{_texdir}/texmf-dist/fonts/tfm/public/brushscr/
%{_texdir}/texmf-dist/fonts/type1/public/brushscr/
%{_texdir}/texmf-dist/fonts/vf/public/brushscr/
%{_texdir}/texmf-dist/tex/latex/brushscr/

%files brushscr-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/brushscr/

%files bullcntr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bullcntr/

%files bullcntr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bullcntr/

%files burmese
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/burmese/
%{_texdir}/texmf-dist/fonts/tfm/public/burmese/
%{_texdir}/texmf-dist/fonts/type1/public/burmese/
%{_texdir}/texmf-dist/tex/latex/burmese/

%files burmese-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/burmese/

%files bussproofs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/bussproofs/

%files bussproofs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/bussproofs/

%files bxbase
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxbase/

%files bxbase-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxbase/

%files bxcjkjatype
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxcjkjatype/

%files bxcjkjatype-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxcjkjatype/

%files bxdpx-beamer
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxdpx-beamer/

%files bxdpx-beamer-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxdpx-beamer/

%files bxeepic
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxeepic/

%files bxeepic-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxeepic/

%files bxjscls
%license bsd.txt
%{_texdir}/texmf-dist/tex/latex/bxjscls/

%files bxjscls-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/latex/bxjscls/

%files bxpdfver
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxpdfver/

%files bxpdfver-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxpdfver/

%files bytefield
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bytefield/

%files bytefield-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/bytefield/

%files c90
%{_texdir}/texmf-dist/fonts/enc/dvips/c90/

%files c90-doc
%{_texdir}/texmf-dist/doc/fonts/enc/c90/

%files cabin
%license ofl.txt
%{_datadir}/fonts/cabin
%{_texdir}/texmf-dist/fonts/enc/dvips/cabin/
%{_texdir}/texmf-dist/fonts/map/dvips/cabin/
%{_texdir}/texmf-dist/fonts/opentype/impallari/cabin/
%{_texdir}/texmf-dist/fonts/tfm/impallari/cabin/
%{_texdir}/texmf-dist/fonts/type1/impallari/cabin/
%{_texdir}/texmf-dist/fonts/vf/impallari/cabin/
%{_texdir}/texmf-dist/tex/latex/cabin/

%files cabin-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/cabin/

%files caladea
%license apache2.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/caladea/
%{_texdir}/texmf-dist/fonts/map/dvips/caladea/
%{_texdir}/texmf-dist/fonts/tfm/huerta/caladea/
%{_texdir}/texmf-dist/fonts/truetype/huerta/caladea/
%{_texdir}/texmf-dist/fonts/type1/huerta/caladea/
%{_texdir}/texmf-dist/fonts/vf/huerta/caladea/
%{_texdir}/texmf-dist/tex/latex/caladea/

%files caladea-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/fonts/caladea/

%files calcage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/calcage/

%files calcage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/calcage/

%files calctab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/calctab/

%files calctab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/calctab/

%files calculation
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/calculation/

%files calculation-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/calculation/

%files calculator
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/calculator/

%files calculator-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/calculator/

%files calligra
%{_texdir}/texmf-dist/fonts/source/public/calligra/
%{_texdir}/texmf-dist/fonts/tfm/public/calligra/

%files calligra-doc
%{_texdir}/texmf-dist/doc/latex/calligra/

%files calligra-type1
%{_texdir}/texmf-dist/fonts/afm/public/calligra-type1/
%{_texdir}/texmf-dist/fonts/map/dvips/calligra-type1/
%{_texdir}/texmf-dist/fonts/type1/public/calligra-type1/

%files calligra-type1-doc
%{_texdir}/texmf-dist/doc/fonts/calligra-type1/

%files calrsfs
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/calrsfs/

%files calrsfs-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/calrsfs/

%files cals
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cals/

%files cals-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cals/

%files calxxxx-yyyy
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/calxxxx-yyyy/

%files calxxxx-yyyy-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/calxxxx-yyyy/

%files cancel
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/cancel/

%files cancel-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/cancel/

%files canoniclayout
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/canoniclayout/

%files canoniclayout-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/canoniclayout/

%files cantarell
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/cantarell/
%{_texdir}/texmf-dist/fonts/enc/dvips/cantarell/
%{_texdir}/texmf-dist/fonts/map/dvips/cantarell/
%{_texdir}/texmf-dist/fonts/tfm/public/cantarell/
%{_texdir}/texmf-dist/fonts/type1/public/cantarell/
%{_texdir}/texmf-dist/fonts/vf/public/cantarell/
%{_texdir}/texmf-dist/tex/latex/cantarell/

%files cantarell-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/cantarell/

%files captcont
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/captcont/

%files captcont-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/captcont/

%files captdef
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/captdef/

%files captdef-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/captdef/

%files caption
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/caption/

%files caption-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/caption/

%files capt-of
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/capt-of/

%files capt-of-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/capt-of/

%files carlisle
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/carlisle/

%files carlisle-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/carlisle/

%files carlito
%license ofl.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/carlito/
%{_texdir}/texmf-dist/fonts/map/dvips/carlito/
%{_texdir}/texmf-dist/fonts/tfm/typoland/carlito/
%{_texdir}/texmf-dist/fonts/truetype/typoland/carlito/
%{_texdir}/texmf-dist/fonts/type1/typoland/carlito/
%{_texdir}/texmf-dist/fonts/vf/typoland/carlito/
%{_texdir}/texmf-dist/tex/latex/carlito/

%files carlito-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/carlito/

%files carolmin-ps
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/carolmin-ps/
%{_texdir}/texmf-dist/fonts/map/dvips/carolmin-ps/
%{_texdir}/texmf-dist/fonts/type1/public/carolmin-ps/

%files carolmin-ps-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/carolmin-ps/

%files cascadilla
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/cascadilla/
%{_texdir}/texmf-dist/tex/latex/cascadilla/

%files cascadilla-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cascadilla/

%files cases
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/cases/

%files cases-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/cases/

%files casyl
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/casyl/
%{_texdir}/texmf-dist/fonts/tfm/public/casyl/
%{_texdir}/texmf-dist/tex/latex/casyl/

%files casyl-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/casyl/

%files catchfilebetweentags
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/catchfilebetweentags/

%files catchfilebetweentags-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/catchfilebetweentags/

%files catcodes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/catcodes/

%files catcodes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/catcodes/

%files catechis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/catechis/

%files catechis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/catechis/

%files catoptions
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/catoptions/

%files catoptions-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/catoptions/

%files cbcoptic
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/cbcoptic/
%{_texdir}/texmf-dist/fonts/tfm/public/cbcoptic/
%{_texdir}/texmf-dist/fonts/type1/public/cbcoptic/
%{_texdir}/texmf-dist/tex/latex/cbcoptic/

%files cbcoptic-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cbcoptic/

%files cbfonts-fd
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cbfonts-fd/

%files cbfonts-fd-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/cbfonts-fd/

%files cbfonts
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/cbfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/cbfonts/
%{_texdir}/texmf-dist/fonts/source/public/cbfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/cbfonts/
%{_texdir}/texmf-dist/fonts/type1/public/cbfonts/

%files cbfonts-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/cbfonts/

%files ccaption
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ccaption/

%files ccaption-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ccaption/

%files ccfonts
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ccfonts/

%files ccfonts-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ccfonts/

%files ccicons
%license lppl1.3.txt
%{_datadir}/fonts/ccicons
%{_texdir}/texmf-dist/fonts/enc/dvips/ccicons/
%{_texdir}/texmf-dist/fonts/map/dvips/ccicons/
%{_texdir}/texmf-dist/fonts/opentype/public/ccicons/
%{_texdir}/texmf-dist/fonts/tfm/public/ccicons/
%{_texdir}/texmf-dist/fonts/type1/public/ccicons/
%{_texdir}/texmf-dist/tex/latex/ccicons/

%files ccicons-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/ccicons/
%{_texdir}/texmf-dist/doc/latex/ccicons/

%files cclicenses
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cclicenses/

%files cclicenses-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cclicenses/

%files cc-pl
%license pd.txt
%{_texdir}/texmf-dist/fonts/map/dvips/cc-pl/
%{_texdir}/texmf-dist/fonts/source/public/cc-pl/
%{_texdir}/texmf-dist/fonts/tfm/public/cc-pl/
%{_texdir}/texmf-dist/fonts/type1/public/cc-pl/

%files cc-pl-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/cc-pl/

%files cd-cover
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/cd-cover/

%files cd-cover-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/cd-cover/

%files cdpbundl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cdpbundl/

%files cdpbundl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cdpbundl/

%files cd
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/cd/

%files cd-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/cd/

%files cellspace
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cellspace/

%files cellspace-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cellspace/

%files cell
%license pd.txt
%{_texdir}/texmf-dist/bibtex/bst/cell/
%{_texdir}/texmf-dist/tex/latex/cell/

%files cell-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/cell/

%files celtic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/celtic/

%files celtic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/celtic/

%files censor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/censor/

%files censor-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/censor/

%files cfr-initials
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cfr-initials/

%files cfr-initials-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cfr-initials/

%files cfr-lm
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/cfr-lm/
%{_texdir}/texmf-dist/fonts/map/dvips/cfr-lm/
%{_texdir}/texmf-dist/fonts/tfm/public/cfr-lm/
%{_texdir}/texmf-dist/fonts/vf/public/cfr-lm/
%{_texdir}/texmf-dist/tex/latex/cfr-lm/

%files cfr-lm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/cfr-lm/

%files changebar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/changebar/

%files changebar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/changebar/

%files changelayout
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/changelayout/

%files changelayout-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/changelayout/

%files changepage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/changepage/

%files changepage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/changepage/

%files changes
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/changes/
%{_texdir}/texmf-dist/tex/latex/changes/

%files changes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/changes/

%files chappg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chappg/

%files chappg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chappg/

%files chapterfolder
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chapterfolder/

%files chapterfolder-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chapterfolder/

%files charter
%{_texdir}/texmf-dist/fonts/afm/bitstrea/charter/
%{_texdir}/texmf-dist/fonts/tfm/bitstrea/charter/
%{_texdir}/texmf-dist/fonts/type1/bitstrea/charter/
%{_texdir}/texmf-dist/fonts/vf/bitstrea/charter/

%files charter-doc
%{_texdir}/texmf-dist/doc/fonts/charter/

%files chbibref
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chbibref/

%files chbibref-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chbibref/

%files chemarrow
%license pd.txt
%{_texdir}/texmf-dist/fonts/afm/public/chemarrow/
%{_texdir}/texmf-dist/fonts/map/dvips/chemarrow/
%{_texdir}/texmf-dist/fonts/source/public/chemarrow/
%{_texdir}/texmf-dist/fonts/tfm/public/chemarrow/
%{_texdir}/texmf-dist/fonts/type1/public/chemarrow/
%{_texdir}/texmf-dist/tex/latex/chemarrow/

%files chemarrow-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/chemarrow/

%files chembst
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/chembst/

%files chembst-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chembst/

%files chemcompounds
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chemcompounds/

%files chemcompounds-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chemcompounds/

%files chemcono
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chemcono/

%files chemcono-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chemcono/

%files chemexec
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chemexec/

%files chemexec-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chemexec/

%files chemfig
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/chemfig/

%files chemfig-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/chemfig/

%files chemformula
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chemformula/

%files chemformula-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chemformula/

%files chemgreek
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chemgreek/

%files chemgreek-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chemgreek/

%files chem-journal
%license gpl.txt
%{_texdir}/texmf-dist/bibtex/bst/chem-journal/

%files chemmacros
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chemmacros/

%files chemmacros-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chemmacros/

%files chemnum
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chemnum/

%files chemnum-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chemnum/

%files chemschemex
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/chemschemex/

%files chemschemex-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/chemschemex/

%files chemstyle
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chemstyle/

%files chemstyle-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chemstyle/

%files cherokee
%{_texdir}/texmf-dist/fonts/source/public/cherokee/
%{_texdir}/texmf-dist/fonts/tfm/public/cherokee/
%{_texdir}/texmf-dist/tex/latex/cherokee/

%files cherokee-doc
%{_texdir}/texmf-dist/doc/fonts/cherokee/

%files chessboard
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chessboard/

%files chessboard-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chessboard/

%files chessfss
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/chessfss/
%{_texdir}/texmf-dist/tex/latex/chessfss/

%files chessfss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chessfss/

%files chess-problem-diagrams
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/chess-problem-diagrams/

%files chess-problem-diagrams-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/chess-problem-diagrams/

%files chess
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/chess/
%{_texdir}/texmf-dist/fonts/tfm/public/chess/
%{_texdir}/texmf-dist/tex/latex/chess/

%files chess-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/chess/

%files chet
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/chet/
%{_texdir}/texmf-dist/tex/latex/chet/

%files chet-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chet/

%files chextras
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chextras/

%files chextras-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chextras/

%files chicago-annote
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/chicago-annote/

%files chicago-annote-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/chicago-annote/

%files chicago
%{_texdir}/texmf-dist/bibtex/bst/chicago/
%{_texdir}/texmf-dist/tex/latex/chicago/

%files chickenize
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/luatex/chickenize/

%files chickenize-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/luatex/chickenize/

%files chkfloat
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chkfloat/

%files chkfloat-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chkfloat/

%files chletter
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chletter/

%files chletter-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chletter/

%files chngcntr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chngcntr/

%files chngcntr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/chngcntr/

%files chronology
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chronology/

%files chronology-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/chronology/

%files chronosys
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/chronosys/

%files chronosys-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/chronosys/

%files chscite
%license lppl1.2.txt
%{_texdir}/texmf-dist/bibtex/bst/chscite/
%{_texdir}/texmf-dist/tex/latex/chscite/

%files chscite-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/chscite/

%files cinzel
%license ofl.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/cinzel/
%{_texdir}/texmf-dist/fonts/map/dvips/cinzel/
%{_texdir}/texmf-dist/fonts/tfm/ndiscovered/cinzel/
%{_texdir}/texmf-dist/fonts/truetype/ndiscovered/cinzel/
%{_texdir}/texmf-dist/fonts/type1/ndiscovered/cinzel/
%{_texdir}/texmf-dist/fonts/vf/ndiscovered/cinzel/
%{_texdir}/texmf-dist/tex/latex/cinzel/

%files cinzel-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/cinzel/

%files circ
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/circ/
%{_texdir}/texmf-dist/fonts/tfm/public/circ/
%{_texdir}/texmf-dist/tex/latex/circ/

%files circ-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/circ/

%files circuitikz
%license lppl1.txt
%{_texdir}/texmf-dist/tex/context/third/circuitikz/
%{_texdir}/texmf-dist/tex/generic/circuitikz/
%{_texdir}/texmf-dist/tex/latex/circuitikz/

%files circuitikz-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/context/third/circuitikz/
%{_texdir}/texmf-dist/doc/generic/circuitikz/
%{_texdir}/texmf-dist/doc/latex/circuitikz/

%files citeall
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/citeall/

%files citeall-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/citeall/

%files cite
%{_texdir}/texmf-dist/tex/latex/cite/

%files cite-doc
%{_texdir}/texmf-dist/doc/latex/cite/

%files cjhebrew
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/cjhebrew/
%{_texdir}/texmf-dist/fonts/enc/dvips/cjhebrew/
%{_texdir}/texmf-dist/fonts/map/dvips/cjhebrew/
%{_texdir}/texmf-dist/fonts/tfm/public/cjhebrew/
%{_texdir}/texmf-dist/fonts/type1/public/cjhebrew/
%{_texdir}/texmf-dist/fonts/vf/public/cjhebrew/
%{_texdir}/texmf-dist/tex/latex/cjhebrew/

%files cjhebrew-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cjhebrew/

%files cjk-ko
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/cjk-ko/

%files cjk-ko-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/cjk-ko/

%files cjkpunct
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cjkpunct/

%files cjkpunct-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cjkpunct/

%files cjk
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/cjk/

%files cjk-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/cjk/

%files cns
%{_texdir}/texmf-dist/fonts/misc/cns/
%{_texdir}/texmf-dist/fonts/tfm/cns/

%files cns-doc
%{_texdir}/texmf-dist/doc/fonts/cns/

%files garuda-c90
%{_texdir}/texmf-dist/dvips/garuda-c90/
%{_texdir}/texmf-dist/fonts/map/dvips/garuda-c90/
%{_texdir}/texmf-dist/fonts/tfm/public/garuda-c90/

%files fonts-tlwg
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/enc/dvips/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/map/dvips/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/tfm/public/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/type1/public/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/vf/public/fonts-tlwg/
%{_texdir}/texmf-dist/tex/latex/fonts-tlwg/

%files fonts-tlwg-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/fonts-tlwg/

%files norasi-c90
%{_texdir}/texmf-dist/dvips/norasi-c90/
%{_texdir}/texmf-dist/fonts/map/dvips/norasi-c90/
%{_texdir}/texmf-dist/fonts/tfm/public/norasi-c90/

%files uhc
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/uhc/
%{_texdir}/texmf-dist/fonts/afm/uhc/
%{_texdir}/texmf-dist/fonts/map/dvips/uhc/
%{_texdir}/texmf-dist/fonts/tfm/uhc/
%{_texdir}/texmf-dist/fonts/type1/uhc/
%{_texdir}/texmf-dist/fonts/vf/uhc/

%files uhc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/uhc/

%files wadalab
%{_texdir}/texmf-dist/fonts/afm/wadalab/
%{_texdir}/texmf-dist/fonts/map/dvips/wadalab/
%{_texdir}/texmf-dist/fonts/tfm/wadalab/
%{_texdir}/texmf-dist/fonts/type1/wadalab/
%{_texdir}/texmf-dist/fonts/vf/wadalab/

%files wadalab-doc
%{_texdir}/texmf-dist/doc/fonts/wadalab/

%files classics
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/classics/

%files classics-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/classics/

%files classicthesis
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/classicthesis/

%files classicthesis-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/classicthesis/

%files classpack
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/classpack/

%files classpack-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/support/classpack/

%files cleanthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cleanthesis/

%files cleanthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cleanthesis/

%files clearsans
%license apache2.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/clearsans/
%{_texdir}/texmf-dist/fonts/map/dvips/clearsans/
%{_texdir}/texmf-dist/fonts/tfm/intel/clearsans/
%{_texdir}/texmf-dist/fonts/truetype/intel/clearsans/
%{_texdir}/texmf-dist/fonts/type1/intel/clearsans/
%{_texdir}/texmf-dist/fonts/vf/intel/clearsans/
%{_texdir}/texmf-dist/tex/latex/clearsans/

%files clearsans-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/fonts/clearsans/

%files clefval
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/clefval/

%files clefval-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/clefval/

%files cleveref
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cleveref/

%files cleveref-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cleveref/

%files clipboard
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/clipboard/

%files clipboard-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/clipboard/

%files clock
%{_texdir}/texmf-dist/fonts/source/public/clock/
%{_texdir}/texmf-dist/fonts/tfm/public/clock/
%{_texdir}/texmf-dist/tex/latex/clock/

%files clock-doc
%{_texdir}/texmf-dist/doc/latex/clock/

%files cloze
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/cloze/
%{_texdir}/texmf-dist/tex/lualatex/cloze/

%files cloze-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/cloze/

%files clrscode3e
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/clrscode3e/

%files clrscode3e-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/clrscode3e/

%files clrscode
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/clrscode/

%files clrscode-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/clrscode/

%files cmap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cmap/

%files cmap-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cmap/

%files cmarrows
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/cmarrows/

%files cmarrows-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/cmarrows/

%files cmbright
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/cmbright/
%{_texdir}/texmf-dist/fonts/tfm/public/cmbright/
%{_texdir}/texmf-dist/tex/latex/cmbright/

%files cmbright-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/cmbright/
%{_texdir}/texmf-dist/doc/latex/cmbright/

%files cmcyr
%license pd.txt
%{_texdir}/texmf-dist/fonts/map/dvips/cmcyr/
%{_texdir}/texmf-dist/fonts/source/public/cmcyr/
%{_texdir}/texmf-dist/fonts/tfm/public/cmcyr/
%{_texdir}/texmf-dist/fonts/type1/public/cmcyr/
%{_texdir}/texmf-dist/fonts/vf/public/cmcyr/

%files cmcyr-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/cmcyr/

%files cmdstring
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cmdstring/

%files cmdstring-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cmdstring/

%files cmextra
%license knuth.txt
%{_texdir}/texmf-dist/fonts/source/public/cmextra/
%{_texdir}/texmf-dist/fonts/tfm/public/cmextra/

%files cm-lgc
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/enc/dvips/cm-lgc/
%{_texdir}/texmf-dist/fonts/map/dvips/cm-lgc/
%{_texdir}/texmf-dist/fonts/ofm/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/ovf/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/tfm/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/type1/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/vf/public/cm-lgc/
%{_texdir}/texmf-dist/tex/latex/cm-lgc/

%files cm-lgc-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/cm-lgc/

%files cmll
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/cmll/
%{_texdir}/texmf-dist/fonts/source/public/cmll/
%{_texdir}/texmf-dist/fonts/tfm/public/cmll/
%{_texdir}/texmf-dist/fonts/type1/public/cmll/
%{_texdir}/texmf-dist/tex/latex/cmll/

%files cmll-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/cmll/

%files cmpica
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/cmpica/
%{_texdir}/texmf-dist/fonts/tfm/public/cmpica/

%files cmpica-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/cmpica/

%files cmpj
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/cmpj/
%{_texdir}/texmf-dist/tex/latex/cmpj/

%files cmpj-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cmpj/

%files cmsd
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cmsd/

%files cmsd-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cmsd/

%files cm-super
%license gpl.txt
%{_texdir}/texmf-dist/dvips/cm-super/
%{_texdir}/texmf-dist/fonts/afm/public/cm-super/
%{_texdir}/texmf-dist/fonts/enc/dvips/cm-super/
%{_texdir}/texmf-dist/fonts/map/dvips/cm-super/
%{_texdir}/texmf-dist/fonts/map/vtex/cm-super/
%{_texdir}/texmf-dist/fonts/type1/public/cm-super/
%{_texdir}/texmf-dist/tex/latex/cm-super/

%files cm-super-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/cm-super/

%files cmtiup
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/source/public/cmtiup/
%{_texdir}/texmf-dist/fonts/tfm/public/cmtiup/
%{_texdir}/texmf-dist/fonts/vf/public/cmtiup/
%{_texdir}/texmf-dist/tex/latex/cmtiup/

%files cmtiup-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cmtiup/

%files cm
%license knuth.txt
%{_texdir}/texmf-dist/fonts/map/dvips/cm/
%{_texdir}/texmf-dist/fonts/pk/ljfour/public/cm/
%{_texdir}/texmf-dist/fonts/source/public/cm/
%{_texdir}/texmf-dist/fonts/tfm/public/cm/

%files cm-doc
%license knuth.txt
%{_texdir}/texmf-dist/doc/fonts/cm/

%files cm-unicode
%{_datadir}/fonts/cm-unicode
%{_texdir}/texmf-dist/fonts/afm/public/cm-unicode/
%{_texdir}/texmf-dist/fonts/enc/dvips/cm-unicode/
%{_texdir}/texmf-dist/fonts/map/dvips/cm-unicode/
%{_texdir}/texmf-dist/fonts/opentype/public/cm-unicode/
%{_texdir}/texmf-dist/fonts/type1/public/cm-unicode/

%files cm-unicode-doc
%{_texdir}/texmf-dist/doc/fonts/cm-unicode/

%files cnbwp
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/cnbwp/
%{_texdir}/texmf-dist/makeindex/cnbwp/
%{_texdir}/texmf-dist/tex/latex/cnbwp/

%files cnbwp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cnbwp/

%files cnltx
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bib/cnltx/
%{_texdir}/texmf-dist/makeindex/cnltx/
%{_texdir}/texmf-dist/tex/latex/cnltx/

%files cnltx-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cnltx/

%files cntformats
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cntformats/

%files cntformats-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cntformats/

%files cntperchap
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cntperchap/

%files cntperchap-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cntperchap/

%files codedoc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/codedoc/

%files codedoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/codedoc/

%files codepage
%{_texdir}/texmf-dist/tex/latex/codepage/

%files codepage-doc
%{_texdir}/texmf-dist/doc/latex/codepage/

%files codesection
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/codesection/

%files codesection-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/codesection/

%files codicefiscaleitaliano
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/codicefiscaleitaliano/

%files codicefiscaleitaliano-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/codicefiscaleitaliano/

%files collcell
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/collcell/

%files collcell-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/collcell/

%files collectbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/collectbox/

%files collectbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/collectbox/

%files collection-basic

%files enctex
%license gpl.txt
%{_texdir}/texmf-dist/tex/generic/enctex/

%files enctex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/enctex/

%files etex
%license knuth.txt
%{_mandir}/man1/etex.1*
%{_texdir}/texmf-dist/fonts/source/public/etex/
%{_texdir}/texmf-dist/fonts/tfm/public/etex/
%{_texdir}/texmf-dist/tex/plain/etex/

%files etex-doc
%license knuth.txt
%{_texdir}/texmf-dist/doc/etex/base/

%files etex-pkg
%{_texdir}/texmf-dist/tex/latex/etex-pkg/

%files etex-pkg-doc
%{_texdir}/texmf-dist/doc/latex/etex-pkg/

%files hyph-utf8
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-il2.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-il3.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-l7x.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-lmc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-lth.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-qx.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-t2a.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/conversions/conv-utf8-t8m.tex
%{_texdir}/texmf-dist/tex/luatex/hyph-utf8/etex.src
%{_texdir}/texmf-dist/tex/luatex/hyph-utf8/luatex-hyphen.lua

%files hyph-utf8-doc
%{_texdir}/texmf-dist/doc/generic/hyph-utf8/
%{_texdir}/texmf-dist/doc/luatex/hyph-utf8/

%files hyphen-base
%{_texdir}/texmf-dist/tex/generic/hyphen/dumyhyph.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/hyphen.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/hypht1.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/zerohyph.tex
%config(noreplace) %{_sysconfdir}/texlive/tex/generic/config/language.dat
%{_texdir}/texmf-dist/tex/generic/config/language.dat
%{_texdir}/texmf-dist/tex/generic/config/language.dat.lua
%{_texdir}/texmf-dist/tex/generic/config/language.def
%{_texdir}/texmf-dist/tex/generic/config/language.us
%{_texdir}/texmf-dist/tex/generic/config/language.us.def
%{_texdir}/texmf-dist/tex/generic/config/language.us.lua

%files ifluatex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/oberdiek/ifluatex.sty

%files ifluatex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/oberdiek/ifluatex.pdf
%{_texdir}/texmf-dist/doc/latex/oberdiek/test/ifluatex-test1.tex
%{_texdir}/texmf-dist/doc/latex/oberdiek/test/ifluatex-test2.tex
%{_texdir}/texmf-dist/doc/latex/oberdiek/test/ifluatex-test3.tex

%files ifxetex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/ifxetex/

%files ifxetex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/ifxetex/

%files knuth-lib
%license knuth.txt
%{_texdir}/texmf-dist/fonts/source/public/knuth-lib/
%{_texdir}/texmf-dist/fonts/tfm/public/knuth-lib/
%{_texdir}/texmf-dist/tex/generic/knuth-lib/
%{_texdir}/texmf-dist/tex/plain/knuth-lib/

%files knuth-local
%license knuth.txt
%{_texdir}/texmf-dist/fonts/source/public/knuth-local/
%{_texdir}/texmf-dist/fonts/tfm/public/knuth-local/
%{_texdir}/texmf-dist/mft/knuth-local/
%{_texdir}/texmf-dist/tex/plain/knuth-local/

%files lua-alt-getopt
%{_texdir}/texmf-dist/scripts/lua-alt-getopt/

%files lua-alt-getopt-doc
%{_texdir}/texmf-dist/doc/support/lua-alt-getopt/

%files mflogo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mflogo/
%{_texdir}/texmf-dist/fonts/source/public/mflogo/
%{_texdir}/texmf-dist/fonts/tfm/public/mflogo/

%files mflogo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mflogo/

%files texlive-common-doc
%{_texdir}/texmf-dist/doc/texlive/index.html
%{_texdir}/texmf-dist/doc/texlive/texlive-common/examples/ex5.tex
%{_texdir}/texmf-dist/doc/texlive/texlive-common/examples/ex6.tex
%{_texdir}/texmf-dist/doc/texlive/texlive-common/examples/ex6a.tex
%{_texdir}/texmf-dist/doc/texlive/texlive-common/examples/ex6b.tex
%{_texdir}/texmf-dist/doc/texlive/texlive-common/examples/ex6c.tex
%{_texdir}/texmf-dist/doc/texlive/texlive-common/install-lnx-main.png
%{_texdir}/texmf-dist/doc/texlive/texlive-common/nsis_installer.png
%{_texdir}/texmf-dist/doc/texlive/texlive-common/psview.png
%{_texdir}/texmf-dist/doc/texlive/texlive-common/stdcoll.png
%{_texdir}/texmf-dist/doc/texlive/texlive-common/tray-menu.png
%{_texdir}/texmf-dist/doc/texlive/texlive-common/wizard-w32.png

%files texlive-msg-translations
%{_texdir}/tlpkg/translations/

%files collection-bibtexextra

%files collection-latex

%files colortbl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/colortbl/

%files colortbl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/colortbl/

%files fancyhdr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fancyhdr/

%files fancyhdr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fancyhdr/

%files fix2col
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fix2col/

%files fix2col-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fix2col/

%files geometry
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/geometry/

%files geometry-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/geometry/

%files graphics
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/graphics/

%files graphics-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/graphics/

%files hyperref
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hyperref/

%files hyperref-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hyperref/

%files ltxmisc
%license collection.txt
%{_texdir}/texmf-dist/tex/latex/ltxmisc/

%files mfnfss
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mfnfss/

%files mfnfss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mfnfss/

%files natbib
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/natbib/
%{_texdir}/texmf-dist/tex/latex/natbib/

%files natbib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/natbib/

%files pslatex
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/pslatex/
%{_texdir}/texmf-dist/fonts/tfm/public/pslatex/
%{_texdir}/texmf-dist/fonts/vf/public/pslatex/
%{_texdir}/texmf-dist/tex/latex/pslatex/

%files psnfss
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/psnfss/
%{_texdir}/texmf-dist/tex/latex/psnfss/

%files psnfss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/psnfss/

%files pspicture
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pspicture/
%{_texdir}/texmf-dist/tex/latex/pspicture/

%files pspicture-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pspicture/

%files tools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tools/

%files tools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tools/

%files url
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/url/

%files url-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/url/

%files collref
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/collref/

%files collref-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/collref/

%files compactbib
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/compactbib/

%files custom-bib
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/custom-bib/

%files custom-bib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/custom-bib/

%files din1505
%{_texdir}/texmf-dist/bibtex/bst/din1505/

%files din1505-doc
%{_texdir}/texmf-dist/doc/latex/din1505/

%files dk-bib
%{_texdir}/texmf-dist/bibtex/bib/dk-bib/
%{_texdir}/texmf-dist/bibtex/bst/dk-bib/
%{_texdir}/texmf-dist/bibtex/csf/dk-bib/
%{_texdir}/texmf-dist/tex/latex/dk-bib/

%files dk-bib-doc
%{_texdir}/texmf-dist/doc/latex/dk-bib/

%files doipubmed
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/doipubmed/

%files doipubmed-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/doipubmed/

%files economic
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/economic/
%{_texdir}/texmf-dist/tex/latex/economic/

%files economic-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/economic/

%files fbs
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/fbs/

%files figbib
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/figbib/
%{_texdir}/texmf-dist/tex/latex/figbib/

%files figbib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/figbib/

%files footbib
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/footbib/

%files footbib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/footbib/

%files francais-bst
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/francais-bst/
%{_texdir}/texmf-dist/tex/latex/francais-bst/

%files francais-bst-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/bibtex/francais-bst/

%files geschichtsfrkl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/geschichtsfrkl/

%files geschichtsfrkl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/geschichtsfrkl/

%files harvard
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/harvard/
%{_texdir}/texmf-dist/bibtex/bst/harvard/
%{_texdir}/texmf-dist/tex/latex/harvard/

%files harvard-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/harvard/

%files harvmac
%{_texdir}/texmf-dist/tex/plain/harvmac/

%files harvmac-doc
%{_texdir}/texmf-dist/doc/plain/harvmac/

%files historische-zeitschrift
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/historische-zeitschrift/

%files historische-zeitschrift-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/historische-zeitschrift/

%files ijqc
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/ijqc/

%files ijqc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/ijqc/

%files inlinebib
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/inlinebib/
%{_texdir}/texmf-dist/tex/latex/inlinebib/

%files inlinebib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/inlinebib/

%files iopart-num
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/iopart-num/

%files iopart-num-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/iopart-num/

%files jneurosci
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/jneurosci/
%{_texdir}/texmf-dist/tex/latex/jneurosci/

%files jneurosci-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/jneurosci/

%files jurabib
%license gpl.txt
%{_texdir}/texmf-dist/bibtex/bib/jurabib/
%{_texdir}/texmf-dist/bibtex/bst/jurabib/
%{_texdir}/texmf-dist/tex/latex/jurabib/

%files jurabib-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/jurabib/

%files ksfh_nat
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/ksfh_nat/

%files logreq
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/logreq/

%files logreq-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/logreq/

%files margbib
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/margbib/

%files margbib-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/margbib/

%files multibib
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/multibib/
%{_texdir}/texmf-dist/makeindex/multibib/
%{_texdir}/texmf-dist/tex/latex/multibib/

%files multibib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/multibib/

%files munich
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/munich/

%files munich-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/munich/

%files nar
%license other-free.txt
%{_texdir}/texmf-dist/bibtex/bst/nar/

%files nmbib
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/nmbib/
%{_texdir}/texmf-dist/tex/latex/nmbib/

%files nmbib-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nmbib/

%files notes2bib
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/notes2bib/

%files notes2bib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/notes2bib/

%files oscola
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/oscola/
%{_texdir}/texmf-dist/tex/latex/oscola/

%files oscola-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/oscola/

%files perception
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/perception/

%files perception-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/perception/

%files pnas2009
%{_texdir}/texmf-dist/bibtex/bst/pnas2009/

%files rsc
%license gpl.txt
%{_texdir}/texmf-dist/bibtex/bst/rsc/
%{_texdir}/texmf-dist/tex/latex/rsc/

%files rsc-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/rsc/

%files showtags
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/showtags/

%files showtags-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/showtags/

%files sort-by-letters
%license other-free.txt
%{_texdir}/texmf-dist/bibtex/bst/sort-by-letters/

%files sort-by-letters-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/bibtex/sort-by-letters/

%files splitbib
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/splitbib/

%files splitbib-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/splitbib/

%files turabian-formatting
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/turabian-formatting/

%files turabian-formatting-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/turabian-formatting/

%files uni-wtal-ger
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uni-wtal-ger/

%files uni-wtal-ger-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uni-wtal-ger/

%files uni-wtal-lin
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uni-wtal-lin/

%files uni-wtal-lin-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uni-wtal-lin/

%files usebib
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/usebib/

%files usebib-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/usebib/

%files vak
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/vak/

%files vak-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/vak/

%files xcite
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xcite/

%files xcite-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xcite/

%files collection-binextra

%files ctan_chk-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/support/ctan_chk/

%files hook-pre-commit-pkg-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/support/hook-pre-commit-pkg/

%files hyphenex
%{_texdir}/texmf-dist/tex/generic/hyphenex/

%files collection-context

%files xetexconfig
%{_texdir}/texmf-dist/tex/xelatex/xetexconfig/

%files lm
%license gfsl.txt
%{_datadir}/fonts/lm
%{_texdir}/texmf-dist/fonts/afm/public/lm/
%{_texdir}/texmf-dist/fonts/enc/dvips/lm/
%{_texdir}/texmf-dist/fonts/map/dvipdfm/lm/
%{_texdir}/texmf-dist/fonts/map/dvips/lm/
%{_texdir}/texmf-dist/fonts/opentype/public/lm/
%{_texdir}/texmf-dist/fonts/tfm/public/lm/
%{_texdir}/texmf-dist/fonts/type1/public/lm/
%{_texdir}/texmf-dist/tex/latex/lm/

%files lm-doc
%license gfsl.txt
%{_texdir}/texmf-dist/doc/fonts/lm/

%files lm-math
%license gfl.txt
%{_datadir}/fonts/lm-math
%{_texdir}/texmf-dist/fonts/opentype/public/lm-math/

%files lm-math-doc
%license gfl.txt
%{_texdir}/texmf-dist/doc/fonts/lm-math/

%files manfnt-font
%{_texdir}/texmf-dist/fonts/afm/hoekwater/manfnt-font/
%{_texdir}/texmf-dist/fonts/map/dvips/manfnt-font/
%{_texdir}/texmf-dist/fonts/type1/hoekwater/manfnt-font/

%files mflogo-font
%license knuth.txt
%{_texdir}/texmf-dist/fonts/afm/hoekwater/mflogo-font/
%{_texdir}/texmf-dist/fonts/map/dvips/mflogo-font/
%{_texdir}/texmf-dist/fonts/type1/hoekwater/mflogo-font/

%files mflogo-font-doc
%license knuth.txt
%{_texdir}/texmf-dist/doc/fonts/mflogo-font/

%files stmaryrd
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/stmaryrd/
%{_texdir}/texmf-dist/fonts/map/dvips/stmaryrd/
%{_texdir}/texmf-dist/fonts/source/public/stmaryrd/
%{_texdir}/texmf-dist/fonts/tfm/public/stmaryrd/
%{_texdir}/texmf-dist/fonts/type1/public/stmaryrd/
%{_texdir}/texmf-dist/tex/latex/stmaryrd/

%files stmaryrd-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/stmaryrd/

%files jmn
%{_texdir}/texmf-dist/fonts/afm/jmn/
%{_texdir}/texmf-dist/fonts/enc/dvips/jmn/
%{_texdir}/texmf-dist/fonts/map/dvips/jmn/
%{_texdir}/texmf-dist/fonts/tfm/jmn/
%{_texdir}/texmf-dist/fonts/type1/jmn/

%files context-account
%license pd.txt
%{_texdir}/texmf-dist/tex/context/interface/third/t-account.xml
%{_texdir}/texmf-dist/tex/context/third/account/

%files context-account-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/context/third/account/

%files context-algorithmic
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/algorithmic/

%files context-animation
%license gpl3.txt
%{_texdir}/texmf-dist/tex/context/interface/third/t-animation.xml
%{_texdir}/texmf-dist/tex/context/third/animation/

%files context-animation-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/context/third/animation/

%files context-annotation
%{_texdir}/texmf-dist/tex/context/interface/third/t-annotation.xml
%{_texdir}/texmf-dist/tex/context/third/annotation/

%files context-annotation-doc
%{_texdir}/texmf-dist/doc/context/third/annotation/

%files context-bnf
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/bnf/

%files context-bnf-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/bnf/

%files context-chromato
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/chromato/

%files context-chromato-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/chromato/

%files context-construction-plan
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/construction-plan/

%files context-construction-plan-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/construction-plan/

%files context-cyrillicnumbers
%license bsd.txt
%{_texdir}/texmf-dist/tex/context/interface/third/t-cyrillicnumbers.xml
%{_texdir}/texmf-dist/tex/context/third/cyrillicnumbers/

%files context-cyrillicnumbers-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/context/third/cyrillicnumbers/

%files context-degrade
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/degrade/

%files context-degrade-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/degrade/

%files context-fancybreak
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/interface/third/t-fancybreak.xml
%{_texdir}/texmf-dist/tex/context/third/fancybreak/

%files context-fancybreak-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/fancybreak/

%files context-filter
%{_texdir}/texmf-dist/tex/context/third/filter/

%files context-filter-doc
%{_texdir}/texmf-dist/doc/context/third/filter/

%files context-french
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/french/

%files context-french-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/french/

%files context-fullpage
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/interface/third/t-fullpage.xml
%{_texdir}/texmf-dist/tex/context/third/fullpage/

%files context-fullpage-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/fullpage/

%files skaknew
%license lppl1.txt
%{_datadir}/fonts/skaknew
%{_texdir}/texmf-dist/fonts/afm/public/skaknew/
%{_texdir}/texmf-dist/fonts/map/dvips/skaknew/
%{_texdir}/texmf-dist/fonts/opentype/public/skaknew/
%{_texdir}/texmf-dist/fonts/tfm/public/skaknew/
%{_texdir}/texmf-dist/fonts/type1/public/skaknew/

%files skaknew-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/skaknew/

%files context-gantt
%license pd.txt
%{_texdir}/texmf-dist/tex/context/third/gantt/

%files context-gantt-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/context/third/gantt/

%files hatching
%license pd.txt
%{_texdir}/texmf-dist/metapost/hatching/

%files hatching-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/metapost/hatching/

%files context-gnuplot
%license gpl.txt
%{_texdir}/texmf-dist/metapost/context/third/gnuplot/mp-gnuplot.mp
%{_texdir}/texmf-dist/tex/context/third/gnuplot/

%files context-gnuplot-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/gnuplot/

%files context-letter
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/interface/third/t-letter.xml
%{_texdir}/texmf-dist/tex/context/interface/third/t-memo.xml
%{_texdir}/texmf-dist/tex/context/third/letter/

%files context-letter-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/letter/

%files context-lettrine
%license pd.txt
%{_texdir}/texmf-dist/tex/context/interface/third/lettrine.xml
%{_texdir}/texmf-dist/tex/context/third/lettrine/

%files context-lettrine-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/context/third/lettrine/

%files context-mathsets
%{_texdir}/texmf-dist/tex/context/interface/third/t-mathsets.xml
%{_texdir}/texmf-dist/tex/context/third/mathsets/

%files context-mathsets-doc
%{_texdir}/texmf-dist/doc/context/third/mathsets/

%files context-notes-zh-cn
%license gpl.txt

%files context-notes-zh-cn-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/context-notes-zh-cn/

%files context-rst
%{_texdir}/texmf-dist/tex/context/interface/third/t-rst.xml
%{_texdir}/texmf-dist/scripts/context/lua/third/rst/
%{_texdir}/texmf-dist/tex/context/third/rst/

%files context-rst-doc
%{_texdir}/texmf-dist/doc/context/third/rst/

%files context-ruby
%license pd.txt
%{_texdir}/texmf-dist/tex/context/third/ruby/

%files context-ruby-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/context/third/ruby/

%files context-simplefonts
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/simplefonts/

%files context-simplefonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/simplefonts/

%files context-simpleslides
%{_texdir}/texmf-dist/tex/context/interface/third/t-simpleslides.xml
%{_texdir}/texmf-dist/scripts/context/lua/third/simpleslides/
%{_texdir}/texmf-dist/tex/context/third/simpleslides/

%files context-simpleslides-doc
%{_texdir}/texmf-dist/doc/context/third/simpleslides/

%files context-title
%{_texdir}/texmf-dist/tex/context/interface/third/t-title.xml
%{_texdir}/texmf-dist/tex/context/third/title/

%files context-title-doc
%{_texdir}/texmf-dist/doc/context/third/title/

%files context-transliterator
%license bsd.txt
%{_texdir}/texmf-dist/tex/context/interface/third/t-transliterator.xml
%{_texdir}/texmf-dist/tex/context/third/transliterator/

%files context-transliterator-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/context/third/transliterator/

%files context-typearea
%license gpl.txt
%{_texdir}/texmf-dist/tex/context/third/typearea/

%files context-typearea-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/context/third/typearea/

%files context-typescripts
%license gpl2.txt
%{_texdir}/texmf-dist/tex/context/third/typescripts/

%files context-typescripts-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/context/third/typescripts/

%files context-vim
%{_texdir}/texmf-dist/tex/context/third/vim/

%files context-vim-doc
%{_texdir}/texmf-dist/doc/context/third/vim/

%files context-visualcounter
%{_texdir}/texmf-dist/tex/context/third/visualcounter/

%files context-visualcounter-doc
%{_texdir}/texmf-dist/doc/context/third/visualcounter/

%files collection-fontsextra

%files comfortaa
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/comfortaa/
%{_texdir}/texmf-dist/fonts/enc/dvips/comfortaa/
%{_texdir}/texmf-dist/fonts/map/dvips/comfortaa/
%{_texdir}/texmf-dist/fonts/tfm/public/comfortaa/
%{_texdir}/texmf-dist/fonts/truetype/public/comfortaa/
%{_texdir}/texmf-dist/fonts/type1/public/comfortaa/
%{_texdir}/texmf-dist/fonts/vf/public/comfortaa/
%{_texdir}/texmf-dist/tex/latex/comfortaa/

%files comfortaa-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/comfortaa/

%files comicneue
%license ofl.txt
%{_datadir}/fonts/comicneue
%{_texdir}/texmf-dist/fonts/enc/dvips/comicneue/
%{_texdir}/texmf-dist/fonts/map/dvips/comicneue/
%{_texdir}/texmf-dist/fonts/opentype/rozynski/comicneue/
%{_texdir}/texmf-dist/fonts/tfm/rozynski/comicneue/
%{_texdir}/texmf-dist/fonts/type1/rozynski/comicneue/
%{_texdir}/texmf-dist/fonts/vf/rozynski/comicneue/
%{_texdir}/texmf-dist/tex/latex/comicneue/

%files comicneue-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/latex/comicneue/

%files concmath-fonts
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/concmath-fonts/
%{_texdir}/texmf-dist/fonts/tfm/public/concmath-fonts/

%files concmath-fonts-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/concmath-fonts/

%files cookingsymbols
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/cookingsymbols/
%{_texdir}/texmf-dist/fonts/tfm/public/cookingsymbols/
%{_texdir}/texmf-dist/tex/latex/cookingsymbols/

%files cookingsymbols-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cookingsymbols/

%files countriesofeurope
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/countriesofeurope/
%{_texdir}/texmf-dist/fonts/afm/public/countriesofeurope/
%{_texdir}/texmf-dist/fonts/enc/dvips/countriesofeurope/
%{_texdir}/texmf-dist/fonts/map/dvips/countriesofeurope/
%{_texdir}/texmf-dist/fonts/tfm/public/countriesofeurope/
%{_texdir}/texmf-dist/fonts/type1/public/countriesofeurope/
%{_texdir}/texmf-dist/tex/latex/countriesofeurope/

%files countriesofeurope-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/countriesofeurope/

%files courier-scaled
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/courier-scaled/

%files courier-scaled-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/fonts/courier-scaled/

%files cryst
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/cryst/
%{_texdir}/texmf-dist/fonts/source/public/cryst/
%{_texdir}/texmf-dist/fonts/tfm/public/cryst/
%{_texdir}/texmf-dist/fonts/type1/public/cryst/

%files cryst-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cryst/

%files cyklop
%license gfl.txt
%{_datadir}/fonts/cyklop
%{_texdir}/texmf-dist/fonts/afm/public/cyklop/
%{_texdir}/texmf-dist/fonts/enc/dvips/cyklop/
%{_texdir}/texmf-dist/fonts/map/dvips/cyklop/
%{_texdir}/texmf-dist/fonts/opentype/public/cyklop/
%{_texdir}/texmf-dist/fonts/tfm/public/cyklop/
%{_texdir}/texmf-dist/fonts/type1/public/cyklop/
%{_texdir}/texmf-dist/tex/latex/cyklop/

%files cyklop-doc
%license gfl.txt
%{_texdir}/texmf-dist/doc/fonts/cyklop/

%files dancers
%{_texdir}/texmf-dist/fonts/source/public/dancers/
%{_texdir}/texmf-dist/fonts/tfm/public/dancers/

%files dantelogo
%license lppl1.txt
%{_datadir}/fonts/dantelogo
%{_texdir}/texmf-dist/fonts/enc/dvips/dantelogo/
%{_texdir}/texmf-dist/fonts/map/dvips/dantelogo/
%{_texdir}/texmf-dist/fonts/opentype/public/dantelogo/
%{_texdir}/texmf-dist/fonts/tfm/public/dantelogo/
%{_texdir}/texmf-dist/fonts/type1/public/dantelogo/
%{_texdir}/texmf-dist/fonts/vf/public/dantelogo/
%{_texdir}/texmf-dist/tex/latex/dantelogo/

%files dantelogo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/dantelogo/

%files dejavu
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/dejavu/
%{_texdir}/texmf-dist/fonts/enc/dvips/dejavu/
%{_texdir}/texmf-dist/fonts/map/dvips/dejavu/
%{_texdir}/texmf-dist/fonts/tfm/public/dejavu/
%{_texdir}/texmf-dist/fonts/truetype/public/dejavu/
%{_texdir}/texmf-dist/fonts/type1/public/dejavu/
%{_texdir}/texmf-dist/fonts/vf/public/dejavu/
%{_texdir}/texmf-dist/tex/latex/dejavu/

%files dejavu-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/dejavu/

%files dice
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/dice/
%{_texdir}/texmf-dist/fonts/tfm/public/dice/

%files dice-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/dice/

%files dictsym
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/dictsym/
%{_texdir}/texmf-dist/fonts/map/dvips/dictsym/
%{_texdir}/texmf-dist/fonts/tfm/public/dictsym/
%{_texdir}/texmf-dist/fonts/type1/public/dictsym/
%{_texdir}/texmf-dist/tex/latex/dictsym/

%files dictsym-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/dictsym/

%files dingbat
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/dingbat/
%{_texdir}/texmf-dist/fonts/tfm/public/dingbat/
%{_texdir}/texmf-dist/tex/latex/dingbat/

%files dingbat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/dingbat/

%files doublestroke
%{_texdir}/texmf-dist/fonts/map/dvips/doublestroke/
%{_texdir}/texmf-dist/fonts/source/public/doublestroke/
%{_texdir}/texmf-dist/fonts/tfm/public/doublestroke/
%{_texdir}/texmf-dist/fonts/type1/public/doublestroke/
%{_texdir}/texmf-dist/tex/latex/doublestroke/

%files doublestroke-doc
%{_texdir}/texmf-dist/doc/fonts/doublestroke/

%files dozenal
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/dozenal/
%{_texdir}/texmf-dist/fonts/map/dvips/dozenal/dozenal.map
%{_texdir}/texmf-dist/fonts/source/public/dozenal/
%{_texdir}/texmf-dist/fonts/tfm/public/dozenal/
%{_texdir}/texmf-dist/fonts/type1/public/dozenal/
%{_texdir}/texmf-dist/tex/latex/dozenal/

%files dozenal-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/dozenal/

%files drm
%license lppl1.3.txt
%{_datadir}/fonts/drm
%{_texdir}/texmf-dist/fonts/afm/public/drm/
%{_texdir}/texmf-dist/fonts/map/dvips/drm/
%{_texdir}/texmf-dist/fonts/opentype/public/drm/
%{_texdir}/texmf-dist/fonts/source/public/drm/
%{_texdir}/texmf-dist/fonts/tfm/public/drm/
%{_texdir}/texmf-dist/fonts/type1/public/drm/
%{_texdir}/texmf-dist/tex/latex/drm/

%files drm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/drm/

%files droid
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/droid/
%{_texdir}/texmf-dist/fonts/enc/dvips/droid/
%{_texdir}/texmf-dist/fonts/map/dvips/droid/
%{_texdir}/texmf-dist/fonts/tfm/public/droid/
%{_texdir}/texmf-dist/fonts/truetype/public/droid/
%{_texdir}/texmf-dist/fonts/type1/public/droid/
%{_texdir}/texmf-dist/fonts/vf/public/droid/
%{_texdir}/texmf-dist/tex/latex/droid/

%files droid-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/droid/

%files duerer
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/duerer/
%{_texdir}/texmf-dist/fonts/tfm/public/duerer/

%files duerer-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/duerer/

%files duerer-latex
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/duerer-latex/

%files duerer-latex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/duerer-latex/

%files dutchcal
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/dutchcal/
%{_texdir}/texmf-dist/fonts/map/dvips/dutchcal/
%{_texdir}/texmf-dist/fonts/tfm/public/dutchcal/
%{_texdir}/texmf-dist/fonts/type1/public/dutchcal/
%{_texdir}/texmf-dist/fonts/vf/public/dutchcal/
%{_texdir}/texmf-dist/tex/latex/dutchcal/

%files dutchcal-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/dutchcal/

%files ean
%license gpl.txt
%{_texdir}/texmf-dist/tex/generic/ean/

%files ean-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/ean/

%files ebgaramond
%license ofl.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/ebgaramond/
%{_texdir}/texmf-dist/fonts/map/dvips/ebgaramond/
%{_texdir}/texmf-dist/fonts/opentype/public/ebgaramond/
%{_texdir}/texmf-dist/fonts/tfm/public/ebgaramond/
%{_texdir}/texmf-dist/fonts/type1/public/ebgaramond/
%{_texdir}/texmf-dist/fonts/vf/public/ebgaramond/
%{_texdir}/texmf-dist/tex/latex/ebgaramond/

%files ebgaramond-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/ebgaramond/

%files ebgaramond-maths
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/ebgaramond-maths/
%{_texdir}/texmf-dist/fonts/map/dvips/ebgaramond-maths/
%{_texdir}/texmf-dist/fonts/tfm/public/ebgaramond-maths/
%{_texdir}/texmf-dist/tex/latex/ebgaramond-maths/

%files ebgaramond-maths-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/ebgaramond-maths/

%files ecc
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/ecc/
%{_texdir}/texmf-dist/fonts/tfm/public/ecc/

%files ecc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/ecc/

%files eco
%license gpl.txt
%{_texdir}/texmf-dist/fonts/tfm/public/eco/
%{_texdir}/texmf-dist/fonts/vf/public/eco/
%{_texdir}/texmf-dist/tex/latex/eco/

%files eco-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/eco/

%files eiad
%{_texdir}/texmf-dist/fonts/source/public/eiad/
%{_texdir}/texmf-dist/fonts/tfm/public/eiad/
%{_texdir}/texmf-dist/tex/latex/eiad/

%files eiad-doc
%{_texdir}/texmf-dist/doc/fonts/eiad/

%files eiad-ltx
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/eiad-ltx/
%{_texdir}/texmf-dist/tex/latex/eiad-ltx/

%files eiad-ltx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/eiad-ltx/

%files electrum
%{_texdir}/texmf-dist/fonts/afm/arkandis/electrum/
%{_texdir}/texmf-dist/fonts/enc/dvips/electrum/
%{_texdir}/texmf-dist/fonts/map/dvips/electrum/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/electrum/
%{_texdir}/texmf-dist/fonts/type1/arkandis/electrum/
%{_texdir}/texmf-dist/fonts/vf/arkandis/electrum/
%{_texdir}/texmf-dist/tex/latex/electrum/

%files electrum-doc
%{_texdir}/texmf-dist/doc/fonts/electrum/

%files elvish
%{_texdir}/texmf-dist/fonts/source/public/elvish/
%{_texdir}/texmf-dist/fonts/tfm/public/elvish/

%files elvish-doc
%{_texdir}/texmf-dist/doc/fonts/elvish/

%files epigrafica
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/epigrafica/
%{_texdir}/texmf-dist/fonts/enc/dvips/epigrafica/
%{_texdir}/texmf-dist/fonts/map/dvips/epigrafica/
%{_texdir}/texmf-dist/fonts/tfm/public/epigrafica/
%{_texdir}/texmf-dist/fonts/type1/public/epigrafica/
%{_texdir}/texmf-dist/fonts/vf/public/epigrafica/
%{_texdir}/texmf-dist/tex/latex/epigrafica/

%files epigrafica-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/epigrafica/

%files epsdice
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/epsdice/

%files epsdice-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/epsdice/

%files erewhon
%license ofl.txt
%{_datadir}/fonts/erewhon
%{_texdir}/texmf-dist/fonts/afm/public/erewhon/
%{_texdir}/texmf-dist/fonts/enc/dvips/erewhon/
%{_texdir}/texmf-dist/fonts/map/dvips/erewhon/
%{_texdir}/texmf-dist/fonts/opentype/public/erewhon/
%{_texdir}/texmf-dist/fonts/tfm/public/erewhon/
%{_texdir}/texmf-dist/fonts/type1/public/erewhon/
%{_texdir}/texmf-dist/fonts/vf/public/erewhon/
%{_texdir}/texmf-dist/tex/latex/erewhon/

%files erewhon-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/erewhon/

%files esrelation
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/map/dvips/esrelation/
%{_texdir}/texmf-dist/fonts/source/public/esrelation/
%{_texdir}/texmf-dist/fonts/tfm/public/esrelation/
%{_texdir}/texmf-dist/fonts/type1/public/esrelation/
%{_texdir}/texmf-dist/tex/latex/esrelation/

%files esrelation-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/esrelation/

%files esstix
%{_texdir}/texmf-dist/fonts/afm/esstix/
%{_texdir}/texmf-dist/fonts/map/dvips/esstix/
%{_texdir}/texmf-dist/fonts/tfm/public/esstix/
%{_texdir}/texmf-dist/fonts/type1/public/esstix/
%{_texdir}/texmf-dist/fonts/vf/public/esstix/
%{_texdir}/texmf-dist/tex/latex/esstix/

%files esstix-doc
%{_texdir}/texmf-dist/doc/fonts/esstix/

%files esvect
%license gpl.txt
%{_texdir}/texmf-dist/fonts/map/dvips/esvect/
%{_texdir}/texmf-dist/fonts/source/public/esvect/
%{_texdir}/texmf-dist/fonts/tfm/public/esvect/
%{_texdir}/texmf-dist/fonts/type1/public/esvect/
%{_texdir}/texmf-dist/tex/latex/esvect/

%files esvect-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/esvect/

%files eulervm
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/public/eulervm/
%{_texdir}/texmf-dist/fonts/vf/public/eulervm/
%{_texdir}/texmf-dist/tex/latex/eulervm/

%files eulervm-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/eulervm/

%files euxm
%{_texdir}/texmf-dist/fonts/source/public/euxm/
%{_texdir}/texmf-dist/fonts/tfm/public/euxm/

%files fbb
%license ofl.txt
%{_datadir}/fonts/fbb
%{_texdir}/texmf-dist/fonts/enc/dvips/fbb/
%{_texdir}/texmf-dist/fonts/map/dvips/fbb/
%{_texdir}/texmf-dist/fonts/opentype/public/fbb/
%{_texdir}/texmf-dist/fonts/tfm/public/fbb/
%{_texdir}/texmf-dist/fonts/type1/public/fbb/
%{_texdir}/texmf-dist/fonts/vf/public/fbb/
%{_texdir}/texmf-dist/tex/latex/fbb/

%files fbb-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/fbb/

%files fdsymbol
%license ofl.txt
%{_datadir}/fonts/fdsymbol
%{_texdir}/texmf-dist/fonts/enc/dvips/fdsymbol/
%{_texdir}/texmf-dist/fonts/map/dvips/fdsymbol/
%{_texdir}/texmf-dist/fonts/opentype/public/fdsymbol/
%{_texdir}/texmf-dist/fonts/source/public/fdsymbol/
%{_texdir}/texmf-dist/fonts/tfm/public/fdsymbol/
%{_texdir}/texmf-dist/fonts/type1/public/fdsymbol/
%{_texdir}/texmf-dist/tex/latex/fdsymbol/

%files fdsymbol-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/fdsymbol/
%{_texdir}/texmf-dist/doc/latex/fdsymbol/

%files fetamont
%license lppl1.3.txt
%{_datadir}/fonts/fetamont
%{_texdir}/texmf-dist/fonts/afm/public/fetamont/
%{_texdir}/texmf-dist/fonts/map/dvips/fetamont/
%{_texdir}/texmf-dist/fonts/opentype/public/fetamont/
%{_texdir}/texmf-dist/fonts/source/public/fetamont/
%{_texdir}/texmf-dist/fonts/tfm/public/fetamont/
%{_texdir}/texmf-dist/fonts/type1/public/fetamont/
%{_texdir}/texmf-dist/metapost/fetamont/
%{_texdir}/texmf-dist/tex/latex/fetamont/

%files fetamont-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/fetamont/

%files feyn
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/feyn/
%{_texdir}/texmf-dist/fonts/tfm/public/feyn/
%{_texdir}/texmf-dist/tex/latex/feyn/

%files feyn-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/feyn/

%files fge
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/fge/
%{_texdir}/texmf-dist/fonts/source/public/fge/
%{_texdir}/texmf-dist/fonts/tfm/public/fge/
%{_texdir}/texmf-dist/fonts/type1/public/fge/
%{_texdir}/texmf-dist/tex/latex/fge/

%files fge-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/fge/

%files fira
%license ofl.txt
%{_datadir}/fonts/fira
%{_texdir}/texmf-dist/fonts/enc/dvips/fira/
%{_texdir}/texmf-dist/fonts/map/dvips/fira/
%{_texdir}/texmf-dist/fonts/opentype/public/fira/
%{_texdir}/texmf-dist/fonts/tfm/public/fira/
%{_texdir}/texmf-dist/fonts/type1/public/fira/
%{_texdir}/texmf-dist/fonts/vf/public/fira/
%{_texdir}/texmf-dist/tex/latex/fira/

%files fira-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/fira/

%files foekfont
%license gpl.txt
%{_texdir}/texmf-dist/fonts/map/dvips/foekfont/
%{_texdir}/texmf-dist/fonts/tfm/public/foekfont/
%{_texdir}/texmf-dist/fonts/type1/public/foekfont/
%{_texdir}/texmf-dist/tex/latex/foekfont/

%files foekfont-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/foekfont/

%files fonetika
%{_texdir}/texmf-dist/fonts/afm/public/fonetika/
%{_texdir}/texmf-dist/fonts/map/dvips/fonetika/
%{_texdir}/texmf-dist/fonts/tfm/public/fonetika/
%{_texdir}/texmf-dist/fonts/truetype/public/fonetika/
%{_texdir}/texmf-dist/fonts/type1/public/fonetika/
%{_texdir}/texmf-dist/tex/latex/fonetika/

%files fonetika-doc
%{_texdir}/texmf-dist/doc/fonts/fonetika/

%files fontawesome
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/fontawesome/
%{_texdir}/texmf-dist/fonts/map/dvips/fontawesome/
%{_texdir}/texmf-dist/fonts/opentype/public/fontawesome/
%{_texdir}/texmf-dist/fonts/tfm/public/fontawesome/
%{_texdir}/texmf-dist/fonts/type1/public/fontawesome/
%{_texdir}/texmf-dist/tex/latex/fontawesome/

%files fontawesome-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/fontawesome/

%files fontmfizz
%license other-free.txt
%{_texdir}/texmf-dist/fonts/truetype/public/fontmfizz/
%{_texdir}/texmf-dist/tex/latex/fontmfizz/

%files fontmfizz-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/fonts/fontmfizz/

%files old-arrows
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/old-arrows/
%{_texdir}/texmf-dist/fonts/enc/dvips/old-arrows/
%{_texdir}/texmf-dist/fonts/map/dvips/old-arrows/
%{_texdir}/texmf-dist/fonts/tfm/public/old-arrows/
%{_texdir}/texmf-dist/fonts/type1/public/old-arrows/
%{_texdir}/texmf-dist/tex/latex/old-arrows/

%files old-arrows-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/old-arrows/

%files fourier
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/fourier/
%{_texdir}/texmf-dist/fonts/map/dvips/fourier/
%{_texdir}/texmf-dist/fonts/tfm/public/fourier/
%{_texdir}/texmf-dist/fonts/type1/public/fourier/
%{_texdir}/texmf-dist/fonts/vf/public/fourier/
%{_texdir}/texmf-dist/tex/latex/fourier/

%files fourier-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/fourier/

%files fouriernc
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/fouriernc/
%{_texdir}/texmf-dist/fonts/tfm/public/fouriernc/
%{_texdir}/texmf-dist/fonts/vf/public/fouriernc/
%{_texdir}/texmf-dist/tex/latex/fouriernc/

%files fouriernc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/fouriernc/

%files frcursive
%license lppl1.2.txt
%{_texdir}/texmf-dist/fonts/map/dvips/frcursive/
%{_texdir}/texmf-dist/fonts/source/public/frcursive/
%{_texdir}/texmf-dist/fonts/tfm/public/frcursive/
%{_texdir}/texmf-dist/fonts/type1/public/frcursive/
%{_texdir}/texmf-dist/tex/latex/frcursive/

%files frcursive-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/fonts/frcursive/

%files genealogy
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/genealogy/
%{_texdir}/texmf-dist/fonts/tfm/public/genealogy/

%files genealogy-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/genealogy/

%files gentium-tug
%license other-free.txt
%{_texdir}/texmf-dist/fonts/afm/public/gentium-tug/
%{_texdir}/texmf-dist/fonts/enc/dvips/gentium-tug/
%{_texdir}/texmf-dist/fonts/map/dvips/gentium-tug/
%{_texdir}/texmf-dist/fonts/map/pdftex/gentium-tug/
%{_texdir}/texmf-dist/fonts/tfm/public/gentium-tug/
%{_texdir}/texmf-dist/fonts/truetype/public/gentium-tug/
%{_texdir}/texmf-dist/fonts/type1/public/gentium-tug/
%{_texdir}/texmf-dist/tex/context/third/gentium-tug/
%{_texdir}/texmf-dist/tex/latex/gentium-tug/

%files gentium-tug-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/fonts/gentium-tug/

%files gfsartemisia
%{_datadir}/fonts/gfsartemisia
%{_texdir}/texmf-dist/fonts/afm/public/gfsartemisia/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfsartemisia/
%{_texdir}/texmf-dist/fonts/map/dvips/gfsartemisia/
%{_texdir}/texmf-dist/fonts/opentype/public/gfsartemisia/
%{_texdir}/texmf-dist/fonts/tfm/public/gfsartemisia/
%{_texdir}/texmf-dist/fonts/type1/public/gfsartemisia/
%{_texdir}/texmf-dist/fonts/vf/public/gfsartemisia/
%{_texdir}/texmf-dist/tex/latex/gfsartemisia/

%files gfsartemisia-doc
%{_texdir}/texmf-dist/doc/fonts/gfsartemisia/

%files gfsbodoni
%{_datadir}/fonts/gfsbodoni
%{_texdir}/texmf-dist/fonts/afm/public/gfsbodoni/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfsbodoni/
%{_texdir}/texmf-dist/fonts/map/dvips/gfsbodoni/
%{_texdir}/texmf-dist/fonts/opentype/public/gfsbodoni/
%{_texdir}/texmf-dist/fonts/tfm/public/gfsbodoni/
%{_texdir}/texmf-dist/fonts/type1/public/gfsbodoni/
%{_texdir}/texmf-dist/fonts/vf/public/gfsbodoni/
%{_texdir}/texmf-dist/tex/latex/gfsbodoni/

%files gfsbodoni-doc
%{_texdir}/texmf-dist/doc/fonts/gfsbodoni/

%files gfscomplutum
%{_datadir}/fonts/gfscomplutum
%{_texdir}/texmf-dist/fonts/afm/public/gfscomplutum/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfscomplutum/
%{_texdir}/texmf-dist/fonts/map/dvips/gfscomplutum/
%{_texdir}/texmf-dist/fonts/opentype/public/gfscomplutum/
%{_texdir}/texmf-dist/fonts/tfm/public/gfscomplutum/
%{_texdir}/texmf-dist/fonts/type1/public/gfscomplutum/
%{_texdir}/texmf-dist/fonts/vf/public/gfscomplutum/
%{_texdir}/texmf-dist/tex/latex/gfscomplutum/

%files gfscomplutum-doc
%{_texdir}/texmf-dist/doc/fonts/gfscomplutum/

%files gfsdidot
%{_datadir}/fonts/gfsdidot
%{_texdir}/texmf-dist/fonts/afm/public/gfsdidot/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfsdidot/
%{_texdir}/texmf-dist/fonts/map/dvips/gfsdidot/
%{_texdir}/texmf-dist/fonts/opentype/public/gfsdidot/
%{_texdir}/texmf-dist/fonts/tfm/public/gfsdidot/
%{_texdir}/texmf-dist/fonts/type1/public/gfsdidot/
%{_texdir}/texmf-dist/fonts/vf/public/gfsdidot/
%{_texdir}/texmf-dist/tex/latex/gfsdidot/

%files gfsdidot-doc
%{_texdir}/texmf-dist/doc/fonts/gfsdidot/

%files gfsneohellenic
%{_datadir}/fonts/gfsneohellenic
%{_texdir}/texmf-dist/fonts/afm/public/gfsneohellenic/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfsneohellenic/
%{_texdir}/texmf-dist/fonts/map/dvips/gfsneohellenic/
%{_texdir}/texmf-dist/fonts/opentype/public/gfsneohellenic/
%{_texdir}/texmf-dist/fonts/tfm/public/gfsneohellenic/
%{_texdir}/texmf-dist/fonts/type1/public/gfsneohellenic/
%{_texdir}/texmf-dist/fonts/vf/public/gfsneohellenic/
%{_texdir}/texmf-dist/tex/latex/gfsneohellenic/

%files gfsneohellenic-doc
%{_texdir}/texmf-dist/doc/fonts/gfsneohellenic/

%files gfssolomos
%{_datadir}/fonts/gfssolomos
%{_texdir}/texmf-dist/fonts/afm/public/gfssolomos/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfssolomos/
%{_texdir}/texmf-dist/fonts/map/dvips/gfssolomos/
%{_texdir}/texmf-dist/fonts/opentype/public/gfssolomos/
%{_texdir}/texmf-dist/fonts/tfm/public/gfssolomos/
%{_texdir}/texmf-dist/fonts/type1/public/gfssolomos/
%{_texdir}/texmf-dist/fonts/vf/public/gfssolomos/
%{_texdir}/texmf-dist/tex/latex/gfssolomos/

%files gfssolomos-doc
%{_texdir}/texmf-dist/doc/fonts/gfssolomos/

%files gillcm
%{_texdir}/texmf-dist/fonts/map/dvips/gillcm/
%{_texdir}/texmf-dist/fonts/tfm/public/gillcm/
%{_texdir}/texmf-dist/fonts/vf/public/gillcm/
%{_texdir}/texmf-dist/tex/latex/gillcm/

%files gillcm-doc
%{_texdir}/texmf-dist/doc/latex/gillcm/

%files gillius
%license gpl2.txt
%{_datadir}/fonts/gillius
%{_texdir}/texmf-dist/fonts/enc/dvips/gillius/
%{_texdir}/texmf-dist/fonts/map/dvips/gillius/
%{_texdir}/texmf-dist/fonts/opentype/arkandis/gillius/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/gillius/
%{_texdir}/texmf-dist/fonts/type1/arkandis/gillius/
%{_texdir}/texmf-dist/fonts/vf/arkandis/gillius/
%{_texdir}/texmf-dist/tex/latex/gillius/

%files gillius-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/gillius/

%files gnu-freefont
%license gpl3.txt
%{_datadir}/fonts/gnu-freefont
%{_texdir}/texmf-dist/fonts/opentype/public/gnu-freefont/
%{_texdir}/texmf-dist/fonts/truetype/public/gnu-freefont/

%files gnu-freefont-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/fonts/gnu-freefont/

%files gothic
%license collection.txt
%{_texdir}/texmf-dist/fonts/source/public/gothic/
%{_texdir}/texmf-dist/fonts/tfm/public/gothic/

%files gothic-doc
%license collection.txt
%{_texdir}/texmf-dist/doc/fonts/gothic/

%files greenpoint
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/greenpoint/
%{_texdir}/texmf-dist/fonts/tfm/public/greenpoint/

%files greenpoint-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/greenpoint/

%files grotesq
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/urw/grotesq/
%{_texdir}/texmf-dist/fonts/map/dvips/grotesq/
%{_texdir}/texmf-dist/fonts/tfm/urw/grotesq/
%{_texdir}/texmf-dist/fonts/type1/urw/grotesq/
%{_texdir}/texmf-dist/fonts/vf/urw/grotesq/
%{_texdir}/texmf-dist/tex/latex/grotesq/

%files grotesq-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/grotesq/

%files hacm
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/map/dvips/hacm/
%{_texdir}/texmf-dist/fonts/tfm/public/hacm/
%{_texdir}/texmf-dist/fonts/type1/public/hacm/
%{_texdir}/texmf-dist/fonts/vf/public/hacm/
%{_texdir}/texmf-dist/tex/latex/hacm/

%files hacm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/hacm/

%files hands
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/hands/
%{_texdir}/texmf-dist/fonts/tfm/public/hands/

%files heuristica
%license ofl.txt
%{_datadir}/fonts/heuristica
%{_texdir}/texmf-dist/fonts/enc/dvips/heuristica/
%{_texdir}/texmf-dist/fonts/map/dvips/heuristica/
%{_texdir}/texmf-dist/fonts/opentype/public/heuristica/
%{_texdir}/texmf-dist/fonts/tfm/public/heuristica/
%{_texdir}/texmf-dist/fonts/type1/public/heuristica/
%{_texdir}/texmf-dist/fonts/vf/public/heuristica/
%{_texdir}/texmf-dist/tex/latex/heuristica/

%files heuristica-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/heuristica/

%files hfbright
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/hfbright/
%{_texdir}/texmf-dist/fonts/enc/dvips/hfbright/
%{_texdir}/texmf-dist/fonts/map/dvips/hfbright/
%{_texdir}/texmf-dist/fonts/type1/public/hfbright/

%files hfbright-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/hfbright/

%files hfoldsty
%license gpl.txt
%{_texdir}/texmf-dist/fonts/tfm/public/hfoldsty/
%{_texdir}/texmf-dist/fonts/vf/public/hfoldsty/
%{_texdir}/texmf-dist/tex/latex/hfoldsty/

%files hfoldsty-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/hfoldsty/

%files ifsym
%{_texdir}/texmf-dist/fonts/source/public/ifsym/
%{_texdir}/texmf-dist/fonts/tfm/public/ifsym/
%{_texdir}/texmf-dist/tex/latex/ifsym/

%files ifsym-doc
%{_texdir}/texmf-dist/doc/fonts/ifsym/

%files inconsolata
%{_datadir}/fonts/inconsolata
%{_texdir}/texmf-dist/fonts/enc/dvips/inconsolata/
%{_texdir}/texmf-dist/fonts/map/dvips/inconsolata/
%{_texdir}/texmf-dist/fonts/opentype/public/inconsolata/
%{_texdir}/texmf-dist/fonts/tfm/public/inconsolata/
%{_texdir}/texmf-dist/fonts/type1/public/inconsolata/
%{_texdir}/texmf-dist/tex/latex/inconsolata/

%files inconsolata-doc
%{_texdir}/texmf-dist/doc/fonts/inconsolata/

%files initials
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/initials/
%{_texdir}/texmf-dist/fonts/afm/public/initials/
%{_texdir}/texmf-dist/fonts/map/dvips/initials/
%{_texdir}/texmf-dist/fonts/tfm/public/initials/
%{_texdir}/texmf-dist/fonts/type1/public/initials/
%{_texdir}/texmf-dist/tex/latex/initials/

%files initials-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/initials/

%files ipaex-type1
%license other-free.txt
%{_texdir}/texmf-dist/fonts/map/dvips/ipaex-type1/
%{_texdir}/texmf-dist/fonts/tfm/public/ipaex-type1/
%{_texdir}/texmf-dist/fonts/type1/public/ipaex-type1/
%{_texdir}/texmf-dist/tex/latex/ipaex-type1/

%files ipaex-type1-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/fonts/ipaex-type1/

%files iwona
%license gfsl.txt
%{_datadir}/fonts/iwona
%{_texdir}/texmf-dist/fonts/afm/nowacki/iwona/
%{_texdir}/texmf-dist/fonts/enc/dvips/iwona/
%{_texdir}/texmf-dist/fonts/map/dvips/iwona/
%{_texdir}/texmf-dist/fonts/opentype/nowacki/iwona/
%{_texdir}/texmf-dist/fonts/tfm/nowacki/iwona/
%{_texdir}/texmf-dist/fonts/type1/nowacki/iwona/
%{_texdir}/texmf-dist/tex/latex/iwona/
%{_texdir}/texmf-dist/tex/plain/iwona/

%files iwona-doc
%license gfsl.txt
%{_texdir}/texmf-dist/doc/fonts/iwona/

%files jablantile
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/jablantile/

%files jablantile-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/jablantile/

%files jamtimes
%{_texdir}/texmf-dist/fonts/map/dvips/jamtimes/
%{_texdir}/texmf-dist/fonts/tfm/public/jamtimes/
%{_texdir}/texmf-dist/fonts/vf/public/jamtimes/
%{_texdir}/texmf-dist/tex/latex/jamtimes/

%files jamtimes-doc
%{_texdir}/texmf-dist/doc/latex/jamtimes/

%files junicode
%license gpl.txt
%{_texdir}/texmf-dist/fonts/truetype/public/junicode/
%{_texdir}/texmf-dist/tex/latex/junicode/

%files junicode-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/junicode/

%files kixfont
%{_texdir}/texmf-dist/fonts/source/public/kixfont/
%{_texdir}/texmf-dist/fonts/tfm/public/kixfont/

%files kixfont-doc
%{_texdir}/texmf-dist/doc/fonts/kixfont/

%files kpfonts
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/kpfonts/
%{_texdir}/texmf-dist/fonts/enc/dvips/kpfonts/
%{_texdir}/texmf-dist/fonts/enc/pdftex/kpfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/kpfonts/
%{_texdir}/texmf-dist/fonts/source/public/kpfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/kpfonts/
%{_texdir}/texmf-dist/fonts/type1/public/kpfonts/
%{_texdir}/texmf-dist/fonts/vf/public/kpfonts/
%{_texdir}/texmf-dist/tex/latex/kpfonts/

%files kpfonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/kpfonts/

%files kurier
%license gfsl.txt
%{_datadir}/fonts/kurier
%{_texdir}/texmf-dist/fonts/afm/nowacki/kurier/
%{_texdir}/texmf-dist/fonts/enc/dvips/kurier/
%{_texdir}/texmf-dist/fonts/map/dvips/kurier/
%{_texdir}/texmf-dist/fonts/opentype/nowacki/kurier/
%{_texdir}/texmf-dist/fonts/tfm/nowacki/kurier/
%{_texdir}/texmf-dist/fonts/type1/nowacki/kurier/
%{_texdir}/texmf-dist/tex/latex/kurier/
%{_texdir}/texmf-dist/tex/plain/kurier/

%files kurier-doc
%license gfsl.txt
%{_texdir}/texmf-dist/doc/fonts/kurier/

%files lato
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/lato/
%{_texdir}/texmf-dist/fonts/map/dvips/lato/
%{_texdir}/texmf-dist/fonts/tfm/typoland/lato/
%{_texdir}/texmf-dist/fonts/truetype/typoland/lato/
%{_texdir}/texmf-dist/fonts/type1/typoland/lato/
%{_texdir}/texmf-dist/fonts/vf/typoland/lato/
%{_texdir}/texmf-dist/tex/latex/lato/

%files lato-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/lato/

%files lfb
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/lfb/
%{_texdir}/texmf-dist/fonts/tfm/public/lfb/

%files lfb-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/lfb/

%files libertine
%license lppl1.txt
%{_datadir}/fonts/libertine
%{_texdir}/texmf-dist/fonts/enc/dvips/libertine/
%{_texdir}/texmf-dist/fonts/map/dvips/libertine/
%{_texdir}/texmf-dist/fonts/opentype/public/libertine/
%{_texdir}/texmf-dist/fonts/tfm/public/libertine/
%{_texdir}/texmf-dist/fonts/type1/public/libertine/
%{_texdir}/texmf-dist/fonts/vf/public/libertine/
%{_texdir}/texmf-dist/tex/latex/libertine/

%files libertine-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/libertine/

%files librebaskerville
%license lppl1.txt
%{_datadir}/fonts/librebaskerville
%{_texdir}/texmf-dist/fonts/enc/dvips/librebaskerville/
%{_texdir}/texmf-dist/fonts/map/dvips/librebaskerville/
%{_texdir}/texmf-dist/fonts/opentype/impallari/librebaskerville/
%{_texdir}/texmf-dist/fonts/tfm/impallari/librebaskerville/
%{_texdir}/texmf-dist/fonts/type1/impallari/librebaskerville/
%{_texdir}/texmf-dist/fonts/vf/impallari/librebaskerville/
%{_texdir}/texmf-dist/tex/latex/librebaskerville/

%files librebaskerville-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/librebaskerville/

%files librecaslon
%license ofl.txt
%{_datadir}/fonts/librecaslon
%{_texdir}/texmf-dist/fonts/enc/dvips/librecaslon/
%{_texdir}/texmf-dist/fonts/map/dvips/librecaslon/
%{_texdir}/texmf-dist/fonts/opentype/impallari/librecaslon/
%{_texdir}/texmf-dist/fonts/tfm/impallari/librecaslon/
%{_texdir}/texmf-dist/fonts/type1/impallari/librecaslon/
%{_texdir}/texmf-dist/fonts/vf/impallari/librecaslon/
%{_texdir}/texmf-dist/tex/latex/librecaslon/

%files librecaslon-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/librecaslon/

%files libris
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/arkandis/libris/
%{_texdir}/texmf-dist/fonts/enc/dvips/libris/
%{_texdir}/texmf-dist/fonts/map/dvips/libris/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/libris/
%{_texdir}/texmf-dist/fonts/type1/arkandis/libris/
%{_texdir}/texmf-dist/fonts/vf/arkandis/libris/
%{_texdir}/texmf-dist/tex/latex/libris/

%files libris-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/libris/

%files lineara
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/linearA/
%{_texdir}/texmf-dist/fonts/map/dvips/linearA/
%{_texdir}/texmf-dist/fonts/tfm/public/linearA/
%{_texdir}/texmf-dist/fonts/type1/public/linearA/
%{_texdir}/texmf-dist/tex/latex/linearA/

%files lineara-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/linearA/

%files lobster2
%license ofl.txt
%{_datadir}/fonts/lobster2
%{_texdir}/texmf-dist/fonts/enc/dvips/lobster2/
%{_texdir}/texmf-dist/fonts/map/dvips/lobster2/
%{_texdir}/texmf-dist/fonts/opentype/impallari/lobster2/
%{_texdir}/texmf-dist/fonts/tfm/impallari/lobster2/
%{_texdir}/texmf-dist/fonts/truetype/impallari/lobster2/
%{_texdir}/texmf-dist/fonts/type1/impallari/lobster2/
%{_texdir}/texmf-dist/fonts/vf/impallari/lobster2/
%{_texdir}/texmf-dist/tex/latex/lobster2/

%files lobster2-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/lobster2/

%files lxfonts
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/lxfonts/
%{_texdir}/texmf-dist/fonts/source/public/lxfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/lxfonts/
%{_texdir}/texmf-dist/fonts/type1/public/lxfonts/
%{_texdir}/texmf-dist/tex/latex/lxfonts/

%files lxfonts-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/lxfonts/

%files ly1
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/ly1/
%{_texdir}/texmf-dist/fonts/map/dvips/ly1/
%{_texdir}/texmf-dist/fonts/tfm/adobe/ly1/
%{_texdir}/texmf-dist/fonts/vf/adobe/ly1/
%{_texdir}/texmf-dist/tex/latex/ly1/
%{_texdir}/texmf-dist/tex/plain/ly1/

%files ly1-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/ly1/

%files mathabx
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/mathabx/
%{_texdir}/texmf-dist/fonts/tfm/public/mathabx/
%{_texdir}/texmf-dist/tex/generic/mathabx/

%files mathabx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/mathabx/

%files mathabx-type1
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/mathabx-type1/
%{_texdir}/texmf-dist/fonts/type1/public/mathabx-type1/

%files mathabx-type1-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/mathabx-type1/

%files mathdesign
%license gpl.txt
%{_texdir}/texmf-dist/dvips/mathdesign/
%{_texdir}/texmf-dist/fonts/enc/dvips/mathdesign/
%{_texdir}/texmf-dist/fonts/map/dvips/mathdesign/
%{_texdir}/texmf-dist/fonts/tfm/public/mathdesign/
%{_texdir}/texmf-dist/fonts/type1/public/mathdesign/
%{_texdir}/texmf-dist/fonts/vf/public/mathdesign/
%{_texdir}/texmf-dist/tex/latex/mathdesign/

%files mathdesign-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/mathdesign/

%files mdputu
%{_texdir}/texmf-dist/fonts/tfm/public/mdputu/
%{_texdir}/texmf-dist/fonts/vf/public/mdputu/
%{_texdir}/texmf-dist/tex/latex/mdputu/

%files mdputu-doc
%{_texdir}/texmf-dist/doc/latex/mdputu/

%files mdsymbol
%license ofl.txt
%{_datadir}/fonts/mdsymbol
%{_texdir}/texmf-dist/fonts/enc/dvips/mdsymbol/
%{_texdir}/texmf-dist/fonts/map/dvips/mdsymbol/
%{_texdir}/texmf-dist/fonts/opentype/public/mdsymbol/
%{_texdir}/texmf-dist/fonts/source/public/mdsymbol/
%{_texdir}/texmf-dist/fonts/tfm/public/mdsymbol/
%{_texdir}/texmf-dist/fonts/type1/public/mdsymbol/
%{_texdir}/texmf-dist/tex/latex/mdsymbol/

%files mdsymbol-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/mdsymbol/
%{_texdir}/texmf-dist/doc/latex/mdsymbol/

%files merriweather
%license ofl.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/merriweather/
%{_texdir}/texmf-dist/fonts/map/dvips/merriweather/
%{_texdir}/texmf-dist/fonts/tfm/sorkin/merriweather/
%{_texdir}/texmf-dist/fonts/truetype/sorkin/merriweather/
%{_texdir}/texmf-dist/fonts/type1/sorkin/merriweather/
%{_texdir}/texmf-dist/fonts/vf/sorkin/merriweather/
%{_texdir}/texmf-dist/tex/latex/merriweather/

%files merriweather-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/merriweather/

%files mintspirit
%license ofl.txt
%{_datadir}/fonts/mintspirit
%{_texdir}/texmf-dist/fonts/enc/dvips/mintspirit/
%{_texdir}/texmf-dist/fonts/map/dvips/mintspirit/
%{_texdir}/texmf-dist/fonts/opentype/arkandis/mintspirit/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/mintspirit/
%{_texdir}/texmf-dist/fonts/type1/arkandis/mintspirit/
%{_texdir}/texmf-dist/fonts/vf/arkandis/mintspirit/
%{_texdir}/texmf-dist/tex/latex/mintspirit/

%files mintspirit-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/mintspirit/

%files mnsymbol
%license pd.txt
%{_datadir}/fonts/mnsymbol
%{_texdir}/texmf-dist/fonts/enc/dvips/mnsymbol/
%{_texdir}/texmf-dist/fonts/map/dvips/mnsymbol/
%{_texdir}/texmf-dist/fonts/map/vtex/mnsymbol/
%{_texdir}/texmf-dist/fonts/opentype/public/mnsymbol/
%{_texdir}/texmf-dist/fonts/source/public/mnsymbol/
%{_texdir}/texmf-dist/fonts/tfm/public/mnsymbol/
%{_texdir}/texmf-dist/fonts/type1/public/mnsymbol/
%{_texdir}/texmf-dist/tex/latex/mnsymbol/

%files mnsymbol-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/mnsymbol/

%files newpx
%license lppl1.txt
%{_datadir}/fonts/newpx
%{_texdir}/texmf-dist/fonts/afm/public/newpx/
%{_texdir}/texmf-dist/fonts/enc/dvips/newpx/
%{_texdir}/texmf-dist/fonts/map/dvips/newpx/
%{_texdir}/texmf-dist/fonts/opentype/public/newpx/
%{_texdir}/texmf-dist/fonts/tfm/public/newpx/
%{_texdir}/texmf-dist/fonts/type1/public/newpx/
%{_texdir}/texmf-dist/fonts/vf/public/newpx/
%{_texdir}/texmf-dist/tex/latex/newpx/

%files newpx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/newpx/

%files newtx
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/newtx/
%{_texdir}/texmf-dist/fonts/enc/dvips/newtx/
%{_texdir}/texmf-dist/fonts/map/dvips/newtx/
%{_texdir}/texmf-dist/fonts/opentype/public/newtx/
%{_texdir}/texmf-dist/fonts/tfm/public/newtx/
%{_texdir}/texmf-dist/fonts/type1/public/newtx/
%{_texdir}/texmf-dist/fonts/vf/public/newtx/
%{_texdir}/texmf-dist/tex/latex/newtx/

%files newtx-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/newtx/

%files newtxsf
%license ofl.txt
%{_texdir}/texmf-dist/fonts/map/dvips/newtxsf/
%{_texdir}/texmf-dist/fonts/tfm/public/newtxsf/
%{_texdir}/texmf-dist/fonts/type1/public/newtxsf/
%{_texdir}/texmf-dist/fonts/vf/public/newtxsf/
%{_texdir}/texmf-dist/tex/latex/newtxsf/

%files newtxsf-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/newtxsf/

%files newtxtt
%license gpl3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/newtxtt/
%{_texdir}/texmf-dist/fonts/map/dvips/newtxtt/
%{_texdir}/texmf-dist/fonts/tfm/public/newtxtt/
%{_texdir}/texmf-dist/fonts/type1/public/newtxtt/
%{_texdir}/texmf-dist/tex/latex/newtxtt/

%files newtxtt-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/fonts/newtxtt/

%files nkarta
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/nkarta/
%{_texdir}/texmf-dist/fonts/tfm/public/nkarta/
%{_texdir}/texmf-dist/metapost/nkarta/

%files nkarta-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/nkarta/

%files obnov
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/obnov/
%{_texdir}/texmf-dist/fonts/tfm/public/obnov/
%{_texdir}/texmf-dist/tex/latex/obnov/

%files obnov-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/obnov/

%files ocherokee
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/ocherokee/
%{_texdir}/texmf-dist/fonts/map/dvips/ocherokee/
%{_texdir}/texmf-dist/fonts/ofm/public/ocherokee/
%{_texdir}/texmf-dist/fonts/ovf/public/ocherokee/
%{_texdir}/texmf-dist/fonts/ovp/public/ocherokee/
%{_texdir}/texmf-dist/fonts/tfm/public/ocherokee/
%{_texdir}/texmf-dist/fonts/type1/public/ocherokee/
%{_texdir}/texmf-dist/omega/ocp/ocherokee/
%{_texdir}/texmf-dist/tex/lambda/ocherokee/

%files ocherokee-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/omega/ocherokee/

%files ocr-b
%{_texdir}/texmf-dist/fonts/source/public/ocr-b/
%{_texdir}/texmf-dist/fonts/tfm/public/ocr-b/

%files ocr-b-doc
%{_texdir}/texmf-dist/doc/fonts/ocr-b/

%files ocr-b-outline
%{_datadir}/fonts/ocr-b-outline
%{_texdir}/texmf-dist/fonts/map/dvips/ocr-b-outline/
%{_texdir}/texmf-dist/fonts/opentype/public/ocr-b-outline/
%{_texdir}/texmf-dist/fonts/type1/public/ocr-b-outline/

%files ocr-b-outline-doc
%{_texdir}/texmf-dist/doc/fonts/ocr-b-outline/

%files ogham
%{_texdir}/texmf-dist/fonts/source/public/ogham/
%{_texdir}/texmf-dist/fonts/tfm/public/ogham/

%files ogham-doc
%{_texdir}/texmf-dist/doc/fonts/ogham/

%files oinuit
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/oinuit/
%{_texdir}/texmf-dist/fonts/ofm/public/oinuit/
%{_texdir}/texmf-dist/fonts/ovf/public/oinuit/
%{_texdir}/texmf-dist/fonts/tfm/public/oinuit/
%{_texdir}/texmf-dist/fonts/type1/public/oinuit/
%{_texdir}/texmf-dist/omega/ocp/oinuit/
%{_texdir}/texmf-dist/omega/otp/oinuit/
%{_texdir}/texmf-dist/tex/lambda/oinuit/

%files oinuit-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/oinuit/

%files oldlatin
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/oldlatin/
%{_texdir}/texmf-dist/fonts/tfm/public/oldlatin/

%files oldlatin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/oldlatin/

%files oldstandard
%{_texdir}/texmf-dist/fonts/opentype/public/oldstandard/
%{_texdir}/texmf-dist/fonts/enc/dvips/oldstandard/
%{_texdir}/texmf-dist/fonts/map/dvips/oldstandard/
%{_texdir}/texmf-dist/fonts/tfm/public/oldstandard/
%{_texdir}/texmf-dist/fonts/vf/public/oldstandard/
%{_texdir}/texmf-dist/tex/latex/oldstandard/

%files oldstandard-doc
%{_texdir}/texmf-dist/doc/fonts/oldstandard/

%files opensans
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/opensans/
%{_texdir}/texmf-dist/fonts/enc/dvips/opensans/
%{_texdir}/texmf-dist/fonts/map/dvips/opensans/
%{_texdir}/texmf-dist/fonts/tfm/public/opensans/
%{_texdir}/texmf-dist/fonts/truetype/public/opensans/
%{_texdir}/texmf-dist/fonts/type1/public/opensans/
%{_texdir}/texmf-dist/fonts/vf/public/opensans/
%{_texdir}/texmf-dist/tex/latex/opensans/

%files opensans-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/opensans/

%files orkhun
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/orkhun/
%{_texdir}/texmf-dist/fonts/tfm/public/orkhun/

%files orkhun-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/orkhun/

%files overlock
%license ofl.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/overlock/
%{_texdir}/texmf-dist/fonts/map/dvips/overlock/
%{_texdir}/texmf-dist/fonts/tfm/muhafara/overlock/
%{_texdir}/texmf-dist/fonts/truetype/muhafara/overlock/
%{_texdir}/texmf-dist/fonts/type1/muhafara/overlock/
%{_texdir}/texmf-dist/fonts/vf/muhafara/overlock/
%{_texdir}/texmf-dist/tex/latex/overlock/

%files overlock-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/overlock/

%files pacioli
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/pacioli/
%{_texdir}/texmf-dist/fonts/tfm/public/pacioli/
%{_texdir}/texmf-dist/tex/latex/pacioli/

%files pacioli-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/pacioli/

%files paratype
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/paratype/
%{_texdir}/texmf-dist/fonts/enc/dvips/paratype/
%{_texdir}/texmf-dist/fonts/map/dvips/paratype/
%{_texdir}/texmf-dist/fonts/tfm/paratype/
%{_texdir}/texmf-dist/fonts/truetype/paratype/
%{_texdir}/texmf-dist/fonts/type1/paratype/
%{_texdir}/texmf-dist/fonts/vf/paratype/
%{_texdir}/texmf-dist/tex/latex/paratype/

%files paratype-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/paratype/

%files phaistos
%license lppl1.txt
%{_datadir}/fonts/phaistos
%{_texdir}/texmf-dist/fonts/afm/public/phaistos/
%{_texdir}/texmf-dist/fonts/map/dvips/phaistos/
%{_texdir}/texmf-dist/fonts/opentype/public/phaistos/
%{_texdir}/texmf-dist/fonts/tfm/public/phaistos/
%{_texdir}/texmf-dist/fonts/type1/public/phaistos/
%{_texdir}/texmf-dist/tex/latex/phaistos/

%files phaistos-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/phaistos/

%files phonetic
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/phonetic/
%{_texdir}/texmf-dist/fonts/tfm/public/phonetic/
%{_texdir}/texmf-dist/tex/latex/phonetic/

%files phonetic-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/phonetic/

%files pigpen
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/pigpen/
%{_texdir}/texmf-dist/fonts/source/public/pigpen/
%{_texdir}/texmf-dist/fonts/tfm/public/pigpen/
%{_texdir}/texmf-dist/fonts/type1/public/pigpen/
%{_texdir}/texmf-dist/tex/latex/pigpen/

%files pigpen-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pigpen/

%files playfair
%license ofl.txt
%{_datadir}/fonts/playfair
%{_texdir}/texmf-dist/fonts/enc/dvips/playfair/
%{_texdir}/texmf-dist/fonts/map/dvips/playfair/
%{_texdir}/texmf-dist/fonts/opentype/public/playfair/
%{_texdir}/texmf-dist/fonts/tfm/public/playfair/
%{_texdir}/texmf-dist/fonts/type1/public/playfair/
%{_texdir}/texmf-dist/fonts/vf/public/playfair/
%{_texdir}/texmf-dist/tex/latex/playfair/

%files playfair-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/playfair/

%files poltawski
%license gfsl.txt
%{_datadir}/fonts/poltawski
%{_texdir}/texmf-dist/fonts/afm/gust/poltawski/
%{_texdir}/texmf-dist/fonts/enc/dvips/poltawski/
%{_texdir}/texmf-dist/fonts/map/dvips/poltawski/
%{_texdir}/texmf-dist/fonts/opentype/gust/poltawski/
%{_texdir}/texmf-dist/fonts/tfm/gust/poltawski/
%{_texdir}/texmf-dist/fonts/type1/gust/poltawski/
%{_texdir}/texmf-dist/tex/latex/poltawski/

%files poltawski-doc
%license gfsl.txt
%{_texdir}/texmf-dist/doc/fonts/poltawski/

%files prodint
%{_texdir}/texmf-dist/fonts/afm/public/prodint/
%{_texdir}/texmf-dist/fonts/map/dvips/prodint/
%{_texdir}/texmf-dist/fonts/tfm/public/prodint/
%{_texdir}/texmf-dist/fonts/type1/public/prodint/
%{_texdir}/texmf-dist/tex/latex/prodint/

%files prodint-doc
%{_texdir}/texmf-dist/doc/fonts/prodint/

%files punk
%license knuth.txt
%{_texdir}/texmf-dist/fonts/source/public/punk/
%{_texdir}/texmf-dist/fonts/tfm/public/punk/

%files punk-doc
%license knuth.txt
%{_texdir}/texmf-dist/doc/fonts/punk/

%files punk-latex
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/punk-latex/

%files punk-latex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/punk-latex/

%files punknova
%{_datadir}/fonts/punknova
%{_texdir}/texmf-dist/fonts/opentype/public/punknova/

%files punknova-doc
%{_texdir}/texmf-dist/doc/fonts/punknova/

%files pxtxalfa
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/pxtxalfa/
%{_texdir}/texmf-dist/fonts/tfm/public/pxtxalfa/
%{_texdir}/texmf-dist/fonts/vf/public/pxtxalfa/
%{_texdir}/texmf-dist/tex/latex/pxtxalfa/

%files pxtxalfa-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/pxtxalfa/

%files quattrocento
%license lppl1.txt
%{_datadir}/fonts/quattrocento
%{_texdir}/texmf-dist/fonts/enc/dvips/quattrocento/
%{_texdir}/texmf-dist/fonts/map/dvips/quattrocento/
%{_texdir}/texmf-dist/fonts/opentype/impallari/quattrocento/
%{_texdir}/texmf-dist/fonts/tfm/impallari/quattrocento/
%{_texdir}/texmf-dist/fonts/type1/impallari/quattrocento/
%{_texdir}/texmf-dist/fonts/vf/impallari/quattrocento/
%{_texdir}/texmf-dist/tex/latex/quattrocento/

%files quattrocento-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/quattrocento/

%files raleway
%license ofl.txt
%{_datadir}/fonts/raleway
%{_texdir}/texmf-dist/fonts/enc/dvips/raleway/
%{_texdir}/texmf-dist/fonts/map/dvips/raleway/
%{_texdir}/texmf-dist/fonts/opentype/impallari/raleway/
%{_texdir}/texmf-dist/fonts/tfm/impallari/raleway/
%{_texdir}/texmf-dist/fonts/type1/impallari/raleway/
%{_texdir}/texmf-dist/fonts/vf/impallari/raleway/
%{_texdir}/texmf-dist/tex/latex/raleway/

%files raleway-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/latex/raleway/

%files recycle
%license gpl.txt
%{_texdir}/texmf-dist/fonts/map/dvips/recycle/
%{_texdir}/texmf-dist/fonts/source/public/recycle/
%{_texdir}/texmf-dist/fonts/tfm/public/recycle/
%{_texdir}/texmf-dist/fonts/type1/public/recycle/
%{_texdir}/texmf-dist/tex/latex/recycle/

%files recycle-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/recycle/

%files roboto
%license apache2.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/roboto/
%{_texdir}/texmf-dist/fonts/map/dvips/roboto/
%{_texdir}/texmf-dist/fonts/tfm/google/roboto/
%{_texdir}/texmf-dist/fonts/truetype/google/roboto/
%{_texdir}/texmf-dist/fonts/type1/google/roboto/
%{_texdir}/texmf-dist/fonts/vf/google/roboto/
%{_texdir}/texmf-dist/tex/latex/roboto/

%files roboto-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/fonts/roboto/

%files romande
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/arkandis/romande/
%{_texdir}/texmf-dist/fonts/enc/dvips/romande/
%{_texdir}/texmf-dist/fonts/map/dvips/romande/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/romande/
%{_texdir}/texmf-dist/fonts/type1/arkandis/romande/
%{_texdir}/texmf-dist/fonts/vf/arkandis/romande/
%{_texdir}/texmf-dist/tex/latex/romande/

%files romande-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/romande/

%files rsfso
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/rsfso/
%{_texdir}/texmf-dist/fonts/tfm/public/rsfso/
%{_texdir}/texmf-dist/fonts/vf/public/rsfso/
%{_texdir}/texmf-dist/tex/latex/rsfso/

%files rsfso-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/rsfso/

%files sansmathaccent
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/map/dvips/sansmathaccent/
%{_texdir}/texmf-dist/fonts/tfm/public/sansmathaccent/
%{_texdir}/texmf-dist/fonts/vf/public/sansmathaccent/
%{_texdir}/texmf-dist/tex/latex/sansmathaccent/

%files sansmathaccent-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/sansmathaccent/

%files sansmathfonts
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/map/dvips/sansmathfonts/
%{_texdir}/texmf-dist/fonts/source/public/sansmathfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/sansmathfonts/
%{_texdir}/texmf-dist/fonts/type1/public/sansmathfonts/
%{_texdir}/texmf-dist/fonts/vf/public/sansmathfonts/
%{_texdir}/texmf-dist/tex/latex/sansmathfonts/

%files sansmathfonts-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/sansmathfonts/

%files sauter
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/sauter/

%files sauterfonts
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/sauterfonts/

%files sauterfonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/sauterfonts/

%files schulschriften
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/schulschriften/
%{_texdir}/texmf-dist/fonts/tfm/public/schulschriften/
%{_texdir}/texmf-dist/tex/latex/schulschriften/

%files schulschriften-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/schulschriften/

%files semaphor
%license gpl.txt
%{_datadir}/fonts/semaphor
%{_texdir}/texmf-dist/fonts/afm/public/semaphor/
%{_texdir}/texmf-dist/fonts/enc/dvips/semaphor/
%{_texdir}/texmf-dist/fonts/map/dvips/semaphor/
%{_texdir}/texmf-dist/fonts/opentype/public/semaphor/
%{_texdir}/texmf-dist/fonts/source/public/semaphor/
%{_texdir}/texmf-dist/fonts/tfm/public/semaphor/
%{_texdir}/texmf-dist/fonts/type1/public/semaphor/
%{_texdir}/texmf-dist/tex/context/third/semaphor/
%{_texdir}/texmf-dist/tex/latex/semaphor/
%{_texdir}/texmf-dist/tex/plain/semaphor/

%files semaphor-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/semaphor/

%files skull
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/skull/
%{_texdir}/texmf-dist/tex/latex/skull/

%files sourcecodepro
%license ofl.txt
%{_datadir}/fonts/sourcecodepro
%{_texdir}/texmf-dist/fonts/enc/dvips/sourcecodepro/
%{_texdir}/texmf-dist/fonts/map/dvips/sourcecodepro/
%{_texdir}/texmf-dist/fonts/opentype/adobe/sourcecodepro/
%{_texdir}/texmf-dist/fonts/tfm/adobe/sourcecodepro/
%{_texdir}/texmf-dist/fonts/type1/adobe/sourcecodepro/
%{_texdir}/texmf-dist/fonts/vf/adobe/sourcecodepro/
%{_texdir}/texmf-dist/tex/latex/sourcecodepro/

%files sourcecodepro-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/latex/sourcecodepro/

%files sourcesanspro
%license ofl.txt
%{_datadir}/fonts/sourcesanspro
%{_texdir}/texmf-dist/fonts/enc/dvips/sourcesanspro/
%{_texdir}/texmf-dist/fonts/map/dvips/sourcesanspro/
%{_texdir}/texmf-dist/fonts/opentype/adobe/sourcesanspro/
%{_texdir}/texmf-dist/fonts/tfm/adobe/sourcesanspro/
%{_texdir}/texmf-dist/fonts/type1/adobe/sourcesanspro/
%{_texdir}/texmf-dist/fonts/vf/adobe/sourcesanspro/
%{_texdir}/texmf-dist/tex/latex/sourcesanspro/

%files sourcesanspro-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/latex/sourcesanspro/

%files sourceserifpro
%license ofl.txt
%{_datadir}/fonts/sourceserifpro
%{_texdir}/texmf-dist/fonts/enc/dvips/sourceserifpro/
%{_texdir}/texmf-dist/fonts/map/dvips/sourceserifpro/
%{_texdir}/texmf-dist/fonts/opentype/adobe/sourceserifpro/
%{_texdir}/texmf-dist/fonts/tfm/adobe/sourceserifpro/
%{_texdir}/texmf-dist/fonts/type1/adobe/sourceserifpro/
%{_texdir}/texmf-dist/fonts/vf/adobe/sourceserifpro/
%{_texdir}/texmf-dist/tex/latex/sourceserifpro/

%files sourceserifpro-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/latex/sourceserifpro/

%files starfont
%license pd.txt
%{_texdir}/texmf-dist/fonts/afm/public/starfont/
%{_texdir}/texmf-dist/fonts/map/dvips/starfont/
%{_texdir}/texmf-dist/fonts/tfm/public/starfont/
%{_texdir}/texmf-dist/fonts/type1/public/starfont/
%{_texdir}/texmf-dist/tex/latex/starfont/

%files starfont-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/starfont/

%files staves
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/staves/
%{_texdir}/texmf-dist/fonts/tfm/public/staves/
%{_texdir}/texmf-dist/fonts/type1/public/staves/
%{_texdir}/texmf-dist/tex/latex/staves/

%files staves-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/staves/

%files stix
%{_texdir}/texmf-dist/fonts/enc/dvips/stix/
%{_texdir}/texmf-dist/fonts/map/dvips/stix/
%{_texdir}/texmf-dist/fonts/opentype/public/stix/
%{_texdir}/texmf-dist/fonts/source/public/stix/
%{_texdir}/texmf-dist/fonts/tfm/public/stix/
%{_texdir}/texmf-dist/fonts/type1/public/stix/
%{_texdir}/texmf-dist/fonts/vf/public/stix/
%{_texdir}/texmf-dist/tex/latex/stix/

%files stix-doc
%{_texdir}/texmf-dist/doc/fonts/stix/

%files superiors
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/superiors/
%{_texdir}/texmf-dist/fonts/map/dvips/superiors/
%{_texdir}/texmf-dist/fonts/tfm/public/superiors/
%{_texdir}/texmf-dist/fonts/type1/public/superiors/
%{_texdir}/texmf-dist/tex/latex/superiors/

%files superiors-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/superiors/

%files tapir
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/tapir/
%{_texdir}/texmf-dist/fonts/type1/public/tapir/

%files tapir-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/tapir/

%files tengwarscript
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/tengwarscript/
%{_texdir}/texmf-dist/fonts/map/dvips/tengwarscript/
%{_texdir}/texmf-dist/fonts/tfm/public/tengwarscript/
%{_texdir}/texmf-dist/fonts/vf/public/tengwarscript/
%{_texdir}/texmf-dist/tex/latex/tengwarscript/

%files tengwarscript-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tengwarscript/

%files tfrupee
%license gpl3.txt
%{_texdir}/texmf-dist/fonts/afm/public/tfrupee/
%{_texdir}/texmf-dist/fonts/map/dvips/tfrupee/
%{_texdir}/texmf-dist/fonts/tfm/public/tfrupee/
%{_texdir}/texmf-dist/fonts/type1/public/tfrupee/
%{_texdir}/texmf-dist/tex/latex/tfrupee/

%files tfrupee-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/fonts/tfrupee/

%files tpslifonts
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/tpslifonts/

%files tpslifonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/tpslifonts/

%files trajan
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/trajan/
%{_texdir}/texmf-dist/fonts/map/dvips/trajan/
%{_texdir}/texmf-dist/fonts/tfm/public/trajan/
%{_texdir}/texmf-dist/fonts/type1/public/trajan/
%{_texdir}/texmf-dist/tex/latex/trajan/

%files trajan-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/trajan/

%files txfontsb
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/txfontsb/
%{_texdir}/texmf-dist/fonts/enc/dvips/txfontsb/
%{_texdir}/texmf-dist/fonts/map/dvips/txfontsb/
%{_texdir}/texmf-dist/fonts/tfm/public/txfontsb/
%{_texdir}/texmf-dist/fonts/type1/public/txfontsb/
%{_texdir}/texmf-dist/fonts/vf/public/txfontsb/
%{_texdir}/texmf-dist/tex/latex/txfontsb/

%files txfontsb-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/txfontsb/

%files typicons
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/truetype/public/typicons/
%{_texdir}/texmf-dist/tex/latex/typicons/

%files typicons-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/typicons/

%files umtypewriter
%{_datadir}/fonts/umtypewriter
%{_texdir}/texmf-dist/fonts/opentype/public/umtypewriter/

%files universa
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/universa/
%{_texdir}/texmf-dist/fonts/tfm/public/universa/
%{_texdir}/texmf-dist/tex/latex/universa/

%files universa-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/universa/

%files universalis
%license gpl2.txt
%{_datadir}/fonts/universalis
%{_texdir}/texmf-dist/fonts/enc/dvips/universalis/
%{_texdir}/texmf-dist/fonts/map/dvips/universalis/
%{_texdir}/texmf-dist/fonts/opentype/arkandis/universalis/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/universalis/
%{_texdir}/texmf-dist/fonts/type1/arkandis/universalis/
%{_texdir}/texmf-dist/fonts/vf/arkandis/universalis/
%{_texdir}/texmf-dist/tex/latex/universalis/

%files universalis-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/universalis/

%files urwchancal
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/urw/urwchancal/
%{_texdir}/texmf-dist/fonts/vf/urw/urwchancal/
%{_texdir}/texmf-dist/tex/latex/urwchancal/

%files urwchancal-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/urwchancal/

%files venturisadf
%{_texdir}/texmf-dist/fonts/afm/arkandis/venturis/
%{_texdir}/texmf-dist/fonts/afm/arkandis/venturis2/
%{_texdir}/texmf-dist/fonts/afm/arkandis/venturisold/
%{_texdir}/texmf-dist/fonts/afm/arkandis/venturissans/
%{_texdir}/texmf-dist/fonts/afm/arkandis/venturissans2/
%{_texdir}/texmf-dist/fonts/enc/dvips/venturisadf/
%{_texdir}/texmf-dist/fonts/map/dvips/venturis/
%{_texdir}/texmf-dist/fonts/map/dvips/venturis2/
%{_texdir}/texmf-dist/fonts/map/dvips/venturisold/
%{_texdir}/texmf-dist/fonts/map/dvips/venturissans/
%{_texdir}/texmf-dist/fonts/map/dvips/venturissans2/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/venturis/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/venturis2/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/venturisold/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/venturissans/
%{_texdir}/texmf-dist/fonts/tfm/arkandis/venturissans2/
%{_texdir}/texmf-dist/fonts/type1/arkandis/venturis/
%{_texdir}/texmf-dist/fonts/type1/arkandis/venturis2/
%{_texdir}/texmf-dist/fonts/type1/arkandis/venturisold/
%{_texdir}/texmf-dist/fonts/type1/arkandis/venturissans/
%{_texdir}/texmf-dist/fonts/type1/arkandis/venturissans2/
%{_texdir}/texmf-dist/fonts/vf/arkandis/venturis/
%{_texdir}/texmf-dist/fonts/vf/arkandis/venturis2/
%{_texdir}/texmf-dist/fonts/vf/arkandis/venturisold/
%{_texdir}/texmf-dist/fonts/vf/arkandis/venturissans/
%{_texdir}/texmf-dist/fonts/vf/arkandis/venturissans2/
%{_texdir}/texmf-dist/tex/latex/venturis/
%{_texdir}/texmf-dist/tex/latex/venturis2/
%{_texdir}/texmf-dist/tex/latex/venturisadf/
%{_texdir}/texmf-dist/tex/latex/venturisold/
%{_texdir}/texmf-dist/tex/latex/venturissans/
%{_texdir}/texmf-dist/tex/latex/venturissans2/

%files venturisadf-doc
%{_texdir}/texmf-dist/doc/fonts/venturisadf/

%files wsuipa
%{_texdir}/texmf-dist/fonts/source/public/wsuipa/
%{_texdir}/texmf-dist/fonts/tfm/public/wsuipa/
%{_texdir}/texmf-dist/tex/latex/wsuipa/

%files wsuipa-doc
%{_texdir}/texmf-dist/doc/fonts/wsuipa/

%files xcharter
%license other-free.txt
%{_datadir}/fonts/xcharter
%{_texdir}/texmf-dist/fonts/afm/public/xcharter/
%{_texdir}/texmf-dist/fonts/enc/dvips/xcharter/
%{_texdir}/texmf-dist/fonts/map/dvips/xcharter/
%{_texdir}/texmf-dist/fonts/opentype/public/xcharter/
%{_texdir}/texmf-dist/fonts/tfm/public/xcharter/
%{_texdir}/texmf-dist/fonts/type1/public/xcharter/
%{_texdir}/texmf-dist/fonts/vf/public/xcharter/
%{_texdir}/texmf-dist/tex/latex/xcharter/

%files xcharter-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/fonts/xcharter/

%files xits
%license ofl.txt
%{_datadir}/fonts/xits
%{_texdir}/texmf-dist/fonts/opentype/public/xits/

%files xits-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/xits/

%files yfonts
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/yfonts/

%files yfonts-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/yfonts/

%files yfonts-t1
%license lppl1.txt 
%license yfonts-t1-license-email.pdf
%{_texdir}/texmf-dist/dvips/yfonts-t1/
%{_texdir}/texmf-dist/fonts/afm/public/yfonts-t1/
%{_texdir}/texmf-dist/fonts/map/dvips/yfonts-t1/
%{_texdir}/texmf-dist/fonts/type1/public/yfonts-t1/

%files yfonts-t1-doc
%license lppl1.txt 
%license yfonts-t1-license-email.pdf
%{_texdir}/texmf-dist/doc/fonts/yfonts-t1/

%files zlmtt
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/zlmtt/

%files zlmtt-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/zlmtt/

%files collection-fontsrecommended

%files courier
%license gpl.txt
%{_texdir}/texmf-dist/dvips/courier/
%{_texdir}/texmf-dist/fonts/afm/adobe/courier/
%{_texdir}/texmf-dist/fonts/afm/urw/courier/
%{_texdir}/texmf-dist/fonts/map/dvips/courier/
%{_texdir}/texmf-dist/fonts/tfm/adobe/courier/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/courier/
%{_texdir}/texmf-dist/fonts/type1/adobe/courier/
%{_texdir}/texmf-dist/fonts/type1/urw/courier/
%{_texdir}/texmf-dist/fonts/vf/adobe/courier/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/courier/
%{_texdir}/texmf-dist/tex/latex/courier/

%files ec
%{_texdir}/texmf-dist/fonts/source/jknappen/ec/
%{_texdir}/texmf-dist/fonts/tfm/jknappen/ec/

%files ec-doc
%{_texdir}/texmf-dist/doc/fonts/ec/

%files euro
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/euro/

%files euro-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/euro/

%files eurosym
%{_texdir}/texmf-dist/fonts/map/dvips/eurosym/
%{_texdir}/texmf-dist/fonts/source/public/eurosym/
%{_texdir}/texmf-dist/fonts/tfm/public/eurosym/
%{_texdir}/texmf-dist/fonts/type1/public/eurosym/
%{_texdir}/texmf-dist/tex/latex/eurosym/

%files eurosym-doc
%{_texdir}/texmf-dist/doc/fonts/eurosym/

%files fpl
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/fpl/
%{_texdir}/texmf-dist/fonts/type1/public/fpl/

%files fpl-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/fpl/

%files helvetic
%license gpl.txt
%{_texdir}/texmf-dist/dvips/helvetic/
%{_texdir}/texmf-dist/fonts/afm/adobe/helvetic/
%{_texdir}/texmf-dist/fonts/afm/urw/helvetic/
%{_texdir}/texmf-dist/fonts/map/dvips/helvetic/
%{_texdir}/texmf-dist/fonts/tfm/adobe/helvetic/
%{_texdir}/texmf-dist/fonts/tfm/monotype/helvetic/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/helvetic/
%{_texdir}/texmf-dist/fonts/type1/urw/helvetic/
%{_texdir}/texmf-dist/fonts/vf/adobe/helvetic/
%{_texdir}/texmf-dist/fonts/vf/monotype/helvetic/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/helvetic/
%{_texdir}/texmf-dist/tex/latex/helvetic/

%files marvosym
%license ofl.txt
%{_texdir}/texmf-dist/fonts/afm/public/marvosym/
%{_texdir}/texmf-dist/fonts/map/dvips/marvosym/
%{_texdir}/texmf-dist/fonts/tfm/public/marvosym/
%{_texdir}/texmf-dist/fonts/truetype/public/marvosym/
%{_texdir}/texmf-dist/fonts/type1/public/marvosym/
%{_texdir}/texmf-dist/tex/latex/marvosym/

%files marvosym-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/marvosym/

%files mathpazo
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/mathpazo/
%{_texdir}/texmf-dist/fonts/tfm/public/mathpazo/
%{_texdir}/texmf-dist/fonts/type1/public/mathpazo/
%{_texdir}/texmf-dist/fonts/vf/public/mathpazo/

%files mathpazo-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/mathpazo/

%files ncntrsbk
%license gpl.txt
%{_texdir}/texmf-dist/dvips/ncntrsbk/
%{_texdir}/texmf-dist/fonts/afm/adobe/ncntrsbk/
%{_texdir}/texmf-dist/fonts/afm/urw/ncntrsbk/
%{_texdir}/texmf-dist/fonts/map/dvips/ncntrsbk/
%{_texdir}/texmf-dist/fonts/tfm/adobe/ncntrsbk/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/ncntrsbk/
%{_texdir}/texmf-dist/fonts/type1/urw/ncntrsbk/
%{_texdir}/texmf-dist/fonts/vf/adobe/ncntrsbk/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/ncntrsbk/
%{_texdir}/texmf-dist/tex/latex/ncntrsbk/

%files palatino
%license gpl.txt
%{_texdir}/texmf-dist/dvips/palatino/
%{_texdir}/texmf-dist/fonts/afm/adobe/palatino/
%{_texdir}/texmf-dist/fonts/afm/urw/palatino/
%{_texdir}/texmf-dist/fonts/map/dvips/palatino/
%{_texdir}/texmf-dist/fonts/tfm/adobe/palatino/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/palatino/
%{_texdir}/texmf-dist/fonts/type1/urw/palatino/
%{_texdir}/texmf-dist/fonts/vf/adobe/palatino/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/palatino/
%{_texdir}/texmf-dist/tex/latex/palatino/

%files pxfonts
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/pxfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/pxfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/pxfonts/
%{_texdir}/texmf-dist/fonts/type1/public/pxfonts/
%{_texdir}/texmf-dist/fonts/vf/public/pxfonts/
%{_texdir}/texmf-dist/tex/latex/pxfonts/

%files pxfonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/pxfonts/

%files rsfs
%{_texdir}/texmf-dist/fonts/afm/public/rsfs/
%{_texdir}/texmf-dist/fonts/map/dvips/rsfs/
%{_texdir}/texmf-dist/fonts/source/public/rsfs/
%{_texdir}/texmf-dist/fonts/tfm/public/rsfs/
%{_texdir}/texmf-dist/fonts/type1/public/rsfs/
%{_texdir}/texmf-dist/tex/plain/rsfs/

%files rsfs-doc
%{_texdir}/texmf-dist/doc/fonts/rsfs/

%files symbol
%license gpl.txt
%{_texdir}/texmf-dist/dvips/symbol/
%{_texdir}/texmf-dist/fonts/afm/adobe/symbol/
%{_texdir}/texmf-dist/fonts/afm/urw/symbol/
%{_texdir}/texmf-dist/fonts/map/dvips/symbol/
%{_texdir}/texmf-dist/fonts/tfm/adobe/symbol/
%{_texdir}/texmf-dist/fonts/tfm/monotype/symbol/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/symbol/
%{_texdir}/texmf-dist/fonts/type1/urw/symbol/
%{_texdir}/texmf-dist/tex/latex/symbol/

%files tex-gyre
%license gfsl.txt
%{_datadir}/fonts/tex-gyre
%{_texdir}/texmf-dist/fonts/afm/public/tex-gyre/
%{_texdir}/texmf-dist/fonts/enc/dvips/tex-gyre/
%{_texdir}/texmf-dist/fonts/map/dvips/tex-gyre/
%{_texdir}/texmf-dist/fonts/opentype/public/tex-gyre/
%{_texdir}/texmf-dist/fonts/tfm/public/tex-gyre/
%{_texdir}/texmf-dist/fonts/type1/public/tex-gyre/
%{_texdir}/texmf-dist/tex/latex/tex-gyre/

%files tex-gyre-doc
%license gfsl.txt
%{_texdir}/texmf-dist/doc/fonts/tex-gyre/

%files tex-gyre-math
%license gfl.txt
%{_datadir}/fonts/tex-gyre-math
%{_texdir}/texmf-dist/fonts/opentype/public/tex-gyre-math/

%files tex-gyre-math-doc
%license gfl.txt
%{_texdir}/texmf-dist/doc/fonts/tex-gyre-math/

%files times
%license gpl.txt
%{_texdir}/texmf-dist/dvips/times/
%{_texdir}/texmf-dist/fonts/afm/adobe/times/
%{_texdir}/texmf-dist/fonts/afm/urw/times/
%{_texdir}/texmf-dist/fonts/map/dvips/times/
%{_texdir}/texmf-dist/fonts/tfm/adobe/times/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/times/
%{_texdir}/texmf-dist/fonts/type1/urw/times/
%{_texdir}/texmf-dist/fonts/vf/adobe/times/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/times/
%{_texdir}/texmf-dist/tex/latex/times/

%files tipa
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/tipa/
%{_texdir}/texmf-dist/fonts/source/public/tipa/
%{_texdir}/texmf-dist/fonts/tfm/public/tipa/
%{_texdir}/texmf-dist/fonts/type1/public/tipa/
%{_texdir}/texmf-dist/tex/latex/tipa/

%files tipa-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/tipa/

%files txfonts
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/txfonts/
%{_texdir}/texmf-dist/fonts/enc/dvips/txfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/txfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/txfonts/
%{_texdir}/texmf-dist/fonts/type1/public/txfonts/
%{_texdir}/texmf-dist/fonts/vf/public/txfonts/
%{_texdir}/texmf-dist/tex/latex/txfonts/

%files txfonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/txfonts/

%files utopia
%{_texdir}/texmf-dist/fonts/afm/adobe/utopia/
%{_texdir}/texmf-dist/fonts/tfm/adobe/utopia/
%{_texdir}/texmf-dist/fonts/type1/adobe/utopia/
%{_texdir}/texmf-dist/fonts/vf/adobe/utopia/

%files utopia-doc
%{_texdir}/texmf-dist/doc/fonts/utopia/

%files wasy
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/wasy/
%{_texdir}/texmf-dist/fonts/tfm/public/wasy/
%{_texdir}/texmf-dist/tex/plain/wasy/

%files wasy-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/wasy/

%files wasy2-ps
%license pd.txt
%{_texdir}/texmf-dist/fonts/afm/public/wasy2-ps/
%{_texdir}/texmf-dist/fonts/map/dvips/wasy2-ps/
%{_texdir}/texmf-dist/fonts/type1/public/wasy2-ps/

%files wasy2-ps-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/wasy2-ps/

%files wasysym
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/wasysym/

%files wasysym-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/wasysym/

%files zapfchan
%license gpl.txt
%{_texdir}/texmf-dist/dvips/zapfchan/
%{_texdir}/texmf-dist/fonts/afm/adobe/zapfchan/
%{_texdir}/texmf-dist/fonts/afm/urw/zapfchan/
%{_texdir}/texmf-dist/fonts/map/dvips/zapfchan/
%{_texdir}/texmf-dist/fonts/tfm/adobe/zapfchan/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/zapfchan/
%{_texdir}/texmf-dist/fonts/type1/urw/zapfchan/
%{_texdir}/texmf-dist/fonts/vf/adobe/zapfchan/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/zapfchan/
%{_texdir}/texmf-dist/tex/latex/zapfchan/

%files zapfding
%license gpl.txt
%{_texdir}/texmf-dist/dvips/zapfding/
%{_texdir}/texmf-dist/fonts/afm/adobe/zapfding/
%{_texdir}/texmf-dist/fonts/afm/urw/zapfding/
%{_texdir}/texmf-dist/fonts/map/dvips/zapfding/
%{_texdir}/texmf-dist/fonts/tfm/adobe/zapfding/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/zapfding/
%{_texdir}/texmf-dist/fonts/type1/urw/zapfding/
%{_texdir}/texmf-dist/tex/latex/zapfding/

%files collection-fontutils

%files dvipsconfig
%license gpl.txt
%{_texdir}/texmf-dist/dvips/dvipsconfig/

%files collection-formatsextra

%files edmac
%license gpl2.txt
%{_texdir}/texmf-dist/tex/generic/edmac/

%files edmac-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/edmac/

%files psizzl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/psizzl/

%files psizzl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/otherformats/psizzl/

%files startex
%license pd.txt
%{_texdir}/texmf-dist/makeindex/startex/
%{_texdir}/texmf-dist/tex/startex/

%files startex-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/otherformats/startex/

%files collection-games

%files crossword
%{_texdir}/texmf-dist/tex/latex/crossword/

%files crossword-doc
%{_texdir}/texmf-dist/doc/latex/crossword/

%files crosswrd
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/crosswrd/

%files crosswrd-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/crosswrd/

%files egameps
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/egameps/

%files egameps-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/egameps/

%files gamebook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gamebook/

%files gamebook-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gamebook/

%files go
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/go/
%{_texdir}/texmf-dist/fonts/tfm/public/go/
%{_texdir}/texmf-dist/tex/latex/go/

%files go-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/go/

%files hanoi
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/hanoi/

%files havannah
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/havannah/

%files havannah-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/havannah/

%files hexgame
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hexgame/

%files hexgame-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hexgame/

%files horoscop
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/horoscop/

%files horoscop-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/horoscop/

%files labyrinth
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/labyrinth/

%files labyrinth-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/labyrinth/

%files logicpuzzle
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/logicpuzzle/
%{_texdir}/texmf-dist/tex/latex/logicpuzzle/

%files logicpuzzle-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/logicpuzzle/

%files othello
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/othello/
%{_texdir}/texmf-dist/fonts/tfm/public/othello/
%{_texdir}/texmf-dist/tex/latex/othello/

%files othello-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/othello/

%files othelloboard
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/othelloboard/

%files othelloboard-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/othelloboard/

%files pas-crosswords
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pas-crosswords/

%files pas-crosswords-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pas-crosswords/

%files psgo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/psgo/

%files psgo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/psgo/

%files reverxii-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/plain/reverxii/

%files schwalbe-chess
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/schwalbe-chess/

%files schwalbe-chess-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/schwalbe-chess/

%files sgame
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sgame/

%files sgame-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sgame/

%files skak
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/skak/
%{_texdir}/texmf-dist/fonts/tfm/public/skak/
%{_texdir}/texmf-dist/tex/latex/skak/

%files skak-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/skak/

%files sudoku
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sudoku/

%files sudoku-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sudoku/

%files sudokubundle
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sudokubundle/

%files sudokubundle-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sudokubundle/

%files xq
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/xq/
%{_texdir}/texmf-dist/fonts/tfm/public/xq/
%{_texdir}/texmf-dist/tex/latex/xq/

%files xq-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/xq/

%files xskak
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xskak/

%files xskak-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xskak/

%files c-pascal
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/c-pascal/

%files c-pascal-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/c-pascal/

%files colorsep
%license pd.txt
%{_texdir}/texmf-dist/dvips/colorsep/

%files dinat
%license pd.txt
%{_texdir}/texmf-dist/bibtex/bst/dinat/

%files dinat-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/bibtex/dinat/

%files dirtree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/dirtree/

%files dirtree-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/dirtree/

%files docbytex
%license other-free.txt
%{_texdir}/texmf-dist/tex/generic/docbytex/

%files docbytex-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/generic/docbytex/

%files dowith
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/dowith/

%files dowith-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/dowith/

%files eijkhout
%license collection.txt
%{_texdir}/texmf-dist/tex/generic/eijkhout/

%files encxvlna
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/encxvlna/
%{_texdir}/texmf-dist/tex/plain/encxvlna/

%files encxvlna-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/encxvlna/

%files epigram
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/epigram/

%files fenixpar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/fenixpar/

%files fenixpar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/fenixpar/

%files fltpoint
%{_texdir}/texmf-dist/tex/generic/fltpoint/

%files fltpoint-doc
%{_texdir}/texmf-dist/doc/generic/fltpoint/

%files fntproof
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/fntproof/

%files fntproof-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/fntproof/

%files gates
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/gates/

%files gates-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/gates/

%files ifetex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ifetex/
%{_texdir}/texmf-dist/tex/plain/ifetex/

%files ifetex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ifetex/

%files iftex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/iftex/

%files iftex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/iftex/

%files insbox
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/insbox/

%files insbox-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/insbox/

%files lambda-lists
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/lambda-lists/

%files lambda-lists-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/lambda-lists/

%files langcode
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/langcode/

%files langcode-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/langcode/

%files lecturer
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/lecturer/

%files lecturer-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/lecturer/

%files librarian
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/librarian/

%files librarian-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/librarian/

%files mathdots
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/mathdots/

%files mathdots-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/mathdots/

%files metatex
%license gpl.txt
%{_texdir}/texmf-dist/tex/plain/metatex/

%files metatex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/plain/metatex/

%files midnight
%{_texdir}/texmf-dist/tex/generic/midnight/

%files midnight-doc
%{_texdir}/texmf-dist/doc/generic/midnight/

%files navigator
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/navigator/

%files navigator-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/navigator/

%files ofs
%license knuth.txt
%{_texdir}/texmf-dist/tex/generic/ofs/

%files ofs-doc
%license knuth.txt
%{_texdir}/texmf-dist/doc/generic/ofs/

%files pdf-trans
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/pdf-trans/

%files pdf-trans-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/pdf-trans/

%files plainpkg
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/plainpkg/

%files plainpkg-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/plainpkg/

%files schemata
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/schemata/

%files schemata-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/schemata/

%files shade
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/shade/
%{_texdir}/texmf-dist/tex/generic/shade/

%files shade-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/shade/

%files systeme
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/systeme/

%files systeme-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/systeme/

%files tabto-generic
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/tabto-generic/

%files termmenu
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/termmenu/

%files termmenu-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/termmenu/

%files tracklang
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/tracklang/
%{_texdir}/texmf-dist/tex/latex/tracklang/

%files tracklang-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/tracklang/

%files texapi
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/texapi/

%files texapi-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/texapi/

%files upca
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/upca/

%files upca-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/upca/

%files xlop
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/xlop/

%files xlop-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/xlop/

%files yax
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/yax/

%files yax-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/yax/

%files epsf
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/epsf/

%files epsf-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/epsf/

%files fontname
%license gpl.txt
%{_infodir}/fontname.info*
%{_texdir}/texmf-dist/fonts/map/fontname/

%files fontname-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/fontname/

%files genmisc
%{_texdir}/texmf-dist/tex/generic/genmisc/

%files kastrup
%license other-free.txt
%{_texdir}/texmf-dist/tex/generic/kastrup/

%files kastrup-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/generic/kastrup/

%files multido
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/multido/
%{_texdir}/texmf-dist/tex/latex/multido/

%files multido-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/multido/

%files path
%{_texdir}/texmf-dist/tex/generic/path/

%files path-doc
%{_texdir}/texmf-dist/doc/generic/path/

%files tex-ps
%license pd.txt
%{_texdir}/texmf-dist/dvips/tex-ps/
%{_texdir}/texmf-dist/tex/generic/tex-ps/

%files tex-ps-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/tex-ps/

%files ulem
%{_texdir}/texmf-dist/tex/generic/ulem/

%files ulem-doc
%{_texdir}/texmf-dist/doc/generic/ulem/

%files passivetex
%{_texdir}/texmf-dist/tex/xmltex/passivetex/

%files xmltexconfig
%{_texdir}/texmf-dist/tex/xmltex/xmltexconfig/

%files collection-humanities

%files covington
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/covington/

%files covington-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/covington/

%files dramatist
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/dramatist/

%files dramatist-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/dramatist/

%files dvgloss
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dvgloss/

%files dvgloss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dvgloss/

%files ecltree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ecltree/

%files ecltree-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ecltree/

%files edfnotes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/edfnotes/

%files edfnotes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/edfnotes/

%files ednotes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ednotes/

%files ednotes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ednotes/

%files ncctools
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ncctools/

%files ncctools-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ncctools/

%files eledform
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/eledform/

%files eledform-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/eledform/

%files eledmac
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/eledmac/

%files eledmac-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/eledmac/

%files expex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/expex/

%files expex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/expex/

%files gb4e
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/gb4e/

%files gb4e-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/gb4e/

%files gmverse
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gmverse/

%files gmverse-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gmverse/

%files jura
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/jura/

%files jura-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/jura/

%files juraabbrev
%license gpl.txt
%{_texdir}/texmf-dist/makeindex/juraabbrev/
%{_texdir}/texmf-dist/tex/latex/juraabbrev/

%files juraabbrev-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/juraabbrev/

%files juramisc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/juramisc/

%files juramisc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/juramisc/

%files jurarsp
%license gpl.txt
%{_texdir}/texmf-dist/bibtex/bst/jurarsp/
%{_texdir}/texmf-dist/tex/latex/jurarsp/

%files jurarsp-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/jurarsp/

%files ledmac
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ledmac/

%files ledmac-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ledmac/

%files leipzig
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/leipzig/
%{_texdir}/texmf-dist/makeindex/leipzig/

%files leipzig-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/leipzig/

%files lexikon
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lexikon/

%files lexikon-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lexikon/

%files lexref
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lexref/

%files lexref-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lexref/

%files linguex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/linguex/

%files linguex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/linguex/

%files liturg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/liturg/

%files liturg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/liturg/

%files metrix
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/metrix/

%files metrix-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/metrix/

%files parallel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/parallel/

%files parallel-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/parallel/

%files parrun
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/parrun/

%files parrun-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/parrun/

%files phonrule
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/phonrule/

%files phonrule-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/phonrule/

%files plari
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/plari/

%files plari-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/plari/

%files play
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/play/

%files play-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/play/

%files poemscol
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/poemscol/

%files poemscol-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/poemscol/

%files poetrytex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/poetrytex/

%files poetrytex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/poetrytex/

%files qobitree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/qobitree/

%files qobitree-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/qobitree/

%files qtree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/qtree/

%files qtree-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/qtree/

%files reledmac
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/reledmac/

%files reledmac-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/reledmac/

%files rrgtrees
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rrgtrees/

%files rrgtrees-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rrgtrees/

%files rtklage
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rtklage/

%files rtklage-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rtklage/

%files screenplay
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/screenplay/

%files screenplay-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/screenplay/

%files screenplay-pkg
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/screenplay-pkg/

%files screenplay-pkg-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/screenplay-pkg/

%files sides
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/sides/

%files sides-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/sides/

%files stage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/stage/

%files stage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/stage/

%files textglos
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/textglos/

%files textglos-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/textglos/

%files thalie
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/thalie/

%files thalie-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/thalie/

%files tree-dvips
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/tree-dvips/
%{_texdir}/texmf-dist/tex/latex/tree-dvips/

%files tree-dvips-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tree-dvips/

%files verse
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/verse/

%files verse-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/verse/

%files xyling
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xyling/

%files xyling-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xyling/

%files ethiop
%license gpl.txt
%{_texdir}/texmf-dist/fonts/ofm/public/ethiop/
%{_texdir}/texmf-dist/fonts/ovf/public/ethiop/
%{_texdir}/texmf-dist/fonts/ovp/public/ethiop/
%{_texdir}/texmf-dist/fonts/source/public/ethiop/
%{_texdir}/texmf-dist/fonts/tfm/public/ethiop/
%{_texdir}/texmf-dist/omega/ocp/ethiop/
%{_texdir}/texmf-dist/omega/otp/ethiop/
%{_texdir}/texmf-dist/tex/latex/ethiop/

%files ethiop-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ethiop/

%files ethiop-t1
%license gpl.txt
%{_texdir}/texmf-dist/fonts/map/dvips/ethiop-t1/
%{_texdir}/texmf-dist/fonts/type1/public/ethiop-t1/

%files ethiop-t1-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ethiop-t1/

%files fc
%license gpl2.txt
%{_texdir}/texmf-dist/fonts/source/jknappen/fc/
%{_texdir}/texmf-dist/fonts/tfm/jknappen/fc/
%{_texdir}/texmf-dist/tex/latex/fc/

%files fc-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/fc/

%files hyphen-ethiopic
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-mul-ethi.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-mul-ethi.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mul-ethi.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mul-ethi.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mul-ethi.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mul-ethi.pat.txt

%files collection-langarabic

%files dad
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/dad/
%{_texdir}/texmf-dist/fonts/map/dvips/dad/
%{_texdir}/texmf-dist/fonts/ofm/public/dad/
%{_texdir}/texmf-dist/fonts/ovf/public/dad/
%{_texdir}/texmf-dist/fonts/tfm/public/dad/
%{_texdir}/texmf-dist/fonts/type1/public/dad/
%{_texdir}/texmf-dist/tex/lualatex/dad/

%files dad-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/dad/

%files ghab
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/ghab/
%{_texdir}/texmf-dist/tex/latex/ghab/

%files ghab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ghab/

%files hyphen-arabic

%files hyphen-farsi

%files imsproc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/imsproc/

%files imsproc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/imsproc/

%files lshort-persian-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lshort-persian/

%files persian-bib
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/persian-bib/
%{_texdir}/texmf-dist/bibtex/csf/persian-bib/

%files persian-bib-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/persian-bib/

%files simurgh
%license gpl2.txt
%{_texdir}/texmf-dist/tex/lualatex/simurgh/

%files simurgh-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/lualatex/simurgh/

%files tram
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/tram/
%{_texdir}/texmf-dist/tex/latex/tram/

%files tram-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tram/

%files collection-langchinese

%files collection-langcjk

%files dnp
%{_texdir}/texmf-dist/fonts/sfd/dnp/

%files xcjk2uni
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xcjk2uni/

%files xcjk2uni-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xcjk2uni/

%files zxjafont
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/zxjafont/

%files zxjafont-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/zxjafont/

%files ctex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/ctex/
%{_texdir}/texmf-dist/tex/latex/ctex/

%files ctex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ctex/

%files ctex-faq-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/latex/ctex-faq/

%files fandol
%license gpl.txt
%{_datadir}/fonts/fandol
%{_texdir}/texmf-dist/fonts/opentype/public/fandol/

%files fandol-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/fandol/

%files hyphen-chinese
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-zh-latn-pinyin.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-zh-latn-pinyin.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-zh-latn-pinyin.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-zh-latn-pinyin.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-zh-latn-pinyin.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-zh-latn-pinyin.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-zh-latn-pinyin.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-zh-latn-pinyin.pat.txt

%files impatient-cn-doc
%{_texdir}/texmf-dist/doc/plain/impatient-cn/

%files latex-notes-zh-cn-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/latex-notes-zh-cn/

%files lshort-chinese-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-chinese/

%files texlive-zh-cn-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-zh-cn/

%files xpinyin
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xpinyin/

%files xpinyin-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xpinyin/

%files zhmetrics
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/zhmetrics/
%{_texdir}/texmf-dist/tex/generic/zhmetrics/
%{_texdir}/texmf-dist/tex/latex/zhmetrics/

%files zhmetrics-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/zhmetrics/

%files zhnumber
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/zhnumber/

%files zhnumber-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/zhnumber/

%files zhspacing
%license lppl1.txt
%{_texdir}/texmf-dist/tex/context/third/zhspacing/
%{_texdir}/texmf-dist/tex/generic/zhspacing/
%{_texdir}/texmf-dist/tex/xelatex/zhspacing/

%files zhspacing-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/zhspacing/

%files collection-langcyrillic

%files cyrplain
%{_texdir}/texmf-dist/tex/plain/cyrplain/

%files disser
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/disser/
%{_texdir}/texmf-dist/tex/latex/disser/

%files disser-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/disser/

%files eskd
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/eskd/

%files eskd-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/eskd/

%files eskdx
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/eskdx/

%files eskdx-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/eskdx/

%files gost
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/gost/
%{_texdir}/texmf-dist/bibtex/csf/gost

%files gost-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/bibtex/gost/

%files hyphen-bulgarian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-bg.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-bg.t2a.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-bg.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bg.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bg.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bg.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bg.pat.txt

%files hyphen-mongolian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-mn-cyrl-x-lmc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-mn-cyrl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-mn-cyrl-x-lmc.lmc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-mn-cyrl.t2a.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-mn-cyrl-x-lmc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-mn-cyrl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mn-cyrl.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mn-cyrl.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mn-cyrl.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mn-cyrl.pat.txt

%files hyphen-russian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ru.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-ru.t2a.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ru.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ru.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ru.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ru.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ru.pat.txt

%files ruhyphen
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/ruhyphen/

%files hyphen-serbian
%license gpl.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-sr-cyrl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-sr-latn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-sh-cyrl.t2a.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-sh-latn.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-sh-cyrl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-sh-latn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-sr-cyrl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-cyrl.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-cyrl.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-cyrl.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-cyrl.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-latn.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-latn.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-latn.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sh-latn.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sr-cyrl.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sr-cyrl.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sr-cyrl.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sr-cyrl.pat.txt

%files hyphen-ukrainian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-uk.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-uk.t2a.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-uk.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-uk.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-uk.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-uk.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-uk.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-uk.pat.txt

%files ukrhyph
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/ukrhyph/

%files ukrhyph-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/ukrhyph/

%files lcyw
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lcyw/

%files lcyw-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lcyw/

%files lh
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/lh/
%{_texdir}/texmf-dist/tex/latex/lh/
%{_texdir}/texmf-dist/tex/plain/lh/

%files lh-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/lh/

%files lhcyr
%{_texdir}/texmf-dist/tex/latex/lhcyr/

%files lshort-bulgarian-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lshort-bulgarian/

%files lshort-mongol-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lshort-mongol/

%files lshort-russian-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-russian/

%files lshort-ukr-doc
%{_texdir}/texmf-dist/doc/latex/lshort-ukr/

%files mongolian-babel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mongolian-babel/

%files mongolian-babel-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mongolian-babel/

%files montex
%license gpl.txt
%{_texdir}/texmf-dist/fonts/map/dvips/montex/
%{_texdir}/texmf-dist/fonts/source/public/montex/
%{_texdir}/texmf-dist/fonts/tfm/public/montex/
%{_texdir}/texmf-dist/fonts/type1/public/montex/
%{_texdir}/texmf-dist/tex/latex/montex/

%files montex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/montex/

%files mpman-ru-doc
%{_texdir}/texmf-dist/doc/metapost/mpman-ru/

%files pst-eucl-translation-bg-doc
%{_texdir}/texmf-dist/doc/latex/pst-eucl-translation-bg/

%files serbian-apostrophe
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/serbian-apostrophe/

%files serbian-apostrophe-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/serbian-apostrophe/

%files serbian-date-lat
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/serbian-date-lat/

%files serbian-date-lat-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/serbian-date-lat/

%files serbian-def-cyr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/serbian-def-cyr/

%files serbian-def-cyr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/serbian-def-cyr/

%files serbian-lig
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/serbian-lig/

%files serbian-lig-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/serbian-lig/

%files t2
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/t2/
%{_texdir}/texmf-dist/tex/generic/t2/
%{_texdir}/texmf-dist/tex/latex/t2/

%files t2-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/t2/

%files texlive-ru-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-ru/

%files texlive-sr-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-sr/

%files collection-langczechslovak

%files cs
%license gpl.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/cs/
%{_texdir}/texmf-dist/fonts/map/dvips/cs/
%{_texdir}/texmf-dist/fonts/source/public/cs/
%{_texdir}/texmf-dist/fonts/tfm/cs/
%{_texdir}/texmf-dist/fonts/tfm/public/cs/
%{_texdir}/texmf-dist/fonts/type1/public/cs/
%{_texdir}/texmf-dist/fonts/vf/cs/

%files csbulletin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/csbulletin/

%files csbulletin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/csbulletin/

%files cstex-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/cstex/

%files hyphen-czech
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-cs.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-cs.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-cs.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cs.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cs.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cs.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cs.pat.txt

%files hyphen-slovak
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-sk.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-sk.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-sk.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sk.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sk.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sk.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sk.pat.txt

%files lshort-czech-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-czech/

%files lshort-slovak-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lshort-slovak/

%files texlive-cz-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-cz/

%files collection-langenglish

%files hyphen-english
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-en-gb.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-en-us.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-en-gb.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-en-us.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-gb.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-gb.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-gb.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-gb.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-us.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-us.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-us.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-en-us.pat.txt

%files FAQ-en-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/FAQ-en/

%files MemoirChapStyles-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/MemoirChapStyles/

%files Type1fonts-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/fonts/Type1fonts/

%files components-of-TeX-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/components-of-TeX/

%files comprehensive-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/comprehensive/

%files dickimaw-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/latex/dickimaw/

%files dtxtut-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/dtxtut/

%files first-latex-doc-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/first-latex-doc/

%files gentle-doc
%{_texdir}/texmf-dist/doc/plain/gentle/

%files guide-to-latex-doc
%{_texdir}/texmf-dist/doc/latex/guide-to-latex/

%files happy4th-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/happy4th/

%files impatient-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/plain/impatient/

%files intro-scientific-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/intro-scientific/

%files knuth-doc
%license knuth.txt
%{_texdir}/texmf-dist/doc/generic/knuth/

%files l2tabu-english-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/l2tabu-english/

%files latex-brochure-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latex-brochure/

%files latex-course-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/latex-course/

%files latex-doc-ptr-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/latex-doc-ptr/

%files latex-graphics-companion-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latex-graphics-companion/

%files latex-veryshortguide-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latex-veryshortguide/

%files latex-web-companion-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latex-web-companion/

%files latex2e-help-texinfo
%{_infodir}/latex2e.info*

%files latex2e-help-texinfo-doc
%{_texdir}/texmf-dist/doc/latex/latex2e-help-texinfo/

%files latex4wp-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/latex/latex4wp/

%files latexcheat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latexcheat/

%files latexcourse-rug-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/latexcourse-rug/

%files latexfileinfo-pkgs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/latexfileinfo-pkgs/

%files latexfileinfo-pkgs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/latexfileinfo-pkgs/

%files lshort-english-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/lshort-english/

%files macros2e-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/macros2e/

%files math-e-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/math-e/

%files maths-symbols-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/maths-symbols/

%files memdesign-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/memdesign/

%files metafont-beginners-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/metafont-beginners/

%files metapost-examples-doc
%{_texdir}/texmf-dist/doc/metapost/metapost-examples/

%files patgen2-tutorial-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/support/patgen2-tutorial/

%files pictexsum-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/pictexsum/

%files plain-doc-doc
%{_texdir}/texmf-dist/doc/plain/plain-doc/

%files presentations-en-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/presentations-en/

%files simplified-latex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/simplified-latex/

%files svg-inkscape-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/svg-inkscape/

%files tabulars-e-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tabulars-e/

%files tamethebeast-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/bibtex/tamethebeast/

%files tds-doc
%{_texdir}/texmf-dist/doc/generic/tds/

%files tex-font-errors-cheatsheet-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tex-font-errors-cheatsheet/

%files tex-overview-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tex-overview/

%files tex-refs-doc
%{_texdir}/texmf-dist/doc/generic/tex-refs/

%files texbytopic-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/plain/texbytopic/

%files titlepages-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/titlepages/

%files tlc2-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tlc2/

%files visualfaq-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/visualfaq/

%files webguide-doc
%{_texdir}/texmf-dist/doc/latex/webguide/

%files xetexref-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xetex/xetexref/

%files collection-langeuropean

%files finbib
%{_texdir}/texmf-dist/bibtex/bst/finbib/

%files hrlatex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hrlatex/

%files hrlatex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hrlatex/

%files hyphen-armenian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-hy.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-hy.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hy.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hy.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hy.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hy.pat.txt

%files hyphen-croatian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-hr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-hr.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-hr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hr.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hr.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hr.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hr.pat.txt

%files hyphen-danish
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-da.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-da.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-da.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-da.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-da.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-da.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-da.pat.txt

%files hyphen-dutch
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-nl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-nl.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-nl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nl.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nl.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nl.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nl.pat.txt

%files hyphen-estonian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-et.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-et.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-et.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-et.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-et.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-et.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-et.pat.txt

%files hyphen-finnish
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-fi.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-fi.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-fi.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fi.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fi.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fi.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fi.pat.txt

%files hyphen-friulan
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-fur.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-fur.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-fur.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-fur.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fur.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fur.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fur.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fur.pat.txt

%files hyphen-hungarian
%license gpl.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-hu.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-hu.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-hu.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hu.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hu.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hu.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hu.pat.txt

%files hyphen-hungarian-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/huhyphen/

%files hyphen-icelandic
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-is.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-is.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-is.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-is.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-is.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-is.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-is.pat.txt

%files hyphen-irish
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ga.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-ga.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ga.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ga.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ga.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ga.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ga.pat.txt

%files hyphen-kurmanji
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-kmr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-kmr.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-kmr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kmr.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kmr.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kmr.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kmr.pat.txt

%files hyphen-latin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-la-x-classic.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-la-x-liturgic.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-la.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-la-x-liturgic.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-la.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-la-x-classic.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-la-x-liturgic.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-la.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-classic.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-classic.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-classic.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-classic.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-liturgic.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-liturgic.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-liturgic.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la-x-liturgic.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-la.pat.txt

%files hyphen-latvian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-lv.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-lv.l7x.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-lv.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lv.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lv.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lv.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lv.pat.txt

%files hyphen-lithuanian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-lt.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-lt.l7x.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-lt.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lt.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lt.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lt.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-lt.pat.txt

%files hyphen-norwegian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-nb.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-nn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-nb.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-nn.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-nb.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-nn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-no.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nb.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nb.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nb.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nb.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nn.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nn.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nn.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-nn.pat.txt

%files hyphen-piedmontese
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-pms.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-pms.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-pms.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pms.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pms.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pms.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pms.pat.txt

%files hyphen-romanian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ro.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-ro.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ro.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ro.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ro.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ro.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ro.pat.txt

%files hyphen-romansh
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-rm.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-rm.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-rm.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-rm.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-rm.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-rm.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-rm.pat.txt

%files hyphen-slovenian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-sl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-sl.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-sl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sl.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sl.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sl.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sl.pat.txt

%files hyphen-swedish
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-sv.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-sv.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-sv.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sv.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sv.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sv.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sv.pat.txt

%files hyphen-turkish
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-tr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-tr.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-tr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tr.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tr.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tr.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tr.pat.txt

%files hyphen-uppersorbian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-hsb.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-hsb.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-hsb.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hsb.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hsb.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hsb.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hsb.pat.txt

%files hyphen-welsh
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-cy.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-cy.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-cy.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cy.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cy.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cy.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cy.pat.txt

%files lithuanian
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/lithuanian/
%{_texdir}/texmf-dist/fonts/map/dvips/lithuanian/
%{_texdir}/texmf-dist/fonts/tfm/public/lithuanian/
%{_texdir}/texmf-dist/tex/latex/lithuanian/

%files lithuanian-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lithuanian/

%files lshort-dutch-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-dutch/

%files lshort-finnish-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lshort-finnish/

%files lshort-slovenian-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-slovenian/

%files lshort-turkish-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lshort-turkish/

%files nevelok
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nevelok/

%files nevelok-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nevelok/

%files swebib
%license lppl1.2.txt
%{_texdir}/texmf-dist/bibtex/bst/swebib/

%files swebib-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/swebib/

%files turkmen
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/turkmen/

%files turkmen-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/turkmen/

%files collection-langfrench

%files droit-fr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/droit-fr/

%files droit-fr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/droit-fr/

%files e-french
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/e-french/
%{_texdir}/texmf-dist/tex/generic/e-french/

%files e-french-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/e-french/

%files epslatex-fr-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/epslatex-fr/

%files facture
%{_texdir}/texmf-dist/tex/xelatex/facture/

%files facture-doc
%{_texdir}/texmf-dist/doc/xelatex/facture/

%files frletter
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/frletter/

%files frletter-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/frletter/

%files hyphen-basque
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-eu.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-eu.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-eu.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eu.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eu.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eu.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eu.pat.txt

%files hyphen-french
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-fr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-fr.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-fr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-fr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fr.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fr.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fr.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-fr.pat.txt

%files impatient-fr-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/plain/impatient-fr/

%files impnattypo
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/impnattypo/

%files impnattypo-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/impnattypo/

%files l2tabu-french-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/l2tabu-french/

%files lshort-french-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-french/

%files mafr
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/mafr/

%files mafr-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/mafr/

%files tabvar
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/tabvar/
%{_texdir}/texmf-dist/fonts/map/dvips/tabvar/
%{_texdir}/texmf-dist/fonts/tfm/public/tabvar/
%{_texdir}/texmf-dist/fonts/type1/public/tabvar/
%{_texdir}/texmf-dist/metapost/tabvar/
%{_texdir}/texmf-dist/tex/latex/tabvar/

%files tabvar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tabvar/

%files tdsfrmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tdsfrmath/

%files tdsfrmath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tdsfrmath/

%files texlive-fr-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-fr/

%files translation-array-fr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-array-fr/

%files translation-dcolumn-fr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-dcolumn-fr/

%files translation-natbib-fr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-natbib-fr/

%files translation-tabbing-fr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-tabbing-fr/

%files variations
%license gpl.txt
%{_texdir}/texmf-dist/tex/generic/variations/

%files variations-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/variations/

%files collection-langgerman

%files csquotes-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/csquotes-de/

%files dehyph-exptl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/dehyph-exptl/

%files dehyph-exptl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/dehyph-exptl/

%files dhua
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/dhua/

%files dhua-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/dhua/

%files einfuehrung-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/einfuehrung/

%files etdipa-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/etdipa/

%files etoolbox-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/etoolbox-de/

%files fifinddo-info-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fifinddo-info/

%files geometry-de-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/geometry-de/

%files german
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/german/

%files german-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/german/

%files germbib
%{_texdir}/texmf-dist/bibtex/bst/germbib/
%{_texdir}/texmf-dist/tex/latex/germbib/

%files germbib-doc
%{_texdir}/texmf-dist/doc/bibtex/germbib/

%files germkorr
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/germkorr/

%files germkorr-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/germkorr/

%files hausarbeit-jura
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hausarbeit-jura/

%files hausarbeit-jura-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hausarbeit-jura/

%files hyphen-german
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-de-1901.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-de-1996.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-de-ch-1901.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-de-1901.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-de-1996.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-de-ch-1901.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-de-1901.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-de-1996.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-de-ch-1901.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1901.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1901.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1901.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1901.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1996.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1996.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1996.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-1996.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-ch-1901.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-ch-1901.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-ch-1901.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-de-ch-1901.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyphen/dehyphn.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/dehypht.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/dehyphtex.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/ghyphen.README

%files koma-script-examples-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/koma-script-examples/

%files l2picfaq-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/latex/l2picfaq/

%files l2tabu-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/l2tabu/

%files latex-bib-ex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/latex-bib-ex/

%files latex-referenz-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/latex-referenz/

%files latex-tabellen-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latex-tabellen/

%files latexcheat-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latexcheat-de/

%files lshort-german-doc
%{_texdir}/texmf-dist/doc/latex/lshort-german/

%files lualatex-doc-de-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/latex/lualatex-doc-de/

%files microtype-de-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/microtype-de/

%files presentations-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/presentations/

%files r_und_s
%{_texdir}/texmf-dist/tex/latex/r_und_s/

%files r_und_s-doc
%{_texdir}/texmf-dist/doc/latex/r_und_s/

%files templates-fenn-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/templates-fenn/

%files templates-sommer-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/templates-sommer/

%files texlive-de-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-de/

%files tipa-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tipa-de/

%files translation-arsclassica-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-arsclassica-de/

%files translation-biblatex-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-biblatex-de/

%files translation-chemsym-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-chemsym-de/

%files translation-ecv-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-ecv-de/

%files translation-enumitem-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-enumitem-de/

%files translation-europecv-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-europecv-de/

%files translation-filecontents-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-filecontents-de/

%files translation-moreverb-de-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/translation-moreverb-de/

%files udesoftec
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/udesoftec/
%{_texdir}/texmf-dist/tex/latex/udesoftec/

%files udesoftec-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/udesoftec/

%files umlaute
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/umlaute/

%files umlaute-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/umlaute/

%files voss-mathcol-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/voss-mathcol/

%files collection-langgreek

%files gfsbaskerville
%{_datadir}/fonts/gfsbaskerville
%{_texdir}/texmf-dist/fonts/afm/public/gfsbaskerville/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfsbaskerville/
%{_texdir}/texmf-dist/fonts/map/dvips/gfsbaskerville/
%{_texdir}/texmf-dist/fonts/opentype/public/gfsbaskerville/
%{_texdir}/texmf-dist/fonts/tfm/public/gfsbaskerville/
%{_texdir}/texmf-dist/fonts/type1/public/gfsbaskerville/
%{_texdir}/texmf-dist/fonts/vf/public/gfsbaskerville/
%{_texdir}/texmf-dist/tex/latex/gfsbaskerville/

%files gfsbaskerville-doc
%{_texdir}/texmf-dist/doc/fonts/gfsbaskerville/

%files gfsporson
%{_datadir}/fonts/gfsporson
%{_texdir}/texmf-dist/fonts/afm/public/gfsporson/
%{_texdir}/texmf-dist/fonts/enc/dvips/gfsporson/
%{_texdir}/texmf-dist/fonts/map/dvips/gfsporson/
%{_texdir}/texmf-dist/fonts/opentype/public/gfsporson/
%{_texdir}/texmf-dist/fonts/tfm/public/gfsporson/
%{_texdir}/texmf-dist/fonts/type1/public/gfsporson/
%{_texdir}/texmf-dist/fonts/vf/public/gfsporson/
%{_texdir}/texmf-dist/tex/latex/gfsporson/

%files gfsporson-doc
%{_texdir}/texmf-dist/doc/fonts/gfsporson/

%files greek-fontenc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/greek-fontenc/

%files greek-fontenc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/greek-fontenc/

%files greek-inputenc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/greek-inputenc/

%files greek-inputenc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/greek-inputenc/

%files greekdates
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/greekdates/

%files greekdates-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/greekdates/

%files greektex
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/greektex/

%files greektex-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/greektex/

%files hyphen-greek
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-el-monoton.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-el-polyton.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-el-monoton.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-el-polyton.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-monoton.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-monoton.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-monoton.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-monoton.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-polyton.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-polyton.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-polyton.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-el-polyton.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyphen/grmhyph5.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/grphyph5.tex

%files hyphen-greek-doc
%{_texdir}/texmf-dist/doc/generic/elhyphen/

%files hyphen-ancientgreek
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-grc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-grc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-grc.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-grc.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-grc.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-grc.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyphen/grahyph5.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/ibyhyph.tex

%files ibycus-babel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ibycus-babel/

%files ibycus-babel-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ibycus-babel/

%files ibygrk
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/ibygrk/
%{_texdir}/texmf-dist/fonts/enc/dvips/ibygrk/
%{_texdir}/texmf-dist/fonts/map/dvips/ibygrk/
%{_texdir}/texmf-dist/fonts/source/public/ibygrk/
%{_texdir}/texmf-dist/fonts/tfm/public/ibygrk/
%{_texdir}/texmf-dist/fonts/type1/public/ibygrk/
%{_texdir}/texmf-dist/tex/generic/ibygrk/

%files ibygrk-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/ibygrk/

%files kerkis
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/kerkis/
%{_texdir}/texmf-dist/fonts/enc/dvips/kerkis/
%{_texdir}/texmf-dist/fonts/map/dvips/kerkis/
%{_texdir}/texmf-dist/fonts/tfm/public/kerkis/
%{_texdir}/texmf-dist/fonts/type1/public/
%{_texdir}/texmf-dist/fonts/vf/public/kerkis/
%{_texdir}/texmf-dist/tex/latex/kerkis/

%files kerkis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/kerkis/

%files levy
%license gpl2.txt
%{_texdir}/texmf-dist/fonts/source/public/levy/
%{_texdir}/texmf-dist/fonts/tfm/public/levy/
%{_texdir}/texmf-dist/tex/generic/levy/

%files levy-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/levy/

%files lgreek
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/lgreek/

%files lgreek-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/lgreek/

%files teubner
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/teubner/

%files teubner-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/teubner/

%files xgreek
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/xgreek/

%files xgreek-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xgreek/

%files yannisgr
%license gpl2.txt
%{_texdir}/texmf-dist/fonts/source/public/yannisgr/
%{_texdir}/texmf-dist/fonts/tfm/public/yannisgr/

%files yannisgr-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/yannisgr/

%files hyphen-indic
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-as.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-bn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-gu.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-hi.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-kn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ml.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-mr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-or.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-pa.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ta.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-te.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-as.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-bn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-gu.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-hi.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-kn.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ml.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-mr.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-or.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-pa.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ta.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-te.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-as.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-as.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-as.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-as.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bn.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bn.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bn.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-bn.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gu.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gu.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gu.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gu.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hi.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hi.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hi.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-hi.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kn.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kn.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kn.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-kn.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ml.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ml.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ml.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ml.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mr.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mr.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mr.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-mr.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-or.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-or.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-or.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-or.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pa.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pa.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pa.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pa.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ta.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ta.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ta.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ta.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-te.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-te.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-te.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-te.pat.txt

%files hyphen-sanskrit
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-sa.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-sa.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sa.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sa.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sa.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-sa.pat.txt

%files sanskrit
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/sanskrit/
%{_texdir}/texmf-dist/fonts/tfm/public/sanskrit/
%{_texdir}/texmf-dist/tex/latex/sanskrit/

%files sanskrit-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sanskrit/

%files sanskrit-t1
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/sanskrit-t1/
%{_texdir}/texmf-dist/fonts/type1/public/sanskrit-t1/

%files sanskrit-t1-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/sanskrit-t1/

%files xetex-devanagari
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xetex-devanagari/

%files xetex-devanagari-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xetex/xetex-devanagari/

%files wnri
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/wnri/
%{_texdir}/texmf-dist/fonts/tfm/public/wnri/

%files wnri-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/wnri/

%files wnri-latex
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/wnri-latex/

%files wnri-latex-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/wnri-latex/

%files collection-langitalian

%files fancyhdr-it-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fancyhdr-it/

%files fixltxhyph
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fixltxhyph/

%files fixltxhyph-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fixltxhyph/

%files frontespizio
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/frontespizio/

%files frontespizio-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/frontespizio/

%files hyphen-italian
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-it.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-it.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-it.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-it.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-it.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-it.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-it.pat.txt

%files itnumpar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/itnumpar/

%files itnumpar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/itnumpar/

%files l2tabu-italian-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/l2tabu-italian/

%files latex4wp-it-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/latex/latex4wp-it/

%files layaureo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/layaureo/

%files layaureo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/layaureo/

%files lshort-italian-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-italian/

%files psfrag-italian-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/psfrag-italian/

%files texlive-it-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-it/

%files collection-langjapanese

%files ipaex
%{_texdir}/texmf-dist/fonts/truetype/public/ipaex/

%files ipaex-doc
%{_texdir}/texmf-dist/doc/fonts/ipaex/

%files japanese-otf
%{_texdir}/texmf-dist/fonts/map/dvipdfmx/japanese-otf/
%{_texdir}/texmf-dist/fonts/ofm/public/japanese-otf/
%{_texdir}/texmf-dist/fonts/tfm/public/japanese-otf/
%{_texdir}/texmf-dist/fonts/vf/public/japanese-otf/
%{_texdir}/texmf-dist/tex/platex/japanese-otf/

%files japanese-otf-doc
%{_texdir}/texmf-dist/doc/fonts/japanese-otf/

%files japanese-otf-uptex
%license bsd.txt
%{_texdir}/texmf-dist/fonts/ovp/public/japanese-otf-uptex/
%{_texdir}/texmf-dist/fonts/tfm/public/japanese-otf-uptex/
%{_texdir}/texmf-dist/fonts/vf/public/japanese-otf-uptex/
%{_texdir}/texmf-dist/tex/platex/japanese-otf-uptex/

%files japanese-otf-uptex-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/fonts/japanese-otf-uptex/

%files jsclasses
%license bsd.txt
%{_texdir}/texmf-dist/tex/platex/jsclasses/

%files jsclasses-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/platex/jsclasses/

%files lshort-japanese-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-japanese/

%files luatexja
%license bsd.txt
%{_texdir}/texmf-dist/tex/luatex/luatexja/

%files luatexja-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/luatex/luatexja/

%files ptex-base
%license bsd.txt
%{_texdir}/texmf-dist/tex/ptex/ptex-base/

%files ptex-base-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/ptex/ptex-base/

%files ptex-fonts
%license bsd.txt
%{_texdir}/texmf-dist/fonts/source/ptex-fonts/
%{_texdir}/texmf-dist/fonts/tfm/ptex-fonts/
%{_texdir}/texmf-dist/fonts/type1/ptex-fonts/
%{_texdir}/texmf-dist/fonts/vf/ptex-fonts/

%files ptex-fonts-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/fonts/ptex-fonts/

%files pxbase
%license other-free.txt
%{_texdir}/texmf-dist/tex/platex/pxbase/

%files pxbase-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/platex/pxbase/

%files pxchfon
%license other-free.txt
%{_texdir}/texmf-dist/fonts/sfd/pxchfon/
%{_texdir}/texmf-dist/fonts/tfm/public/pxchfon/
%{_texdir}/texmf-dist/fonts/vf/public/pxchfon/
%{_texdir}/texmf-dist/tex/platex/pxchfon/

%files pxchfon-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/platex/pxchfon/

%files pxcjkcat
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/pxcjkcat/

%files pxcjkcat-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/pxcjkcat/

%files pxjahyper
%license other-free.txt
%{_texdir}/texmf-dist/tex/platex/pxjahyper/

%files pxjahyper-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/platex/pxjahyper/

%files pxrubrica
%{_texdir}/texmf-dist/tex/platex/pxrubrica/

%files pxrubrica-doc
%{_texdir}/texmf-dist/doc/platex/pxrubrica/

%files uptex-fonts
%license bsd.txt
%{_texdir}/texmf-dist/fonts/cmap/uptex-fonts/
%{_texdir}/texmf-dist/fonts/tfm/uptex-fonts/
%{_texdir}/texmf-dist/fonts/vf/uptex-fonts/

%files uptex-fonts-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/fonts/uptex-fonts/

%files uptex-base
%license bsd.txt
%{_texdir}/texmf-dist/tex/uptex/uptex-base/

%files uptex-base-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/uptex/uptex-base/

%files zxjafbfont
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/zxjafbfont/

%files zxjafbfont-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/zxjafbfont/

%files zxjatype
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/zxjatype/

%files zxjatype-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/zxjatype/

%files collection-langkorean

%files kotex-oblivoir
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/kotex-oblivoir/

%files kotex-oblivoir-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/kotex-oblivoir/

%files memoir
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/memoir/
%{_texdir}/texmf-dist/tex/latex/memoir/

%files memoir-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/memoir/

%files kotex-utf
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/kotex-utf/

%files kotex-utf-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/kotex-utf/

%files kotex-plain
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/plain/kotex-plain/

%files kotex-plain-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/plain/kotex-plain/

%files lshort-korean-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/latex/lshort-korean/

%files nanumtype1
%license ofl.txt
%{_texdir}/texmf-dist/fonts/afm/public/nanumtype1/
%{_texdir}/texmf-dist/fonts/map/dvips/nanumtype1/
%{_texdir}/texmf-dist/fonts/tfm/public/nanumtype1/
%{_texdir}/texmf-dist/fonts/type1/public/nanumtype1/
%{_texdir}/texmf-dist/fonts/vf/public/nanumtype1/
%{_texdir}/texmf-dist/tex/latex/nanumtype1/

%files nanumtype1-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/nanumtype1/

%files collection-langother

%files ctib
%license gpl.txt
%{_texdir}/texmf-dist/fonts/source/public/ctib/
%{_texdir}/texmf-dist/fonts/tfm/public/ctib/
%{_texdir}/texmf-dist/tex/latex/ctib/

%files ctib-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ctib/

%files hyphen-afrikaans
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-af.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-af.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-af.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-af.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-af.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-af.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-af.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-af.pat.txt

%files hyphen-coptic
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-cop.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex-8bit/copthyph.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-cop.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cop.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cop.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cop.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cop.pat.txt

%files hyphen-esperanto
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-eo.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-eo.il3.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-eo.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eo.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eo.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eo.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-eo.pat.txt

%files hyphen-georgian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ka.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-ka.t8m.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ka.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ka.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ka.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ka.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ka.pat.txt

%files hyphen-indonesian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-id.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-id.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-id.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-id.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-id.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-id.pat.txt

%files hyphen-interlingua
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ia.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ia.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ia.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ia.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ia.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ia.pat.txt

%files hyphen-thai
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-th.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-th.lth.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-th.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-th.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-th.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-th.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-th.pat.txt

%files hyphen-turkmen
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-tk.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-tk.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-tk.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tk.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tk.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tk.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-tk.pat.txt

%files lshort-thai-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lshort-thai/

%files lshort-vietnamese-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lshort-vietnamese/

%files ntheorem-vn-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ntheorem-vn/

%files vntex
%{_texdir}/texmf-dist/fonts/afm/vntex/
%{_texdir}/texmf-dist/fonts/enc/dvips/vntex/
%{_texdir}/texmf-dist/fonts/enc/pdftex/vntex/
%{_texdir}/texmf-dist/fonts/map/dvips/vntex/
%{_texdir}/texmf-dist/fonts/source/vntex/
%{_texdir}/texmf-dist/fonts/tfm/vntex/
%{_texdir}/texmf-dist/fonts/type1/vntex/
%{_texdir}/texmf-dist/fonts/vf/vntex/
%{_texdir}/texmf-dist/tex/latex/vntex/
%{_texdir}/texmf-dist/tex/plain/vntex/

%files vntex-doc
%{_texdir}/texmf-dist/doc/generic/vntex/

%files collection-langpolish

%files gustlib
%{_texdir}/texmf-dist/bibtex/bib/gustlib/
%{_texdir}/texmf-dist/bibtex/bst/gustlib/
%{_texdir}/texmf-dist/tex/plain/gustlib/

%files gustlib-doc
%{_texdir}/texmf-dist/doc/plain/gustlib/

%files gustprog-doc
%{_texdir}/texmf-dist/doc/support/gustprog/

%files hyphen-polish
%license knuth.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-pl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-pl.qx.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-pl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pl.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pl.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pl.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pl.pat.txt

%files lshort-polish-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lshort-polish/

%files pl
%license pd.txt
%{_texdir}/texmf-dist/dvips/pl/
%{_texdir}/texmf-dist/fonts/afm/public/pl/
%{_texdir}/texmf-dist/fonts/enc/dvips/pl/
%{_texdir}/texmf-dist/fonts/map/dvips/pl/
%{_texdir}/texmf-dist/fonts/source/public/pl/
%{_texdir}/texmf-dist/fonts/tfm/public/pl/
%{_texdir}/texmf-dist/fonts/type1/public/pl/

%files pl-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/pl/

%files mwcls
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mwcls/

%files mwcls-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mwcls/

%files polski
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/polski/

%files polski-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/polski/

%files przechlewski-book
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/przechlewski-book/
%{_texdir}/texmf-dist/tex/latex/przechlewski-book/

%files przechlewski-book-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/przechlewski-book/

%files qpxqtx
%{_texdir}/texmf-dist/fonts/tfm/public/qpxqtx/
%{_texdir}/texmf-dist/fonts/vf/public/qpxqtx/
%{_texdir}/texmf-dist/tex/generic/qpxqtx/

%files qpxqtx-doc
%{_texdir}/texmf-dist/doc/fonts/qpxqtx/

%files tap
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/tap/

%files tap-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/tap/

%files tex-virtual-academy-pl-doc
%{_texdir}/texmf-dist/doc/generic/tex-virtual-academy-pl/

%files texlive-pl-doc
%{_texdir}/texmf-dist/doc/texlive/texlive-pl/

%files utf8mex
%license pd.txt
%{_texdir}/texmf-dist/tex/mex/utf8mex/

%files utf8mex-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/mex/utf8mex/

%files collection-langportuguese

%files cursolatex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/cursolatex/

%files feupphdteses
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/feupphdteses/

%files feupphdteses-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/feupphdteses/

%files hyphen-portuguese
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-pt.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-pt.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-pt.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pt.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pt.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pt.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-pt.pat.txt

%files latexcheat-ptbr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latexcheat-ptbr/

%files lshort-portuguese-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lshort-portuguese/

%files ordinalpt
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ordinalpt/

%files ordinalpt-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ordinalpt/

%files xypic-tut-pt-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/xypic-tut-pt/

%files collection-langspanish

%files es-tex-faq-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/es-tex-faq/

%files hyphen-catalan
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-ca.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-ca.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ca.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ca.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ca.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ca.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-ca.pat.txt

%files hyphen-galician
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-gl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-gl.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-gl.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gl.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gl.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gl.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-gl.pat.txt

%files hyphen-spanish
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-es.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-es.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-es.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-es.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-es.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-es.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-es.pat.txt

%files l2tabu-spanish-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/l2tabu-spanish/

%files latex2e-help-texinfo-spanish
%{_infodir}/latex2e-es.info*

%files latex2e-help-texinfo-spanish-doc
%{_texdir}/texmf-dist/doc/latex/latex2e-help-texinfo-spanish/

%files latexcheat-esmx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/latexcheat-esmx/

%files lshort-spanish-doc
%{_texdir}/texmf-dist/doc/latex/lshort-spanish/

%files spanish-mx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/spanish-mx/

%files spanish-mx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/spanish-mx/

%files collection-latexextra

%files collection-latexrecommended

%files crop
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/crop/

%files crop-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/crop/

%files ctable
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ctable/

%files ctable-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ctable/

%files eso-pic
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/eso-pic/

%files eso-pic-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/eso-pic/

%files euenc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/euenc/

%files euenc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/euenc/

%files euler
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/euler/

%files euler-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/euler/

%files extsizes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/extsizes/

%files extsizes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/extsizes/

%files fancybox
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/fancybox/

%files fancybox-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/fancybox/

%files fancyref
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/fancyref/

%files fancyref-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/fancyref/

%files fancyvrb
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fancyvrb/

%files fancyvrb-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fancyvrb/

%files float
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/float/

%files float-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/float/

%files fontspec
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fontspec/

%files fontspec-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fontspec/

%files l3kernel
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/l3kernel/

%files l3kernel-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/l3kernel/

%files l3packages
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/l3packages/

%files l3packages-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/l3packages/

%files fp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fp/
%{_texdir}/texmf-dist/tex/plain/fp/

%files fp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fp/

%files index
%{_texdir}/texmf-dist/bibtex/bst/index/
%{_texdir}/texmf-dist/makeindex/index/
%{_texdir}/texmf-dist/tex/latex/index/

%files index-doc
%{_texdir}/texmf-dist/doc/latex/index/

%files jknapltx
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/jknapltx/

%files jknapltx-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/jknapltx/

%files koma-script
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/koma-script/
%{_texdir}/texmf-dist/doc/latex/koma-script/

%files l3experimental
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/l3experimental/

%files l3experimental-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/l3experimental/

%files lineno
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lineno/

%files lineno-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lineno/

%files listings
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/listings/

%files listings-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/listings/

%files mathtools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mathtools/

%files mathtools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mathtools/

%files mdwtools
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/mdwtools/

%files mdwtools-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/mdwtools/

%files metalogo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/metalogo/

%files metalogo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/metalogo/

%files microtype
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/microtype/

%files microtype-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/microtype/

%files ms
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ms/

%files ms-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ms/

%files ntgclass
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ntgclass/

%files ntgclass-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ntgclass/

%files parskip
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/parskip/

%files parskip-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/parskip/

%files pdfpages
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pdfpages/

%files pdfpages-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pdfpages/

%files powerdot
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/powerdot/

%files powerdot-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/powerdot/

%files psfrag
%{_texdir}/texmf-dist/dvips/psfrag/
%{_texdir}/texmf-dist/tex/latex/psfrag/

%files psfrag-doc
%{_texdir}/texmf-dist/doc/latex/psfrag/

%files rcs
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/rcs/

%files rcs-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/rcs/

%files sansmath
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/sansmath/

%files sansmath-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/sansmath/

%files section
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/section/

%files section-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/section/

%files seminar
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/seminar/

%files seminar-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/seminar/

%files sepnum
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sepnum/

%files sepnum-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sepnum/

%files setspace
%{_texdir}/texmf-dist/tex/latex/setspace/

%files setspace-doc
%{_texdir}/texmf-dist/doc/latex/setspace/

%files subfig
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subfig/

%files subfig-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/subfig/

%files textcase
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/textcase/

%files textcase-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/textcase/

%files typehtml
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/typehtml/

%files typehtml-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/typehtml/

%files underscore
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/underscore/

%files underscore-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/underscore/

%files collection-pictures

%files combinedgraphics
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/combinedgraphics/

%files combinedgraphics-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/combinedgraphics/

%files curve
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/curve/

%files curve-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/curve/

%files curve2e
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/curve2e/

%files curve2e-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/curve2e/

%files curves
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/curves/

%files curves-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/curves/

%files dcpic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/dcpic/

%files dcpic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/dcpic/

%files diagmac2
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/diagmac2/

%files diagmac2-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/diagmac2/

%files doc-pictex-doc
%{_texdir}/texmf-dist/doc/generic/doc-pictex/

%files dottex
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/dottex/

%files dottex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/dottex/

%files dot2texi
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/dot2texi/

%files dot2texi-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/dot2texi/

%files dratex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/dratex/

%files dratex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/dratex/

%files drs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/drs/

%files drs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/drs/

%files duotenzor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/duotenzor/

%files duotenzor-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/duotenzor/

%files eepic
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/eepic/

%files eepic-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/eepic/

%files epspdfconversion
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/epspdfconversion/

%files epspdfconversion-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/epspdfconversion/

%files esk
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/esk/

%files esk-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/esk/

%files fast-diagram
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fast-diagram/

%files fast-diagram-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fast-diagram/

%files fitbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fitbox/

%files fitbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fitbox/

%files flowchart
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/flowchart/

%files flowchart-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/flowchart/

%files forest
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/forest/
%{_texdir}/texmf-dist/tex/latex/forest/

%files forest-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/forest/

%files genealogytree
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/genealogytree/

%files genealogytree-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/genealogytree/

%files gincltex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gincltex/

%files gincltex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gincltex/

%files gnuplottex
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/gnuplottex/

%files gnuplottex-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/gnuplottex/

%files gradientframe
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gradientframe/

%files gradientframe-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gradientframe/

%files grafcet
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/grafcet/

%files grafcet-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/grafcet/

%files graphviz
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/graphviz/

%files graphviz-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/graphviz/

%files harveyballs
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/harveyballs/

%files harveyballs-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/harveyballs/

%files here
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/here/

%files here-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/here/

%files hf-tikz
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hf-tikz/

%files hf-tikz-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hf-tikz/

%files hobby
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hobby/

%files hobby-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hobby/

%files hvfloat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hvfloat/

%files hvfloat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hvfloat/

%files knitting
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/afm/public/knitting/
%{_texdir}/texmf-dist/fonts/map/dvips/knitting/
%{_texdir}/texmf-dist/fonts/source/public/knitting/
%{_texdir}/texmf-dist/fonts/tfm/public/knitting/
%{_texdir}/texmf-dist/fonts/type1/public/knitting/
%{_texdir}/texmf-dist/tex/latex/knitting/
%{_texdir}/texmf-dist/tex/plain/knitting/

%files knitting-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/knitting/

%files knittingpattern
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/knittingpattern/

%files knittingpattern-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/knittingpattern/

%files lapdf
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/lapdf/

%files lapdf-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lapdf/

%files latex-make
%license gpl.txt
%{_texdir}/texmf-dist/scripts/latex-make/
%{_texdir}/texmf-dist/tex/latex/latex-make/

%files latex-make-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/support/latex-make/

%files lpic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lpic/

%files lpic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lpic/

%files makeshape
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/makeshape/

%files makeshape-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/makeshape/

%files miniplot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/miniplot/

%files miniplot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/miniplot/

%files modiagram
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/modiagram/

%files modiagram-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/modiagram/

%files neuralnetwork
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/neuralnetwork/

%files neuralnetwork-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/neuralnetwork/

%files numericplots
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/numericplots/

%files numericplots-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/numericplots/

%files pb-diagram
%{_texdir}/texmf-dist/tex/latex/pb-diagram/

%files pb-diagram-doc
%{_texdir}/texmf-dist/doc/latex/pb-diagram/

%files pgf-blur
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pgf-blur/

%files pgf-blur-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pgf-blur/

%files pgf-soroban
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pgf-soroban/

%files pgf-soroban-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pgf-soroban/

%files pgf-umlcd
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pgf-umlcd/

%files pgf-umlcd-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pgf-umlcd/

%files pgf-umlsd
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pgf-umlsd/

%files pgf-umlsd-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pgf-umlsd/

%files pgfgantt
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pgfgantt/

%files pgfgantt-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pgfgantt/

%files pgfkeyx
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pgfkeyx/

%files pgfkeyx-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pgfkeyx/

%files pgfmolbio
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/pgfmolbio/
%{_texdir}/texmf-dist/tex/lualatex/pgfmolbio/

%files pgfmolbio-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/pgfmolbio/

%files pgfopts
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pgfopts/

%files pgfopts-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pgfopts/

%files pgfplots
%license gpl3.txt
%{_texdir}/texmf-dist/scripts/pgfplots/
%{_texdir}/texmf-dist/tex/context/third/pgfplots/
%{_texdir}/texmf-dist/tex/generic/pgfplots/
%{_texdir}/texmf-dist/tex/latex/pgfplots/
%{_texdir}/texmf-dist/tex/plain/pgfplots/

%files pgfplots-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/context/third/pgfplots/
%{_texdir}/texmf-dist/doc/generic/pgfplots/
%{_texdir}/texmf-dist/doc/latex/pgfplots/
%{_texdir}/texmf-dist/doc/plain/pgfplots/

%files picinpar
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/picinpar/

%files picinpar-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/picinpar/

%files pict2e
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pict2e/

%files pict2e-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pict2e/

%files pictex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pictex/

%files pictex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pictex/

%files pictex2
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pictex2/

%files pinlabel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pinlabel/

%files pinlabel-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pinlabel/

%files pmgraph
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pmgraph/

%files pmgraph-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pmgraph/

%files prerex
%license gpl.txt
%{_mandir}/man5/prerex.5*
%{_texdir}/texmf-dist/tex/latex/prerex/

%files prerex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/prerex/

%files productbox
%{_texdir}/texmf-dist/tex/latex/productbox/

%files productbox-doc
%{_texdir}/texmf-dist/doc/latex/productbox/

%files pxpgfmark
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/pxpgfmark/

%files pxpgfmark-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/pxpgfmark/

%files qcircuit
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/qcircuit/

%files qcircuit-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/qcircuit/

%files qrcode
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/qrcode/

%files qrcode-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/qrcode/

%files randbild
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/randbild/

%files randbild-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/randbild/

%files randomwalk
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/randomwalk/

%files randomwalk-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/randomwalk/

%files reotex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/reotex/

%files reotex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/reotex/

%files rviewport
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rviewport/

%files rviewport-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rviewport/

%files sa-tikz
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sa-tikz/

%files sa-tikz-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sa-tikz/

%files schemabloc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/schemabloc/

%files schemabloc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/schemabloc/

%files setdeck
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/setdeck/

%files setdeck-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/setdeck/

%files smartdiagram
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/smartdiagram/

%files smartdiagram-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/smartdiagram/

%files spath3
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/spath3/

%files spath3-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/spath3/

%files swimgraf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/swimgraf/

%files swimgraf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/swimgraf/

%files texdraw
%{_infodir}/texdraw.info*
%{_texdir}/texmf-dist/tex/generic/texdraw/

%files texdraw-doc
%{_texdir}/texmf-dist/doc/support/texdraw/

%files ticollege
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ticollege/

%files ticollege-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ticollege/

%files tipfr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tipfr/

%files tikz-3dplot
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikz-3dplot/

%files tikz-3dplot-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikz-3dplot/

%files tikz-bayesnet
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikz-bayesnet/

%files tikz-bayesnet-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikz-bayesnet/

%files tikz-cd
%license gpl3.txt
%{_texdir}/texmf-dist/tex/generic/tikz-cd/
%{_texdir}/texmf-dist/tex/latex/tikz-cd/

%files tikz-cd-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/tikz-cd/

%files tikz-dependency
%{_texdir}/texmf-dist/tex/latex/tikz-dependency/

%files tikz-dependency-doc
%{_texdir}/texmf-dist/doc/latex/tikz-dependency/

%files tikz-dimline
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/tikz-dimline/

%files tikz-dimline-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/tikz-dimline/

%files tikz-inet
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tikz-inet/

%files tikz-inet-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tikz-inet/

%files tikz-opm
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikz-opm/

%files tikz-opm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikz-opm/

%files tikz-palattice
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikz-palattice/

%files tikz-palattice-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikz-palattice/

%files tikz-qtree
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/tikz-qtree/

%files tikz-qtree-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/tikz-qtree/

%files tikz-timing
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tikz-timing/

%files tikz-timing-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tikz-timing/

%files svn-prov
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/svn-prov/

%files svn-prov-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/svn-prov/

%files tikzinclude
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikzinclude/

%files tikzinclude-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikzinclude/

%files tikzmark
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikzmark/

%files tikzmark-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikzmark/

%files tikzorbital
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tikzorbital/

%files tikzorbital-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tikzorbital/

%files tikzpagenodes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tikzpagenodes/

%files tikzpagenodes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tikzpagenodes/

%files tikzpfeile
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tikzpfeile/

%files tikzpfeile-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tikzpfeile/

%files tikzposter
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/tikzposter/

%files tikzposter-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/tikzposter/

%files tikzscale
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikzscale/

%files tikzscale-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikzscale/

%files tikzsymbols
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikzsymbols/

%files tikzsymbols-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikzsymbols/

%files timing-diagrams
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/timing-diagrams/

%files timing-diagrams-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/timing-diagrams/

%files tqft
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tqft/

%files tqft-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tqft/

%files tkz-base
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-base/

%files tkz-base-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-base/

%files tkz-berge
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-berge/

%files tkz-berge-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-berge/

%files tkz-doc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-doc/

%files tkz-doc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-doc/

%files tkz-euclide
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-euclide/

%files tkz-euclide-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-euclide/

%files tkz-fct
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-fct/

%files tkz-fct-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-fct/

%files tkz-graph
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-graph/

%files tkz-graph-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-graph/

%files tkz-kiviat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-kiviat/

%files tkz-kiviat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-kiviat/

%files tkz-linknodes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-linknodes/

%files tkz-linknodes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-linknodes/

%files tkz-orm
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/tkz-orm/

%files tkz-orm-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/tkz-orm/

%files tkz-tab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tkz-tab/

%files tkz-tab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tkz-tab/

%files tsemlines
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/tsemlines/

%files tufte-latex
%license apache2.txt
%{_texdir}/texmf-dist/bibtex/bst/tufte-latex/
%{_texdir}/texmf-dist/tex/latex/tufte-latex/

%files tufte-latex-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/latex/tufte-latex/

%files xifthen
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xifthen/

%files xifthen-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xifthen/

%files ifmtarg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ifmtarg/

%files ifmtarg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ifmtarg/

%files paralist
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/paralist/

%files paralist-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/paralist/

%files sauerj
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sauerj/

%files sauerj-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sauerj/

%files placeins
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/placeins/

%files placeins-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/placeins/

%files venndiagram
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/venndiagram/

%files venndiagram-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/venndiagram/

%files xpicture
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xpicture/

%files xpicture-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xpicture/

%files xypic
%license gpl.txt
%{_texdir}/texmf-dist/dvips/xypic/
%{_texdir}/texmf-dist/fonts/afm/public/xypic/
%{_texdir}/texmf-dist/fonts/enc/dvips/xypic/
%{_texdir}/texmf-dist/fonts/map/dvips/xypic/
%{_texdir}/texmf-dist/fonts/source/public/xypic/
%{_texdir}/texmf-dist/fonts/tfm/public/xypic/
%{_texdir}/texmf-dist/fonts/type1/public/xypic/
%{_texdir}/texmf-dist/tex/generic/xypic/

%files xypic-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/xypic/

%files ESIEEcv
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ESIEEcv/

%files ESIEEcv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ESIEEcv/

%files GS1
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/GS1/

%files GS1-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/GS1/

%files HA-prosper
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/HA-prosper/

%files HA-prosper-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/HA-prosper/

%files Tabbing
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/Tabbing/

%files Tabbing-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/Tabbing/

%files colordoc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/colordoc/

%files colordoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/colordoc/

%files colorinfo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/colorinfo/

%files colorinfo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/colorinfo/

%files colorspace
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/colorspace/

%files colorspace-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/colorspace/

%files colortab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/colortab/

%files colortab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/colortab/

%files colorwav
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/colorwav/

%files colorwav-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/colorwav/

%files colorweb
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/colorweb/

%files colorweb-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/colorweb/

%files colourchange
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/colourchange/

%files colourchange-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/colourchange/

%files combelow
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/combelow/

%files combelow-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/combelow/

%files combine
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/combine/

%files combine-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/combine/

%files comma
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/comma/

%files comma-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/comma/

%files commado
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/commado/

%files commado-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/commado/

%files comment
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/comment/

%files comment-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/comment/

%files concepts
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/concepts/

%files concepts-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/concepts/

%files concprog
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/concprog/

%files concprog-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/concprog/

%files constants
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/constants/

%files constants-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/constants/

%files contour
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/contour/

%files contour-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/contour/

%files contracard
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/contracard/

%files contracard-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/contracard/

%files cooking
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/cooking/

%files cooking-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/cooking/

%files cool
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/cool/

%files cool-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/cool/

%files coollist
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/coollist/

%files coollist-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/coollist/

%files coolstr
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/coolstr/

%files coolstr-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/coolstr/

%files coolthms
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/coolthms/

%files coolthms-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/coolthms/

%files cooltooltips
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cooltooltips/

%files cooltooltips-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cooltooltips/

%files coordsys
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/coordsys/

%files coordsys-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/coordsys/

%files copyedit
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/copyedit/

%files copyedit-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/copyedit/

%files copyrightbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/copyrightbox/

%files copyrightbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/copyrightbox/

%files coseoul
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/coseoul/

%files coseoul-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/coseoul/

%files counttexruns
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/counttexruns/

%files counttexruns-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/counttexruns/

%files courseoutline
%{_texdir}/texmf-dist/tex/latex/courseoutline/

%files courseoutline-doc
%{_texdir}/texmf-dist/doc/latex/courseoutline/

%files coursepaper
%{_texdir}/texmf-dist/tex/latex/coursepaper/

%files coursepaper-doc
%{_texdir}/texmf-dist/doc/latex/coursepaper/

%files coverpage
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/coverpage/

%files coverpage-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/coverpage/

%files cprotect
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cprotect/

%files cprotect-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cprotect/

%files crbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/crbox/

%files crbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/crbox/

%files crossreference
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/crossreference/

%files crossreference-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/crossreference/

%files csquotes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/csquotes/

%files csquotes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/csquotes/

%files csvsimple
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/csvsimple/

%files csvsimple-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/csvsimple/

%files cuisine
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cuisine/

%files cuisine-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cuisine/

%files currfile
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/currfile/

%files currfile-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/currfile/

%files currvita
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/currvita/

%files currvita-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/currvita/

%files cutwin
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cutwin/

%files cutwin-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cutwin/

%files cv
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/cv/

%files cv-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/cv/

%files cv4tw
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/cv4tw/

%files cv4tw-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/cv4tw/

%files cweb-latex
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/cweb-latex/

%files cweb-latex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/cweb-latex/

%files cyber
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/cyber/

%files cyber-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/cyber/

%files cybercic
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/cybercic/

%files cybercic-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/cybercic/

%files dashbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dashbox/

%files dashbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dashbox/

%files dashrule
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dashrule/

%files dashrule-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dashrule/

%files dashundergaps
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dashundergaps/

%files dashundergaps-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dashundergaps/

%files dataref
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/dataref/

%files dataref-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/dataref/

%files datatool
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/datatool/
%{_texdir}/texmf-dist/tex/latex/datatool/

%files datatool-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datatool/

%files dateiliste
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dateiliste/

%files dateiliste-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dateiliste/

%files datenumber
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/datenumber/

%files datenumber-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/datenumber/

%files datetime
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime/

%files datetime-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime/

%files datetime2
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2/

%files datetime2-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2/

%files datetime2-bahasai
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-bahasai/

%files datetime2-bahasai-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-bahasai/

%files datetime2-basque
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-basque/

%files datetime2-basque-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-basque/

%files datetime2-breton
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-breton/

%files datetime2-breton-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-breton/

%files datetime2-bulgarian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-bulgarian/

%files datetime2-bulgarian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-bulgarian/

%files datetime2-catalan
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-catalan/

%files datetime2-catalan-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-catalan/

%files datetime2-croatian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-croatian/

%files datetime2-croatian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-croatian/

%files datetime2-czech
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-czech/

%files datetime2-czech-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-czech/

%files datetime2-danish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-danish/

%files datetime2-danish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-danish/

%files datetime2-dutch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-dutch/

%files datetime2-dutch-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-dutch/

%files datetime2-en-fulltext
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-en-fulltext/

%files datetime2-en-fulltext-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-en-fulltext/

%files datetime2-english
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-english/

%files datetime2-english-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-english/

%files datetime2-esperanto
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-esperanto/

%files datetime2-esperanto-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-esperanto/

%files datetime2-estonian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-estonian/

%files datetime2-estonian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-estonian/

%files datetime2-finnish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-finnish/

%files datetime2-finnish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-finnish/

%files datetime2-french
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-french/

%files datetime2-french-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-french/

%files datetime2-galician
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-galician/

%files datetime2-galician-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-galician/

%files datetime2-german
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-german/

%files datetime2-german-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-german/

%files datetime2-greek
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-greek/

%files datetime2-greek-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-greek/

%files datetime2-hebrew
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-hebrew/

%files datetime2-hebrew-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-hebrew/

%files datetime2-icelandic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-icelandic/

%files datetime2-icelandic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-icelandic/

%files datetime2-irish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-irish/

%files datetime2-irish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-irish/

%files datetime2-italian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-italian/

%files datetime2-italian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-italian/

%files datetime2-it-fulltext
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-it-fulltext/

%files datetime2-it-fulltext-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-it-fulltext/

%files datetime2-latin
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-latin/

%files datetime2-latin-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-latin/

%files datetime2-lsorbian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-lsorbian/

%files datetime2-lsorbian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-lsorbian/

%files datetime2-magyar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-magyar/

%files datetime2-magyar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-magyar/

%files datetime2-norsk
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-norsk/

%files datetime2-norsk-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-norsk/

%files datetime2-polish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-polish/

%files datetime2-polish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-polish/

%files datetime2-portuges
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-portuges/

%files datetime2-portuges-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-portuges/

%files datetime2-romanian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-romanian/

%files datetime2-romanian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-romanian/

%files datetime2-russian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-russian/

%files datetime2-russian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-russian/

%files datetime2-samin
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-samin/

%files datetime2-samin-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-samin/

%files datetime2-scottish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-scottish/

%files datetime2-scottish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-scottish/

%files datetime2-serbian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-serbian/

%files datetime2-serbian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-serbian/

%files datetime2-slovak
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-slovak/

%files datetime2-slovak-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-slovak/

%files datetime2-slovene
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-slovene/

%files datetime2-slovene-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-slovene/

%files datetime2-spanish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-spanish/

%files datetime2-spanish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-spanish/

%files datetime2-swedish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-swedish/

%files datetime2-swedish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-swedish/

%files datetime2-turkish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-turkish/

%files datetime2-turkish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-turkish/

%files datetime2-ukrainian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-ukrainian/

%files datetime2-ukrainian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-ukrainian/

%files datetime2-usorbian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-usorbian/

%files datetime2-usorbian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-usorbian/

%files datetime2-welsh
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime2-welsh/

%files datetime2-welsh-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/datetime2-welsh/

%files dblfloatfix
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/dblfloatfix/

%files dblfloatfix-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/dblfloatfix/

%files decimal
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/decimal/

%files decimal-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/decimal/

%files decorule
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/decorule/

%files decorule-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/decorule/

%files delim
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/delim/

%files delim-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/delim/

%files delimtxt
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/delimtxt/

%files delimtxt-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/delimtxt/

%files denisbdoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/denisbdoc/

%files denisbdoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/denisbdoc/

%files diagbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/diagbox/

%files diagbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/diagbox/

%files diagnose
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/diagnose/

%files diagnose-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/diagnose/

%files dialogl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dialogl/

%files dialogl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dialogl/

%files dichokey
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/dichokey/

%files dichokey-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/dichokey/

%files dinbrief
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dinbrief/

%files dinbrief-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dinbrief/

%files directory
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/directory/
%{_texdir}/texmf-dist/bibtex/bst/directory/
%{_texdir}/texmf-dist/tex/latex/directory/

%files directory-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/directory/

%files dirtytalk
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/dirtytalk/

%files dirtytalk-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/dirtytalk/

%files dlfltxb
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/dlfltxb/
%{_texdir}/texmf-dist/tex/latex/dlfltxb/

%files dlfltxb-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dlfltxb/

%files dnaseq
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dnaseq/

%files dnaseq-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dnaseq/

%files doclicense
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/doclicense/

%files doclicense-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/doclicense/

%files docmfp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/docmfp/

%files docmfp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/docmfp/

%files docmute
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/docmute/

%files docmute-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/docmute/

%files doctools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/doctools/

%files doctools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/doctools/

%files documentation
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/documentation/

%files documentation-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/documentation/

%files doi
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/doi/

%files doi-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/doi/

%files dotarrow
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dotarrow/

%files dotarrow-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dotarrow/

%files dotseqn
%{_texdir}/texmf-dist/tex/latex/dotseqn/

%files dotseqn-doc
%{_texdir}/texmf-dist/doc/latex/dotseqn/

%files download
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/download/

%files download-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/download/

%files dox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dox/

%files dox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dox/

%files dpfloat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dpfloat/

%files dpfloat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dpfloat/

%files dprogress
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dprogress/

%files dprogress-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dprogress/

%files drac
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/drac/

%files drac-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/drac/

%files draftcopy
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/draftcopy/

%files draftcopy-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/draftcopy/

%files draftwatermark
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/draftwatermark/

%files draftwatermark-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/draftwatermark/

%files dtk
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/dtk/

%files dtk-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/dtk/

%files dtxgallery-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dtxgallery/

%files dvdcoll
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/dvdcoll/
%{_texdir}/texmf-dist/tex/latex/dvdcoll/

%files dvdcoll-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dvdcoll/

%files dynblocks
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/dynblocks/

%files dynblocks-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/dynblocks/

%files ean13isbn
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ean13isbn/

%files ean13isbn-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ean13isbn/

%files easy
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/easy/

%files easy-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/easy/

%files easy-todo
%license apache2.txt
%{_texdir}/texmf-dist/tex/latex/easy-todo/

%files easy-todo-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/latex/easy-todo/

%files easyfig
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/easyfig/

%files easyfig-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/easyfig/

%files easylist
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/easylist/

%files easylist-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/easylist/

%files easyreview
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/easyreview/

%files easyreview-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/easyreview/

%files ebezier
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ebezier/

%files ebezier-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ebezier/

%files ecclesiastic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ecclesiastic/

%files ecclesiastic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ecclesiastic/

%files ecv
%{_texdir}/texmf-dist/tex/latex/ecv/

%files ecv-doc
%{_texdir}/texmf-dist/doc/latex/ecv/

%files ed
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ed/

%files ed-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ed/

%files edmargin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/edmargin/

%files edmargin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/edmargin/

%files eemeir
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/eemeir/

%files eemeir-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/eemeir/

%files efbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/efbox/

%files efbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/efbox/

%files egplot
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/egplot/

%files egplot-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/egplot/

%files elements
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/elements/

%files elements-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/elements/

%files ellipsis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ellipsis/

%files ellipsis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ellipsis/

%files elmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/elmath/

%files elmath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/elmath/

%files elocalloc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/elocalloc/

%files elocalloc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/elocalloc/

%files elpres
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/elpres/

%files elpres-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/elpres/

%files elzcards
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/elzcards/

%files elzcards-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/elzcards/

%files emarks
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/emarks/

%files emarks-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/emarks/

%files embedall
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/embedall/

%files embedall-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/embedall/

%files embrac
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/embrac/

%files embrac-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/embrac/

%files emptypage
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/emptypage/

%files emptypage-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/emptypage/

%files emulateapj
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/emulateapj/

%files emulateapj-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/emulateapj/

%files endfloat
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/endfloat/

%files endfloat-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/endfloat/

%files endheads
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/endheads/

%files endheads-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/endheads/

%files endnotes
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/endnotes/

%files endnotes-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/endnotes/

%files engpron
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/engpron/

%files engpron-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/engpron/

%files engrec
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/engrec/

%files engrec-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/engrec/

%files enotez
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/enotez/

%files enotez-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/enotez/

%files enumitem
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/enumitem/

%files enumitem-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/enumitem/

%files enumitem-zref
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/enumitem-zref/

%files enumitem-zref-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/enumitem-zref/

%files envbig
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/envbig/

%files envbig-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/envbig/

%files environ
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/environ/

%files environ-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/environ/

%files envlab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/envlab/

%files envlab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/envlab/

%files epigraph
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/epigraph/

%files epigraph-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/epigraph/

%files epiolmec
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/epiolmec/
%{_texdir}/texmf-dist/fonts/tfm/public/epiolmec/
%{_texdir}/texmf-dist/tex/latex/epiolmec/

%files epiolmec-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/epiolmec/

%files eqell
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/eqell/

%files eqell-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/eqell/

%files eqlist
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/eqlist/

%files eqlist-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/eqlist/

%files eqname
%{_texdir}/texmf-dist/tex/latex/eqname/

%files eqparbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/eqparbox/

%files eqparbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/eqparbox/

%files errata
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/errata/

%files errata-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/errata/

%files esami
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/esami/

%files esami-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/esami/

%files esdiff
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/esdiff/

%files esdiff-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/esdiff/

%files esint
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/esint/
%{_texdir}/texmf-dist/fonts/tfm/public/esint/
%{_texdir}/texmf-dist/tex/latex/esint/

%files esint-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/esint/

%files esint-type1
%license pd.txt
%{_texdir}/texmf-dist/dvips/esint-type1/
%{_texdir}/texmf-dist/fonts/map/dvips/esint-type1/
%{_texdir}/texmf-dist/fonts/type1/public/esint-type1/
%{_texdir}/texmf-dist/tex/plain/esint-type1/

%files esint-type1-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/esint-type1/

%files etaremune
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/etaremune/

%files etaremune-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/etaremune/

%files etextools
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/etextools/

%files etextools-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/etextools/

%files etoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/etoc/

%files etoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/etoc/

%files etoolbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/etoolbox/

%files etoolbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/etoolbox/

%files eukdate
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/eukdate/

%files eukdate-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/eukdate/

%files europasscv
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/europasscv/

%files europasscv-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/europasscv/

%files europecv
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/europecv/

%files europecv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/europecv/

%files everyhook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/everyhook/

%files everyhook-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/everyhook/

%files everypage
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/everypage/

%files everypage-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/everypage/

%files exam
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/exam/

%files exam-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/exam/

%files exam-n
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/exam-n/

%files exam-n-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/exam-n/

%files examdesign
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/examdesign/

%files examdesign-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/examdesign/

%files example
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/example/

%files examplep
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/examplep/

%files examplep-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/examplep/

%files excludeonly
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/excludeonly/

%files excludeonly-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/excludeonly/

%files exercise
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/exercise/

%files exercise-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/exercise/

%files exp-testopt
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/exp-testopt/

%files exp-testopt-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/exp-testopt/

%files expdlist
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/expdlist/

%files expdlist-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/expdlist/

%files export
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/export/

%files export-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/export/

%files exsheets
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/exsheets/

%files exsheets-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/exsheets/

%files exsol
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/exsol/

%files exsol-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/exsol/

%files extract
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/extract/

%files extract-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/extract/

%files facsimile
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/facsimile/

%files facsimile-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/facsimile/

%files factura
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/factura/

%files factura-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/factura/

%files fancylabel
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/fancylabel/

%files fancylabel-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/fancylabel/

%files fancynum
%{_texdir}/texmf-dist/tex/latex/fancynum/

%files fancynum-doc
%{_texdir}/texmf-dist/doc/latex/fancynum/

%files fancypar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fancypar/

%files fancypar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fancypar/

%files fancyslides
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fancyslides/

%files fancyslides-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fancyslides/

%files fancytabs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fancytabs/

%files fancytabs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fancytabs/

%files fancytooltips
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/fancytooltips/

%files fancytooltips-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/fancytooltips/

%files fcolumn
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/fcolumn/

%files fcolumn-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/fcolumn/

%files fifo-stack
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fifo-stack/

%files fifo-stack-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fifo-stack/

%files figsize
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/figsize/

%files figsize-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/figsize/

%files filecontents
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/filecontents/

%files filecontents-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/filecontents/

%files filedate
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/filedate/

%files filedate-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/filedate/

%files filehook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/filehook/

%files filehook-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/filehook/

%files fileinfo
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fileinfo/

%files fileinfo-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fileinfo/

%files filemod
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/filemod/
%{_texdir}/texmf-dist/tex/latex/filemod/

%files filemod-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/filemod/

%files fink
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fink/

%files fink-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fink/

%files finstrut
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/finstrut/

%files finstrut-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/finstrut/

%files fithesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fithesis/

%files fithesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fithesis/

%files fixfoot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fixfoot/

%files fixfoot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fixfoot/

%files fixme
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fixme/

%files fixme-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fixme/

%files fixmetodonotes
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/fixmetodonotes/

%files fixmetodonotes-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/fixmetodonotes/

%files fjodor
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/fjodor/

%files fjodor-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/fjodor/

%files flabels
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/flabels/

%files flabels-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/flabels/

%files flacards
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/flacards/

%files flacards-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/flacards/

%files flagderiv
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/flagderiv/

%files flagderiv-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/flagderiv/

%files flashcards
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/flashcards/

%files flashcards-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/flashcards/

%files flashmovie
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/flashmovie/

%files flashmovie-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/flashmovie/

%files flipbook
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/flipbook/

%files flipbook-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/flipbook/

%files flippdf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/flippdf/

%files flippdf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/flippdf/

%files floatflt
%{_texdir}/texmf-dist/tex/latex/floatflt/

%files floatflt-doc
%{_texdir}/texmf-dist/doc/latex/floatflt/

%files floatrow
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/floatrow/

%files floatrow-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/floatrow/

%files flowfram
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/flowfram/
%{_texdir}/texmf-dist/tex/latex/flowfram/

%files flowfram-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/flowfram/

%files fmp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fmp/

%files fmp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fmp/

%files fmtcount
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/fmtcount/
%{_texdir}/texmf-dist/tex/latex/fmtcount/

%files fmtcount-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fmtcount/

%files fn2end
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/fn2end/

%files fn2end-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/fn2end/

%files fnbreak
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fnbreak/

%files fnbreak-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fnbreak/

%files fncychap
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fncychap/

%files fncychap-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fncychap/

%files fncylab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fncylab/

%files fncylab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fncylab/

%files fnpara
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fnpara/

%files fnpara-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fnpara/

%files fnpct
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fnpct/

%files fnpct-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fnpct/

%files fnumprint
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fnumprint/

%files fnumprint-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fnumprint/

%files foilhtml
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/foilhtml/

%files foilhtml-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/foilhtml/

%files fontaxes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fontaxes/

%files fontaxes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fontaxes/

%files fonttable
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fonttable/

%files fonttable-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fonttable/

%files footmisc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/footmisc/

%files footmisc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/footmisc/

%files footnotebackref
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/footnotebackref/

%files footnotebackref-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/footnotebackref/

%files footnoterange
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/footnoterange/

%files footnoterange-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/footnoterange/

%files footnpag
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/footnpag/

%files footnpag-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/footnpag/

%files forarray
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/forarray/

%files forarray-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/forarray/

%files foreign
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/foreign/

%files foreign-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/foreign/

%files forloop
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/forloop/

%files forloop-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/forloop/

%files formlett
%{_texdir}/texmf-dist/tex/generic/formlett/

%files formlett-doc
%{_texdir}/texmf-dist/doc/generic/formlett/

%files formular
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/formular/

%files formular-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/formular/

%files fragments
%license collection.txt
%{_texdir}/texmf-dist/tex/latex/fragments/

%files fragments-doc
%license collection.txt
%{_texdir}/texmf-dist/doc/latex/fragments/

%files frame
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/frame/

%files frame-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/frame/

%files framed
%{_texdir}/texmf-dist/tex/latex/framed/

%files framed-doc
%{_texdir}/texmf-dist/doc/latex/framed/

%files frankenstein
%license collection.txt
%{_texdir}/texmf-dist/bibtex/bib/frankenstein/
%{_texdir}/texmf-dist/bibtex/bst/frankenstein/
%{_texdir}/texmf-dist/tex/latex/frankenstein/

%files frankenstein-doc
%license collection.txt
%{_texdir}/texmf-dist/doc/latex/frankenstein/

%files frege
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/frege/

%files frege-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/frege/

%files ftcap
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/ftcap/

%files ftcap-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ftcap/

%files ftnxtra
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ftnxtra/

%files ftnxtra-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ftnxtra/

%files fullblck
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fullblck/

%files fullblck-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fullblck/

%files fullminipage
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/fullminipage/

%files fullminipage-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/fullminipage/

%files fullwidth
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fullwidth/

%files fullwidth-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fullwidth/

%files fundus-calligra
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/fundus-calligra/

%files fundus-calligra-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/fundus-calligra/

%files fundus-cyr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fundus-cyr/

%files fundus-sueterlin
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fundus-sueterlin/

%files fundus-sueterlin-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fundus-sueterlin/

%files fwlw
%{_texdir}/texmf-dist/tex/latex/fwlw/

%files fwlw-doc
%{_texdir}/texmf-dist/doc/latex/fwlw/

%files g-brief
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/g-brief/

%files g-brief-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/g-brief/

%files gauss
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gauss/

%files gauss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gauss/

%files gcard
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gcard/

%files gcard-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gcard/

%files gcite
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gcite/

%files gcite-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gcite/

%files gender
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gender/

%files gender-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gender/

%files genmpage
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/genmpage/

%files genmpage-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/genmpage/

%files getfiledate
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/getfiledate/

%files getfiledate-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/getfiledate/

%files ginpenc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ginpenc/

%files ginpenc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ginpenc/

%files gitinfo
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gitinfo/

%files gitinfo-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gitinfo/

%files gitinfo2
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gitinfo2/

%files gitinfo2-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gitinfo2/

%files gloss
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/gloss/
%{_texdir}/texmf-dist/bibtex/bst/gloss/
%{_texdir}/texmf-dist/tex/latex/gloss/

%files gloss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gloss/

%files glossaries-danish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-danish/

%files glossaries-danish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-danish/

%files glossaries-dutch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-dutch/

%files glossaries-dutch-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-dutch/

%files glossaries-english
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-english/

%files glossaries-english-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-english/
%files glossaries-french
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-french/

%files glossaries-french-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-french/
%files glossaries-german
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-german/

%files glossaries-german-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-german/

%files glossaries-irish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-irish/

%files glossaries-irish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-irish/

%files glossaries-italian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-italian/

%files glossaries-italian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-italian/

%files glossaries-magyar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-magyar/

%files glossaries-magyar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-magyar/

%files glossaries-polish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-polish/

%files glossaries-polish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-polish/

%files glossaries-portuges
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-portuges/

%files glossaries-portuges-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-portuges/

%files glossaries-serbian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-serbian/

%files glossaries-serbian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-serbian/

%files glossaries-spanish
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-spanish/

%files glossaries-spanish-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-spanish/

%files gmdoc
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/gmdoc/
%{_texdir}/texmf-dist/tex/latex/gmdoc/

%files gmdoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gmdoc/

%files gmdoc-enhance
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gmdoc-enhance/

%files gmdoc-enhance-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gmdoc-enhance/

%files gmiflink
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gmiflink/

%files gmiflink-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gmiflink/

%files gmutils
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gmutils/

%files gmutils-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gmutils/

%files gmverb
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gmverb/

%files gmverb-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gmverb/

%files graphbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/graphbox/

%files graphbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/graphbox/

%files graphicx-psmin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/graphicx-psmin/

%files graphicx-psmin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/graphicx-psmin/

%files graphicxbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/graphicxbox/

%files graphicxbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/graphicxbox/

%files grfpaste
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/grfpaste/

%files grfpaste-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/grfpaste/

%files grid
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/grid/

%files grid-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/grid/

%files grid-system
%license apache2.txt
%{_texdir}/texmf-dist/tex/latex/grid-system/

%files grid-system-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/latex/grid-system/

%files gridset
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gridset/

%files gridset-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gridset/

%files gtl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/gtl/

%files gtl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/gtl/

%files guitlogo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/guitlogo/

%files guitlogo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/guitlogo/

%files handout
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/handout/

%files handout-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/handout/

%files hang
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hang/

%files hang-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hang/

%files hanging
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hanging/

%files hanging-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hanging/

%files hardwrap
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hardwrap/

%files hardwrap-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hardwrap/

%files harnon-cv
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/harnon-cv/

%files harnon-cv-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/harnon-cv/

%files harpoon
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/harpoon/

%files harpoon-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/harpoon/

%files hc
%{_texdir}/texmf-dist/bibtex/bst/hc/
%{_texdir}/texmf-dist/tex/latex/hc/

%files hc-doc
%{_texdir}/texmf-dist/doc/latex/hc/

%files he-she
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/he-she/

%files he-she-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/he-she/

%files hhtensor
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hhtensor/

%files hhtensor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hhtensor/

%files histogr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/histogr/

%files histogr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/histogr/

%files hitec
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hitec/

%files hitec-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hitec/

%files hletter
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/hletter/

%files hletter-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/hletter/

%files hpsdiss
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/hpsdiss/

%files hpsdiss-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/hpsdiss/

%files hrefhide
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hrefhide/

%files hrefhide-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hrefhide/

%files hvindex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hvindex/

%files hvindex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hvindex/

%files hypdvips
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hypdvips/

%files hypdvips-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hypdvips/

%files hyper
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hyper/

%files hyper-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hyper/

%files hypernat
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/hypernat/

%files hypernat-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/hypernat/

%files hyperref-docsrc-doc
%{_texdir}/texmf-dist/doc/latex/hyperref-docsrc/

%files hyperxmp
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hyperxmp/

%files hyperxmp-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hyperxmp/

%files hyphenat
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hyphenat/

%files hyphenat-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/hyphenat/

%files idxcmds
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/idxcmds/

%files idxcmds-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/idxcmds/

%files idxlayout
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/idxlayout/

%files idxlayout-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/idxlayout/

%files ifmslide
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/ifmslide/

%files ifmslide-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/ifmslide/

%files ifnextok
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ifnextok/

%files ifnextok-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ifnextok/

%files ifoddpage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ifoddpage/

%files ifoddpage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ifoddpage/

%files ifplatform
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ifplatform/

%files ifplatform-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ifplatform/

%files ifthenx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ifthenx/

%files ifthenx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ifthenx/

%files iitem
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/iitem/

%files iitem-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/iitem/

%files image-gallery
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/image-gallery/

%files image-gallery-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/image-gallery/

%files imakeidx
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/imakeidx/

%files imakeidx-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/imakeidx/

%files import
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/import/

%files import-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/import/

%files incgraph
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/incgraph/

%files incgraph-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/incgraph/

%files indextools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/indextools/

%files indextools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/indextools/

%files inlinedef
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/inlinedef/

%files inlinedef-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/inlinedef/

%files inputtrc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/inputtrc/

%files inputtrc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/inputtrc/

%files interactiveworkbook
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/interactiveworkbook/

%files interactiveworkbook-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/interactiveworkbook/

%files interfaces
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/interfaces/

%files interfaces-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/interfaces/

%files inversepath
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/inversepath/

%files inversepath-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/inversepath/

%files invoice
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/invoice/

%files invoice-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/invoice/

%files iso
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/iso/
%{_texdir}/texmf-dist/tex/latex/iso/

%files iso-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/iso/

%files iso10303
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/iso10303/

%files iso10303-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/iso10303/

%files isodate
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/isodate/

%files isodate-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/isodate/

%files isodoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/isodoc/

%files isodoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/isodoc/

%files isonums
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/isonums/

%files isonums-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/isonums/

%files isorot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/isorot/

%files isorot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/isorot/

%files isotope
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/isotope/

%files isotope-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/isotope/

%files issuulinks
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/issuulinks/

%files issuulinks-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/issuulinks/

%files iwhdp
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/iwhdp/

%files iwhdp-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/iwhdp/

%files jlabels
%{_texdir}/texmf-dist/tex/latex/jlabels/

%files jlabels-doc
%{_texdir}/texmf-dist/doc/latex/jlabels/

%files jslectureplanner
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/jslectureplanner/

%files jslectureplanner-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/jslectureplanner/

%files jumplines
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/jumplines/

%files jumplines-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/jumplines/

%files jvlisting
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/jvlisting/

%files jvlisting-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/jvlisting/

%files kantlipsum
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/kantlipsum/

%files kantlipsum-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/kantlipsum/

%files kerntest
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/kerntest/

%files kerntest-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/kerntest/

%files keycommand
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/keycommand/

%files keycommand-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/keycommand/

%files keyreader
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/keyreader/

%files keyreader-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/keyreader/

%files keystroke
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/keystroke/

%files keystroke-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/keystroke/

%files keyval2e
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/keyval2e/

%files keyval2e-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/keyval2e/

%files kix
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/kix/

%files kix-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/kix/

%files koma-moderncvclassic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/koma-moderncvclassic/

%files koma-moderncvclassic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/koma-moderncvclassic/

%files koma-script-sfs
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/koma-script-sfs/

%files koma-script-sfs-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/koma-script-sfs/

%files komacv
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/komacv/

%files komacv-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/komacv/

%files ktv-texdata
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/ktv-texdata/

%files ktv-texdata-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ktv-texdata/

%files labbook
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/labbook/

%files labbook-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/labbook/

%files labels
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/labels/

%files labels-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/labels/

%files lastpackage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lastpackage/

%files lastpackage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lastpackage/

%files lastpage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lastpage/

%files lastpage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lastpage/

%files latexdemo
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/latexdemo/

%files latexdemo-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/latexdemo/

%files layouts
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/layouts/

%files layouts-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/layouts/

%files lazylist
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/lazylist/

%files lazylist-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/lazylist/

%files lcd
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lcd/

%files lcd-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lcd/

%files lcg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lcg/

%files lcg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lcg/

%files leading
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/leading/

%files leading-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/leading/

%files leaflet
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/leaflet/

%files leaflet-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/leaflet/

%files leftidx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/leftidx/

%files leftidx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/leftidx/

%files lengthconvert
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lengthconvert/

%files lengthconvert-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lengthconvert/

%files lettre
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lettre/

%files lettre-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lettre/

%files lettrine
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lettrine/

%files lettrine-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lettrine/

%files lewis
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/lewis/

%files lewis-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/lewis/

%files lhelp
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/lhelp/

%files lhelp-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lhelp/

%files libgreek
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/libgreek/

%files libgreek-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/libgreek/

%files limap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/limap/

%files linegoal
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/linegoal/

%files linegoal-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/linegoal/

%files lipsum
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lipsum/

%files lipsum-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lipsum/

%files lisp-on-tex
%license bsd.txt
%{_texdir}/texmf-dist/tex/latex/lisp-on-tex/

%files lisp-on-tex-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/latex/lisp-on-tex/

%files listing
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/listing/

%files listing-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/listing/

%files listlbls
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/listlbls/

%files listlbls-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/listlbls/

%files listliketab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/listliketab/

%files listliketab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/listliketab/

%files listofsymbols
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/listofsymbols/

%files listofsymbols-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/listofsymbols/

%files lkproof
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/lkproof/

%files lkproof-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/lkproof/

%files lmake
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/lmake/

%files lmake-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/lmake/

%files locality
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/locality/

%files locality-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/locality/

%files localloc
%{_texdir}/texmf-dist/tex/latex/localloc/

%files localloc-doc
%{_texdir}/texmf-dist/doc/latex/localloc/

%files logbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/logbox/

%files logbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/logbox/

%files logical-markup-utils
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/logical-markup-utils/

%files logical-markup-utils-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/logical-markup-utils/

%files logpap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/logpap/

%files logpap-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/logpap/

%files longfigure
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/longfigure/

%files longfigure-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/longfigure/

%files longnamefilelist
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/longnamefilelist/

%files longnamefilelist-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/longnamefilelist/

%files loops
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/loops/

%files loops-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/loops/

%files lsc
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/lsc/
%{_texdir}/texmf-dist/tex/latex/lsc/

%files lsc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lsc/

%files lstaddons
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lstaddons/

%files lstaddons-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lstaddons/

%files lt3graph
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lt3graph/

%files lt3graph-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lt3graph/

%files ltablex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ltablex/

%files ltablex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ltablex/

%files ltabptch
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ltabptch/

%files ltabptch-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ltabptch/

%files ltxdockit
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ltxdockit/

%files ltxdockit-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ltxdockit/

%files ltxindex
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/ltxindex/

%files ltxindex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ltxindex/

%files ltxkeys
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ltxkeys/

%files ltxkeys-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ltxkeys/

%files ltxnew
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ltxnew/

%files ltxnew-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ltxnew/

%files ltxtools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ltxtools/

%files ltxtools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ltxtools/

%files macroswap
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/macroswap/

%files macroswap-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/macroswap/

%files magaz
%{_texdir}/texmf-dist/tex/latex/magaz/

%files magaz-doc
%{_texdir}/texmf-dist/doc/latex/magaz/

%files mailing
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mailing/

%files mailing-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mailing/

%files mailmerge
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/mailmerge/

%files mailmerge-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/mailmerge/

%files makebarcode
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/makebarcode/

%files makebarcode-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/makebarcode/

%files makebox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/makebox/

%files makebox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/makebox/

%files makecell
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/makecell/

%files makecell-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/makecell/

%files makecirc
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/makecirc/

%files makecirc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/makecirc/

%files makecmds
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/makecmds/

%files makecmds-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/makecmds/

%files makeglos
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/makeglos/

%files makeglos-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/makeglos/

%files mandi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mandi/

%files mandi-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mandi/

%files manfnt
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/manfnt/

%files manuscript
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/manuscript/

%files manuscript-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/manuscript/

%files marginfix
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/marginfix/

%files marginfix-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/marginfix/

%files marginnote
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/marginnote/

%files marginnote-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/marginnote/

%files mathalfa
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mathalfa/

%files mathalfa-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mathalfa/

%files mathastext
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mathastext/

%files mathastext-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mathastext/

%files mathexam
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mathexam/

%files mathexam-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mathexam/

%files maybemath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/maybemath/

%files maybemath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/maybemath/

%files mbenotes
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/mbenotes/

%files mbenotes-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/mbenotes/

%files mcaption
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mcaption/

%files mcaption-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mcaption/

%files mceinleger
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/mceinleger/

%files mceinleger-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/mceinleger/

%files mcite
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/mcite/

%files mcite-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/mcite/

%files mciteplus
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/mciteplus/
%{_texdir}/texmf-dist/tex/latex/mciteplus/

%files mciteplus-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mciteplus/

%files mdframed
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mdframed/

%files mdframed-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mdframed/

%files media9
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/media9/

%files media9-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/media9/

%files medstarbeamer
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/medstarbeamer/

%files medstarbeamer-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/medstarbeamer/

%files meetingmins
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/meetingmins/

%files meetingmins-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/meetingmins/

%files memexsupp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/memexsupp/

%files memexsupp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/memexsupp/

%files memory
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/memory/

%files memory-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/memory/

%files menu
%{_texdir}/texmf-dist/tex/latex/menu/

%files menu-doc
%{_texdir}/texmf-dist/doc/latex/menu/

%files menukeys
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/menukeys/

%files menukeys-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/menukeys/

%files method
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/method/

%files method-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/method/

%files metre
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/metre/

%files metre-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/metre/

%files mfirstuc
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/mfirstuc/
%{_texdir}/texmf-dist/tex/latex/mfirstuc/

%files mfirstuc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mfirstuc/

%files mftinc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mftinc/

%files mftinc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mftinc/

%files midpage
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/midpage/

%files midpage-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/midpage/

%files minibox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/minibox/

%files minibox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/minibox/

%files minifp
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/minifp/

%files minifp-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/minifp/

%files minipage-marginpar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/minipage-marginpar/

%files minipage-marginpar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/minipage-marginpar/

%files minitoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/minitoc/

%files minitoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/minitoc/

%files minorrevision
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/minorrevision/

%files minorrevision-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/minorrevision/

%files minted
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/minted/

%files minted-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/minted/

%files minutes
%{_texdir}/texmf-dist/tex/latex/minutes/

%files minutes-doc
%{_texdir}/texmf-dist/doc/latex/minutes/

%files mla-paper
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mla-paper/

%files mla-paper-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mla-paper/

%files mlist
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mlist/

%files mlist-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mlist/

%files mmap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mmap/

%files mmap-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mmap/

%files mnotes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mnotes/

%files mnotes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mnotes/

%files moderncv
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/moderncv/

%files moderncv-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/moderncv/

%files moderntimeline
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/moderntimeline/

%files moderntimeline-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/moderntimeline/

%files modref
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/modref/

%files modref-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/modref/

%files modroman
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/modroman/

%files modroman-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/modroman/

%files monofill
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/monofill/

%files monofill-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/monofill/

%files moreenum
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/moreenum/

%files moreenum-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/moreenum/

%files morefloats
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/morefloats/

%files morefloats-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/morefloats/

%files morehype
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/morehype/

%files morehype-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/morehype/

%files moresize
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/moresize/

%files moresize-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/moresize/

%files moreverb
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/moreverb/

%files moreverb-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/moreverb/

%files morewrites
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/morewrites/

%files morewrites-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/morewrites/

%files mparhack
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/mparhack/

%files mparhack-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/mparhack/

%files msc
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/msc/
%{_texdir}/texmf-dist/tex/latex/msc/

%files msc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/msc/

%files msg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/msg/

%files msg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/msg/

%files mslapa
%{_texdir}/texmf-dist/bibtex/bst/mslapa/
%{_texdir}/texmf-dist/tex/latex/mslapa/

%files mslapa-doc
%{_texdir}/texmf-dist/doc/latex/mslapa/

%files mtgreek
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mtgreek/

%files mtgreek-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mtgreek/

%files multenum
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/multenum/

%files multenum-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/multenum/

%files multiaudience
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/multiaudience/

%files multiaudience-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/multiaudience/

%files multibbl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/multibbl/

%files multibbl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/multibbl/

%files multicap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/multicap/

%files multicap-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/multicap/

%files multienv
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/multienv/

%files multienv-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/multienv/

%files multiexpand
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/multiexpand/

%files multiexpand-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/multiexpand/

%files multirow
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/multirow/

%files multirow-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/multirow/

%files mversion
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/mversion/

%files mversion-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/mversion/

%files mwe
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mwe/

%files mwe-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mwe/

%files mweights
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mweights/

%files mweights-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mweights/

%files mycv
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/mycv/
%{_texdir}/texmf-dist/tex/latex/mycv/

%files mycv-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mycv/

%files mylatexformat
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mylatexformat/

%files mylatexformat-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mylatexformat/

%files nag
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nag/

%files nag-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nag/

%files nameauth
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nameauth/

%files nameauth-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nameauth/

%files namespc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/namespc/

%files namespc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/namespc/

%files ncclatex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ncclatex/

%files ncclatex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ncclatex/

%files needspace
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/needspace/

%files needspace-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/needspace/

%files nestquot
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/nestquot/

%files newcommand-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/newcommand/

%files newenviron
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/newenviron/

%files newenviron-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/newenviron/

%files newfile
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/newfile/

%files newfile-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/newfile/

%files newlfm
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/newlfm/

%files newlfm-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/newlfm/

%files newspaper
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/newspaper/

%files newspaper-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/newspaper/

%files newunicodechar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/newunicodechar/

%files newunicodechar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/newunicodechar/

%files newvbtm
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/newvbtm/

%files newvbtm-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/newvbtm/

%files newverbs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/newverbs/

%files newverbs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/newverbs/

%files nextpage
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nextpage/

%files nfssext-cfr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nfssext-cfr/

%files nfssext-cfr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nfssext-cfr/

%files nicefilelist
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nicefilelist/

%files nicefilelist-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nicefilelist/

%files niceframe
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/niceframe/
%{_texdir}/texmf-dist/fonts/tfm/public/niceframe/
%{_texdir}/texmf-dist/tex/latex/niceframe/

%files niceframe-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/niceframe/

%files nicetext
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nicetext/

%files nicetext-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nicetext/

%files nlctdoc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nlctdoc/

%files nlctdoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nlctdoc/

%files noconflict
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/noconflict/

%files noconflict-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/noconflict/

%files noindentafter
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/noindentafter/

%files noindentafter-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/noindentafter/

%files noitcrul
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/noitcrul/

%files noitcrul-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/noitcrul/

%files nolbreaks
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/nolbreaks/

%files nolbreaks-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/nolbreaks/

%files nomencl
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/nomencl/
%{_texdir}/texmf-dist/tex/latex/nomencl/

%files nomencl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nomencl/

%files nomentbl
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/nomentbl/
%{_texdir}/texmf-dist/tex/latex/nomentbl/

%files nomentbl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nomentbl/

%files nonfloat
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/nonfloat/

%files nonfloat-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/nonfloat/

%files nonumonpart
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/nonumonpart/

%files nonumonpart-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/nonumonpart/

%files nopageno
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nopageno/

%files nopageno-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nopageno/

%files notes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/notes/

%files notes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/notes/

%files notoccite
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/notoccite/

%files notoccite-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/notoccite/

%files nowidow
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nowidow/

%files nowidow-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nowidow/

%files nox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nox/

%files nox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nox/

%files ntheorem
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ntheorem/

%files ntheorem-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ntheorem/

%files numberedblock
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/numberedblock/

%files numberedblock-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/numberedblock/

%files numname
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/numname/

%files numname-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/numname/

%files numprint
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/numprint/

%files numprint-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/numprint/

%files ocg-p
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ocg-p/

%files ocg-p-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ocg-p/

%files ocgx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ocgx/

%files ocgx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ocgx/

%files ocgx2
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ocgx2/

%files ocgx2-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ocgx2/

%files ocr-latex
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/ocr-latex/

%files ocr-latex-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ocr-latex/

%files octavo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/octavo/

%files octavo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/octavo/

%files oldstyle
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/oldstyle/

%files oldstyle-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/oldstyle/

%files onlyamsmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/onlyamsmath/

%files onlyamsmath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/onlyamsmath/

%files opcit
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/opcit/
%{_texdir}/texmf-dist/tex/latex/opcit/

%files opcit-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/opcit/

%files optional
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/optional/

%files optional-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/optional/

%files outline
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/outline/

%files outline-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/outline/

%files outliner
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/outliner/

%files outliner-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/outliner/

%files outlines
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/outlines/

%files outlines-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/outlines/

%files overpic
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/overpic/

%files overpic-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/overpic/

%files pagecolor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pagecolor/

%files pagecolor-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pagecolor/

%files pagecont
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pagecont/

%files pagecont-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pagecont/

%files pagenote
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pagenote/

%files pagenote-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pagenote/

%files pagerange
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pagerange/

%files pagerange-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pagerange/

%files pageslts
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pageslts/

%files pageslts-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pageslts/

%files paper
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/paper/

%files paper-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/paper/

%files papercdcase
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/papercdcase/

%files papercdcase-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/papercdcase/

%files papermas
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/papermas/

%files papermas-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/papermas/

%files papertex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/papertex/

%files papertex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/papertex/

%files paracol
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/paracol/

%files paracol-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/paracol/

%files paresse
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/paresse/

%files paresse-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/paresse/

%files parnotes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/parnotes/

%files parnotes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/parnotes/

%files parselines
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/parselines/

%files parselines-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/parselines/

%files pas-cours
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pas-cours/

%files pas-cours-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pas-cours/

%files pas-cv
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pas-cv/

%files pas-cv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pas-cv/

%files pas-tableur
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pas-tableur/

%files pas-tableur-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pas-tableur/

%files patchcmd
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/patchcmd/

%files patchcmd-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/patchcmd/

%files pauldoc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pauldoc/

%files pauldoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pauldoc/

%files pawpict
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pawpict/

%files pawpict-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pawpict/

%files pbox
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/pbox/

%files pbox-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/pbox/

%files pbsheet
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pbsheet/

%files pbsheet-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pbsheet/

%files pdf14
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pdf14/

%files pdf14-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pdf14/

%files pdfcomment
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pdfcomment/

%files pdfcomment-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pdfcomment/

%files pdfcprot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pdfcprot/

%files pdfcprot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pdfcprot/

%files pdfmarginpar
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pdfmarginpar/

%files pdfmarginpar-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pdfmarginpar/

%files pdfpagediff
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pdfpagediff/

%files pdfpagediff-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pdfpagediff/

%files pdfscreen
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pdfscreen/

%files pdfscreen-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pdfscreen/

%files pdfslide
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pdfslide/

%files pdfslide-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pdfslide/

%files pdfsync
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pdfsync/

%files pdfsync-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pdfsync/

%files pdfwin
%{_texdir}/texmf-dist/tex/latex/pdfwin/

%files pdfwin-doc
%{_texdir}/texmf-dist/doc/latex/pdfwin/

%files pdfx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pdfx/

%files pdfx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pdfx/

%files pecha
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pecha/

%files pecha-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pecha/

%files permute
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/permute/

%files permute-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/permute/

%files petiteannonce
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/petiteannonce/

%files petiteannonce-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/petiteannonce/

%files philex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/philex/

%files philex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/philex/

%files photo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/photo/

%files photo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/photo/

%files piff
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/piff/

%files piff-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/piff/

%files pkgloader
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pkgloader/

%files pkgloader-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pkgloader/

%files plantslabels
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/plantslabels/

%files plantslabels-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/plantslabels/

%files plates
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/plates/

%files plates-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/plates/

%files plweb
%{_texdir}/texmf-dist/tex/latex/plweb/

%files plweb-doc
%{_texdir}/texmf-dist/doc/latex/plweb/

%files polynom
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/polynom/

%files polynom-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/polynom/

%files polynomial
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/polynomial/

%files polynomial-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/polynomial/

%files polytable
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/polytable/

%files polytable-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/polytable/

%files postcards
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/postcards/

%files postcards-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/postcards/

%files poster-mac
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/poster-mac/

%files poster-mac-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/poster-mac/

%files ppr-prv
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ppr-prv/

%files ppr-prv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ppr-prv/

%files preprint
%license collection.txt
%{_texdir}/texmf-dist/tex/latex/preprint/

%files preprint-doc
%license collection.txt
%{_texdir}/texmf-dist/doc/latex/preprint/

%files pressrelease
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pressrelease/

%files pressrelease-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pressrelease/

%files prettyref
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/prettyref/

%files prettyref-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/prettyref/

%files printlen
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/printlen/

%files printlen-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/printlen/

%files probsoln
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/probsoln/

%files probsoln-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/probsoln/

%files program
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/program/

%files program-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/program/

%files progress
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/progress/

%files progress-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/progress/

%files progressbar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/progressbar/

%files progressbar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/progressbar/

%files proofread
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/proofread/

%files proofread-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/proofread/

%files properties
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/properties/

%files properties-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/properties/

%files prosper
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/prosper/

%files prosper-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/prosper/

%files protex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/protex/

%files protex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/protex/

%files protocol
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/protocol/

%files protocol-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/protocol/

%files psfragx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/psfragx/

%files psfragx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/psfragx/

%files pstool
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pstool/

%files pstool-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pstool/

%files pxgreeks
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pxgreeks/

%files pxgreeks-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pxgreeks/

%files python
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/python/

%files python-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/python/

%files qcm
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/qcm/

%files qcm-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/qcm/

%files qstest
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/qstest/

%files qstest-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/qstest/

%files qsymbols
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/qsymbols/

%files qsymbols-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/qsymbols/

%files quotchap
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/quotchap/

%files quotchap-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/quotchap/

%files quoting
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/quoting/

%files quoting-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/quoting/

%files quotmark
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/quotmark/

%files quotmark-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/quotmark/

%files ran_toks
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ran_toks/

%files ran_toks-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ran_toks/

%files randtext
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/randtext/

%files randtext-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/randtext/

%files rccol
%{_texdir}/texmf-dist/tex/latex/rccol/

%files rccol-doc
%{_texdir}/texmf-dist/doc/latex/rccol/

%files rcs-multi
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rcs-multi/

%files rcs-multi-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rcs-multi/

%files rcsinfo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rcsinfo/

%files rcsinfo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rcsinfo/

%files readarray
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/readarray/

%files readarray-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/readarray/

%files realboxes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/realboxes/

%files realboxes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/realboxes/

%files recipe
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/recipe/

%files recipe-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/recipe/

%files recipebook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/recipebook/

%files recipebook-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/recipebook/

%files recipecard
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/recipecard/

%files recipecard-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/recipecard/

%files rectopma
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rectopma/

%files rectopma-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rectopma/

%files refcheck
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/refcheck/

%files refcheck-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/refcheck/

%files refenums
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/refenums/

%files refenums-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/refenums/

%files reflectgraphics
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/reflectgraphics/

%files reflectgraphics-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/reflectgraphics/

%files refman
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/refman/

%files refman-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/refman/

%files refstyle
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/refstyle/

%files refstyle-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/refstyle/

%files regcount
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/regcount/

%files regcount-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/regcount/

%files regexpatch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/regexpatch/

%files regexpatch-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/regexpatch/

%files register
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/register/

%files register-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/register/

%files regstats
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/regstats/

%files regstats-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/regstats/

%files relenc
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/public/relenc/
%{_texdir}/texmf-dist/fonts/vf/public/relenc/
%{_texdir}/texmf-dist/tex/latex/relenc/

%files relenc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/relenc/

%files relsize
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/relsize/

%files relsize-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/relsize/

%files repeatindex
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/repeatindex/
%{_texdir}/texmf-dist/tex/latex/repeatindex/

%files repeatindex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/repeatindex/

%files repltext
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/repltext/

%files repltext-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/repltext/

%files rjlparshap
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/rjlparshap/

%files rjlparshap-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/rjlparshap/

%files rlepsf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/rlepsf/

%files rlepsf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/rlepsf/

%files rmpage
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/rmpage/

%files rmpage-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/rmpage/

%files robustcommand
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/robustcommand/

%files robustcommand-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/robustcommand/

%files robustindex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/robustindex/

%files robustindex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/robustindex/

%files romanbar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/romanbar/

%files romanbar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/romanbar/

%files romanbarpagenumber
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/romanbarpagenumber/

%files romanbarpagenumber-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/romanbarpagenumber/

%files romanneg
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/romanneg/

%files romanneg-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/romanneg/

%files romannum
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/romannum/

%files romannum-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/romannum/

%files rotfloat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rotfloat/

%files rotfloat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rotfloat/

%files rotpages
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rotpages/

%files rotpages-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rotpages/

%files roundbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/roundbox/

%files roundbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/roundbox/

%files rterface
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/rterface/

%files rterface-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/rterface/

%files rtkinenc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rtkinenc/

%files rtkinenc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rtkinenc/

%files rulercompass
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/rulercompass/

%files rulercompass-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/rulercompass/

%files rvwrite
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/rvwrite/

%files rvwrite-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/rvwrite/

%files savefnmark
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/savefnmark/

%files savefnmark-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/savefnmark/

%files savesym
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/savesym/

%files savetrees
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/savetrees/
%{_texdir}/texmf-dist/tex/latex/savetrees/

%files savetrees-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/savetrees/

%files scale
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/scale/

%files scale-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/scale/

%files scalebar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/scalebar/

%files scalebar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/scalebar/

%files scalerel
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/scalerel/

%files scalerel-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/scalerel/

%files scanpages
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/scanpages/
%{_texdir}/texmf-dist/fonts/map/dvips/scanpages/
%{_texdir}/texmf-dist/fonts/tfm/public/scanpages/
%{_texdir}/texmf-dist/fonts/type1/public/scanpages/

%files scanpages-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/scanpages/

%files sdrt
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sdrt/

%files sdrt-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sdrt/

%files secdot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/secdot/

%files secdot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/secdot/

%files sectionbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sectionbox/

%files sectionbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sectionbox/

%files sectsty
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sectsty/

%files sectsty-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sectsty/

%files seealso
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/seealso/

%files seealso-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/seealso/

%files selectp
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/selectp/

%files selectp-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/selectp/

%files semantic
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/semantic/

%files semantic-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/semantic/

%files semioneside
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/semioneside/

%files semioneside-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/semioneside/

%files semproc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/semproc/

%files semproc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/semproc/

%files sepfootnotes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sepfootnotes/

%files sepfootnotes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sepfootnotes/

%files seqsplit
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/seqsplit/

%files seqsplit-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/seqsplit/

%files sf298
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sf298/

%files sf298-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sf298/

%files sffms
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sffms/

%files sffms-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sffms/

%files sfmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sfmath/

%files shadethm
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/shadethm/

%files shadethm-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/shadethm/

%files shadow
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/shadow/

%files shadow-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/shadow/

%files shadowtext
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/shadowtext/

%files shadowtext-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/shadowtext/

%files shapepar
%{_texdir}/texmf-dist/tex/generic/shapepar/

%files shapepar-doc
%{_texdir}/texmf-dist/doc/generic/shapepar/

%files shdoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/shdoc/

%files shdoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/shdoc/

%files shipunov
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/shipunov/
%{_texdir}/texmf-dist/scripts/shipunov/
%{_texdir}/texmf-dist/tex/latex/shipunov/

%files shipunov-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/shipunov/

%files shorttoc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/shorttoc/

%files shorttoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/shorttoc/

%files show2e
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/show2e/

%files show2e-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/show2e/

%files showcharinbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/showcharinbox/

%files showcharinbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/showcharinbox/

%files showdim
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/showdim/

%files showdim-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/showdim/

%files showexpl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/showexpl/

%files showexpl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/showexpl/

%files showlabels
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/showlabels/

%files showlabels-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/showlabels/

%files sidecap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sidecap/

%files sidecap-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sidecap/

%files sidenotes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sidenotes/

%files sidenotes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sidenotes/

%files silence
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/silence/

%files silence-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/silence/

%files simplecd
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/simplecd/

%files simplecd-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/simplecd/

%files simplecv
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/simplecv/

%files simplecv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/simplecv/

%files simplewick
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/simplewick/

%files simplewick-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/simplewick/

%files sitem
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sitem/

%files sitem-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sitem/

%files skb
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/skb/

%files skb-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/skb/

%files skdoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/skdoc/

%files skdoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/skdoc/

%files skeycommand
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/skeycommand/

%files skeycommand-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/skeycommand/

%files skeyval
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/skeyval/

%files skeyval-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/skeyval/

%files skrapport
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/skrapport/

%files skrapport-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/skrapport/

%files slantsc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/slantsc/

%files slantsc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/slantsc/

%files smalltableof
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/smalltableof/

%files smalltableof-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/smalltableof/

%files smartref
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/smartref/

%files smartref-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/smartref/

%files snapshot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/snapshot/

%files snapshot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/snapshot/

%files snotez
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/snotez/

%files snotez-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/snotez/

%files soul
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/soul/

%files soul-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/soul/

%files sparklines
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sparklines/

%files sparklines-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sparklines/

%files sphack
%{_texdir}/texmf-dist/tex/latex/sphack/

%files sphack-doc
%{_texdir}/texmf-dist/doc/latex/sphack/

%files spot
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/spot/

%files spot-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/spot/

%files spotcolor
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/spotcolor/

%files spotcolor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/spotcolor/

%files spreadtab
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/spreadtab/

%files spreadtab-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/spreadtab/

%files spverbatim
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/spverbatim/

%files spverbatim-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/spverbatim/

%files srbook-mem
%{_texdir}/texmf-dist/tex/latex/srbook-mem/

%files srbook-mem-doc
%{_texdir}/texmf-dist/doc/latex/srbook-mem/

%files srcltx
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/srcltx/

%files srcltx-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/srcltx/

%files sseq
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sseq/

%files sseq-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sseq/

%files sslides
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sslides/

%files sslides-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sslides/

%files stack
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/stack/

%files stackengine
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/stackengine/

%files stackengine-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/stackengine/

%files standalone
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/standalone/

%files standalone-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/standalone/

%files statistik
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/statistik/

%files statistik-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/statistik/

%files stdclsdv
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/stdclsdv/

%files stdclsdv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/stdclsdv/

%files stdpage
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/stdpage/

%files stdpage-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/stdpage/

%files stex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/stex/

%files stex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/stex/

%files storebox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/storebox/

%files storebox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/storebox/

%files storecmd
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/storecmd/

%files storecmd-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/storecmd/

%files stringstrings
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/stringstrings/

%files stringstrings-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/stringstrings/

%files sttools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sttools/

%files sttools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sttools/

%files stubs
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/stubs/

%files stubs-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/stubs/

%files subdepth
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subdepth/

%files subdepth-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/subdepth/

%files subeqn
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subeqn/

%files subeqn-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/subeqn/

%files subeqnarray
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subeqnarray/

%files subeqnarray-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/subeqnarray/

%files subfigmat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subfigmat/

%files subfigmat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/subfigmat/

%files subfigure
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subfigure/

%files subfigure-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/subfigure/

%files subfiles
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/subfiles/

%files subfiles-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/subfiles/

%files subfloat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subfloat/

%files subfloat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/subfloat/

%files substitutefont
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/substitutefont/

%files substitutefont-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/substitutefont/

%files substr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/substr/

%files substr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/substr/

%files supertabular
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/supertabular/

%files supertabular-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/supertabular/

%files svg
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/svg/

%files svg-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/svg/

%files svgcolor
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/svgcolor/

%files svgcolor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/svgcolor/

%files svn
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/svn/

%files svn-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/svn/

%files svninfo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/svninfo/

%files svninfo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/svninfo/

%files syntax
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/syntax/

%files syntax-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/syntax/

%files syntrace
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/syntrace/

%files syntrace-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/syntrace/

%files synttree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/synttree/

%files synttree-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/synttree/

%files tabfigures
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tabfigures/

%files tabfigures-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tabfigures/

%files tableaux
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tableaux/

%files tableaux-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tableaux/

%files tablefootnote
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tablefootnote/

%files tablefootnote-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tablefootnote/

%files tableof
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tableof/

%files tableof-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tableof/

%files tablestyles
%{_texdir}/texmf-dist/tex/latex/tablestyles/

%files tablestyles-doc
%{_texdir}/texmf-dist/doc/latex/tablestyles/

%files tablists
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tablists/

%files tablists-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tablists/

%files tabls
%{_texdir}/texmf-dist/tex/latex/tabls/

%files tabls-doc
%{_texdir}/texmf-dist/doc/latex/tabls/

%files tabstackengine
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tabstackengine/

%files tabstackengine-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tabstackengine/

%files tabto-ltx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tabto-ltx/

%files tabto-ltx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tabto-ltx/

%files tabu
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tabu/

%files tabu-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tabu/

%files tabularborder
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/tabularborder/

%files tabularborder-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/tabularborder/

%files tabularcalc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tabularcalc/

%files tabularcalc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tabularcalc/

%files tabularew
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tabularew/

%files tabularew-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tabularew/

%files tabulary
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tabulary/

%files tabulary-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tabulary/

%files tagging
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tagging/

%files tagging-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tagging/

%files tagpair
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tagpair/

%files tagpair-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tagpair/

%files talk
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/talk/

%files talk-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/talk/

%files tamefloats
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tamefloats/

%files tamefloats-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tamefloats/

%files tasks
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tasks/

%files tasks-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tasks/

%files tcldoc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tcldoc/

%files tcldoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tcldoc/

%files tcolorbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tcolorbox/

%files tcolorbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tcolorbox/

%files tdclock
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/tdclock/

%files tdclock-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/tdclock/

%files technics
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/technics/

%files technics-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/technics/

%files ted
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ted/

%files ted-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ted/

%files templatetools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/templatetools/

%files templatetools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/templatetools/

%files termcal
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/termcal/

%files termcal-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/termcal/

%files termlist
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/termlist/

%files termlist-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/termlist/

%files testhyphens
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/testhyphens/

%files testhyphens-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/testhyphens/

%files tex-label
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tex-label/

%files tex-label-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tex-label/

%files texlogos
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/texlogos/

%files texmate
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/texmate/

%files texmate-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/texmate/

%files texments
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/texments/

%files texments-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/texments/

%files texpower
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/texpower/

%files texpower-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/texpower/

%files texshade
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/texshade/

%files texshade-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/texshade/

%files textfit
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/textfit/

%files textfit-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/textfit/

%files textgreek
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/textgreek/

%files textgreek-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/textgreek/

%files textmerg
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/textmerg/

%files textmerg-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/textmerg/

%files textpos
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/textpos/

%files textpos-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/textpos/

%files theoremref
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/theoremref/

%files theoremref-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/theoremref/

%files thinsp
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/thinsp/

%files thinsp-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/thinsp/

%files thmtools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/thmtools/

%files thmtools-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/thmtools/

%files threadcol
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/threadcol/

%files threadcol-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/threadcol/

%files threeparttable
%{_texdir}/texmf-dist/tex/latex/threeparttable/

%files threeparttable-doc
%{_texdir}/texmf-dist/doc/latex/threeparttable/

%files threeparttablex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/threeparttablex/

%files threeparttablex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/threeparttablex/

%files thumb
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/thumb/

%files thumb-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/thumb/

%files thumbs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/thumbs/

%files thumbs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/thumbs/

%files thumby
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/thumby/

%files thumby-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/thumby/

%files ticket
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ticket/

%files ticket-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ticket/

%files titlecaps
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/titlecaps/

%files titlecaps-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/titlecaps/

%files titlefoot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/titlefoot/

%files titlepic
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/titlepic/

%files titlepic-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/titlepic/

%files titleref
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/titleref/

%files titleref-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/titleref/

%files titlesec
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/titlesec/

%files titlesec-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/titlesec/

%files titling
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/titling/

%files titling-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/titling/

%files tocbibind
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tocbibind/

%files tocbibind-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tocbibind/

%files tocloft
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tocloft/

%files tocloft-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tocloft/

%files tocvsec2
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tocvsec2/

%files tocvsec2-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tocvsec2/

%files todo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/todo/

%files todo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/todo/

%files todonotes
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/todonotes/

%files todonotes-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/todonotes/

%files tokenizer
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tokenizer/

%files tokenizer-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tokenizer/

%files toolbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/toolbox/

%files toolbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/toolbox/

%files topfloat
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/topfloat/

%files topfloat-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/topfloat/

%files totcount
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/totcount/

%files totcount-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/totcount/

%files totpages
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/totpages/

%files totpages-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/totpages/

%files translations
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/translations/

%files translations-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/translations/

%files trfsigns
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/trfsigns/

%files trfsigns-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/trfsigns/

%files trimspaces
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/trimspaces/

%files trimspaces-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/trimspaces/

%files trivfloat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/trivfloat/

%files trivfloat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/trivfloat/

%files trsym
%license lppl1.2.txt
%{_texdir}/texmf-dist/fonts/source/public/trsym/
%{_texdir}/texmf-dist/fonts/tfm/public/trsym/
%{_texdir}/texmf-dist/tex/latex/trsym/

%files trsym-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/trsym/

%files truncate
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/truncate/

%files truncate-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/truncate/

%files tucv
%{_texdir}/texmf-dist/tex/latex/tucv/

%files tucv-doc
%{_texdir}/texmf-dist/doc/latex/tucv/

%files turnthepage
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/turnthepage/

%files turnthepage-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/turnthepage/

%files twoinone
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/twoinone/

%files twoinone-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/twoinone/

%files twoup
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/twoup/

%files twoup-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/twoup/

%files txgreeks
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/txgreeks/

%files txgreeks-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/txgreeks/

%files type1cm
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/type1cm/

%files type1cm-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/type1cm/

%files typeface
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/typeface/

%files typeface-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/typeface/

%files typogrid
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/typogrid/

%files typogrid-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/typogrid/

%files uassign
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/uassign/

%files uassign-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/uassign/

%files ucs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ucs/

%files ucs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ucs/

%files uebungsblatt
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/uebungsblatt/

%files uebungsblatt-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/uebungsblatt/

%files umoline
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/umoline/

%files umoline-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/umoline/

%files underlin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/underlin/

%files underlin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/underlin/

%files underoverlap
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/underoverlap/

%files underoverlap-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/underoverlap/

%files undolabl
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/undolabl/

%files undolabl-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/undolabl/

%files units
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/units/

%files units-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/units/

%files unravel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/unravel/

%files unravel-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/unravel/

%files upmethodology
%license lgpl2.1.txt
%{_texdir}/texmf-dist/bibtex/bst/upmethodology/
%{_texdir}/texmf-dist/tex/latex/upmethodology/

%files upmethodology-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/upmethodology/

%files upquote
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/upquote/

%files upquote-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/upquote/

%files uri
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uri/

%files uri-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uri/

%files ushort
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ushort/

%files ushort-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ushort/

%files varindex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/varindex/

%files varindex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/varindex/

%files varsfromjobname
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/varsfromjobname/

%files varsfromjobname-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/varsfromjobname/

%files varwidth
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/varwidth/

%files varwidth-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/varwidth/

%files vdmlisting
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/vdmlisting/

%files vdmlisting-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/vdmlisting/

%files verbasef
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/verbasef/

%files verbasef-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/verbasef/

%files verbatimbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/verbatimbox/

%files verbatimbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/verbatimbox/

%files verbatimcopy
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/verbatimcopy/

%files verbatimcopy-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/verbatimcopy/

%files verbdef
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/verbdef/

%files verbdef-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/verbdef/

%files verbments
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/verbments/

%files verbments-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/verbments/

%files version
%{_texdir}/texmf-dist/tex/latex/version/

%files version-doc
%{_texdir}/texmf-dist/doc/latex/version/

%files versions
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/versions/

%files versions-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/versions/

%files versonotes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/versonotes/

%files versonotes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/versonotes/

%files vertbars
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/vertbars/

%files vertbars-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/vertbars/

%files vgrid
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/vgrid/

%files vgrid-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/vgrid/

%files vhistory
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/vhistory/

%files vhistory-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/vhistory/

%files vmargin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/vmargin/

%files vmargin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/vmargin/

%files volumes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/volumes/

%files volumes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/volumes/

%files vruler
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/vruler/

%files vruler-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/vruler/

%files vwcol
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/vwcol/

%files vwcol-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/vwcol/

%files wallpaper
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/wallpaper/

%files wallpaper-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/wallpaper/

%files warning
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/warning/

%files warning-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/warning/

%files warpcol
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/warpcol/

%files warpcol-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/warpcol/

%files was
%license collection.txt
%{_texdir}/texmf-dist/tex/latex/was/

%files was-doc
%license collection.txt
%{_texdir}/texmf-dist/doc/latex/was/

%files widetable
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/widetable/

%files widetable-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/widetable/

%files williams
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/williams/

%files williams-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/williams/

%files withargs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/withargs/

%files withargs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/withargs/

%files wordlike
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/wordlike/

%files wordlike-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/wordlike/

%files wrapfig
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/wrapfig/

%files wrapfig-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/wrapfig/

%files xargs
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xargs/

%files xargs-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xargs/

%files xcolor-solarized
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xcolor-solarized/

%files xcolor-solarized-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xcolor-solarized/

%files xcomment
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/xcomment/

%files xcomment-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/xcomment/

%files xdoc
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/xdoc/
%{_texdir}/texmf-dist/tex/latex/xdoc/

%files xdoc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xdoc/

%files xfor
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xfor/

%files xfor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xfor/

%files xhfill
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xhfill/

%files xhfill-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xhfill/

%files xint
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/xint/

%files xint-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/xint/

%files xmpincl
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/xmpincl/

%files xmpincl-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/xmpincl/

%files xnewcommand
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xnewcommand/

%files xnewcommand-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xnewcommand/

%files xoptarg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xoptarg/

%files xoptarg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xoptarg/

%files xpatch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xpatch/

%files xpatch-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xpatch/

%files xpeek
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xpeek/

%files xpeek-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xpeek/

%files xprintlen
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xprintlen/

%files xprintlen-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xprintlen/

%files xpunctuate
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/xpunctuate/

%files xpunctuate-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/xpunctuate/

%files xstring
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/xstring/

%files xstring-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/xstring/

%files xtab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xtab/

%files xtab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xtab/

%files xwatermark
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xwatermark/

%files xwatermark-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xwatermark/

%files xytree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xytree/

%files xytree-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xytree/

%files yafoot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/yafoot/

%files yafoot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/yafoot/

%files yagusylo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/yagusylo/

%files yagusylo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/yagusylo/

%files ydoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/ydoc/
%{_texdir}/texmf-dist/tex/latex/ydoc/

%files ydoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ydoc/

%files zed-csp
%{_texdir}/texmf-dist/tex/latex/zed-csp/

%files zed-csp-doc
%{_texdir}/texmf-dist/doc/latex/zed-csp/

%files ziffer
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ziffer/

%files ziffer-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ziffer/

%files zwgetfdate
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/zwgetfdate/

%files zwgetfdate-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/zwgetfdate/

%files zwpagelayout
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/zwpagelayout/

%files zwpagelayout-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/zwpagelayout/

%files collection-luatex

%files enigma
%license bsd.txt
%{_texdir}/texmf-dist/scripts/context/lua/third/enigma/
%{_texdir}/texmf-dist/tex/context/third/enigma/
%{_texdir}/texmf-dist/tex/generic/enigma/
%{_texdir}/texmf-dist/tex/latex/enigma/
%{_texdir}/texmf-dist/tex/plain/enigma/

%files enigma-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/context/third/enigma/

%files interpreter
%license lppl1.txt
%{_texdir}/texmf-dist/tex/luatex/interpreter/

%files interpreter-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/luatex/interpreter/

%files lua-check-hyphen
%license other-free.txt
%{_texdir}/texmf-dist/tex/lualatex/lua-check-hyphen/

%files lua-check-hyphen-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/lualatex/lua-check-hyphen/

%files lua-visual-debug
%license other-free.txt
%{_texdir}/texmf-dist/tex/luatex/lua-visual-debug/

%files lua-visual-debug-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/luatex/lua-visual-debug/

%files luabibentry
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/lualatex/luabibentry/

%files luabibentry-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/luabibentry/

%files luabidi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/lualatex/luabidi/

%files luabidi-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/luabidi/

%files luacode
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/lualatex/luacode/

%files luacode-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/luacode/

%files luaindex
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/luaindex/
%{_texdir}/texmf-dist/tex/lualatex/luaindex/

%files luaindex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/luaindex/

%files luainputenc
%license pd.txt
%{_texdir}/texmf-dist/tex/lualatex/luainputenc/

%files luainputenc-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/lualatex/luainputenc/

%files luaintro-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/luatex/luaintro/

%files lualatex-doc-doc
%license fdl.txt
%{_texdir}/texmf-dist/doc/lualatex/lualatex-doc/

%files lualatex-math
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/lualatex/lualatex-math/

%files lualatex-math-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/lualatex-math/

%files lualibs
%license gpl2.txt
%{_texdir}/texmf-dist/tex/luatex/lualibs/

%files lualibs-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/luatex/lualibs/

%files luamplib
%license gpl2.txt
%{_texdir}/texmf-dist/tex/luatex/luamplib/

%files luamplib-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/luatex/luamplib/

%files luasseq
%license lppl1.txt
%{_texdir}/texmf-dist/scripts/luasseq/
%{_texdir}/texmf-dist/tex/lualatex/luasseq/

%files luasseq-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/lualatex/luasseq/

%files luatexbase
%license pd.txt
%{_texdir}/texmf-dist/tex/luatex/luatexbase/

%files luatexbase-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/luatex/luatexbase/

%files luatexko
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/luatex/luatexko/

%files luatexko-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/luatex/luatexko/

%files luatextra
%license pd.txt
%{_texdir}/texmf-dist/tex/lualatex/luatextra/

%files luatextra-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/lualatex/luatextra/

%files luatodonotes
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/lualatex/luatodonotes/

%files luatodonotes-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/lualatex/luatodonotes/

%files luaxml
%license other-free.txt
%{_texdir}/texmf-dist/tex/luatex/luaxml/

%files luaxml-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/luatex/luaxml/

%files odsfile
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/lualatex/odsfile/

%files odsfile-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/odsfile/

%files placeat
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/placeat/
%{_texdir}/texmf-dist/tex/lualatex/placeat/

%files placeat-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/placeat/

%files selnolig
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/lualatex/selnolig/

%files selnolig-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/lualatex/selnolig/

%files showhyphens
%{_texdir}/texmf-dist/tex/lualatex/showhyphens/

%files showhyphens-doc
%{_texdir}/texmf-dist/doc/lualatex/showhyphens/

%files spelling
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/spelling/
%{_texdir}/texmf-dist/tex/luatex/spelling/

%files spelling-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/luatex/spelling/

%files ucharcat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ucharcat/

%files ucharcat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ucharcat/

%files commath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/commath/

%files commath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/commath/

%files concmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/concmath/

%files concmath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/concmath/

%files concrete
%license knuth.txt
%{_texdir}/texmf-dist/fonts/source/public/concrete/
%{_texdir}/texmf-dist/fonts/tfm/public/concrete/

%files concrete-doc
%license knuth.txt
%{_texdir}/texmf-dist/doc/fonts/concrete/

%files conteq
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/conteq/

%files conteq-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/conteq/

%files ebproof
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ebproof/

%files ebproof-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ebproof/

%files eqnarray
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/eqnarray/

%files eqnarray-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/eqnarray/

%files extarrows
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/extarrows/

%files extarrows-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/extarrows/

%files extpfeil
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/extpfeil/

%files extpfeil-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/extpfeil/

%files faktor
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/faktor/

%files faktor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/faktor/

%files grundgesetze
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/grundgesetze/

%files grundgesetze-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/grundgesetze/

%files interval
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/interval/

%files interval-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/interval/

%files ionumbers
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/ionumbers/

%files ionumbers-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/ionumbers/

%files isomath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/isomath/

%files isomath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/isomath/

%files logicproof
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/logicproof/

%files logicproof-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/logicproof/

%files lpform
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/lpform/

%files lpform-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/lpform/

%files lplfitch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lplfitch/

%files lplfitch-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lplfitch/

%files mathcomp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mathcomp/

%files mathcomp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mathcomp/

%files mattens
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mattens/

%files mattens-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mattens/

%files mhequ
%{_texdir}/texmf-dist/tex/latex/mhequ/

%files mhequ-doc
%{_texdir}/texmf-dist/doc/latex/mhequ/

%files multiobjective
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/multiobjective/

%files multiobjective-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/multiobjective/

%files natded
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/natded/

%files natded-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/natded/

%files nath
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/nath/

%files nath-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/nath/

%files ot-tableau
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ot-tableau/

%files ot-tableau-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ot-tableau/

%files oubraces
%{_texdir}/texmf-dist/tex/latex/oubraces/

%files oubraces-doc
%{_texdir}/texmf-dist/doc/latex/oubraces/

%files perfectcut
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/perfectcut/

%files perfectcut-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/perfectcut/

%files prftree
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/prftree/

%files prftree-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/prftree/

%files proba
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/proba/

%files proba-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/proba/

%files rec-thy
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/rec-thy/

%files rec-thy-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/rec-thy/

%files ribbonproofs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ribbonproofs/

%files ribbonproofs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ribbonproofs/

%files rmathbr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/rmathbr/

%files rmathbr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/rmathbr/

%files sesamanuel
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sesamanuel/

%files sesamanuel-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sesamanuel/

%files shuffle
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/shuffle/
%{_texdir}/texmf-dist/fonts/tfm/public/shuffle/
%{_texdir}/texmf-dist/tex/latex/shuffle/

%files shuffle-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/shuffle/

%files skmath
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/skmath/

%files skmath-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/skmath/

%files statex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/statex/

%files statex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/statex/

%files statex2
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/statex2/

%files statex2-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/statex2/

%files subsupscripts
%{_texdir}/texmf-dist/tex/latex/subsupscripts/

%files subsupscripts-doc
%{_texdir}/texmf-dist/doc/latex/subsupscripts/

%files susy
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/susy/

%files susy-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/susy/

%files syllogism
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/syllogism/

%files syllogism-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/syllogism/

%files sympytexpackage
%{_texdir}/texmf-dist/scripts/sympytexpackage/
%{_texdir}/texmf-dist/tex/latex/sympytexpackage/

%files sympytexpackage-doc
%{_texdir}/texmf-dist/doc/latex/sympytexpackage/

%files synproof
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/synproof/

%files synproof-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/synproof/

%files tablor
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tablor/

%files tablor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tablor/

%files tensor
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tensor/

%files tensor-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tensor/

%files tex-ewd
%license bsd.txt
%{_texdir}/texmf-dist/tex/generic/tex-ewd/

%files tex-ewd-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/generic/tex-ewd/

%files thmbox
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/thmbox/

%files thmbox-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/thmbox/

%files turnstile
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/turnstile/

%files turnstile-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/turnstile/

%files unicode-math
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/unicode-math/

%files unicode-math-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/unicode-math/

%files venn
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/venn/

%files venn-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/venn/

%files yhmath
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/yhmath/
%{_texdir}/texmf-dist/fonts/source/public/yhmath/
%{_texdir}/texmf-dist/fonts/tfm/public/yhmath/
%{_texdir}/texmf-dist/fonts/type1/public/yhmath/
%{_texdir}/texmf-dist/fonts/vf/public/yhmath/
%{_texdir}/texmf-dist/tex/latex/yhmath/

%files yhmath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/yhmath/

%files ytableau
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/ytableau/

%files ytableau-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/ytableau/

%files collection-metapost

%files drv
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/drv/

%files drv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/drv/

%files dviincl
%license pd.txt
%{_texdir}/texmf-dist/metapost/dviincl/

%files dviincl-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/metapost/dviincl/

%files emp
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/emp/

%files emp-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/emp/

%files epsincl
%license pd.txt
%{_texdir}/texmf-dist/metapost/epsincl/

%files epsincl-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/metapost/epsincl/

%files expressg
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/expressg/

%files expressg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/expressg/

%files exteps
%license gpl.txt
%{_texdir}/texmf-dist/metapost/exteps/

%files exteps-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/metapost/exteps/

%files featpost
%license gpl.txt
%{_texdir}/texmf-dist/metapost/featpost/

%files featpost-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/metapost/featpost/

%files feynmf
%license gpl.txt
%{_texdir}/texmf-dist/metafont/feynmf/
%{_texdir}/texmf-dist/metapost/feynmf/
%{_texdir}/texmf-dist/tex/latex/feynmf/

%files feynmf-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/feynmf/

%files feynmp-auto
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/feynmp-auto/

%files feynmp-auto-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/feynmp-auto/

%files garrigues
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/garrigues/

%files garrigues-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/garrigues/

%files gmp
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gmp/

%files gmp-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gmp/

%files latexmp
%license pd.txt
%{_texdir}/texmf-dist/metapost/latexmp/

%files latexmp-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/metapost/latexmp/

%files mcf2graph
%license bsd.txt
%{_texdir}/texmf-dist/metapost/mcf2graph/

%files mcf2graph-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/metapost/mcf2graph/

%files metago
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/metago/

%files metago-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/metago/

%files metaobj
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/metaobj/

%files metaobj-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/metaobj/

%files metaplot
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/metaplot/

%files metaplot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/metaplot/

%files metauml
%license gpl.txt
%{_texdir}/texmf-dist/metapost/metauml/

%files metauml-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/metapost/metauml/

%files mfpic
%license lppl1.3.txt
%{_texdir}/texmf-dist/metafont/mfpic/
%{_texdir}/texmf-dist/metapost/mfpic/
%{_texdir}/texmf-dist/tex/generic/mfpic/

%files mfpic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/mfpic/

%files mfpic4ode
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mfpic4ode/

%files mfpic4ode-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mfpic4ode/

%files mp3d
%{_texdir}/texmf-dist/metapost/mp3d/

%files mp3d-doc
%{_texdir}/texmf-dist/doc/metapost/mp3d/

%files mpcolornames
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/mpcolornames/

%files mpcolornames-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/mpcolornames/

%files mpattern
%license pd.txt
%{_texdir}/texmf-dist/metapost/mpattern/

%files mpattern-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/metapost/mpattern/

%files mpgraphics
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mpgraphics/

%files mpgraphics-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mpgraphics/

%files piechartmp
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/piechartmp/

%files piechartmp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/piechartmp/

%files repere
%license lppl1.3.txt
%{_texdir}/texmf-dist/metapost/repere/

%files repere-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/metapost/repere/

%files roex
%{_texdir}/texmf-dist/metafont/roex/

%files roundrect
%license lppl1.3.txt
%{_texdir}/texmf-dist/metapost/roundrect/

%files roundrect-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/metapost/roundrect/

%files shapes
%license lppl1.3.txt
%{_texdir}/texmf-dist/metapost/shapes/

%files shapes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/metapost/shapes/

%files slideshow
%{_texdir}/texmf-dist/metapost/slideshow/

%files slideshow-doc
%{_texdir}/texmf-dist/doc/metapost/slideshow/

%files splines
%license lppl1.3.txt
%{_texdir}/texmf-dist/metapost/splines/

%files splines-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/metapost/splines/

%files suanpan
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/suanpan/

%files suanpan-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/suanpan/

%files textpath
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/textpath/
%{_texdir}/texmf-dist/tex/latex/textpath/

%files textpath-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/textpath/

%files threeddice
%license lppl1.txt
%{_texdir}/texmf-dist/metapost/threeddice/

%files threeddice-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/metapost/threeddice/

%files collection-music

%files figbas
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/figbas/
%{_texdir}/texmf-dist/fonts/map/dvips/figbas/
%{_texdir}/texmf-dist/fonts/tfm/public/figbas/
%{_texdir}/texmf-dist/fonts/type1/public/figbas/

%files figbas-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/fonts/figbas/

%files gchords
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/gchords/

%files gchords-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/gchords/

%files gtrcrd
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gtrcrd/

%files gtrcrd-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gtrcrd/

%files guitar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/guitar/

%files guitar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/guitar/

%files guitarchordschemes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/guitarchordschemes/

%files guitarchordschemes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/guitarchordschemes/

%files harmony
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/harmony/

%files harmony-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/harmony/

%files leadsheets
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/leadsheets/

%files leadsheets-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/leadsheets/

%files musixguit
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/musixguit/

%files musixguit-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/musixguit/

%files musixtex-fonts
%license gpl.txt
%{_texdir}/texmf-dist/fonts/map/dvips/musixtex-fonts/
%{_texdir}/texmf-dist/fonts/source/public/musixtex-fonts/
%{_texdir}/texmf-dist/fonts/tfm/public/musixtex-fonts/
%{_texdir}/texmf-dist/fonts/type1/public/musixtex-fonts/

%files musixtex-fonts-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/fonts/musixtex-fonts/

%files piano
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/piano/

%files piano-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/piano/

%files songbook
%license lgpl2.1.txt
%{_texdir}/texmf-dist/makeindex/songbook/
%{_texdir}/texmf-dist/tex/latex/songbook/

%files songbook-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/songbook/

%files songs
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/songs/

%files songs-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/songs/

%files xpiano
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xpiano/

%files xpiano-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xpiano/

%files mxedruli
%{_texdir}/texmf-dist/fonts/afm/public/mxedruli/
%{_texdir}/texmf-dist/fonts/map/dvips/mxedruli/
%{_texdir}/texmf-dist/fonts/source/public/mxedruli/
%{_texdir}/texmf-dist/fonts/tfm/public/mxedruli/
%{_texdir}/texmf-dist/fonts/type1/public/mxedruli/
%{_texdir}/texmf-dist/tex/latex/mxedruli/

%files mxedruli-doc
%{_texdir}/texmf-dist/doc/fonts/mxedruli/

%files otibet
%{_texdir}/texmf-dist/fonts/ofm/public/otibet/
%{_texdir}/texmf-dist/fonts/ovf/public/otibet/
%{_texdir}/texmf-dist/fonts/ovp/public/otibet/
%{_texdir}/texmf-dist/fonts/source/public/otibet/
%{_texdir}/texmf-dist/fonts/tfm/public/otibet/
%{_texdir}/texmf-dist/omega/ocp/otibet/
%{_texdir}/texmf-dist/omega/otp/otibet/
%{_texdir}/texmf-dist/tex/latex/otibet/

%files otibet-doc
%{_texdir}/texmf-dist/doc/latex/otibet/

%files epsf-dvipdfmx
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/epsf-dvipdfmx/

%files epsf-dvipdfmx-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/epsf-dvipdfmx/

%files figflow
%{_texdir}/texmf-dist/tex/plain/figflow/

%files figflow-doc
%{_texdir}/texmf-dist/doc/plain/figflow/

%files fixpdfmag
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/fixpdfmag/

%files font-change
%{_texdir}/texmf-dist/tex/plain/font-change/

%files font-change-doc
%{_texdir}/texmf-dist/doc/plain/font-change/

%files fontch
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/fontch/

%files fontch-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/fontch/

%files getoptk
%{_texdir}/texmf-dist/tex/plain/getoptk/

%files getoptk-doc
%{_texdir}/texmf-dist/doc/plain/getoptk/

%files gfnotation
%license gpl3.txt
%{_texdir}/texmf-dist/tex/plain/gfnotation/

%files gfnotation-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/plain/gfnotation/

%files graphics-pln
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/graphics-pln/

%files graphics-pln-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/graphics-pln/

%files hyplain
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/hyplain/

%files hyplain-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/hyplain/

%files js-misc
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/js-misc/

%files js-misc-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/js-misc/

%files mkpattern
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/mkpattern/

%files mkpattern-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/mkpattern/

%files newsletr
%{_texdir}/texmf-dist/tex/plain/newsletr/

%files newsletr-doc
%{_texdir}/texmf-dist/doc/plain/newsletr/

%files pitex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/pitex/

%files pitex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/pitex/

%files placeins-plain
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/placeins-plain/

%files plipsum
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/plipsum/

%files plipsum-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/plipsum/

%files plnfss
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/plnfss/

%files plnfss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/plnfss/

%files plstmary
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/plstmary/

%files plstmary-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/plstmary/

%files present
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/present/

%files present-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/present/

%files resumemac
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/resumemac/

%files resumemac-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/resumemac/

%files texinfo
%license gpl.txt
%{_texdir}/texmf-dist/tex/texinfo/

%files timetable
%license lppl1.txt
%{_texdir}/texmf-dist/tex/plain/timetable/

%files treetex
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/treetex/

%files treetex-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/treetex/

%files varisize
%license pd.txt
%{_texdir}/texmf-dist/tex/plain/varisize/

%files varisize-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/plain/varisize/

%files xii-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/plain/xii/

%files collection-pstricks

%files dsptricks
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dsptricks/

%files dsptricks-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dsptricks/

%files makeplot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/makeplot/

%files makeplot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/makeplot/

%files pdftricks
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pdftricks/

%files pdftricks-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pdftricks/

%files pdftricks2
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/pdftricks2/

%files pdftricks2-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/pdftricks2/

%files psbao
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/psbao/

%files psbao-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/psbao/

%files pst-2dplot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-2dplot/

%files pst-2dplot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-2dplot/

%files pst-3d
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-3d/
%{_texdir}/texmf-dist/tex/generic/pst-3d/
%{_texdir}/texmf-dist/tex/latex/pst-3d/

%files pst-3d-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-3d/

%files pst-3dplot
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-3dplot/
%{_texdir}/texmf-dist/tex/generic/pst-3dplot/
%{_texdir}/texmf-dist/tex/latex/pst-3dplot/

%files pst-3dplot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-3dplot/

%files pst-abspos
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-abspos/
%{_texdir}/texmf-dist/tex/latex/pst-abspos/

%files pst-abspos-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-abspos/

%files pst-am
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-am/

%files pst-am-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-am/

%files pst-asr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-asr/
%{_texdir}/texmf-dist/tex/latex/pst-asr/

%files pst-asr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-asr/

%files pst-bar
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-bar/
%{_texdir}/texmf-dist/tex/generic/pst-bar/
%{_texdir}/texmf-dist/tex/latex/pst-bar/

%files pst-bar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-bar/

%files pst-barcode
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-barcode/
%{_texdir}/texmf-dist/tex/generic/pst-barcode/
%{_texdir}/texmf-dist/tex/latex/pst-barcode/

%files pst-barcode-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-barcode/

%files pst-bezier
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-bezier/
%{_texdir}/texmf-dist/tex/generic/pst-bezier/
%{_texdir}/texmf-dist/tex/latex/pst-bezier/

%files pst-bezier-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-bezier/

%files pst-blur
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-blur/
%{_texdir}/texmf-dist/tex/generic/pst-blur/
%{_texdir}/texmf-dist/tex/latex/pst-blur/

%files pst-blur-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-blur/

%files pst-bspline
%{_texdir}/texmf-dist/dvips/pst-bspline/
%{_texdir}/texmf-dist/tex/generic/pst-bspline/
%{_texdir}/texmf-dist/tex/latex/pst-bspline/

%files pst-bspline-doc
%{_texdir}/texmf-dist/doc/generic/pst-bspline/

%files pst-calendar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-calendar/

%files pst-calendar-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pst-calendar/

%files pst-circ
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-circ/
%{_texdir}/texmf-dist/tex/generic/pst-circ/
%{_texdir}/texmf-dist/tex/latex/pst-circ/

%files pst-circ-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-circ/

%files pst-coil
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-coil/
%{_texdir}/texmf-dist/tex/generic/pst-coil/
%{_texdir}/texmf-dist/tex/latex/pst-coil/

%files pst-coil-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-coil/

%files pst-cox
%license lgpl2.1.txt
%{_texdir}/texmf-dist/dvips/pst-cox/
%{_texdir}/texmf-dist/tex/generic/pst-cox/
%{_texdir}/texmf-dist/tex/latex/pst-cox/

%files pst-cox-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/generic/pst-cox/

%files pst-dbicons
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-dbicons/

%files pst-dbicons-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-dbicons/

%files pst-diffraction
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-diffraction/
%{_texdir}/texmf-dist/tex/latex/pst-diffraction/

%files pst-diffraction-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-diffraction/

%files pst-electricfield
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-electricfield/
%{_texdir}/texmf-dist/tex/generic/pst-electricfield/
%{_texdir}/texmf-dist/tex/latex/pst-electricfield/

%files pst-electricfield-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-electricfield/

%files pst-eps
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-eps/
%{_texdir}/texmf-dist/tex/latex/pst-eps/

%files pst-eps-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-eps/

%files pst-eucl
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-eucl/
%{_texdir}/texmf-dist/tex/generic/pst-eucl/
%{_texdir}/texmf-dist/tex/latex/pst-eucl/

%files pst-eucl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-eucl/

%files pst-exa
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-exa/

%files pst-exa-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pst-exa/

%files pst-fill
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-fill/
%{_texdir}/texmf-dist/tex/latex/pst-fill/

%files pst-fill-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-fill/

%files pst-fit
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-fit/
%{_texdir}/texmf-dist/tex/latex/pst-fit/

%files pst-fit-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-fit/

%files pst-fr3d
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-fr3d/
%{_texdir}/texmf-dist/tex/latex/pst-fr3d/

%files pst-fr3d-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-fr3d/

%files pst-fractal
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-fractal/
%{_texdir}/texmf-dist/tex/generic/pst-fractal/
%{_texdir}/texmf-dist/tex/latex/pst-fractal/

%files pst-fractal-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-fractal/

%files pst-fun
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-fun/
%{_texdir}/texmf-dist/tex/generic/pst-fun/
%{_texdir}/texmf-dist/tex/latex/pst-fun/

%files pst-fun-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-fun/

%files pst-func
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-func/
%{_texdir}/texmf-dist/tex/generic/pst-func/
%{_texdir}/texmf-dist/tex/latex/pst-func/

%files pst-func-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-func/

%files pst-gantt
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-gantt/
%{_texdir}/texmf-dist/tex/latex/pst-gantt/

%files pst-gantt-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-gantt/

%files pst-geo
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-geo/
%{_texdir}/texmf-dist/tex/generic/pst-geo/
%{_texdir}/texmf-dist/tex/latex/pst-geo/

%files pst-geo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-geo/

%files pst-ghsb
%{_texdir}/texmf-dist/dvips/pst-ghsb/
%{_texdir}/texmf-dist/tex/generic/pst-ghsb/
%{_texdir}/texmf-dist/tex/latex/pst-ghsb/

%files pst-ghsb-doc
%{_texdir}/texmf-dist/doc/generic/pst-ghsb/

%files pst-gr3d
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-gr3d/
%{_texdir}/texmf-dist/tex/latex/pst-gr3d/

%files pst-gr3d-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-gr3d/

%files pst-grad
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-grad/
%{_texdir}/texmf-dist/tex/generic/pst-grad/
%{_texdir}/texmf-dist/tex/latex/pst-grad/

%files pst-grad-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-grad/

%files pst-graphicx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-graphicx/

%files pst-graphicx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-graphicx/

%files pst-infixplot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-infixplot/
%{_texdir}/texmf-dist/tex/latex/pst-infixplot/

%files pst-infixplot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-infixplot/

%files pst-intersect
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-intersect/
%{_texdir}/texmf-dist/tex/generic/pst-intersect/
%{_texdir}/texmf-dist/tex/latex/pst-intersect/

%files pst-intersect-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pst-intersect/

%files pst-jtree
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/pst-jtree/
%{_texdir}/texmf-dist/tex/latex/pst-jtree/

%files pst-jtree-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/pst-jtree/

%files pst-knot
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-knot/
%{_texdir}/texmf-dist/tex/generic/pst-knot/
%{_texdir}/texmf-dist/tex/latex/pst-knot/

%files pst-knot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-knot/

%files pst-labo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-labo/
%{_texdir}/texmf-dist/tex/latex/pst-labo/

%files pst-labo-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-labo/

%files pst-layout
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-layout/

%files pst-layout-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pst-layout/

%files pst-lens
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-lens/
%{_texdir}/texmf-dist/tex/latex/pst-lens/

%files pst-lens-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-lens/

%files pst-light3d
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-light3d/
%{_texdir}/texmf-dist/tex/generic/pst-light3d/
%{_texdir}/texmf-dist/tex/latex/pst-light3d/

%files pst-light3d-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-light3d/

%files pst-magneticfield
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-magneticfield/
%{_texdir}/texmf-dist/tex/generic/pst-magneticfield/
%{_texdir}/texmf-dist/tex/latex/pst-magneticfield/

%files pst-magneticfield-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-magneticfield/

%files pst-math
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-math/
%{_texdir}/texmf-dist/tex/generic/pst-math/
%{_texdir}/texmf-dist/tex/latex/pst-math/

%files pst-math-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-math/

%files pst-mirror
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-mirror/
%{_texdir}/texmf-dist/tex/generic/pst-mirror/
%{_texdir}/texmf-dist/tex/latex/pst-mirror/

%files pst-mirror-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-mirror/

%files pst-node
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-node/
%{_texdir}/texmf-dist/tex/generic/pst-node/
%{_texdir}/texmf-dist/tex/latex/pst-node/

%files pst-node-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-node/

%files pst-ob3d
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-ob3d/
%{_texdir}/texmf-dist/tex/latex/pst-ob3d/

%files pst-ob3d-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-ob3d/

%files pst-ode
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-ode/
%{_texdir}/texmf-dist/tex/generic/pst-ode/
%{_texdir}/texmf-dist/tex/latex/pst-ode/

%files pst-ode-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-ode/

%files pst-optexp
%license lppl1.3.txt
%{_texdir}/texmf-dist/dvips/pst-optexp/
%{_texdir}/texmf-dist/makeindex/pst-optexp/
%{_texdir}/texmf-dist/tex/latex/pst-optexp/

%files pst-optexp-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pst-optexp/

%files pst-optic
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-optic/
%{_texdir}/texmf-dist/tex/latex/pst-optic/

%files pst-optic-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-optic/

%files pst-osci
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-osci/
%{_texdir}/texmf-dist/tex/latex/pst-osci/

%files pst-osci-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-osci/

%files pst-ovl
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-ovl/
%{_texdir}/texmf-dist/tex/generic/pst-ovl/
%{_texdir}/texmf-dist/tex/latex/pst-ovl/

%files pst-ovl-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-ovl/

%files pst-pad
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-pad/
%{_texdir}/texmf-dist/tex/latex/pst-pad/

%files pst-pad-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-pad/

%files pst-pdgr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-pdgr/
%{_texdir}/texmf-dist/tex/latex/pst-pdgr/

%files pst-pdgr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-pdgr/

%files pst-perspective
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/pst-perspective/
%{_texdir}/texmf-dist/tex/latex/pst-perspective/

%files pst-perspective-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/pst-perspective/

%files pst-platon
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-platon/

%files pst-platon-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-platon/

%files pst-plot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-plot/
%{_texdir}/texmf-dist/tex/latex/pst-plot/

%files pst-plot-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-plot/

%files pst-poly
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-poly/
%{_texdir}/texmf-dist/tex/latex/pst-poly/

%files pst-poly-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-poly/

%files pst-pulley
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/pst-pulley/
%{_texdir}/texmf-dist/tex/latex/pst-pulley/

%files pst-pulley-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/pst-pulley/

%files pst-qtree
%license gpl.txt
%{_texdir}/texmf-dist/tex/generic/pst-qtree/
%{_texdir}/texmf-dist/tex/latex/pst-qtree/

%files pst-qtree-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/generic/pst-qtree/

%files pst-rubans
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-rubans/
%{_texdir}/texmf-dist/tex/latex/pst-rubans/

%files pst-rubans-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-rubans/

%files pst-sigsys
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-sigsys/
%{_texdir}/texmf-dist/tex/latex/pst-sigsys/

%files pst-sigsys-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-sigsys/

%files pst-slpe
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-slpe/
%{_texdir}/texmf-dist/tex/generic/pst-slpe/
%{_texdir}/texmf-dist/tex/latex/pst-slpe/

%files pst-slpe-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-slpe/

%files pst-solarsystem
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-solarsystem/
%{_texdir}/texmf-dist/tex/generic/pst-solarsystem/
%{_texdir}/texmf-dist/tex/latex/pst-solarsystem/

%files pst-solarsystem-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-solarsystem/

%files pst-solides3d
%license lppl1.3.txt
%{_texdir}/texmf-dist/dvips/pst-solides3d/
%{_texdir}/texmf-dist/tex/generic/pst-solides3d/
%{_texdir}/texmf-dist/tex/latex/pst-solides3d/

%files pst-solides3d-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/pst-solides3d/

%files pst-soroban
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-soroban/

%files pst-soroban-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-soroban/

%files pst-spectra
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-spectra/
%{_texdir}/texmf-dist/tex/generic/pst-spectra/
%{_texdir}/texmf-dist/tex/latex/pst-spectra/

%files pst-spectra-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-spectra/

%files pst-spirograph
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-spirograph/
%{_texdir}/texmf-dist/tex/generic/pst-spirograph/
%{_texdir}/texmf-dist/tex/latex/pst-spirograph/

%files pst-spirograph-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-spirograph/

%files pst-stru
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-stru/
%{_texdir}/texmf-dist/tex/latex/pst-stru/

%files pst-stru-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-stru/

%files pst-support-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-support/

%files pst-text
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-text/
%{_texdir}/texmf-dist/tex/generic/pst-text/
%{_texdir}/texmf-dist/tex/latex/pst-text/

%files pst-text-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-text/

%files pst-thick
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-thick/
%{_texdir}/texmf-dist/tex/latex/pst-thick/

%files pst-thick-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-thick/

%files pst-tools
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-tools/
%{_texdir}/texmf-dist/tex/generic/pst-tools/
%{_texdir}/texmf-dist/tex/latex/pst-tools/

%files pst-tools-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-tools/

%files pst-tree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-tree/
%{_texdir}/texmf-dist/tex/latex/pst-tree/

%files pst-tree-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-tree/

%files pst-tvz
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/pst-tvz/
%{_texdir}/texmf-dist/tex/latex/pst-tvz/

%files pst-tvz-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/pst-tvz/

%files pst-uml
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-uml/

%files pst-uml-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-uml/

%files pst-vectorian
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-vectorian/
%{_texdir}/texmf-dist/tex/latex/pst-vectorian/

%files pst-vectorian-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pst-vectorian/

%files pst-vowel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pst-vowel/

%files pst-vowel-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pst-vowel/

%files pst-vue3d
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-vue3d/
%{_texdir}/texmf-dist/tex/generic/pst-vue3d/
%{_texdir}/texmf-dist/tex/latex/pst-vue3d/

%files pst-vue3d-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pst-vue3d/

%files pstricks
%license lppl1.3.txt
%{_texdir}/texmf-dist/dvips/pstricks/
%{_texdir}/texmf-dist/tex/generic/pstricks/
%{_texdir}/texmf-dist/tex/latex/pstricks/

%files pstricks-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/pstricks/

%files pstricks-add
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pstricks-add/
%{_texdir}/texmf-dist/tex/generic/pstricks-add/
%{_texdir}/texmf-dist/tex/latex/pstricks-add/

%files pstricks-add-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/pstricks-add/

%files pstricks_calcnotes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pstricks_calcnotes/

%files uml
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/uml/

%files uml-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/uml/

%files vaucanson-g
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/vaucanson-g/

%files vaucanson-g-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/generic/vaucanson-g/

%files vocaltract
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/vocaltract/

%files vocaltract-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/vocaltract/

%files collection-publishers

%files IEEEconf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/IEEEconf/

%files IEEEconf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/IEEEconf/

%files IEEEtran
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bib/IEEEtran/
%{_texdir}/texmf-dist/bibtex/bst/IEEEtran/
%{_texdir}/texmf-dist/tex/latex/IEEEtran/

%files IEEEtran-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/IEEEtran/

%files confproc
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/confproc/
%{_texdir}/texmf-dist/makeindex/confproc/
%{_texdir}/texmf-dist/tex/latex/confproc/

%files confproc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/confproc/

%files dccpaper
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/dccpaper/

%files dccpaper-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/dccpaper/

%files dithesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/dithesis/

%files dithesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/dithesis/

%files ebook
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/ebook/

%files ebook-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/ebook/

%files ebsthesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ebsthesis/

%files ebsthesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ebsthesis/

%files ejpecp
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/ejpecp/

%files ejpecp-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/ejpecp/

%files ekaia
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/ekaia/

%files ekaia-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/ekaia/

%files elbioimp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/elbioimp/

%files elbioimp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/elbioimp/

%files elsarticle
%license lppl1.2.txt
%{_texdir}/texmf-dist/bibtex/bst/elsarticle/
%{_texdir}/texmf-dist/tex/latex/elsarticle/

%files elsarticle-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/elsarticle/

%files elteikthesis
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/elteikthesis/

%files elteikthesis-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/elteikthesis/

%files erdc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/erdc/

%files erdc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/erdc/

%files estcpmm
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/estcpmm/

%files estcpmm-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/estcpmm/

%files fbithesis
%{_texdir}/texmf-dist/tex/latex/fbithesis/

%files fbithesis-doc
%{_texdir}/texmf-dist/doc/latex/fbithesis/

%files fcavtex
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/fcavtex/
%{_texdir}/texmf-dist/tex/latex/fcavtex/

%files fcavtex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fcavtex/

%files fcltxdoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fcltxdoc/

%files fcltxdoc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fcltxdoc/

%files fei
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fei/

%files fei-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fei/

%files gaceta
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gaceta/

%files gaceta-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gaceta/

%files gatech-thesis
%license gpl.txt
%{_texdir}/texmf-dist/bibtex/bst/gatech-thesis/
%{_texdir}/texmf-dist/makeindex/gatech-thesis/
%{_texdir}/texmf-dist/tex/latex/gatech-thesis/

%files gatech-thesis-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/gatech-thesis/

%files gsemthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gsemthesis/

%files gsemthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gsemthesis/

%files gzt
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gzt/

%files gzt-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gzt/

%files har2nat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/har2nat/

%files har2nat-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/har2nat/

%files hobete
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hobete/

%files hobete-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hobete/

%files icsv
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/icsv/

%files icsv-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/icsv/

%files ieeepes
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/ieeepes/
%{_texdir}/texmf-dist/tex/latex/ieeepes/

%files ieeepes-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ieeepes/

%files ijmart
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/ijmart/
%{_texdir}/texmf-dist/tex/latex/ijmart/

%files ijmart-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ijmart/

%files imac
%license gpl.txt
%{_texdir}/texmf-dist/bibtex/bst/imac/
%{_texdir}/texmf-dist/tex/latex/imac/

%files imac-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/imac/

%files imtekda
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/imtekda/

%files imtekda-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/imtekda/

%files jmlr
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/jmlr/
%{_texdir}/texmf-dist/tex/latex/jmlr/

%files jmlr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/jmlr/

%files jpsj
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/jpsj/

%files jpsj-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/jpsj/

%files kdgdocs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/kdgdocs/

%files kdgdocs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/kdgdocs/

%files kluwer
%{_texdir}/texmf-dist/bibtex/bst/kluwer/
%{_texdir}/texmf-dist/tex/latex/kluwer/

%files kluwer-doc
%{_texdir}/texmf-dist/doc/latex/kluwer/

%files lps
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lps/

%files lps-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/lps/

%files matc3
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/matc3/

%files matc3-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/matc3/

%files matc3mem
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/matc3mem/

%files matc3mem-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/matc3mem/

%files mcmthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mcmthesis/

%files mcmthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mcmthesis/

%files mentis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mentis/

%files mentis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/mentis/

%files mnras
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/mnras/
%{_texdir}/texmf-dist/tex/latex/mnras/

%files mnras-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mnras/

%files msu-thesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/msu-thesis/

%files msu-thesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/msu-thesis/

%files mugsthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mugsthesis/

%files mugsthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mugsthesis/

%files musuos
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/musuos/

%files musuos-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/musuos/

%files muthesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/muthesis/

%files muthesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/muthesis/

%files nature
%{_texdir}/texmf-dist/bibtex/bst/nature/
%{_texdir}/texmf-dist/tex/latex/nature/

%files nature-doc
%{_texdir}/texmf-dist/doc/latex/nature/

%files nddiss
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/nddiss/
%{_texdir}/texmf-dist/tex/latex/nddiss/

%files nddiss-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nddiss/

%files ndsu-thesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ndsu-thesis/

%files ndsu-thesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ndsu-thesis/

%files nih
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nih/

%files nih-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nih/

%files nostarch
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/nostarch/
%{_texdir}/texmf-dist/makeindex/nostarch/
%{_texdir}/texmf-dist/tex/latex/nostarch/

%files nostarch-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nostarch/

%files nrc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nrc/

%files nrc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nrc/

%files onrannual
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/onrannual/

%files onrannual-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/onrannual/

%files opteng
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/opteng/

%files opteng-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/opteng/

%files philosophersimprint
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/philosophersimprint/

%files philosophersimprint-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/philosophersimprint/

%files pittetd
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pittetd/

%files pittetd-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pittetd/

%files pkuthss
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/pkuthss/

%files pkuthss-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/pkuthss/

%files powerdot-FUBerlin
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/powerdot-FUBerlin/

%files powerdot-FUBerlin-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/powerdot-FUBerlin/

%files pracjourn
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/pracjourn/

%files pracjourn-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/pracjourn/

%files procIAGssymp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/procIAGssymp/

%files procIAGssymp-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/procIAGssymp/

%files proposal
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/proposal/

%files proposal-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/proposal/

%files ptptex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ptptex/

%files ptptex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ptptex/

%files psu-thesis
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/psu-thesis/
%{_texdir}/texmf-dist/tex/latex/psu-thesis/

%files psu-thesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/psu-thesis/

%files resphilosophica
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/resphilosophica/
%{_texdir}/texmf-dist/tex/latex/resphilosophica/

%files resphilosophica-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/resphilosophica/

%files resumecls
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/resumecls/

%files resumecls-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/resumecls/

%files revtex
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/revtex/
%{_texdir}/texmf-dist/tex/latex/revtex/

%files revtex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/revtex/

%files revtex4
%{_texdir}/texmf-dist/bibtex/bib/revtex4/
%{_texdir}/texmf-dist/bibtex/bst/revtex4/
%{_texdir}/texmf-dist/tex/latex/revtex4/

%files revtex4-doc
%{_texdir}/texmf-dist/doc/latex/revtex4/

%files ryethesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ryethesis/

%files ryethesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ryethesis/

%files sageep
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/sageep/
%{_texdir}/texmf-dist/tex/latex/sageep/

%files sageep-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sageep/

%files sapthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/sapthesis/
%{_texdir}/texmf-dist/tex/latex/sapthesis/

%files sapthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sapthesis/

%files scrjrnl
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/scrjrnl/

%files scrjrnl-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/scrjrnl/

%files schule
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/schule/

%files schule-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/schule/

%files sduthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sduthesis/

%files sduthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sduthesis/

%files seuthesis
%license gpl3.txt
%{_texdir}/texmf-dist/bibtex/bst/seuthesis/

%files seuthesis-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/seuthesis/

%files soton
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/soton/

%files soton-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/soton/

%files sphdthesis
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/sphdthesis/

%files sphdthesis-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/sphdthesis/

%files spie
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/spie/
%{_texdir}/texmf-dist/bibtex/bst/spie/
%{_texdir}/texmf-dist/tex/latex/spie/

%files spie-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/spie/

%files sr-vorl
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sr-vorl/

%files sr-vorl-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sr-vorl/

%files stellenbosch
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/stellenbosch/
%{_texdir}/texmf-dist/tex/latex/stellenbosch/

%files stellenbosch-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/stellenbosch/

%files suftesi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/suftesi/

%files suftesi-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/suftesi/

%files sugconf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sugconf/

%files sugconf-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sugconf/

%files tabriz-thesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tabriz-thesis/

%files tabriz-thesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tabriz-thesis/

%files texilikechaps
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/texilikechaps/

%files texilikecover
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/texilikecover/

%files thesis-ekf
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/thesis-ekf/

%files thesis-ekf-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/thesis-ekf/

%files thesis-titlepage-fhac
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/thesis-titlepage-fhac/

%files thesis-titlepage-fhac-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/thesis-titlepage-fhac/

%files thuthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/thuthesis/
%{_texdir}/texmf-dist/tex/latex/thuthesis/

%files thuthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/thuthesis/

%files toptesi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/toptesi/

%files toptesi-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/toptesi/

%files tudscr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tudscr/

%files tudscr-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tudscr/

%files tugboat
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/tugboat/
%{_texdir}/texmf-dist/tex/latex/tugboat/

%files tugboat-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tugboat/

%files tugboat-plain
%{_texdir}/texmf-dist/tex/plain/tugboat-plain/

%files tugboat-plain-doc
%{_texdir}/texmf-dist/doc/plain/tugboat-plain/

%files turabian
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/turabian/

%files turabian-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/turabian/

%files tui
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tui/

%files tui-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/tui/

%files uaclasses
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/uaclasses/

%files uaclasses-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/uaclasses/

%files uafthesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/uafthesis/

%files uafthesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/uafthesis/

%files ucbthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ucbthesis/

%files ucbthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ucbthesis/

%files ucdavisthesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ucdavisthesis/

%files ucdavisthesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/ucdavisthesis/

%files ucthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ucthesis/

%files ucthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ucthesis/

%files uestcthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/uestcthesis/
%{_texdir}/texmf-dist/tex/latex/uestcthesis/

%files uestcthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uestcthesis/

%files uiucredborder
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/uiucredborder/

%files uiucredborder-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/uiucredborder/

%files uiucthesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/uiucthesis/

%files uiucthesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/uiucthesis/

%files ulthese
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ulthese/

%files ulthese-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ulthese/

%files umthesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/umthesis/

%files umthesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/umthesis/

%files umich-thesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/umich-thesis/

%files umich-thesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/umich-thesis/

%files unamth-template-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/unamth-template/

%files unamthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/unamthesis/
%{_texdir}/texmf-dist/tex/latex/unamthesis/

%files unamthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/unamthesis/

%files unswcover
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/unswcover/

%files unswcover-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/unswcover/

%files uothesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uothesis/

%files uothesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uothesis/

%files urcls
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/urcls/

%files urcls-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/urcls/

%files uowthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uowthesis/

%files uowthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uowthesis/

%files uowthesistitlepage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uowthesistitlepage/

%files uowthesistitlepage-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uowthesistitlepage/

%files uspatent
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uspatent/

%files uspatent-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uspatent/

%files ut-thesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ut-thesis/

%files ut-thesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ut-thesis/

%files uwthesis
%license apache2.txt
%{_texdir}/texmf-dist/tex/latex/uwthesis/

%files uwthesis-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/latex/uwthesis/

%files vancouver
%license lppl1.3.txt
%{_texdir}/texmf-dist/bibtex/bst/vancouver/

%files vancouver-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/bibtex/vancouver/

%files wsemclassic
%license bsd.txt
%{_texdir}/texmf-dist/tex/latex/wsemclassic/

%files wsemclassic-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/latex/wsemclassic/

%files xcookybooky
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xcookybooky/

%files xcookybooky-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xcookybooky/

%files yathesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/yathesis/

%files yathesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/yathesis/

%files york-thesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/york-thesis/

%files york-thesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/york-thesis/

%files SIstyle
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/SIstyle/

%files SIstyle-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/SIstyle/

%files SIunits
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/SIunits/

%files SIunits-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/SIunits/

%files complexity
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/complexity/

%files complexity-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/complexity/

%files computational-complexity
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/computational-complexity/
%{_texdir}/texmf-dist/tex/latex/computational-complexity/

%files computational-complexity-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/computational-complexity/

%files cryptocode
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cryptocode/

%files cryptocode-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cryptocode/

%files digiconfigs
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/digiconfigs/

%files digiconfigs-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/digiconfigs/

%files drawstack
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/drawstack/

%files drawstack-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/drawstack/

%files dyntree
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/dyntree/

%files dyntree-doc
%license lgpl2.1.txt
%{_texdir}/texmf-dist/doc/latex/dyntree/

%files eltex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/eltex/

%files eltex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/eltex/

%files endiagram
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/endiagram/

%files endiagram-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/endiagram/

%files engtlc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/engtlc/

%files engtlc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/engtlc/

%files fouridx
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fouridx/

%files fouridx-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/fouridx/

%files functan
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/functan/

%files functan-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/functan/

%files galois
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/galois/

%files galois-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/galois/

%files gastex
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/gastex/
%{_texdir}/texmf-dist/tex/latex/gastex/

%files gastex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gastex/

%files gene-logic
%{_texdir}/texmf-dist/tex/latex/gene-logic/

%files gene-logic-doc
%{_texdir}/texmf-dist/doc/latex/gene-logic/

%files ghsystem
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ghsystem/

%files ghsystem-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ghsystem/

%files gu
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/gu/

%files gu-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/gu/

%files hep
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hep/

%files hep-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hep/

%files hepnames
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hepnames/

%files hepnames-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hepnames/

%files hepparticles
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hepparticles/

%files hepparticles-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hepparticles/

%files hepthesis
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hepthesis/

%files hepthesis-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hepthesis/

%files hepunits
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hepunits/

%files hepunits-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/hepunits/

%files karnaugh
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/karnaugh/

%files karnaugh-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/karnaugh/

%files karnaughmap
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/karnaughmap/

%files karnaughmap-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/karnaughmap/

%files matlab-prettifier
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/matlab-prettifier/

%files matlab-prettifier-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/matlab-prettifier/

%files mhchem
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mhchem/

%files mhchem-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mhchem/

%files miller
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/miller/

%files miller-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/miller/

%files mychemistry
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mychemistry/

%files mychemistry-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/mychemistry/

%files nuc
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/nuc/

%files nuc-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/nuc/

%files objectz
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/objectz/

%files objectz-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/objectz/

%files physics
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/physics/

%files physics-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/physics/

%files pseudocode
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pseudocode/

%files pseudocode-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/pseudocode/

%files sasnrdisplay
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sasnrdisplay/

%files sasnrdisplay-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sasnrdisplay/

%files sciposter
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sciposter/

%files sciposter-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sciposter/

%files sclang-prettifier
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sclang-prettifier/

%files sclang-prettifier-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sclang-prettifier/

%files sfg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sfg/

%files sfg-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/sfg/

%files siunitx
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/siunitx/

%files siunitx-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/siunitx/

%files steinmetz
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/steinmetz/

%files steinmetz-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/steinmetz/

%files struktex
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/struktex/

%files struktex-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/struktex/

%files substances
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/substances/

%files substances-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/substances/

%files t-angles
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/t-angles/

%files t-angles-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/t-angles/

%files textopo
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/textopo/

%files textopo-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/textopo/

%files unitsdef
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/unitsdef/

%files unitsdef-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/unitsdef/

%files xymtex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xymtex/

%files xymtex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xymtex/

%files youngtab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/youngtab/

%files youngtab-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/youngtab/

%files collection-xetex

%files fixlatvian
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/fixlatvian/
%{_texdir}/texmf-dist/tex/xelatex/fixlatvian/

%files fixlatvian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/fixlatvian/

%files fontbook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/fontbook/

%files fontbook-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/fontbook/

%files fontwrap
%license gpl.txt
%{_texdir}/texmf-dist/tex/xelatex/fontwrap/

%files fontwrap-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/xelatex/fontwrap/

%files interchar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/interchar/

%files interchar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/interchar/

%files mathspec
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xelatex/mathspec/

%files mathspec-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xelatex/mathspec/

%files philokalia
%{_datadir}/fonts/philokalia
%{_texdir}/texmf-dist/fonts/opentype/public/philokalia/
%{_texdir}/texmf-dist/tex/xelatex/philokalia/

%files philokalia-doc
%{_texdir}/texmf-dist/doc/xelatex/philokalia/

%files polyglossia
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/polyglossia/
%{_texdir}/texmf-dist/tex/latex/polyglossia/

%files polyglossia-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/polyglossia/

%files ptext
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/xelatex/ptext/

%files ptext-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/xelatex/ptext/

%files quran
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/quran/

%files quran-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/quran/

%files realscripts
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/realscripts/

%files realscripts-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/realscripts/

%files ucharclasses
%license pd.txt
%{_texdir}/texmf-dist/tex/xelatex/ucharclasses/

%files ucharclasses-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/xelatex/ucharclasses/

%files unisugar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/unisugar/

%files unisugar-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/unisugar/

%files xebaposter
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xebaposter/

%files xebaposter-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xebaposter/

%files xecjk
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xecjk/
%{_texdir}/texmf-dist/tex/xelatex/xecjk/

%files xecjk-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xecjk/

%files xecolor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/xecolor/

%files xecolor-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xecolor/

%files xecyr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/xecyr/
%{_texdir}/texmf-dist/tex/xelatex/xecyr/

%files xecyr-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xelatex/xecyr/

%files xeindex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xelatex/xeindex/

%files xeindex-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xelatex/xeindex/

%files xepersian
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xepersian/
%{_texdir}/texmf-dist/tex/xelatex/xepersian/

%files xepersian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xepersian/

%files xesearch
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xetex/xesearch/

%files xesearch-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xetex/xesearch/

%files xespotcolor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/xespotcolor/

%files xespotcolor-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xespotcolor/

%files xetex-itrans
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xetex-itrans/

%files xetex-itrans-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xetex-itrans/

%files xetex-pstricks
%license pd.txt
%{_texdir}/texmf-dist/tex/xelatex/xetex-pstricks/
%{_texdir}/texmf-dist/tex/xetex/xetex-pstricks/

%files xetex-pstricks-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/xetex/xetex-pstricks/

%files xetex-tibetan
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xetex-tibetan/

%files xetex-tibetan-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/xetex/xetex-tibetan/

%files xetexfontinfo
%license apache2.txt
%{_texdir}/texmf-dist/tex/xetex/xetexfontinfo/

%files xetexfontinfo-doc
%license apache2.txt
%{_texdir}/texmf-dist/doc/xetex/xetexfontinfo/

%files xetexko
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xetex/xetexko/

%files xetexko-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xetex/xetexko/

%files xevlna
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/xevlna/

%files xevlna-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xevlna/

%files xltxtra
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xltxtra/

%files xltxtra-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/xltxtra/

%files xunicode
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/xunicode/

%files xunicode-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/xunicode/

%files acmart-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/acmart/

%files acmart
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/acmart/
%{_texdir}/texmf-dist/bibtex/bst/acmart/

%files adtrees
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/adtrees/

%files adtrees-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/adtrees/

%files arabi-add-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/arabi-add/

%files arabi-add
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/arabi-add/

%files arabluatex-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/lualatex/arabluatex/

%files arabluatex
%license gpl3.txt
%{_texdir}/texmf-dist/tex/lualatex/arabluatex/

%files archaeologie-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/archaeologie/

%files archaeologie
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/archaeologie/
%{_texdir}/texmf-dist/bibtex/bib/archaeologie/

%files asapsym-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/asapsym/

%files asapsym
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/asapsym/
%{_texdir}/texmf-dist/tex/latex/asapsym/
%{_texdir}/texmf-dist/tex/plain/asapsym/
%{_texdir}/texmf-dist/fonts/opentype/omnibus-type/asapsym/

%files asciilist-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/asciilist/

%files asciilist
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/asciilist/

%files babel-belarusian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-belarusian/

%files babel-belarusian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-belarusian/

%files babel-macedonian-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-macedonian/

%files babel-macedonian
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-macedonian/

%files babel-occitan-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-occitan/

%files babel-occitan
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-occitan/

%files babel-vietnamese-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/babel-vietnamese/

%files beamercolorthemeowl-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/beamercolorthemeowl/

%files beamercolorthemeowl
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/beamercolorthemeowl/

%files beamertheme-detlevcm-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/latex/beamertheme-detlevcm/

%files beamertheme-detlevcm
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/beamertheme-detlevcm/

%files beamertheme-epyt-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/beamertheme-epyt/

%files beamertheme-epyt
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/beamertheme-epyt/

%files beamertheme-metropolis-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/beamertheme-metropolis/

%files beamertheme-metropolis
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/beamertheme-metropolis/

%files beamer-verona-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/beamer-verona/

%files beamer-verona
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/beamer-verona/

%files biblatex-abnt-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-abnt/

%files biblatex-abnt
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-abnt/

%files biblatex-bookinother-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-bookinother/

%files biblatex-bookinother
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-bookinother/

%files biblatex-iso690-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-iso690/

%files biblatex-iso690
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-iso690/

%files biblatex-morenames-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-morenames/

%files biblatex-morenames
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-morenames/

%files bibletext-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bibletext/

%files bibletext
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bibletext/

%files bibtexperllibs-doc
%license gpl.txt
%{_texdir}/texmf-dist/doc/support/bibtexperllibs/

%files bibtexperllibs
# Intentionally no files here. Metapackage to pull in perl(LaTeX::ToUnicode)
# and perl(BibTeX::Parser)

%files bitpattern-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/latex/bitpattern/

%files bitpattern
%license lppl.txt
%{_texdir}/texmf-dist/tex/latex/bitpattern/

%files breakcites-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/breakcites/

%files breakcites
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/breakcites/

%files bxdvidriver-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxdvidriver/

%files bxdvidriver
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxdvidriver/

%files bxenclose-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxenclose/

%files bxenclose
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxenclose/

%files bxnewfont-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxnewfont/

%files bxnewfont
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxnewfont/

%files bxpapersize-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/bxpapersize/

%files bxpapersize
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/bxpapersize/

%files carbohydrates-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/carbohydrates/

%files carbohydrates
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/carbohydrates/

%files chivo-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/chivo/

%files chivo
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/chivo/
%{_texdir}/texmf-dist/fonts/opentype/public/chivo/
%{_texdir}/texmf-dist/fonts/map/dvips/chivo/
%{_texdir}/texmf-dist/fonts/tfm/public/chivo/
%{_texdir}/texmf-dist/fonts/vf/public/chivo/
%{_texdir}/texmf-dist/fonts/enc/dvips/chivo/
%{_texdir}/texmf-dist/fonts/type1/public/chivo/

%files churchslavonic-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/churchslavonic/

%files churchslavonic
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/churchslavonic/

%files cmdtrack-doc
%license lppl1.txt
%{_texdir}/texmf-dist/doc/latex/cmdtrack/

%files cmdtrack
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/cmdtrack/

%files cmexb-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/cmexb/

%files cmexb
%license pd.txt
%{_texdir}/texmf-dist/fonts/map/dvips/cmexb/
%{_texdir}/texmf-dist/fonts/tfm/public/cmexb/
%{_texdir}/texmf-dist/fonts/type1/public/cmexb/

%files cochineal-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/cochineal/

%files cochineal
%license ofl.txt
%{_texdir}/texmf-dist/tex/latex/cochineal/
%{_texdir}/texmf-dist/fonts/opentype/public/cochineal/
%{_texdir}/texmf-dist/fonts/map/dvips/cochineal/
%{_texdir}/texmf-dist/fonts/tfm/public/cochineal/
%{_texdir}/texmf-dist/fonts/vf/public/cochineal/
%{_texdir}/texmf-dist/fonts/enc/dvips/cochineal/
%{_texdir}/texmf-dist/fonts/afm/public/cochineal/
%{_texdir}/texmf-dist/fonts/type1/public/cochineal/

%files coloring-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/coloring/

%files coloring
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/coloring/

%files continue-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/continue/

%files continue
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/continue/

%files cquthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/cquthesis/

%files cquthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/cquthesis/
%{_texdir}/texmf-dist/bibtex/bst/cquthesis/

%files crimson-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/crimson/

%files crimson
%license ofl.txt
%{_texdir}/texmf-dist/tex/latex/crimson/
%{_texdir}/texmf-dist/fonts/opentype/kosch/crimson/
%{_texdir}/texmf-dist/fonts/map/dvips/crimson/
%{_texdir}/texmf-dist/fonts/tfm/kosch/crimson/
%{_texdir}/texmf-dist/fonts/vf/kosch/crimson/
%{_texdir}/texmf-dist/fonts/enc/dvips/crimson/
%{_texdir}/texmf-dist/fonts/type1/kosch/crimson/

%files ctablestack-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/luatex/ctablestack/

%files ctablestack
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/luatex/ctablestack/

%files delimseasy-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/delimseasy/

%files delimseasy
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/delimseasy/

%files drawmatrix-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/drawmatrix/

%files drawmatrix
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/drawmatrix/

%files dynamicnumber-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/dynamicnumber/

%files dynamicnumber
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/dynamicnumber/

%files ecobiblatex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ecobiblatex/

%files ecobiblatex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ecobiblatex/

%files econometrics-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/econometrics/

%files econometrics
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/econometrics/

%files einfuehrung2-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/latex/einfuehrung2/

%files ellipse-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ellipse/

%files ellipse
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ellipse/

%files emisa-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/emisa/

%files emisa
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/emisa/

%files exercises-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/exercises/

%files exercises
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/exercises/

%files ffslides-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ffslides/

%files ffslides
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ffslides/

%files fibeamer-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fibeamer/

%files fibeamer
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fibeamer/

%files fixcmex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/fixcmex/

%files fixcmex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fixcmex/

%files font-change-xetex-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/xetex/font-change-xetex/

%files font-change-xetex
%license other-free.txt
%{_texdir}/texmf-dist/tex/xetex/font-change-xetex/

%files fonts-churchslavonic
%license ofl.txt
%{_texdir}/texmf-dist/fonts/opentype/public/fonts-churchslavonic/
%{_texdir}/texmf-dist/fonts/truetype/public/fonts-churchslavonic/

%files fonts-churchslavonic-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/fonts-churchslavonic/

%files footnotehyper-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/footnotehyper/

%files footnotehyper
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/footnotehyper/

%files formation-latex-ul-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/latex/formation-latex-ul/

%files getitems-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/getitems/

%files getitems
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/getitems/

%files gitlog-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gitlog/

%files gitlog
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gitlog/

%files glossaries-extra-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/glossaries-extra/

%files glossaries-extra
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-extra/
%{_texdir}/texmf-dist/bibtex/bib/glossaries-extra/

%files gloss-occitan-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gloss-occitan/

%files gloss-occitan
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gloss-occitan/

%files gobble-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/gobble/

%files gobble
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/gobble/

%files gradstudentresume-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/gradstudentresume/

%files gradstudentresume
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/gradstudentresume/

%files graphics-cfg-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/latex/graphics-cfg/

%files graphics-cfg
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/graphics-cfg/

%files greektonoi-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/greektonoi/

%files greektonoi
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/greektonoi/
%{_texdir}/texmf-dist/fonts/map/dvips/greektonoi/

%files h2020proposal-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/h2020proposal/

%files h2020proposal
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/h2020proposal/

%files hyphen-bulgarian-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/generic/hyph-utf8/bg/azbukaExtended.pdf
%{_texdir}/texmf-dist/doc/generic/hyph-utf8/bg/azbukaExtended.tex

%files hyphen-churchslavonic
%license other-free.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cu.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cu.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cu.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-cu.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-cu.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-cu.tex

%files hyphen-occitan
%license other-free.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-oc.ec.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-oc.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-oc.pat.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-oc.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-oc.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-oc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-oc.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-oc.tex

%files hyphen-sanskrit-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/generic/hyph-utf8/sa/hyphenmin.txt

%files hyphen-spanish-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/generic/hyph-utf8/es/README
%{_texdir}/texmf-dist/doc/generic/hyph-utf8/es/division.pdf

%files ietfbibs-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/bibtex/ietfbibs/

%files iffont-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/iffont/

%files iffont
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/iffont/

%files imfellenglish-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/imfellenglish/

%files imfellenglish
%license ofl.txt
%{_texdir}/texmf-dist/tex/latex/imfellenglish/
%{_texdir}/texmf-dist/fonts/opentype/iginomarini/imfellenglish/
%{_texdir}/texmf-dist/fonts/map/dvips/imfellenglish/
%{_texdir}/texmf-dist/fonts/tfm/iginomarini/imfellenglish/
%{_texdir}/texmf-dist/fonts/vf/iginomarini/imfellenglish/
%{_texdir}/texmf-dist/fonts/enc/dvips/imfellenglish/
%{_texdir}/texmf-dist/fonts/type1/iginomarini/imfellenglish/

%files jacow-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/jacow/

%files jacow
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/jacow/

%files keyvaltable-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/keyvaltable/

%files keyvaltable
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/keyvaltable/

%files ksp-thesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ksp-thesis/

%files ksp-thesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ksp-thesis/

%files langsci-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/langsci/

%files langsci
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/langsci/
%{_texdir}/texmf-dist/bibtex/bst/langsci/

%files latex2e-help-texinfo-fr-doc
%license lppl.txt
%{_infodir}/latex2e-fr.info*
%{_texdir}/texmf-dist/doc/latex/latex2e-help-texinfo-fr/

%files latex-bib2-ex-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/latex/latex-bib2-ex/

%files latex-tds-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/latex/latex-tds/

%files libertinegc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/libertinegc/

%files libertinegc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/libertinegc/
%{_texdir}/texmf-dist/fonts/map/dvips/libertinegc/
%{_texdir}/texmf-dist/fonts/tfm/public/libertinegc/
%{_texdir}/texmf-dist/fonts/enc/dvips/libertinegc/

%files libertinus-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/libertinus/

%files libertinust1math-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/libertinust1math/

%files libertinust1math
%license ofl.txt
%{_texdir}/texmf-dist/tex/latex/libertinust1math/
%{_texdir}/texmf-dist/fonts/map/dvips/libertinust1math/
%{_texdir}/texmf-dist/fonts/tfm/public/libertinust1math/
%{_texdir}/texmf-dist/fonts/enc/dvips/libertinust1math/
%{_texdir}/texmf-dist/fonts/afm/public/libertinust1math/
%{_texdir}/texmf-dist/fonts/type1/public/libertinust1math/
%{_texdir}/texmf-dist/fonts/vf/public/libertinust1math/

%files libertinus
%license ofl.txt
%{_texdir}/texmf-dist/fonts/opentype/public/libertinus/

%files librebodoni-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/librebodoni/

%files librebodoni
%license ofl.txt
%{_texdir}/texmf-dist/tex/latex/librebodoni/
%{_texdir}/texmf-dist/fonts/opentype/impallari/librebodoni/
%{_texdir}/texmf-dist/fonts/map/dvips/librebodoni/
%{_texdir}/texmf-dist/fonts/tfm/impallari/librebodoni/
%{_texdir}/texmf-dist/fonts/vf/impallari/librebodoni/
%{_texdir}/texmf-dist/fonts/enc/dvips/librebodoni/
%{_texdir}/texmf-dist/fonts/type1/impallari/librebodoni/

%files linop-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/linop/

%files linop
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/linop/

%files longfbox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/longfbox/

%files longfbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/longfbox/

%files lroundrect-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lroundrect/

%files lroundrect
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lroundrect/

%files lshort-estonian-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/lshort-estonian/

%files lstbayes-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/lstbayes/

%files lstbayes
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/lstbayes/

%files luatex85-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/luatex85/

%files luatex85
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/luatex85/

%files makebase-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/makebase/

%files makebase
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/makebase/

%files markdown-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/markdown/
%{_texdir}/texmf-dist/doc/context/third/markdown/
%{_texdir}/texmf-dist/doc/latex/markdown/

%files markdown
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/markdown/
%{_texdir}/texmf-dist/tex/latex/markdown/
%{_texdir}/texmf-dist/tex/luatex/markdown/
%{_texdir}/texmf-dist/tex/context/third/markdown/

%files mathpartir-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/mathpartir/

%files mathpartir
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/mathpartir/

%files miama-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/miama/

%files miama
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/miama/
%{_texdir}/texmf-dist/fonts/opentype/public/miama/
%{_texdir}/texmf-dist/fonts/map/dvips/miama/
%{_texdir}/texmf-dist/fonts/tfm/public/miama/
%{_texdir}/texmf-dist/fonts/enc/dvips/miama/
%{_texdir}/texmf-dist/fonts/afm/public/miama/
%{_texdir}/texmf-dist/fonts/type1/public/miama/

%files moodle-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/moodle/

%files moodle
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/moodle/

%files mparrows-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/metapost/mparrows/

%files mparrows
%license pd.txt
%{_texdir}/texmf-dist/metapost/mparrows/

%files multidef-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/multidef/

%files multidef
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/multidef/

%files mynsfc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/mynsfc/

%files mynsfc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/mynsfc/

%files nihbiosketch-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nihbiosketch/

%files nihbiosketch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nihbiosketch/

%files nimbus15-doc
%license other-free.txt
%{_texdir}/texmf-dist/doc/fonts/nimbus15/

%files nimbus15
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/nimbus15/
%{_texdir}/texmf-dist/fonts/opentype/public/nimbus15/
%{_texdir}/texmf-dist/fonts/map/dvips/nimbus15/
%{_texdir}/texmf-dist/fonts/tfm/public/nimbus15/
%{_texdir}/texmf-dist/fonts/vf/public/nimbus15/
%{_texdir}/texmf-dist/fonts/enc/dvips/nimbus15/
%{_texdir}/texmf-dist/fonts/afm/public/nimbus15/
%{_texdir}/texmf-dist/fonts/type1/public/nimbus15/

%files normalcolor-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/normalcolor/

%files normalcolor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/normalcolor/

%files noto-doc
%license ofl.txt
%{_texdir}/texmf-dist/doc/fonts/noto/

%files noto
%license ofl.txt
%{_texdir}/texmf-dist/tex/latex/noto/
%{_texdir}/texmf-dist/fonts/truetype/google/noto/
%{_texdir}/texmf-dist/fonts/map/dvips/noto/
%{_texdir}/texmf-dist/fonts/tfm/google/noto/
%{_texdir}/texmf-dist/fonts/vf/google/noto/
%{_texdir}/texmf-dist/fonts/enc/dvips/noto/
%{_texdir}/texmf-dist/fonts/type1/google/noto/

%files nucleardata-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nucleardata/

%files nucleardata
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nucleardata/

%files nwejm-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/nwejm/

%files nwejm
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/nwejm/

%files optidef-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/optidef/

%files optidef
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/optidef/

%files options-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/options/

%files options
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/options/

%files parades-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/parades/

%files parades
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/parades/

%files pbibtex-base-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/ptex/pbibtex/

%files pbibtex-base
%license bsd.txt
%{_texdir}/texmf-dist/pbibtex/

%files pgfornament-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pgfornament/

%files pgfornament
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/pgfornament/
%{_texdir}/texmf-dist/tex/latex/pgfornament/

%files pgf-spectra-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/pgf-spectra/

%files pgf-spectra
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/pgf-spectra/

%files platex-doc
%license bsd.txt
%{_texdir}/texmf-dist/doc/platex/

%files platex
%license bsd.txt
%{_texdir}/texmf-dist/tex/platex/

%files prooftrees-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/prooftrees/

%files prooftrees
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/prooftrees/

%files pst-cie-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/generic/pst-cie/

%files pst-cie
%license lppl.txt
%{_texdir}/texmf-dist/dvips/pst-cie/
%{_texdir}/texmf-dist/tex/generic/pst-cie/
%{_texdir}/texmf-dist/tex/latex/pst-cie/

%files rosario-doc
%license lppl1.3.txt ofl.txt
%{_texdir}/texmf-dist/doc/fonts/rosario/

%files rosario
%license lppl1.3.txt ofl.txt
%{_texdir}/texmf-dist/tex/latex/rosario/
%{_texdir}/texmf-dist/fonts/opentype/public/rosario/
%{_texdir}/texmf-dist/fonts/map/dvips/rosario/
%{_texdir}/texmf-dist/fonts/tfm/public/rosario/
%{_texdir}/texmf-dist/fonts/vf/public/rosario/
%{_texdir}/texmf-dist/fonts/enc/dvips/rosario/
%{_texdir}/texmf-dist/fonts/type1/public/rosario/

%files russ-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/latex/russ/

%files russ
%license lppl.txt
%{_texdir}/texmf-dist/tex/latex/russ/

%files sanitize-umlaut-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/sanitize-umlaut/

%files sanitize-umlaut
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/sanitize-umlaut/

%files scrlttr2copy-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/scrlttr2copy/

%files scrlttr2copy
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/scrlttr2copy/

%files seuthesix-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/seuthesix/

%files seuthesix
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/seuthesix/
%{_texdir}/texmf-dist/bibtex/bst/seuthesix/

%files signchart-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/signchart/

%files signchart
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/signchart/

%files simpler-wick-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/simpler-wick/

%files simpler-wick
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/simpler-wick/

%files smartunits-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/smartunits/

%files smartunits
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/smartunits/

%files svrsymbols-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/svrsymbols/

%files svrsymbols
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/svrsymbols/
%{_texdir}/texmf-dist/fonts/map/dvips/svrsymbols/
%{_texdir}/texmf-dist/fonts/tfm/public/svrsymbols/
%{_texdir}/texmf-dist/fonts/afm/public/svrsymbols/
%{_texdir}/texmf-dist/fonts/type1/public/svrsymbols/

%files tempora-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/fonts/tempora/

%files tempora
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/tempora/
%{_texdir}/texmf-dist/fonts/opentype/public/tempora/
%{_texdir}/texmf-dist/fonts/map/dvips/tempora/
%{_texdir}/texmf-dist/fonts/tfm/public/tempora/
%{_texdir}/texmf-dist/fonts/vf/public/tempora/
%{_texdir}/texmf-dist/fonts/enc/dvips/tempora/
%{_texdir}/texmf-dist/fonts/afm/public/tempora/
%{_texdir}/texmf-dist/fonts/type1/public/tempora/

%files tex-ini-files-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/generic/tex-ini-files/

%files tex-ini-files
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/tex-ini-files/

%files texlive-es-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/texlive/texlive-es/

%files texvc-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/texvc/

%files texvc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/texvc/

%files texworks-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/texworks/

%files tikz-feynman-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/tikz-feynman/

%files tikz-feynman
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tikz-feynman/

%files tipfr
%license lppl.txt
%{_texdir}/texmf-dist/tex/latex/tipfr/

%files typed-checklist-doc
%license lppl1.2.txt
%{_texdir}/texmf-dist/doc/latex/typed-checklist/

%files typed-checklist
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/typed-checklist/

%files uantwerpendocs-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uantwerpendocs/

%files uantwerpendocs
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uantwerpendocs/

%files uhrzeit-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/uhrzeit/

%files uhrzeit
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/uhrzeit/

%files umbclegislation-doc
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/umbclegislation/

%files umbclegislation
%license gpl3.txt
%{_texdir}/texmf-dist/tex/latex/umbclegislation/

%files unicode-data-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/generic/unicode-data/

%files unicode-data
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/unicode-data/

%files updmap-map
%license pd.txt
%{_texdir}/texmf-dist/fonts/map/pdftex/updmap/
%{_texdir}/texmf-dist/fonts/map/dvips/updmap/
%{_texdir}/texmf-dist/fonts/map/dvipdfmx/updmap/

%files uplatex
%license bsd.txt
%{_texdir}/texmf-dist/tex/uplatex/

%files visualpstricks-doc
%license gpl2.txt
%{_texdir}/texmf-dist/doc/latex/visualpstricks/

%files visualtikz-doc
%license lppl.txt
%{_texdir}/texmf-dist/doc/latex/visualtikz/

%files xassoccnt-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xassoccnt/

%files xassoccnt
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xassoccnt/

%files xcntperchap-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xcntperchap/

%files xcntperchap
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xcntperchap/

%files xduthesis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xduthesis/

%files xduthesis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xduthesis/

%files xellipsis-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xellipsis/

%files xellipsis
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xellipsis/

%files xsavebox-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/xsavebox/

%files xsavebox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xsavebox/

%files ycbook-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ycbook/

%files ycbook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ycbook/

%files yinit-otf-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/fonts/yinit-otf/

%files yinit-otf
%license pd.txt
%{_texdir}/texmf-dist/fonts/opentype/public/yinit-otf/

%files zhmetrics-uptex-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/fonts/zhmetrics-uptex/

%files zhmetrics-uptex
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/tfm/public/zhmetrics-uptex/
%{_texdir}/texmf-dist/fonts/vf/public/zhmetrics-uptex/

%files bestpapers-doc
%license pd.txt
%{_texdir}/texmf-dist/doc/bibtex/bestpapers/

%files bestpapers
%license pd.txt
%{_texdir}/texmf-dist/bibtex/bst/bestpapers/

%files biblatex-claves
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-claves/

%files biblatex-claves-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-claves/

%files biblatex-ijsra
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-ijsra/

%files biblatex-ijsra-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-ijsra/

%files biblatex-lni
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-lni/

%files biblatex-lni-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-lni/

%files biblatex-nottsclassic
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/biblatex-nottsclassic/

%files biblatex-nottsclassic-doc
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/biblatex-nottsclassic/

%files graphics-def
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/graphics-def/

%files scheme-basic

%files scheme-context

%files scheme-full

%files scheme-gust

%files scheme-medium

%files scheme-minimal

%files scheme-small

%files scheme-tetex

%files texlive-docindex
%{_texdir}/texmf-dist/scripts/texlive/var/texcatalogue.keywords

%files texlive-docindex-doc
%{_texdir}/doc.html

%files obsolete
# Guess who has two thumbs and is a metapackage?

%files collection-plaingeneric

%files collection-mathscience

%files listofitems
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/listofitems/
%doc %{_texdir}/texmf-dist/doc/generic/listofitems/

%files abnt
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist//doc/latex/abnt/
%{_texdir}/texmf-dist/tex/latex/abnt/

%files actuarialsymbol
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/actuarialsymbol/
%{_texdir}/texmf-dist/tex/latex/actuarialsymbol/

%files addfont
%license gpl3.txt
%doc %{_texdir}/texmf-dist/doc/latex/addfont/
%{_texdir}/texmf-dist/tex/latex/addfont/

%files algolrevived
%license ofl.txt lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/algolrevived/
%{_texdir}/texmf-dist/fonts/enc/dvips/algolrevived/
%{_texdir}/texmf-dist/fonts/map/dvips/algolrevived/
%{_texdir}/texmf-dist/fonts/opentype/public/algolrevived/
%{_texdir}/texmf-dist/fonts/tfm/public/algolrevived/
%{_texdir}/texmf-dist/fonts/type1/public/algolrevived/
%{_texdir}/texmf-dist/fonts/vf/public/algolrevived/
%{_texdir}/texmf-dist/tex/latex/algolrevived/

%files alkalami
%license ofl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/alkalami/
%{_texdir}/texmf-dist/fonts/truetype/public/alkalami/

%files apalike-german
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/bibtex/apalike-german/
%{_texdir}/texmf-dist/bibtex/bst/apalike-german/

%files arimo
%license apache2.txt
%doc %{_texdir}/texmf-dist/doc/fonts/arimo/
%{_texdir}/texmf-dist/fonts/enc/dvips/arimo/
%{_texdir}/texmf-dist/fonts/map/dvips/arimo/
%{_texdir}/texmf-dist/fonts/tfm/google/arimo/
%{_texdir}/texmf-dist/fonts/truetype/google/arimo/
%{_texdir}/texmf-dist/fonts/type1/google/arimo/
%{_texdir}/texmf-dist/fonts/vf/google/arimo/
%{_texdir}/texmf-dist/tex/latex/arimo/

%files arphic-ttf
%doc %{_texdir}/texmf-dist/doc/fonts/arphic-ttf/
%{_texdir}/texmf-dist/fonts/truetype/public/arphic-ttf/

%files asymptote-by-example-zh-cn-doc
%doc %{_texdir}/texmf-dist/doc/support/asymptote-by-example-zh-cn/

%files asymptote-faq-zh-cn-doc
%doc %{_texdir}/texmf-dist/doc/support/asymptote-faq-zh-cn/

%files asymptote-manual-zh-cn-doc
%doc %{_texdir}/texmf-dist/doc/support/asymptote-manual-zh-cn/

%files aucklandthesis
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/aucklandthesis/
%{_texdir}/texmf-dist/tex/latex/aucklandthesis/

%files aurl
%license pd.txt
%doc %{_texdir}/texmf-dist/doc/latex/aurl/
%{_texdir}/texmf-dist/tex/latex/aurl/

%files awesomebox
%doc %{_texdir}/texmf-dist/doc/latex/awesomebox/
%{_texdir}/texmf-dist/tex/latex/awesomebox/

%files babel-azerbaijani
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/babel-azerbaijani/
%{_texdir}/texmf-dist/tex/generic/babel-azerbaijani/

%files baekmuk
%doc %{_texdir}/texmf-dist/doc/fonts/baekmuk/
%{_texdir}/texmf-dist/fonts/truetype/public/baekmuk/

%files bangorexam
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/bangorexam/
%{_texdir}/texmf-dist/tex/latex/bangorexam/

%files baskervillef
%license ofl.txt lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/baskervillef/
%{_texdir}/texmf-dist/fonts/enc/dvips/baskervillef/
%{_texdir}/texmf-dist/fonts/map/dvips/baskervillef/
%{_texdir}/texmf-dist/fonts/opentype/public/baskervillef/
%{_texdir}/texmf-dist/fonts/tfm/public/baskervillef/
%{_texdir}/texmf-dist/fonts/type1/public/baskervillef/
%{_texdir}/texmf-dist/fonts/vf/public/baskervillef/
%{_texdir}/texmf-dist/tex/latex/baskervillef/

%files beamerswitch
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/beamerswitch/
%{_texdir}/texmf-dist/tex/latex/beamerswitch/

%files beilstein
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/beilstein/
%{_texdir}/texmf-dist/bibtex/bst/beilstein/
%{_texdir}/texmf-dist/tex/latex/beilstein/

%files beuron
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/beuron/
%{_texdir}/texmf-dist/fonts/map/dvips/beuron/
%{_texdir}/texmf-dist/fonts/opentype/public/beuron/
%{_texdir}/texmf-dist/fonts/source/public/beuron/
%{_texdir}/texmf-dist/fonts/tfm/public/beuron/
%{_texdir}/texmf-dist/fonts/type1/public/beuron/
%{_texdir}/texmf-dist/tex/latex/beuron/

%files biblatex-cheatsheet-doc
%doc %{_texdir}/texmf-dist/doc/latex/biblatex-cheatsheet/

%files biblatex-enc
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/biblatex-enc/
%{_texdir}/texmf-dist/tex/latex/biblatex-enc/

%files biblatex-gb7714-2015
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/biblatex-gb7714-2015/
%{_texdir}/texmf-dist/tex/latex/biblatex-gb7714-2015/

%files biblatex-oxref
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/biblatex-oxref/
%{_texdir}/texmf-dist/tex/latex/biblatex-oxref/

%files biblatex-sbl
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/biblatex-sbl/
%{_texdir}/texmf-dist/makeindex/biblatex-sbl/
%{_texdir}/texmf-dist/tex/latex/biblatex-sbl/

%files biblatex-shortfields
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/biblatex-shortfields/
%{_texdir}/texmf-dist/tex/latex/biblatex-shortfields/

%files binarytree
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/binarytree/
%{_texdir}/texmf-dist/tex/latex/binarytree/

%files biochemistry-colors
%license lppl.txt gpl.txt
%doc %{_texdir}/texmf-dist/doc/latex/biochemistry-colors/
%{_texdir}/texmf-dist/tex/latex/biochemistry-colors/

%files biolett-bst
%license lppl1.txt
%doc %{_texdir}/texmf-dist/doc/bibtex/biolett-bst/
%{_texdir}/texmf-dist/bibtex/bst/biolett-bst/

%files bredzenie
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/bredzenie/
%{_texdir}/texmf-dist/tex/latex/bredzenie/

%files bxcalc
%doc %{_texdir}/texmf-dist/doc/latex/bxcalc/
%{_texdir}/texmf-dist/tex/latex/bxcalc/

%files bxjalipsum
%doc %{_texdir}/texmf-dist/doc/latex/bxjalipsum/
%{_texdir}/texmf-dist/tex/latex/bxjalipsum/

%files bxjaprnind
%doc %{_texdir}/texmf-dist/doc/latex/bxjaprnind/
%{_texdir}/texmf-dist/tex/latex/bxjaprnind/

%files bxorigcapt
%doc %{_texdir}/texmf-dist/doc/latex/bxorigcapt/
%{_texdir}/texmf-dist/tex/latex/bxorigcapt/

%files callouts
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/callouts/
%{_texdir}/texmf-dist/tex/latex/callouts/

%files cesenaexam
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/cesenaexam/
%{_texdir}/texmf-dist/tex/latex/cesenaexam/

%files cheatsheet
%doc %{_texdir}/texmf-dist/doc/latex/cheatsheet/
%{_texdir}/texmf-dist/tex/latex/cheatsheet/

%files childdoc
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/childdoc/
%{_texdir}/texmf-dist/tex/latex/childdoc/

%files cje
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/cje/
%{_texdir}/texmf-dist/bibtex/bst/cje/
%{_texdir}/texmf-dist/tex/latex/cje/

%files collection-texworks

%files combofont
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/lualatex/combofont/
%{_texdir}/texmf-dist/tex/lualatex/combofont/

%files context-cmscbf
%license gpl.txt
%doc %{_texdir}/texmf-dist/doc/context/third/cmscbf/
%{_texdir}/texmf-dist/tex/context/third/cmscbf/

%files context-cmttbf
%license gpl.txt
%doc %{_texdir}/texmf-dist/doc/context/third/cmttbf/
%{_texdir}/texmf-dist/tex/context/third/cmttbf/

%files context-inifile
%license gpl.txt
%doc %{_texdir}/texmf-dist/doc/context/third/inifile/
%{_texdir}/texmf-dist/tex/context/third/inifile/

%files context-layout
%doc %{_texdir}/texmf-dist/doc/context/third/layout/
%{_texdir}/texmf-dist/tex/context/third/layout/

%files conv-xkv
%license lppl1.2.txt
%doc %{_texdir}/texmf-dist/doc/latex/conv-xkv/
%{_texdir}/texmf-dist/tex/latex/conv-xkv/

%files cooking-units
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/cooking-units/
%{_texdir}/texmf-dist/tex/latex/cooking-units/

%files cormorantgaramond
%license ofl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/cormorantgaramond/
%{_texdir}/texmf-dist/fonts/enc/dvips/cormorantgaramond/
%{_texdir}/texmf-dist/fonts/map/dvips/cormorantgaramond/
%{_texdir}/texmf-dist/fonts/opentype/catharsis/cormorantgaramond/
%{_texdir}/texmf-dist/fonts/tfm/catharsis/cormorantgaramond/
%{_texdir}/texmf-dist/fonts/type1/catharsis/cormorantgaramond/
%{_texdir}/texmf-dist/fonts/vf/catharsis/cormorantgaramond/
%{_texdir}/texmf-dist/tex/latex/cormorantgaramond/

%files crossreftools
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/crossreftools/
%{_texdir}/texmf-dist/tex/latex/crossreftools/

%files css-colors
%license lppl.txt gpl.txt
%doc %{_texdir}/texmf-dist/doc/latex/css-colors/
%{_texdir}/texmf-dist/tex/latex/css-colors/

%files cstypo
%doc %{_texdir}/texmf-dist/doc/lualatex/cstypo/
%{_texdir}/texmf-dist/tex/lualatex/cstypo/
%{_texdir}/texmf-dist/tex/luatex/cstypo/

%files currency
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/currency/
%{_texdir}/texmf-dist/tex/latex/currency/

%files docsurvey-doc
%doc %{_texdir}/texmf-dist/doc/latex/docsurvey/

%files draftfigure
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/draftfigure/
%{_texdir}/texmf-dist/tex/latex/draftfigure/

%files dtxdescribe
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/dtxdescribe/
%{_texdir}/texmf-dist/tex/latex/dtxdescribe/

%files ducksay
%license lppl1.3.txt gpl3.txt
%doc %{_texdir}/texmf-dist/doc/latex/ducksay/
%{_texdir}/texmf-dist/tex/latex/ducksay/

%files dynkin-diagrams
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/dynkin-diagrams/
%{_texdir}/texmf-dist/tex/latex/dynkin-diagrams/

%files easyformat
%license gpl3.txt
%{_texdir}/texmf-dist/doc/latex/easyformat/
%{_texdir}/texmf-dist/tex/latex/easyformat/

%files ecgdraw
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/ecgdraw/
%{_texdir}/texmf-dist/tex/latex/ecgdraw/

%files endofproofwd
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/endofproofwd/
%{_texdir}/texmf-dist/tex/latex/endofproofwd/

%files eqnalign
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/eqnalign/
%{_texdir}/texmf-dist/tex/latex/eqnalign/

%files eulerpx
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/eulerpx/
%{_texdir}/texmf-dist/tex/latex/eulerpx/

%files fetchcls
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/fetchcls/
%{_texdir}/texmf-dist/tex/latex/fetchcls/

%files fgruler
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/fgruler/
%{_texdir}/texmf-dist/tex/latex/fgruler/

%files filecontentsdef
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/filecontentsdef/
%{_texdir}/texmf-dist/tex/latex/filecontentsdef/

%files fixjfm
%license knuth.txt
%doc %{_texdir}/texmf-dist/doc/generic/fixjfm/
%{_texdir}/texmf-dist/tex/generic/fixjfm/

%files fontloader-luaotfload
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/luatex/fontloader-luaotfload/
%{_texdir}/texmf-dist/tex/luatex/fontloader-luaotfload/

%files footmisx
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/footmisx/
%{_texdir}/texmf-dist/tex/latex/footmisx/

%files forest-quickstart-doc
%license fdl.txt
%doc %{_texdir}/texmf-dist/doc/latex/forest-quickstart/

%files forms16be
%license lppl1.2.txt
%doc %{_texdir}/texmf-dist/doc/latex/forms16be/
%{_texdir}/texmf-dist/tex/latex/forms16be/

%files frederika2016
%license ofl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/frederika2016/
%{_texdir}/texmf-dist/fonts/opentype/public/frederika2016/

%files gitfile-info
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/support/gitfile-info/
%{_texdir}/texmf-dist/tex/latex/gitfile-info/

%files gofonts
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/gofonts/
%{_texdir}/texmf-dist/fonts/enc/dvips/gofonts/
%{_texdir}/texmf-dist/fonts/map/dvips/gofonts/
%{_texdir}/texmf-dist/fonts/tfm/bh/gofonts/
%{_texdir}/texmf-dist/fonts/truetype/bh/gofonts/
%{_texdir}/texmf-dist/fonts/type1/bh/gofonts/
%{_texdir}/texmf-dist/fonts/vf/bh/gofonts/
%{_texdir}/texmf-dist/tex/latex/gofonts/

%files grant
%doc %{_texdir}/texmf-dist/doc/latex/grant/
%{_texdir}/texmf-dist/tex/latex/grant/

%files grayhints
%license lppl1.2.txt
%doc %{_texdir}/texmf-dist/doc/latex/grayhints/
%{_texdir}/texmf-dist/tex/latex/grayhints/

%files gtrlib-largetrees
%license lppl1.2.txt
%doc %{_texdir}/texmf-dist/doc/latex/gtrlib-largetrees/
%{_texdir}/texmf-dist/tex/latex/gtrlib-largetrees/

%files hackthefootline
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/hackthefootline/
%{_texdir}/texmf-dist/tex/latex/hackthefootline/

%files halloweenmath
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/halloweenmath/
%{_texdir}/texmf-dist/tex/latex/halloweenmath/

%files hecthese
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/hecthese/
%{_texdir}/texmf-dist/tex/latex/hecthese/

%files hithesis
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/hithesis/
%{_texdir}/texmf-dist/bibtex/bst/hithesis/
%{_texdir}/texmf-dist/makeindex/hithesis/
%{_texdir}/texmf-dist/tex/latex/hithesis/

%files hustthesis
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/hustthesis/
%{_texdir}/texmf-dist/bibtex/bst/hustthesis/
%{_texdir}/texmf-dist/tex/latex/hustthesis/

%files hyphen-belarusian
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/loadhyph/loadhyph-be.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/ptex/hyph-be.t2a.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/quote/hyph-quote-be.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-be.tex
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-be.chr.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-be.hyp.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-be.lic.txt
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/patterns/txt/hyph-be.pat.txt

%files ifptex
%doc %{_texdir}/texmf-dist/doc/generic/ifptex/
%{_texdir}/texmf-dist/tex/generic/ifptex/

%files ifxptex
%license knuth.txt
%doc %{_texdir}/texmf-dist/doc/generic/ifxptex/
%{_texdir}/texmf-dist/tex/generic/ifxptex/

%files ijsra
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/ijsra/
%{_texdir}/texmf-dist/tex/latex/ijsra/

%files invoice2
%license gpl3.txt
%doc %{_texdir}/texmf-dist/doc/latex/invoice2/
%{_texdir}/texmf-dist/tex/latex/invoice2/

%files iscram
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/iscram/
%{_texdir}/texmf-dist/tex/latex/iscram/

%files isopt
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/isopt/
%{_texdir}/texmf-dist/tex/latex/isopt/

%files istgame
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/istgame/
%{_texdir}/texmf-dist/tex/latex/istgame/

%files jlreq
%license bsd.txt
%doc %{_texdir}/texmf-dist/doc/latex/jlreq/
%{_texdir}/texmf-dist/fonts/tfm/public/jlreq/
%{_texdir}/texmf-dist/fonts/vf/public/jlreq/
%{_texdir}/texmf-dist/tex/latex/jlreq/
%{_texdir}/texmf-dist/tex/luatex/jlreq/

%files keyfloat
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/keyfloat/
%{_texdir}/texmf-dist/tex/latex/keyfloat/

%files knowledge
%license lppl1.2.txt
%doc %{_texdir}/texmf-dist/doc/latex/knowledge/
%{_texdir}/texmf-dist/tex/latex/knowledge/

%files komacv-rg
%license lppl1.2.txt
%doc %{_texdir}/texmf-dist/doc/latex/komacv-rg/
%{_texdir}/texmf-dist/tex/latex/komacv-rg/

%files ku-template
%doc %{_texdir}/texmf-dist/doc/latex/ku-template/
%{_texdir}/texmf-dist/tex/latex/ku-template/

%files ladder
%doc %{_texdir}/texmf-dist/doc/latex/ladder/
%{_texdir}/texmf-dist/tex/latex/ladder/

%files latexbangla
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/latexbangla/
%{_texdir}/texmf-dist/tex/latex/latexbangla/

%files latexbug
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/latexbug/
%{_texdir}/texmf-dist/tex/latex/latexbug/

%files latexgit
%license gpl3.txt
%doc %{_texdir}/texmf-dist/doc/latex/latexgit/
%{_texdir}/texmf-dist/tex/latex/latexgit/

%files latex-mr-doc
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/latex-mr/

%files latex-refsheet-doc
%doc %{_texdir}/texmf-dist/doc/latex/latex-refsheet/

%files limecv
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/limecv/
%{_texdir}/texmf-dist/tex/latex/limecv/

%files ling-macros
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/ling-macros/
%{_texdir}/texmf-dist/tex/latex/ling-macros/

%files lion-msc
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/lion-msc/
%{_texdir}/texmf-dist/bibtex/bst/lion-msc/
%{_texdir}/texmf-dist/tex/latex/lion-msc/

%files lni
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/lni/
%{_texdir}/texmf-dist/bibtex/bst/lni/
%{_texdir}/texmf-dist/tex/latex/lni/

%files ltb2bib
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/ltb2bib/
%{_texdir}/texmf-dist/tex/latex/ltb2bib/

%files luahyphenrules
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/lualatex/luahyphenrules/
%{_texdir}/texmf-dist/tex/lualatex/luahyphenrules/

%files luamesh
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/lualatex/luamesh/
%{_texdir}/texmf-dist/scripts/luamesh/
%{_texdir}/texmf-dist/tex/lualatex/luamesh/

%files luapackageloader
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/luatex/luapackageloader/
%{_texdir}/texmf-dist/tex/luatex/luapackageloader/

%files maker
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/maker/
%{_texdir}/texmf-dist/tex/latex/maker/

%files marginfit
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/marginfit/
%{_texdir}/texmf-dist/tex/latex/marginfit/

%files math-into-latex-4-doc
%doc %{_texdir}/texmf-dist/doc/latex/math-into-latex-4/

%files mcexam
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/mcexam/
%{_texdir}/texmf-dist/tex/latex/mcexam/

%files mendex-doc
%doc %{_texdir}/texmf-dist/doc/support/mendex/

%files milog
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/milog/
%{_texdir}/texmf-dist/tex/latex/milog/

%files missaali
%license ofl.txt lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/missaali/
%{_texdir}/texmf-dist/fonts/opentype/public/missaali/
%{_texdir}/texmf-dist/tex/latex/missaali/

%files modular
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/modular/
%{_texdir}/texmf-dist/tex/latex/modular/

%files montserrat
%license ofl.txt lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/montserrat/
%{_texdir}/texmf-dist/fonts/enc/dvips/montserrat/
%{_texdir}/texmf-dist/fonts/map/dvips/montserrat/
%{_texdir}/texmf-dist/fonts/opentype/public/montserrat/
%{_texdir}/texmf-dist/fonts/tfm/public/montserrat/
%{_texdir}/texmf-dist/fonts/type1/public/montserrat/
%{_texdir}/texmf-dist/fonts/vf/public/montserrat/
%{_texdir}/texmf-dist/tex/latex/montserrat/

%files mpostinl
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/mpostinl/
%{_texdir}/texmf-dist/tex/latex/mpostinl/

%files mucproc
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/mucproc/
%{_texdir}/texmf-dist/tex/latex/mucproc/

%files multilang
%license lppl1.2.txt
%doc %{_texdir}/texmf-dist/doc/latex/multilang/
%{_texdir}/texmf-dist/tex/latex/multilang/

%files musicography
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/musicography/
%{_texdir}/texmf-dist/tex/latex/musicography/

%files na-box
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/xelatex/na-box/
%{_texdir}/texmf-dist/tex/xelatex/na-box/

%files na-position
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/xelatex/na-position/
%{_texdir}/texmf-dist/tex/xelatex/na-position/

%files navydocs
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/navydocs/
%{_texdir}/texmf-dist/tex/latex/navydocs/

%files niceframe-type1
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/niceframe-type1/
%{_texdir}/texmf-dist/fonts/afm/public/niceframe-type1/
%{_texdir}/texmf-dist/fonts/map/dvips/niceframe-type1/
%{_texdir}/texmf-dist/fonts/type1/public/niceframe-type1/

%files nodetree
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/luatex/nodetree/
%{_texdir}/texmf-dist/tex/luatex/nodetree/

%files notespages
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/notespages/
%{_texdir}/texmf-dist/tex/latex/notespages/

%files notestex
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/notestex/
%{_texdir}/texmf-dist/tex/latex/notestex/

%files novel
%license lppl1.3.txt ofl.txt
%doc %{_texdir}/texmf-dist/doc/lualatex/novel/
%{_texdir}/texmf-dist/fonts/opentype/novel/
%{_texdir}/texmf-dist/tex/lualatex/novel/

%files numnameru
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/numnameru/
%{_texdir}/texmf-dist/tex/latex/numnameru/

%files numspell
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/numspell/
%{_texdir}/texmf-dist/tex/latex/numspell/

%files octave
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/octave/
%{_texdir}/texmf-dist/tex/latex/octave/

%files padauk
%license ofl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/padauk/
%{_texdir}/texmf-dist/fonts/truetype/public/padauk/

%files pdfreview
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/pdfreview/
%{_texdir}/texmf-dist/tex/latex/pdfreview/

%files phffullpagefigure
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phffullpagefigure/
%{_texdir}/texmf-dist/tex/latex/phffullpagefigure/

%files phfnote
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phfnote/
%{_texdir}/texmf-dist/bibtex/bst/phfnote/
%{_texdir}/texmf-dist/tex/latex/phfnote/

%files phfparen
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phfparen/
%{_texdir}/texmf-dist/tex/latex/phfparen/

%files phfqit
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phfqit/
%{_texdir}/texmf-dist/tex/latex/phfqit/

%files phfquotetext
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phfquotetext/
%{_texdir}/texmf-dist/tex/latex/phfquotetext/

%files phfsvnwatermark
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phfsvnwatermark/
%{_texdir}/texmf-dist/tex/latex/phfsvnwatermark/

%files phfthm
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phfthm/
%{_texdir}/texmf-dist/tex/latex/phfthm/

%files phonenumbers
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/phonenumbers/
%{_texdir}/texmf-dist/tex/latex/phonenumbers/

%files platexcheat-doc
%doc %{_texdir}/texmf-dist/doc/latex/platexcheat/

%files platex-tools
%license bsd.txt
%doc %{_texdir}/texmf-dist/doc/latex/platex-tools/
%{_texdir}/texmf-dist/tex/latex/platex-tools/

%files poetry
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/poetry/
%{_texdir}/texmf-dist/tex/latex/poetry/

%files pst-arrow
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/pst-arrow/
%{_texdir}/texmf-dist/tex/generic/pst-arrow/
%{_texdir}/texmf-dist/tex/latex/pst-arrow/

%files pst-geometrictools
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/pst-geometrictools/
%{_texdir}/texmf-dist/tex/latex/pst-geometrictools/
%{_texdir}/texmf-dist/tex/generic/pst-geometrictools/

%files pst-poker
%license lgpl.txt
%doc %{_texdir}/texmf-dist/doc/latex/pst-poker/
%{_texdir}/texmf-dist/tex/latex/pst-poker/

%files pstring
%license pd.txt
%doc %{_texdir}/texmf-dist/doc/latex/pstring/
%{_texdir}/texmf-dist/tex/latex/pstring/

%files pst-rputover
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/pst-rputover/
%{_texdir}/texmf-dist/tex/generic/pst-rputover/
%{_texdir}/texmf-dist/tex/latex/pst-rputover/

%files pst-shell
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/generic/pst-shell/
%{_texdir}/texmf-dist/dvips/pst-shell/
%{_texdir}/texmf-dist/tex/generic/pst-shell/
%{_texdir}/texmf-dist/tex/latex/pst-shell/

%files pst-vehicle
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/pst-vehicle/
%{_texdir}/texmf-dist/tex/latex/pst-vehicle/
%{_texdir}/texmf-dist/tex/generic/pst-vehicle/

%files pxtatescale
%doc %{_texdir}/texmf-dist/doc/latex/pxtatescale/
%{_texdir}/texmf-dist/tex/latex/pxtatescale/

%files pxufont
%doc %{_texdir}/texmf-dist/doc/latex/pxufont/
%{_texdir}/texmf-dist/fonts/tfm/public/pxufont/
%{_texdir}/texmf-dist/fonts/vf/public/pxufont/
%{_texdir}/texmf-dist/tex/latex/pxufont/

%files quicktype
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/quicktype/
%{_texdir}/texmf-dist/tex/latex/quicktype/

%files rutitlepage
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/rutitlepage/
%{_texdir}/texmf-dist/tex/latex/rutitlepage/

%files scratch
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/scratch/
%{_texdir}/texmf-dist/tex/latex/scratch/

%files scsnowman
%license bsd.txt
%doc %{_texdir}/texmf-dist/doc/latex/scsnowman/
%{_texdir}/texmf-dist/tex/latex/scsnowman/

%files sesstime
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/sesstime/
%{_texdir}/texmf-dist/tex/latex/sesstime/

%files shobhika
%license ofl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/shobhika/
%{_texdir}/texmf-dist/fonts/opentype/public/shobhika/

%files simple-resume-cv
%license pd.txt
%doc %{_texdir}/texmf-dist/doc/xelatex/simple-resume-cv/
%{_texdir}/texmf-dist/tex/xelatex/simple-resume-cv/

%files simple-thesis-dissertation
%license pd.txt
%doc %{_texdir}/texmf-dist/doc/xelatex/simple-thesis-dissertation/
%{_texdir}/texmf-dist/tex/xelatex/simple-thesis-dissertation/

%files soup
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/soup/
%{_texdir}/texmf-dist/tex/latex/soup/

%files spark-otf
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/spark-otf/
%{_texdir}/texmf-dist/tex/latex/spark-otf/

%files spectralsequences
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/spectralsequences/
%{_texdir}/texmf-dist/tex/latex/spectralsequences/

%files studenthandouts
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/studenthandouts/
%{_texdir}/texmf-dist/tex/latex/studenthandouts/

%files table-fct
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/table-fct/
%{_texdir}/texmf-dist/tex/latex/table-fct/

%files termcal-de
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/latex/termcal-de/
%{_texdir}/texmf-dist/tex/latex/termcal-de/

%files testidx
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/testidx/
%{_texdir}/texmf-dist/tex/latex/testidx/

%files texproposal-doc
%doc %{_texdir}/texmf-dist/doc/latex/texproposal/

%files thaienum
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/thaienum/
%{_texdir}/texmf-dist/tex/latex/thaienum/

%files tikzcodeblocks
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/tikzcodeblocks/
%{_texdir}/texmf-dist/tex/latex/tikzcodeblocks/

%files tikzducks
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/tikzducks/
%{_texdir}/texmf-dist/tex/latex/tikzducks/

%files tikz-kalender
%doc %{_texdir}/texmf-dist/doc/latex/tikz-kalender/
%{_texdir}/texmf-dist/tex/latex/tikz-kalender/

%files tikz-optics
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/tikz-optics/
%{_texdir}/texmf-dist/tex/latex/tikz-optics/

%files tikzpeople
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/tikzpeople/
%{_texdir}/texmf-dist/tex/latex/tikzpeople/

%files tocdata
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/tocdata/
%{_texdir}/texmf-dist/tex/latex/tocdata/

%files txuprcal
%license gpl3.txt
%doc %{_texdir}/texmf-dist/doc/fonts/txuprcal/
%{_texdir}/texmf-dist/fonts/map/dvips/txuprcal/
%{_texdir}/texmf-dist/fonts/tfm/public/txuprcal/
%{_texdir}/texmf-dist/fonts/type1/public/txuprcal/
%{_texdir}/texmf-dist/tex/latex/txuprcal/

%files typoaid
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/typoaid/
%{_texdir}/texmf-dist/tex/latex/typoaid/

%files uhhassignment
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/uhhassignment/
%{_texdir}/texmf-dist/tex/latex/uhhassignment/

%files undergradmath-doc
%doc %{_texdir}/texmf-dist/doc/latex/undergradmath/

%files unfonts-core
%license gpl2.txt
%doc %{_texdir}/texmf-dist/doc/fonts/unfonts-core/
%{_texdir}/texmf-dist/fonts/truetype/public/unfonts-core/

%files unfonts-extra
%license gpl2.txt
%doc %{_texdir}/texmf-dist/doc/fonts/unfonts-extra/
%{_texdir}/texmf-dist/fonts/truetype/public/unfonts-extra/

%files unicode-bidi
%license lppl1.3.txt
%{_texdir}/texmf-dist/doc/xelatex/unicode-bidi/README.md
%{_texdir}/texmf-dist/tex/xelatex/unicode-bidi/unicode-bidi.sty

%files unitn-bimrep
%doc %{_texdir}/texmf-dist/doc/latex/unitn-bimrep/
%{_texdir}/texmf-dist/tex/latex/unitn-bimrep/

%files upzhkinsoku
%license knuth.txt
%doc %{_texdir}/texmf-dist/doc/generic/upzhkinsoku/
%{_texdir}/texmf-dist/tex/generic/upzhkinsoku/

%files uspace
%doc %{_texdir}/texmf-dist/doc/latex/uspace/
%{_texdir}/texmf-dist/tex/latex/uspace/

%files variablelm
%license gfl.txt
%doc %{_texdir}/texmf-dist/doc/fonts/variablelm/
%{_texdir}/texmf-dist/tex/latex/variablelm/

%files wallcalendar
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/lualatex/wallcalendar/
%{_texdir}/texmf-dist/tex/lualatex/wallcalendar/

%files wtref
%{_texdir}/texmf-dist/doc/latex/wtref/
%{_texdir}/texmf-dist/tex/latex/wtref/

%files xcolor-material
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/xcolor-material/
%{_texdir}/texmf-dist/tex/latex/xcolor-material/

%files xechangebar
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/xelatex/xechangebar/
%{_texdir}/texmf-dist/tex/xelatex/xechangebar/

%files xltabular
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/xltabular/
%{_texdir}/texmf-dist/tex/latex/xltabular/

%files xsim
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/xsim/
%{_texdir}/texmf-dist/tex/latex/xsim/

%files yaletter
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/yaletter/
%{_texdir}/texmf-dist/tex/latex/yaletter/

%files zebra-goodies
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/zebra-goodies/
%{_texdir}/texmf-dist/tex/latex/zebra-goodies/

%files zhlipsum
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/zhlipsum/
%{_texdir}/texmf-dist/tex/latex/zhlipsum/

%files fvextra
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/fvextra/
%{_texdir}/texmf-dist/tex/latex/fvextra/

%files translator
%license lppl1.3.txt 
%license gpl.txt
%doc %{_texdir}/texmf-dist/doc/latex/translator/
%{_texdir}/texmf-dist/tex/latex/translator/

%files tikz-page
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/tikz-page/
%{_texdir}/texmf-dist/tex/latex/tikz-page/

%files autoaligne
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/autoaligne/
%{_texdir}/texmf-dist/tex/generic/autoaligne/

%files hlist
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/hlist/
%{_texdir}/texmf-dist/tex/generic/hlist/

%files modulus
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/modulus/
%{_texdir}/texmf-dist/tex/generic/modulus/

%files olsak-misc
%doc %{_texdir}/texmf-dist/doc/generic/olsak-misc/
%{_texdir}/texmf-dist/tex/generic/olsak-misc/

%files randomlist
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/randomlist/
%{_texdir}/texmf-dist/tex/generic/randomlist/

%files simplekv
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/simplekv/
%{_texdir}/texmf-dist/tex/generic/simplekv/

%files trigonometry
%license knuth.txt
%doc %{_texdir}/texmf-dist/doc/generic/trigonometry/
%{_texdir}/texmf-dist/tex/generic/trigonometry/

%files xii-lat
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/plain/xii-lat/

%files mensa-tex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mensa-tex/
%doc %{_texdir}/texmf-dist/doc/latex/mensa-tex/

%files algobox
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/algobox/
%doc %{_texdir}/texmf-dist/doc/latex/algobox/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7:2017-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-16
- add algobox
- remove Provides: tex(textcase.sty) from revtex4 (used to live there, now it is in textcase)
- add versioning to mensa-tex provide

* Mon Jul  2 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-15
- update newtxsf
- remove incorrect provides from newtx
- add mensa-tex

* Wed Jun  6 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-14
- add Provides: tex-japanese to resolve upgrade issue

* Tue May 29 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-13
- add epochs to more obsoletes

* Fri May 25 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-12
- fix Requires: texlive-xii to point to Requires: texlive-xii-doc

* Tue May 22 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-11
- update cleverref

* Mon May 21 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-10
- add epochs to obsoletes
- fix typo in japanese obsolete
- add explicit Requires: texlive-obsolete for texlive to ensure cleanup always happens
- add missing packages: hlist, modulus, olsak-misc, randomlist, simplekv, trigonometry, xii-lat

* Tue May 15 2018 Tom Callaway <spot@fedoraproject.org> - 7:2017-9
- add tikz-page, autoaligne
- remove requires on tlcockpit/tlshell

* Mon May 14 2018 Than Ngo <than@redhat.com> - 7:2017-8
- fix inconsistent use of tabs and spaces in indentation
- fix mangling shebang

* Mon May 14 2018 Tom Callaway <spot@fedoraproject.org> 7:2017-7
- update geometry to 5.7 (bz1575363)

* Mon May 14 2018 Tom Callaway <spot@fedoraproject.org> 7:2017-6
- drop preview (provided by emacs-auctex)

* Sun May 13 2018 Miro Hrončok <mhroncok@redhat.com> - 7:2017-5
- fix minted requires (pygmentize) (bz1577602)

* Tue May  1 2018 Tom Callaway <spot@fedoraproject.org> 7:2017-4
- sync with texlive 20180414 (remove bib2gls, dviinfox, jfmutil, l3build, wordcount here,
  they live in texlive-base now)

* Tue Apr 17 2018 Tom Callaway <spot@fedoraproject.org> 7:2017-3
- add translator
- fix beamer (translator split off from it) (bz1568178)

* Mon Apr 16 2018 Tom Callaway <spot@fedoraproject.org> 7:2017-2
- fix minted requires
- add fvextra

* Fri Mar 16 2018 Tom Callaway <spot@fedoraproject.org> 7:2017-1
- Update all the things to current revisions (and epoch too!)
- graphics-def ate all the other -def subpackages. yum yum eatemup.
- babel-bahasa became a metapackage, its bits got split into new subpackages (babel-indonesian and babel-malay)
- same for babel-bahasa-doc
- create texlive-obsolete to clean up dead subpackages
- context-fixme, context-games, context-lilypond, knuthotherfonts are dead
- collection-genericextra, collection-genericrecommended, collection-plainextra became collection-plaingeneric
- collection-htmlxml and collection-omega merged into collection-formatsextra (mostly)
- collection-langafrican and collection-langindic merged into collection-langother
- scheme-xml, mil3-doc, pstricks-examples-en-doc, pstricks-examples-doc, voss-mathmode-doc are dead
- japanese/japanese-doc, getargs are dead
- rotating got eaten by graphics. burp
- collection-mathextra and collection-science merged into collection-mathscience
- movie15 obsoleted by media9
- get rid of source tarballs, we do not need to regen noarch tex bits from source 
  (and we never did, it just made the SRPM bigger)

* Fri Mar  9 2018 Tom Callaway <spot@fedoraproject.org> 6:2016-43.20160520
- Remove the parts that are now in texlive-base
- drop dependency on cjk-gs-integrate (is not being included in F28+)

* Sat Feb 24 2018 Peter Robinson <pbrobinson@fedoraproject.org> 6:2016-42.20160520
- Drop patch disabling tests

* Thu Feb 22 2018 Peter Robinson <pbrobinson@fedoraproject.org> 6:2016-41.20160520
- Bump the tl_rel which is the proper release used by all sub packages

* Wed Feb 21 2018 Adam Williamson <awilliam@redhat.com> - 6:2016-40.20160520.3
- Rebuild with new GCC to fix #1546964 (tests still disabled for now)

* Wed Feb 14 2018 David Tardon <dtardon@redhat.com> - 6:2016-40.20160520.2
- rebuild for poppler 0.62.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6:2016-40.20160520.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Than Ngo <than@redhat.com> - 6:2016-40.20160520
- Add missing dependencies for texlive-pdfbook2 
- Add BuildRequire libgs-devel for >= fedora 28

* Thu Nov 30 2017 Pete Walter <pwalter@fedoraproject.org> - 6:2016-39.20160520
- Rebuild for ICU 60.1

* Thu Nov 16 2017 Patrick Uiterwijk <puiterwijk@redhat.com> - 6:2016-38.20160520.1
- Bump to rebuild

* Mon Nov 13 2017 Kalev Lember <klember@redhat.com> - 6:2016-38.20160520
- Rebuild once more

* Sun Nov 12 2017 Kevin Fenzi <kevin@scrye.com> - 6:2016-37.20160520.2
- Rebuild again

* Wed Nov 08 2017 David Tardon <dtardon@redhat.com> - 6:2016-37.20160520.1
- rebuild for poppler 0.61.0

* Wed Oct 25 2017 Than Ngo <than@redhat.com> - 6:2016-37.20160520
- fixed release number

* Mon Oct 09 2017 Troy Dawson <tdawson@redhat.com> - 6:2016-36.20160520.8
- Cleanup spec file conditionals

* Fri Oct 06 2017 David Tardon <dtardon@redhat.com> - 6:2016-36.20160520.7
- rebuild for poppler 0.60.1

* Fri Sep 08 2017 David Tardon <dtardon@redhat.com> - 6:2016-36.20160520.6
- rebuild for poppler 0.59.0

* Sat Aug 05 2017 Björn Esser <besser82@fedoraproject.org> - 6:2016-36.20160520.5
- Use '-std=c++11' for building C++ sources

* Thu Aug 03 2017 David Tardon <dtardon@redhat.com> - 6:2016-36.20160520.4
- rebuild for poppler 0.57.0

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6:2016-36.20160520.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6:2016-36.20160520.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 05 2017 Than Ngo <than@redhat.com> - 6:2016-36.20160520
- fixed bz#1442706, set correct python path in sympytexpackage 

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6:2016-35.20160520.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Mar 31 2017 Than Ngo <than@redhat.com> - 6:2016-35.20160520
- fixed release number

* Tue Mar 28 2017 David Tardon <dtardon@redhat.com> - 6:2016-34.20160520
- rebuild for poppler 0.53.0

* Tue Mar 07 2017 Than Ngo <than@redhat.com> - 6:2016-33.20160520
- fix bz#1429452, mpost allows to run non-whitelisted external programs
- backport upstream to fix upmendex segfaults on i368 arch

* Mon Feb 20 2017 Tom Callaway <spot@fedoraproject.org> 6:2016-32.20160520
- fix issue with epstopdf.pl (bz1415301)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6:2016-31.20160520.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 16 2017 Tom Callaway <spot@fedoraproject.org> - 6:2016-31.20160520
- do not make system dir symlink for ebgaramond (bz1410983)
- add Requires: texlive-lua-alt-getopt for texlive-luaotfload-bin (bz1405465)
- add Requires: texlive-graphics-cfg for texlive-xcolor

* Tue Jan  3 2017 Tom Callaway <spot@fedoraproject.org> - 6:2016-30.20160520
- improve provides/obsoletes around upltatex (bz1397766)

* Thu Dec 29 2016 Kevin Fenzi <kevin@scrye.com> - 6:2016-29.20160520
- Rebuild with proxy timeouts further adjusted. 

* Thu Dec 29 2016 Kalev Lember <klember@redhat.com> - 6:2016-28.20160520
- Another rebuild attempt

* Wed Dec 28 2016 Kevin Fenzi <kevin@scrye.com> - 6:2016-27.20160520
- Another rebuild with proxy timeouts increased.

* Fri Dec 23 2016 Kevin Fenzi <kevin@scrye.com> - 6:2016-26.20160520
- rebuild for python3.6, poppler again and other stuff too.

* Fri Dec 16 2016 David Tardon <dtardon@redhat.com> - 6:2016-25.20160520
- rebuild for poppler 0.50.0

* Thu Dec 08 2016 Tom Callaway <spot@fedoraproject.org> 6:2016-24.2016520
- fix dependencies for biblatex (bz1401219)
- fix dependencies for beamertheme-metropolis (bz1401209)

* Thu Dec 08 2016 Than Ngo <than@redhat.com> 6:2016-23.2016520
- fix bz#1401235 - texlive-latex-bin ships broken man page

* Tue Nov 29 2016 Tom Callaway <spot@fedoraproject.org> 6:2016-22.2016520
- rebuilding because koji ate the -21 f25 build. sorry.

* Mon Nov 28 2016 Tom Callaway <spot@fedoraproject.org> 6:2016-21.2016520
- add Requires: texlive-lualibs to texlive-luaotfload (bz1399056)
- add Requires: texlive-xetex-bin to texlive-dvipdfmx-bin (bz1398927)
- update koma-script to svn41508 (bz1398903)

* Wed Nov 23 2016 Orion Poplawski <orion@cora.nwra.com> 6:2016-20.2016520
- Rebuild for poppler 0.49.0

* Mon Nov 21 2016 Tom Callaway <spot@fedoraproject.org> 6:2016-19.2016520
- fix dependencies on verbatimbox (bz1396820)
- fix dependencies on tetex-bin (for updmap, bz1396732)
- add graphics-cfg as Requires for graphics (bz1396664)

* Mon Nov 14 2016 Tom Callaway <spot@fedoraproject.org> 6:2016-18.2016520
- bump epoch to ensure clean upgrade

* Tue Oct 25 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-17.2016520
- update amsmath (bz 1387355)

* Mon Oct 24 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-16.2016520
- more trigger improvements
- fix hardcoded TEXMFCMF to have texlive paths

* Fri Oct 21 2016 Marek Kasik <mkasik@redhat.com> 5:2016-15.2016520
- Rebuild for poppler-0.48.0

* Wed Oct 19 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-14.2016520
- make newtx depend on boondox
- add graphics-def for luatex.def

* Tue Oct 18 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-13.2016520
- also redirect stderr to /dev/null for font triggers

* Mon Oct 17 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-12.2016520
- fix variable naming mistake in triggerpostun

* Fri Oct 14 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-11.2016520
- redo font triggers entirely, they actually work now, only process the files they should
  and no longer loop forever
- remove weird _ in abraces versioning

* Wed Oct 12 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-10.2016520
- patch biber bst files to use \scshape instead of obsoleted \sc
- fixup font map triggers
- update biblatex family of components

* Tue Oct 11 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-9.2016520
- fix kpathsea-lib provides to match what packages are depending on (bz1383649)

* Mon Oct 10 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-8.2016520
- fix syntax error in trigger
- move triggers to the kpathsea subpackage (top of the dependency chain)
- properly obsolete texlive-uptex

* Thu Oct 6 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-7.20160520
- clean up invalid Obsoletes

* Wed Oct 5 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-6.20160520
- fix incorrect dependencies
- add bestpapers, bestpapers-doc subpackages

* Mon Oct 3 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-5.20160520
- replace as many scriptlets as possible with triggers
- ninja edit the fact that i didn't bump epoch (yet)

* Sat Oct 1 2016 Orion Poplawski <orion@cora.nwra.com> 5:2016-4.20160520
- Fix broken requires on texlive-common-doc

* Fri Sep 30 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-3.20160520
- rebuild now that koji schema can handle PACKAGEZILLA

* Wed Sep 28 2016 Tom Callaway <spot@fedoraproject.org> 5:2016-2.20160520
- Update to texlive 20160520
- put config files in /etc/texlive, symlink back to /usr homes (bz1368264)
- remove non-free files from beebe tarball, use beebe-clean tarball instead (bz1368082)
- fix /usr/bin/bibexport.sh to not be a dangling symlink (bz1352210)
- add Requires: tex(texnansi.enc) to texlive-mathdesign (bz1309837)
- Add bundled provides for components hiding in arara.jar (bz1095343)
- make texlive-pdftex require texlive-tex-ini-files
- re-add yfonts-t1, relicensed by copyright holder to LPPL
- use local cache dir (~/.cache/texlive) for TEXMFCACHE in /usr/bin/context (bz1379211)
- Disable luajit on MIPS (bz1316904)
- replace all references to ~/.texlive2016 in texmf.cnf to ~/.cache/texlive (bz1358502)

* Mon Jul 18 2016 Marek Kasik <mkasik@redhat.com> - 5:2015-27.20150728_r37987
- Rebuild for poppler-0.45.0

* Tue May  3 2016 Marek Kasik <mkasik@redhat.com> - 5:2015-26.20150728_r37987
- Rebuild for poppler-0.43.0

* Fri Apr 15 2016 David Tardon <dtardon@redhat.com> - 5:2015-25.20150728_r37987
- rebuild for ICU 57.1

* Tue Feb 16 2016 Tom Callaway <spot@fedoraproject.org> - 5:2015-24.20150728_r37987
- add missing kpathsea/c-auto.h (bz1308983)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5:2015-23.20150728_r37987.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Tom Callaway <spot@fedoraproject.org> - 5:2015-23.20150728_r37987
- use global instead of define

* Fri Jan 22 2016 Marek Kasik <mkasik@redhat.com> - 5:2015-22.20150728_r37987
- Rebuild for poppler-0.40.0

* Tue Jan 19 2016 Tom Callaway <spot@fedoraproject.org> - 5:2015-21.20150728_r37987
- fix texlive-stix opentype font handling (bz1299790)
- fix texlive-oldstandard opentype font handling (no bug, just checked the rest of them
  to preempt it)

* Mon Jan 18 2016 Tom Callaway <spot@fedoraproject.org> - 5:2015-20.20150728_r37987
- add Requires: tex(pzdr.tfm) to hyperref (bz1299422)
- fix texlive-fontawesome opentype font handling (bz1299199)

* Thu Jan 14 2016 Tom Callaway <spot@fedoraproject.org> - 5:2015-19.20150728_r37987
- fix pdfjam-bin to have Requires: tex(pdfpages.sty) (bz1296265)
- fix pstricks to have Requires: texlive-pst-tools (bz1294634)
- add Provides: bundled(lua) = 5.2.4 to lib subpackage
- make symlinks for opentype font dirs (bz1278049)

* Thu Dec 17 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-18.20150728_r37987
- fix latexdiff to work quietly with perl 5.18+ (bz1291955)
  Thanks to Michal Jaegermann

* Mon Dec 14 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-17.20150728_r37987
- fix latexpand to work quietly with perl 5.18+ (bz1289520)

* Mon Nov 30 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-16.20150728_r37987
- add fix (sed -i ...) to bz1241458
- use configure macro (bz1286023)

* Wed Nov 25 2015 Peter Robinson <pbrobinson@fedoraproject.org> 5:2015-15.20150728_r37987
- Actually fix secondary arches (no luajit on aarch64 either)

* Mon Nov 16 2015 Than Ngo <than@redhat.com> - 5:2015-14.20150728_r37987
- fix build failure on secondary arch

* Wed Oct 28 2015 David Tardon <dtardon@redhat.com> - 5:2015-13.20150728_r37987
- rebuild for ICU 56.1

* Thu Oct 08 2015 Than Ngo <than@redhat.com> - 5:2015-12.20150724
- fix build failure on s390*
- fix to use system gmp and system mpfr

* Wed Oct  7 2015 Peter Robinson <pbrobinson@fedoraproject.org> 5:2015-11.20150724
- Fix lua builds on secondary arches again

* Thu Oct  1 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-10.20150724
- fix rpm macros so that the right file is copied

* Mon Sep 28 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-9.20150724
- add Requires: tex(titlesec.sty) to savetrees (bz1266801)

* Fri Sep 25 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-8.20150724
- add Provides: tex-beamer-FUBerlin and texlive-beamer-FUBerlin to the beamer-FUBerlin-doc package
  ... the upstream beamer-FUBerlin tarball is empty of useful content.

* Wed Sep 16 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-7.20150724
- fix newline issue in pgf (bz1241458)
- do not require: ghostscript-devel for texlive-pdfcrop-bin (bz1229407)
- do not provide: tex(ifluatex.sty) in texlive-oberdiek (bz1146684)
  ... but do require: tex(ifluatex.sty) in texlive-oberdiek to ensure complete bundle
- add Requires: texlive-metafont-bin to texlive-kpathsea-bin (bz1123096)
- add Provides/Obsoletes texlive-tlwg to texlive-fonts-tlwg (bz1100984)
- add Requires: texlive-greek-fontenc and Requires: texlive-cbfonts-fd to textgreek (bz1064051)
- apply patch from Edgar Hoch to fix etex.src to permit \addlanguage to have empty params 4 & 5 (bz1215257)
- replace visible references to oriya to odia, add odia as equiv lang to oriya (bz1040337)
- use macros.texlive file as source10, add and cleanup macros (bz1054317)
- add Requires: biber to texlive-biblatex-apa (bz1048193)
- new subpackage sync
- add scriptlets for -doc subpackages so that texdoc just works
- removed yfonts-t1 subpackage due to non-free license
- fix license tags (no more Freely distributable...)
- add Requires: tex(ltxkeys.sty) to xwatermark (bz1197494)
- add Requires: tex(ifnextok.sty) to titlecaps (bz1186688)
- add Requires: tex(xetex.def) to xetex (bz1155267)
- add Requires: texlive-texconfig-bin to latex-bin-bin (bz995752)
- add Provides/Obsoletes bibexport to texlive-bibexport
  add bibexport.sh symlink in /usr/bin (bz979448)
- drop incorrect versioning on Requires: texlive-metafont-bin for texlive-kpathsea-bin

* Tue Sep 15 2015 Tom Callaway <spot@fedoraproject.org> - 5:2015-6.20150724
- increment epoch to force upgrade (i hate versioning)

* Wed Sep  9 2015 Tom Callaway <spot@fedoraproject.org> - 4:2015-5.20150724
- fix incorrect Obsoletes: texlive-kpathsea-lib

* Wed Aug 26 2015 Than Ngo <than@redhat.com> - 4:2015-4.20150724
- disable luajittex on secondary arch

* Thu Aug 20 2015 Than Ngo <than@redhat.com> - 4:2015-3.20150724
- rebuilt to fix some broken dependencies

* Wed Aug  5 2015 Tom Callaway <spot@fedoraproject.org> 4:2015-2.20150724
- fix fmtutil.pl symlink, for you know, working fmtutil

* Fri Jul 24 2015 Tom Callaway <spot@fedoraproject.org> 4:2015-1.20150724
- Update to TL2015

* Wed Jul 22 2015 Marek Kasik <mkasik@redhat.com> - 4:2014-12.20140525_r34255
- Rebuild (poppler-0.34.0)

* Wed Jun 10 2015 Than Ngo <than@redhat.com> - 4:2014-11.20140525_r34255
- fix wrong selinux context

* Mon Jun  8 2015 Marek Kasik <mkasik@redhat.com> - 4:2014-10.20140525_r34255
- Rebuild (poppler-0.33.0)

* Fri Jun  5 2015 Marek Kasik <mkasik@redhat.com> - 4:2014-9.20140525_r34255
- Rebuild (poppler-0.33.0)

* Wed Apr 29 2015 Than Ngo <than@redhat.com> - 4:2014-8.20140525_r34255
- Resolves: bz#1181169, insecure use of /tmp in mktexlsr

* Wed Mar  4 2015 Ville Skyttä <ville.skytta@iki.fi> - 4:2014-7.20140525_r34255
- Install rpm macros in %%{_rpmconfidir}/macros.d where available (#1074287)

* Mon Jan 26 2015 David Tardon <dtardon@redhat.com> - 4:2014-6.20140525_r34255
- rebuild for ICU 54.1

* Fri Jan 23 2015 Marek Kasik <mkasik@redhat.com> - 4:2014-5.20140525_r34255
- Rebuild (poppler-0.30.0)

* Sat Dec 27 2014 Kevin Fenzi <kevin@scrye.com> - 4:2014-4.20140525_r34255
* Drop scriptlet that touches /home. Fixes bugs: #1128240 #1047361 #1073518 #1054338

* Thu Nov 27 2014 Marek Kasik <mkasik@redhat.com> - 4:2014-3.20140525_r34255
- Rebuild (poppler-0.28.1)

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 4:2014-2.20140525_r34255
- rebuild for ICU 53.1

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4:2014-1.20140525_r34255.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Jindrich Novy <novyjindrich@gmail.com> - 2014-1-20140525
- Tex Live 2014 is out
- fix package dependencies to make update path smoother

* Sun Jun  8 2014 Jindrich Novy <novyjindrich@gmail.com> - 2014-0.1-20140525
- update to TeX Live 2014 release candidate
- conflict with ht package (#959696)

* Thu May 15 2014 Petr Pisar <ppisar@redhat.com> - 2013-12-20140512
- Do not export private perl modules (bug #1085424)
- Build-require libXi-devel for xdvik

* Wed May 14 2014 Jindrich Novy <novyjindrich@gmail.com> - 2013-11-20140512
- remove explicit ghostscript-devel dependency in dvisvgm (#1087847)
- pdftex now depends on pdftex-def (#1096535)

* Tue May 13 2014 Marek Kasik <mkasik@redhat.com> - 2013-10-20140411
- Rebuild (poppler-0.26.0)

* Fri Apr 11 2014 Jindrich Novy <novyjindrich@gmail.com> - 2013-9-20140411
- sync with upstream

* Fri Mar 21 2014 Dan Horák <dan[at]danny.cz> - 2013-8-20140305
- do not attempt to built luajittex (#1070380)

* Tue Feb 25 2014 Jindrich Novy <novyjindrich@gmail.com> - 2013-7-20140224
- sync with upstream
- fix fmt files removal

* Sat Feb 22 2014 Jindrich Novy <novyjindrich@gmail.com> - 2013-6-20140217
- sync with upstream
- remove only generated fmt files upon update

* Fri Feb 14 2014 David Tardon <dtardon@redhat.com> - 2013-5-20131226
- rebuild for new ICU

* Thu Dec 26 2013 Jindrich Novy <novyjindrich@gmail.com> - 2013-4-20131226
- sync with upstream + add BR: libpaper-devel, potrace-devel
- remove generated files upon update to avoid 'I'm stymified', etc.
- update co_source - upstream SVN checkout script
- disable Perl dependencies generation for F19 and older (#1023876)
- always have format in printf() #1037351
- fixes #921805, #952080, #1020941, #1025679, #1045794
- Merry Christmas!

* Fri Oct 25 2013 Jindrich Novy <novyjindrich@gmail.com> - 2013-3-20131021
- improve obsoletion automatism (#1022291, #1022746)

* Tue Oct 15 2013 Jindrich Novy <novyjindrich@gmail.com> - 2013-2-20131019
- fix symlinks and dependency generation

* Tue Oct 15 2013 Jindrich Novy <novyjindrich@gmail.com> - 2013-1-20131014
- sync with upstream
- fix bin->noarch package dependencies

* Fri Oct 11 2013 Jindrich Novy <novyjindrich@gmail.com> - 2013-0.6.1-20131010
- sync with upstream - fixes metapost, siunitx, latexdiff, luatex
(#1016074, #1013367, #981390, #975254, #976863)
- modify post scripts (#968573)
- fix kpathsea patch
- fix euler fonts installation (#982887)
- fix license tag OFSFLD -> OFL (#1014052)
- process perl dependencies (#1001434)
- don't ship flash files (#1000265)
- rebuild should fix rawhide poppler deps (#998696)
- fixes build of dbus-java (#993438)
- texexec no more complains about switch.rb (#993255)
- bin packages now require their counterparts (#991699, #988978, #984468)
- bibtex works fine now with spanish (#987534)
- do proper obsoletion - include epoch (#983433)
- fix build time tests

* Wed Jun 12 2013 Jindrich Novy <novyjindrich@gmail.com> - 2013-0.1-20130608
- formally switch to 2013 based on upstream
- call updmap-sys and fmtutil-sys for map and format updates
- bump epoch to be sure all noarch packages get updated

* Tue Jun 11 2013 Jon Ciesla <limburgher@gmail.com> - 2012-25-20130531
- Rebuild for new gd.

* Sun Jun  2 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-24-20130531
- fix luatex breakage (#959625)
- fix updmap-sys calls (#968573, #968573)
- fix broken dependencies for packages only shiping binaries/symlinks and nothing else
- fix update path - obsolete dvipdfm (#968358)
- pdfcrop now requires ghostscript (#964183)

* Mon May  6 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-23-20130506
- don't conflict with ht package - ht binary is now called t4ht (#959696)
- require coreutils (#928566)
- update build scripts
- update symlink references tetex -> texlive
- handle texmf -> texmf-dist upstream move
- do proper obsoletion again

* Mon Apr 29 2013 Tom Callaway <spot@fedoraproject.org> - 2012-22-20130427
- obsolete/provide ctan-musixtex-fonts and tex-musixtex

* Sat Apr 27 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-21-20130427
- add missing shebang to context script
- mark language.dat as config file (#929367)
- add scripts for checking out sources and CTAN archives

* Wed Mar 27 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-20-20130321
- bring chkweb back to life
- fix context script (#924918)
- prefer scripts installed from sources than from CTAN
- BR: ghostscript-devel because of dvisvgm (#924662)

* Tue Mar 19 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-19-20130318
- fix wrapper for context, remove chkweb man page (#910952)

* Mon Mar 11 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 2012-18-20130310
- Remove %%config from %%{_sysconfdir}/rpm/macros.*
(https://fedorahosted.org/fpc/ticket/259).

* Fri Mar  8 2013 Jindrich Novy <jnovy@redhat.com> 2012-17-20130310
- run updmap-sys --syncwithtrees posttrans (#915086)
- don't conflict with other packages (#913678)
- obsolete tex-cm-lgc (#907728)
- obsolete tex-kerkis (#907726)
- fix clashes with xmltex (#877690)
- use fedora latexmk instead of texlive latexmk (#914689)
- fix broken symlinks in /usr/bin (#910952)
- fmtutil doesn't print jadetex errors any more (#875266)
- fix post scriptlets

* Tue Feb  5 2013 Jindrich Novy <jnovy@redhat.com> 2012-16-20130205
- fix symlinks pointing to system utilities (#907643)
- add BR: texinfo because of makeinfo

* Mon Jan 28 2013 Jindrich Novy <jnovy@redhat.com> 2012-15-20130131
- enlarge tex(latex) dependency set, introduce tex(latex-base) (#904147)
- fix post-scriptlets (#875257)
- ship macros.texlive (#885762)
- depend directly on texlive-kpathsea-lib
- disable rpath

* Fri Jan 18 2013 Marek Kasik <mkasik@redhat.com> 2012-14-20130102
- Rebuild (poppler-0.22.0)

* Fri Jan 11 2013 Jindrich Novy <jnovy@redhat.com> 2012-13-20130102
- make dvips require latex-fonts (#879661)

* Mon Jan  7 2013 Jindrich Novy <jnovy@redhat.com> 2012-12-20130102
- fix dependencies and upgrade path (#892054, #891709)
- do not ship windows and other unneeded files

* Wed Jan  2 2013 Jindrich Novy <jnovy@redhat.com> 2012-11-20130102
- sync with CTAN
- added new buildrequires
- don't use texlive's psutils
- don't obsolete latexmk (#868996)

* Thu Dec  6 2012 Jindrich Novy <jnovy@redhat.com> 2012-10-20121205
- sync with CTAN
- compile also C++ sources with -fno-strict-aliasing
- ship adhocfilelist
- fix changelog dates

* Tue Nov 20 2012 Jindrich Novy <jnovy@redhat.com> 2012-9-20121120
- obsolete metapost-metauml (#573863)
- update BR perl-MD5 to perl(Digest::MD5) - required for updmap
- remove redundant posttrans executions in texlive-base (#865650)
- own ls-R in texmf-local directory

* Wed Nov 14 2012 Jindrich Novy <jnovy@redhat.com> 2012-8-20121115
- prevent sed from being verbose in install log when uninstalling
- be sure the old /usr/share/texmf tree is indexed and searched by
kpathsea (#876710)
- drop patch to fix build for dvisvgm, it is now applied upstream
- fix dependencies in texlive and texlive-base subpackages (#875364)

* Sat Nov 10 2012 Jindrich Novy <jnovy@redhat.com> 2012-7-20121107
- run mtxrun only once per transaction (#865650), this considerably
speeds up installation time

* Wed Nov  7 2012 Jindrich Novy <jnovy@redhat.com> 2012-6-20121107
- use -std=c++11 for all C++ apps in texlive to avoid symbol problems
(thanks to Jakub Jelinek)

* Sun Nov  4 2012 Jindrich Novy <jnovy@redhat.com> 2012-5-20121024
- don't conflict with latexmk (#868996)
- unify versioning for both binary and noarch subpackages
- remove lcdf-typetools hack for s390(x)

* Wed Oct 24 2012 Jindrich Novy <jnovy@redhat.com> 2012-3-20121024
- sync with upstream - fixes problem lcdf-typetools tests
- disable largefile support to fix pdflatex on 32bit arches (#872231)
- put compatibility TEXMF tree reference into texm-local instead
symlinking it to /usr/share/texmf directly

* Fri Oct 19 2012 Jindrich Novy <jnovy@redhat.com> 2012-3-20121019
- sync with upstream sources
- make /usr/share/texmf visible to kpathsea, make texmf-local
pointing to it (#867656, #864875)
- fix versioning of binary packages

* Tue Oct  9 2012 Jindrich Novy <jnovy@redhat.com> 2012-3-20120926
- obsolete chktex (#864211)
- make config.ps a config file (#441171)
- fix post/postun scriptlet dependencies
- all subpackages now have %%dist tag

* Sat Oct  6 2012 Jindrich Novy <jnovy@redhat.com> 2012-2-20120926
- drop relase subpackage (no more needed as TL is now in Fedora)
- fix -doc dependencies
- remove (not-built) asymtote from source tarball
- undefined catalogue version defaults to 0
- perform automatic license audit
- include also packages not part of any scheme
- don't strip binaries so that we can generate debuginfo (#863635)
- clean up depsolver

* Wed Oct  3 2012 Jindrich Novy <jnovy@redhat.com> 2012-1-20120926
- introduce TeX Live 2012 to Fedora (#488651)
- fixes: #619481, #759534, #814880, #819157

* Thu Jun 14 2012 Jindrich Novy <jnovy@redhat.com> 2012-1-20120613
- update to 2012 final
- obsolete system latexmk
- include dvisvgm back

* Mon Apr  9 2012 Jindrich Novy <jnovy@redhat.com> 2012-0.1.20120408
- temporarily disable dvisvgm due to gcc-4.7 compilation problems

* Tue Jul 26 2011 Jindrich Novy <jnovy@redhat.com> 2011-1.20110726
- update to the official TeX Live 2011 release

* Sun Mar 13 2011 Jindrich Novy <jnovy@redhat.com> 2011-0.2.20110313
- bump version to fix koma-skript versioning problem

* Mon Feb 28 2011 Jindrich Novy <jnovy@redhat.com> 2011-0.1.20110227
- fix upgrade path with old TL2007 xetex, context or dvips installed
- fix package generation bug that caused some package might be missing
from the repository
(http://www.linux.cz/pipermail/texlive/2011-February/000086.html)
- fix upstream source URLs

* Tue Jan 25 2011 Jindrich Novy <jnovy@redhat.com> 2011-0.1.20110120
- bump release to 2011 (we are using the 2011/dev SVN version)
- add more file virtual provides (TFM, TTF, TTC, PFA, PFB, PCF, OTF,
TEX, CNF, CFG, DEF, DAT, LDF, FD, ENC, MAP, VF, VPL, CLO, BUG, BUG2)

* Thu Dec 23 2010 Jindrich Novy <jnovy@redhat.com> 2010-14.20110105
- sync with upstream
- install texlive.tlpdb for autodep finder

* Wed Dec 15 2010 Jindrich Novy <jnovy@redhat.com> 2010-13.20101215
- sync with upstream as of 15th Dec
- fix dangling symlink (thanks to Michel Alexandre Salim)

* Fri Nov 12 2010 Jindrich Novy <jnovy@redhat.com> 2010-13.20101112
- temporarily disable dvi2tty because of failing test suite
- package /etc/texmf and point texmf-config there

* Fri Nov  5 2010 Jindrich Novy <jnovy@redhat.com> 2010-13.20101102
- make release package part of the main build

* Mon Oct 18 2010 Jindrich Novy <jnovy@redhat.com> 2010-12.20101016
- texlive-jadetex-bin obsoletes jadetex

* Fri Oct  8 2010 Jindrich Novy <jnovy@redhat.com> 2010-12.20101007
- fix symlinks in /usr/bin so that they are not pointing to wrong location

* Thu Oct  7 2010 Jindrich Novy <jnovy@redhat.com> 2010-11.20101007
- sync with the latest TL2010 sources
- don't make redundant copies of binaries, symlink them
- fix symlinks to perl utilities

* Wed Aug 25 2010 Jindrich Novy <jnovy@redhat.com> 2010-10.20100814
- add obsolete of dvisvgm to allow smooth updates

* Mon Aug 23 2010 Jindrich Novy <jnovy@redhat.com> 2010-9.20100814
- fix file attributes and rpmlint warnings
- define libdir when calling configure
- rebuild against new poppler

* Thu Jul 15 2010 Jindrich Novy <jnovy@redhat.com> 2010-8.20100715
- move all the licenses and base directory hierarchy to texlive-base
noarch subpackage
- add automatic licensing code

* Fri Jun  4 2010 Jindrich Novy <jnovy@redhat.com> 2010-7.20100604
- sync with upstream (introducing mptopdf)
- compile C source with -fno-strict-aliasing

* Mon May 31 2010 Jindrich Novy <jnovy@redhat.com> 2010-7.20100531
- switch to "tlpretest" source tree
- add lua and ruby dependencies to packages requiring them
- generate global package database "texlive.tlpdb" directly from
tlpobj files shipped with each package

* Wed May 19 2010 Jindrich Novy <jnovy@redhat.com> 2010-6.20100521
- disable chktex so that build passes
- fix dist tags in releases in binary packages

* Fri Apr 30 2010 Jindrich Novy <jnovy@redhat.com> 2010-5.20100430
- add dependencies resolution among biblatex files
- another %%postun scriptlets fix

* Wed Apr 21 2010 Jindrich Novy <jnovy@redhat.com> 2010-4.20100421
- add Requires(posttrans) to the main package

* Mon Apr 19 2010 Jindrich Novy <jnovy@redhat.com> 2010-3.20100419
- bump version of binaries because of the kpathsea soname increase

* Fri Apr 16 2010 Jindrich Novy <jnovy@redhat.com> 2010-0.1.20100416
- sync with upstream, remove ptex stuff for now

* Fri Apr 09 2010 Jindrich Novy <jnovy@redhat.com> 2010-0.1.20100329
- use 2010 prefix
- do not ship/build asymptote (#548761)

* Fri Mar 26 2010 Jindrich Novy <jnovy@redhat.com> 2009-3.20100326
- declare fmutil.cnf, updmap.cfg, context.cnf and texmf.cnf as config files
so that they don't get overwritten with texlive-kpathsea update
- move man and info pages to the main packages, not -doc

* Fri Feb 19 2010 Jindrich Novy <jnovy@redhat.com> 2009-3.20100219
- blacklist a4wide.sty because of bad (noinfo) license

* Tue Nov 10 2009 Jindrich Novy <jnovy@redhat.com> 2009-2
- install man and info pages into proper locations visible
by man and info
- update scriptlets
- remove xindy bits

* Mon Nov 09 2009 Jindrich Novy <jnovy@redhat.com> 2009-1
- update to oficcially released TeX Live 2009
- enable large file support

* Sun Nov 01 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.13
- remove postun scriptlet to avoid accidential removal of texmf bits
when not removing the package

* Fri Oct 23 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.12
- tighten kpathsea devel dependency

* Tue Oct 20 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.11
- fix generation of packages that ships only documentation
- fix versioning of packages without version but with revision
- fix heuristics for gathering .sty files dependencies
- include packages under GFSL license
- make files in old texmf tree from previous installs visible
- do not obsolete old kpathsea, try to coexist
- remove dvipdfm, dvipdfmx,depend of Fedora ones

* Sun Oct 18 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.10
- TL2007 compatibility fixes:
- create /usr/share/texmf symlink
- clean all in post scriptlets

* Fri Oct 02 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.9
- fix kpathsea Provides/Obsoletes

* Tue Sep 29 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.8
- sync with latest upstream

* Sat Sep 12 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.7
- make kpathsea independent on the main texlive package

* Thu Sep 10 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.6
- remove packages under GFSL non-free license (tex-gyre)

* Thu Sep  3 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.5
- fix dependencies to hyphenation packages
- fix provides/obsoletes

* Mon Aug 31 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.4
- require recommended LaTeX bits, the installation of pure
scheme-basic is too minimalistic

* Tue Aug 25 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.3
- require system psutils and t1utils and don't build the TL ones
- correctly obsolete old kpathsea
- binaries now have -bin postfix
- support for Fedora fonts

* Thu Aug 20 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.2
- add tetex-* virtual provides
- fix unversioned requires
- filter out unwanted libs and utilities from source

* Wed Aug 12 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.1
- update to TeX Live 2009 - pretest

* Mon Jun 29 2009 Jindrich Novy <jnovy@redhat.com> 2008-0.2
- update to today's svn sources of binaries from upstream
- fix directory -> symlink conversion
- add ly1 (#488651)

* Thu Aug 14 2008 Jindrich Novy <jnovy@redhat.com> 2008-0.1
- initial packaging for TeX Live 2008
- wrote tl2rpm.c to autogenerate packages and post scriptlets
from TeX Live metadata
- fix kpathsea default search path
